Engineering Manual

Advantech WebAccess
- browser-based HMI and SCADA software

Sept. 03, 2014
Advantech WebAccess version 8.0

Advantech WebAccess HMI and SCADA software

Configuration & Engineering Manual

ã Advantech Automation Corp

No.7 Street 6 ShangDi Zone • Beijing • 100085 • CHINA

Phone 62984346 • Fax 62984341
www.advantech.com


About Edition

Two Editions of Advantech WebAccess are available: Professional and WinCE.

Here's a partial list of which features are available in each product.

WebAccess PC Version : Windows Microsoft® Windows®, Windows 7, 8 Desktop Mode,

Windows® XP, XP Embedded, 7 Embedded

Windows® Server 2003, 2008, 2012

Support IE: IE8, 9, 10, 11

Support IIS : Up IIS 5.5

Version |  | WebAccess Version 8.0 | Win CE
1. General Specification
1.1 Support Language |  | English/Traditional Chinese/ Simple Chinese/Korean/French | English/ Traditional Chinese/ Simple Chinese
1.2 No. of tags Per SCADA |  | 75/300/600/1500/5000/20000 /Unlimited | 300/1500
1.3 No. of internal tags Per SCADA |  | 75/300/600/1500/5000/20000/ Unlimited | 300/1500
1.4 Remote IE Client |  | 1024 | RISC CPU (APAX-5620KW)：2 X86 CPU：1024
1.5 Thin Client |  | NO LIMIT | NO LIMIT*Note1
1.6 Alarm Log |  | 5000 Records | 1000 Records
1.7 Action Log |  | 5000 Records | 1000 Records
1.8 Video |  | YES | YES
1.9 Alarm E-mail |  | YES | NO
1.10 Sound Alarm |  | YES | NO
1.11 Alarm Print |  | YES | Disable
1.12 Global Tags |  | YES | YES
1.14 Global Data Transfer |  | YES | NO
1.13 View Global Alarm Summary |  | YES | X86 CPU：YES RISC CPU (APAX-5620KW)：NO
1.15 Google Maps |  | YES | Remote View only
1.16 GPS Location Tracking |  | YES | Remote View only
1.17 Dashboard |  | YES | NO
1.18 WebService |  | YES | NO
2.1 Local ViewDAQ (Graphic)
2.1.1 Local VIEWDAQ Operation |  | Enable | Depend on Device RISC CPU (APAX-5620KW): Disable X86 CPU : Enable
2.2 Graphic Page
2.2.1 Number of Graphic Pages |  | Unlimited (Limited by H/D size) | Depend on CF Card capacity
2.2.2 Variables per Graphic Page |  | 4000 | 255
2.2.3 Picture file |  | JPG/BMP/GIF/PNG | BMP only (Convert to BMP file type if using BMP)
2.2.4 Font |  | ALL support in Windows | Depend on WIN CE O.S
2.2.5 GDI+ |  | YES | NO
2.2.6 Multi-touch |  | YES | NO
3. Data Log
3.1 Number of Datalog tags |  | Depend on License | Depend on License
3.2 Record Interval Time: Sec |  | YES | YES
3.3 Data Logging Rate (Records/Sec) |  | Depend on H/W Performance | X86: Recommend 100 ARM(APAX): Recommend 50
3.4 Data Logging Period |  | Depend on Device Capacity | Depend on CF Capacity (ex:APAX 1G CF Card, Logging Rate=10 Records/Sec)
3.5 Alarm Status & Logging Rate (Records/Sec) |  | YES | X86: Recommend 250 ARM(APAX): Recommend 50
3.6 Data Log |  | YES | YES
Second |  | YES | YES(Recommend max:12days)
Minute |  | YES | YES(Recommend max:5 Months)
Hour |  | YES | YES(Recommend max:5 Months)
Day |  | YES | YES(Recommend max:5yrs)
3.7 Real-Time Database |  | YES | NO
4. Recipe
4.1 Recipes per Project |  | Unlimited | Unlimited (Recommend 100)
4.2 Unit per Recipe |  | 999 | 999 (Recommend 100)
4.3 Item per Unit |  | 999 | 999
5. Scheduler
5.1 Holiday Configuration Group |  | 999 | 999
5.2 Time Zone Group |  | 9999 | 9999
5.3 Device Loop Group |  | 99999 | 99999
5.4 Equipment Group |  | 9999 | 9999
5.5 Reservation |  | Support | Support
Class- Room | 5.6 Classroom Holiday | 999 | 999
 | 5.7 Classroom Time Zone Group | 9999 | 9999
 | 5.8 Classroom Device Loop Group | 99999 | 99999
 | 5.9 Classroom Equipment Group | 9999 | 9999
 | 5.10 Class Number And Time | 16 | 16
 | 5.11 Class Setting | 16 | 16
 | 5.12 Reservation | Support | Support
6. Data Base
6.1 Project Data Base, Edit Mode |  | Using WebAccess PC Project Node (Default: Microsoft Access ) | Using WebAccess PC Project Node (Default: Microsoft Access )
6.2 SCADA Data Transfer to Project Node and Save to SQL Server(through ODBC Interface)
6.2.1 Alarm Log to ODBC |  | MS Access default | MS Access default
6.2.2 Data Log to ODBC |  | MS Access default | MS Access default
6.2.3 Event Log to ODBC |  | MS Access default | MS Access default
6.2.4 Change Log to ODBC |  | MS Access default | MS Access default
6.3 Tag Fields change Transfer to Project Node and Save to SQL Server (through ODBC Interface) |  | MS Access default | MS Access default
7. Script Language
7.1 Support Language |  | Tcl Script/VB Script/Java Script | Tcl Script Only
7.2 TCL Language File size |  | Unlimited | Unlimited
8. OPC Client/Server Function
8.1 OPC Client |  | YES | NO
8.2 OPC Server |  | YES | NO
9. Project Node History Data Query (ODBC)
9.1 Standard Historical Data Query (Change Log/Alarm Log,….) |  | YES | YES
9.2 Event Log |  | YES | YES
10. Communication
10.1 No. of Virtual Port |  | 60 ports Max | 12
10.2 Device Limit per Port |  | 256 (0~255) | 256 (0~255)
10.3 Primary Communication |  | YES | YES
10.4 Secondary Communication |  | YES | YES
10.5 SCADA Redundancy |  | YES | NO
11.WASCADA Driver (Client)
11.1 Alarm Sync |  | YES | YES
11.2 Alarm ACK |  | YES | YES
11.3 Tag Fields value change notify to SCADA Node Client/Server Side |  | YES | YES
11.4 Data Log Trend Synchronization |  | YES | NO
11.5 Data Compress |  | YES | YES
12. IP address
12.1 Support IPv6 |  | Yes | NO
12.2 Support IPv4 |  | Yes | Yes
13.MODBUS Communication (Master/Server)
13.1 MODBUS TCP Server Max connection client |  | 32 | 32
13.2 MODBUS TCP Master Driver |  | YES | YES (Recommend 500Tags/port , refresh time <=1sec)
13.3 Support RTU (Serial) Server |  | YES | YES
14. Key Protection
14.1 H/W Dongle key |  | YES | Yes (Only SW key) Check Mac Address
15. OPC UA Client/Server Function
15.1 OPC UA Server |  | No | NO
15.2 OPC UA Client(Driver) |  | YES | NO
16. SMS
16.1 Alarm to Phone |  | YES | Support Standard AT command SMS modem
16.2 SMS When Return To Normal |  | YES | YES
16.3 SMS When Ack Alarm |  | YES | YES
17. BACnet
17.1 BACnet IP Server |  | YES | YES
17.2 BACnet IP Client(Driver) |  | YES | YES
17.3 BACnet MSTP (Master Driver, RS485) |  | YES | YES
18. Express
18.1 Support ADAM2000 serial |  | Yes | NO
18.2 Support ADAM4000 serial |  | Yes | NO
18.3 Support ADAM6000 serial |  | Yes | NO
18.4 Support DiagAnywhere |  | Yes | NO
18.5 Support SUSIAccess |  | Yes | NO
18.6 Support SNMP |  | Yes | NO
18.7 Web-Enable auto-discover |  | Yes | NO
19. Demand Control
19.1 Demand Control Function |  | YES | NO
20. WebAccess Dashboard
20.1 Dashboard Editor |  | YES | NO
20.2 Dashboard Viewer |  | YES | NO
20.3 Build-in Widget |  | YES | NO

Note1: Thin Client need set in WebAccess\Node\startup.ini

[ThinClient]

Run=1


1.1 Advantech WebAccess HMI & SCADA features

Welcome! Advantech WebAccess is first fully web browser-based software package for human-machine interfaces (HMI), and supervisory control and data acquisition (SCADA). Features of Advantech WebAccess include:

Web Browser Client to View and Control

Using a standard Web-Browser (Internet Explorer 6.0, 7.0, or later), users can view and control automation equipment used in manufacturing facilities, industrial process plants, and building automation systems. Data is displayed to Operators and Users in real-time with dynamically updated graphics using full motion animation. A plug-in is required for the full-animation client.

Figure 1-1 Advantech WebAccess Network: Clients, Thin Clients, SCADA Nodes and Project Node.

Web Browser based engineering

The unique feature, which distinguishes Advantech WebAccess from the competition, is that all engineering, database configuration, graphics building and software administration can be performed using a standard web browser as well. Engineers and Technicians can configure the Advantech WebAccess Database and Build Graphics Remotely using a standard web browser.

Ordinary Web Server

Advantech WebAccess uses an ordinary web server as our Project Node: Microsoft IIS (Internet Information Server) which is standard in Windows 2000 Professional and Server, Windows 2003 Server, Windows XP Professional, Windows Vista Business and Windows Vista Ultimate.

The Project Node provides the initial link between Clients and the SCADA nodes. Only the Project Node is a Web Server. Redundant Project Nodes acting as redundant Web Servers are easily implemented. SCADA nodes are not web servers (except for stand alone installations).

This makes Advantech WebAccess a "fully" web-based solution. Advantech WebAccess enables engineers, integrators and vendors with the ability to support their systems remotely over an intranet or the Internet using an ordinary web browser.

Communications Drivers to Industrial Automation Hardware

Advantech WebAccess also supplies communications drivers that enable remote personal computers to communicate with automation hardware including programmable logic controllers (PLC), IO, controllers, direct digital control systems (DDC) and distributed control systems (DCS). These drivers are easily implemented using fill-in-the-blanks forms through an ordinary web browser.

Distributed Architecture for SCADA node

SCADA nodes run independent of any other node. Each SCADA node communicates to automation equipment using the communication drivers supplied with Advantech WebAccess. SCADA nodes also provide Alarming, Logs, Reports, Calculations and other SCADA features. Each SCADA node has its own graphics displays and a runtime database.

Redundant SCADA Nodes

A Redundant SCADA node consists of primary and backup SCADA nodes. The Project Manager will download an identical run-time database to both primary and backup SCADA nodes. The Primary and backup will communicate with each other when the kernel is started, but only one will communicate to automation hardware. If the Primary fails, the Backup will begin communications to the automation devices. The Web Browser clients will be redirected to the backup if the primary node fails. Data Logging and Trending files are updated on both primary and secondary, and resynchronized when the Primary returns.

Redundant Com Ports

A Redundant Comport enables a redundant communications path to the Device. If communications cannot be established through primary Comport, Advantech WebAccess will try a second Comport, specified as the Backup Port. You configure the backup Port number in Advantech WebAccess, but without any devices on it. Usually the device must have two comports also. The Backup Port is usually configured as the same type. However, some Device Types allow the backup port to be another physical type; for example, Modicon Device can use a TCP/IP (network) port as a backup port to a Serial Port.

Connect without a Web Server

It is also possible to connect VIEW clients to SCADA nodes without a web server (although some database functions are lost). This provides an alternate path to allow remote clients to connect if a web server is unavailable.

Centralized Database Server for Network Development

The Project Node is a centralized database server of configuration data. A copy of the database and graphics of all SCADA nodes is kept on the Project Node. If files are lost from the SCADA node, they are easily downloaded with a single mouse click.

Remote development features accommodate large, multiple node installations, including updating of all nodes on a network from a single location or multiple locations using a web browser.

Enhanced Security

Users can be assigned various access privileges. Advantech WebAccess uses the Area of Responsibility concept to prevent changes to tags. A tag is assigned to a single Area with a change level. Users can be assigned to multiple areas with a different access level within each area. To change a value, the user must also be assigned to the same Area of Responsibility and have an access Level within that Area equal to the tags change level.

Advantech WebAccess Restricted Users can only view the displays assigned to them. Pushbuttons and other features that try to call up an unauthorized display will be blocked.

Web Access Power Users can view any display, but cannot use the engineering tool (project manager).

Advantech WebAccess Administrators are given full control and database configuration capabilities.

Advantech WebAccess Users types are independent of Windows Users.

Active X control

Advantech WebAccess Client Plug-in is an Active X control that allows it to run inside an Internet Explorer 6.0 or later web browser.

Thin Client for PDA, Pocket PC and Handheld computers

Similar in function to the full-animation client, the thin client interface provides snapshots of each display in the GIF and JPEG file formats. Values, Setpoints and Digital states are changed through a text type interface. Intended for use on a Windows CE based PDA or handheld computer; any web browser on any type of PC can view the thin client displays.

Tag-based object database

IO Tags are multi-dimensional objects that represent data read from automation equipment. Tag names can be up to 21 characters. There can be at least 60,000 tags per SCADA node and many SCADA nodes in a system or project. Tags consist of multiple fields (Tag Fields) that include Description, Hi Span, Lo Span, Alarm State, Alarm Limits, Output Limits and about 50 other qualities associated with each tag.

Blocks

IO Blocks are a type of tag (our competitors call them super tags). Blocks allow multiple data values read or written from automation devices to be grouped into a single object. Blocks are most commonly used to represent PID controllers, VAVs and other multiple value "instruments" found in a control and automation systems. The typical elements of a PID block include Measurement, Setpoint and Output of the controller.

Vector-based Graphics

Advantech WebAccess uses vector-based graphics that provide smaller file sizes and faster downloads. Further, vector graphics provide dynamic display resolution and are continuously scalable. Displays can be run at a user-defined resolution; independent of the display resolution the graphic was built with. Engineers and technicians can develop applications in one screen resolution and users can run them at another.

Dynamic Animation Widgets

The Advantech WebAccess Graphic builder provides pre-built symbol libraries including pre-animated widgets. At least 300 symbols and widgets are in the default product including pipes, valves, tanks and vessels. Users can easily add symbols and create widgets from existing scratch or tear a part exiting graphics.

Import AutoCAD DXF

AutoCAD DXF files can be imported, edited, grouped, filled and animated. They become vector elements in the graphic that can be infinitely scaled.

Import Bitmaps, Jpegs and Gifs

For flexibility, Bitmaps, JPEGs and GIFs can be imported and animated. They cannot be edited other than scaling and position. They are not converted to vectors but remain as bitmaps with all the limitations inherent in bitmap images.

Template Displays

Template Displays allow all tags to be viewed using one of a few templates. Pre-built templates displays are supplied with all Advantech WebAccess systems. These system displays and dialog boxes allow all Tags to be viewed and changed immediately without building a single new graphic

The Block detail displays allow a single graphic display, including animation, to be used to view all blocks tags of the same block type. This dramatically reduces time to implement a system. Additional Block Tags that are added the system a viewed instantly without building or modifying a display. Many drivers come with default block displays for commonly used block types (e.g. PID controllers, Air Handlers and VAVs). The default Analog Point Display allows all analog tags to be viewed using this one display

The engineers and technicians using DRAW can edit template displays. Template displays include Analog Point Detail, Digital Point Detail, Text Point Detail, Parameter Detail, Block Detail, Data Log Trend, Real Time Trend, Alarm Log, Action Log and Faceplate Group and Overview displays.

Alarm Handling Package

Advantech WebAccess provides a notification system to inform operators of process and equipment status. Each Tag in the system has alarming which can be enabled in its database configuration without creating additional tags or logic. Alarms for each tag include High-High, High, Low, Low-Low, Deviation, Rate of Change and State alarming. Deadbands are provided for analog alarms. Features include Alarm Summary of Current Alarms, alarm filtering, alarm priority, alarm sorting, an Alarm Log of all past alarms, alarm limits adjustable in run-time, temporary alarm disable, alarm horn, alarm status on all displays and an Alarm Graphic for each tag in the system to help operators quickly find the appropriate display and correct the alarm.

Pager and Email notification of Alarms is a standard feature in Advantech WebAccess. No third party software is required. Tags can be individually selected to generate an email, assigned recipient email address or use global email recipients. The scheduler can schedule different email recipients based on Time of day, shift, Day of Week, and Holiday schedules.

Data Logging and Historical Trending

Each tag can be logged to a separate file on the SCADA node hard drive. Historical and Real-time data for the tag are viewed in the Data Log Trend displays. The traditional strip-chart trending format includes a horizontal time line, with time stamping, multiple scales for each tag and a cross-hair pointer to read pinpoint data. Up to 12 tags can be viewed at a time (using a single window). Tags can be added or removed from the Data Log Trend group without losing historical data. X-Y plots are also available with a single mouse click. Scrolling through time and changing scales of displayed data are also standard features.

Real-Time only Trending

Real-Time only trending is supported for trends of short-term data that does not need to be archived. Examples include tuning parameters for controllers or other seldom viewed information. Real-time Only trends are also useful for Panel type interfaces or devices where disk space is a premium. Real-time Only trends loose data once it scrolls off the screen or the display is closed.

Standard Popup Dialog Boxes

System development is made easier and faster by utilizing the standard Dialog Boxes for user interaction. These boxes are pre-built and popup when a user tries to change a tag (Change Dialog Boxes, one for Analog, Digital and Text tags) or request a display list (User Built Displays, Trend Displays, Data Log Trend Displays, Overview Displays, Faceplate Displays and Alarm Groups.

Change Dialog Box

The standard change dialog box provides the ability to enter data without a keyboard using numeric buttons (for analog tags), alpha numeric (for text type displays) and state buttons (for digitals with appropriate state descriptor. This is especially useful for field mounted display panels using a touch screen instead of a keyboard. This also speeds system development for users of touch screen only applications and provides a backup for keyboard users.

Tag Browser (Point Info)

Standard feature in Advantech WebAccess Client is a Tag Browser. This is a Windows Pop-up Dialog Box. It shows all tags in the system. The can be filtered by Tag Type, IO Channel.

The Tag browser also provides a "Point GOTO" feature that shows all points in the system where the tag is displayed including all user built graphics, trends, alarm summary, Detail Displays, etc. With one click you can got to that display. The Point GOTO feature provides Tag cross-referencing of tags and displays in the run-time VIEW.

Local Screen Tags

Scripts and Displays support the use of local screen tags to store results, read operator inputs and create complex calculations with screen scripts. By using local screen tags in Scripts and Displays, you do not decrease your licensed tag count. There is no limit to the local screen tags in Advantech WebAccess.

Internal Tags

Calculation Tags, Accumulation Tags and Constant Tags are globally available. Calculation tags provide arithmetic and logic calculations, similar to a programmable calculator that runs repeatedly using inputs from other IO tags. Accumulation Tags are Totalizers or Integrators (e.g. totalize flow from flow rate). Constant tags are holder tags used for operator entry or to display the results of a script. Calculation, Constant and Accumulation Tags are limited to a number equal to your IO tag count limit (e.g. if you have a 1200 tag limit, you have 1200 IO tags plus 1200 Local Tags = 2400 tags)

Data Transfer Function

Data Transfer provides an easy to implement method of sending data between automation equipment. The Data Transfer reads a tag then sends the value to another tag on a periodic frequency. A deadband can be specified to minimize unnecessary communication and send changes to the source tag.

Scripts using Tcl, JScript and VB Script

Scripts in Advantech WebAccess are based on the open source programming language, Tcl, or the script languages used on many web sites: JScript and VB Script.

Web Access supports version 8.4 built-in Tcl commands and features and installs a Tcl script engine as part of the client plug-in.

Advantech WebAccess uses the JScript and VB Script engine provided as part of the Microsoft Operating system on the SCADA Node and clients.

Scripts are simple programs used to customize your displays screens and SCADA system with user-built calculations and logic. Scripts in Advantech WebAccess are powerful enough to communicate with other programs, create reports and do control.

If you have any programming experience, you can be writing scripts in 30 minutes. Tcl is an industry standard taught in many schools. You can download Tcl programs and tutorials from the Internet.

API to Visual C, Visual Basic, Visual C# and others

For advanced users, Advantech WebAccess provides Application programming interfaces (API) to the SCADA node and to the VIEW client for Visual C, Visual Basic, C# (C Sharp), JScript and VB Script.

ZOOM graphics in Run time

Vector Graphics allow users to zoom in to magnify any display up to a power of 8x (800 %).

Display Groups

Advantech WebAccess local SCADA node supports a non-web browser version intended for standalone architecture and control room type users. Multiple display windows can be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess.

Navigation Toolbars and right Click menus

Default Navigation Toolbars ensure every display has Navigation, Alarm Handling and Point Access controls. The default toolbars can be modified or new toolbars built using symbols, flashing colors and pushbutton keymacro commands. Right Click Menus enable similar functions as the default toolbars.

Pushbutton Key Macros Commands

Pushbutton Key Macro Commands provide standard control and monitoring features with a single click including alarm acknowledgment, display navigation. Many Key Macros have equivalent Keyboard Function Keys that allow Web Access VIEW to be deployed on systems without a mouse or touch screen.

Display Scan feature

Display-scan tags are scanned only when an operator calls up the display. These are usually setpoint, controller tuning and controller configuration" tags in the controller (i.e. tags that don't change very often and are used infrequently). By using Display Scan type tags for setpoint, tuning and infrequently used, "non-alarm points" and "not data logged points" you can effectively increase the throughput of your system.

100 Millisecond Scan Times

Advantech WebAccess can scan as fast as once every 100 milliseconds (ten times per second). Entering a 0 for scan time, Advantech WebAccess will try as fast as possible. The actual speed depends on the automation device.

Native Drivers

Advantech WebAccess provides many Native Drivers that communicate directly to PLCs, devices and automation networks without using 3rd Party Servers (like DDE Servers) to provide faster and more reliable communications.

Client Licenses

Advantech WebAccess Client license is Edition-dependent. This includes VIEW clients that can view and control in real-time and DRAW, which allows users to build new graphics and configure a database.

Following table lists the limitations of Clients between different Editions:

Advantech WebAccess Edition

Limitation of Clients

Advantech WebAccess XP Professional

NO

Advantech WebAccess XP Standard

1

Advantech WebAccess WinCE

2
No Charge for Configuration Tool (Development)

Any Advantech WebAccess system can be copied to another PC and used for off line development. Every engineer and technician can have is own system on a laptop for off-line testing and development.

No Charge for Simulation and Training Mode

Any Advantech WebAccess system can be copied to another PC and used for Simulation and Training. Every student can have is own system on a laptop for off-line training. Tags will initially be set to 50% of SPAN, but can be changed and the new values held. Alarms will occur; Alarm Logging and all features are enabled except communications including the device drivers, DDE and 3rd Party API interfaces. The node will run for 2 hours.

Recipe Function

Recipes provide an easy method for operators and users to change the value of hundreds of settings in automation devices. Start-up or Shutdown settings can be downloaded from a single pushbutton and the "recipes" for various products can be used to "set-up" automation equipment for different product runs of multiple products.

Data Transfer

Data can easily be exchanged between automation devices using the Data Transfer function. This is especially useful when data needs to be exchanged between automation devices that use different communications protocols (which can't communicate directly) or with "single master" protocols.

DDE interface

Dynamic Data Exchange (DDE) and NetDDE utilize the Microsoft communications standard to exchange data between your automation equipment and 3rd Party software packages. Advantech WebAccess acts as both a DDE Server and a DDE Client to interface with spreadsheets, Paging Software and any software that supports DDE.

DDE Device Driver

A generic DDE Device driver allows any DDE Server based, 3rd Party Device Driver to be used with Advantech WebAccess SCADA node. Dynamic Data Exchange (DDE) and NetDDE utilize the Microsoft communications standard to exchange data between your automation equipment and 3rd Party software packages. Many Automation Vendors supply DDE Server based device drivers that you can use with Advantech WebAccess if there is not a Genuine Advantech WebAccess Driver available.

Video

Advantech WebAccess provides interfaces to web-enabled Video cameras allowing operators and users to monitor equipment and facilities using the Advantech WebAccess client. Live full-motion Video cameras, audio and Windows Media are viewed in same Graphic display as Trends, Alarms, Pushbuttons and Live Data.

Scheduler

The Scheduler provides control and setpoint changes based on time and date. Lights, Fans, and HVAC equipment are turned on and off based on the time, day of week and date. The Scheduler is also used in process control and manufacturing applications. The Scheduler can be modified and downloaded by Project Users from the Project Manager and by Power Users from VIEW.

Pager and Wireless PCS Alarm messaging

Pagers, wireless PCS and Cell Phones that can receive text messages can also be used for notification of Alarms and events. No third party software is required. Tags can be individually selected to generate an email message to a specific recipient address or use global recipients. The pager or wireless PCS must be able receive emails (a standard feature with Skytel and most Pager services).

Email notification of Alarms

Email notification of Alarms is a standard feature in Advantech WebAccess. No third party software is required. Tags can be individually selected to generate an email, assigned recipient email address or use global email recipients. Alarms can be acknowledged via a reply email.

Schedule Alarm Email recipients by Shift, Day of Week, and Holidays

The scheduler can schedule different email recipients based on Time of day, shift, Day of Week, and Holiday schedules.

Email custom reports, logs and Messages

Advantech WebAccess can email reports and logs generated with Scripts and Pushbutton Keymacros.

Customize Toolbars with Icons using ICO or animated BBN files

Standard Microsoft Icon files (*.ico) can be added to user built tool bars. These can be imported from any application. Toolbars can also be customized with animation using BBN files built in DRAW to provide flashing, color change, text changes or any animation.

Import Nodes, Tags and Graphics remotely

Advantech WebAccess allows you to import Nodes, Tags, Graphics, Scripts, Keymacro files and entire databases from a remote node. This allows you to "Merge" projects by importing to an existing project or the "Split" projects by importing into a new project. This can be down remotely over the Internet or intranet to allow field personnel to get the latest version of a project database or graphics from the Home office.

EXCEL Database Import / Export

The database export and import to EXCEL allow users to create and modify Tags and Blocks in a spreadsheet using copy, paste, edit and other EXCEL tools. Databases can be imported from other HMI packages. Tags and Nodes can be imported from other Advantech WebAccess Projects to allow aggregation of multiple facilities into a larger Project or to scale down and make a node independent.

Data Logging to SQL Server, Oracle, MySQL and Access

Advantech WebAccess will log real time data, operator actions and other system logs to ODBC databases including SQL Server, Oracle, MySQL and Access. Microsoft Access databases are provided as the default. Advantech WebAccess script also provide SQL queried to read, write and manipulate these ODBC databases.

System Log

Monitor who connects to the project and SCADA nodes with web browser using the System Log.

HTML Reports

Generate HTML Reports using menu-based queries of Centralized ODBC Logs based on Date, Time, Tag, Node including:

· Analog Tag Log

· Discrete Tag Log

· System Log

· Alarm Log

· Action Log

Copy and paste these html reports to EXCEL, Word, etc.

Scheduled Reports

Scheduled Reports include Shift, Daily and Monthly reports that are automatically generated from the Real-time data. Users & Operators can View the current and previous reports using a web browser. The output of the Scheduled Reports can be copied and pasted into EXCEL, WORD, and other general-purpose office applications as a formatted table or spreadsheet

Email Scheduled Reports

The Advantech WebAccess SCADA node emails scheduled Reports to users, managers, accountants and engineers. The output of the Scheduled Reports can be copied and pasted into EXCEL, WORD, and other general-purpose office applications as a formatted table or spreadsheet.

Text-to-Speech Alarm Annunciator

Text-to-Speech technology Annunciates alarms locally on the SCADA node. No recording is required by the user. A sound card and speaker is required. A choice of male and female voices reads the Tag name, description, Alarm Type, Alarm Limit and Alarm Value.

Automatic Archiving and Maintenance of Trend and ODBC Data Logs

Advantech WebAccess will archive data to network folders, zip drives or other drives and will delete old data from the on-line Data Log Trend and ODBC Log files. This "file maintenance” feature prevents files from growing too large and provides archiving of important data.

Alarm Acknowledgement via Reply Email

Email notification of Alarms is a standard feature in Advantech WebAccess. No third party software is required. Tags can be individually selected to generate an email, assigned recipient email address or use global email recipients. Alarms can be acknowledged via a reply email.

Change Values and execute Scripts via Email

With the appropriate security code, emails can be read from a POP3 account by the SCADA Node, and the action commands and built-in Tcl will be run as a script. Setpoints can be changed, Status changes, messages sent to operators and reports.


1.2 System Architecture

Networking is built into the design of Advantech WebAccess. The basic components of Advantech WebAccess are:

SCADA Nodes connect to Automation Hardware and makes data available to the network including Clients, other SCADA Nodes and the Project Node.

Project Node is a centralized database server used by the configuration tool. Thin Clients use the Project node to view static snapshots of animated graphics. Centralized Logs of real-time date are recorded to ODBC databases.

Clients display real-time data with animated graphics and allow operators to change values, acknowledge alarms and control in real-time. Clients connect directly to a SCADA node to get real-time data.

Thin Clients display snapshots of graphics and use a text based interface to change data, acknowledge alarms and control.

Figure 1-2 Advantech WebAccess Network Components


1.2.1 Standalone Systems

Stand-alone systems are implemented in one of two general ways:

· The SCADA Node software and Project Node software on the same PC

· The SCADA Node software on the PC and the Project Node Software on a mobile laptop or remote PC


1.2.1.1 Single PC Stand-alone system

1.2.1.1 Single PC Stand-alone system(Not supported by WinCE Edition(WebView &WebLink ))

Figure 1-3 Stand-alone SCADA Node – no network

This standalone PC would have both the SCADA node software and the Project Node software installed. The Project Node software is the configuration tool. A web browser must be installed on the system to use for the configuration tool (Project Manager). A TCP/IP Service must be installed. The Loop back TCP/IP service in Windows will work (even without a network card). IIS must also be installed as part of the configuration tool.

ViewDAQ allows operators and users to View and Control real-time data and full-animation graphics without a web browser. Displays Groups are another feature available to ViewDAQ users (but not browser clients).

Engineers and technicians would use a web browser to configure the database. There is a local version of the Graphics builder on the Project node named DrawDAQ, to allow users to build graphics without a web browser. DrawDAQ is intended for "standalone" architectures where both the SCADA node and Project node software are installed on the same PC.


1.2.1.2 Standalone PC with configuration tool on Laptop

Figure 1-4 Run-time Only SCADA Node with remote Development

This standalone PC would have the SCADA node software and a network card with TCP/IP service.

The Laptop has the Project Node software installed as the configuration tool. The laptop contains the database and all graphic source files. Changes to the Graphics and the Database can be done on the laptop even if disconnected from SCADA node. No changes to SCADA node can be made without the laptop.

On the laptop, a web browser must be installed to use for the configuration tool (Project Manager). IIS must also be installed as part of the configuration tool. Both will need a network card in order to download changes to the SCADA node. A cross-link cable and Ethernet network cards provide an easy interface.

ViewDAQ provides operators and general users on the SCADA node to VIEW and Control real-time data and full-animation graphics without a web browser.

Displays Groups are a feature available to ViewDAQ users (and browser clients). Display Groups are a "Windows Management Tool" to allow multiple windows to be opened, sized and positioned on the screen, then saved for later recall with a single button click. Examples of Display Groups is to have an Alarm Window, A Trend Window and a Graphic window opened automatically with the selected graphic, trend etc. with a single button click. Display Groups can be created, modified and saved using ViewDAQ (Web browser VIEW clients can only view Display Groups).

Engineers and technicians would use a web browser to configure the database and build graphics on the Laptop. There is a local version of the Graphics builder on the Project node (laptop) named DrawDAQ, to allow users to build graphics without a web browser.

Note -- To build and modify Graphics on the laptop (using DRAW) while disconnected from SCADA node would requires the IP address of the SCADA node in the Project database to be temporarily changed to that of the laptop.


1.2.1.3 Standalone PC with remote dial up access

1.2.1.3 Standalone PC with remote dial up access(Not supported by WinCE Edition(WebView &WebLink ))

Figure 1-5 Standalone SCADA Node with remote access

This standalone PC would have both the SCADA node software and the Project Node software installed on the SCADA node PC. This is essentially the same as the single PC configuration above. The remote client would only need a web browser (Internet Explorer 6.0, 7.0, or later).

A modem would allow remote engineering support and remote access to real-time data using a web browser. Alternatively, remote users might use it to read real-time data or respond to alarms or remote control actions.

The modem must support a TCP/IP protocol connection. The standard RAS (Remote Access Service) in Microsoft windows would allow the SCADA node to answer calls and provide the TCP/IP link without a 3rd party service (ISP). Alternatively, the modem could also be a permanent network connection like DSL or ISDN through an ISP (Internet Service Provider).


1.2.2 Network Architecture Drawing

There is no limit to the number of SCADA nodes or Clients in a network (other than licensing requirements). Typically, there is only one project node (the second would act as a backup database server or a redundant web server).

Figure 1-6 Advantech WebAccess - large networks - unlimited scalability

How you design your network will affect the overall performance of your system. Considerations include:

· Physical Location of Automation Devices including PLCs, Controllers, and Network Access points (Geography).

· Throughput required (i.e. SPEED of Display updates).

· SCAN time of Devices

· Protocol

· Network Characteristics (traffic, number of nodes)

· Number of users

· Device Driver

· The speed of the PLC or Device

· How many tags can be read in a single request from the PLC


1.2.2.1 Local LAN as the Network

1.2.2.1 Network Accessed through a Firewall

A firewall is highly recommended if your Advantech WebAccess Project and SCADA nodes are exposed to the Internet (i.e. you are using Public IP Addresses). This will increase the security of your system. A firewall appliance is recommended. For more information, see 1.6.1 Firewalls.

Figure 1.2.2.1 - Firewall with access to SCADA Nodes using Public IP Address


1.2.2.2 Internet as the Network

If you distribute your control system across the globe using the Internet, then a dedicated firewall for each remote location with a public IP address is a highly recommended. This will increase the security of your system. A firewall appliance is recommended. For more information, see 1.6.1 Firewalls.

Figure 1.2.2.2 -Firewall for Project Node requires Address Mapping - optionally use Address Mapping on SCADA Nodes

In the above configuration (Figure 1.2.2.2) the Central Control Room Project Node, SCADA Node and clients need to use Address Mapping in Advantech WebAccess. The NAT in the Firewalls handles all the redirection of the Public IP addresses to the Private IP Addresses for the SCADA Nodes with dedicated firewalls.

The Control Room clients and the Project Node and SCADA node behind the same firewall must use private IP addresses to communicate. This is because most firewalls do not allow Private Users to address each other using their Public IP address (note- most routers do allow this). In the above configuration (Figure 1.6.2), the Control Room Clients and the Project Node and SCADA Node need to use Address Mapping in Advantech WebAccess to substitute the Private IP Address when the Public IP address is seen.

See 8.7.5 Address Mapping for Firewalls and mixed Private & Public Users for more information on Address Mapping by editing the bwclient.ini file on the SCADA and Project Nodes.

See 8.7.3 Routers, Proxy_Servers, Port_Mapping and_NAT.htm for more information about configuring your firewall.


1.2.2.3 Number of SCADA nodes required

This is probably the first thing to decide. How many SCADA nodes do you need?

The number of SCADA nodes you need depends on:

· The Physical Location of your Automation Devices. Are they all close enough that they can connect to a single SCADA node? If yes, then one SCADA node might be the answer.

If the automation devices are far apart and cannot be connected to a single SCADA node, then you need a SCADA node for each location.

· The automation network used.

o Does it support Multiple Masters? If not Multi Master, can the automation network be split into multiple smaller networks? If the answer is no to both, then one SCADA node is required.

· Reliability. Multiple SCADA nodes provide a distributed architecture that is more reliable. Advantech WebAccess also provides Redundant SCADA nodes that will automatically switch to the backup and redirect Clients to the backup SCADA Node.

A Hot Standby might be an inexpensive solution, where a second PC is loaded with SCADA node software and the user must move the license key to the hot standby PC.

· Trending. The number of tags that can be trended by a single SCADA Node are limited by:

o The CPU speed,

o The Disk Access time,

o The SCAN time on the Com Port

o The data log Deadband given to each tag and

o The number of tags that exceed their data log deadband during each second.

The upper limit is 800 tags requiring disk access changing more than their deadband in each second for a 1.8 GHz PC with a 7200 rpm IDE Hard drive. If you have larger requirements for Data Log trends, then you need to distribute your tags over multiple SCADA nodes or examine hard drive technology with large cache and faster write access than IDE (e.g. SCSI, SAN, etc.) For more information see 1.4.5 Disk Space and CPU speed.


1.3 Node Types

1.3.1 SCADA Nodes

Figure 1‑7 SCADA Nodes connect to Automation Devices

The SCADA Node communicates in real-time with automation equipment. The SCADA node is physically connected to automation hardware via Serial, Ethernet or proprietary communications. Typical automation equipment include Programmable Logic Controllers (PLCs), Single Loop Controllers, Direct Digital Control Systems (DDC), Distributed Control Systems (DCS) and IO (input / Output) systems. The SCADA node is not a web server (usually).

The SCADA Node is the computer directly connected to a plant control system. The SCADA Node typically has a serial, Ethernet or proprietary network card communicating directly with PLCs, Controllers and IO racks. The SCADA Node also has a network connection to Clients. The SCADA Node retransmits data between the controllers and clients. In a sense, the SCADA node is a "SCADA Server".

The SCADA node can be a Blind node or have its own Local Interface (called View DAQ).

There can be an unlimited number of SCADA Nodes in the system.


1.3.1.1 Distributed Control & IO Architecture

The SCADA node has its own run-time database and all graphics. It runs independently of the Project Node, Clients and any other SCADA node. All graphic files, database files, and program files required for run-time operation reside on the local hard drive of each SCADA node.

Each SCADA node communicates to automation equipment using the communication drivers supplied with Advantech WebAccess. SCADA nodes also provide Alarming, Logs, Reports, Calculations and other SCADA features.


1.3.1.2 Device Drivers and IO Tags on the SCADA node

The Device Drivers are software drivers built into Advantech WebAccess to provide communications with PLCs, DDC systems, IO and automation hardware. The engineer or technician "configures" device drivers with Fill-in-the-Blanks forms that update the Advantech WebAccess database. No programming is required by users, operators, technicians or engineers to implement a device driver. Advantech WebAccess Device drivers are objects that use a database to update the IO Tags.

IO Tags, Blocks and the Internal Tags (Calculation, Constant and Accumulation Tags) are object that reside on SCADA nodes. The SCADA node acts a Tag Server to clients to provide real-time data.

For a current list of device drivers, refer to the Advantech web site at:
http://webaccess.advantech.com/


1.3.1.3 License and Hardkey required for SCADA node

1.3.1.3 License and Hardkey required for SCADA node(Not supported by WinCE Edition(WebView &WebLink ))

The SCADA node is the only node in the system with a Hardkey used for Licensing. Each SCADA node must have its own Hardkey and matching License software control file. In the full-feature version, an unlimited number of clients can connect to a SCADA node (your License may limit this number). The number of Tags is also limited on a given SCADA node by the software control license file. For more information see: sections 1.5.4 SCADA node License,
1.5.4 HARD KEY,
1.5.4.1 Parallel Hard Key,
1.5.4.2 USB Hard Key.

Parallel Hardkey

USB Hardkey


1.3.1.4 Hot Standby SCADA Node

1.3.1.4 Hot Standby SCADA Node(Not supported by WinCE Edition(WebView &WebLink ))

A copy of SCADA node software can be installed on another PC, along with its License software control file, for use as a Hot Standby. This Hot Standby can be downloaded from the Project node with a ready to run database and graphics. The Hot Standby will run in simulation mode without the Hardkey to allow testing or training. The hot standby can be implemented at no additional cost since no additional license is needed. The Hardkey must be physically moved to the Hot Standby to bring it online.


1.3.1.5 Redundant SCADA nodes

1.3.1.5 Redundant SCADA nodes (Not supported by XP Standard and WinCE)

A Redundant SCADA node consists of primary and backup SCADA nodes, each with SCADA node software, license control file and Hardkey installed. The Project Manager will download an identical run-time database to both primary and backup SCADA nodes (assuming both are on-line. The Primary and backup will communicate with each other when the kernel is started, but only one will communicate to automation hardware. If the Primary fails, the Backup will begin communications to the automation devices. The Web Browser clients will be redirected to the backup if the primary node fails. The redundant SCADA node requires the purchase of two SCADA node licenses.


1.3.1.6 Redundant Communications Ports

1.3.1.6 Redundant Communications Ports (Not supported by XP Standard and WinCE)

A Redundant Comport consists of primary and backup communications Ports on the SCADA node. This enables a redundant communications path to the Device. If communications cannot be established through this Comport, Advantech WebAccess will try a second Comport, specified as the Backup Port. You configure the backup Port number in Advantech WebAccess, but without any devices on it. Usually the device must have two comports also. Not all Device Types support a backup Port.

The Backup Port is usually configured as the same type. However, some Device Types allow the backup port to be another physical type; for example, Modicon Device can use a TCP/IP (network) port as a backup port to a Serial Port.


1.3.2 Project Node

Figure 1-8 Project Node is a Central Database Server

The Project Node consists of four elements:

1. The Project Node software - is a collection of ASP (Active Server Pages) organized into a Web Site. These ASP pages act as the Configuration Tool enabling ordinary web browsers to configure a Advantech WebAccess project.

2. The Advantech WebAccess Database - is a Centralized Database of the configuration of each SCADA node in the project. A copy of all graphics files, scripts and other components is kept on the Project node. Editing of the Tag Database or editing a graphic requires a connection to the Project Node. The Database and Graphic files are physically located on the Project Node. Changes to the database or graphic are not seen on the SCADA nodes until the changes are "Downloaded" to the SCADA nodes.

3. The Project Node logs real-time data to ODBC-compliant databases which can be accessed using HTML Reports from VIEW using Fill-in-the-Blank queries for Time, Date, Tag, Node, user name, user action, etc. Scheduled Reports are generated and emailed based on the data logged to the central ODBC databases.

4. Web Server - A standard ASP enabled Web Server is used. This can be the standard web server supplied with Windows 2003, 2000 and XP: IIS (Internet Information Server).

Windows 2000 Professional and Windows XP professional can support up to 10 simultaneous connections.

Windows 2003 or 2000 Server versions can support an unlimited number of connections.

A connection to the Web Server / Project Node is only needed for:

· Configuration

· DRAW

· The initial connection between a Client and the SCADA node

· When the refresh button is pressed on the Client

· A Thin Client connection

The number of simultaneous connections required by the Project Node can be much less than the number of Clients connected to SCADA nodes. Web Browser Clients, using the plug-in, are redirected to the SCADA node and the connection with the Project Node is dropped until the user either presses the Refresh button (not usually done) or opens a new web browser window to make a new connection to Advantech WebAccess.

Only Thin Clients, Configuration (Project Manager) and DRAW require a continuous connection with the Project Node. A connection to the Project Node is also needed to view HTML reports of the central ODBC Logs, View a past Scheduled report or modify the Scheduler.

The WWW Service (web Server) must be installed. The FTP service is not required. Advantech WebAccess supports Anonymous Access, Authenticated Access (Integrated Windows authentication), Secure Communications including Certificates, Secure Sockets and Virtual Private Networks (VPN).


1.3.2.1 Centralized Database Server

Figure 1-9 Project Node downloads files with single button

The Project Node stores and propagates program files, graphic files, run-time files and database files. Connection to the Project Node is not needed for run-time operation of the other nodes. Connection to the Project is needed only for configuration, DRAW and Thin Clients (e.g. PDA and Handheld computers) and the initial connection between clients and SCADA nodes. If the Centralized Data Logger is used for data logging of real-time data, then the Project Node must be connected to the network at all times.

There is usually one Project Node in a system. A Hot Standby can be made easily. There is no Hardkey License required for the Project Node.


1.3.2.2 Web Server

Advantech WebAccess uses an ordinary web server as our Project Node.

Microsoft IIS (Internet Information Server) is a standard option in Windows 2000 and XP, both Professional and Server versions. You can install IIS from your Windows 2000 Professional, Windows 2000 Server or Windows XP Professional Installation CD.

The Project Node provides the initial link between Clients and the SCADA nodes. After that link, the Web browser clients communicate directly to the SCADA Node. The connection to the Project Node is dropped until the Refresh button is pressed (which not normally done while using WebAccess). The 10 simultaneous connections provided by Windows 2000 and XP Professional will support much more than 10 users.

The Project Node is a Web Server. At least one web server is required in order to do database configuration, graphics building and to download run-time databases from the Project Node to the SCADA Node(s). A Project Node web server is also needed to access the centralized logs.

SCADA nodes are usually not web servers. For stand alone installations the Project Node and SCADA node are often combined on one PC. A SCADA node can optionally be a web server as a way to provide redundant paths for remote Clients to connect to the SCADA Node(s). For more information, see 16.1.3.2 Connect without Project Node.

A redundant Web Server is easily implemented to point users to the SCADA Nodes. (SCADA Nodes can be redundant also).

This makes WebAccess a "fully" web-based solution. WebAccess enables engineers, integrators and vendors with the ability to support their systems remotely over an intranet or the Internet using an ordinary web browser.

It is possible for remote Clients to connect to SCADA nodes without a web server. See 16.1.3.1 Connect without Web Server, for more information.

ASP (Active Server Pages) are used as the Engineering Tool in WebAccess, for HTML reports, and initial client connections. An ASP enabled Web Server is required. Microsoft IIS is the only ASP enabled Web Server software suite supported by WebAccess SCADA and HMI software.

For more information, see the Project Node System Requirements and IIS on the Project Node. See the Troubleshooting section to Determine if IIS is installed on your Project Node computer.

Using WebAccess with Windows Vista

For WebAccess Project Node software to run on Windows Vista, install IIS on your project nodes first with following IIS features turned on before installing WebAccess Node.

Enable IIS (Internet Information Service) before installing Project Node software!

IIS is the “web server” in Windows. IIS must be enabled before installing the Project Node software to allow WebAccess files to be installed properly.

IIS is disabled by default in Windows Vista. For those of you who wish to use WebAccess Project Node on Windows Vista, please enable IIS on your project nodes first with following IIS features turned on before installing WebAccess Project Node software.

To enable IIS in Windows Vista Business:

1. Start -> Control Panel -> Programs -> Programs and Features

2. On the left Side Bar select “Turn Windows features on or off”

3. Wait for the Windows Features dialog box to open and fill, then expand “Internet Information Services”.

In case the above JPEG images does not appear in this, the typical settings for IIS in Vista for use with WebAccess on the Project Node as tested are:

Internet Information Services – ON

FTP Publishing Service – OFF (optionally ON, not needed and is security risk)

Web Management Tools – ON

IIS 6 Management Compatibility - ON

IIS 6 Management Console – OFF

IIS 6 Scripting Tools – OFF

IIS 6 WMI Compatibility – OFF

IIS Meta base and IIS 6 configuration compatibility – ON

IIS Management Console – ON

IIS Management Scripts and Tools – OFF

IIS Management Service - OFF

World Wide Web Services - ON

Application Development Features – ON

.NET Extensibility – OFF

ASP – ON

ASP.NET – OFF

CGI – OFF

IASPI Extensions – ON

IASPI Filters – OFF

Server Side Includes - ON

Common Http Features – ON

Default Document – ON

Directory Browsing – ON

Http Errors – ON

Http Redirection - ON

Static Content - ON

Health and Diagnostics – ON

Custom Logging – OFF

HTTP Logging – ON

Logging Tools – OFF

ODBC Logging – OFF

Request Monitoring – ON

Tracing - OFF

Performance Features – ON

Http Compression Dynamic – ON

Static Content Compression - On

Security - ON

Basic Authentication - OFF

Client Certificate Mapping Authentication - OFF

Digest Authentication - OFF

IIS Client Certificate Mapping Authentication - OFF

IP Security - OFF

Request Filtering - ON

URL Authorization - OFF

Windows Authentication (optional ON, usually OFF)


1.3.2.3 Email Server

The Email of alarms and reports requires access to an SMTP server. For Alarm Notification and Scheduled Reports, Advantech WebAccess SCADA nodes and will send an email through an SMTP compatible mail server. Clients can also send email via scripts through the SCADA node.

This package was written to be as portable as possible and is known to work on Windows systems. Email is sent from the Project Node, even if sent by a Web Client.

This MAIL package provides only the text transport mechanism -- no provisions have been made for attachments or other fancier email features. SMTP is supported. MIME and attachments are not supported. MAIL attempts to be as RFC-compliant as possible.

The MAIL Action commands put a simple interface around mail sending, requiring options for specifying the host (mail server), port, From, TO and SUBJECT. A Body option specifies the body of the message directly. One or more recipient email addresses should be specified using the to, cc, or bcc respective list-oriented options.

SMTP Service in Windows IIS is not required by Advantech WebAccess if you are using an external SMTP server and account (for example, your corporate email server or an ISP).

Optionally the SMTP service of Windows IIS can be installed on the Project Node or a SCADA Node to send email. This might be acceptable for a LAN or Intranet that sends mail locally only within the same domain or workgroup. To use the SMTP Server on the Project Node to send outside of a local domain, a user account and password is configured to connect to a SMART HOST in the SMTP Properties of Windows IIS on the Project Node or a SMART HOST (your corporate email server) needs to accept relay from the Project Node. This is not recommended procedure.

See 3.2.8 Outgoing Email Server - SMTP for more discussion on SMTP to send email.


1.3.3 Clients

***********************************************************************************************
*Note:
For XP Standard Edition, only one web client is supported, for WinCE edition, two web clients are supported.
For XP Professional and XP Standard edition, the quantity of thin Clients are limited by license, for WinCE edition, thin Client is not supported.
***********************************************************************************************

Figure 1-10 Advantech WebAccess Clients

Advantech WebAccess Clients act as full function Operator Workstations and Engineers Workstations using the Internet Explorer 6.0 Web Browser. Every Graphic and Display is viewable over a LAN, an intranet, the Internet or other TCP/IP connection including Dial-up RAS. This includes user built displays, trend displays, system displays, screen scripts, and animation. Every Engineering function including Tag Database, Node and Device communication Drivers and the Graphics builder are available through the web browser clients.

VIEW is the runtime version with full animation graphics. Ordinary Users and operators (typically a control room operator or building maintenance personnel) use VIEW to monitor the real-time data and to control. These are the final end users.

Our Graphics Builder is called DRAW (if using a web browser). An engineer or automation technician would use DRAW to develop graphics using a Web Browser with the Client Plug-in.

The graphics represent the facility or process that is to be monitored and controlled. For example, if the application is a building, the graphics have representation of floor plans for temperature controls and representations of equipment used to cool or heat the building: chillers, air handlers, boilers plus the pipes, valves and ducts that interconnect them. These graphics are animated to connect to real-time data. Information is updated as fast as 10 times per second to once every 15 minutes depending on the process and automation hardware.

Engineers and Technicians would connect to the Project Manager using an ordinary web browser to configure communications to devices, IO Tags, Alarms, Trends, Recipes, and other SCADA features.

The Advantech WebAccess Client is an Active-X control (a "plug-in") for Internet Explorer 6.0 (or later). Users are prompted when they first connect to VIEW or DRAW to download and install the Client Plug-in.

Thin Client

An alternative to the Advantech WebAccess Client is to use the Thin Client interface. The Thin Client interface requires no software be installed on the clients (you don't need the ActiveX control). The Graphic files are cached as GIF(s) and JPEG(s), and then displayed through a few ASP pages. (GIFs are used for graphics displays with less than 256 colors; JPEGs are used for displays using more than 256 colors). The Thin Client uses Static Graphic Snapshots, no animation. Each time the refresh button is pushed, a "snapshot" of the animation is made. Displays do not update automatically. The Thin Client does not support animation, pushbuttons, or drag regions (slider bars). Changes to Tags and Alarm Acknowledgement are made through a Text type interface.

The Thin Client maintains a continuous connection with the Project Node (Web Server) and may increase the licensing requirements of the Windows 2003, 2000 or XP software to support an increased number of connections. Using the Thin Client with many users will require Windows 2000 Server or 2003 Server with a large connection license. Windows and XP Professional are limited to only 10 simultaneous connections, which may be inadequate for a Thin Client only interface to many users.

The Thin Client supports Restricted Users, General Users and Power Users.

The Thin Client interface is designed for use by PDA, Pocket PCs, and Handheld computers (using Windows CE and Internet Explorer). Pocket PCs (running Windows CE) are automatically redirected to the Thin Client Interface address

The Thin Client interface can be viewed by all PCs using Internet Explorer. The typical address is at: http://your_ipaddress/broadWeb/hd1/m.asp


1.4.1 Project Node - System Requirements

Operating System: Windows 2000 (Professional and Server), Windows Server 2003, Windows XP Professional, Windows Vista Business or Vista Ultimate with IIS (Internet Information Server) installed. (See notes 1 and 2 below.)

IIS (Internet Information Server) installed. The WWW Service (web Server) must be installed and running. ASP (Active Server Pages) enabled.

SMTP Server (optional, not recommended). The SMTP service is not needed on the Project Node if using Email Alarm Notification, Email of Scheduled Reports or MAIL commands. WebAccess normally uses an external SMTP Server (for example the corporate email server or and ISP) to forward email. Optionally, you can allow the Project node to forward email directly.

NTFS File System - NTFS provides Security and it is faster. FAT provides no security and is not appropriate for the Web Server (Project Node).

Microsoft Licensing will limit the number of clients connecting to IIS. The Limit is 10 simultaneous connections in Windows 2000 and XP Professional. In Windows 2000 and XP Server versions, the limit is dependant on your license (it can be unlimited). Vista Business is unlimited

Hardware: Pentium III, Pentium IV, Celeron or Athlon processors are recommended for the Project Node and SCADA nodes. SCSI Hard Drive, SAN or other large cache storage recommended if Data Logging.

Network Addressing: Fixed IP Address or network address. See section 2.3.1 About Addresses for more information.

Web Browser: Optional. Needed for configuration tool. Microsoft Internet Explorer 6.0, 7.0, or later. (ASP enabled) Medium Security Zone setting for safe browsing.

Display Resolution: (Optional although a Display is recommended). 1024 x 768 or higher (recommended). Lower resolutions also supported.

Communications Service: Microsoft TCP/IP Protocol.

Communications Speed: T1 or DSL is recommended.
(33 Kb/sec, 56 Kb/sec, 128 Kb/sec and ADSL supported)

User Security Privileges:
For Windows 2000, 2003, XP and Vista, Standard Users (i.e. a member of the Power Users) can install and run the client. Restricted Users (i.e. a member of Users) cannot install and cannot run the Client.

Web Security: WebAccess supports Anonymous Access, Authenticated Access (Integrated Windows authentication) and Secure Communications including Certificates, Secure Sockets and Virtual Private Networks (VPN).

Firewall Security (optional): If using a connection through a Firewall, two additional TCP Ports assigned by your system administrator are required. These are in addition to Port 80, the HTTP port, which must also be opened (or a third port assigned for HTTP).

Note 1 - about Windows 2000 and Windows XP
Windows XP requires service pack 2 (SP2) or later.
2003 Server requires service pack 1 (SP1) or later.
Windows 2000 requires service pack 4 (SP4) or later.

Note 2 - Windows Vista Home, Windows XP Home, Windows 98, and Windows ME are not supported as a Project node or SCADA node. They do not provide Web Server software. They can be Clients.


1.4.2 SCADA Nodes - System Requirements

Operating System: Windows 2000 (Professional and Server), Windows Server 2003, Windows XP Professional, Windows Vista Business or Vista Ultimate with IIS (Internet Information Server) installed. (See notes 1 and 2 below.)

NTFS File System - NTFS provides Security and it is faster. FAT provides no security and is not appropriate for the SCADA node.

Hardware: Pentium III, Pentium IV, Celeron or Athlon processors are recommended for the Project Node and SCADA nodes. SCSI Hard Drive recommended if Data Logging to SCADA Node. The hard drive disk controller will be the limiting factor on most systems depending on the number of tags data logged.

Network Addressing: Fixed IP Address or network address. See section 2.3.1 About Addresses for more information.

Web Browser: Optional. Needed for configuration Tool. Microsoft Internet Explorer 6.0, 7.0, or later. (ASP enabled). Medium Security Zone setting to allow ActiveX control.

Display Resolution: 1024 x 768 or higher (recommended). Lower resolutions also supported.

USB or Parallel Port: D25 pin parallel port (LPT1 - ECP mode required) or USB port required for License Hardkey.

Serial Port: If using RS-232 or RS-422 it is recommended to have an actual serial port. Using a Serial to USB converter is not recommended because errors on the serial device are often masked by the USB driver interface.

Communications Service: Microsoft TCP/IP Protocol.

Communications Speed: T1 or DSL is recommended.
(33 Kb/sec, 56 Kb/sec, 128 Kb/sec and ADSL supported)

User Security Privileges:
For Windows 2000 and XP, Standard Users (i.e. a member of the Power Users) can install and run the SCADA node. Restricted Users (i.e. a member of Users) cannot install, but can run the SCADA node.

WebAccess supports Virtual Private Networks (VPN).

Firewall Security (recommended): If using a connection through a Firewall, two additional TCP Ports assigned by your system administrator are required. These are in addition to Port 80, the HTTP port, which must also be opened (or a third port assigned for HTTP).

IIS - Internet Information Server (optional, not recommended). The WWW Service (web server) is not needed on the SCADA Node. Normally users connect via the Project Node and are redirected to the SCADA node. Optionally users can connect directly to the SCADA node using a local file and manually entering the SCADA Node information as described in section 16.1.3 bwView.htm. Optionally install IIS on the SCADA node to allow an alternate method of allowing users to connect (a type of redundancy) if the Project Node or main web server is not available.

SMTP Server (optional, not recommended). The SMTP service is not needed on the SCADA Node if using Email Alarm Notification, Email of Scheduled Reports or MAIL commands. WebAccess normally uses and external SMTP Server (for example the corporate email server or ISP) to forward email from SCADA Nodes. Optionally, you can allow the SCADA node to forward email directly.

Note 1 - about Windows 2000 and Windows XP.
Windows XP requires service pack 2 (SP2) or later.
2003 Server requires service pack 1 (SP1) or later.
Windows 2000 requires service pack 4 (SP4) or later.

Note 2 - Windows Vista Home, Windows XP Home, Windows 98 and Windows ME are not supported as a SCADA node.


1.4.3 Client - System Requirements

Operating System: Windows 2000 Professional and Windows XP Professional are highly recommended as clients. Windows 2000 Server and Server 2003 are also supported.

Windows Vista Home Basic, Vista Home Premium, Vista Business and Vista Business Ultimate are also supported as clients on many, but not all, hardware platforms (See note 3.)

Microsoft Windows 98 and Windows XP Home support most, but not all, features in the WebAccess client. (See note 2.)

Hardware: Pentium, Celeron, Athlon or better required by clients.

Network Addressing: Dynamic IP (DHCP) and fixed IP supported. Host names (e.g. computer network name), if recognized by client, SCADA Node and Project node, are also supported.

Web Browser: Microsoft Internet Explorer 6.0, 7.0 or later supports all features. ASP enabled and ActiveX enabled. A Medium Security Zone setting for safe browsing using either the Internet Zone, Intranet Zone or Trusted Site. Video Requires IE 6.0, 7.0, or later (ASP enabled).

Display Resolution: 1024 x 768 or higher (recommended). Lower resolutions also supported.

Communications Service: Microsoft TCP/IP Protocol.

Communications Speed: T1 or DSL is recommended.
(33 Kb/sec, 56 Kb/sec, 128 Kb/sec and ADSL supported)

User Security Privileges: For Windows 98 / ME, all Users can install and run the Client.

For Windows Vista, 2000, 2003 and XP, Standard Users (i.e. a member of the Power Users) can install and run the client. Restricted Users (i.e. a member of Users) cannot install and cannot run the Client.

Web Security: WebAccess supports Anonymous Access, Authenticated Access (Integrated Windows authentication) and Secure Communications including Certificates, Secure Sockets and Virtual Private Networks (VPN).

Firewall Security (optional): If using a connection through a Firewall, two additional TCP Ports assigned by your system administrator are required (4592 and 14592 are the default TCP ports). These are in addition to Port 80, the HTTP port, which must also be opened.

Note 1 - about Windows 2000, XP and 2003. WebAccess can be run under Windows 32 bit operating systems for Intel compatible systems only. It will not run under other types of Windows such as Windows for DEC Alpha or Windows for PowerPC®.
Windows XP requires service pack 2 (SP2) or later. 2003 Server requires service pack 1 (SP1) or later. Windows 2000 requires service pack 4 (SP4) or later.

Note 2- Windows XP Home, Windows 98, and Windows ME do not support all advanced animation features in WebAccess including bitmap rotate and text rotate.

Note 3- Windows Vista running on some hardware platforms (for example single core INTEL and AMD) do not support Video, Tools, Reports and web browser controls inside a graphic display.

It appears most Dual Core INTEL and AMD PCs produced after 2006 do support all features in the WebAccess Client using Vista.

It is recommended to test an Vista based PC before using it as a WebAccess Client if you plan to use Video, Tools, Reports, Logs or any Web control inside a graphic display


1.4.4 Thin Client Requirements

Operating System: Microsoft Windows Mobile 5.0 for Pocket PC, Windows CE version 3.0 or later. Also, Windows 95, 98, ME, NT 4, 2000, XP and 2003 can be used. Palm OS has limited functionality (text only interface for Palm OS).

Web Browser: Microsoft Pocket Internet Explorer and Internet Explorer 5.0 or later. Internet Explorer 6.0 recommended (ASP enabled).

Display Resolution: 200 x 200 minimum.

Communications Service: Microsoft TCP/IP Protocol

Communications Speed: Wireless Ethernet, T1, DSL, ISDN, serial
(33 Kb/sec, 56 Kb/sec, 128 Kb/sec) and ADSL supported

User Security Privileges:
No installation of software is required.

Web Security: Advantech WebAccess supports Anonymous Access, Authenticated Access (NT Authentication or Integrated Windows authentication) and Secure Communications including Certificates, Secure Sockets and Virtual Private Networks (VPN).

Note - The Thin Client interface supports static snapshots of graphics (GIFs and JPEGs). Each time the refresh button is pushed, a "snapshot" of the animation is made. Thin Client Displays do not automatically. It does not support animation, pushbuttons, or drag regions (slider bars). Thin Clients require a continuous connection with the Project Node and may increase the licensing requirements of the Windows NT, 2000 or XP software to support an increased number of connections.


1.4.5 Disk Space and CPU speed

These apply to the SCADA Node (for Data Log Trend Files) and Project Node (for ODBC Log Files).

SCSI Hard Drives are recommended if you a Data Logging to the Project Node or SCADA Node.

See the related section Data Log Disk Space and throughput.


1.4.5.1 Data Log Trend recording

The hard drive disk controller will be the limiting factor on most systems depending on the number of tags data logged.

The actual number of tags that can be Data Logged by a SCADA node is dependent on:

· Processor Speed (CPU Speed)

· Hard Disk Access Time

· Processor Load (due to other tasks like scripts, schedules, communications, calculation tags).

· Scan Rate of the Communication Port

A guideline is 500 tags/second for a 1.8 GHz Pentium IV processor. If your Scan rate is every 3 seconds, then you could data log about 1500 tags. Increasing the deadband to reduce the number of changes/second could increase this number of tags data logged. These assume the worse case scenario that there is no deadband or that the tags exceed the deadband every scan cycle.

500 tags/second scan rate

1000 tags / 2 second rate

2000 tags / 4 seconds rate

The use of a deadband will result in recording only significant changes, effectively reducing the number of value changes recorded per scan (and increasing the number of Tags that can be data logged).

If you are Data Logging more than 1500 tags on a SCADA node, you should consider using multiple SCADA nodes or using SAN, NAIS or other Disk Cache to speed up Disk Controller Access times by the SCADA node PC.

Data Log Trend Disk Space

Real time trends never store data on the hard drive.

Data Log Trends record Data to the Hard Drive of the SCADA Node.

Log to ODBC (Analog Tag Log, Discrete Tag Log, System Log, Action Log and Alarm Log) record data to an ODBC Database on the hard drive of the Project Node (an Access Database by default, named BwPData.mdb via the DSN named bwPData_Access).

Data Log Trend records 10 bytes per sample on the SCADA node. If you are sampling 1000 tags every 1-second and you are using NO deadband, then it will be:

500 tags * 10 bytes/sample * 1 scan/ sec * 3600 samples/hour * 24 hours/day * 30 days/month * 1/1024 *1/1024 *1/1024 = 12 Gigabytes in a month.

500 tags * 10 bytes/sample * 1 scan/ sec * 3600 samples/hour * 24 hours/day * 365 days/year * 1/1024 *1/1024 *1/1024 = 146.9 Gigabytes in a year.

500 tags * 10 bytes/sample * 1 scan/ sec * 3600 samples/hour * 24 hours/day * 1/1024 *1/1024 = 412 Megabytes in a day.

If a deadband is used, it will be less. If you assume the tags exceed deadband only 50 percent of the time (every 2 seconds), it will be

12 * .5 = 6 Gigabytes / month / 500 tags

146.9 * 0. 5 = 73.5 Gigabytes / year / 500 tags

412 * 0. 5 = 206 Megabytes / day / 500 tags

If a 5 second scan time is used:

500 tags * 10 bytes/sample * 1 scan/ 5 sec * 3600 samples/hour * 24 hours/day * 365 days/year * 1/1024 *1/1024 *1/1024 = 29.4 Gigabytes in a year.

The Maximum file size of an Access Database is 2 Gigabytes.

The Log Data Maintenance feature in Advantech WebAccess will archive Data Log Trend files to a network folder or mass storage device AND will ERASE files that are older than a user-defined period on the local hard drive of the SCADA Node. Log Data Maintenance will also archive and delete expired (old) records from the ODBC Log databases on the Project Node. (See Log Data Maintenance for a description of Automatic Archiving and Maintenance of Data Log Trend Files). The Log Data Maintenance will prevent your disk drive from filling up if used properly. In the above examples, if Log Data Maintenance were set for 30 Days would require only 9 Gigabytes of Disk space for data log trend files for 500 tags.

Note - if both Archive and Delete Expired Files are selected, but the Archive device is off-line, then the expired records and files will not be deleted.

Archive / Mass Storage Disk Space

Data Log Maintenance will copy expired Data Log Trend files daily to the archive media. No file compression is used in version 3.0. In the above 500 tag examples:

412 Mega Bytes /day / 500 tags / sec assuming every tag changes every second with no deadband for Data Log Trend files.

Data Log Maintenance will also create Access Database files daily for expired records from the ODBC Logs; up to 6 files daily: System Log, Action Log, Alarm Log, Analog Tag Log, Discrete Tag Log and Text Tag Log, as selected by user. If the SCADA node is off line, then a data file will be created the next day the SCADA node is running at the record time, containing data from the previous day(s).

The minimum size is 64 Kbytes per daily ODBC file. (6 x 64Kbytes = 384 Kbytes / day minimum). The maximum is hard to calculate for System, Alarm and Action Log.

Action Log (bwActionTable - bwPData.mdb) 220 Kbytes / 500 Operator Actions

Alarm Log (bwAlarmTable - bwPData.mdb) 4200 Kbytes / 20,000 Alarms

Analog Tag Log (bwAnalogTable - bwPData.mdb) 29,900 Kbytes / 370,000 Value changes

Discrete Tag Log (bwDiscreteTable - bwPData.mdb) 14,200 Kbytes / 250,000 State changes.

Text Tag Log (bwTextTable - bwPData.mdb) 4200 Kbytes / 20,000 changes.

There is no Archive restore or Playback feature in version 4.0. An Archive restore and playback is scheduled for a future release. Users can manually copy Data Log trend files (second X, minute M and hour H files) back to the SCADA node to view archived data. Archived ODBC files are easily opened using Access.

Program Files

Typical size of the Advantech WebAccess Node subdirectory (Advantech WebAccess Program files) for a combined Project/SCADA node is 29 Megabytes.

Typical Size for a Advantech WebAccess Client Subdirectory (Program files only) is 6 megabytes.

Typical Size for the InetPub\wwwroot\broadweb subdirectory on the Project Node is 7 megabytes.

Graphics

You have to make an estimate of the number of graphics on the SCADA Node, Project Node and Clients. Assume 200 Kbytes/graphic, 20 tags per graphic and 300 graphics

300 graphics * 200 Kbytes/graphic * 1/1024 * 2 = 5 Megabytes in /bgr and 5 Megabytes in DRW = 10 Megabytes

Around 32 Megabytes is required for all the default symbol libraries, widgets and system drawing files on the Project Node and SCADA node(s).

The entire Symbols and widgets are not downloaded to the Clients. Only the individual symbol or widget is downloaded to a client if it is requested while using DRAW. Similarly, only the individual Graphic File(s) requested by a Client is downloaded and cached on the Client PC.


1.5 Licensing

Advantech WebAccess requires that the customer pay for the SCADA node License. The Project nodes are licensed at no charge. Only the SCADA Node(s) require a HARDKEY.

Advantech WebAccess Client license is Edition-dependent.

Following table lists the limitations of Clients between different Editions:

Advantech WebAccess Edition

Limitation of Clients

Advantech WebAccess XP Professional

NO

Advantech WebAccess XP Standard

1

Advantech WebAccess WinCE

2

The SCADA node communicates in real-time with PLCs and automation equipment.

Clients communicate with the SCADA nodes over the Internet or an intranet to display real-time data.

The Project Node is the configuration, engineering tool, central database server and Web Server. Clients communicate with the Project Node over the Internet or an Intranet to build graphics, configure communications (tags) and download configurations to the SCADA nodes. The Project Node also provides the initial connection between Clients and SCADA nodes.

Most customers will need only two project nodes at most. Only one project node is required, but two project nodes enable a backup project node to be used as either a "hot standby" or "off-line development" node. Engineers and technicians can install multiple copies of Project Node software on laptops and PCs for off-line development.

In Advantech WebAccess, the number of Clients can be limited by different editions (as seen in the table above). The Client-Plug-in is distributed free (without charge). Only the SCADA node needs a Hardkey. There is no Hardkey required for the Clients or Project Node.

For example, a user has 20,000 tags on one SCADA node and 19 client workstations. He needs only one Hardkey (and one 20,00 tag license for the SCADA node). His 19 Clients can view the one SCADA node over an Intranet or Internet using a Web Browser and the Client Plug-in (or Thin Client).

The reason the Hardkey must be on the SCADA node is to protect the software license and prevent people from using the software without paying for it. We charge for the SCADA node. One SCADA node = one Hardkey = one license.

A SCADA node is always just one computer. You can have multiple SCADA nodes in a Project. Each SCADA node must have a license and a Hardkey.

The SCADA node usually connects directly to the PLC or Controller. The Clients do not directly connect to the PLC or Controller. The Clients connect to the SCADA node to get data.

How many SCADA nodes are required depends on the physical layout of the plant, reliability and through put issues.

For example, there are 10 PLCs and about 100 tags to be read on each. If the 10 PLCs are spread far apart, so far that they could not connect to the same SCADA node, then 10 SCADA nodes are probably required. If the PLCs are far apart (geographically) then the customer would need 10 separate SCADA nodes, each with a 150 tag license (there is no 100 tag license) or a mix of 150 point and 300 point licenses if it were not exactly 100 Tags at each location. If the 10 PLCs are close enough to connect to a single PC, then a single SCADA node, with one 1200 Tag license would work.


1.5.1 Client License

In the standard full-feature version of Advantech WebAccess, Users may distribute the Client Plug-in if they own a valid SCADA node License (with unlimited Client license) and follow the License Agreement.

Advantech WebAccess Client license is Edition-dependent.

Following table lists the limitations of Clients between different Editions:

Advantech WebAccess Edition

Limitation of Clients

Advantech WebAccess XP Professional

NO Limitation

Advantech WebAccess XP Standard

1

Advantech WebAccess WinCE

2

Licensing may limit the number of Clients that may connect to a SCADA Node in Advantech WebAccess. Microsoft IIS Web Server licensing, network throughput and CPU processing may limit the actual number of clients that can connect simultaneously. There is no Hardkey required for Clients.

Please see your LICENSE AGREEMENT for more information.


1.5.2 Development License (Project Node)

There is no charge for a Project Node License. Users may install multiple Project Nodes at no additional charge if they own a valid SCADA node license and follow the License Agreement. The Project Node is the configuration tool. It may be copied to laptops and other PCs to allow off-line development, graphics building, testing and training. There is no Hardkey required for a Project Node.

There is no Advantech WebAccess licensing limit to the number of Clients that may connect to a Project Node. However, since the Project Node uses IIS (Internet Information Server) as a Web Server for Advantech WebAccess configuration, Microsoft Licensing will limit the number of clients. The limit is 10 simultaneous connections in Windows 2000 and XP Professional. In Windows 2000 and XP Server versions, the limit is dependant on your license (it can be un-limited).

A connection to the Web Server / Project Node is only needed for:

· Configuration

· DRAW

· The initial connection between a Client and the SCADA node

· When the refresh button is pressed on the Client

· A Thin Client connection

The number of simultaneous connections required by the Project Node can be much less than the number of Clients connected to SCADA nodes. Only Thin Clients, Configuration (Project Manager) and DRAW require a continuous connection with the Project Node. When a client connects to a SCADA node, there is only a brief connection to the Project Node to download the address of the SCADA node and an ASP page; the connection from the Client to the SCADA node is direct and does not require further connection with the Project Node until the connection is broken or the refresh button is pressed.

Please see the LICENSE AGREEMENT for more information


1.5.2.1 Hot Standby Project Node Example

This is a type of redundant web server (technically a standby web server in this example). An ISP or hosting service maybe able to do the redirect of clients to the "backup web server" seamlessly (if a URL is used). This example assumes an ordinary user and IP addresses.

· Project Node on PC #1. No License required. No Hardkey. No charge (no additional cost to customer). Advantech WebAccess Project Node software installed with IIS.

· Hot Standby Project Node on PC #2. No License required. No Hardkey. No charge (no additional cost to customer). This node is an identical copy of the database and graphics on PC #1. Has separate address than PC #1 but contains PC #3 address in its database. Advantech WebAccess Project Node software installed with IIS. User copies the Project graphic files and database *(bwcfg.mdb) from PC#1 to PC #2. possible with a scheduled batch file. Alternatively a SAN or Network storage could be used to allow a single database and graphic files shared by two web servers.

· 1200 tag count SCADA Node on PC #3. One Hardkey with serial number.

If Web Server on PC #1 fails, the client redirects his web browser to Web Server on PC #2. PC #2 can direct clients to PC #3 SCADA Node (they have almost identical deploy files).


1.5.3 SCADA node License

The SCADA node is the only node in the system with a Hardkey used for Licensing. Each SCADA node must have its own Hardkey and matching software license control file. In the standard full-feature version, an unlimited number of clients can connect to a SCADA node. However, the number of Clients might be limited by the License purchased for the SCADA node.

The number of Tags is also limited on a given SCADA node by the License purchased. The Software License control file actually determines the Tag Limit; the Hardkey determines if the node runs in communications mode or simulation mode. Both the Hardkey and its matching Software License control file (control file) must be installed on the SCADA node. If you move your Hardkey to another PC, you must move the license file with the Hardkey. The Serial Number is printed on the outside of Parallel Hardkeys. The Serial Number in the License file can be read using the SerialNo, System Point Tag or %TSERIALNUM ViewDAQ system tag.

Licenses cannot be "split" among multiple SCADA nodes. For example, if you purchase a single 1200 tag license, you can not use 600 tags on one node and 600 tags on a second: you must purchase a separate license (with a Hardkey) for each SCADA node.


1.5.3.1 IO Tags limited by License

The "Level" of your license limits IO tags. IO Tags exchange data with the field automation devices (reads and writes). The IO Tag count is limited by the Hardkey and matching Software License file.

All IO Tags and All Block Parameters are summed to calculate the Tag count.

Note - If two tags read the same address, they still count as two tags

See also 1.5.3.2 Internal Tags limited by license, TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag, CalTag and 14.1.2 Connection Transfer Limits.


1.5.3.2 Internal Tags limited by license

Calculation, Constant and Accumulation Tags are limited to a number equal to your IO tag count limit (e.g. if you have a 1200 tag limit, you have 1200 IO tags plus 1200 Internal Tags = 2400 tags).

There is no limit to the local screen tags in Advantech WebAccess.

Internal Tags are Calculation Tags, Accumulation Tags and Constant Tags and are globally available to all displays, scripts and other tags. Calculation tags provide arithmetic and logic calculations, similar to a programmable calculator that runs repeatedly using inputs from other IO tags. Accumulation Tags are Totalizers or Integrators (e.g. totalize flow from flow rate). Constant tags are holder tags used for operator entry or to display the results of a script.

Local Screen Tags

These are not limited by the license. Scripts and Displays support the use of local screen tags to store results, read operator inputs and create complex calculations with screen scripts and displays. By using local screen tags in Scripts and Displays, you do not decrease your licensed tag count. There is no limit to the local screen tags in Advantech WebAccess.

See also 1.5.3.1 IO Tags limited by License TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag, CalTag and 14.1.2 Connection Transfer Limits.


1.5.3.3 Simulation Mode & DEMO License at no charge

Simulation Mode and Demo mode are almost the same thing. They allow users to test and train without purchasing a license for the SCADA node.

The Demo License uses a demo software control file limited to 150 tags. There is no Hardkey required. If you do not install a control file, the Demo control file is installed. The DEMO license will run in SIMU mode (simulation mode). Communications to automation devices will stop. All IO Tags will initialize to 1/2 of span. The value of tags can be changed by operators and users to "simulate" real communications. Alarms will occur, output limits and security is enforced. After 2 hours, the SCADA node Kernel will shutdown.

Simulation Mode uses the DEMO or any purchased software control file, without a Hardkey. The tag count is the same as in the purchased control file. This allows you to stage, test and train on a Advantech WebAccess system without purchasing additional SCADA node licenses. There is no communications with field devices. All Tags have their initial value. The value of tags can be changed by operators and users to "simulate" real communications. Alarms will occur, output limits and security is enforced.

Any copy of Advantech WebAccess can be used in Simulation Mode without a Hardkey. If you have purchased a copy of Advantech WebAccess, you can use that software license control file instead of the demo. You will be able to access tags equal to your software license tag count.

DDE and User Program interface are disabled in both DEMO and Simulation mode.

Both the DEMO license and Simulation mode behave similarly. Communications Status diagnostics are disabled. Tags will alarm. Read Only tags remain as read only however.

If you want to make tags interact with each other (i.e. Setpoint Changes Measurement), then you will have to create scripts or other functions to create interactive simulation.

Note - You can build more than 150 tags using the DEMO license, but you cannot "start" the SCADA node if there are more than 150 tags using the DEMO license.


1.5.3.4 Development & Training

You can use copies of Advantech WebAccess without a Hardkey for Development and Training. The DEMO software control file is limited to 150-tag database.

If you have purchased a copy of Advantech WebAccess, you can use a copy of your software license control file instead of the DEMO control file. Without the Hardkey, your license file will run in Simulation Mode. You will be able to access tags equal to your software license tag count.

You could make many copies of your system for Training or engineering development. Communications requires the Hardkey. All the copies would run in simulation (SIMU) mode.


1.5.3.5 DDE and User Programs disabled in Demo & Simulation

DDE is disabled when running in simulation mode or demo (no Hardkey). Similarly, the Applications Program Interface to User Programs is disabled when running in simulation mode or demo mode.


1.5.3.6 Hot Standby SCADA node at no charge

A copy of the SCADA node, with a downloaded database ready to run can be down easily by installing SCADA node software on the PC. Without the Hardkey, this will run in simulation mode for 2 hours (DDE and the API would be disabled). Users can move the Hardkey from the primary SCADA node to the Hot Standby.


1.5.4 HARD KEY

1.5.4 HARD KEY (Not available for WinCE)

The hard key is a Sentinel SuperPro manufactured by Rainbow Technologies. The hard keys connect to the SCADA Node computer’s parallel or USB port.

The Hardkey serial number must match the serial number in the software license control file. The software license control file describes how many tags are in the license. You will need the Software License Control file during Installation of the SCADA node. The 'Control File" is usually distributed on a Floppy Diskette with your package. The "Control File" must match your Hardkey.

If you have multiple SCADA nodes, you have to install a different 'Control File" on each SCADA node and the "Control File" serial number must match your Hardkey's serial number.

If you do not have a Software License Control File, the "Demo License" will be installed. The Demo License is limited to 150 tags in Simulation Mode only

If a user buys the 64-tag version, he or she would have both a Hardkey and a matching license file that says 64 tags. Moreover, they can build and use 64 tags.

If user moves his Hardkey to another computer and does not move his license file, then the new computer will be forced into simulation.

If the user wants to upgrade his Advantech WebAccess to 20,000 tags, he would purchase a new license file that he could copy to his computer, that matches his hardware key and he could then use 20,000 tags. Upgrades in Tag count can be accomplished via email by updating only the License Control File. The serial number of Hardkey and the license file must match.


1.5.4.1 Parallel Hard Key

Figure 1-11 Hard Key – LPT1 parallel port

The Parallel port version of the hard key is installed on a 25-pin parallel port (D25) on the SCADA node that adheres to IBM standards: LPT1 is supported.

Installing the Parallel Hard Key

To install a Sentinel Pro key, attach it to the parallel printer port of an IBM PC/XT/AT, PS/2, or true IBM-compatible computer. The side to be attached to the port is labeled COMPUTER. Screws are provided to connect the key securely to the port.

If the computer is close to a wall or another obstacle, you can attach an extension cable to the port, and then attach the Sentinel Pro to the cable. Use a straight-through, 25-pin, male to female cable such as Rainbow Part Number 103027-001.

Incompatible Parallel Connectors

Some computers have a 14-pin connector. In this case, you can attach a Sentinel Pro key using an appropriate adapter cable.

Using Other Hardware Keys

Unlike the Sentinel Pro, some hardware keys “sit between” the computer and the printer. Such keys do not pass all signals through to the printer. If the Sentinel Pro is installed behind other hardware keys, it may not be able to communicate properly. For this reason, always attach the Sentinel Pro directly to the printer port, and attach any other security devices to the Sentinel Pro.

Interface Differences

If the computer’s printer adapter does not support the BUSY or ACK line, the Sentinel Pro cannot send data back to the computer as described above. This problem is very rare, as most IBM PC-compatible computers have compatible printer adapters. However, computers such as the Atari ST have the same connector and pin-out designations as an IBM PC, but lack the ACK line.

Handling Sentinel Pro Hard Keys

In general, the shipping and handling procedures suggested for the Sentinel Pro conform to the industry standards for handling electronic printed circuit boards. Your company may already have appropriate work areas and procedures in place.

Note: Electrostatic charges may damage the Sentinel Pro units. Work surface mats and wrist straps are strongly recommended.


1.5.4.2 USB Hard Key

Figure 1-12 USB Hard Key

The USB versions of the Hardkey key are inserted in a USB port after installing Advantech WebAccess SCADA Node software.

Note -All USB Sentinel SuperPro keys need to be removed before installing software. Otherwise, the USB portion of the installation might fail. If you insert the USB key prior to installing SCADA Node software, you will be prompted to insert a CD with sentinel drivers. You should select CANCEL and install Advantech WebAccess SCADA Node Software before inserting a USB key.

If a user fails to heed the above warning then you should have the user unplug the USB key and then remove the Sentinel USB key using Add/Remove Hardware applet in the Control Panel (Start ->Settings-> Control Panel -> Add/Remove Hardware). The User should then Install (or re-install) Advantech WebAccess SCADA Node software. This should repair the system and make the USB key operational.

All USB Sentinel SuperPro hard keys must be removed before installing software.

Install USB Key after software

If Plug and Play is enabled (and after Advantech WebAccess is installed), when you install the USB key, a dialog box will appear saying, "new hardware found". It will find the driver if you have installed Advantech WebAccess. If you move the USB key to another port, it will re-install the driver (and you will get the pop-up dialog box again) if you have Plug-n-Play enabled

Handling Sentinel Pro Hard Keys

In general, the shipping and handling procedures suggested for the Sentinel Pro conform to the industry standards for handling electronic printed circuit boards. Your company may already have appropriate work areas and procedures in place.

Note: Electrostatic charges may damage the Sentinel Pro units. Work surface mats and wrist straps are strongly recommended.

When to Re-install Rainbow Driver

Do NOT re-install the Hardkey driver if you are replacing the Hardkey or changing from Parallel to USB, if you have Plug-n-Play enabled (in Windows 2000 and XP, this is the default).

If Advantech WebAccess starts and complains that the Hardkey not found, and the key is plugged in, try testing the LPT port or USB port by printing over them to a printer.

Next, verify that your license control file matches your Hardkey. You may have pot configure a project with less than 150 tags (i.e. a project with just a SCADA node) in order to see both Hardkey and License file serial numbers.

If you have rebooted your PC, and can print over the port (LPT1 or USB), then try re-installing if Advantech WebAccess complains it cannot find key or there is a Hardkey mismatch.

The Rainbow Hardkey drivers are found at drive:\WebAccess\Node\Rainbow
(typically C:\WebAccess\Node\Rainbow)

You can reinstall the driver from the setup.exe in the Rainbow folder.

Remember to remove the USB Hardkey.

If you installed the USB key before installing Advantech WebAccess, you should unplug the USB key and then remove the Sentinel USB key using Add/Remove Hardware applet in the Control Panel (Start ->Settings-> Control Panel -> Add/Remove Hardware). The User should then Install (or re-install) Advantech WebAccess SCADA Node software. This should repair the system and make the USB key operational.


1.6 Security Considerations

This is a brief overview of Security considerations for a Web Access project (or any HMI and SCADA project). For a complete description, please refer to Chapter 8 - Users, Passwords & Security.

1. Use a firewall appliance! A firewall appliance (like a Netgear FR114P) can be purchased for under $100 and is more secure than firewall software, based on our experience.

If you do not have a Firewall appliance, then at least use a Router with port mapping.

Note - Always use a Firewall or Router to connect a new PC using a Public IP Address, especially if you have not downloaded Windows Service Packs and installed Virus scan software. A new PC is vulnerable to viruses and malicious software until the latest security updates are downloaded from Microsoft. Always use a Firewall or a Router when first setting up a new PC.

See 1.6.1 Firewalls for more information.

2. Windows Update and latest Windows Service Packs

Warning - A new PC is vulnerable to viruses and malicious software until the latest security updates are downloaded from Microsoft. Always use a Firewall or a Router when first setting up a new PC. Do not use Windows Update over the Internet if you do not have a firewall or a router.

Hint - if you are using a private Ip Address then you are probably behind a firewall or router. The Private IP Addresses are 10.0.0.0 - 10.255.255.255, 72.16.0.0 - 172.31.255.255, and 192.168.0.0 - 192.168.255.255

3. Anti-Virus Software It is recommended to install and update Anti-virus software on all SCADA Nodes, the Project Node and all Clients.

4. Stop or do not install FTP. Its not needed by Advantech WebAccess. If you use FTP, make it read only by Internet Accounts.

5. WWW Service not needed by SCADA Nodes. Only the Project Node or a combined Project / SCADA nodes needs the WWW service. See 1.4.1 Project Node - System Requirements and 1.4.2 SCADA Nodes - System Requirements.

6. Use Windows Integrated Security for Web Server (Project Node). - A user name and password required to connect to the web server (project node) to find the address of the SCADA node and download ASP pages. Windows Integrated Security can restrict access to your Web Server to only those users recognized by Windows security. These can be Domain Users or Local Users and provide security similar to a company Intranet.

Only use Anonymous Access if you have a large number of Clients. It is the least secure and allows anyone or any software to access your web server. It is recommended only for systems and large campuses with hundreds of users.

See 1.6.7 Web Server Security.

7. Advantech WebAccess User accounts can limit which displays and tags a user can view. Advantech WebAccess Area & Level Security restrict which tags a user can change. Advantech WebAccess User accounts are independent of Windows Security. See 1.6.5 Advantech WebAccess User Accounts and 1.6.6 Advantech WebAccess Area and Level Security.

8. Use a Remote Access Code for Project Node and SCADA Node software.
See 1.6.4 Advantech WebAccess Remote Access Code.

9. Use the NTFS file system on your Project and SCADA Nodes. See 1.4.1 Project Node - System Requirements and 1.4.2 SCADA Nodes - System Requirements.


1.6.1 Firewalls

A firewall is highly recommended if your Advantech WebAccess Project and SCADA nodes are exposed to the Internet (i.e. you are using Public IP Addresses). This will increase the security of your system.

A firewall appliance is recommended. Do not use firewall software installed on the SCADA or Project Node. Firewall software can interfere with the RPC service in Windows 2000 and XP. Further, our experience is that Firewall software does not protect against hackers who constantly discover new vulnerabilities. Firewall software seems to be a backward looking solution, where vulnerabilities are fixed after the firewall software is hacked.

Use a firewall appliance! A firewall appliance (like a Netgear FR114P) can be purchased for under $100 and is more secure than firewall software, based on our experience.

A Firewall restricts the flow of data onto a network; it is a method of network security. Many corporations use firewalls. The firewall is used to restrict hackers and malicious software from communicating with the Windows Operating system running on the SCADA nodes and the Project Node. By limiting access to only the Advantech WebAccess software and a single web server port, you greatly reduce the risk of hackers or malicious software interacting with the control system. By using a Firewall appliance, you close all the ports that are normally open in the Windows Operating system, without having to discover what the ports are or shutting down the Windows Services which use those ports.

If you do not have a Firewall appliance, then at least use a Router with port mapping.

Note - Always use a Firewall or Router to connect a new PC using a Public IP Address, especially if you have not downloaded Windows Service Packs and installed Virus scan software. A new PC is vulnerable to viruses and malicious software until the latest security updates are downloaded from Microsoft. Always use a Firewall or a Router when first setting up a new PC.

Firewalls also can be restricted to a range of Addresses that are allowed to access the ports you open. If your Advantech WebAccess SCADA nodes use a public IP address yet are accessed by only one location (for example central control room or a single facility) limiting the port access to this single range of addresses will effectively hide your control system from everyone else.

If your connection is through a firewall, you will need to have your network administrator open two TCP ports for you to use the DRAW or VIEW features in Advantech WebAccess. Advantech WebAccess need two TCP ports, one to download files and another to exchange live data, per SCADA node. You will need to know these TCP ports to install software on each SCADA node. You will also have to enter these port numbers into the Node Properties in the Project Manager . This will create a deploy file to inform clients outside the firewall of these two TCP/Ports for them to access your SCADA nodes.

If you are using a firewall (or multiple firewalls) and Public IP Address, then you will have to use NAT on the Firewall and Address Mapping in Advantech WebAccess (on the private IP addressed clients, Project Node and SCADA nodes) to allow both Private Network users and Internet users to connect to the Clients, Project and SCADA Nodes behind the firewall.

NAT (Network Address Translation) redirects communications to the Public IP Address to Private Addresses on the Network on a Port by Port basis. By opening only those few ports to the Public Internet, you greatly reduce the vulnerability of your SCADA Node or Project Node to hackers and malicious software. The Windows Operating SYstem has many TCP Ports opened by default for administrative and other features. A Firewall appliance is the easiest and least expensive way to close these ports to the public Internet. You configure your Firewall to map ports on the incoming Public Side to Private IP Addresses (and associated ports) used by Advantech WebAccess.

The SCADA Nodes need on two TCP Ports (default are 4592 and 14592). If you have multiple SCADA nodes behind the same Firewall that must each be accessed Publicly, then you will have to have a unique pair of TCP ports for each publicly addressed SCADA node.

The Project Node needs at least a third port (Port 80) plus whatever ports the SCADA Nodes use. If email is sent, then a port must be opened for email (typically port 25).

Address Mapping in Advantech WebAccess allows a Public IP address and port to be substituted with a Private IP Address and port (or vice versa). This is done by editing the bwclient.ini file on the clients, Project Node and SCADA nodes.

Usually, if there are many more Public IP users than private users, then the Public IP addresses and ports are entered in the Advantech WebAccess Project Manager. The private users have the bwclient.ini file modified to map the Public IP addresses and ports back to private IP addresses and ports.

Figure 1.6.1 - Firewall with access to SCADA Nodes using Public IP Address - use Address Mapping on Nodes and Private Clients

In the above networking drawing (Figure 1.6.1), the Project Node and SCADA nodes are behind a single firewall.

If public clients must access both SCADA Nodes, then 5 TCP ports must be opened, Port 80 (or another for the HTTP protocol used by the Project Node), and two pairs for the Primary and Secondary TCP ports used by the SCADA Nodes (for example 4592, 14592, 4593 and 14593). If the clients are to receive email, then port 25 should be opened (making 6 ports).

Figure 1.6.2 -Firewall for Project Node requires Address Mapping - optionally use Address Mapping on SCADA Nodes

Using a dedicated firewall for each SCADA Node and Project node, Address Mapping in Advantech WebAccess is not needed.

In the above configuration (Figure 1.6.2) only the Central Control Room Project Node, SCADA Node and clients need to use Address Mapping in Advantech WebAccess. The NAT in the Firewalls handles all the redirection of the Public IP addresses to the Private IP Addresses for the SCADA Nodes with dedicated firewalls.

The Control Room clients and the Project Node and SCADA node behind the same firewall must use private IP addresses to communicate. This is because most firewalls do not allow Private Users to address each other using their Public IP address (note- most routers do allow this). In the above configuration (Figure 1.6.2), the Control Room Clients and the Project Node and SCADA Node need to use Address Mapping in Advantech WebAccess to substitute the Private IP Address when the Public IP address is seen.

To Review:

If you are using a dedicated firewall for a Project node and a Public IP Address, then you must use Address Mapping in Advantech WebAccess to allow the Project Node to connect to itself via a private address and to allow users to connect via the Public IP Address.

If you are using a dedicated firewall for each SCADA Node, you don't need to use Address Mapping if you use ViewDAQ on the SCADA node.

If you want to use a web browser to view the local SCADA node or another SCADA Node behind a firewall that is made viewable using a Public IP Address, then you will need to use Address Mapping which modifies the bwclient.ini file on C:\WebAccess\Client on the Private IP Clients (and, optionally, the SCADA Nodes).

If you have multiple SCADA nodes behind the same firewall, that are viewed using a Public IP Address, then you will need to use Address Mapping which modifies the bwclient.ini file in C:\WebAccess\Node to allow the SCADA nodes to see tags on other SCADA nodes

See 8.7.5 Address Mapping for Firewalls and mixed Private & Public Users for more information on Address Mapping by editing the bwclient.ini file on the SCADA and Project Nodes.

See 8.7.3 Routers, Proxy_Servers, Port_Mapping and_NAT.htm for more information about configuring your firewall.


1.6.1.1 TCP Ports and Firewalls

A Firewall restricts the flow of data onto a network; it is a method of network security. Many corporations use firewalls.

If your connection is through a firewall, you will need to have your network administrator open two additional TCP ports for you to use the DRAW or VIEW features in WebAccess These are in addition to Port 80, the HTTP port, which must also be opened (or a third port assigned for HTTP). You should be able to configure tags in the Project Manager without having additional TCP ports opened for you (the Project Manager uses HTTP). This only applies if you are connecting through the firewall. If all your Advantech WebAccess Clients and SCADA nodes are inside the firewall, you can ignore this.

The TCP Ports used by the Project Node and SCADA Node are set during software Installation (Setup.exe) and in the Project Manager. Note that 0 means the default ports numbers are used (4592 is the default Primary Port for file transfer and 14592 is the default Secondary Port for real-time data).

Advantech WebAccess automatically configures Windows Firewall to allow the Advantech WebAccess Kernel (datacore.exe), the Advantech WebAccess Network Service (webvrpcs.exe), and the HTTP Service (port 80) to accept incoming network connections when Advantech WebAccess Node is installed. These ports must remain unblocked in order for Advantech WebAccess to work properly.

Note - Windows XP Professional comes with a Firewall.

XP Service Pack 1 comes with "Internet Connection Firewall" (ICS). You may be using it and don't even know it. XP users should disable the firewall or configure two ports for WebAccess.

XP Service Pack 2 comes with "Windows Firewall". The WebAccess Network Service (Webvrpcs.exe) automatically configures “Windows Firewall” in XP Service Pack 2 to allow Webvrpcs and Datacore to pass on SCADA Node. Webvrpcs on the Project Node also automatically configure “Windows Firewall” to allow Webvrpcs, Datacore and IIS (Internet Information Services) to pass including the Web Server (IIS) and Internet Mail Server (SMTP) protocols. No user action required during installation or later to modify the “Windows Firewall”.

No other application should be using these port numbers. Advantech WebAccess will not start if another application is using either the Primary or the Secondary ports assigned to Advantech WebAccess (the webvrpcs.exe will fail to start) and the WebAccess icon

will fail to appear in the taskbar of the Project and SCADA Nodes.

To change TCP Ports used by a Project Node through a firewall (HTTP Port and Primary TCP Port), go to the Home page in the Project Manager. This affects all projects on this Project Node. The user must also either edit the bwserver.ini file or reinstall WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The appropriate windows service must also be modified (e.g. www service and SMTP service) for the new port numbers.s.

SCADA Node through a firewall (Primary TCP Port ), go to the Home page in the Project Manager, then select Update for the desired Project. To change the SMTP Port or POP3 email port, got to SCADA Node Properties and modify SMTP Port and/or Email Port. The user must also either edit the bwserver.ini file or reinstall WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The SMTP service, if used or modified, for the new port number.r.

See Also 8.7 TCP Ports.


1.6.3.2 SSL Certificates (Secure Socket Layer)

1.6.1.2 SSL Certificates (Secure Socket Layer)

Secure Sockets Layer (SSL) establishes a secure communications channel to prevent the interception of critical information, such as credit card numbers. The primary purpose of SSL is to enable secure electronic financial transactions on the World Wide Web, although it is designed to work with other Internet services as well. This technology, which uses public key encryption, can be incorporated into Advantech WebAccess Project Node IIS server and the web browser clients.


1.6.2 Windows 2003, 2000 and XP Security

1.6.2 Windows 2000, 2003, XP and Vista Security

The Project Node is a Web Server. Using the appropriate Windows Security can protect your WebAccess system from hackers and intruders.

Web Server

Integrated Windows Authentication limits access to users you have created in the Local User Account and/or your Domain. It is recommended to use Integrated Windows Security and disable Anonymous Login, if possible. This effectively creates an intranet access to your WebAccess System. Users will be prompted for a username and password. These are encrypted passwords and highly secure. If all your users are part of an intranet or LAN, and they are logged on as a user recognized by the Project Node, the connection will be transparent (i.e. no login dialog box).

The best way to secure your system is to use Windows Authentication in IIS (the web server software). Your WebAccess Project will act as if it is on an intranet, requiring all users be recognized by the Windows Operating System (as either a local user or Domain User). User will be asked for User Name, Password (and optionally Domain) just to connect. Using Windows Authentication in IIS (the Web Server) will reduce load on your web server from spurious requests from malicious users (and viruses) by denying access to unauthorized users.

Anonymous Logonn to project node is supported. This may be the practical solution if you have a very large number of users (for example, a college campus).

FTP Service is not required by WebAccess. You can further secure your project node by either stopping the ftp service, or not installing the ftp service, or adding read only access and disabling execute. If you plan to use the FTP service on your Project Node, for another application, it is recommended to use Read Only Access assigned to ftproot for the Internet Users. This assures no one can write or add any unauthorized data to your Web Server (Project Node). Anonymous Access is preferable for the FTP server because the FTP protocol could allow passwords to be intercepted. By limiting access as Read Only or disabling the ftp service, you prevent anyone from adding anything to your server.

SMTP Service is not required by WebAccess if you are using an external SMTP server and account (for example, your corporate email server or an ISP). The Email of alarms and reports requires access to an SMTP server.

Optionally the SMTP service of Windows IIS can be installed on the Project Node or a SCADA Node to send email. This might be acceptable for a LAN or Intranet that sends mail locally only within the same domain or workgroup. To use the SMTP Server on the Project Node to send outside of a local domain, a user account and password is configured to connect to a SMART HOST in the SMTP Properties of Windows IIS on the Project Node or a SMART HOST (your corporate email server) needs to accept relay from the Project Node. This is not recommended procedure.

See 3.2.8 Outgoing Email Server - SMTPP for more discussion on SMTP to send email.

Windows Vista

For WebAccess software to run on Windows Vista, the User Account Control feature on Windows Vista must be disabled. The User Account Control feature on Windows Vista is considered widely to be one of the largest downfalls of Vista by many tech reporters. We think the UAC feature is unnecessary. During WebAccess installation, User Account Control feature will be turned off. As a result of this, IE 7 Protected Mode is also turned off. The Protected Mode of IE 7 must be off for the WebAccess Client and other important functions to work properly. If you do not agree this, please do not install WebAccess Node or Client on Windows Vista.

Project Node

For WebAccess Project Node software to run on Windows Vista, install IIS on your project nodes first with following IIS features turned on before installing WebAccess Node.

Enable IIS (Internet Information Service) before installing Project Node software!

IIS is the “web server” in Windows. IIS must be enabled before installing the Project Node software to allow WebAccess files to be installed properly.

IIS is disabled by default in Windows Vista. For those of you who wish to use WebAccess Project Node on Windows Vista, please enable IIS on your project nodes first with following IIS features turned on before installing WebAccess Project Node software.

To enable IIS in Windows Vista Business:

1. Start -> Control Panel -> Programs -> Programs and Features

2. On the left Side Bar select “Turn Windows features on or off”

3. Wait for the Windows Features dialog box to open and fill, then expand “Internet Information Services”.

In case the above JPEG images does not appear in this, the typical settings for IIS in Vista for use with WebAccess on the Project Node as tested are:

Internet Information Services – ON

FTP Publishing Service – OFF (optionally ON, not needed and is security risk)

Web Management Tools – ON

IIS 6 Management Compatibility - ON

IIS 6 Management Console – OFF

IIS 6 Scripting Tools – OFF

IIS 6 WMI Compatibility – OFF

IIS Meta base and IIS 6 configuration compatibility – ON

IIS Management Console – ON

IIS Management Scripts and Tools – OFF

IIS Management Service - OFF

World Wide Web Services - ON

Application Development Features – ON

.NET Extensibility – OFF

ASP – ON

ASP.NET – OFF

CGI – OFF

IASPI Extensions – ON

IASPI Filters – OFF

Server Side Includes - ON

Common Http Features – ON

Default Document – ON

Directory Browsing – ON

Http Errors – ON

Http Redirection - ON

Static Content - ON

Health and Diagnostics – ON

Custom Logging – OFF

HTTP Logging – ON

Logging Tools – OFF

ODBC Logging – OFF

Request Monitoring – ON

Tracing - OFF

Performance Features – ON

Http Compression Dynamic – ON

Static Content Compression - On

Security - ON

Basic Authentication - OFF

Client Certificate Mapping Authentication - OFF

Digest Authentication - OFF

IIS Client Certificate Mapping Authentication - OFF

IP Security - OFF

Request Filtering - ON

URL Authorization - OFF

Windows Authentication (optional ON, usually OFF)


1.6.2.1 VPN (Virtual Private Network)

A Virtual Private Network creates an "intranet" by tunneling through the Internet. You must create a VPN Server and each client's Web Browser must be configured to recognize the VPN. If all your users are known, and they use the same PC to connect, a VPN can be the most secure method. If your corporation already uses a VPN, then you can utilize its VPN server and existing clients (assuming they are Internet Explorer 6.0 or later). The client web browsers must be configured to connect with your VPN server.

VPN do not provide the speed of a non-tunneling protocol, and users will see a slower response. VPN have large overhead and result in very slow response for clients connecting remotely via the VPN. Placing your Advantech WebAccess SCADA node behind a firewall/router with Private IPs, then using NAT with port mapping and using HOST files for Public and Private users is preferable to using a VPN.


1.6.3 Secure Your Clients

Most of the above discussions involve securing your Advantech WebAccess SCADA system from outside users. There may also be issues asked by IT departments regarding the security of the "Client" computers that View the data from Advantech WebAccess.

Use "Trusted Sites" or Local Intranet if using Client Plug-in

The Advantech WebAccess Client Plug-in is an ActiveX control (an OCX) providing full-animation graphics. The OCX is called by an Active Server Page (ASP) downloaded from the Project Node (Web Server). The Client Plug-in can be installed from CD-ROM or by downloading its setup file from the Project Node. The Client Plug-in reads real-time data from the SCADA node. Graphic files are "cached" locally on the Client. The Advantech WebAccess Plug-in only reads and writes to its subdirectories (typically C:\WebAccess\Client) created during software installation. The OCX cannot read or write data files outside of the Advantech WebAccess Directories. The files cached on the Client come from the SCADA node(s) or Project Node(s) that the Client connects. By limiting the SCADA nodes and Project Nodes the Client can connect, you can limit users from caching un-authorized content.

To Secure a Client with the Advantech WebAccess Plug-in

1. Add your Project Node and SCADA node(s) addresses to the "Trusted Sites" or "Local Intranet" of Internet Explorer Security settings on all your Clients.

2. Make the Security Setting for "Trusted Sites" or "Local Intranet" MEDIUM in Internet Explorer Security settings on all your clients. This will allow the OCX to run. This will allow the Advantech WebAccess Client to connect to your Project and SCADA nodes.

3. Make the Security Setting for "Internet" HIGH. This will prevent the Advantech WebAccess Client from connecting to "other" Advantech WebAccess systems.

Thin Client

Another alternative is to use the Thin Client interface. This is the most secure method to secure your clients. The Thin Client interface requires no software be installed on the clients (you don't need the ActiveX control). The Graphic files are cached as GIF(s) and JPEG(s), and then displayed through a few ASP pages. (GIFs are used for graphics displays with less than 256 colors; JPEGs are used for displays using more than 256 colors). The Thin Client uses Static Graphic Snapshots, no animation. The Thin Client also maintains a connection with the Project Node (Web Server) only; using the Thin Client with many users will require Windows 2000 Server, Server 2003, Vista Business or Vista Ultimate with a large connection license. Windows 2000 and XP Professional are limited to only 10 simultaneous connections, which may be inadequate for a Thin Client only interface to many users.

The Thin Client supports Restricted Users, General Users and Power Users.

Only Administrator or Power User can install Client Plug-in

A bane to ordinary surfers, IT departments can control which Client computers have the Advantech WebAccess Client Plug-in installed. The Client Plug-in is an OCX. Microsoft Windows 2003, 2000, XP and Vista require Administrator or Power User privileges to install the Plug-in. (Note - Windows 98/ME are not officially supported by Advantech WebAccess).


1.6.3 Secure Your Clients

1.6.3.1 SSL Certificates (Secure Socket Layer)

Secure Sockets Layer (SSL) establishes a secure communications channel to prevent the interception of critical information, such as credit card numbers. The primary purpose of SSL is to enable secure electronic financial transactions on the World Wide Web, although it is designed to work with other Internet services as well. This technology, which uses public key encryption, can be incorporated into WebAccess Project Node IIS server and the web browser clients.


1.6.4 Advantech WebAccess Remote Access Code

The Remote Access Code prevents unauthorized users from adding projects to your project or SCADA node.

The Remote Access Code is established during installation of Project Node and SCADA Node software.

If someone can guess the IP Address of your SCADA node or Project Node, they could try to add projects or download projects to your SCADA node from another Advantech WebAccess Project without knowing your admin or project password. The Remote Access Code prevents another Advantech WebAccess project from downloading to your SCADA nodes.

It is HIGHLY RECOMMENDED to use a REMOTE ACCESS CODE during software installation.

The default Remote Access Code during SCADA node installation is no code (i.e. blank.)

If you have forgotten the Remote Access Code using during software installation on the SCADA node, you have two options:

option 1) Re-install the Advantech WebAccess software on the SCADA node to change it and edit your database to match the new code using UPDATE.

OR

Option 2) Edit the BWSERVER.INI file on the SCADA node and edit your database to match the new code using UPDATE.

Hint - if this is a combined SCADA and Project Node, you have to reinstall using the Project & SCADA software option and edit the remote access code in the database for both the project and SCADA node using UPDATE.

See Also. 3.2.7 Remote Access Code, 3.3.6.4 Remote Access Code, 22.4.2 Remote Access Code wrong or forgotten, 23.5 BWSERVER.INI and 20.5 UPDATE.


1.6.5 Advantech WebAccess User Accounts

This is not immediately relevant to software installation, but is mentioned here for completeness. Advantech WebAccess User types restrict access to the Project Manager, Graphics and Tags. User types restrict access to displays through a Web Browser, not to ViewDAQ. Area and Level security applies to all users. A User can be given access to all nodes in a project or only a few.

Advantech WebAccess Component | User Type
 | Project User
Project Manager | Yes
Create VIEW Users | Yes
Create Project Users | Yes
Modify admin password | Yes
DRAW | Yes
VIEW (log in) | Yes
View System Displays: Alarm Log, Action Log, Station Status, User Program, Script Status, (VIEW) | Yes
Alarm Summary and Alarm Groups | Yes
View All User Displays (VIEW) | Yes
Recipe Display (VIEW) | Yes
Video | Yes
Point Detail and Block Detail | Yes
Overview and Faceplate Displays (VIEW) | Yes
Trends (VIEW) | Yes
Point Info and Point GOTO Dialog Boxes | Yes
Acknowledge Alarms (VIEW) | Yes
Change Tag Value | Yes - All
Scheduler (VIEW) | Yes
Reports (VIEW) | Yes
System Log and ODBC Logs (VIEW) | Yes
DrawDAQ | Yes
ViewDAQ - All Displays: System, Alarm, Recipes, Trends, and User Built | Yes
ViewDAQ - Acknowledge Alarms | Yes
ViewDAQ Change Tag Value | Yes - ALL
ViewDAQ – Scheduler, Reports, ODBC Logs | Yes

Using the local ViewDAQ on the SCADA node (i.e. the Advantech WebAccess icon on the taskbar) all users can access all displays and tags and use the graphics builder including the Graphic Download feature. All project configuration is done through a Web Browser; only the Administrator or Project Users can configure the Database.

If a Web-browser user tries to change the value of a Tag without correct security Level or Area, a Popup Dialog box will prompt for User Name and Password, similar to local ViewDAQ. The difference is that this does not Login the new user name. This enables a "one shot" opportunity to change the selected tag. After the tag is changed, the Area or Level and user login reverts to the original user.

There is one Administrator account: admin. The administrator can configure database, build graphics through web browser and view any graphic in VIEW (run-time). The Administrator account applies to all SCADA nodes and all projects. Additional Users with "Administrator" capabilities can be configured by a combination of "Project User" and "Power User".

DrawDAQ is available only on the Project node (or a standalone system that has both Project and SCADA node software installed). Any local user can use DrawDAQ.

ViewDAQ is available only on the SCADA node (or a standalone system that has both Project and SCADA node software installed). Any local user can use ViewDAQ to view any graphic. Area & Level restricts which tags the user can change in ViewDAQ.


1.6.6 Advantech WebAccess Area and Level Security

This is not immediately relevant to software installation, but is mentioned here for completeness. Each tag in the Advantech WebAccess database is assigned to one Area and given one security Level. Each User is assigned a security Level for each Area. The default Level is 0 (the lowest).

In order to change the value of a tag, the User's Area must match the Area of the Tag AND the User's Level in that Area must be equal to or greater than the security Level of the tag.

If the user's Level and Area do not match the tag's Area and Level, a Popup Dialog Box will appear prompting the user to Login as a new user. In a Web Browser, this new log in is temporary and applies only to changing the selected tag.

Advantech WebAccess has 31 user defined Areas and 4 special Areas (Local Tag, View Tag, Tag Field and ViewDAQ).

Level 127 is administrator level and is required to change Field Tags (for example, change alarm limits from the point detail. All Field Tags require Level 127 in order to change them. Examples of Tag Fields include Alarm Limits, Description, SPANHI, SPAN LO, and ENG UNITS.

Tag Field level = 127 allows a user to change online configuration parameters (e.g. Alarm Limits).

View Tag level = 127 allows a user to change System Parameters (e.g. enable simulation mode).

ViewDAQ level defines an exit password Level for a ViewDAQ window. The users ViewDAQ level must be greater or equal to the Exit Password Level defined for that ViewDAQ window. This is designed form preventing users form closing all Control Windows locally on the SCADA Node and form stopping the SCADA Node kernel (locally). ViewDAQ level = 127 allows the user to create, modify and Save Display groups (including the Exit Password Level).

For all the details regarding security, please refer to Chapter 8 - Users, Passwords & Security in the Engineering Manual.


1.6.7 Web Server Security

You must use IIS (Microsoft's Internet Information Server). Advantech WebAccess uses ASP (Active Server Pages) that is only supported by Microsoft Web Servers. Windows Security affects connection to the Project Node. Advantech WebAccess Security controls access to the SCADA node.

Advantech WebAccess supports the following security features in a web site:

· Anonymous Access - the least secure. Only use Anonymous Access if you have a large number of Clients.

· Windows Integrated Security - A user name and password required to connect to the web server (project node) to find the address of the SCADA node and download ASP pages.

· Firewalls - Three (3) TCP ports are required. Typically port 80 is already open, this is the port for HTTP (web and ASP pages). Advantech WebAccess needs two additional ports for file transfer (Primary port, default 4592) and real-time data (Secondary Port, default 14592). See 1.6.1 Firewalls from more information

· Port Mapping and Network Address Translation (NAT). Port Mapping allows multiple Private IP addresses of a corporate intranet to use a single public IP address. The same three Advantech WebAccess ports described for a firewall must be mapped in NAT also.

· VPN (Virtual Private Networks) - constructs a private network that "tunnels" through the Internet or other network (the most secure). VPNs are not recommended because of the slow speed of response for Clients.

· Secure Sockets Layer - Server side certificates and Client side certificates.

· Only the Project Node is a Web Sever. SCADA nodes do not need to be Web Servers.

For more information about determining if IIS is installed on your computer or How to install IIS (Internet Information Server), please see the Troubleshooting Section of this Manual:

Is IIS installed on your computer?

How to install IIS.


1.7 Planning for a Advantech WebAccess Project

1.7 Planning for an Advantech WebAccess Project

This section is intended as a quick list of things to consider. This section does not list the detail here; instead, it is a reminder or checklist. Use this as a reminder and review the appropriate section in the manual for details.

1. Hardware

Pentium III, Pentium IV, or Athlon processors are recommended for the Project Node and SCADA nodes. The Clients should be Pentium or better.

A network card is needed for network applications.

Even for Standalone architecture nodes (Project and SCADA nodes combined, no network), the TCP/IP service is needed. The loop back service can be installed for a standalone system. Note that all configuration is through a Web Browser using IIS and the TCP/IP protocol. A Stand-alone node can benefit from some sort of network access to allow remote access and remote software administration. Windows provides a service called RAS that allows remote dial-up over a modem. A network card and a cross-link cable provide an easy method to copy data to or from a laptop

Data Logging Trend Files require a fast CPU and a Hard Drive with fast access times and sufficient disk capacity. Data Logging requirements will also affect the number of SCADA Nodes required. It is recommended to use a SCSI drive for data logging. It is further recommended to use drive for data logging that is separate from your operating system and Advantech WebAccess program drive.

5. File System

NTFS file system recommended for Project Node and SCADA nodes. NTFS provides Security and it is faster than FAT. FAT provides no security and is not appropriate for the Web Server (Project Node) or SCADA node.

File compression is also available with NTFS and important if you are Data Logging Trend data on the SCADA Node or recording to ODBC Databases on the Project Node.

6. Operating System

Project Node operating System: Windows Server 2003, Windows 2000 or (Professional or Server), Windows XP Professional, Vista Business or Vista Ultimate with IIS. A Project Node separate from the SCADA node increases the security of your SCADA node.

SCADA Node: Windows Server 2003, Windows 2000 (Professional or Server), Windows XP Professional. Vista Business or Vista Ultimate . SCADA nodes do not need web server software.

Client: Windows 98, Windows 2000, Server 2003, Windows XP (Home and Professional) and Windows Vista (Home, Business and Ultimate).

XP Home and Vista Home will not work for Project Node (there is no Web Server feature). XP Home and Vista Home are not supported for SCADA node. XP Home and Windows 98 do not support advanced graphic features. If your clients are to use Win 98, ME or XP Home, limit the graphics they can view to basic animation: vector rotation, color, motion. Bitmap rotation and Text rotation are not supported by 98 or XP Home.

Professional or Server?

The Number of simultaneous connections to Project Node will affect your decision to use 2000 Professional or Server (or XP Professional or Server) for the project node. Professional is limited to 10 simultaneous connections. Database Configuration, DRAW and the Thin Client require continuous connections to project node (Web Server). There is no limit in Vista Business and Vista Uitimate.

Connections to the SCADA node by Clients using VIEW are temporary and re-direct to the SCADA node after an initial connection to the Project Node (Web Server). Clients have a short-lived connection to the Project Node (Web Server) to get the address of the SCADA node and to get few ASP pages. The connection from Client to Web Server is then dropped until the Client either presses the refresh button (not done during normal use of Web Access) or reconnects to SCADA node.

If you are using the Thin Client feature and have more than 10 users that will connect simultaneously, you should consider using 2000 Server or XP server with an expanded user license.

Scheduled Reports, HTML Reports of central ODBC Logs, and online changes to the Scheduler from VIEW require a connection to the Project Node.

7. Web Server and SMTP Server

IIS (Internet Information Service) is required for the Project Node. \

The Web Server (WWW Service) does not need to be installed on the SCADA Node.

If using Windows 2000, 2003 or XP with email notification of alarms and email of scheduled reports are to be used, then, optionally, the SMTP (Simple Mail Transfer Protocol) service can be installed on one or both the Project Node and SCADA node. If using Vista, a remote SMTP server must be used for email of alarms and reports (e.g. a corporate email server or an ISP).

8. Service Packs installed.

Service Pack 4 (SP4) is required for Windows 2000. Service Pack 2 (SP2) is required for Windows XP Professional. Service Pack 1 (SP1) is required for Windows Server 2003.The latest service packs are recommended to improve security of your project and SCADA nodes. REINSTALL SERVICE PACKS IF YOU ADD A WINDOWS COMPONENT (e.g. you add IIS)!

9. Internet Explorer 6.0 or 7.0

Advantech WebAccess uses ASP for its configuration (Project Manager) and the initial page (VIEW). IE 6.0 or 7.0 must have ASP enabled.

Netscape, IE 5.5 and IE 5.0 can be used for evaluation purposes only. IE 5.0 appears to work, but does not process Java scripts correctly and can potentially corrupt your Database. Never press the "submit" if using IE 5.0 to view configuration data. IE 5.5 supports many features in WebAccess, but not all (Video requires 6.0 or 7.0) Netscape is slower than IE 6 and although it appears to work, it is not recommended

10. Internet Explorer Security Settings

IE 6.0 and 7.0 security settings musts allow ActiveX control to run (Medium setting) this can be accomplished in two ways:

Medium for Internet Zone - This affects all Internet sites visited and is less secure than the adding Web Access as a Trusted Site.

Medium for Trusted Sites or Intranet- Instruct your users to add the WebAccess Project node as a Trusted site. This allows a more restricted setting for the Internet zone.

11. Web Server Security

Integrated Windows Authentication for the Web Server is most secure. It will require users to LOGIN with a password. It requires that users be "recognized" Windows Users on the Project Node PC (local User) or the Domain of the project node (if a domain is used). If users are all part of a domain used by the Project Node, the login will be transparent for recognized users (i.e. no dialog box asking for password) much like connecting to a shared drive or printer on your company's intranet.

It is recommended to remove "everyone" from Inetpub subdirectory and replaced with Authorized Users.

Authorized Users should replace Everyone in the security settings for c:\WebAccess and C:\InetPub\wwwroot\broadweb and subdirectories. This allows WebAccess software to access these directories regardless of who is logged on to the Project Node or SCADA node.

12. Advantech WebAccess Security

The Remote Access Code for SCADA node(s) and the Project Node is highly recommended. This code is applied during software installation of the SCADA Node and Project Node software. This code prevents unauthorized users from hijacking your Project node or SCADA node.

Advantech WebAccess user types can restrict graphic displays and data viewed by users. The Advantech WebAccess users are independent of Windows security. The user types are Admin, Project, Power, General and Restricted users. Passwords are up to eight characters and are case sensitive. User names are not case sensitive.

Area and Level security can further restrict which data a user can change.

Use the Remote Access code to prevent other from installing projects on your SCADA node or using your project node

13. Network Addresses (IP or Computer Name)

The Project Node and SCADA nodes require some sort of Fixed Address. You can use either a fixed IP address (required if users outside your intranet are to connect) or Network name (if all your users are on a local network). If all your clients are on an intranet, the SCADA node and project node can be private IP.

SCADA node and Project node can use Network Names (computer names) instead of IP address if all clients are on same network.

IP addresses must be fixed IP for SCADA and Project Nodes. Clients can have dynamic IP addresses.

14. Security to install Client Plug-in

Windows Server 2003, Windows 2000, Windows Vista and Windows XP users must have security to install the client. (I.e. they must be either administrator or Power Users for 2000, 2003, Vista or XP).

All Windows 98 and ME users can install the client.

15. Communication Drivers:

Check that Advantech WebAccess has a driver that can communicate to your automation hardware. It is not enough that the manufacturer has one driver: check the specific model and Web Access Driver Guide for compatibility.

Native Drivers are faster and more reliable. They provide higher data rates. Modbus RTU, Modbus Ethernet,

Some drivers are only available from the hardware manufacturer (for example LanStar).

Open Standard drivers, like OPC use third party software to provide communications between WebAccess and automation hardware. RSLinx is an example, providing communications to Allen-Bradley hardware via OPC. 3rd Party OPC servers are available from Applicom (www.applicom.com, Kepware (www.kepware.com), the hardware manufacturers, and others.

For serial drivers, you need to know the physical protocol, cable wiring (Rs232, RS422, null modem cable, etc), Baud rates, parity, stop bits, device address and the minimum scan time the device supports.

There can be 12 Communication ports per SCADA node in Version 2.1 with 255 DEVICES PER COM PORT and only one protocol per COM port.

Multiple IP addresses and Multiple Network cards can be used on a SCADA node. WebAccess will search all network cards for path to device. This allows automation equipment to be on one or more private networks and the SCADA node to communicate over a public network.

For the current list of drivers, see the Advantech Automation Corp. web site:
 http://webaccess.advantech.com/

16. Tag names

It is recommended to build tags and blocks before building Graphics. Graphic animation is much faster and accurate if Tag database is built, allowing the use of Widgets (which speed animation) and pull down-lists (which reduce data entry errors. Tagnames can be 21 characters. See Legal characters in a Tag Namee for more information.

If you don't have time build a database, you can type tag names into the Dynamic Animation of graphics before the tags are built and still take advantage of Widgets for animation. You can edit animation at anytime; it is just less work to animate graphics after the tag database is built.

17. Addresses of data in automation equipment

Address for each tag. Note that some drivers (like OPC) allow tag names and their addresses to be browsed and imported.

18. Conversion from raw data to display data

If your automation device displays data in engineering units, then you can skip this. Otherwise, you need to know how to convert the numbers read from the PLC or controller into meaningful information. An example is converting 12-bit (0 to 4096) data into engineering units.

Conversions available include: none, y=mx+b, 12-bit to Span, 0-100 to span, defined input to span, square root.

19.. Scaling

If you are using a conversion that is "scale to span", then you need this data as part of your conversion. Scaling of Data includes High Span, Low Span and engineering units).

A nice feature in animation of Trends, Level Fills, motion, rotation, etc is that changes in SPAN are automatically adjusted in the animation without rebuilding it.

Even if you are using no conversion, the Span High and Span Low will show on displays and will be the default values used in trends and animation. For example, if you accept the default SPANHI of 1000, but your tag only reaches a value from 0 to 1, your trends will be scaled 0 to 1000 hiding any variation. Similarly, fills and rotations will hardly move, since they are as a percentage of full scale (Span Hi - Span Lo).

20. Output Limits

Used to restrict the values of setpoints and output changes by operators.

Constant Scan or Display Scan. Display scan can minimize communications traffic by reading data only when display that uses it is called up by a user or operator..

21. Alarms

Alarm Limits (High-High, High, Low, Low-Low, Rate of Change and Deviation) for analog tags. State alarm for discrete type tags.

Alarm Graphic - this is a powerful and underused feature. A graphic can be assigned to each tag to use during an alarm condition allowing operators to quickly call up the display appropriate for the alarm. It takes planning. The Alarm Graphic name is limited to 8 characters in version 2.1.

In version 2.1, Alarms are local to a SCADA node. If alarms are to be monitored on separate SCADA nodes, a Web Browser window must be opened to each SCADA node.

Clients can view all SCADA nodes simultaneously, although a in a separate web browser window.

22. Data Type (analog or discrete)

Analog is any floating-point number or integer greater than 7.

Discrete is normally On/Off (0,1) but can be any positive integer less than 8. Up to 3 bits can be used to describe a discrete.

A Multiple-bit discrete can be used for multi-state monitoring. For example, two bits (adjacent) can describe a valve. Bit one is "requested state" (0:open or 1:closed). Bit 2 is "actual state" (0:open 1:closed). 0 is normal open, 3 is normal closed, 1 is closing, 2 is opening State Descriptors for discrete (open, closed, on off, etc).

23. Blocks

Blocks (repeatable group of tags). Blocks can be used as a productivity tool in place of single tags. If you have "groups" of addresses that repeat, you can use a "block" to rapidly create multiple connections to your automation device. An example of an application that could use a "Block" is a PID controller: Measurement, Setpoint, Output, and Auto/ Manual state are grouped into a block. Specify one block name and address to build connections to all 5 addresses. See Productivity Tools description below for more information. Blocks take some planning.

24. Block Detail Display

A Block Detail Display is a "template" type display that can view all blocks of the same block type. A Block Detail display allows a single display to act as if it were multiple displays. An example might be a VAV controller in a building that has 100 VAV controllers. One block detail display could be built to view the data of all 100 VAV displays as if 100 separate displays had been built.

25. Parameters

Parameters are tag configuration templates. These are also the elements of Blocks. They can also be used independently to build tags with commonly used settings that are "pre-defined". See the following Productivity Tool section for more information. Parameters can help enforce "standards" in your project or help naive users configure the appropriate communication tags.

26. Parameter Detail Display

Similar in concept to the Analog Detail, Discrete Detail or Text Detail display and like a Block detail Display, it is a "template" type display that can view all parameters of the same a parameter type.

27. Node NamesNode Names

SCADA nodes can be named independently of their actual computer names or network names within WebAccess.

28. Graphic names

Graphic names can have any length. EXCEPT the Alarm Graphic is limited to 8 characters.

Graphic names are listed alphabetically in the pull down lists in VIEW.

29. Importing GraphicsImporting Graphics

Use DXF to import AUTOCAD files for Plot plans, Floor plans and other graphic Features. AutoCAD R13 compatible DXF are supported only. Imported object will loose all color. Vectors only (no fonts). DXF objects can be edited in WebAccess DRAW.

GIFs and JPEGs can also be imported but not edited. You can provide some animation to GIFs and JPEGs (motion, rotation, scale). Note that GIFs and JPEGs are converted to Bitmaps to allow mixing of vector and bitmap images. The Gifs and JPEGs lose file compression as bitmaps.

30.. Symbols and Widgets

The fastest way to create graphics is to use the symbol library (for static images) and Widgets for dynamic objects. You can also create symbols and widgets for use in other displays and other users.

31. Video

Video supports some web-enabled cameras. Confirm driver exists for camera. In version 2.1, only the ATOP Technologies driver has been developed. Camera must have an IP accessible by all clients, since the client connects directly to camera.

32. Scripts

There is a Limit of 8 (eight) global scripts per SCADA node, although a script can be of any size and can call other scripts.

33. Disk Defragmenter Utility

Data Logging (i.e. recording real-time Data to the Hard drive via Data Log Trends) will fragment the hard drive and slow the system, eventually stopping it. Windows supplies a disk defragmenter utility that must be run manually and can not be scheduled. It is recommended to purchase a Disk Defragmenter Utility for the SCADA Nodes, and schedule it to run Daily or Weekly.

34. Anti-Virus Software

It is recommended to install and update Anti-virus software on all SCADA Nodes, the Project Node and all Clients.

35. Windows Updatee

It is recommended to subscribe to Automatic Windows Update in order to get the latest security patches from Microsoft.

36. Firewall or Router with Port Mapping

It is recommended to place your SCADA Nodes and Project Node behind a Firewall or Router and close any unnecessary TCP Ports. SCADA Nodes need only two TCP Ports (defaults are 4592 and 14592). Optionally the SMTP TCP port is needed for both SCADA Nodes and Project Nodes. The Project Node also needs an HTTP port (default 80), a Primary TCP Port (default 4592) and optionally the SMTP and POP3 TCP Ports. Windows remote Desktop or PC Anywhere may require additional TCP Ports. For more information see, 1.6.1 Firewallss, 1.6.1.1 TCP_Ports and Firewalls and 1.6.1.4 Routers, Proxy Servers, Port Mapping and NAT

Windows Firewall that comes with Windows Server 2003, Vista and XP is compatible with WebAccess. WebAccess wil open any ports needed in Windows Firewall.


1.8 Productivity tools & features

Advantech WebAccess provides both engineering productivity tools (to reduce engineering costs) and operational features (to help users operate more efficiently)

To reduce engineering costs, Advantech WebAccess provides many standard features to build the tag database faster, to build displays faster, and to checkout and commission the system faster. Some of these features allow you to avoid display building altogether. Most of these tools can be used as soon as you start; some of the tools require some planning before you can use them.

Review this section to see how you can use existing features in Advantech WebAccess to save time and increase the efficiency of engineering a project.

An example is Alarm Handling; it is built into Advantech WebAccess. Standard features include the Alarm Summary Display, Alarm Log, Alarm Groups, Alarm Notification by Pager and Email, an Alarm Disable function, an Alarm Graphic for each tag, an Alarm Horn, the latest Alarm Tag displayed in Status bar of all displays, and more.


1.8.1 Database Building Tools

Parameters- parameters are "templates" to build tags in the communication database. Parameters have pre-configured addresses, conversion, scaling, output limits, engineering units and other fields that allow engineers and technicians to quickly build tags that can communicate with automation devices. Calling up the parameter when creating new tags will enter these values into the appropriate fields for that tag, thereby saving keystrokes.

Parameters are also useful in implementing standards in a system. By defining default values in the parameters, multiple users can see the typical address, scaling, engineering units and other “standards” recommended by the project or system engineer.

Parameters also allow naive users to "guess" at the appropriate addressing used to communicate with the automation device. All device drivers come with parameters that have typical addresses for analog and digital data in the specific automation device.

By creating new parameters, you can speed database development and enforce "standards" for other users. By using existing parameters, you can start building your database quickly.

OPC Tool - This is useful for OPC Servers. It allows you to browse and import tags from the OPC Server. The OPC Tool in Advantech WebAccess also allows you to establish "re-naming" convention to simplify the OPC tag names into user-friendly names. A pre-fix can be added to imported tags to address the situation of identical OPC tagnames used repeatedly in multiple devices.

Blocks - Blocks require planning to implement well, but they can be an extraordinary time saver. The single-loop controller drivers (for example, Advantech ADAM 5000) have blocks that are ready and easy to use without any advanced planning.

Blocks are a type of tag (our competitors call them super tags). Blocks allow multiple data values from automation devices to be grouped into a single object. Blocks are most commonly used to represent PID controllers, VAVs and other multiple value "instruments" found in a control and automation systems. For example, the typical elements of a PID block include Measurement, Setpoint, Output, tuning parameters and alarms of the controller.

Blocks allow a large number of tags to be built by specifying a single name, a single address or address offset. Blocks also enable the use of the Block Detail Display, which is a template type display: a single display that can be used to view all blocks of the same Block Type.

An example is a large office tower with 200 VAV controllers each with 25 parameters. A VAV block is configured and used to rapidly implement the communications to these devices. By entering the starting address of each block, all 25 addresses are generated. Further, only a single display (a Block Detail Display) is needed to view all 200 VAVs. Further, as new VAV controllers are added, no additional display building is needed. This allows technicians to commission new blocks in the field or rename existing blocks, without modifying or building new displays.

Microsoft Access Database - Recommended for very advanced users; you can use Microsoft Access to edit tags. You can use VBA and other tools to propagate changes through a large database and generate reports. It is not recommended to add tags using Access, because Advantech WebAccess uses multiple tables, which must cross-indexed appropriately.

EXCEL Import / Export - The tag database can be exported to EXCEL, modified then imported into this project or another project or another node. This is a convenient way to make the same modification to a large group of tags or to copy all the tags from one SCADA node to another.

SCADA Node Import - The tag database, graphic displays, scripts, everything about a SCADA node can be imported from another project. This is a convenient way to copy a project from a laptop used for development, to duplicate a project, to merge projects, or split a node from a project.


1.8.2 Pre-Built Displays

Using Pre-built Template Displays, you don't need to build graphics at all. You can use the pre-built displays that come with Advantech WebAccess to view very Tag and Block, trend and alarm in your database, without ever building a single graphic. Of course, you can modify and customize theses default displays.

These displays are "template" displays: one display that acts as if it were hundreds of displays. The pre-built Template Displays include:

Alarm Summary - shows all current and unacknowledged alarms. Alarms can be sorted (time, priority, name etc) and filtered.

Alarm Log - shows a history of the last 10,000 alarms.

Alarm Groups - pre-defined groups of tags commonly used to temporarily disable alarming while parts of the system are taken out of service.(At least one Alarm Group must be configured to see this display. Easy as entering a single tag name in Project Manger).

Action Log - shows a history of the last 10,000 operator actions including logins, changes tags, and recipe downloads.

Data Log Trend - Shows Historical and Realtime data for tags configured with Data Log.. (At least one Data Log Trend Group must be configured to see this display and a Tag must have its Log Data field checked ) 12 tags at a time. Tags can be mixed and matched on the fly during run-time without loosing historical data.

Real-Time Trends - shows real-time trend data for and tag. (At least one Real-time Trend Group must be configured. Easy as entering a single tag name in Project Manger). These are short-term trends that are not written to the hard drive, for values that do not need log term storage (for example tuning parameters)

Faceplate Group - a Text Based display showing the values of tags entered into a list. The intent is a display of tags and blocks that is built quickly from a list defined by engineers and technicians. The default are text-only displays, but can be modified to include graphical "faceplate" type displays. Similar to those found in DCS systems. At least one faceplate group must be configured to see this display. Provides a 'drill down' hierarchy of Overview -> Group -> Block Detail -> Point Detail.

Overview Group - A summary Display of all Faceplate Groups. The default are text-only displays, but can be modified to include graphical "faceplate" type displays. Similar to those found in DCS systems. At least one faceplate group must be configured to see this display.

Point Detail Display - provides a full page Graphic for any tag in the system. It allows users view all details of every Tag in the system, including its current value and all the "Tag Fields" associated with the Tag or BLOCK:PARAMETER. Tag Fields include Alarm Limits, Hi and Lo Span, Address, other configuration data and run-time statuses. There are actually three Point Detail Displays ( Analog, Discrete and Text) that are called automatically based on the BLOCK:PARAMETER's or Tag's data type. Three standard Point Detail displays allow every tag to be viewed:

Analog Point Detail for Analog Type Tags,

Digital Point Detail for Digital and Discrete type tags, and

Text Point Detail for Text type Data. The Detail displays include Description, Alarms Alarm Limit Scale, Engineering units and about 30 fields associated with each tag.

Recipes - Shows any configured Recipe Displays. Allows users and operators to view, modify and download recipes. (At least one recipe must be configured to see this display).

Station Status - shows status of all communication Ports and automation devices (e.g. stations).

User Program Status - shows status of any configured user programs (i.e. 3rd Party or custom programs).

Global Script - shows status of any user-built 'scripts' used for custom reports, events, and calculations running on the SCADA node.

Video - shows any configured Video Cameras.

In order of appearance, the Out-of-the-Box system provides the following the Pre-built Displays and pop-up Dialog Boxes:

Welcome Graphic - with Login Prompt. Prompts users to login.

Login Dialog Box

Main Graphic (Main.bgr and Main.drw)- so users don't see a blank screen.

Notice the pre-built Toolbars for navigation to these displays and dialog boxes.

Try the pressing the Ctrl+F5 keys or Right Click -> Goto -> Point Detail or pick the [image] button to call up the Point Info Dialog Box.


1.8.3 Standard Popup Dialog Boxes

Advantech WebAccess automatically generates these Pop-up Dialog Boxes to display lists of Tags and Displays available to users and operators. System development is made easier and faster by utilizing the standard Dialog Boxes for user interaction. These boxes are pre-built and popup when a user tries to change a tag (Change Dialog Boxes, one for Analog, Digital and Text tags) or request a display list (User Built Displays, Trend Displays, Data Log Trend Displays, Overview Displays, Faceplate Displays and Alarm Groups.

Change Dialog Box

The standard change dialog box provides the ability to enter data without a keyboard using numeric buttons (for analog tags), alpha numeric (for text type displays) and state buttons (for digitals with appropriate state descriptor. This is especially useful for field mounted display panels using a touch screen instead of a keyboard. This also speeds system development for users of touch screen only applications and provides a backup for keyboard users.

Tag Browser (Point Info Dialog Box)

Standard feature in Advantech WebAccess Client is a Tag Browser. This is a Windows Pop-up Dialog Box. It shows all tags in the system. The can be filtered by Tag Type, IO Channel.

The Tag browser also provides a "Point GOTO" feature that shows all points in the system where the tag is displayed including all user built graphics, trends, alarm summary, Detail Displays, etc. With one click you can got to that display. The Point GOTO feature provides Tag cross-referencing of tags and displays in the run-time VIEW.

Display, Trend and Recipe Lists (Dialog Boxes)

These are actual several Popup Dialog boxes that show lists of all Graphic displays, trends, recipes.

A partial list of Standard Popup Dialog Boxes are:

· Point Info (Tag Browser)

· Analog Change Dialog Box

· Digital Change Dialog Box

· Multi-STATE DISCRETE CHANGE DIALOG BOX

· Text Change Dialog Box

· Point GOTO Dialog Box

· Login & Password Dialog Box

See 9.4 Dialog Boxes for more information.


1.8.4 Symbol and animated Widget Libraries

Symbols - these are graphic images in a library that allow you to quickly build graphic displays using a drag and drop techniques. You can easily create new symbols by saving parts of new graphic displays.

Widgets - are pre-animated graphic symbols. Entering the name of the tag once can make links to many animation features within a complex or simple object.


1.8.5 Graphic Building Productivity

Import AutoCAD DXF

AutoCAD DXF files can be imported, edited, grouped, filled and animated. They become vector elements in the graphic that can be infinitely scaled.

Import Bitmaps, Jpegs and Gifs

For flexibility, Bitmaps, JPEGs and GIFs can be imported and animated. They cannot be edited other than scaling and position. They are not converted to vectors but remain as bitmaps with all the limitations inherent in bitmap images.

Replace String
The "Replace String" tool in the DRAW edit menu will replace all occurrences of a string in a selected part of a graphic display. This includes animation! For example, you could replace all occurrences of the tag TC101 with TIC202. This allows similar displays to be copied and then easily modified for the new tag links or changes to a tagname to be easily reflected in new graphic displays.


1.8.6 Toolbars for navigation

Toolbars provide navigation pushbuttons and special function keys appropriate for each display type (for example download recipe on the recipe display). The default toolbars ensure all displays have navigation buttons to allow users to call up new displays, acknowledge alarms, etc. This can save time in building new displays (since you do not need to incorporate links to other displays during your display building). Toolbars can be modified. Toolbar can be assigned to a display by naming the toolbar after the display. The buttons on toolbars can include, icons, graphics, animation (i.e. color change, motion) and execute Keymacros


1.8.7 Productivity Tools for Operators and Users

Alarm Graphic

Alarm Graphic can be assigned for each tag in the system to help operators quickly find the appropriate display and correct the alarm. Engineers and technicians assign the alarm graphic during configuration of a tag.

Using the GOTO ALARM GRAPH keymacro or the Alarm Graph button on the Alarm Summary Display will call up the alarm graphic. It is typically used to allow an operator to jump from the Alarm Summary display to a graphic relevant to the alarm. The Alarm Graphic can be any user built graphic display. The tag must be in the Alarm State for the GOTO Alarm Graph function to work

Point-GOTO

The Point GOTO dialog box shows all graphics, trends, alarm summary, alarm groups, recipes, faceplate groups, and overview displays a selected tag appears on. This allows an operator to quickly identify the display relevant the tag. It also assists in system ring-out and testing to verify that all tags in your communications database appear in relevant displays and trends

Display Groups

Advantech WebAccess local SCADA node supports a non-web browser version intended for standalone architecture and control room type users. Multiple display windows can be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess.


1.9 About this Manual

This Guide provides a generalized description configuring communications, building Graphics, and Web Deployment.

This Advantech WebAccess Configuration Manual (also called Engineering Manual) is written for system integrators, controls engineers, system technicians and project managers. The audience is the team of technicians and engineers actually developing the Advantech WebAccess project.

The content of this Guide describes the functions and tasks used to configure a Advantech WebAccess project including:

· Project Manager

· DRAW

· Communications

· Tags

· Alarms

This Guide also contains information on the Configuration and Graphic Building System. Other Guides contain Information on the Installation (Installation Guide), Operation (Operator Guide) and each Device Driver. Driver Guides provide specific details to installing and configuring communications to each of the devices Advantech WebAccess supports.

This manual (Configuration & Engineering Manual) is available in several formats:

· Web based Help found on the HELP link at top of the Project Manager.

· Windows Help (HTML Help) found in

the DrawDAQ menu bar (the local DRAW on the Project Node).

AND the Task Tray Icon on Project and SCADA Nodes

· Acrobat PDF file from the web site

Other Manuals you should review

· Installation & Planning Manual is a subset of the Engineering Manual found on the Installation CD and website.

· Quick Start Manual Quick Start link at top of the Project Manager

· Operator Manual is found on

the HELP link at the top of default VIEW in Web Clients

and the menu bar of ViewDAQ on the SCADA node (local VIEW).


2. Getting Started

Welcome to Advantech WebAccess! Since Advantech WebAccess is the truly web-browser based, you have many options open to you.

The Fastest Start is to connect to an existing system. If you want to connect to an existing system, you only need Internet Explorer 6.0 and the Advantech WebAccess Client Plug-in. You can download the Client Plugin from the Project Node.

· The on-line Demo - Try the on-line demo version at http://www.advantech.com.cn/eAutomation/WebAccess/index.asp . You just need an Internet connection and a Web Browser to start (Internet Explorer 6.0 or later). You will be a "Client". A Project Node, SCADA Node and PLCs are already installed and waiting for you to try.

· Your company's system - Connect to an existing Advantech WebAccess system at your plant or facility, if there is one already installed. You can be a "Client" to the existing "Project Node" and "SCADA Node(s). Again, all you need is Internet Explorer 6.0 or later and a network or LAN connection. Ask your system administrator or Automation Engineer for the address. You will be a Client.

The alternative to connecting to an existing system is to Create a SCADA system that optionally communicates to automation hardware (PLCs, controllers, IO, etc).

· Install a "standalone" system on your PC or laptop. You can run in simulation mode to test out your system. Your PC or laptop will need Web Server Software: IIS, Internet Information Services. A "standalone" system must be Windows 2000 (Professional or Server), Windows XP (Professional) or Windows 2003 Server. (XP home will not work as a Project Node or SCADA Node; it can be a client). This will make your PC or laptop a Project Node and a SCADA node. Any graphics or projects that you develop on your standalone system can be copied to another PC. You can install from a CD-ROM or download the installation files from the Advantech WebAccess ftp site (contact your local sales office to obtain a username and password to download software).

· Install a full network system using the Project Node as a Centralized database Server and multiple, distributed SCADA nodes communicating to automation device throughout your enterprise.

If you are Installing Project Node or SCADA node software (in order to create a new system), please refer to the Installation Guide. It is located on the Installation CD and an online version can be found at http://webaccess.advantech.com/

or

http://webaccess.advantech.com/

If you are just using the Client to connect to the demo or an existing Advantech WebAccess Project Node, please continue with this section.


2.1 Advantech WebAccess Program Elements

Web Access consists of the following major program elements:

· Project Manager - the Database Configuration Tool used by engineers and technicians to build a project using a Web Browser. This is located on the Web Server (Project Node). For more information see 2.1.1 Project Manager

· DRAW - the graphics builder in a Web Browser. For more information see 2.1.2 DRAW

· VIEW - the run-time display of real-time data and animated graphics, in a Web Browser. For more information see 2.1.3 VIEW

· Client Plug-in- the Client Plug-in enables an ordinary Web Browser to run DRAW and VIEW. The user are prompted to download and install the Plug-in which is actually an Active-X control (*.OCX). To force a download from the Project Node see 22.1.4.1 Download the Client Plug-in from the Project

· Thin Client - Snapshot graphics and text-based interface for control and real-time data (no animation). One instance bwview.exe runs on the SCADA node to support the thin client interface through the Project Node. For more information see 2.1.4 Thin Client

· Kernel - the runtime data acquisition and communications program on the SCADA node (datacore.exe). For more information see 15.3 SCADA Node Kernel.

· ViewDAQ - the local version of VIEW that runs on the SCADA node (no web browser required) and provides a local interface similar to conventional HMI (BwView.exe). For more information see 15.2 ViewDAQ - local to SCADA node.

· DrawDAQ - the local version of DRAW that runs on the Project Node (no web browser required). For more information see 10.1.3 Differences between DRAW and DrawDAQ

· Advantech WebAccess Network Service - the runtime data acquisition and communications program on the SCADA node (Webvrpcs.exe). A shortcut to Webvrpcs should be located in the Start-up folder. This uses two additional TCP Ports (default 4592 and 14592).

This is the taskbar Icon [image] in the “System Tray” that appears when webvrpcs is running .

Figure 2-13 Advantech WebAccess Network Service Taskbar Icon in System Tray

See Also 22.4.1 No Icon in Taskbar (Webvrpcs.exe won't start) and 2.1.5.2 Taskbar Icon Color Codes.

Datacore support tasks

Other Program elements that run on the SCADA node that a user normally does not need to think about include:

· Bwscrp.exe - the Global Script engine.

· Bwddexe.exe- the DDE server

· Bwmail.exe - the POP3 email client used to check for Alarms acknowledged by email and Global Scripts by email.

· Bwview.exe - (for thin client). This runs on the SCADA node and communicates with the Project Node to supply GIFs and JPEGs. The Project Node delivers the GIFs and JPEGs to the Thin Client

Datacore restarts support tasks if they stop.

The Global Script engine, the POP3 email client, the Thin Client server and the DDE server will be restarted automatically by Datacore if any of these programs stop. Datacore checks if Bwscrp, Bwddexe, Bwmail and Bwview (for thin client) are running every 10 seconds, beginning 20 seconds after the system starts.


2.1.1 Project Manager

The Project Manager is the Database Engineering Tool (also called the Configuration Manager). The Project Manager software resides on the Project Node (the web server node). Clients access the Project Manager is using a Web Browser (even in a stand-alone application).

Using the Project Manager, engineers and technicians create projects, configure SCADA nodes, configure communication ports, configure devices, build tags and download projects to the SCADA node(s). The Project manager also used to start the graphics builder (DRAW).

Figure 2-1Project Manager starts from Advantech WebAccess Configuration Button

Figure 2-2Project Manager - HOME

Help will open this Help file in a Web Browser.

QuickStart will open the Quick Start Guide in a Web Browser.

Logout will Logout from the Advantech WebAccess Configurator (Project Manager).

Figure 2-3 Project Manager - SCADA Node Properties

No Plug-in or Active X control is required for Database configuration. Internet Explorer 6.0 is required.

Earlier versions of IE and Netscape can view the database, but will show some data incorrectly due to differences in how they process Java Script. These older versions will not be allowed to submit changes.

Only users that are Administrators or Project Users can use Advantech WebAccess Configuration and the Project Manager.

The unique feature, which distinguishes Advantech WebAccess from the competition, is that all engineering, database configuration, graphics building and software administration can be performed using a standard web browser as well.

This makes Advantech WebAccess a "fully" web-based solution. Advantech WebAccess enables engineers, integrators and vendors with the ability to support their systems remotely over an intranet or the Internet using an ordinary web browser.

All a user needs to use the Project Manager is a Web Browser (IE 6.0, 7.0, or later recommended). Any Client with a Web Browser and a network connection to the Project Node can use the configuration and engineering tools for Advantech WebAccess (assuming the use a project user or admin account and password).

The Project Manager software consists of the Active Server Pages (ASP), scripts, DLL libraries and related database files installed on the Project Node. The Project Manager uses a Web Server (IIS) to execute the programs and JavaScript contained in the ASP and interact with the Database and its associated files (including graphic displays and scripts). This is a collection of ASP web pages, scripts, libraries and databases located on the Web Server (Project Node) typically at drive:\inetpub\wwwroot\broadweb. Additional files are located a drive:\WebAcces\Node .

For directions on using the Project Node see 2.3 Create your first Advantech WebAccess Project (Quick Start).

For more information see 20. Project Manager and 2.4 Copying Projects and files.


2.1.2 DRAW

DRAW is the graphics builder used by engineers and technicians to develop graphical displays of real-time data. The DRAW Graphics Builder is an object-oriented and vector-based graphics program. A graphic display is a vector-based, pictorial screen used to depict a process and its dynamic data.

No modification of graphics is required to view them on the Web. No HTML programming is required. All security functions are supported. The Advantech WebAccess VIEW Clients allow full read and write capability (with password security).

Figure 2-4 DRAW - the graphics builder

The Graphics Builder is called DRAW (if using a web browser) and DrawDAQ (if using the standalone or local Project node version). An engineer or automation technician can use either DRAW or DrawDAQ to develop graphics and animate them.

The Client Plug-in is required to use DRAW in a web browser.

Advantech WebAccess also provides standard Pop-up Dialog boxes, Toolbars and Pushbuttons in Web Browser clients to speed application development and reduce engineering time.

Engineers and technicians can easily build graphics using pre-built symbols, Toolbars, Buttons, Widgets, Faceplates, etc.

Pre-built Template displays are provided for Alarm Summary, Point Detail, Overview, Faceplate Groups, Alarm Groups, real-time and Data Log trends.

DRAW runs inside a Web Browser (IE 6.0, 7.0, or later recommended). DRAW is part of the Client Plug-in allowing users to build and modify graphics remotely using a web browser. The graphics are built during a connection with the Project Node and stored on the Project Node. Using the Project Manager, engineers and technicians can download the graphics from the Project node to the SCADA node(s).

Anyone with a Web Browser, the Client Plug-in and a connection to the Project Node can use DRAW. The Client Plug-in can be downloaded from the Project node. If a user tries to use DRAW without the plug-in, Advantech WebAccess will prompt to begin a download of the Client Plug-in.

To get start DRAW see 10.2 Start Advantech WebAccess DRAW or 10.2.1 Start local graphics builder - DrawDAQ and 10.2.2 Build a simple graphic .


2.1.3 VIEW

Figure 2-5 Start VIEW button

VIEW is the web browser runtime version full animation graphics. Ordinary Users (typically a control room operator or building maintenance personnel) use VIEW to monitor and control real-time data. VIEW clients support full animation.

Figure 2-6 VIEW in a web browser - animation, trends, live Video & sound

Using a standard Web-Browser (Internet Explorer 6.0 recommended), users can view and control automation equipment used in manufacturing facilities, industrial process plants and building automation systems. Data is displayed in real-time with dynamically updated graphics using full motion animation.

VIEW consists of a web browser and the Advantech WebAccess Client Plug-in. The Client Plug-in is an Active X control that allows it to run inside an Internet Explorer 6.0 web browser.

Advantech WebAccess Client is available for desktop computers and laptops running Windows 98/ME/2000/2003/XP.

You also need a network connection to the Project node and SCADA node. A dial-up modem will work fine. So will your company intranet or LAN if it allows a connection to a Advantech WebAccess SCADA node. Of course, the Internet gives you the flexibility to connect to any Advantech WebAccess SCADA node in the world, if you know its address and passwords.

No modification of graphics is required. No HTML programming is required. All security functions are supported. Advantech WebAccess also provides Pop-up Dialog boxes in Web Browser clients, Toolbars and Pushbuttons. The Advantech WebAccess Clients allow full read and write capability (with password security).

See the section on “Web Deployment” for more information.

A Web browser client user can log on with unique user name and password. User types include Administrators, Power Users, General Users and Restricted Users. Restricted users can only view displays assigned to them, an only the Tags on those displays (even if using a standard pop-up dialog box).

VIEW Clients require the Active-X plug-in. When connecting to the SCADA node, web browser clients will be prompted to download an install the Client Plug-in. It is about 2 Megabytes is size. Advantech WebAccess Client Plug-in is available for desktop computers and laptops running Windows 98/ME/2000/2003/XP.

Users of 2003, 2000 and XP must be at least power users in order to install the plug-in.

VIEW clients connect initially to the Project node (to get the deploy address of the SCADA node) then establish a direct connection with the SCADA node for real-time data, alarms, trends and graphics. Graphics are cached locally on the VIEW client when the user calls them.

View with multiple SCADA Nodes and default Mode

The default View has hyperlinks to Web Help (from the Project Node) and View Property. If there are multiple SCADA Nodes in the Project, the default VIEW also has a menu tree listing the SCADA Nodes and hyperlinks to Start the Node and Start View to that node. This can be customized by using the bwViewpg.asp and View Client Options.


2.1.4 Thin Client

2.1.4 Thin Client(Not supported by WinCE Edition(WebView &WebLink ))

Figure 2-7 iPAQ 3700 pocket PC from Compaq

The Thin Client is designed for use by a PDA, Handheld or Pocket PC. Using Internet Explorer, users can View snapshots of graphics and change values through a text interface. Designed for use on a Windows CE based PDA or handheld computer; any web browser on any type of Windows PC can view the thin client displays. The Project node (bwroot.asp) will redirect any client using Windows CE to the thin client interface address: http://ipaddress/broadweb/hd1/m.asp

Using a connection to either the Internet or a Wireless LAN, the Thin Client allows both Control and Viewing of data in both graphical and text based formats. Similar in function to the full-animation client, the thin client interface provides snapshots of each display in the GIF and JPEG file formats. (GIFs are used for graphics displays with less than 256 colors; JPEGs are used for displays using more than 256 colors). Values, Setpoints and Digital states are changed through a text type interface.

Figure 2-8 Advantech WebAccess Thin Client displays

The Thin Client Interface consists of software on the Project node (Web Server), since there is no software is required on the client. No plug-in or ActiveX control is required.

The thin client does not communicate with the SCADA node directly. The Thin Client communicates directly to he Project Node only. Your Web Server License limits the number of "simultaneous" thin client connections. Microsoft Internet Information Server (IIS) on Windows 2000 and XP Professional support 10 simultaneous connections. Windows 2000 Server supports much larger connection limits (un limited).

Thin Client has been tested with the iPAQ series of pocket PCs from Compaq Computer Corp.


2.1.5 SCADA Node Kernel

The SCADA node software includes the run-time Kernel (datacore.exe). The Kernel provides real-time data to Clients. The Advantech WebAccess Kernel uses communications drivers to enable a SCADA node to communicate with automation hardware including programmable logic controllers (PLC), IO, controllers, direct digital control systems (DDC) and distributed control systems (DCS).

The Kernel can be started remotely from the Project Manager:

Figure 2-9Project Manager Start SCADA node & Stop SCADA Node

Or locally on the SCADA Node from the taskbar icon [image] located next to the Clock.

The Advantech WebAccess taskbar icon is located in the “System Tray” in the “Taskbar” (in official Microsoft Terminology). The Advantech WebAccess Taskbar Icon appears if Webvrpcs.exe is running. This Advantech WebAccess Taskbar Icon does not appear on Web Browser Clients. The Advantech WebAccess Taskbar Icon appears on the SCADA Node(s) and Project Node.

Figure 2-10 Taskbar Icon - SCADA Node running - mouse hover

The taskbar Icon is color-coded (red stop, green run, yellow fail to start, blue Script or Scheduler engine stopped).

If you “hover” the mouse over the Advantech WebAccess Icon, it will list the version number and the project and SCADA Node name if the Kernel is running

Figure 2-11 Advantech WebAccess Taskbar Menu - SCADA Node only -Start Kernel and ViewDAQ

Click on the Advantech WebAccess Taskbar Icon to open the Menu (Figure 2-11).

The menu list varies depending on if this is a SCADA Node (only) or a combined Project Node / SCADA Node.

The SCADA Node Menu lists Start Kernel, Stop Kernel and ViewDAQ.

A combined Project Node/SCADA Node Menu will list DrawDAQ and Download Graph in addition to Start Kernel and ViewDAQ (Figure 2-12).

Figure 2-12 Taskbar Menu - combined Project / SCADA node – Kernel running

If there is no Advantech WebAccess Icon in the task tray, you are not on a SCADA Node or Advantech WebAccess Network Service (webvrpcs) has failed. You can restart the service from the Start Up folder. See 22.4.1 No Icon in Taskbar for more information.


2.1.5.1 Start Kernel from Taskbar Icon

You cannot start the SCADA Node unless a Project has been configured and Downloaded to the SCADA Node.

To Start the SCADA Node kernel locally on the SCADA Node:

1. Click the red Taskbar Icon [image] in the “System Tray”.

Figure 2-13 Taskbar Icon in System Tray

2. The Taskbar Menu appears (Figure 2-11).

3. Move the mouse over Start Kernel.

Figure 2-14 Start SCADA Node Kernel locally from Taskbar

4. Move the mouse over the Project_SCADA Node name (there can be more than one project downloaded to a SCADA Node).

5. Click with the Mouse the Project_SCADAnode name you want to start.

6. The Advantech WebAccess Icon should turn green [image].

The Taskbar Icon is Color Coded to show the State of the SCADA Node Kernel.

Note - If there is no ViewDAQ, no Start Kernel, and no Stop Kernel listed in the menu of your Taskbar Icon, then you are on a Project Node. The Advantech WebAccess Taskbar Icon is always red on the Project Node


2.1.5.2 Taskbar Icon Color Codes

The Advantech WebAccess Taskbar Icon is color Coded.

If the SCADA Node kernel is Stopped (off, not running) then:

· The Taskbar Icon is RED

· The menu item Stop Kernel is grayed-out (Figure 2‑11)

· The menu item Start Kernel is in black (Figure 2‑11).

If the SCADA Node kernel is Started (i.e. running, on, and communicating) then:

· The Taskbar Icon is Green [image] .

· The Menu Item Stop Kernel is black.

· The menu item Start Kernel is grayed-out

A Blue Icon on bottom with a Green Icon on Top [image] means the Script Engine has failed. This will affect Global Scripts and Email (including Alarm Emails and Pager Notification). It is recommended to Stop and Start the SCADA node.

A Blue Icon on Top with a Green Icon on bottom [image] means the Thin Client Interface has failed. This will affect users of Pocket PCs, PDAs and other Thin Client users. It is recommended to Stop and Start the SCADA node.

Both Screens Blue [image] means both the Thin Client Interface and Script Engine have Failed or have not started. It is common for both to be Blue when the SCADA Node is first started.

A Yellow Icon [image] means the SCADA node Kernel is starting or failed to start (datacore.exe has failed to start).


2.1.5.3 Start Kernel remotely via Project Manager

2.1.5.3 Start the SCADA Node kernel remotely via Project Manager

If you have not already done so, connect to the Project Node and Start Advantech WebAccess Configuration. Select your Project.

1. Select the SCADA Node under your Project Name in the Project/Node list.

Figure 2.1.5.3.1 - Start SCADA Node kernel remotely via the Project Manager

2. From Project Manager select Start node

3. If this is a redundant SCADA node, a dialog box opens asking you to confirm which one or both Primary and Backup should be started.

Figure 2.1.5.3.2 - Appears only if redundant SCADA node.

Use the radio button to unselect a node and the click Submit to continue.

4. The Start Node Dialog Box pops open.

5. When Node is started, select Close Window.

Warning - if communications times out between the SCADA Node and Project Node, you will still get the above Dialog Box stating the Node has started. You should always start View and connect to that SCADA node to confirm it has started. It may take a long time to start if there are many Data Log files and/or the Hard drive is fragmented.


2.1.6 ViewDAQ - local to SCADA Node

2.1.6 ViewDAQ – SCADA Node

ViewDAQ is a local version of VIEW that can be run without a web browser. ViewDAQ is intended for standalone systems.

There is a non-web browser version of VIEW that runs locally on the SCADA Node named ViewDAQ. ViewDAQ is typically used in Stand-alone or Control Room applications where a network connection to the SCADA Node is not needed.

ViewDAQ provides all the features found in VIEW and provides operators and general users the ability to VIEW and Control in real-time using full-animation graphics without a web browser. The Differences between ViewDAQ and VIEW include:

· The Right-Click Menu (VIEW) is replaced with a Menu Bar in ViewDAQ.

· Restricted User and General User types are ignored and treated like Power Users (can View All Displays)

· Users can Login and Log-out without closing ViewDAQ.

· Display Groups allow engineers, technicians and, with the right password level, operators to define popup windows and multiple window groups that will open from a pushbutton or list.

· An Exit Password can be defined to prevent ViewDAQ from closing (and hence stopping the SCADA Node locally from the Taskbar Icon).

ViewDAQ is started from the green Advantech WebAccess Icon [image] in the taskbar “System Tray” next to the system clock (Start the SCADA Node kernel first).

Figure 2-15 Advantech WebAccess Taskbar Icon

ViewDAQ, Start Kernel and Stop Kernel are accessible by right clicking the Advantech WebAccess Icon in the taskbar next to the system clock.

Figure 2-16 ViewDAQ on SCADA node with Kernel stopped (Red Icon)

ViewDAQ can be started only if the Kernel is Running (a Green Icon). The Kernel will only run if a Project was downloaded to the SCADA node from the Project Manager.

Figure 2-17 ViewDAQ on combined SCADA/Project Node with Kernel started (note Green Icon)

Displays Groups are another feature available to ViewDAQ users (but not browser clients). Display Groups provide a Windows Management tool. Display Groups enable operators and users to open multiple windows with a single pushbutton in pre-defined positions and with the desired graphic, trend or alarm display.

Figure 2-18 Display Group in ViewDAQ


2.1.6.1 Start ViewDAQ

You cannot Start ViewDAQ unless a Project has been configured and Downloaded to the SCADA Node.

There are two ways to start ViewDAQ locally on the SCADA Node:

Double Click Icon to Start ViewDAQ

1. Start the SCADA Node kernel, if it is not already started.

2. Double Click on the Green Advantech WebAccess Icon [image] in the Taskbar (System Tray) next to the clock to open the Taskbar Icon.

3. Welcome to ViewDAQ appears without Toolbars (Figure 2-19).

4. Press the Enter key or Right Click the mouse to view the Main.bgr and toolbar.

Figure 2-19 ViewDAQ Welcome - no toolbar - Press Enter to continue

Taskbar Menu to Start ViewDAQ

1. Start the SCADA Node kernel, if it is not already started.

2. Click the Green Advantech WebAccess Icon [image] in the Taskbar (System Tray) next to the clock to open the Taskbar Icon.

Figure 2-20 Start ViewDAQ from Taskbar Menu

3. Move the Mouse to the ViewDAQ menu item.

4. Click once on ViewDAQ.

5. Welcome to ViewDAQ opens without Toolbar (Figure 2-19).

6. Right Click or press Enter to view the Toolbar and Main.bgr

Note – if the Start-up Option in SCADA Node properties is Start Kernel and View, then ViewDAQ will start when the SCADA Node reboots.


2.1.7 DrawDAQ - local to Project node

DrawDAQ is a local version of DRAW that runs without a Web Browser. It is local to the Project node or a stand-alone system, with the SCADA node and Project node software installed on the same PC. DrawDAQ allows graphics building without using a web browser.

DrawDAQ is started from the Advantech WebAccess Icon [image] in the taskbar “system tray” next to the system clock.

Figure 2-21 Taskbar Icon in 'system tray"

DrawDAQ and Download Graph should be accessible by clicking the Advantech WebAccess Icon in the taskbar next to the system clock on your Project Node or a standalone PC with both Project Node and SCADA Node software installed.

Figure 2-22 Taskbar Menu - Project Node


2.2 Steps to build a Advantech WebAccess Project

The following is a list of the steps to configure a Project with a SCADA node and communications to PLCs, Controllers, IO and other automation devices:

1) Gathering information. It is best to show up prepared:

a. Communication Protocol of your Device

b. Addresses of the Device and Tags

c. Physical Communications Port on the PC that connect to the device

d. IP address (or other address) of the SCADA node(s)

2) Start your Web Browser and Connect to your Project Node using its IP Address, Network address or URL.

3) Login to Advantech WebAccess Configuration

4) Create a Project. Simple as giving it a Name you can live with. It is very difficult to rename a project.

5) Create a SCADA Node. You need a Name, an IP Address (or URL or Network address) and other options. All can easily be changed later.

6) Create a COM Port.

The physical communications port to be used to connect to the field devices. Examples include a serial port (COM1, COM2), a Network card (TCP/IP), an OPC Server (OPC) or a proprietary network card requiring special software (API). You can change the Port type or Port Number later. If using multiple communications ports, determine which tags are on which comport. It is easy to change the port number but almost impossible to split tags from a comport and leave others behind.

7) Create a Device (e.g. PLC, controller, IO, automation device)

This specifies the Communications Protocol and Device Driver required by the automation device. Examples include Modbus RTU, Modbus Ethernet, Allen Bradley Data Highway Plus, etc. You cannot easily change the device type later. You would have to create a new device and recreate all the tags in that device.

The address of the device is easily changed later for most drivers.

8) Create IO Tags.

The addresses of the data in the device are needed. For example in a Modbus RTU PLC, Analog Inputs have addresses between 30001 and 39999. Most drivers come with "parameters" that act as templates for building tags. Parameters include typical addresses for the device.

You can change addresses of tags and all the other fields associated with a tag later. If using multiple communications ports, determine which tags are on which comport. It is easy to change the port number, which will move all tags on that port to another port. However, it is impossible to move only some of the tags from one port to another.

9) Optionally configure Trends, Alarms, Recipes, Faceplate Groups, Alarm Groups and other features.

10) Download and Start your SCADA node

11) View data using Default Graphics and Dialog Boxes using a Web Browser or ViewDAQ.

12) Build Graphics using DRAW. It is recommended to build your IO Tag database before animating or building graphics.

It is easier to Build and Animate Graphics if the IO tags already exist. The Widgets and Faceplates Wizard can make many connections to complicated animation object if you enter a single tag name.

If you build Graphics before the Tag exist, it will be more effort later to animated complicated objects that are already drawn. If you plan to build graphics before configuring IO Tags, a recommendation is to build a dummy project using the identical tagnames you plan to use. These graphic displays can be copied to the new project easily.

13) Download your new Graphics to the SCADA node.

See the Quick Start Manual for a quick guide to building tags and graphics.

See in this Engineering Manual

2.3 Create your first Advantech WebAccess Project (Quick_Start) and

3.3.2.1 Step by Step Examples to Configure Communications Port, Device and Tags and

10.2.2 Build a simple graphic .


2.3 Create your first Advantech WebAccess Project (Quick Start)

2.3 Create your first Advantech WebAccess Project
(Quick Start)

Let's begin by quickly configuring a Project with the minimum information needed to Download and Start your SCADA node. This will allow you to test out your newly installed software. This assumes you have installed Project Node and SCADA node Software.

To build a minimum configuration to download and Start:

· Connect to Project Node

· Start Advantech WebAccess Configuration

· Create a Project

· Open Project Manager

· Create a Node

· Download and Start SCADA node

· VIEW the SCADA node

Advantech WebAccess has pre-built system displays that allow you to quickly build and VIEW a run-time database without any graphics building. This should take an experienced user less than 5 minutes to build a basic project, download and start your SCADA node and confirm your software installation was successful.


2.3.1 About Addresses

You need to know the addresses of your Project Node and SCADA node. In order to create a project that you can download.

o        URL is the Universal Resource Locator, for example http://www.Advantech.com/ . If your company has assigned a URL to your Advantech WebAccess Project, enter this in the Address Bar of Internet Explorer. URL also can have similar forms, for example the Advantech WebAccess Live Demo project node can be reached at http://www.advantech.com.cn/eAutomation/WebAccess/index.asp/

o IP Address, Internet Protocol Address. The IP address is a series of 4 numbers separated by periods (e.g. http://67.94.27.175/).

o Computer Name - If you are on an Intranet, or a standalone PC, you can enter the computer name of the Advantech WebAccess Project Node (for example "Server1"). This can be either a TCP/IP "host name" or the Microsoft Network name.

o Local PC - If you are on a PC that has the Project Node software installed and a network card, you can use the default localhost address or url:
http://localhost
or
http://127.0.0.1

If you are on a standalone PC without a network card, you must use the computer name: (for example "http://Node1").

· HOST name. This is a name in the HOSTS file on your PC. This might be used to allow users from outside an Intranet to use a Public IP Address and local users on the intranet to use a private IP Address. See Hosts Files in section 8.7.2.3, for more information about HOST name and HOSTS file.

Note – Using a Host File ,then distributing that host file to legitimate users, can isolate your Advantech WebAccess System to other unauthorized user who do not have the Host File. The Addresses in Advantech WebAccess are useless to any user without the Host file even if they guess a password.


2.3.2 Connect to project node

1. Start Internet Explorer.

· Double Click the Icon on your Desktop

· OR, Click Icon on your Taskbar

· OR, From the Start button select:
Start->Programs->Internet Explorer

2. Enter the IP address or URL into the "Address Bar" (Figure 2‑23)

To connect to the Live Demo enter http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

To connect to your local PC enter http://localhost/

3. Press the Enter key or Select Go.

Figure 2-23 - Internet Explorer Web Browser - Address Bar

Congratulations! You have successfully connected to your Advantech WebAccess Project Node. It took no special software to connect.

Figure 2-24 – Advantech WebAccess “Root” page – bwRoot.ASP

Your Advantech WebAccess probably looks like the above. It is possible a system engineer modified this page to remove buttons or add additional buttons, change the color, add company logos, etc. Figure 2-3 above is an example of a modified Project Node Login Page.

There are three choices on the HOME Page (bwroot.asp).

· Advantech WebAccess Configuration

· Advantech WebAccess User Management

· Advantech WebAccess View

If this is a newly installed system, you must build a project and download it to a SCADA node before you can use VIEW.

Let’s next go to Advantech WebAccess Configuration, to build a project.


2.3.3 Start Advantech WebAccess Configuration

1. Select Advantech WebAccess Configuration button
on the HOME Page (bwroot.asp), Figure 2-25.

Figure 2-25 - Advantech WebAccess bwRoot page (Root page)

2. Configuration Login Page appears, Figure 2-26 (bwconfig.asp)

Figure 2-26 - Configuration Login (bwconfig.asp)

3. Login with Default username and password

If this is a new system or you are connecting to the Live Demo, use the "Default Login". Otherwise, use your Login Name and Password.

a. In the Login Name field type: admin

b. Leave Password field blank (i.e. no password)

c. Click the Login Button

"Advantech WebAccess Project(s)" list appears (bwproj.asp). If this is a newly installed system, it will be empty (Figure 2-27). Otherwise, a list of projects previously configured appears (Figure 2-28).


2.3.4 Create New Project

If you have not already done so, connect to the Project Node and Start Advantech WebAccess Configuration.

Figure 2-27 - Advantech WebAccess Project List empty - newly installed system (bwproj.asp)

1. Enter a Project Name for this project, in the Create New Project section in the Advantech WebAccess Project(s) List (Figure 2-27). This name can be any alphanumeric (but NO UNDERSCORES). This name will identify the project in the Project Manger. It also will appear on the caption bar in VIEW. Projects are typically named after the customer or facility.

Note - If you are using a standalone system, the Project Name with the SCADA node name appended to it will appear in ViewDAQ and DrawDAQ menu lists (ProjectName_NodeName)

2. Optionally, enter a Project Description to help identify your project. This will appear only in the Project Manager.

3. The Project Node IP Address should already appear by default. You can also use a URL or Computer Name.

4. If connecting through a Firewall, enter the Primary Port Number of a TCP port assigned by your system administrator.

If not using a Firewall, accept the default: 0. Note that 0 means the default primary port number (4592)

5. It is recommended to accept the default Project Time Out. 0 means the default value is used (15 seconds). Project Time out can range from 1 to 60 seconds. This is the time for normal communications between the Project Node and a SCADA node or the Project Node and the ASP Server.

6. The Access Code should appear by default. This is the Remote Access Code specified during the installation of the Advantech WebAccess Project Node Software. This Remote Access Code is to prevent unauthorized use of your project node.

7. Press Submit for New Project.


2.3.5 Add SCADA Node

If you have not already done so, connect to the Project Node and Start Advantech WebAccess Configuration.

Figure 2-28 - Project List - a single project shown.

1. From Current Projects (Figure 2-28) select your Project Name.

If there are no projects listed, see the previous section: Create New Project.

2. The Advantech WebAccess Project Manager opens (bwMain.asp).

Figure 2-29 - Project Manager - Project page

3. Select Add SCADA Node from the Project Manager.

4. The Create SCADA Node ASP page opens (Figure 2-30).

Figure 2-30 - Create SCADA Node

5. Enter a Node Name for this SCADA node. This is the name that users will see in the caption bar of VIEW and use to select this node from a list of nodes if your have multiple SCADA nodes.

Note - the Project Name with the SCADA node name appended to it will appear in ViewDAQ and DrawDAQ menu lists (ProjectName_NodeName). See Start Kernel from Taskbar Icon in section 2.1.5.1.

6. Optionally, enter a Description.

7. Enter the IP address of the SCADA node. The Project Node IP Address appears by default. Be sure to enter the IP Address of the SCADA node. You can also use a URL or Computer Name. For more information, see section 2.3.1 About Addresses.

8. If connecting through a Firewall, enter the Primary Port Number of a TCP port assigned by your system administrator.

If not using a Firewall, accept the default: 0. Note that 0 means the default primary port number (4592)

9. If connecting through a Firewall, enter the Secondary Port Number of a TCP port assigned by your system administrator.

If not using a Firewall, accept the default: 0. Note that 0 means the default secondary port number (14592).

Advantech WebAccess uses the HTTP port plus requires 2 additional TCP ports; do not use the same port number for both primary and secondary ports if you are connecting through a firewall.

Firewalls - Three (3) TCP ports are required. Typically port 80 is already open, this is the port for HTTP (web and ASP pages). Advantech WebAccess needs two additional ports:

Primary port (default 4592) for file transfer and

Secondary Port (default 14592) for real-time data.

Port Mapping and Network Address Translation (NAT). This is were Private IP addresses of a corporate intranet use a single public IP address. The same ports described for firewall must be mapped in NAT also. For more information, see TCP Ports & Firewalls and Routers & NAT in the Security Section of this Manual or the Configuration Manual.

10. It is recommended to accept the default Node Time Out. 0 means the default value is used (15 seconds). SCADA Node Time out can range from 1 to 60 seconds. This is the time for normal communications between the SCADA Node and a VIEW Client, the Project Node and the ASP Server. If you have a very slow network connection between the Project and SCADA nodes, you may have to increase this value.

11. Enter the Remote Access Code for the SCADA node entered during software installation of the SCADA node software. The Project Nodes Remote Access Code appears by default. The SCADA Node and Project Node do not necessarily have the same Access Code. This Remote Access Code is to prevent unauthorized use of your SCADA node. This code was established when the SCADA Node software was installed.

12. Leave the information about Alarm Log, Printers, Action Log, Alarm Beep, email and other fields blank for now.

13. Most users should leave the information under Redundant SCADA node blank. If you have a Redundant SCADA Node, enter its IP address, node name, firewall ports and remote access code.

14. Press Submit.

You have configured enough information to Download and Start a SCADA node. You can start VIEW and see the default main graphic display. To test out your software installation, let's Download and Start SCADA node.

For more information on configuring a SCADA node, including Alarm Log to Printer, Alarm Log to ODBC database, Change Log to Printer, Change Log to ODBC database, Beep Interval, Frequency and Duration please refer to section on SCADA Node Properties in the Configuration Manual.


2.3.6 Download and Start the SCADA Node

If you have not already done so, connect to the Project Node and Start Advantech WebAccess Configuration. Select your Project.

1. Select the SCADA Node under your Project Name in the Project/Node list (Figure 2-31).

Figure 2-31 - SCADA Node Main page (Main.asp) - Download

2. Select Download

3. The Download Dialog Box pops open (Figure 2-32).

Figure 2-32 - Download SCADA Node

4. When download is finished, select Close Window (Figure 2-32).

5. From Project Manager Select Start node(Figure 2-31).

6. The Start Node Dialog Box pops open (Figure 2-33).

Figure 2-33 - Start SCADA Node

7. When Node is started, select Close Window (Figure 2-33).

Download to the SCADA Node will temporarily STOP the SCADA Node. Users will see a blank screen. Trend and reports will stop collecting data. Communications to field devices will stop. When the SCADA restarts, Alarms will be re-set to unacknowledged.

If you make changes to a Tag, you must download (which will stop and restart the SCADA Node).

Changes to Graphic Displays (and associated Screen Scripts, keymacro files) can be downloaded without stopping the SCADA Node by using Graph Only download link.

Changes to Faceplate Groups, Real-time Trends, DataLog Trend, Alarm Groups, Recipes, Video, Key Mapping, Usernames / Passwords, Global Scripts can be downloaded from their configuration properties page without stopping the SCADA Node. A separate ‘Download’ hyperlink is on each of these configuration pages node.

Note - that the ‘Download’ hyperlink on the SCADA Node Properties page will always stop the SCADA node.


2.3.7 Start VIEW

Continuing from Step 7 in the previous section (Download the SCADA Node).

Figure 2-34 Start VIEW from Project Manger

8. Select Start View (Figure 2-34).

There are other ways to START VIEW described in VIEW Client Options and Start Advantech WebAccess VIEW

9. If you have not already installed the Client, you will see a message:
"Please Click here to install Advantech WebAccess Client first".

Figure 2-35 - Prompt to download and install Advantech WebAccess Client

If you get this message, just follow the steps to download and install the client. If you need more information about downloading and installing the client plug-in.

Hint - After Downloading Client, close all Web browser windows before running the Client Setup program. If you close all web browser windows, you will not have to reboot your computer.

Figure 2-36 - Login page, start VIEW – from Project Manager

10. Welcome to Advantech WebAccess Login appears (Figure 2-36) if the Client is installed.

11. Select Please Login

12. The User Login Dialog Box Appears (Figure 2-37).

Figure 2-37 - Login Password Dialog Box

13. Enter Username: admin
and no Password:

14. Right Click with the mouse or press the Enter key.

15. The default Main Graphic Display appears (you can edit or create a new Main.bgr later)

Figure 2-38 - default MAIN Graphic Display

CONGRATULATIONS! You have installed, created, configured, downloaded and started a Advantech WebAccess project.

The steps so far have been to test out your software installation, there are many steps not yet completed in building a real automation project: configuring Com Ports, Devices, Tags and building graphics are the next steps.

To rapidly build a demonstration or practice project with many graphics, you can Import a SCADA Node over the Internet from the Advantech Live Demo (http://www.advantech.com.cn/eAutomation/WebAccess/index.asp). See Import SCADA Node in the following sections of this manual.

See the Quick Start Manual for a quick guide to building tags and graphics.

See the following sections in this Engineering Manual for a complete Guide to using Advantech WebAccess.


2.4 Copying Projects and files

To copy or move a project, copy the configuration database (bwCFG.mdb) and project subdirectories to the new Project Node PC. You can use the copy and paste feature in Windows Explorer or use WinZip or other utility. The database contains the information about tags. The subdirectories contain the graphics, scripts and other files.

The default database is Access 97 or Access 2000. The bwCFG.mdb starts at around 678 Kbytes in size. The actual size depends on how many tags in your project. If you add and delete tags, the database file size will only get larger. You can use the compact feature in Access 97 or 2000 to reduce the database size. You do not need Access on your Project node in order to use Advantech WebAccess. It is not recommended to edit the bwCFG.mdb directly. Web Access also provides a backup function described in the configuration manual.


2.4.1 File locations

The project database and subdirectories on located on the Project Node at

Drive:\WebAccess\node\config\bwCFG.mdb

The project subdirectories containing graphics, scripts, etc. are at

Drive:\WebAccess\node\config\projectname_nodename

If you have multiple SCADA nodes in your project, there will be a separate subdirectory for each SCADA node.

Web Access also provides a backup function. The project backup files are at

Drive:\WebAccess\node\backup\bwCFGbackup.mdb

Drive:\WebAccess\node\backup\projectname_nodename


2.4.1.1 WinZip

You can use WinZip, any compression, or other file backup utility to make a backup of your project.


2.4.2 Moving a project to another Project Node PC

You may want to develop a project on a laptop or other PC, and then move it to another PC. You have several alternatives.

1. Copy the Project database and subdirectories. This moves all project data including Users (and Passwords) and ALL SCADA nodes. You must copy all subdirectories for all SCADA nodes.

2. Copy the Backup subdirectory. Then run Restore on the new PC. This brings in all project data, including users, and everything is located in on subdirectory (C:\WebAccess\Node\Backup).

3. Import SCADA Node - this is the fastest, but does not import Project Data (for example, does not import Users and their passwords). You create a new project, and then import the SCADA node from the other PC over the Internet, LAN or even a cross-link cable.


2.4.2.1 Manually copy the Project database and subdirectories.

To move a project, you need to copy the configuration database (bwCFG.mdb) and the project subdirectories to the new Project Node. The database contains the information about tags. The subdirectories contain the graphics, scripts and other files to awkward to store in a relational database. If the IP addresses are different, you can use the update link on the Project List Page of Project Manager to change them. You can ZIP the files together or use copy & paste to move your project to another location.

In the example, the name of the project is LiveDemo and the node is SCADAnode1. The name of the zip file is different so we can track them.

On the Source PC

1) Use Windows Explorer to browse to the Advantech WebAccess directory. Typically, this is named:
C:\WebAccess\Node\config

2) Copy bwCFG.mdb and the \projectname subdirectory to a zip file or another location.
For example,

a. Click on bwCFG.mdb,

b. Hold the CTRL key and click on \project_SCADANode.

c. Then Right Click,

d. Then pick Add to Zip

Target PC

To install this on a PC with Advantech WebAccess program files and IIS already installed:

1) Stop the WWW service (the web server) on the target.

a. Start - > Settings -> Control Panel -> Administrative Tools

b. Double Click Internet Service Manager

c. Expand the node to see Default Web Server

d. Right Click on Default Web Server

e. Select Stop

2) Rename or copy your existing BWconfig.mdb (C:\WebAccess\Node\config)

3) If you have an existing project named LiveDemo, rename its subdirectory or move it (also in C:\WebAccess\Node\config).

4) Open the zip file or Copy the Bwconfig.mdb and the LiveDemo_SCADAnode1 in this zip file to C:\WebAccess\Node\config

5) Reboot this PC

6) Restart the WWW service (same steps as 1. above, but pick Start)

7) Start your Web Browser (IE 6.0)

8) Access http://localhost/default.asp

9) Log in to Web Project Manager

10) Select your Project.

IMPORTANT! If the Project Node IP Address or Remote Access Code or Firewall TCP Ports do not match between the old and new Project Nodes, you will have to use UPDATE.

11) Click Update for the LiveDemo

12) The Update Project page appears

13) Change the IP Address for the Project Node and the SCADA node to match the IP address of your PC.

14) If the remote access code, TCP Port or other differences exist, update them now.

15) Click Submit.

16) You should now be able to use your new project.


2.4.2.2 Import SCADA Node

This is the easiest and fastest way to copy all the tags, recipes, schedules, scripts and Graphics from on PC to another. The only thing not copied is the Project Data (User Names and Passwords).

Import SCADA node is most commonly used to:

· Move work from a technician's laptop (or central server) to the customer's Project.

· Copy demo system for training.

· Copy a starting system configuration into a new project.

· To break a project up into multiple projects.

· Aggregate multiple projects into one larger project with multiple SCADA nodes.

Import SCADA Node will not over-write an existing SCADA node. Import SCADA Node only adds a new SCADA Node to your project. If you try to import a SCADA Node with the same name as an existing SCADA Node, you will be forced to rename the node before you can import it.

Imports SCADA node is found on the Project Main Page.

Figure 2-39 - Project Page - Import SCADA Node

1) Log in to Web Project Manager

2) Select your Project.

3) Select the Project Name

4) Project Page appears (Figure 2-39)

5) Select Import SCADA Node (Figure 2-39).

6) The Import SCADA Node page appears (Figure 2-40).

Figure 2-40 - Import SCADA Node

7) Enter the IP address (or network address) of the Source Project.

8) Enter the Remote Access Code and TCP Ports used by the Source Project.

9) If this is a large project, you may want to increase the Timeout period to enable the scripts to run.

IMPORTANT! You must know the Remote Access Code and Firewall TCP Ports of the Source Project Node to copy data from it.

10) Press Submit.

11) A list of all SCADA Nodes on the Source Project appears (Import Remote SCADA Node, Figure 2-41).

Figure 2-41 - Import (Remote) SCADA Node

12) Check all, some or one of the SCADA Nodes to import.

13) You can rename the SCADA node before importing it. A warning appears if SCADA node exists with the same name in your project.

14) Press Submit, to begin importing files. This can take several minutes (10 or 20) for a large project with many graphics. The progress is shown in a List of file types copied.

Figure 2-42 - Import SCADA Node Import List of data

15) A dialog Box appears when complete.

Figure 2-43 - Import SCADA Node success!

16) Click OK (Figure 2-43).

17) Click Home

18) Click Update.

19) The Update Project page appears (Figure 2-44).

20) Change the IP Address for the Project Node and the SCADA node to match the IP address of your PC.

21) If the remote access code, TCP Port or other differences exist, update them now.

22) Click Submit.

23) You are now ready to download and start your new SCADA node.


2.4.3 Update IP Address, Ports and Access Code

If you move a Project to a new PC, Import a SCADA Node, or change the IP Address of your Nodes, you must use the UPDATE feature to change the IP Address, Remote Access Code and TCP Ports.

1. Login to your Project Node. (If you are already logged in, click Home).

2. Click Update.

3. The Update Project page appears.

Figure 2-44 UPDATE Project IP Address, Port and Access Code

4. Change the IP Address for the Project Node and the SCADA node to match the IP address of your PC.

5. If the remote access code, TCP Port or other differences exist, update them now.

6. Click Submit.

7. You are now ready to download and start your new SCADA node.

Remember, the TCP Ports and Remote Access Code listed in your Project Database must match those specified during Advantech WebAccess Node Software Installation. If you want to change the TCP Ports, Remote Access Code specified during Node software Installation, you can either re-install Node Software or edit the bwserver.ini file. You must also restart the Advantech WebAccess Network Service (webvrpcs.exe) by stopping the Task from Task Manager and starting it again from Start->All Programs ->Startup.

See also 1.6.1.1 TCP Ports and Firewalls.


2.5 Backup & Restore

It is important to backup your work. Especially when getting started. Make a habit of it. You can unexpectedly delete days of work in the beginning.

Advantech WebAccess has Backup and Restore functions that will backup your database, graphics, scripts and other program files to drive:\WebAccess\backup folder. This is a one click operation accessed from the first page of the project manager (the Project List). There is a corresponding Restore function on the same page. Backup and Restore can be performed remotely from a Web Browser.

You can also copy or ZIP the Advantech WebAccess folder using ordinary Windows functions (like copy, WinZip, etc). These must be performed locally on the Project Node. To backup, copy or move a project, copy the configuration database (bwCFG.mdb) and project subdirectories to the new Project Node PC. You can use the copy and paste feature in Windows Explorer or use WinZip or other utility. The database contains the information about tags. The subdirectories contain the graphics, scripts and other files.

The BACKUP of the project database and subdirectories on located on the Project Node at

Drive:\WebAccess\node\Backup\bwCFGbackup.mdb

The BACKUP project subdirectories are at

Drive:\WebAccess\node\Backup\projectname_nodename

Note – The actual project database and subdirectories on located on the Project Node at

Drive:\WebAccess\node\config\bwCFG.mdb

The actual project subdirectories are at

Drive:\WebAccess\node\config\projectname_nodename

If you have multiple SCADA nodes in your project, there will be a separate subdirectory for each SCADA node.

The default database is Access 97 or Access 2000. The bwCFG.mdb starts at around 678 Kbytes in size. The actual size depends on how many tags are in your project. If you add and delete tags, the database file size will only get larger. You can use the compact feature in Access 97 or 2000 to reduce the database size. You do not need Access on your Project node in order to use Advantech WebAccess. It is not recommended to edit the bwCFG.mdb directly.

If you run Restore before ever running Backup, you will get a blank database.

For instructions on running backup, see Backup & Restore in Project Manager section 20.2


3. IO & Device Communications

Advantech WebAccess provides a set of pre-built communication “drivers” that enable engineers and technicians to easily establish communications to automation devices including PLCs, controllers, DCS, DDC systems, other software packages, recorders, RTUs, IO, smart transmitters and other automation hardware.

These communication “drivers” are implemented using fill-in-the-blank forms that are actually web pages that interact with the Advantech WebAccess Database. No programming is required. The steps, in summary, are:

1. Start Internet Explorer Web Browser.

2. Enter IP address of the Project Node.

3. Use Advantech WebAccess Configuration.

4. Open or Create a Project.

5. Configure a SCADA node (the PC that will connect to the automation hardware).

6. Configure a Comport for the SCADA Node (the physical or software link from the SCADA node to the automation Hardware).

7. Configure a Device (determines the communications Protocol or Device Driver).

8. Select Add Tag. A tag is a piece of data read from or written to the PLC or automation device.

9. Select a Parameter from the pull down list. A parameter is a pre-built template to help build a Tag, with typical address, scale, conversion, etc.

10. Assign a tagname, address, and conversion code.

11. Optionally assign Alarms, Scaling, Engineering Units, Description and other features.

Advantech WebAccess drivers consist of the program that actually exchanges data with the device and a “database” which contains a description of what data the user wants to read and write to the device.


3.1 Communications Overview

**********************************************************************************************************************************************************************************
 *Note:
For XP Professional edition, the quantity of Communication ports is 12, for XP Standard and WinCE edition, it is 4.
For XP Professional and XP Standard edition, the quantity of devices per port is 256, for WinCE edition, the total quantity of devices is 64.
For XP Standard and WinCE edition, Redundancy of Communications Ports and Redundancy of SCADA nodes are not supported.
 ************************************************************************************************************************************************************************************

There are two aspects to Communications to field devices and controllers that you must consider:

1. The Physical Interface (e.g. RS-232C, RS422, RS-485, Ethernet, an proprietary networks.

2. The Protocol (e.g. Modbus RTU, Modbus ASCII, DataHighway Plus).

The Physical Interface (COMPORT). This is the communications hardware (COMPORT) used to connect to the device. The COMPORT type is described by the Interface Name used when configuring the Advantech WebAccess COMPORT: Serial, TCP/IP, OPC and API.

Most proprietary network cards require an API interface, which is 3rd Party Software Driver for the network card (for example, RSLINX is required to communicate via Allen-Bradley's Control Net). Most Serial and TCP/IP interfaces uses a "native" driver built into Advantech WebAccess.

The Serial Physical Interface determines voltage levels and current levels of the electrical signal. RS232-C and RS485 are examples of physical serial interfaces. COM2, COM3, COM4 are common serial ports on your PC that are usually RS232-C. These can be relatively easily converted to RS-485 or other physical interfaces.

Physical converters are commonly used to convert long distance serial protocols (like RS-422) to the short haul physical protocol used by most Personal Computers (RS-232 -C). Companies, like B&B Electronics Mfg Co at http://www.bb-elec.com/ make serial converters. These are Physical converters only.

TCP/IP uses the network card in your SCADA node (Ethernet is the most common TCP/IP network).

OPC is an industry standard software interface (OLE for Process Control).

Protocol - The DEVICE TYPE determines the Protocol used by Advantech WebAccess to communicate with the automation device. The Protocol is software and hardware dependent. The Protocol determines how the 1 and 0 (the bits) are converted into meaningful numbers and characters. Modbus RTU is an example of a Serial Communications protocol.

The protocol of the device and the Advantech WebAccess Device Driver must be the same. The protocol is tremendously variable among manufactures. It is almost impossible to convert an Echelon LON protocol into a Siemens S7, for example. There are exceptions; for example, there are Modbus RTU to Allen-Bradley Data Highway converters. However, these exceptions are rare. The Protocol is specified when you ADD DEVICES to the comport (see Device Properties).

An outline of the Steps or procedures recommended to configure a SCADA node with communications to PLCs, Controllers, IO and other field deices should include:

1) Determine the communications Protocol and Device Driver required by field device. For example, Modbus RTU, Modbus Ethernet, Allen Bradley Data Highway Plus, etc. You cannot easily change the device type later: you would have to create a new device and recreate all the tags in that device.

2) Determine the physical communications port to be used to connect to the field devices. For example COM1, COM2, Network card using TCP/IP, an OPC Server or a proprietary network card requiring special software (API). You can change the Port type and Port Number later.

If using multiple communications ports, determine which tags are on which comport. It's easy to change the comport number for all the tags on a comport. It is harder to move only some tags from one comport to another. However, it is possible to move tags between comports.

3) Determine the addresses of the device and data in the device (Tag Addresses). For example, Modbus RTU PLC has an Address between 1 and 255. Analog Inputs have addresses between 30001 and 39999. You can change addresses of tags later for most device drivers.


3.1.1 How to configure Communications to Field

1. Start your Web Browser and Connect to your Project Node

2. Create a Project in Advantech WebAccess Configuration

3. Open the Project Manager

4. Create a SCADA Node using Add Node (see SCADA Node Properties).

5. Create a COM Port using Add ComPort (see Comport Properties)

6. Create a Device (e.g. PLC, controller, IO) using Add Device
(see Device Properties)

7. Create IO Tags using Add Tag (see Tags ).

8. Download and Start your SCADA node

9. View data using Default Graphics and Dialog Boxes.

10. Optionally, build graphics of your own.


3.1.2.1 Configure a Modbus TCP Port, Device and Tags

3.3.2.1 Configure a Modbus TCP Port, Device and Tag

Comport is an abbreviation for "communications port". The Comport is the physical or virtual link from your SCADA node to the automation device. This example is for a Modbus RTU TCP/IP PLC. Many PLCs use the Modbus TCP/IP protocol. This step-by-step example also applied to ADAM 5000 Ethernet driver (ADAM5KE), ADAM 6000 (ADAM6K), Wago 750 (WAGO750) and other drivers.

The Comport for TCP/IP driver is a virtual port. It uses the Network Interface Card (NIC) on the SCADA node. You can create multiple comports on a SCADA Node which all use the same Ethernet card (or multiple NICs). The SCADA node kernel will search all NICs for the IP address specified allowing you to use multiple networks cards on a PC. Alternatively, you may want to create multiple Comports that use the same network interface to create multiple-threads, one for each device or group of devices. Advantech WebAccess scans each device in on each comport sequentially. Using multiple comports may be helpful in optimizing communications to multiple PLCs over there same network.

Add Comport

From Project Manager ( See 2.3.2 Connect to Project Node if you need help connecting)

1. Select your SCADA node under the Project/Node list.

2. Select Add Comport

This can take a long time while tables are created in the database on the Project Node / Web Server.

3. The Create New Comport page appears.

4. Select the TCP/IP as the Interface Name for this Comport. (Also called the Comport Type).

The fields change depending on the Comport Type.

5. The TCP/IP Comport Properties page appears.

TCPIP - TCP/IP (transmission Control Protocol / Internet Protocol). Specifies a "Virtual Port" that uses the TCP/IP service installed. Does not correspond to specific IO card or comport number. Will access any IO card that uses the TCP/IP service installed on your PC. For a description of the data entry fields for a TCP/IP Network Interface see, section 3.3.4 TCP/IP Com Port Properties.

6. Enter a Comport Number. It is recommended to use a number above 2 so you don't interfere with adding a serial comport. Most PCs have 2 serial comports, if you configured a TCP/IP comport as 1 or 2, you would not be able to use that serial comport in the future. It is not easy to change comport numbers.

7. Optionally, enter a Description. This is just for your own reference.

8. Enter a Scan Time and select the radio button for the units (Millisecond, Second, Minute or Hour).

All devices are scanned at the same frequency on a given comport. All Constant Scan type Tags are scanned at the same frequency on a comport. Display Scan Tags are scanned at this same frequency, but only when they appears on a Display.

9. Accept the default values for the other fields, or modify them. For a description of the data entry fields for a TCP/IP Network Interface see, section 3.3.4 TCP/IP Com Port Properties.

10. Click Submit.

11. The SCADA Node page appears. The Port should appear as a folder under the SCADA node. (In this example Port 3 under Node 1) in the menu tree at left.

Add Device (a PLC)

12. Click on the Port hyperlink (Port3 in this example). The Com Port Properties page opens.

13. Select Add Device.

14. The Create Device Page opens. This also can take some time while datatables are created in the database on the Project Node.

15. Select Modicon form the Device Type pull down list.

(Alternatively, you can select one of the other Modbus TCP/IP devices: ADAM 5000 Ethernet driver (ADAM5KE), ADAM 6000 (ADAM6K), Wago 750 (WAGO750))

16. Enter a Device Name. This will appear as a folder under the comport in the Project Manager. It will also appear in VIEW during runtime in the Point Detail Display for any tags created.

17. Optionally enter a description.

18. Enter the Unit Number. This number will appear in VIEW during runtime on the Station Status display and will be the reference to Enable and Disable communications to the Device. It also will be the reference for communication alarms. (1 to 254)

Logically, this usually matched the actual device number, but it is possible to assign a unit number for VIEW users which does not match the actual Modbus Protocol Device Address. For example, each Modbus PLC has a unique IP Address and all PLCs have Modbus Device address of 1 at these unique IP Addresses.

19. Enter an IP Address for the Device.

20. Enter the TCP or UDP Port Number for the Device.

21. Enter a Device Address if different from the Unit Number.

22. Optionally add Address and Port information for a redundant communication path to the Device. For example, if the PLC has two Network Interface Cards (NICs).

23. If using TCP (the official Modbus Ethernet protocol) leave 0 for Use UDP.

24. Press Submit. This can be a wait while datatables are created on the Project Node.

Add a Tag

25. The Update Device Page Appears.

26. Select Add Tag.

27. The Create New Tag page appears.

28. Select the AO Parameter from the Parameter Pull Down List.

30. The AO Parameter Page opens.

Notice that the Address field changes from 3001 (for AI) to 4001 (for the AO Parameter).

29. Select DO from the Parameter Pull Down List (you have to scroll down to the bottom of the list.

Notice that the Address field Changes to data type changes from analog to discrete. Also, the Data Fields change: State Descriptors appear. There is no Scaling, Span or Output Limits for a Discrete.

Also notice how any data entered is lost if you change the Parameter before pressing submit! It is best to select Parameter before entering tag name. You cannot change the parameter type of a tag once it is created.

Create a Discrete Output (also called Digital Output)

30. Select DO if you have not done so already.

31. Select Alarm from the Pulldown list.

Similar to changing the Parameter, selecting alarm changes the page and you will loose any data entered before pressing submit. You can add or remove alarming for a tag after you create.

The page refreshes and alarm fields appear at the top and bottom of the page.

32. Enter a Tag Name. This will be how the information is referenced on Displays in VIEW. Typical Tag names are YS1001, SS4516, Pump_Start, B31_R11_STATUS. The end user usually has a Tag naming convention used at his facility. Tag name is 21 characters Maximum. For legal tag name characters, see 4.11.1 Legal_characters in a Tag Name.

33. Enter a Description. This will appear in VIEW and helps operators identify the information. It will also appear in the Alarm Summary and will be read by the Text-to-Speech Alarm Annunciator. The Description can be changed during runtime by modifying the DESCRP field associated with the tag.

34. Enter the actual Address for the Tag. The parameter provides an example of a typical address for the Data type (00001 for Discrete Outputs, 10001 for Discrete Inputs, 30001 for Discrete Outputs and 40001 for Analog Outputs).

35. For this example, leave the default settings for
Scan Type = Constant Scan
Conversion Code = Unsigned Integer
Start Bit = 0
Length = 1
Signal Reverse = No.

For more information on these fields see 4.3 Discrete Tag Properties

36. Enable Data Logging for the Tag by selecting the radio button next to Log Data.

37. Modify the State0 and State1 descriptors to read ON and OFF.

38. Modify the Alarm Priority to 1 or higher. An alarm priority of 0 = no alarms.

39. Optionally enable Play Voice to here a Text-to-Speech Alarm annunciation on the SCADA Node.

40. Optionally enable Send Email and enter your email address in the Email To fields to receive an Alarm Email.

41. In this example, leave the other fields at their default values. For more information on these fields see 4.3 Discrete Tag Properties.

42. Press Submit.

43. The Tag Name appears under the Device Name in the Project Manager (Node1, Port3, Demo PLC in this example.)

44. Next Steps are to:

44.1 Download the database to the SCADA Node

44.2 Start the Node (if it was not already running)

44.3 Start View

44.4 Open the Point Info dialog Box

44.4.1 Scroll down (if necessary) to see the Tag.

44.4.2 Click on the Tag Name

44.4.3 You should see a ON or OFF as the value. It maybe be flashing Red if in Alarm.

Troubleshooting

45. If you see an asterisks (*) with a number (typically 8000), communications has failed. You have either the IP Address wrong, the port wrong, the address wrong or some other communication problem.

Figure - BAD communications

46. Go to the Station Status Display.

47. If the Device is Blue, this implies you have the Tags Address wrong (e.g. the Modbus Address, 00001, 00002, 00003, etc.)

48. If communication to the Device failed, it will be flashing RED. This implies you have the IP Address, TCP Port or Device Address wrong.

48.1 Try to ping the PLC Address from the Windows Command prompt. See 22.2.11 PING to test TCP/IP communications.

48.2 Confirm the TCP Port and Modbus Device Address from the PLC Configurator or Jumper settings on its Network Card (NIC).


3.1.2.2 Node, Port, Device, Tag and Block List

3.1.2.2 Port and Device List

The SCADA Node, Ports, Devise, Tags and Blocks are organized in a folder style list at the left of the Project Manger. You may have to open or close a folder to see the information you are looking for.

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. You may need to expand the Port List by clicking on the Folder icon [image] to the left of SCADA Node (Node 1 in the example).

6. You may need to expand the list of Devices under your Comport by clicking on the Folder icon [image] to the left of the Comport.

7. Drag the slider bar on the left Frame down to reveal Communication Port (e.g. Port 3 in the example above).

8. You may need to expand the list of Devices by clicking on the Folder icon [image] to the left of the Port (in the example, pick Port3).

9. You may need to expand the list of Tags and Blocks by clicking on the Folder icon [image] to the left of the device (in the example, pick DemoPLC).

Tags are Listed in Black.

Blocks are listed in Brown after all tags.

You may have to scroll down to see the Tag or Block associated with the device.


3.2 SCADA Node Properties

Figure 3.2 SCADA Node Properties page (top half) – bwMAIN.asp see Figure 3.2b below

SCADA Node Properties are features that enable the Advantech WebAccess Project Node to "find" the SCADA node:

· Node Name to identify this SCADA node on Displays.

· IP Address or other network address of the SCADA node PC.

· Firewall TCP ports. If a firewall is used, two TCP ports are required: Primary TCP Port Number and Secondary TCP Port Number.

· Remote Access Code. This must match the Access Code specified during SCADA node software installation. It is HIGHLY RECOMMENDED to use a Remote Access Code. This will prevent outsiders from hijacking your Project or SCADA nodes.

Other Optional features are set here also including:

· Alarm Email Server can be used for Notification of Alarms to email recipients and pagers. Both an Outgoing SMTP and/or Incoming POP3 servers can be specified

· Node Description.

· Node Timeout is the Communications Time between the Project node and SCADA node considered a failure.

· Logging Alarms and Operator Actions to printers or ODBC Databases.

o Alarm Email and Pager Addresses

o Reply Email to Acknowledge Alarms

o Alarm Log To a Central ODBC Database

o Alarm Log To Printer

o Action Log To Printer

o Action Log To Central ODBC Database

o DataLog to ODBC

o Lines per Log Page

o Printer Control String

o On Line changes to Tag fields reflect to Database

· Alarm Horn characteristics.

o Beep Interval

o Beep Frequency

o Beep Duration

  • Backup SCADA Node

o Backup SCADA Node(e.g. "redundant SCADA node") information including address, TCP ports, etc.

Figure 3.2b - Node Properties page (bottom half) - bwMain.asp

************************************************************************************************************

Note:

1. Data Log Starting Year field is added in Node property page to let users define the leftmost year for Data Log display.

The value should be greater than or equal to 2001.

2. For Windows Vista OS, We implemented an enhancement for users to configure Tooltip Setting in Node Property page. Analog Tag Tooltip Setting, Discrete Tag Tooltip Setting, and Text Tag Tooltip Setting fields are added. To disable the tooltip display, leave these fields as blanks. Please note that “.FIELDNAME” must be entered in all capital letters. When the mouse cursor is over pickable animation objects or near line segments of trend/xyplot displays, a tooltip window will display text messages according the Tooltip Settings.The sample settings are shown as follows:

The settings will apply to all ViewDAQs on the SCADA node and all View clients connecting to the SCADA node. To override the settings for SCADA node or client computer, please add [tooltip] section to its corresponding bwclient.ini. For example,

[tooltip]

1=TooltipSettingForAnalogTag

2= TooltipSettingForDiscreteTag

3= TooltipSettingForTextTag

3. View Auto Logout Time Out field is added in Node property page to let users define the time out minutes without mouse/keyboard activities before View/ViewDAQ logouts automatically.

Specify 0 to disable the time out feature. A positive value will define the time out minutes for the SCADA node and all View clients connecting to the SCADA node. To overwrite this setting for SCADA node or client computer, please add the following section to its corresponding bwclient.ini.

[logout]

timeout=x, where x is new time out minutes or -1 to disable time out feature.

4.Tag Name Patterns field is added in various ODBC log query pages to let users search for patterns using wildcard characters when “All Tags” is highlighted.

For Access database, use % (percent symbol) to matches any number of characters and _ (underscore) to match any single character.

************************************************************************************************************

Figure 3.2c - Node Properties page (bottom half with Backup SCADA Node) - bwMain.asp

To Add SCADA Node,

1. Login to Project Manager.

2. Select a Project.

3. Select Add SCADA Node.

For detailed step by step guide see section 2.3.5, Add SCADA Node

To modify or edit an existing SCADA node,

1. Login to Project Manager.

2. Select a Project

3. Select the desired SCADA Node

4. Select Node Property from the SCADA Node main page (Figure 3.1 or Figure 3.2).

Figure 3.2 Node Property - SCADA Node

From the main SCADA Node Page (bwMAIN.asp) you can also call up additional pages to add other functions to the SCADA Node including:

AddComport - the first step in creating IO Tags and communications to PLCs, IO and devices.

AccPoint - adds an Accumulation Tag commonly used for Totalizers and Counters.

CalcPoint - adds a Calculation Tag.

ConstPoint - adds a place holder tag for Constants and Operator Data Entry.

SysPoint - creates system tags to monitor and alarm communications status and other system parameters.

FacePlate - creates a Group of Tags or Blocks similar to the Faceplate Groups in Distributed Control Systems (DCS) and used to create the Overview -> Faceplate Group -> Block Detail -> Point Detail drill down feature and display hierarchy.

RealTimeTrend - creates a pre-assigned group of Tags for Real-time Trending.

DataLogTrend - creates a pre-assigned group of Tags for Data Log (i.e. Historical) Trending.

AlarmGroup - creates a fixed group of Tags for Alarm Monitoring. (See also Alarm Summary).

Recipe - creates Recipes and Units that allow hundreds of Setpoints and Values to be downloaded to a PLC or Deice using a single pushbuttons.

Video - creates full screen Video Display. See also Draw Video.

Global Script - schedules scripts to run on the SCADA Node.

UserProgram - starts 3rd Party programs when the SCADA Node starts. Cam also stop the User Program.

DataTransfer - schedules data to be copied from one tag to another, commonly used to exchange data between different PLCs using different communication protocols.

EXCEL-In and EXCEL-OUT - exports and imports the tag database to/from EXCEL. Allows users to copy and paste tags and other editing features.

Report - creates Scheduled Reports for Shift, Day and Month. Reports are emailed, printed and viewed on-line.

Scheduler - is a Calendar based scheduler designed for Building Automation typically used for Lighting control and temperature setbacks. The Schedule engine runs on the SCADA Node.

PLCScheduler - is an Calender interface identical to the Scheduler, but allows logic to run in the PLC or field device.


3.2.1 Node Name

The Node Name can be any name. It does not need to match the Microsoft name of the computer. This is the name that will appear in the List of nodes in Web Access, and on run-time Displays (like point Detail and Block Detail) and on the Caption bar in VIEW.

An Example name used in the demo is: SCADAnode1

Node name can be any alphanumeric (a - z, A - Z, 0 - 9), dash (-) or underscore (_).

Node name can be up to 15 Characters.

Changing the Node name will not create a new node in the project. It will rename the node. However, this will allow you to download multiple identical configurations to the SCADA node. The new node name can be started remotely. The old node names can be started only locally: the copy of the runtime files with the old node name remains on the SCADA node and can only be started from local ViewDAQ taskbar Icon.

Note - It is not recommended to use the underscore (_) in PROJECT name. This will prevent the local VIEWDAQ from downloading graphics or starting the node.


3.2.2 Node Description

The Node Description can be any text. This is the description will appear in the Project Manager only.

Node Description can be up to 32 Characters.


3.2.3 IP Address

This can be the IP Address, URL, Computer Name or any valid HOST name of your SCADA node. If you are specifying an IP Address, it must be a fixed IP address.

The SCADA node is the PC connected to your PLC, DCS, DDC controller or other automation device. The default IP address that appears is of the Advantech WebAccess Project Node. If there is only one Node in your system, the SCADA Node and the Advantech WebAccess Project Node are usually the same.

There can be many SCADA nodes assigned to a project accessed through a single Project Node.

The Advantech WebAccess SCADA node software must be installed on the SCADA node before you can download and start your project on that node.

If all your users are on a LAN, or inside a Microsoft Domain or Workgroup, the Computer name of the SCADA node could be used here.

If all your users will have a HOST file name that is common, any HOST name can be used.

You can easily change the SCADA node IP address at anytime. If you are on a standalone PC or a laptop used for off-line configuration, you can set the IP address to be you local PC, in order to allow you to build graphics and test your database, then change the IP address later using project Update in Project Manager (see UPDATE in section 20.5 for more information).

About Addresses

IP Address is the Internet Protocol Address. WebAccess supports IPv4 and IPv6.The IP address is a series of 4 numbers separated by periods (e.g. http://67.94.27.175/) or 6 number of IPv6. This is the most common method to specify the Address of a node. If you are using an IP address, it must be a fixed IP address.

URL is the Universal Resource Locator, for example, www.Advantech.com and demo.Advantech.com are URLs. If your company has assigned a URL to your Advantech WebAccess SCADA node you could, enter this in the Address.

Computer Name or Network Name- If you are on an Intranet, you can enter the computer name of the Advantech WebAccess Project Node (for example "Server1"). This the Microsoft Network name.

HOST name - can be either a TCP/IP "host name" specified in the HOST file on all Nodes (including SCADA and Project Nodes) and Clients in your system. This file must be the same on all PCs. A fixed IP is still required on the SCADA node and Project Node if this is used.

Local PC - If you are on a PC that has the Project Node software installed and a network card, you can use the default localhost address or url: http://localhost or http://127.0.0.1

If you are on a standalone PC without a network card (but has the Project Node software installed), you must use the computer name: (for example "http://Node1").


3.2.3.1

3.2.3.1 IPv6 Device Configuration

Advantech WebAccess provides allows both IPv6 and IPv4 addresses. If the SCADA Node connects to IPv6 devices, users can use the IPv6 protocol . The address IPv6 supports includes a General Unicast Address and Link-Local Address.

NOTE: Windows Vista, 7 and 8 can automatically use IPv6 functionality, and can support IPv6 settings. Windows XP needs to install and open the IPv6 setting function.

User can enter IPv4 or IPv6 address in Primary and Secondary IP address. IPv4 is 4 sets of a max of three numbers separated by a “.” (e.g. http://67.94.27.175/) and IPv6 addresses use eight groups of four hexadecimal digits separated by colons (e.g.2001::fc96:cf11:710a:a98)

After entering an IP address, the port number is set to 0 by default

Figure. 2.1.1 General Unicast IPv6 Address setting

Figure.2.1.3 Link-localIpv6 Address setting

Note：IPv6 Server Configuration

WebAccess also supports both IPv6 and IPv4 address as setting the Project and SCADA node server. For remote connection via IE, users have to type the IPv6 address with the square bracket [ ] in Project and SCADA node configuration page, for example, [2001::fc96:cf11:710a:a98 ], If the PC server support IPv6 address. The format typing the web address is http://[::1]/ or http://[2621:0:1cfe:face:b00c::1 ] in IE browser.

Figure 3.2.3.1.3 IPv6 Address setting in Project Node

Figure 3.2.3.1.4 IPv6 Address setting in SCADA Node


3.2.4 Primary Port Number

This is a TCP Port through a firewall. Leave the value at 0 if you are not using a firewall.

If using a Firewall, Three TCP Ports are required (you can not specify the same port number for both Primary and Secondary). The TCP Ports used during Installation of the Project Node appear here by default. These are not necessarily the TCP Ports of your SCADA node.

TCP ports are used with a Firewall and are optional. If not using a firewall, leave these fields with the default value (0). Note that 0 means the default ports numbers are used (4592 and 14592).

The TCP ports you enter here MUST MATCH THE TCP PORTS ENTERED DURING SOFTWARE INSTALLATION of the SCADA Node and Project Node. They must also match the TCP ports opened by your System Administrator for your use. You must reinstall software (or edit the INI file) if you must use different TCP ports than you specified during software installation.

The TCP Ports are specified when creating a new node. They are edited here only if you are moving a project to another PC or moving the SCADA node to another PC.

A Firewall restricts the flow of data onto a network; it is a method of network security. Many corporations use firewalls. If your connection is through a firewall, you will need to have your network administrator assign two TCP ports for you to use the DRAW or VIEW features in Advantech WebAccess. The Primary Port is used for file transfers and the Secondary Port is used for Live Data. This only applies if you are connecting through the firewall. If all your Advantech WebAccess Clients and SCADA nodes are inside the firewall, you can ignore this.

Default TCP Ports

Http Port = 80 (used to serve the ASP Web Pages)

Primary TCP Port = 4592 (used for file downloads and uploads)

Secondary TCP Port = 14592 (used for real time data).


3.2.5 Secondary Port Number

3.2.5 Secondary Port Number(Not supported by WinCE Edition(WebView &WebLink ))

This is a TCP Port through a firewall. Enter 0 if you are not using a firewall

If using a Firewall, two TCP Ports are required (you can not specify the same port number for both Primary and Secondary). The TCP Ports used during Installation of the Project Node appear here by default. These are not necessarily the TCP Ports of your SCADA node.

TCP ports are used with a Firewall and are optional. If not using a firewall, leave these fields with the default value (0).

Default TCP Ports

Primary TCP Port = 4592

Secondary TCP Port = 14592

See Primary Port Number for more information.


3.2.6 Node Timeout

The Node Timeout is used to detect a RPC connection failure. (Remote Procedure Calls)This is the Time in seconds of inactivity before the connection is considered broken. It is recommended to accept the default value (0). The default value is 15 seconds.

This feature is provided for users with very slow or very poor network connections.


3.2.7 Remote Access Code

This is the code set during Installation of Advantech WebAccess SCADA node software on the SCADA node. If the code entered here does not match the code specified during configuration (located in the BWSERVER.INI file on the SCADA node), you will not be able to connect to the SCADA node or download your project to the SCADA node. This is a security feature to prevent unauthorized users from downloading projects to your SCADA node.

The default Remote Access Code during SCADA node installation is no code (i.e. blank.)

The Remote Access Code used during Installation of the Project Node appears here in the Project Manager Database when you Create a New SCADA node. This is not necessarily the same as on your SCADA node. If this is a combined Project/SCADA node, the default password in your database is the correct password and you do not need to change it.

If the SCADA Node is a separate PC, then you must enter the Remote Access code used during software installation on the SCADA node.

If you have forgotten the Remote Access Code using during software installation on the SCADA node, you have two options:

option 1) Re-install the Advantech WebAccess software on the SCADA node to change it and edit your database to match the new code using UPDATE.

OR

Option 2) Edit the BWSERVER.INI file on the SCADA node and edit your database to match the new code using UPDATE.

Hint - if this is a combined SCADA and Project Node, you have to reinstall using the Project & SCADA software option and edit the remote access code in the database for both the project and SCADA node using UPDATE.


3.2.8 Outgoing Email Server - SMTP

3.2.8 Outgoing Email Server - SMTP(Not supported by WinCE Edition(WebView &WebLink ))

This Outgoing SMTP email server specifies the email server to use for Email notification of Alarms, Email of Scheduled Reports and the default SMTP Email Server for Scripts and Key Macros.

There are two ways to configure outgoing email in WebAccess:

1) The "old method" previously used in WebAccess was to use the SMTP Server on the Project Node or a remote SMTP server that authorized “relay” by the Project Node.

2) The current release now adds another option: to log in to a remote SMTP server using a username and password. This is similar to configuring your personal email client to send email (as in Outlook Express). Be sure to use the address that the SCADA node can connect to the Project Node (i.e. Public IP versus Private IP address).

The use of a remote SMTP Server (method #2) is required in Windows Vista if sending email of alarms, reports, etc.

Previously, WebAccess required an SMTP service to be installed on the project node or use of an SMTP Server that allowed “relay” by the project node. However, the STMP service is, in general, not available on various versions of Windows Vista.

Method #2 (The recommended way)

To use a remote SMTP email server with a user name and password to authorize a connection, the Outgoing Email (SMTP) Server information in Node Property page should be configured like this (the new way, use remote SMTP server):

Outgoing Email (SMTP) Server: yourservername.com

Email Port: 0 (0 is the default which is port 25)

Email Address: yourusername@yourservername.com

Email Account Name: yourusername@yourservername.com or maybe yourusername

Email Password ***** (it's hidden)

Email From: yourusername@yourservername.com

Note that the email account name is not always the same as the email address. The Email From may be different also (if your mail server allows this). This might be done to establish a POP3 account for Acknowledging emails.

We encourage our users to use this second approach to send outgoing email. This option to send outgoing email via a remote SMTP server with an account login is mandatory for Windows Vista and optional for Windows XP/2000. This new method allows the use of any email account, even a personal email account with an ISP.

Method #1 (The old way)

If using Windows 2000 or XP as the project Node and to use the SMTP server of the Project Node, the Outgoing Email (SMTP) Server information in Node Property page should be configured like this (the old way, use SMTP on Project Node):

Outgoing Email (SMTP) Server ipaddress

Email Port: 0

Email Address:

Email Account Name:

Email Password:

Email From: user@company.com

For example, for the Broadwin demo system, configuration looks like this.

This method is no longer recommended (i.e. to use the Project Node's IP address as the Outgoing SMTP server). This method might be used to send email only over a local network that allows direct delivery (typically within a single domain). Technically this method works only for direct delivery within a domain or to an outside domain (like the internet) via a "smart host" that allows the Project node to "relay".

The Install Shield no longer modifies the SMART HOST in the SMTP Server of the Project Node. If using the “old method” of using the SMTP Server of the Project Node to deliver mail, and you want to use a SMART HOST, the user must configure this as described in the Engineering Manual Section 22.3.1 Smart Host.


3.2.8.1 Email port – SMTP server

3.2.8.1 Email port – SMTP server(Not supported by WinCE Edition(WebView &WebLink ))

Email Port specifies either a TCP port number or service name (like SMTP) upon which to perform the SMTP conversation with the SMTP Email server. Default port for most SMTP mail servers is port 25. (The default, 0 = port 25)

Change this only if your system administrator instructs you to do so.


3.2.9 Email From

3.2.9 Email From(Not supported by WinCE Edition(WebView &WebLink ))

Specifies the "Sender" field for use with Email notification of Alarms and Email of Scheduled Reports. Specifies The Header file "From" globally for all alarms with Email Notification enabled.

If a Text Tag is used with the @ (for example @texttag), the contents of the text tag is read and used for the Email From Field.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: scadanode1@Advantech.com
billmc@corporate.com
@texttag1

The field size is limited to 64 characters.

An EMAIL FROM must be specified in order to send an email Alarm notification. If users are to Acknowledge Alarms via a reply email, it is recommended to include the Incoming POP3 email account below as at least one entry in the Email From field.


3.2.10 Report Email To

3.2.10 Report Email To(Not supported by WinCE Edition(WebView &WebLink ))

Specifies the global "TO" field for all Scheduled Reports. Note that an "Email To" can also be applied to reports. The Email To from the SCADA Node (this field) and the Tag's Email To are merged.

If a Text Tag is used with the @ (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
9251235678@Skytel.com
@texttag1

The field size is limited to 64 characters.

This field may be left blank. Each Tag has a similar email to field.


3.2.11 Report Email CC

3.2.11 Report Email CC(Not supported by WinCE Edition(WebView &WebLink ))

Specifies the global "CC" field for all Scheduled Reports. Note that an "Email CC" can also be applied to reports. The Email CC from the SCADA Node (this field) and the Tag's Email CC are merged.

If a Text Tag is used with the @ symbol (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
9251235678@Skytel.com
@texttag1

The field size is limited to 64 characters.

This field may be left blank. Each Tag has a similar email to field.


3.2.12 Alarm Email To

3.2.12 Alarm Email To(Not supported by WinCE Edition(WebView &WebLink ))

Specifies the global "TO" field for all alarms with Email notification of Alarms enabled. Note that an "Email To" can also be applied to individual tags. The Email To from the SCADA Node (this field) and the Tag's Email To are merged.

If a Text Tag is used with the @ symbol (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
9251235678@Skytel.com
@texttag1

The field size is limited to 64 characters.

This field may be left blank. Each Tag has a similar email to field.


3.2.13 Alarm Email CC

3.2.13 Alarm Email CC(Not supported by WinCE Edition(WebView &WebLink ))

Specifies the "Recipient" field for use with Email notification of Alarms. Specifies The Header file "CC" globally for all alarms with Email Notification enabled. Note that an "Email CC" can also be applied to individual tags. The Email CC from the SCADA Node (this field) and the Tag's Email CC are merged.

If a Text Tag is used with the @ symbol (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
9251235678@Skytel.com
@texttag1

The field size is limited to 64 characters.


3.2.14 Reply Alarm Email to Ack

3.2.14 Reply Alarm Email to Ack(Not supported by WinCE Edition(WebView &WebLink ))

This will enable alarm acknowledgement by email. Selecting yes will enable reading of the Incoming Email Server and add an Alarm Acknowledgement message to the outgoing Alarm Email allowing users to use the reply feature to send an email to the Pop3 account and acknowledge the Alarm. An Incoming Email Account (Pop3) must be configured.

The default Alarm email is of the following form:

From: scadanode1@cwo.com [mailto:scadanode1@cwo.com]

Sent: Saturday, January 25, 2003 6:05 PM

To: Tom Carter

Subject: compressor rpm - Low-Low Alarm

Low-Low Alarm (0.00)

KMC RTU11 compressor speed

%ack_begin_LiveDemo_SCADAnode1_67.94.27.175%

compressorrpm

%ack_end%

The Alarm Acknowledgement is of the following form

%ack_begin_Projectname_Nodename_NodeAddress%

tagname

%ack_end%

If users are to Acknowledge Alarms via a reply email, it is recommended to include the address for the Incoming POP3 email account as at least one entry in the Email From field.


3.2.15 Global Script via Email

3.2.15 Global Script via Email(Not supported by WinCE Edition(WebView &WebLink ))

This will enable sending commands to the SCADA Node via email. Commands are in the form below using standard Script (tcl, VB Script or J Script) and ACTION commands:

To send Tcl, use:

%script_begin_securitycode%

TclScript code

…

…

%script_end%

To send VBScript, use:

%vbscript_begin_securitycode%

VBScript code

…

…

%vbscript_end%

To send JScript, use:

%jscript_begin_securitycode%

JScript code

…

…

%jscript_end%

For example, to Change the Value of Tag SP-184 to 75 and reverse the state of FAN101 using ACTION commands and Tcl:

%script_begin_1111%
TclScript code

SETVAL SP-184=75

SETVAL FAN101=%REVERSE

%script_end%

There can be only one SCRIPT per email, but multiple commands per script. Change the Value of Tags and Tag fields, execute other scripts, download recipes, and any command a global script can execute, both ACTION Commands and built-in Tcl.

An incoming Email Server (POP3) (section 3.2.16), Account Name and Password must be configured for Global Script via email to work. Also the incoming email must match the configure Global Script Security Code (section 3.2.15.1). The script will run once after it is received. An appropriate frequency to Check Email must also be used (too fast and your ISP may block the SCADA node from checking the POP3 server).


3.2.15.1 Global Script Security Code

This is a user defined code that must match the security code in the email containing the Global Script. If the incoming email does not have the security code, then the script is ignored. The Security code must be part of the opening line of the script:

%script_begin_securitycode%

SCRIPT COMMANDS

%script_end%

For example, a security code of 1111:

%script_begin_1111%

SETVAL SP-184=75

%script_end%


3.2.16 Incoming Email (POP3) Server

3.2.16 Incoming Email (POP3) Server(Not supported by WinCE Edition(WebView &WebLink ))

This is an EMAIL server used by the SCADA Node to read Alarm Acknowledgement emails and Global Scripts via EMAIL. This is similar to your personal email account. Usually, this is your corporate email server, with an account set up especially for the SCADA node.

This can also be a personal account, but you must remember not to remove the incoming emails from the server, or else the SCADA node will never see them.

This is not usually the same as the SMTP Sever because the Project Node is usually not installed with POP3 email server. ) IIS does not supply a POP3 email server).

The user can specify how often the SCADA Node checks for emails. The SCADA node removes the email from the server, if it is a valid alarm or script email with the appropriate security code.


3.2.16.1 Email Port – Pop3

3.2.16.1 Email Port – Pop3 (Not supported by WinCE Edition(WebView &WebLink ))

Email Port specifies either a TCP port number upon which to perform the P conversation with the POP3 Email server. Default port for most POP3 mail server is port 110. (The default, 0 = port 110)

Change this only if your system administrator instructs you to do so.


3.2.16.2 Email Account Name

3.2.16.2 Email Account Name(Not supported by WinCE Edition(WebView &WebLink ))

This is the account name used to login to the POP3 email server. This must be in the format for the account name used by the server. For example, most Microsoft Exchange servers have the account name as a full address (e.g. tcarter@Advantech.com). Many ISP have an account names in the form of a single user (e.g. tcarter).


3.2.16.3 Email Password

3.2.16.3 Email Password(Not supported by WinCE Edition(WebView &WebLink ))

This is the account password used to login to the POP3 email server.


3.2.16.4 Check Email Every

3.2.16.4 Check Email Every(Not supported by WinCE Edition(WebView &WebLink ))

This is the frequency of logging in by the SCADA node to check for new incoming email messages (for Alarm Acknowledgement or Scripts). The increments are 5, 10, 15, 20, 30 or 60 minutes.


3.2.17 Alarm Voice

Text-to-Speech technology Annunciates alarms locally on the SCADA node and on a web-browser Client connected to that SCADA node.

A choice of male and female voices reads the Tag name, Description, Alarm Type, Alarm Limit and Alarm Value. No recording is required by the user.

A sound card and speaker is required.

There are multiple voices: Microsoft Mike, Microsoft Mary, Mike for Telephone, Adult Male American English 1, etc. Nine are supplied standard with Advantech WebAccess SCADA node software. Any Microsoft supplied voice can be used that you download from Microsoft or install from a Microsoft CD.

The Text-to-Speech annunciator will announce Alarms on the local SCADA Node even if ViewDAQ is closed or minimized, as long as the SCADA node is running. The web Browser must be connected to the SCADA node for the Voice to annunciate on a Client.

The Alarm Voice annunciates the Alarm only once when it occurs. It does not repeat if the Alarm remains unacknowledged.

Hint - Use a Global Script to play a Wave or MIDI or other MCI file to repeat Alarm Annunciation if Alarms remain Unacknowledged

There are three required files for the USA version (other languages may require more):

  1. tv_enua.exe

  2. spchapi.exe

  3. Speech.msi

These files are installed automatically with the SCADA Node Software.

The Text to Alarm software must be installed on the Client manually. You can get these files from the Advantech WebAccess CD-ROM. Alternatively, these files can be copied from a SCADA Node from drive:\WebAccess\Node\Speech. The Plug-in does not install these files.

An Alarm Voice must be chosen in SCADA Node Properties to enable Text-to-Speech Alarm Annunciation.


3.2.18 Alarm Log to Printer

Prints the Alarm Log to a Printer connected to the SCADA Node. Each time an Alarm occurs, a line is printed describing the alarm (three lines are printed for a Text Type tag in Alarm). Return to Normal is also recorded. The information is the same as found on the Alarm Log Display viewed from the Toolbar or Ctrl+F8 function keys. Logging to printer is a way of making a permanent record of alarms.

Choices are:

1 = LPT1 (An ASCII printer on Line Printer Port 1 also known as Parallel Printer Port 1)

2 = LPT2 (An ASCII printer on Line Printer Port 2 also known as Parallel Printer Port 2)

3 = LPT3 (An ASCII printer on Line Printer Port 3 also known as Parallel Printer Port 3)

Default = The Windows Default Printer (LaserJet, Inkjet, Bubble Jet, etc.) (See Start->Settings-Printers).

Disable = No Alarm Logging to Printer.

Use LPT 1, 2, or 3 only if your Printer accepts ASCII data directly. These typically are Impact Printers (Dot-Matrix or Daisy Wheel printers). Each new line will be printed as it occurs (i.e. each new alarm).

The Default printer is the System Printer defined by your Microsoft Operating System. The Default will use "document print". A page is printed when enough entrees (i.e. alarms) occur to fill one page. Be sure to specify the Lines per Log Page if using a Default Printer. If using a LaserJet, Inkjet or other image-type Printer, it is recommended to configure it as a Default Printer.

The default printer is specified by:

1. Start -> Settings -> Printers

2. Right click the printer

3. Select Set as Default Printer

If both Alarm Log and Action Log are sent to the same printer, the two logs will be merged into one.


3.2.19 Alarm Log to ODBC

3.2.19 Alarm Log to ODBC (Not supported by WinCE)

Enters a record in an ODBC Database on the Project Node (Access is the default) for each Alarm. Return to normal is also recorded.

Advantech WebAccess installs an Access Database as part of software installation for you. You do not need to create a database or have Access software installed. The database resides on the Project Node, typically located at C:\WebAccess\Node\BwPData.mdb

The Data Table is named bwAlarmTable.

The default DSN name is bwpdata_Access. It is recommended to use the Access Database.

The information is the same as found on the Alarm Log Display viewed from the Toolbar or Ctrl+F8 function keys. Logging to a Database is a way of making a permanent record of alarms. Many Industrial Plants require this to monitoring plant safety and process operations.


3.2.19.1 Alarm Log to File

Enters a record in the Alarm Log on the SCADA Node for each Alarm. Return to normal is also recorded. This is the Alarm Log seen in VIEW and ViewDAQ from the Toolbar, Right-Click Menu , (menu bar in ViewDAQ) , Ctrl+F8 function keys , <GOTO>ALARMLOG Keymacro or GOTO ALARMLOG Action command.

Advantech WebAccess creates a log file on each SCADA node and records each alarm to this log if Alarm Log to File is Yes. The log resides on the SCADA Node, typically located at C:\WebAccess\Node\Project_Nodename\log\Bwalarm.log

If NO is selected, then no alarms are recorded to the Alarm Log on the Hard Drive of the SCADA Node. Alarms will appear in the Alarm Summary. Alarms will be recorded to the ODBC database or printer if those fields are enabled to Yes.

Logging to a is a way of making a permanent record of alarms. Only the last 5000 Alarms are recorded in a LIFO basis (Last IN, First Out). If more than the last 5000 are required, then use the Log to ODBC or Log to Printer.

Many Industrial Plants require this to monitor plant safety and process operations.


3.2.19.2 Minimal Alarm Log Priority

The Minimal Alarm Log Priority is used to record important alarms to the Alarm Log, ODBC Database or Printer. Only Alarms with a Priority greater than or equal to the Minimal Alarm Priority are recorded. 1 is the lowest Priority. 99 is the Highest Priority.

Alarms Log to File, Alarm Log to ODBC and/or Alarm Log to Printer must be enabled to record an Alarm. Return to normal is also recorded.

This affects recording of Alarms to file, database or printer. All Alarms will appear in the Alarm Summary.

The Minimum Alarm Priority can be individually specified for Alarms Log to File, Alarm Log to ODBC Database and Alarm Log to Printer.


3.2.20 Action Log to Printer

Print the Action Log to a Printer connected to the SCADA Node. Each time an operator Action occurs, a line is printed describing the action. Operator Actions include: logging in, change the value of a tag, exiting View. This looks just like the Action Log viewed from the Toolbar or Ctrl+F9 function keys. Logging to printer is a way of making a permanent record of operator actions. Many Industrial Plants require this to monitoring plant safety and process operations.

Choices are:

1 = LPT1 (An ASCII printer on Line Printer Port 1 also known as Parallel Printer Port 1)

2 = LPT2 (An ASCII printer on Line Printer Port 2 also known as Parallel Printer Port 2)

3 = LPT3 (An ASCII printer on Line Printer Port 3 also known as Parallel Printer Port 3)

Default = The Windows Default Printer (LaserJet, Inkjet, Bubble Jet, etc.) (See Start->Settings-Printers).

Disable = No Alarm Logging to Printer.

Use LPT 1, 2, or 3 only if your Printer accepts ASCII data directly. These typically are Impact Printers (Dot-Matrix or Daisy Wheel printers). Each new line will be printed as it occurs (i.e. each new operator action).

The Default printer is the System Printer defined by your Microsoft Operating System. The Default will use "document print". A page is printed when enough entrees (i.e. operator actions) occur to fill one page. Be sure to specify the Lines per Log Page if using a Default Printer. If using a LaserJet, Inkjet or other image-type Printer, it is recommended to configure it as a Default Printer.

The default printer is specified by:

1. Start -> Settings -> Printers

2. Right-clicking the printer

3. Select Set as Default Printer

If both Alarm Log and Action Log are sent to the same printer, the two logs will be merged into one.


3.2.21 Action Log to ODBC

3.2.21 Action Log to ODBC(Not supported by WinCE Edition(WebView &WebLink ))

Enters a record in an ODBC Database on the Project Node (Access is the default) for each Operator Action. Operator Actions include: logging in, change the value of a tag, exiting View.

Advantech WebAccess installs an Access Database as part of software installation for you. You do not need to create a database or have Access software installed. The database resides on the Project Node, typically located at C:\WebAccess\Node\BwPData.mdb

The Data Table is named BwActionTable.

The default DSN name is bwpdata_Access. It is recommended to use the Access Database.

This looks just like the Action Log viewed from the Toolbar or Ctrl+F9 function keys. Logging to printer is a way of making a permanent record of operator actions. Many Industrial Plants require this to monitoring plant safety and process operations. The user must also configure a DSN of a special name that is not yet defined when this section was written.


3.2.22 Data Log to ODBC

3.2.22 Data Log to ODBC(Not supported by WinCE)

For each tag that is Data Logged on SCADA node (Log Data in Tag Properties), this will also enter a record in an ODBC Database on the Project Node (Access is the default). This is a centralized Database for all SCADA nodes. Analog Tags are logged to the ODBC database once per minute. Discrete Tags are logged on an exception basis, based on change of state.

Advantech WebAccess installs an Access Database as part of software installation. You do not need to create a database or have Access software installed. The database resides on the Project Node, typically located at C:\WebAccess\Node\BwPData.mdb

The Analog Data Table is named bwTAGdata.

The Discrete Data Table is name bwDISCRETEdata.

The default DSN name is bwpdata_Access. It is recommended to use the Access Database.

DATA LOG to ODBC creates a centralized DATA Log of all SCADA Nodes. Each Analog Tag entry includes:

· Project & SCADA Node ID

· Tag Name

· Log Date

· Log Time

· Max Value

· Average Value

· Min Value

· Last Value

· Alarm State.

Each Analog Tag entry includes:

· Project & SCADA Node ID

· Tag Name

· Log Date

· Log Time

· Log Value (i.e. Discrete State as an integer number)

· Alarm State.


3.2.22 Data Log to ODBC

3.2.22.1 Disable All Second Data

This will disable the recording of one second samples for the Data Log Trends . This will reduce the number of files on the Hard Drive of the SCADA node. Yes will stop the recording of one second data unless enabled for each tag (see Tag Properties). This can save a tremendous amount of DISK SPACE and make the SCADA node run faster (especially if your hard drive is slow or your a data logging more than 800 tags per second),


3.2.23 Data Log Folder

This is a user defined path to record DATA LOG Trend files (i.e. Historical Trend Files).

If blank, the default path is used (drive:\WebAccess\Node\project_node\log).

A second hard drive or network drive can be specified. Using a second drive prevents the main system drive from filling up with data or becoming fragmented as data is written and erased. SCSII drives are recommended for data logging.

For more information on sizing and throughput requirements, see the Installation and Planning Guide or Log Data Maintenance and Data Log Disk Space and throughput in this manual.


3.2.23.1 Disable Data Log Seconds recording

3.2.23.1 Data Log Starting Year

DataLog Trends. Users can specify a “Data Log Starting Year”. This field is added to the Node property page to let users define the leftmost year for Data Log display. The value should be greater than or equal to 2001. See 6. Data Logging & Trends for a description of DATA LOG Trend Displays.


3.2.24 Start Up Option

The Start Up Option will start the Kernel (or the Kernel and ViewDAQ) when the computer reboots. This is equivalent to the use of a BATCH file in the Startup Folder. The choices are:

· None - user must start Advantech WebAccess Kernel manually (or use BATCH file)

· Kernel - the Kernel starts when computer reboots

· Kernel with View - the Kernel and ViewDAQ starts when computer restarts

If multiple projects are downloaded to the same SCADA node, the last project downloaded will supercede (i.e. overwrite) the startup option of the others.

Start-up options are only when the SCADA Node reboots or restarts (not when the kernel starts).

Related topics:

To prevent users from stopping the SCADA node kernel locally, use a DAQ Option to require an EXIT PASSWORD (Exit Password Level).

The Task Scheduler in windows can be used to restart the SCADA Node and the desired project using the bwctrkrl command (see Schedule SCADA node to Start every 5 minutes).


3.2.25 Beep Interval

3.2.25 Beep Interval(Not supported by WinCE Edition(WebView &WebLink ))

Sets the time between Alarm Beeps: how often the Alarm Beep repeats for unacknowledged alarms. If there is an unacknowledged alarm, the SCADA Node and CLIENT will beep using the System Speaker on the computer. This is the speaker connected directly to the motherboard of your computer. It will not beep through sound cards. A Beep interval of 5 means every five seconds a beep will be emitted if there is an Acknowledged alarm. The Pushbutton Keymacro < ALARMACK> or the Ctrl+F1 function keys will silence the beep until a new alarm occurs.

0 is no alarm beep.

To play a WAV, MIDI or other MCI sound file, see the Script command MCISEND


3.2.26 Beep Frequency

3.2.26 Beep Frequency(Not supported by WinCE Edition(WebView &WebLink ))

Sets Frequency (the tone) of the Alarm Beep. The Higher the frequency entered, the higher the pitch of the beep.


3.2.27 Beep Duration

3.2.27 Beep Duration(Not supported by WinCE Edition(WebView &WebLink ))

Sets length of time for each Alarm Beep. 500 Milliseconds means each beep will last for ½ second.


3.2.28 Lines per Log Page

Specifies the number of lines to print to Windows Default Printer (i.e. using document print) when using Alarm Log to Printer and/or Action Log to Printer.


3.2.29 Printer Control String

Used to send printer control characters to LPT1, 2 or 3 when using Alarm Log to Printer or Change Log to Printer to an ASCII printer (i.e. an Impact Printer, Dot Matrix printer or Daisy Wheel Printer). This is commonly used to invoke an alternate character set (e.g. another language) or compressed font.


3.2.30 Backup SCADA Node

3.2.30 Backup SCADA Node(Not supported by WinCE Edition(WebView &WebLink ))

A Redundant SCADA node consists of SCADA node and a Backup SCADA node, each with SCADA node software, license control file and Hardkey installed (i.e. two licenses and two hardkeys). The Project Manager will download an identical run-time database to both primary and backup SCADA nodes (assuming both are on-line). The primary and Backup will communicate with each other when the kernel is started, but only one will communicate to automation hardware. If the Primary fails, the Backup will begin communications to the automation devices. The Web Browser clients will be redirected to the Backup automatically if the primary node fails. The redundant SCADA node requires the purchase of two SCADA node licenses.

Specifying a Node Name and IP address will create a backup of the Primary SCADA Node. The communications protocols used by field devices, and your communications network must support redundant Masters or Redundant Communications from multiple PCs.

The Backup SCADA node uses the same database as the primary (e.g. devices, communication ports, tags, alarms, trends, groups, scripts and graphic displays). However, the IP Address will be different. The TCP Ports and Remote Access code may also be different.

Data in the Primary and Backup nodes of a redundant system are synchronized. This includes real-time data, datalog trend data, alarm/action log data, saved recipes and tag-field data.


3.2.30.1 Backup Node Name

3.2.30.1 Backup Node Name(Not supported by WinCE Edition(WebView &WebLink ))

Specifying a Node Name and IP address will create a backup of the Primary SCADA Node. The communications protocols used by field devices, and your communications network must support redundant Masters or Redundant Communications from multiple PCs.

This Backup must be different from the name of the primary node (and any other SCADA node in your project).

Node name can be any alphanumeric. It is not recommended to use the underscore (_) in Node name. This will prevent the local VIEWDAQ from downloading graphics or starting the node.

Node name can be up to 15 Characters.

See Node Name for additional information.


3.2.30.2 Node description (Backup SCADA Node)

3.2.30.2 Node description (Backup SCADA Node)(Not supported by WinCE Edition(WebView &WebLink ))

The Node Description can be any text. This is the description will appear in the Project Manager only.

Node Description can be up to 32 Characters.

See Node Description for additional information


3.2.30.3 Backup Node IP Address

3.2.30.3 Backup Node IP Address(Not supported by WinCE Edition(WebView &WebLink ))

This should be the IP address (or other valid address) of your backup SCADA node PC. The SCADA node software, license and control file must be installed for this Backup to run.

See IP Address for additional information.


3.2.30.4 Primary Port Number (Backup SCADA Node)

3.2.30.4 Primary Port Number (Backup SCADA Node)(Not supported by WinCE Edition(WebView &WebLink ))

This is the TCP Port through your firewall. Enter 0 if you are not using a firewall. Usually this will be the same as your primary SCADA node. See Primary Port Number for more information.


3.2.30.5 Secondary Port Number (Backup SCADA Node)

3.2.30.5 Secondary Port Number (Backup SCADA Node)(Not supported by WinCE Edition(WebView &WebLink ))

This is the TCP Port through your firewall. Enter 0 if you are not using a firewall. Usually this will be the same as your primary SCADA node. See Secondary Port Number for more information.


3.2.30.6 Node time out (Backup SCADA Node)

3.2.30.6 Node time out (Backup SCADA Node)(Not supported by WinCE Edition(WebView &WebLink ))

Usually the same as your primary. See Node Timeout for more information.

Remote Access Code (Backup SCADA Node).

This is the Remote Access Code specified during software installation on your backup SCADA node PC. See Remote Access Code for more information.


3.2.31 On Line changes to Tag fields

3.2.31 On Line changes to Tag fields reflect to database

Some changes to configuration database can be made on line. These include:

  • Alarm Limits

  • Alarm Priority (if non-zero)

  • Alarm Deadbands

  • Description

  • Engineering Units

  • Output Limits

  • State Descriptors

  • Security Area and Level

  • Signal Reverse

  • SPAN HI and SPAN LO

Normally, these changes are lost if the SCADA Node is restarted or downloaded. However, if On Line changes to Tag fields is enabled, on-line changes to these fields are saved to the Configuration Database on the Project Node (bwCfg.mdb).

These changes can be made during runtime using the Point Detail Displays. Or the change can be made using the Point Info Dialog box by appending the Tag Field to the tag name.

See also 4.8 Tag Fields


3.2.31 On Line changes to Tag fields

3.2.31.1 Tooltip Settings

Users can enable "Tooltips" to appear over dynamic values in Graphic Displays and Trends. This is a yellow text box with user definable Tag Fields (like Value, Eng, Units, Description, Tagnam, etc.)

The Tooltips display occurs when the mouse cursor is placed over a pick-able animation objects or near line segments of trend/xyplot displays, the tooltip window will display text messages according the Tooltip Settings.

Tooltips set in SCADA node properties apply to all ViewDAQs on the SCADA node and all View clients connecting to the SCADA node. (The BWCLIENT.INI file can be used to over-ride the Tooltip settings in SCADA Node properties).

There are separate Tooltip Settings in the SCADA Node Property page for, Analog Tags, Discrete Tags, and Text Tags.

To disable the tooltip display, leave these fields blank.

Note that “.TAG_FIELD_NAME” must be entered in all capital letters (for example .VALUE). Example settings are:

Analog Tag Tooltip Setting TagName=.NAME\r\nDesc=.DESCRP\r\nValue=.VALUE .ENUNIT

Discrete Tag Tooltip Setting TagName=.NAME\r\nDesc=.DESCRP\r\nValue=.VALUE

Text Tag Tooltip Setting TagName=.NAME\r\nDesc=.DESCRP\r\nValue=.VALUE

Please note that to display tool tip information in the same line, replace “\r\n” in the above example with a space.

To override the settings for SCADA node or client computer, please add [tooltip] section to its corresponding bwclient.ini as before, and as described in the Engineering Manual (Help) section 23.6.2 Tooltips in View.

Trend Hairline Tooltip

To enable Tooltips in Trends, chnage this value to Yes. It has the default Tooltip with TagName, Description and Value for the Historical value of the trend line selected.

To override the Trend Hairline Tooltip settings for SCADA node or client computer, please add [tooltip] section to the BWCLIENT.INI file. For example,

[tooltip]

hairline=x

where x is 0 (disabled) or 1 (enabled).

See also 4.8 Tag Fields


3.2.32 Real Time Trend Display Style

This changes the current Time location on, and update style for Real Time Trend Groups only:

Interval Shift - The current time is on the left axis, and trends updates in a Shift of 1/4 screen (or the last division configured 1/2, 1/3, 1/4,or 1/5) when the end of the right end of the screen is reached. Until the last division is reached the screen updates continuously. The screen updates from left to right. This is the default.

Continuous Scrolling - The current time is on the right axis and the screen is updated each sample interval. When the end of the screen is reached, there will be a continuous line across the display. The screen updates from right to left. This mimics a strip chart recorder that has the pens on the right.


3.2.32 Real Time Trend Display Style

3.2.32.1 View Auto Logout Time Out

View Auto Logout Time Out. This field is on the SCADA Node property page to let users define the time out, in minutes, without mouse/keyboard activity before View clients and ViewDAQ are automatically logged out. Specify 0 to disable the time out feature. A positive value will define the time out minutes for the SCADA node and all View clients connecting to this SCADA node.

When the automatic logout occurs, ViewDAQs will logout current user, close dialog boxes if any, and stay at the current page. View clients will logout current user, reconnect to SCADA node, and wait for users to login.

To overwrite this setting for a SCADA node or specific clients, you can modify the Bwclient.ini file located on each client and SCADA node (see BWCLIENT 23.6.1 Automatic Logout).


3.2.33 Disable Task Switch Keys

3.2.33 Disable Task Switch Key

This prevents users from switching the focus away from ViewDAQ. This affects only the SCADA node. This is commonly used to prevent users from playing games, surfing the internet or other activities other than using the HMI & SCADA interface to the control system

When Disable Task Switch Keys is selected (Yes), the following changes takes place on the SCADA Node:

ALT TAB does not work to change between tasks (i.e. programs).

The Task Bar (at the bottom of the Windows Screen) can not be used to change tasks.

Task Manager can not be opened using Control-ALT-Delete (i.e. the Task Manager button is removed (Task Manager button is grayed-out).

Start button is Disabled in Windows.

System Tray is Disabled (can't open Task Manager this way).

Used in combination with an Exit Password Level, Disable Size and Move, Popup window with Title / without Title in a Display Group, this can effectively lock the computer in the ViewDAQ and VIEW.


3.2.34 Sync Time with Project Node

3.2.34 Sync Time with Project Node (Not supported by WinCE)

This part of the SCADA node properties. If enabled, the SCADA node tries to get time from the Project Node at start up and at every 55th minute (local computer time).

This allows all SCADA nodes in a multiple node project to have time synchronization if it is not provide by some other method.

Warning - Sync Time can conflict with other time synchronization methods, such as the Windows Domain controller. If SCADA nodes are in different Windows Domains and the domains are out-of-sync, then this synchronization may be reset at the frequency of the Windows Domain controllers.


3.2.35 Restore Alarm Status Time Out

If "Restore Alarm Status Time Out" is set to greater than 0, the alarm status of each IO tag is restored when restarting the kernel. Units are in Minutes.

If the Advantech WebAccess SCADA Node is restarted within the timeout of the last record (for example, by a user while downloading new tag configurations), Advantech WebAccess will restore the alarm information. There will be no new alarm record for those points that were in alarm or had an acknowledged status when the SCADA node restarts.

%AALMGLOBAL and %AALMGLOBAL(priority) are restored as well as the alarm and acknowledge state of each tag.


3.2.35.1 Restore Tag Scan Status Timeout

3.2.35 Restore Tag Scan Status Timeout

“Restore Tag Scan Status Timeout” works in conjunction with the Tag field .SCANST. If the kernel re-starts with in the timeout specified by “Restore Tag Scan Status Timeout” , the kernel restores previous SCANST for the tag. If the kernel stopped normally, the last value is restored, otherwise, the last on-the-minute value is restored.

See Also 4.8.50.1 .SCANST.


3.2.36 Save Dsp files to Project Node

3.2.36 Save Display (Dsp) File to Project Node

This option will save a copy of Display Group files (*.dsp) to project node. To turn on this option, check “yes” for “Save Dsp File to Project Node” on the SCADA Node Property page. If this option is on, when a display group file is saved on the SCADA node, it will also be uploaded to project node’s drive:WebAccess\node\config\pname_nodename directory. It will now be available to Backup and Restore utilities.

Please note that any display group files on the SCADA node will be overwritten by their counterparts on the project node every time database is downloaded. Therefore, please make sure that project node is available when display group files are saved.

For information on Display Groups, see 15.1 Display Groups.


3.2.37 Ack Alarm by Return to Normal

"Acknowledge Alarm by Return to Normal” option for the SCADA Node will automatically acknowledge an alarm when the alarm value returns to normal. The alarm will disappear from the Alarm Summary, but will be logged to the Alarm Log and System Alarm Log as a "Return to Normal".


3.3 Communication Ports

The communications port is the link used to connect to the field devices. It can be a "physical link" (e.g. a serial RS232 cable or an Ethernet Network) or it can be a "software link" (e.g. an OPC Server or third party API).

Examples include COM1, COM2 (which a serial ports on the SCADA node), TCP/IP (which is any network card using TCP/IP), an OPC Server or a proprietary network card requiring special software (API). You can change the Port type and Port Number later.

There maybe a serial port or network used to connect the SCADA node to the automation device but the equipment vendor supplies software to communicate to the device. In this case, Advantech WebAccess communicates to API software driver associated with the serial card or network card. An API port is configured. The Siemens S7 via SOFTNET is an example of an API interface using a network card.

Not all Device Drivers work on all Port Types. For example, the Modicon driver works on both Serial and TCP/IP ports. In contrast, the AXLON FBM driver supports only TCP/IP network connections.

If using multiple communications ports, determine which tags are on which comport. It's easy to change the comport number for all the tags on a comport. It almost impossible to move only some tags from one comport to another. However, it is possible to move all the tags to another comport by changing the comport number.


3.3.1 Configure a Communication Port

**********************************************************************************************************************************************************************************
 *Note:
For WinCE edition, only supports API, SERIAL & TCPIP Interface
 ************************************************************************************************************************************************************************************

Comport is an abbreviation for "communications port". The Comport is the physical or virtual link from your SCADA node to the automation device.

Add Comport

From Project Manager,

1. Select your SCADA node under the Project/Node list.

Figure 3-3SCADA Node Main page - Add Comport

2. Select Add Comport

3. The Create New Comport page appears.

Figure 3-4Create Comport

4. Select the Interface Name that describes this Comport. (Also called the Comport Type: api, opc, rs;inx, serial, tcpip, etc.).

The fields change depending on the Comport Type.

API - Application Programming Interface. This is a "virtual" port. This is a proprietary software package commonly used to communicate with proprietary IO cards. Examples include Siemens S7 protocol. Does not correspond to a specific IO card or Port number. For a description of the data entry fields for an API see, section 3.3.5 API Comport Properties

OPC - OLE for Process Control. This is an Industry Standard Communications Standard. This is a "virtual" port. OPC is commonly used to communicate with proprietary IO cards and third party software packages. Does not correspond to specific IO card or Port number. For a description of the data entry fields for an OPC interface, see section 3.3.6 OPC Comport Properties

RSLINX - This is an API interface to RSLINX software (from Rockwell Automation) used for Allen-Bradley PLC5, SLC500 and other Allen Bradley hardware. It's used mostly from Control Net and Ethernet connections to Allen-Bradley PLCs. RSLINX must be purchased from Rockwell or Allen-Bradley. Advantech WebAccess has a serial DF1 drivers to PLC5 and SLC500 at no additional cost.

Serial - Standard Serial Communications Port using the IBM standard for Personal Computers (RS232-C, RS-422 or RS4-85). Selecting Serial means to access the serial Comport with this number. For example, to use COM2 on the SCADA node, Port2 in the Advantech WebAccess Project must be configured as Serial. For a description of the data entry fields for a Serial Interface, see Serial Interface and section 3.3.3 Serial ComPort Properties.

TCPIP - TCP/IP (transmission Control Protocol / Internet Protocol). Specifies a "Virtual Port" that uses the TCP/IP service installed. Does not correspond to specific IO card or comport number. Will access any IO card that uses the TCP/IP service installed on your PC. For a description of the data entry fields for a TCP/IP Network Interface see, section 3.3.4 TCP/IP Com Port Properties.


3.3.2 Comport Properties

**********************************************************************************************************************************************************************************
*Note:
For WinCE edition, only supports API, SERIAL & TCPIP Interface
************************************************************************************************************************************************************************************

Comport is an abbreviation for "communications port". The Comport is the physical or virtual link from your SCADA node to the automation device. Virtual Links include DDE, OPC and API interfaces which are actually communications to software (a DDE Server, an OPC Server or an Application Programming Interface). TCP/IP also uses a virtual comport; Advantech WebAccess will search all TCP/IP network cards regardless of Comport number assigned.


3.3.2.1 Interface Name

**********************************************************************************************************************************************************************************
*Note:
For WinCE edition, only supports API, SERIAL & TCPIP Interface
************************************************************************************************************************************************************************************

Comport can be either a physical device, like the serial port (COM1, COM2, etc), IO card, a virtual path to a device (like a TCP/IP connection over as network) or an application interface like OPC or DDE.

API

Application Programming Interface. This is a "virtual" port. This is a proprietary software package commonly used to communicate with proprietary IO cards. Examples include Siemens S7 protocol. Does not correspond to specific IO card or comport number.

For a description of the data entry fields for an API see, section 3.3.5 API Comport Properties

SNMP, DDE, OMRON and Siemens S7 interfaces use the API ComPort type.

OPC

OLE for Process Control. This is an Industry Standard Communications Standard. This is a "virtual" port. OPC is commonly used to communicate with proprietary IO cards and third party software packages. Does not correspond to specific IO card or comport number.

For a description of the data entry fields for an OPC interface, see section 3.3.6 OPC Comport Properties

RSLINX

Allen-Bradley RSLINX. This a "virtual" port used to communicate with proprietary IO cards and proprietary networks supplied by Allen-Bradley (DataHighway, DataHighway Plus, ControlNet, etc.) and PLC 5 and SLC 500 series controllers. Does not correspond to specific IO card or comport number. RSLINX software must be installed on the SCADA node to use the RSLINX ComPort Type.

Note that Advantech WebAccess supplies a "native" driver that communicates using DF1 protocol over a Serial Port. This Serial Driver to PLC5 and SLC500 is at no cost and is supplied with Advantech WebAccess. It is reputedly faster than the RSLINX driver.

Serial

Standard Serial Communications Port using the IBM standard for Personal Computers (RS232-C, RS-422 or RS4-85). Selecting Serial means to access the serial Comport with this number. For example, to use COM2 on the SCADA node, Port2 in the Advantech WebAccess Project must be configured as Serial.

For a description of the data entry fields for a Serial Interface, see Serial Interface and section 3.3.3 Serial ComPort Properties.

TCPIP

TCP/IP (transmission Control Protocol / Internet Protocol). Specifies a "Virtual Port" that uses the TCP/IP service installed. Does not correspond to specific IO card or comport number. Will access any IO card that uses the TCP/IP service installed on your PC.

For a description of the data entry fields for a TCP/IP Network Interface see, section 3.3.4 TCP/IP Com Port Properties.


3.3.3 Serial ComPort Properties

A Serial Port is an RS232, RS422, RS485 or other port on your SCADA node PC identified as COM1, COM2, COM3, COM4, etc. Serial type Devices usually have a "native" driver written by Advantech WebAccess. It is possible to have a Serial connection to the device, but use the API or OPC Port Types in Advantech WebAccess.

Figure 3-5Comport Properties - Serial

The following Parameters appear for a Serial Type Port.

Interface Name - Serial

Serial - Standard Serial Communications Port using the IBM standard for Personal Computers (RS232-C, RS-422 or RS4-85). For more information, see 3.3.2.1 Interface Name

ComPort Number

The physical Communications Port on the SCADA Node PC. 1 is COM1, 2 is COM2, 3 is COM3, etc. Selecting Serial means to access the serial Comport with this same number.

Description

User defined field for reference. This appears only in Project Manager.

Baud Rate

Describes the speed of communication. Usually, the Field Device determines this. The Baud Rate of the SCADA node must be the same as the baud rate of ALL the field automation devices attached communicating on this communication port. Baud roughly translates into bits per second. A slower baud rate allows noisier connection or longer cable lengths. Refer to your device interface manual to determine the value for this field or the Ladder Logic or other program installed in your field automation device. Sometimes dip switches or jumpers on the field device set this.

Data Bit

Describes the size of the DATA in each message. It must match that specified in each automation field device. Usually determined by the protocol data bits. Refer to your device interface manual to determine the value for this field. Sometimes the Ladder Logic or other program installed in your field automation device sets this. Sometimes dip switches or jumpers on the field device set this.

Usually, there may be 5, 6, 7, or 8 data bits, depending on the device. Almost all devices transmit data using either 7 or 8 data bits

Stop Bit

Specifies the number of stop bit period to determine end of data. Refer to your device interface manual, the Ladder Logic, or other program installed in your field automation device to determine the value for this field. Sometimes dip switches or jumpers on the field device set this.

After the data has been transmitted, a stop bit is sent. A stop bit has a value of 1 as a mark state. It can be detected correctly even if the previous data bit also had a value of 1. This is accomplished by the stop bit's duration. Stop bits can be 1, 1.5, or 2 bit periods in length.

Parity

Parity is usually either Even, Odd or None.

Parity affords a small quantity of error checking, to help detect data corruption that might occur during transmission an additional bit called a parity bit may optionally be transmitted along with the data.

Both the comport and the field devices must use the same parity setting: even parity, odd parity, or none at all.

When even or odd parity is being used, the number of marks (logical 1 bits) in each data byte are counted, and a single bit is transmitted following the data bits to indicate whether the number of 1 bits just sent is even or odd.

For example, when even parity is chosen, the parity bit is transmitted with a value of 0 if the number of preceding marks is an even number. Odd parity is just the opposite, and the parity bit is 0 when the number of mark bits in the preceding word is an odd number.

Parity error checking is very rudimentary. While it will tell you if there is a single bit error in the character, it doesn't show which bit was received in error. In addition, if an even number of bits were in error then the parity bit would not reflect any error at all.

Scan Time

This is the frequency of polling request for new data specified in Milliseconds. The speed is largely determined by the PLC or field device and the nature of the network (how many other devices there are, how much data, the protocol, and baud rate). Slower the baud rates and the larger the amounts of information, require slower scan times. Refer to the Device Manufacturer's Manual for information on minimum scan times.

1000 Milliseconds means Advantech WebAccess will try to update data once a second. 50 Millisecond scan times are not uncommon for fast serial connections to a single PLC. 50 msec means Advantech WebAccess will try to update data is 20 times per second. The Live Demo is connected to a Modicon PLC simulator with a 50-millisecond scan time and a 57600 bps baud rate.

The freshness of the data is largely determined by the protocol, some protocols are report by exception and include Deadbands that must be exceeded before a value is updated.

A zero (0) sets the scan time to scan as often as possible.

Tag Field: SCANTM

Timeout

Time waited before re-sending a communications packet that did not have a reply.

Specifies how long the software waits for a response to a data request, specifically to wait for a reply from one packet. A recommended value is 7 to 10 ticks, longer if the communication device is slow. This is protocol dependent: some protocols do not allow changes in time out.

Combined with Retry count, also determines time to consider a device or port as BAD. Timeout is the time to wait since last communication packet sent without a reply. Time is in milliseconds. The slow or poor quality communications require longer timeout. The faster the communications network or device, the shorter the timeout required. Shorter timeouts notify operators of communications failure more quickly.

Retry Count

Number of times to retry communications if no reply is received from a device. Combined with Timeout, also determines time to consider a device or port as BAD.

In addition, Indicates the number of times after the first attempt has failed that communication should be attempted before indicating a failure. Specifically, how many times to send a single packet after the field device fails to respond to the first packet. After the retry count is exceeded, all the tags in the packet are marked with asterisks and the next packet of requests is sent. A reasonable value is 3 to 5 times. After this number of tries, the tags in this packet are marked as "fail to respond" (i.e. asterisks) and are disabled. In reality, increasing the number of retries hides failures on the part of the field device to respond to a request. Essentially, increasing the retries gives the field device more chances to reply.

Auto Recover Time

Auto Recover Time is the time to wait before attempting to re-establish communications with a BAD device or port.

Hand Shake RTS

Is RTS (Request To Send) signal raised and lowered on the Serial Communications Port. RTS is determined by settings in the field device. Refer to your device interface manual to determine the value for this field and the type of cable used. Some Advantech WebAccess Drivers ignore this and leave RTS always ready. See the specific Advantech WebAccess Driver Manual for your device.

A Personal computer is a DTE device, while most other field devices are usually DCE devices. If you have trouble keeping the two straight then replace the term "DTE device" with "SCADA Node" and the term "DCE device" with "field device" in the following description.

RTS stands for Request To Send. This line and the CTS line are used when "hardware flow control" is enabled in both the DTE and DCE devices. The DTE device puts this line in a mark condition to tell the remote device that it is ready and able to receive data. If the DTE device is not able to receive data (typically because its receive buffer is almost full), it will put this line in the space condition as a signal to the DCE to stop sending data. When the DTE device is ready to receive more data (i.e. after data has been removed from its receive buffer), it will place this line back in the mark condition. The complement of the RTS wire is CTS, which stands for Clear To Send. The DCE device puts this line in a mark condition to tell the DTE device that it is ready to receive the data. Likewise, if the DCE device is unable to receive data, it will place this line in the space condition. Together, these two lines make up what is called RTS/CTS or "hardware" flow control. The Software Wedge supports this type of flow control, as well as Xon / XOff or "software" flow control. Software flow control uses special control characters transmitted from one device to another to tell the other device to stop or start sending data. With software flow control the RTS and CTS lines are not used

Hand Shake DTR

Is DTR (Data Terminal Ready) signal raised and lowered on the Serial Communications Port. Determined by settings in the field device and the type of cable used. Most Advantech WebAccess Drivers ignore this and leave DTR always ready. See the specific Advantech WebAccess Driver Manual for your device.

DTR stands for Data Terminal Ready. Its intended function is very similar to the RTS line. DSR (Data Set Ready) is the companion to DTR in the same way that CTS is to RTS. Some serial devices use DTR and DSR as signals to simply confirm that a device is connected and is turned on. The Software Wedge sets DTR to the mark state when the serial port is opened and leaves it in that state until the port is closed. The DTR and DSR lines were originally designed to provide an alternate method of hardware handshaking. It would be pointless to use both RTS/CTS and DTR/DSR for flow control signals at the same time. Because of this, DTR and DSR are rarely used for flow control.

Backup Port

This enables a redundant communications path to the Device. If communications can not be established through this Comport, Advantech WebAccess will try a second Comport, specified as the Backup Port. You must configure the backup Port number in Advantech WebAccess, but without any devices on it. Usually the device must have two comports also. Not all Device Types support a backup Port.

The Backup Port is usually configured as the same type. However, some Device Types allow the backup port to be another physical type; for example, Modicon Device can use a TCP/IP (network) port as a backup port to a Serial Port.

See the specific Advantech WebAccess Driver Manual for your device.


3.3.3.1 Serial Interfaces

Serial is a Serial Communications Port on the PC. Selecting Serial means to access the Comport with the same number. For example, to use COM2 on the SCADA node, Port2 in the Advantech WebAccess Project must be configured as Serial.

This is an RS232-C, RS485 or RS-422 port on the SCADA node: COM1, COM2, COM3, COM4 etc. For Serial devices, the port number must be the same as the number of the comport (Port 1 will be COM1, port 2 will be COM2). For most drivers, this must be an IBM standard Serial port. For example, RS-232 or RS-422 UART (Universal Asynchronous Receiver Transmitter) chip with a FIFO (First-In, First-Out) buffer.

Serial type Devices usually have a "native" driver written by Advantech WebAccess. It is possible to have a Serial connection to the device, but use the API or OPC Port Types in Advantech WebAccess.

Often this standard Serial link is to a converter, to convert RS-485 to RS232-C. Another use is to a gateway that converts a proprietary physical interface to RS-232C (for example Moore LIL to RS232)

The protocol, baud rate, data bits, stop bits, and parity settings must match those configured in each field automation device on this comport. For example, all PLCs on the serial cable connected to this port, must communicate using the same protocol, baud rate, data bits, stop bits, and parity settings. If this is to a gateway, then the protocol, baud rate, data bits, etc must match that of the gateway device.

There are two aspects to Serial Communications that you must consider:

3. The Physical Interface (e.g. RS-232C, RS422, RS-485, and proprietary)

4. The Protocol (e.g. Modbus RTU, Modbus ASCII, Moore LIL)

The Physical Interface. The Serial Physical Interface determines voltage levels and current levels of the electrical signal. RS232-C and RS485 are examples of physical serial interfaces. COM2, COM3, COM4 are common serial ports on your PC that are usually RS232-C. These can be relatively easily converted to RS-485 or other physical interfaces.

Physical converters are commonly used to convert long distance serial protocols (like RS-422) to the short haul physical protocol used by most Personal Computers (RS-232 -C). Companies, like B&B Electronics Mfg Co at http://www.bb-elec.com/ make serial converters. These are Physical converters only.

Protocol - The Protocol is software and hardware dependent. It determines how the 1 and 0 (the bits) are converted into meaningful numbers and characters. Modbus RTU is an example of a Serial Communications protocol. The protocol of the device and the Advantech WebAccess Device Driver must be the same. The protocol is tremendously variable among manufactures. It is almost impossible to convert an Echelon LON protocol into a Siemens S7, for example. There are exceptions; for example, there are Modbus RTU to Allen-Bradley Data Highway converters. But these exceptions are rare. The Protocol is specified when you ADD DEVICES to the comport (see Device Properties).

See your communications Driver Guide for details about your device. There is also a reference section in the Appendix on Serial Communications.


3.3.4 TCP/IP Com Port Properties

A TCP/IP type Com Port is a TCP/IP network card on the SCADA node. Picking TCP/IP means to use one of the network cards on the SCADA node to find the field devices. A network connection that supports TCP/IP is required; Ethernet is the most common Network Interface Card (NIC) that supports TCP/IP.

TCP/IP is Transmission Control Protocol / Internet Protocol. It is the protocol used by the Internet. It is increasingly used in Automation. Often an Ethernet LAN is dedicated to only the PLCs and other automation devices. Modbus Ethernet is an example of a TCP/IP protocol used in Automation.

There may be multiple Ethernet cards in your SCADA node in order to support communications to field devices and a second Ethernet card to other Client Workstations. Advantech WebAccess will look over all Ethernet cards on the SCADA node to try to find the field device.

Figure 3-6Comport Properties - TCP/IP

Comport Number

This is a Virtual number used for reference. It can be any number. The only consideration might be if you are also using a Serial Comport or other Device which requires the comport number to match that of the physical interface.

Description

User defined field for reference. This appears only in Project Manager.

Scan Time

This is the frequency of polling request for new data specified in Milliseconds. The speed is largely determined by the PLC or field device and the nature of the network (how many other devices there are, how much data, the protocol, and baud rate). Refer to the Device Manufacturer's Manual for information on minimum scan times.

1000 Milliseconds means Advantech WebAccess will try to update data once a second. 50 Millisecond scan times are not uncommon for connections to a single PLC. 50 Msec means Advantech WebAccess will try to update data is 20 times per second.

The freshness of the data is largely determined by the protocol, some protocols are report by exception and include Deadbands that must be exceeded before a value is updated.

Auto Recover Time

Time to wait before attempting to re-establish communications with a BAD device or port.

Backup Port

This enables a redundant communications path to the Device. If communications can not be established through this Comport, Advantech WebAccess will try a second Comport, specified as the Backup Port. You must configure the backup Port number in Advantech WebAccess, but without any devices on it. Usually the device must have two comports also. Not all Device Types support a backup Port.

The Backup Port is usually configured as the same type. However, some Device Types allow the backup port to be another physical type; for example, Modicon Device can use a TCP/IP (network) port with a Serial backup port.

See the specific Advantech WebAccess Driver Manual for your device.


3.3.5 API Comport Properties

Applications Programming Interface is abbreviated API. This option is to use 3rd Party Software as the interface to the field device. The API software package is installed on the SCADA node. The hardware manufacturer usually supplies the API software. Many proprietary network cards require the user to install software on the SCADA node PC in order to communicate with the automation devices on their proprietary network. The Siemens S7 interface is an example; it requires the SIMATIC NET software. The Advantech WebAccess driver communicates with the SIMATIC NET software. The Omron Host Link driver is another example of an API type interface.

SNMP, DDE, OMRON and Siemens S7 interfaces use the API ComPort type.

Figure 3-7Comport Properties - API

Comport Number

In an API type port, the Port number is dependant on the API Driver. This maybe just a Virtual number or may refer to a specific comport depending on the driver. Please refer to the specific API program's Documentation.

Description

User defined field for reference. This appears only in Project Manager.

Scan Time

This is the frequency of polling request for new data specified in Milliseconds. The speed is largely determined by the API Software, the field device and the nature of the network (how many other devices there are, how much data, the protocol, and baud rate). Refer to the API Software documentation and the Device Manufacturer's Manual for information on minimum scan times.

1000 Milliseconds means Advantech WebAccess will try to update data once a second. 50 Millisecond scan times are not uncommon for connections to a single PLC. 50 Msec means Advantech WebAccess will try to update data is 20 times per second.

The freshness of the data is largely determined by the API program, some use a protocols that uses "report by exception" that includes Deadbands that must be exceeded before a value is updated.

A zero (0) sets the scan time to scan as often as possible.

Timeout

Time waited before re-sending a communications packet that did not have a reply. Specifies how long the software waits for a response to a data request, specifically to wait for a reply from one packet. A recommended value is 7 to 10 ticks, longer if the communication device is slow. This is protocol dependent: some protocols do not allow changes in time out.

Combined with Retry count, also determines time to consider a device or port as BAD. Timeout is the time to wait since last communication packet sent without a reply. Time is in milliseconds. The slow or poor quality communications require longer timeout. For slow the communications networks and devices, a longer timeout may be required to prevent false disconnects. Shorter timeouts notify operators of communications failure more quickly.

Retry Count

Number of times to retry communications if no reply is received from a device. Combined with Timeout, also determines time to consider a device or port as BAD.

In addition, Indicates the number of times after the first attempt has failed that communication should be attempted before indicating a failure. Specifically, how many times to send a single packet after the field device fails to respond to the first packet. After the retry count is exceeded, all the tags in the packet are marked with asterisks and the next packet of requests is sent. A reasonable value is 3 to 5 times. After this number of tries, the tags in this packet are marked as "fail to respond" (i.e. asterisks) and are disabled. In reality, increasing the number of retries hides failures on the part of the field device to respond to a request. Essentially, increasing the retries gives the field device more chances to reply.

Auto Recover Time

Auto Recover is the Time to wait before attempting to re-establish communications with a BAD device or port.


3.3.6 OPCComport Properties

3.3.6 OPC Comport Properties(Not supported by WinCE Edition(WebView &WebLink ))

The OPC Comport is associated with one OPC Server. If you have multiple OPC Servers, you must configure an OPC Comport to each Server. All OPC Devices on the same Comport are associated with one OPC Server.

OPC is an acronym for OLE for Process Control. It is an industry standard introduced by Microsoft based on DCOM. The Advantech WebAccess Device driver is an OLE Client. Hardware manufactures typically supply an OPC Server to provide access to real-time data. Most OPC Servers allow tags to be "browsed" and "imported". Advantech WebAccess provides an OPCTool.exe that allows tags to be "imported" after you have configured an OPC Comport and at least one OPC Device.

The OPC Server software is usually is installed on the SCADA node (a Local OPC Server).

The OPC Server software can also be installed on another PC (a Remote OPC Server) that is not the SCADA Node. A TCP/IP network connection (usually a LAN or Intranet) is used to communicate to the "remote" OPC Server from the SCADA Node. The remote OPC Server must have either Advantech WebAccess Project Node software or OPC Service installed.

Figure 3-8Comport Properties - OPC

Comport Number

In the OPC port properties, this is a Virtual number used for reference. It can be any number. The only consideration might be to avoid conflicts with another device driver (i.e. a Serial Comport) which requires the comport number to match that of the physical interface.

The connection from the OPC Server to the PLC or automation device may be a Serial Port, TCP/IP or proprietary network card. Hence, it is possible to have a Serial connection to the device, but use the OPC Port type in Advantech WebAccess.

If the OPC Server uses a Serial Comport, it is okay to use that same number as the OPC Comport number. This has the added advantage of reducing confusion.

Auto Recover Time

Auto Recover Time is the Time to wait before attempting to re-establish communications with the OPC Server. It is recommended to accept the default of 60 seconds. If communications to the OPC Server is unusually slow due to software, communications or network issues, you might consider increasing this value. If communications to the OPC Server fails frequently, you may want to decrease this number in order to have Advantech WebAccess try to re-establish communications sooner.

If communications to the Server Fails (i.e. exceeds Timeout for a remote OPC Server or drops in a Local Server), Advantech WebAccess will wait the Auto Recover Time before trying to re-establish communications. Advantech WebAccess will drop any "open handles" and re-establish new "software links" to the OPC Server. Advantech WebAccess will try to restart the OPC Server if the OPC Server is not running.

Description

User defined field for reference. This appears only in Project Manager.


3.3.6.1 OPC Server Type

3.3.6.1 OPC Server Type(Not supported by WinCE Edition(WebView &WebLink ))

This describes the physical location of the OPC Server software in relation to the SCADA Node. It is recommended to use either Local or Remote OPC Server choice. The In Process Server is a special type of Local OPC Server.

Local

Local OPC Server Type is OPC Server software installed on the SCADA Node. This is the most common choice. It is recommended to use a Local OPC Server. You will be able to import tags from the Local OPC Server if the SCADA Node software is installed on the SCADA Node. If Local is chosen, then the "Browse OPC Sever" button will update the "List of OPC Servers" named at the bottom of the page with Local OPC Servers.

InProcess

InProcess OPC Server Type is a special application of a Local OPC Server running in the same Process as the Client. There are many special requirements for an In Process Server (for example the Process must be registered, the DLL must be available to the Client, etc). It is recommended to use the Local OPC server if possible. Please refer to your OPC Server Guide for more information.

Remote

Remote OPC Server Type is an OPC Server running on a computer that is NOT this SCADA node. To configure a Remote OPC server will need to specify the address of the computer running the OPC Server Software in the Field labeled "Remote OPC Server IP Address/Node Name" and the TCP Port used by the OPC Server (if any).

If Remote is chosen, then the data fields in PINK are used to connect with the Remote OPC server.

If Remote is chosen, then the "Browse OPC Sever" button will update the "List of OPC Servers" named at the bottom of the page with Servers from the Remote Computer described in Remote OPC Server IP Address/Node Name.

The Advantech WebAccess OPC Service must be installed on the remote computer in order to import tags from the Remote OPC Server using OPCTool.exe.


3.3.6.2 Communication Mode

3.3.6.2 Communication Mode(Not supported by WinCE Edition(WebView &WebLink ))

The communications mode (Asynchronous or Synchronous) is determined by the OPC Server. Most new OPC Servers use Both Asynch and Synchronous modes, however many early OPC Servers use Synchronous polling only.

Synchronous Mode requires that the Client continuously poll the OPC Server for data.

Asynchronous Mode allows report by exception where the Client initially polls the Server when it starts, then the Server reports only when a value changes.


3.3.6.3 Remote OPC Server IP Address/Node Name

3.3.6.3 Remote OPC Server IP Address/Node Name(Not supported by WinCE Edition(WebView &WebLink ))

This is the address of the PC with the Remote OPC Server. Use this field if you are using a Remote OPC server. A Remote OPC Server is any OPC Software that is not installed on this SCADA Node.

This address can be a Network Node Name (Microsoft Network Name), a URL or an IP Address. A Remote Server is any PC other than the SCADA node you are configuring.

Unlike other OPC Clients, Web Access can use TCP/IP and IP addresses to access data from a Remote OPC Server. If the Remote OPC Server is not installed on a SCADA Node or Project Node, then the Advantech WebAccess OPC Service must be installed on the Remote OPC Server PC for tags to be imported and for real-time data to be exchanged. The Remote OPC Service can be installed from the Advantech WebAccess Installation CD-ROM.

Remote Port Number

This is the Primary TCP Port used by the Remote Advantech WebAccess SCADA Node or Remote Advantech WebAccess OPC Service. This is determined during installation of the Advantech WebAccess software on the Remote Node. (The default, 0 = Port 4592).

If the Remote OPC Server is not installed on a SCADA Node or Project Node, then the Advantech WebAccess OPC Service must be installed on the Remote OPC Server PC for tags to be imported and for real-time data to be exchanged. The Remote OPC Service can be installed from the Advantech WebAccess Installation CD-ROM.

Remote Port TimeOut

The OPC Remote Port Time Out is the time (in second) waited before re-sending a communications packet that did not have a reply. Specifies how long the software waits for a response to a data request, specifically, to wait for a reply from one packet.

For OPC Remote Port Timeout, 0 = default = 15 seconds.

If communications to the Server Fails (i.e. exceeds Time Out for a remote OPC Server after three retires), Advantech WebAccess will wait the Auto Recover Time before trying to re-establish communications. Advantech WebAccess will drop any "open handles" and re-establish new "software links" to the OPC Server. Advantech WebAccess will try to restart the OPC Server if the OPC Server is not running.


3.3.6.4 Remote Access Code

3.3.6.4 Remote Access Code(Not supported by WinCE Edition(WebView &WebLink ))

This is the Remote Access Code established during installation of the Advantech WebAccess software (SCADA Node, Project Node or OPC Service) on the OPC Server computer. The access code you enter here must match the Remote Access Code established during installation on the OPC Server. This prevents unauthorized users from accessing the OPC Server data using the Advantech WebAccess OPC Service.

If you have forgotten the Remote Access Code using during software installation on the OPC Server node, you have two options:

option 1) Re-install the Advantech WebAccess software on the OPC Server node to change it and edit it to match in your database using UPDATE.

OR

Option 2) Edit the BWSERVER.INI file on the OPC Server node and edit it to match in your database using UPDATE.


3.3.6.5 OPC Server

3.3.6.5 OPC Server(Not supported by WinCE Edition(WebView &WebLink ))

This is the name of the OPC Server to be used. This can be either a Remote or Local OPC Server.

It is recommended to use the "Browser OPC Server" button and then select the name of the OPC Server you want to use from the OPC Server List. This ensures proper spelling and syntax.

To enter the OPC Server:

1) Select Local or Remote OPC Server Type. Local is an OPC Server installed on the SCADA node.

2) If using Remote OPC, enter

i. The IP Address or Computer name of the Remote OPC Server.

ii. The primary TCP Port of the remote OPC Service (0 = default).

iii. The Remote Access Code of the remote OPC Service.

3) Press the "Browse OPC Server Names" button.

4) Select the desired server from the OPC Server List. This will enter the OPC Sever name in the OPC Server field.

You can also type the name of the OPC Server, if you know the registered name. It is recommended to use the "Browse OPC Sever" button and select the OPC Server from the list to avoid spelling and syntax errors.

OPC Server List

This is a list of local OPC Servers on the local Project/SCADA node. It is recommended to use this list to update the OPC Server field. This list is updated by pressing the Browse OPC Server Names button.

It is recommended to use the "Browser OPC Server" button in order to update this entry. This ensures proper spelling and syntax.

To update the OPC Server List:

1) Select Local or Remote OPC Server Type. Local is an OPC Server installed on the SCADA node.

2) If using Remote OPC, enter

i. The IP Address or Computer name of the Remote OPC Server.

ii. The primary TCP Port of the remote OPC Service (0 = default).

iii. The Remote Access Code of the remote OPC Service.

3) Press the "Browse OPC Server Names" button.

4) Select the desired server from the OPC Server List. This will enter the OPC Sever name in the OPC Server field.

Browse OPC Server Names

If OPC Server Type is Local, this updates the OPC Server List by browsing local OPC Servers on the SCADA node.

If OPC Server Type is Remote, this updates the OPC Server List by browsing remote OPC Servers specified in Remote OPC Server Address.


3.4 Device Configuration

The DEVICE TYPE determines the Protocol used by Advantech WebAccess to communicate with the automation device. The Protocol is software and hardware dependent. The Protocol determines how the 1 and 0 (the bits) are converted into meaningful numbers and characters. Modbus RTU is an example of a Serial Communications protocol. The Protocol is specified when you ADD DEVICES to the comport (see Device Properties).

The protocol of the device and the Advantech WebAccess Device Driver must be the same. The protocol is tremendously variable among manufactures. For example, it is almost impossible to convert an Echelon LON protocol into a Siemens S7. There are exceptions; for example, there are Modbus RTU to Allen-Bradley Data Highway converters. But these exceptions are rare.

The Device configuration fields differ (and appearance of the page will change) depending on the port type: Serial, TCP/IP, API or OPC. For example, Devices attached to Serial ports will include baud rate, parity, stop bit, while Device connected to TCP/IP ports will require fewer fields.

The choice of Device Types available from pull down lists will also change based on the port type. Not all Devices support all Port Types.

Once a device is added to a Port, only that device type (or compatible device types with compatible communications protocols) can be added to that Com Port.

Refer to the Device Guide for you specific device type for detailed information on configuring communications to your device

The Device Configuration Fields will appear similar for all devices on a similar ComPort Type:

3.4.1.1Device Properties - API Port

3.4.1.2Device Properties - OPC Port

3.4.1.3Device Properties - Serial Port

3.4.1.4Device Properties - TCP/IP Port


3.4.1 Device Properties

Device Name

A Device is a PLC, Controller, VAV or other automation hardware or software entity. Device name is a User-assigned name that will appear in the Project Manager (Configuration Tool) and in runtime VIEW Displays. Choosing a descriptive Name can help technicians identify the location of your device.

Changing only the Device Name will rename the existing device.

Changing both the Device Name and the Unit Number will make a copy of the device (e.g. create another device).

Description

User assigned description up to 70 characters

Unit Number

For some drivers (e.g. Modbus) this must correspond to the Unit Number used in the protocol addressing. For some protocols (e.g. OPC and API), this can be any user assigned number. Please refer to the specific device driver guide.

This Unit Number will appear on the System Status Display, Point Detail, user-built displays and tags to reference the status of this device.

Changing only the Unit Number will change the existing device.

Changing both the Device Name and the Unit Number will make a copy of the device (e.g. create another device).

Device Type

This is the communication Driver used to communicate with all devices on this Com Port. Only one communications protocol is supported on the same COM port. Once a Device Type is created on a COM port, the Device Type of additional devices will be limited to this Device Type.

To use another communications device, you must configure another COM port. Multiple TCP/IP type Com Ports can be added which use the same TCP/IP Network Card on your PC.


3.4.1.1 Device Properties - API Port

Applications Programming Interface is abbreviated API. This option is to use 3rd Party Software as the interface to the field device. The API software package is installed on the SCADA node. The hardware manufacturer usually supplies the API software. Many proprietary network cards require the user to install software on the SCADA node PC in order to communicate with the automation devices on their proprietary network. The Siemens S7 interface is an example; it requires the SIMATIC NET software. The Advantech WebAccess driver communicates with the SIMATIC NET software. Allen-Bradley RS-LINX is another example, the Advantech WebAccess PLC5 driver communicates with RS-LINX software to access data from PLCs on Control Net. The Omron Host Link driver is another example of an API type interface.

The connection from the SCADA node to the PLC or automation device may be a Serial Port, TCP/IP or proprietary network card. Hence, it is possible to have a Serial connection to the device, but use the API Port type in Advantech WebAccess.

For More information on API type Com Ports see API Comport Properties.

To modify an existing Device, Select Device Properties.

Add your device to the API Port, by selecting the API Port you have configured, then select Add Device. The Configure Device Properties Page appears.

Figure 3-9Siemens S7 PLC Device uses SIMATIC NET software API

Figure 3-10SNMP Device uses Microsoft's "Simple Network Management Protocol"

Device Name is any user defined name. See Device Name for more information.

Description is a user defined. See Description for more information.

Unit Number, for most API interfaces, this is a "virtual number" and does not correspond to the actual Unit Number used in the protocol addressing. See Unit Number for more information.

The Device Type lists available Device Drivers for an API type Comport (e.g. Siemens S7, SNMP). See Device Type for more information. If your device Type does not appear, you may have configured the wrong Com Port type.

Notice that the Field changes depending on the Device Type selected from the pull down list.

bwDDE:

bwSNMP: IP, Community

SiemS7: Device, VFD, and CP Name

See the Device Driver Guide for you device type for detailed information.


3.4.1.2 Device Properties - OPC Port

The Devices on an OPC Comport are "virtual" devices. You can use Device as an organizational tool (i.e. to represent process units, equipment, areas of a plant) or lump all the Tags into one Device.

The OPC Comport is associated with one OPC Server. If you have multiple OPC Servers, you must configure an OPC Comport to each Server. The OPC Device represents a "virtual'" device. All OPC Devices on the same Comport are associated with one OPC Server.

OPC is an acronym for OLE for Process Control. The manufacture (or a 3rd party) supplies an OPC Server. The Advantech WebAccess driver is an OLE Client. The OPC Device is a connection to software and is often a "virtual device" which may include many physical devices in the field.

The OPC Server is software usually is installed on the SCADA node. The OPC Server software can be installed on another PC; a TCP/IP network connection (usually a LAN or Intranet) is used to communicate to the "remote" OPC Server.

The connection from the SCADA node to the PLC or automation device may be a Serial Port, TCP/IP or proprietary network card. Hence, it is possible to have a Serial connection to the device, but use the OPC Port type in Advantech WebAccess. Allen-Bradley RS-LINX and the Data Highway protocol is an example.

For More information on OPC type Com Ports see OPC Comport Properties.

Add your device to the OPC Port, by selecting the OPC Port you have configured, then select Add Device.

To modify an existing Device, Select Device Properties. The Device Properties Page for an OPC Type Device appears.

Figure 3‑11OPC device

Device Name is any user defined name. See Device Name for more information.

Description is a user defined. See Description for more information.

Unit Number, for most OPC interfaces, this is a "virtual number" and does not correspond to the actual Unit Number used in the protocol addressing. See Unit Number for more information.

The Device Type lists available Device Drivers for an OPC type Comport (e.g. LANSTARII, KEPWARE). See Device Type for more information. If your device Type does not appear, you may have configured the wrong Com Port type. Not all OPC Servers follow the OPC standards in the same way. The OPCBW device type is tested with LANSTAR II and most KEPWARE OPC servers.

See the Device Driver Guide for you device type for detailed information.


3.4.1.3 Device Properties - Serial Port

A Serial Port is an RS232, RS422, RS485 or other port on your SCADA node PC identified as COM1, COM2, COM3, COM4, etc. For More information on Serial Ports, see Serial ComPort Properties. Serial type Devices usually have a "native" driver written by Advantech WebAccess. It is possible to have a Serial connection to the device, but use the API or OPC Port Types in Advantech WebAccess.

Add your device to the Serial Port, by selecting the Serial Port you have configured, then select Add Device.

To modify an existing Device, Select Device Properties. The Device Properties Page for a Serial Type Device appears.

Figure 3-12Modicon - Modbus RTU device

Device Name is any user defined name. See Device Name for more information.

Description is a user defined. See Description for more information.

Unit Number, for most drivers (e.g. Modbus), this must correspond to the Unit Number used in the protocol addressing. See Unit Number for more information.

The Device Type lists available Device Drivers for a Serial type Comport (e.g. AB PLC5, AB SLC500, GE 9030, GE 9070, Modicon Modbus, Wago).
See Device Type for more information. If your device Type does not appear, you may have configured the wrong Com Port type.

See the Device Driver Guide for you device type for detailed information. (For Modbus RTU Serial see the Modicon Device Guide).


3.4.1.4 Device Properties - TCP/IP Port

A TCP/IP port uses all network cards on your SCADA node using Microsoft TCP/IP Protocol. Advantech WebAccess will search all available Network cards. Multiple TCP/IP type Com Ports can be added which use the same TCP/IP Network Card on your PC. They must have separate "Com Port Numbers", but these Com Port numbers are virtual and used to separate different communications drivers.

Add your device to the TCP/IP Port by selecting the Port you have configured, and then select Add Device.

To modify an existing Device, Select Device Properties. The Device Properties Page for a TCP/IP Type Device appears.

Figure 3-13Modicon - Modbus Ethernet device

Device Name is any user defined name. See Device Name for more information.

Description is a user defined. See Description for more information.

Unit Number, for most drivers this should correspond to the Unit Number used in the protocol addressing. See Unit Number for more information. See also, Device Address.

The Device Type lists available Device Drivers for a Serial type Comport (e.g. Ace, Axlon, Festo, Mitsubishi, Modicon, Wago). See Device Type for more information. If your device Type does not appear, you may have configured the wrong Com Port type.

See the Device Driver Guide for you device type for detailed information. (For Modbus RTU Serial see the Modicon Device Guide).

Primary communications parameters. You must specify the Primary IP Address.

IP Address - you must specify the Primary IP Address. This is the IP Address of the PLC or automation device. For most devices, this is the OCTET of four numbers separated by dot (For example, 192.168.0.21) or 6 number (IPv6). See the Device Driver Manual for detailed description.

Port Number - this is the TCP port. This must match the TCP port configured in the device. Most automation devices use a TCP port to prevent unauthorized access to the data in the device. TCP Port numbers range from 1 to 65,000.

Device Address - if the Device Address is different than the Unit Number configured (or it has changed), use this field. See the Device Driver Manual for detailed description.

Redundant Communications

Primary and Secondary communications paths are supported. This provides Redundant Communications with the PLC (or Device) and the SCADA node.

The Secondary Communications path is to a redundant TCP/IP port (i.e. a network connection) and describes IP settings on a second network card installed in the PLC or automation Device

For some drivers, the redundant (the secondary port) can be serial port (depending on the Driver). The redundant serial port is specified under COMPORT Properties, not here. See the Device Driver Manual for detailed description.

Secondary IP Address. Optionally, you can specify a secondary IP Address. This would typically be a second Ethernet Card installed in the PLC. Do not use this option if the secondary port is serial.

Secondary Port Number - this is the TCP port used by the secondary network card installed in the PLC or device. This must match the TCP port configured in the device. Most automation devices use a TCP port to prevent unauthorized access to the data in the device. TCP Port numbers range from 1 to 65,000.

Secondary Device Address - the Device Address used by the secondary network card installed in the PLC or device. See the Device Driver Manual for detailed description.


3.5 OPC Tool - Import Tags from OPC Server

3.5 OPC Tool - Import Tags from OPC Server(Not supported by WinCE Edition(WebView &WebLink ))

The Advantech WebAccess OPC Tool (OPCTool.exe) allows you to import tags from a Local or Remote OPC Server into Advantech WebAccess. The features of this tool include:

· Browse the "Tree" of OPC Items

· Browse the OPC Data points within each OPC Item

· Convert OPC Tag names (i.e. rename automatically)

o Convert to Short Tag name

o Convert by Renaming Rules

o Convert to Sequential Tag numbers

· Append Prefix to OPC Tag Names

· Filter OPC Data Points by Data Type or Name

· Import only Selected Items

· Import All Items

· Import from Local OPC Server (Local to Project Node)

· Import from a Remote OPC Server (Remote to Project Node).

· Import to multiple Projects, Nodes, and Devices

The OPC Tool must be run on the Project Node. The OPC Server and the SCADA node can both be remote to the Project Node. However, the OPC Tool works on a Advantech WebAccess Database directly (bwcfg.mdb) and, consequently, the OPCTool.exe must be run on the Project Node.

When using the OPC Tool a Local OPC Server is Local to the Project Node. A Remote OPC Server is remote to the Project Node. This is in contrast to the SCADA node. You may have configured your SCADA node to use a Local OPC Server, but when using the OPC Tool, that OPC Server might be remote (if the SCADA node and Project node are on separate nodes). The only time both the OPC Tool and SCADA node uses a Local OPC Server is if the SCADA Node and Project Node are the same PC.

Before using the OPC Tool to import, you must configure an OPC Comport, at least one OPC Device.

The OPC Tool will start the OPC Server if it is not running. However, it is recommended that you manually start the OPC Server and run through any procedure needed to connect to the automation devices (for example in the Kepware Modbus and Cimetrics Bacnet OPC Servers both start with no devices connected and require that you select a device or network to communicate).


3.5.1 Start the OPC Tool

3.5.1 Start the OPC Tool(Not supported by WinCE Edition(WebView &WebLink ))

The easiest way to run the OPC Tool is:

1. Go to the Project Node

2. Select the START button from the Task Bar

3. Select Run

4. Enter OPCTool

5. Select OK.

6. The OPC Tool Client opens.
It will be blank until you connect to a Server.

Figure 3-14OPC Tool

The OPC Tool is program located in the Advantech WebAccess Node directory (typically C:\WebAccess\Node\OPCTool.exe) on the Project Node. As an alternate to using the Start button and RUN, you can double click on the OPCTool.exe icon in Windows Explorer.

Before using the OPC Tool to import, you must configure an OPC Comport, at least one OPC Device. In case you forgot to configure an OPC Comport and Device in your Advantech WebAccess Database, you can do so without closing the OPC Tool.


3.5.2 Connect to OPC Server with OPC Tool

3.5.2 Connect to OPC Server with OPC Tool(Not supported by WinCE Edition(WebView &WebLink ))

Figure 3-15OPCTool - start - no connection

1. To connect the OPC Tool to an OPC Server, select either the connect icon [image] or from the menu bar select OPC - > Connect OPC Server from the OPC Tool Client.

2. The Advantech WebAccess Connect OPC Server Dialog box opens.

Figure 3-16OPC Toll - connect to OPC Server - local

3. Under Server Type, select either Local (i.e. this computer, the Project Node) or Remote (another computer).

3a. If you select Local, a list of all installed OPC Servers on this local computer appears. (I.e. the OPC Servers installed on the Project Node or Combined Project / SCADA node).

Figure 3-17OPC Tool - Connect to Remote Server

3b. If you select Remote:

3.b.1 Enter the IP Address or Computer name of the remote computer with the desired OPC Server.

3.b.2 Press the Get Server List button

3.b.3 A list of all OPC Servers on the Remote Computer appears.

4. Select the server from the OPC Server List

5. Select the Connect OPC Server button.

The OPC Tool will start the OPC Server if it is not running. However, it is recommended that you manually start the OPC Server and run through any procedure needed to connect to the automation devices (for example in the Kepware Modbus and Cimetrics Bacnet OPC Servers both start with no devices connected and require that you select a device or network to communicate).

6. The OPC Tool Client appears with the toolbar icons [image] enabled, including the following

Disconnect OPC Server

OPC Status

Import / Add Item

7. Select the Import/Add Item icon

Or, from the menu bar select OPC -> Import/Add Items

Figure 3-18OPC Tool Menu Bar

8. The OPC Item Browse/Import Dialog Panel appears.

Figure 3-19OPC Tool - Browse and Import


3.5.3 OPC Item Import

3.5.3 OPC Item Import(Not supported by WinCE Edition(WebView &WebLink ))

To open the OPC Item /Browse import

1. Start the OPC Tool

2. Connect to OPC Server

3. Select Item / Browse icon

4. The OPC Item Browse / Import Dialog Panel opens.

Figure 3-20OPC Toll - Browse Items

5. Select the desired Project from the pull down list (if you have more than one Project). The first project, listed alphabetically, is selected by default.

6. Select the SCADA node from the list (if you have multiple SCADA Nodes). This SCADA node will collect data from the OPC Server. The SCADA node must have an OPC Comport configured to the OPC Server you are connected with now.

7. Select the Comport configured to this OPC Server.

The OPC Server and Server Type will change to reflect the configuration of the Comport. If the selected Comport is configured for an OPC Server, the OPC Server named and OPC Server Node type appears.

Figure 3-21ComPort 3 configured for Cimetrics Bacnet OPC Server

Figure 3-22Comport 2 - no OPC Server configured

8. Confirm that the SCADA Node / Comport you have selected is configured for the OPC Server you have connected the OPC Tool.

Figure 3-23OPC Tool - Connected OPC Server Name should match your device

The COM Port’s OPC Server is listed in the Advantech WebAccess Project information area below the Comport and Device Name.

Figure 3-24Device Information - Project, SCADA Node, Comport, Device Name, OPC Server

The Connect OPC Server area shows the OPC Server the OPC Tool is connected (see the Top Right of dialog box).

Figure 3-25Name of OPC Server you are browsing

9. Select the Type of Tag Name Conversion (sic Tag Name Type). Advantech WebAccess Tag names are limited to 15 characters and the OPC Item names are often much longer.

Figure 3-26Convert Tag Names recommended

a. Short Tagname will use the OPC Data Point name (the Panel on Right) as the Tag Name. If the same Data Point has already been selected from another item, Advantech WebAccess will append a sequential number to the tag name.

b. Convert Tagname will use both the Item Name and Data Point Name plus conversion rules create a Tag Name. The conversion rules are described in the OPCTol.ini file. The Convert Tag Name will give you the greatest control in creating tag names automatically. Please see section OPC TOOL INI file of Conversion Rules, section 3.5.3.1

c. Sequential Tagname will number the tag consecutively: Tag1, Tag2, etc. If you modify the Tagname field (i.e. replace TAG), the tool will append a number to the name you enter and track the number of previous tag name roots.

d. ItemID will use the OPC Item Name (from the Panel on Left) for any Data Point selected (from Panel on Right). This is typically used when the same Data Point (e.g. present value) is selected for all Items and the Item Name is the desired Tag. Sequential Numbering of the Tag Name will occur if multiple Data Points are selected from the same Item (e.g. device_1967__analog_I, device_1967__analog01, device_1967__analog02).

Underscores (_) will replace Blanks (white spaces) in OPC Item and Data Point names.

10. Add a Prefix, if desired. Prefix is limited to 2 characters max.

Figure 3-27Add Prefix to Tag Names

This prefix will be the leading characters of the Advantech WebAccess Tag Name. For example, Prefix of 49 will yield tagnames: 49TIC101, 49PIC202, 49YS333 etc.

The Prefix is commonly used to help users distinguish between multiple process units that have identical OPC naming conventions inside each process unit (for example 10 Air Handlers, all with identical control databases and OPC data point names).

11. For Data Type Filter, new users are recommended to select Native Type (the default) and use the wildcard (*) for the Filter.

Figure 3-28filter the OPC Tag Items

The Data Type Filter will limit the Data Points listed to only the Data Type selected (Boolean, Long Integer, etc).

The Filter will limit the Data Points Listed to only those Names that meet the filter requirement (F

12. Select an OPC Item (Panel on Left) under Browse Items.

Figure 3‑29OPC Item Tree and Tags

13. Select a Data Point (Panel on Right) associated with the selected OPC Item. Notice that the List of Data Points (Right Panel) changes as you select different Browse Items (Left Panel).

Note that each Item in an OPC Server can have multiple data points associated with it.

14. The proposed TAGNAME appears in the Tagname field (less any Prefix). Modify the Tagname if desired.

Figure 3-30OPC Item ID and Advantech WebAccess Tagname

15. Item ID (Address) describes the addressing that will be used to read data from the OPC Server. It is recommended to accept this without modification.

16. Click the Import Selected Items button.

17. Select another OPC Item, and repeat steps 9 to 15 until all desired tags are imported.

18. Select OK to confirm the Import of tags to Advantech WebAccess.

If you press Cancel, all tags imported since your first started the Add/Import Tags will be aborted.

19. The OPC Tool Client will list the Tag Names imported and the OPC Item addresses.

Figure 3-31Imported OPC Tags – OPC Tool

20. You can have the Advantech WebAccess Project Manager open while using the OPC Tool to import Tags.

Figure 3-32Imported OPC Tags - Project Manager

By closing and opening the OPC Port Icon, in the Project Manager, you will refresh the tag list and see the Tags that you have imported. Once Imported, you can rename these tags, assign alarms, etc. You can also Delete imported tags and then re-import them allowing you to experiment with naming conversions, etc.


3.5.3.1 OPC TOOL INI file of Conversion Rules

3.5.3.1 OPC TOOL INI file of Conversion Rules(Not supported by WinCE Edition(WebView &WebLink ))

The Convert Tagname will convert OPC Item and Data Point names into Advantech WebAccess Tag names using conversion rules. The Convert Tagname will use the Item Name appended to Data Point Name plus the conversion rules in the OPCTol.ini file.

Users can modify this file to create new Name Conversion Rules.

The OPCTol.ini is located on the Project Node, typically at C:\WebAccess\Node\OPCTol.ini

A sample of the Version 3.0 OPC Tool INI file for the Barrington OPC Server is listed below.

Each section must be preceded by the official OPC Name in square brackets []. For example the Barrington OPC Server is named BarSys.OPCServer. The Section describing conversion rules for the Barrington OPC Server are in a section labeled [BarSys.OPCServer]

The rules are simple.  Text String OPC = Text String in Tagname.  For example, Digital Output.Channel=DO means convert the string "Digital Output.Channel" into a tag name with DO.

It may take an experimental or test database where you import OPC Items and DataPoints unchanged, then create rules to automatically shorten them.

[TAGNAME_TYPE]

//0: Leaf as TagName

//1: Custom Conversion

//2: Sequential

//3: TagName same as ItemID

BarSys.OPCServer=1

Matrikon.OPC.Simulation=1

ThinknDo.TnDOPC.1=0

RW.FASERVER.3=2

KEPware.KEPServerEx.V4=2

Cimetrics.BACnetOPCserver=1

[BarSys.OPCServer]

Digital Output.Channel=DO

Digital Input.Channel=DI

Analog Input=AI

Analog Output=AO

Channel=Ch

Communication=Comm

Extend_Service.Extend_Flag=ExHours

Flag_Schedule.Schedule=Z

Flag_Status.Flag=Occupancy

Sub_Schedule=SubSch

Start_Date=StrtD

Start_Time=Start

Stop_Date=StopD

Stop_Time=Stop

Holiday_Flag=HFlag

MF_Weekday_Flag=MF_WkFlag

Schdule_Serial=Sch_Serial

Schedule_Name=Sch_Name

Weekday_Flag=Wk_Flag

Monday_Friday=Mon_Fri

Weekday.Monday=Mon

Weekday.Tuesday=Tue

Weekday.Wednesday=Wed

Weekday.Thursday=Thu

Weekday.Friday=Fri

Weekday.Saturday=Sat

Weekday.Sunday=Sun


4. Tags

***********************************************************************************************************
*Note:
 For XP Standard and WinCE edition, G lobal Tag transfer function is not supported.
 ************************************************************************************************************

Advantech WebAccess uses the concept of the “tag” to organize the information exchanged with

the PLC or automation device (the so-called database for the device). A “tag” is a unique identifier for a single piece of information read from the automation device. Advantech WebAccess assigns additional qualities to the tag including description, alarms, alarm limits, addressing. A Advantech WebAccess tag is a multi-dimensional object that describes a single piece of information read or written to the automation device. A tag can describe any measurement, output, bit, register or other value in a device.

The term “tag” has two sources of origin: one industrial and the other from software.

In industrial manufacturing plants, each instrument in a control room had a small metal “tag” attached to it, or on the panel beside it, that described the instrument or measurement usually with a seven digit alphanumeric code.

In software programs, especially many database software packages (Dbase4 is an example) the identifier of a row of information in the Database was the “tag name”. Many HMI and SCADA software packages also use the term "tag" as an identifier of information read from automation device.

Advantech WebAccess provides a database for communications: a tag only needs to be defined once in the SCADA node that is connected to the automation device (PLC, RTU, etc.). All Clients access this tag using its tagname. This allows graphic displays that connect to that point to be used on all clients without modification.

Advantech WebAccess provides a set of communication “drivers” that enable engineers and technicians to easily establish communications to automation devices including PLCs, controllers, DCS, DDC systems, other software packages, recorders, RTUs, IO, smart transmitters and other automation hardware.

These communication “drivers” are implemented using fill-in-the-blank forms that are actually web pages that interact with the Advantech WebAccess Database. No programming is required. The steps, in summary, are:

1. Start Internet Explorer Web Browser

2. Enter IP address of the Project Node

3. Use Advantech WebAccess Configuration

4. Open or Create a Project

5. Configure a SCADA node (if it does not already exist)

6. Configure a Comport for the SCADA Node (if it does not already exist)

7. Configure a Device (if it does not already exist)

8. Add a Tag

9. Select a Parameter that is close to the Tag

10. Assign a unique Tagname, Address, conversion code,

11. Optionally assign Alarms, Scaling, Engineering Units, Description and other features.

Advantech WebAccess drivers consist of the program that actually exchanges data with the device and a “database” which contains a description of what data the user wants to read and write to the device.

Before you can build an IO tag, you should have already built a SCADA Node, configured a Comport and configured a Device.

This section assumes you are already familiar with:

3.2SCADA Node Properties


4.1 Tag Types - overview

IO Tags

Advantech WebAccess uses two concepts of tags used in communication with plant floor devices: Tags and Blocks. Both IO Tags and Blocks describe real-time measurements and outputs (reads and writes) between the SCADA node and automation devices (PLCs, controllers, DDC systems, etc).

Tags are easiest to understand and are frequently used in small projects.

Blocks are productivity tools, that require significant planning, but can dramatically reduce the time to implement a large automation project or repetitions of the same automation project.

Tags can represent analog, discrete or text type data. Discrete type data is also called digital. Analog data is a usually a floating point number. Discrete data is an Integer between 0 and 7, but is often only 0 or 1 (hence the term digital). Text type data is an ASCII string up to 72 characters.

Parameters are the individual elements of a Block. Users reference the data in a block by appending the parameter to the block name: Blockname:Parameter.

For example, to read the setpoint of flow controller, type FIC101:SP in the Point Info Dialog box.

IO Tags and Blocks are built from template type objects: Parameter Types and Block Types.

Tag Fields describe the multiple dimensions of a Tag including description, Alarm State, Alarm Limits, Output Limits, Engineering Units, Span Hi, and Span Lo. Tag fields are read by appending the Field name to the Tagname. The format is:

Tagname.FIELD or Blockname:paramter.FIELD

For example, to read the high output limit of the setpoint in the above example, type FIC101:SP.OUTPH

Many Tag Fields are Read/Write and can be used to adjust Alarm Limits during Run time, change setpoint limits etc.

Internal Tags

Advantech WebAccess provides Internal Tags that do not read IO directly: Calculation Tags, Accumulation Tags, and Constant Tags . The internal tags are used for calculations and for constants used by scripts or calculations. Internal Tags have all the alarm and security features of IO Tags. These Internal Tags are available to every other tag, script, display, and client in the system.

Local Screen Tags are temporary internal tags used by scripts and graphic displays. Typically, Local Screen Tags hold intermediate values or enhance display animation. Local Screen Tags disappear when the display they are assigned is closed.

%DAQ System Tags and System Point Tags are used to access system data like Time, date, Alarms, communication status.


4.1.1 IO Tags

An IO Tag describes a single parameter from the field device. A single register in a PLC is the most common use for an analog parameter (e.g. a counter). Often a single-bit is defined as a single point using a digital or discrete parameter (e.g. run/stop status for a limit switch). A single field measurement for an indication-only point is usually a tag (e.g. the flow measurement from an indication-only loop with a tagname FI1001).

A Tag has other features assigned to it by Advantech WebAccess, for example description, alarms, access level, output limits etc. All Advantech WebAccess tags are multi-dimensional, but a tag starts with a single piece of information from the field device.

The software license control file on the SCADA node limits the number of IO tags. Each IO tag counts as one.


4.1.2 Blocks

An IO Block is a group or “block” of parameters from the field device that are associated with a single tagname. The most common usage is with a PID Controller: the Measurement parameter, the Setpoint parameter, the Auto/Manual status, the output, alarms and tuning parameters are all referenced using the same tagname (for example LIC101). The Setpoint, measurement, output, alarms and tuning parameters are referred to as “parameters”. Each parameter can be of a different type: analog, digital or text. To reference the measurement value of a Foxboro 761 controller configured as a Block, the syntax is LIC101:MEAS. Similarly, the Setpoint is LIC101:SP.

Blocks allow a large number of tags to be built by specifying a single name and addressing offset. Blocks also enable the use of the Block Detail Display, which is a template type display: a single display that can be used to view all blocks of the same Block Type.

For example, a large office tower has 200 VAV controllers each with 25 parameters, all identical. A VAV block is configured and used to rapidly implement the communications to these devices. Further, only a single display (a Block Detail Display) is needed to view all 200 VAVs. Further, as new VAV controllers are added, no additional display building is needed.

Many Advantech WebAccess drivers come with pre-built Blocks and Block Detail Displays. Engineers and Technicians can create new Blocks using Advantech WebAccess Configuration and can create new Block Detail Displays using Advantech WebAccess DRAW.

The software license control file limits the number of IO Blocks. Each Parameter counts as a Tag.


4.1.3 Parameters

Parameters are the individual elements of a Block. Like tags, parameters have multiple features associated with them including a real-time value, description alarms, password levels, area, description, and engineering units. Parameters are accessed using the Blockname:Parameter convention.


4.1.4 Parameter Types

Parameter Types are Template Objects in the Advantech WebAccess Database used in both Tags and Blocks. When creating a “Tag” the user selects a parameter type as a starting template for defining the features of that tag. Parameter Types are also grouped together to form a Block

Parameters Types are a generalized template for any value read from a PLC, Controller or other plant floor device. A parameter assigns default values for the engineering units, data type, alarms and other features. Once a tag is created, all the fields associated with the parameter can be edited (except for data type).

Parameter Types are also grouped together to form a Block type. A block Type is a list of all the Parameter types that will be assigned to the block.

A user does not need to define parameter types; each Advantech WebAccess comes with a set of predefined parameter types that should meet most needs. However, parameters can be create users can create and modify parameters.

There can be an unlimited number of Parameter Types.


4.1.5 Block Types

Block Types are the second type of Template in Advantech WebAccess. Block Types are groups of parameters.

The classic example of a Block is the PID block, which is found in device drivers for Allen-Bradley PLCs, Foxboro Controllers, Honeywell controllers, Omron PLCs, and many other devices. The PID of all these devices has a predictable group of parameters. In a PLC, the parameters of the PID have the same offset. Each PID has a unique starting address, but once you know the starting address of the PID, you can determine the address of all the other parameters.

The Block Type is the defining template for a Block. It essentially groups together multiple parameters into a Block.

Most Advantech WebAccess drivers come with a set of pre-defined block types. These block types can be used as is, or modified by the user. The user can also define new block types.

There can be an unlimited number of Parameter Types.


4.1.6 Calculation Tags

A Calculation Tags perform mathematical and logical operations on the values of other tags.

Any tag can be an input to a calculation tag including IO Tags, Block parameters, Constant Tags, Accumulation Tags, and other Calculation Tags.

The calculation function is executed within the software, independent of any control system device. It can be included in trends, displays, alarm summaries and reports.

A calculation Tag is globally accessible but executes locally on the one SCADA node it is configured. It also provides alarming, security, description and other features. A calculation point needs to be configured once on one node and it will be available to all Clients. However, if communication to the SCADA node is lost or the node is taken off line, then the value of the calculation will be lost. All clients, scripts and other tags will see the same value when reading this tag. All other clients, scripts and other tags will see changes to the tag globally.

Calculation Tags have all the alarm and security features of IO Tags.

A calculation tag has a single analog output. It can take up to 20 Inputs that can be Analog or Discrete.

The software license control file limits the number of Internal tags. The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license.

For detail information see 4.6 Calculation Tags.


4.1.7 Accumulation Tags

An Accumulation Tag consists of an Integration function from a single tag, usually an IO Tag. The most common use is to totalize the Flow from a flow device (e.g. calculate volume from flow rate). The value of the input tag is "Accumulated" into a total. The totalization function is executed within the software.

Accumulation Tags have a reset value. When the accumulated total reaches this max value, the running total is reset to zero. Accumulation Tags can write to hard drive in order to resume counting without losing all data after power failure or restart of the computer or software.

It also provides alarming, security, description and other features. It can be included in trends, displays, alarm summaries and reports.

Accumulation Tags are a Global Internal Tags: all clients, scripts and other tags will see the same value when reading this tag. Changes to the tag will be seen globally by all other clients, scripts and other tags.

The software license control file limits the number of Internal tags. The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license.

For detailed information see 4.5 Accumulation Tags.


4.1.8 Constant Tags

Constant points are most commonly used to create a “virtual” point that looks like, and is treated, as if it were a measurement from an instrument or a register in a PLC.

Constant Tags are most frequently used for operator entry of values to calculation tags, scripts and third party software programs. Constant Tags are a holder of the value until another operator or script changes its value. Constant Tags usually have no input source other that changes by Operators and Scripts. However, DDE clients and 3rd Part API programs can change constant points (like any tag).

The Advantech WebAccess database can be configured to hold analog, digital, or text Constant Tags. A constant point is a user-defined value that can be independent of any control system device. Its value can be set to an initial value on start-up and changed during run-time operation. It also provides alarming, security, description and other features. It can be included in trends, displays, alarm summaries and reports.

Constant Tags are a Global Internal Tags: all clients, scripts and other tags will see the same value when reading this tag. Changes to the tag will be seen globally by all other clients, scripts and other tags.

The software license control file limits the number of Internal tags. The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license.

For detailed information see 4.7 Constant Tags.


4.1.9 %DAQ System Tags

4.1.9 %DAQ System Tags and System Point Tags

System Tags provide diagnostics, facilitate display management and provide useful information for scripts. For example, there are system tags for Time, Date, Communication Port Status, Active Alarms, current display name, current alarm, Simulation Mode, License Serial Number, and last tag picked by operator. The can be used to get information about alarms, operator action. System tags can be used in creating active points to build custom graphics, such as custom recipe display, or in scripts to provide event-triggered functions. System tags can also be viewed during run-time VIEW using the Point Browser. These system tags enable engineers and technicians to modify the system displays (for example the Alarm Summary, Overview, Alarm Log, and Trend Displays).

Global Scripts and Calculation Tags can read System Point Tags (but not %DAQ tags). System Point Tags can also generate alarms that appear in the Alarm Summary, logs and reports.

Screen Scripts and Keymacros can read %DAQ System tags. These System Tags all begin with a Percent Sign (%). %A are analog type tags. %D are discrete type tags. %T are Text Type.

For more information on %DAQ tags, see section 4.9 System Tags.

%DAQ tags appear in the Point Info List Dialog Box using the ViewDAQ button.

Figure 4.1.9.1 ViewDAQ button shows %DAQ tags in Point Info


4.1.10 Local Screen Tags

Local Screen Tags exist on the Client. If multiple Clients are viewing the same display, each client will have a different value for that screen tag. These are not "Global" hence the term "Local".

Local Tags are available only within a given graphic display. Once that display is closed or a new display called, the Local Screen Tags are lost and the values within them lost.

Local Screen Tags are built using DRAW. The have no alarming and few of the features of IO Tags.

Local Tags are not limited by tag count. Screen tags are useful in creating animation and calculations for use in graphic displays without using up constant tag, calculation tag or Accumulation Tag.


4.1.11 Analog, Discrete and Text type data

Tags can represent analog, discrete or text type data. Discrete type tags are also called digital tags.

An analog type tag is usually a floating-point number or integer value (i.e. 0 to 100%, 0-4096, -9.99 e10, .00666, 4-20 mA, 0-10 Vdc). A measurement, output, Setpoint, limit, or number in a field device is referred to as “ANALOG TYPE” data in Advantech WebAccess.

A Discrete type tag is an integer that ranges from 0 to 7. A Discrete type tag is also referred to as a digital type tag when it is a binary value (i.e. a single bit, ON/OFF, True/False, Run/stop, Auto/Manual, contact inputs). A single bit (or up to 3 bits) in a register or status word is referred to as “DIGITAL TYPE” or "DISCRETE TYPE" data.

A Text Type tag is an ASCII character string (LIC101, RUNNING, Batch started normally). Any ASCII data is referred to as “TEXT TYPE” data in Advantech WebAccess terminology. Text Type Constant Tags are 70 characters in length maximum.

The Parameters and Tag Fields are also referred to as Analog, Discrete or Text type data. The description and engineering unit tag fields associated with all analog tags are examples of Text Type data. For example, an Analog Type Tag will have Text Type data fields associated with it.


4.1.12 Array Type Tags

Some tags can be Arrays. Array type tags are similar to Blocks in that a single tag represents a group of values. However, the parameters in a Block can be individually named. The elements of an array are referenced by number only. Only a few IO devices support array type tags.

Constant Tags in Advantech WebAccess can be defined as an array, up to 1000 elements in an array. Arrayed Text-type Constant Tags can have up to 1000 elements in the array and 70 characters per element (1000 x 70). Local Screen Tags can also be defined as array type tags. Many %DAQ system tags are array type tags

Round Brackets () are used to specify the index for the array. For example, to read the 5th element of an array tag: arraytagname(4).

The number of Array type IO tags is limited by the software license control file. Each Element in the array counts as one IO Tag.

The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license. Each Element in an array type Constant Tag counts as one Internal Tag.


4.2 Analog Tag Properties

Analog type Tags are floating point numbers and integers used to display information about the process, facility or equipment. Temperature, Pressure, Flow, and Counters are examples of Analog values. 98.6, 14.7, and 100 are analog values.

Analog tags have more properties than Text or Digital tags. Analog Tags Properties become the Tag Fields associated with Analog Tags. For example, Engineering Units becomes the .ENUNIT field for the tag. For example, TIC101.ENUNIT is DEGF.


4.2.1 Parameter

Figure 4-1select Parameter - 1st step to Add Tag

This is the first step in creating an Analog IO Tag. You must select a Parameter that is an Analog type Parameter. The parameter acts as a starting template for defining the features of that tag. The important thing is to get the Data type correct; you cannot change Parameter type or change from Analog to Discrete to Text. All other properties can be changed.

Figure 4-2Parameter pull down menu

Chosen from the pull down list on the Add Tag properties page. Parameters are IO device driver dependant. Different drivers use different parameters. AI usually signifies an Analog-type parameter. DI or CI signifies Discrete-type parameters.

Range: Driver Dependant.
Field Type: Text
Tag field: .PNAME read only


4.2.2 Tag Type

Determined by the parameter used to build tag. Analog, Discrete or Text. Cannot be changed once tag is created.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only


4.2.3 Alarm

Enables alarming for the Tag. Chosen from Pull Down List. Tag Properties Page will change to show Alarm Properties. For more information on Alarm Properties, please see 4.2.31 - ALARM Properties - ANALOG TAGS

Range: Alarm or No Alarm
Field Type: Text
Tag fields: .ALMCK, .ALMED and .ALMST


4.2.4 Tagname

Assigns a unique tag to the single point. This name will identify the tag throughout configuration, DRAW and VIEW during run-time operation. 21 characters in length. See Alias for longer tag names. Can be any alphanumeric. Blank spaces are NOT recommended. Keymacros and scripts will not interpret tags with spaces correctly. Typical tag Name is FIC2492.

Range: 21 alphanumeric characters
Field Type: Text
Tag fields: .NAME

For more information on legal characters and other tag name consideration see 4.11,1 Legal Characters in a Tag Name, 4.11.1.1 Characters not Permitted and 4.11.2 Tag Name Length


4.2.5 Description

The Description appears in Dialog Boxes and Detail Displays as a label or advertisement of what the tag does. Description helps an Operator identify the use or location of the tag. Description does not affect the value of the Tag in any way. You can change the description from VIEW, on-line by changing the .DESCRP tag field. Changes to Tag Fields, from VIEW, are not preserved after a SCADA Node restart. Changes to Description from Configuration are preserved after a SCADA Node restart. A typical description is Boiler #1 Feedwater Flow.

It will also appear in the Alarm Summary and will be read by the Text-to-Speech Alarm Annunciator.

Range: 25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP


4.2.6 Scan Type

Defines the type of scanning performed by the software. Constant Scanning means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, trends, logs, batch, scripts, logic).

Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is for infrequently accessed tags, like tuning parameters and setpoints. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range: Constant Scan, Display Scan
Field Type: Text
Tag fields: .SCANTP read only


4.2.7 Address Template

Some Drivers Supply an Address Template that shows a list of valid address formats for this device. The addressing format varies greatly among automation devices. Picking this field will change the Address property field below. Click cancel to abort inadvertent changes to the address.

Range: driver dependant
Field Type: Text
Tag fields: see address


4.2.8 Address

Assigns the address of data in the field device to be read or written as the value of this tag. Address is initially set when the Parameter was chosen for this Tag. Address is very device dependent. Refer to the device driver manual for more details. Most users edit the field by selecting the part(s) of the address with the mouse and typing the specific address. The pull down menu (accessed on Address Template field above) lists address formats supported by the driver.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS


4.2.9 Conversion Code

Defines how to interpret the raw value from the device. It is device dependent. Refer to the specific device driver manual for more details. Use the pull down list, to see the valid conversion codes for this device. Typical conversion codes include:

· Unsigned Integer

· Signed Integer

· Double Precision Integer

· IEEE Floating Point.

The conversion code varies with the device driver.


4.2.10 Start Bit

Specifies the bit in the address word where data starts.


4.2.11 Length

Indicates the length of data. For example, 4, 8 or 16 bits for an analog tag.


4.2.12 Signal Reverse

Reverses an analog signal to indicate its complement with respect to the full-scale range (e.g. reverses a percent open valve position to percent closed).

SPANHI and SPANLO are switched in conversion and scaling to engineering units. SPANHI is applied to 0 value from field device. SPAN LO is applied to maximum value from field device.
Range: Yes or No
Field Type: Discrete
Tag fields: SIGREV


4.2.13 Scaling Type

Scaling type specifies how to convert data read from the field device to a number meaningful to users and operators. Specifies how to re-scale input from device into actual Engineering Units.

Scaling works with SPAN LOW and SPAN HIGH. Many automation devices supply data a raw form. For example, many 12-bit IO devices supply all values as an integer between 0 and 4096. For example, the appropriate scaling type, SPAN HI and SPAN LO could be used to rescale t0 -4096 to 0 to 14.7 psig.

Valid Scaling Types are driver dependant. A pull down list shows valid scaling types for this device. Typical scaling types include:

No Scale

For a value not requiring scaling or one that will be scaled prior to reaching the computer. Will display raw value read from device and ignore the Span High and Low.

Scale 0-100 Input to Span

This will convert values between 0 and 100 to specified Low and High Span (SPAN LOW and SPAN HIGH). Fits input of 0 - 100 into SPANLO - SPANHI. This assumes the input is a value between 0 and 100.

If input exceeds 100, then the value of the tag will exceed SPAN HIGH. Selecting this conversion, and specifying SPANLO = 0 and SPANHI = 1000 will effectively multiply the input by 10. The conversion algorithm is approximately:

OUTPUT = (SPANHI - SPANLO) / 100 * INPUT + SPANLO

Linear scale MX+B

This will convert input using the classic equation for a line (i.e. linear input) where:

OUTPUT = M * INPUT + B

SCALING FACTOR 1 = M, the slope of the line.

SCALING FACTOR 2 = B, the intercept of the line with the x -axis.

Scale Defined Input H/L to Span

This will convert values between INPUT LOW and INPUT HIGH to specified Low and High Span (SPAN LOW and SPAN HIGH). This assumes the input is a value between INPUT LOW and INPUT HIGH.

If input exceeds INPUT HIGH, then the value of the tag will exceed SPAN HIGH. Selecting this conversion, and specifying SPANLO = 0 and SPANHI = 1000, INPUT LOW = 0 and INPUT HIGH = 100 will effectively multiply the input by 10. The conversion algorithm is approximately:

OUTPUT = (SPANHI - SPANLO) / (INHI - INLO) * (INPUT - INLO) + SPANLO

SCALING FACTOR 1 = INPUT HIGH.

SCALING FACTOR 2 = INPUT LOW.

Scale 12-Bit Input to span

Commonly used to read IO Multiplexers or IO cards that use the industry standard of 12 bit accuracy. This conversion reads only the first 12 bits of the word then re-ranges the value to fit the Low and high span (SPAN LOW and SPAN HIGH). It converts an input that ranges between 0 and 4096 to the specified SPAN LOW and SPAN HIGH for the bock.

Scale 0-100 Square Root Input

Commonly used to convert Flow from differential Flow meters (i.e. convert 0 -100 inches H20 to GPM). This will convert the square root of values between 0 and 100 to specified Low and High Span (SPAN LOW and SPAN HIGH). Fits square root of input of 0 - 100 into SPANLO - SPANHI. This assumes the input is a value between 0 and 100 (hence 0 -100 %).

The conversion algorithm is approximately:

OUTPUT = (SPANHI - SPANLO) / 100 * SQUARE ROOT(INPUT) + SPANLO


4.2.14 SCALING FACTOR 1 and 2

Used with some SCALING TYPES. Driver dependent. Two most common are:

Linear scale MX+B

This will convert input using the classic equation for a line (i.e. linear input) where: OUTPUT = M * INPUT + B

SCALING FACTOR 1 = M, the slope of the line.

SCALING FACTOR 2 = B, the intercept of the line with the x -axis.

Scale Defined Input H/L to Span

This will convert values between INPUT LOW and INPUT HIGH to specified Low and High Span (SPAN LOW and SPAN HIGH). This assumes the input is a value between INPUT LOW and INPUT HIGH.

OUTPUT = (SPANHI - SPANLO) / (INHI - INLO) * (INPUT - INLO) + SPANLO

SCALING FACTOR 1 = INPUT HIGH.

SCALING FACTOR 2 = INPUT LOW.


4.2.15 Log Data

Specifies with tag should be data logged for Historical Trending. A file will be created on the SCADA node hard drive to record data for this tag. Fastest record rate is once/second. A Data Log Deadband is applied before writing to file. If the change in the Tag's value from last record exceeds deadband, then a new record is written (record-by-exception).

Data can be viewed in a Data Log Trend Group Display, up to 12 tags per Data Log Trend Group Display. A file is created for each tag allowing tags to be added or removed from Data Log Trends without loosing historical data.

It is highly recommended to use a Data Log deadband to reduce Disk Access. This will reduce the size of the Data Log Trend files and time used to write to the Hard Drive. The Hard Drive is usually the bottle neck in Data Logging. An IDE Hard Drive at 7200 rpm can handle about 800 Tags per second of Data Logging. Using Disable Data Log Seconds recording can also greatly reduce Disk Space and system throughput if one-second data is not needed.

Log Data Maintenance should also be used to delete and, optionally Archive, Data Log Trend files. A large number of files in the Data Log Folder will reduce Disk Access time and slow you system greatly. You should also Defragment your hard drive frequently (once per day is the Microsoft recommendation) if you are data logging

See also:

4.2.16 Data Log DB

3.2.23 Data Log Folder

3.2.23.1 Disable Data Log Seconds recording

3.2.22 Data Log to ODBC

4.2.29 Log to ODBC Frequency

6.2.3 Add Data Log Trend Group


4.2.16 Data Log DB

Deadband used with Data Logging to the SCADA Node Hard Drive. These appear in the Data Log Trend displays. A Data Log Deadband is applied before writing to file (for one-second data. If the change in the Tag's value from last record exceeds this deadband, then a new record is written (record-by-exception).

It is highly recommended to use a Data Log deadband to reduce Disk Access. This will reduce the size of the Data Log Trend files and time used to write to the Hard Drive. The Hard Drive is usually the bottle neck in Data Logging. An IDE Hard Drive at 7200 rpm can handle about 800 Tags per second of Data Logging.

Log Data must be YES for logging to occur. This deadband applies to one-second data. Minute, Hourly and Daily records are not affected by this deadband.

DATA LOG Deadband is in percent of SPAN (% of SPANHI - SPANLO).

See also:
4.2.15 Log Data

3.2.23 Data Log Folder

3.2.23.1 Disable Data Log Seconds recording

3.2.22 Data Log to ODBC

4.2.29 Log to ODBC Frequency

6.2.3 Add Data Log Trend Group


4.2.17 Write Change Log

4.2.17 Write Action Log

Specifies if Changes to the Tag made by Users and Operators in the run-time VIEW should be recorded to the Action Log. This is most commonly used for Setpoint, Output, and Auto/Manual status of important controllers where a written record is required.

The default Action Log contains the last 10,000 changes made to every tag in the system for which logging is enabled. The same Action Log shows operator Logins and Logouts. The last 5000 changes are written to file on the Hard drive in a FIFO method (first in first out). Optionally the Action Log can be recorded to Printer or Database.


4.2.18 Read Only

Specifies that the Tag's output value is read only. If READ ONLY is selected, users and operators cannot change the value of the Tag in run-time VIEW. Only the field device can update the value of the tag. Alarm Limits and other tag fields are changeable. Typically used with measurements and Input type tags.

If you want to allow some users to change the value of the tag, but not all users, consider assigning a security Area or Level to the tag.


4.2.19 Keep Previous Value

Keep Previous Value applies to Communications Failure and modifies how communications errors are displayed. Keep Previous holds the last value if Communications to the PLC or Device Fails. If Keep Previous Value = Yes, and there has been at least one successful read, the SCADA node will Display the last value read from the PLC or Field Device. Otherwise, if Keep Previous Value = NO, an asterisk (*) is displayed as the value of the Tag when communications to the field device fails.

If "KEEP PREVIOUS VALUE" is YES, then the last good value appears as the value of the tag indicating during a communications failure.

If "KEEP PREVIOUS VALUE" is NO, then an Asterisk (*) appears as the value of the tag indicating BAD DATA.

The QCODE is displayed next to the Tags value in the Point Info Dialog Box if there is a communications failure and KEEP PREVIOUS VALUE = NO. AN asterisk *[8000] is typical for a loss of communications error.

If there is a communications error on start-up, and KEEP PREVIOUS VALUE is YES, this Initial Value will remain until communications is restored or an operator changes the value.


4.2.20 Initial Value

Initial Value is the value the Tag will be set to before any communications takes place when the SCADA Node starts. This is the value the Tag will initialize to when the SCADA node is restarted. The first read of data from the automation device will update this value.

If the Tag is a Constant Point, when the SCADA Node starts, the constant Point will be set to Initial Value. Initial Value must be set in Configuration. There is no way to change Initial Value from VIEW, as a standard feature.

If the Tag is an IO Tag, AND Keep Previous Value = Yes, AND communications="Failed" then when the SCADA Node starts, the IO Tag will be set to Initial Value and will hold that Value.

If the Tag is an IO Tag, AND Keep Previous Value = Yes AND communications="OK" then when the SCADA Node starts, the IO Tag will be set to Initial Value very briefly (until the first SCAN), and then the IO Tag will display the value in the PLC register (or field device).

If there is a communications error on start-up, and KEEP PREVIOUS VALUE is YES, this Initial Value will remain until communications is restored or an operator changes the value.


4.2.21 Security Area

This limits the ability to change the value of this tag, to those users having access to this Area. A user must be assigned both Area and Level privileges to change the Tag.

Advantech WebAccess uses the concept of Area of Responsibility. A user may have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this tag but paper machine operators can only view it.

Areas are numbered 0 to 31. A value of 0 means the tag belongs to Area 0.

A Tag can belong to only one Area.

A user can be assigned to multiple areas with a different security level in each. For more information, see the section on Users, Passwords & Security .

Range: 0 to 31
Field Type: analog
Tag field: .SECA


4.2.22 Security Level

Specifies the password protection level required to change the tag's value in run-time VIEW. The Security Level limits ability to change the value of this tag, to those users assigned to the same Area and having Security Level equal to or greater than the level specified for the tag. A user must be assigned both Area and Level privileges to change the Tag.

For example, a Security Level of 5 and Security Area of 2 will require a user have a security level greater than or equal to 5, in Area 2 in order to change the value of the Tag.

All Tag Fields require a Level of 127 to change, regardless of the Level Assigned to the Tag.

Advantech WebAccess uses the concept of Area of Responsibility that allow a User to have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this point but paper machine operators can only view it.

A user can be assigned to multiple areas with a different security level in each. For more information, see the section on Users, Passwords & Security .

Range: 0 to 127
Field Type: analog
Tag field: .SECL


4.2.23 Span Hi

This value appears on displays, trend and dialog boxes describing the intended maximum value of the tag. For some Scaling Types, this is a hard limit. For No Scale and other scaling types, it is an indication only that may be ignored

Span Hi is used by some Scaling Types to "re-scale" the value read from the PLC. For some Scale Types, Span Hi is the maximum value of the Tag. For other Scale Types, SpanHi is for display use only. For example, if No Scale is selected, the Span appears on Trends and Displays, but is informational only. The actual value can exceed Span Hi if no scale is used. (See Scaling Type for more details).

Span Hi is used by Trends, Overviews, and user built animation to determine the Maximum Value of the Tag. For example, if a tank is filled by a Tag, the Hi Span is used to determine the tag' value for a Full Tank.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPANHI


4.2.24 Span Lo

This value appears on displays, trend and dialog boxes describing the intended maximum value of the tag. For some Scaling Types, this is a hard limit. For No Scale and other scaling types, it is an indication only that may be ignored

Span Lo is used by some Scaling Types to "re-scale" the value read from the PLC. For some Scale Types, Span Lo is the minimum value of the Tag. For other, Scale Types, Span Lo is for Display Use only. For example, if No Scale is selected, the Span Lo appears on Trends and Displays, but is informational only. The actual value can exceed Span Lo if no scale is used. (See Scaling Type for more details).

Span Lo is used by Trends, Overviews, and user built animation to determine the Minimum Value of the Tag. For example, if a tank is filled by a Tag, the Span Lo is used to determine the tag' value for an empty Tank.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPANLO


4.2.25 Output High Limit

Limits changes to the value of the tag. This is the maximum value that users and operators can assign to the tag. An example is limiting Setpoint changes to less than the full input scale. Common uses include Setpoint Limits and Output Limits for controls.

The Output Limits affect data entered through Advantech WebAccess in the run-time VIEW including displays, dialog boxes, keymacros, data transfer function, recipes and scripts.

If the tag is an IO Tag (for example a register in a PLC or controller) a ladder program, other third party software can change the tag in the field device directly.

Range: SPANLO to SPANHI
Field Type: analog
Tag field: .OUTPHI


4.2.26 Output Low Limit

Limits changes to the value of the tag. This is the minimum value that users and operators can assign to the tag. An example is limiting Setpoint changes to values greater than Span LO. Common uses include Setpoint Limits and Output Limits for controls.

The Output Limits affect data entered through Advantech WebAccess in the run-time VIEW including displays, dialog boxes, keymacros, data transfer function, recipes and scripts.

If the tag is an IO Tag (for example a register in a PLC or controller) a ladder program, other third party software can change the tag in the field device directly.

Range: SPANLO to SPANHI
Field Type: analog
Tag field: .OUTPLO


4.2.27 Engineering Units

Engineers and operators use Engineering units to better understand the number displayed by the tag. For example, volume in a tank can be measured in DegF, DegC, Gallons, Liters, Feet, Inches, Meters or Percent Full. Engineering Units is a text that will be displayed on all displays that reference the ENUNIT field of the tag. Engineering Units are limited to 11 characters.

Range: any text string, up to 12 characters
Field Type: Text
Tag field: .ENUNIT


4.2.28 Display Digits (Integer and Decimal)

Defines the display format for the value of the tag.

Display Digits (Integer) defines the whole number integer part of the tag's value and defines the number of digits displayed before the decimal point. For example, a value of 4 will show values from 0 to 9999

Display Digits (Decimal) defines the decimal fractional part of the number and the number of digits displayed after the decimal point. For example, a value of 4 will show values from .0001 to .9999

The maximum display field size is 15 digits calculated as the sum of Display Integer + Display Decimal

Range: 1 to 15
Field Type: analog
Tag field: .DSPFMT


4.2.29 Log to ODBC Frequency

Specifies in minutes how often Data is logged to the central Analog Tag Log on the Project Node. 0 means no logging to Project Node.

Data Log to ODBC must be enabled for the SCADA node.

Log to ODBC is independent of Data Log Trending (Log Data). This allows you to have frequent Data Log Trends on SCADA Node and the option of not collecting Data Log Trends to reduce the disk usage on the SCADA Node.

Scheduled Reports get data from the ODBC Analog Tag Log. A Tag must have a non-zero Log to ODBC Frequency if its data is to appear in a Scheduled Report. The tag name will not appear in the Tag List when configuring Scheduled Reports if the frequency is zero. It is up to the engineer to ensure the frequency is compatible with the Scheduled Report Interval. Faster than is necessary will slow down the call up time for Scheduled Reports (e.g. 1 minute intervals when only hourly data is required in the report). A Frequency greater than the interval of the Report will result in missing data (e.g. Log to ODBC is 1 hour but Report has 30 minute interval).

Range: 0 to 60 (1 minute increments)
Field Type: analog
Tag field:


4.2.30 Array Size

Most devices and communications protocols do not support arrays. Used in IO Tags if IO device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Range: 1 to 99
Field Type: analog
Tag field: .SIZE

Try using a Block if you need an array-like feature for IO tags read from your device.

Constant Tags and Local Screen Tags can be defined as arrays, where one tag can specify an array of values, each element accessed using tag(number). An array is commonly used by programmers in looping programs or indexed calls. Constant Tag arrays allow users to reference a global tag using the array convention tagname(index) in scripts or programs.

For example, if arraytag is an array type analog constant point of array size 20 (i.e. 20 elements) the following script will set all the values to 0.

for {set  x  0} {$x<20} {incr x} {

SETVAL "arraytag($x) = 0"

            }


4.2.31 ALARM Properties - ANALOG TAGS

Alarm Properties provide Alarm Notification of upset conditions. Most Alarm Properties can be viewed in run time VIEW as Tag Fields: (tagname.field). Most Alarm Properties can be modified in Run time VIEW with an administrator password (Level 127). This allows alarm limits to be modified in Runtime.

Figure 4-3 Alarming Enabled with Pull down menu

Alarm Properties appear when alarming is enabled (Figure 4-3 shown above) at the top of the Analog Tag Properties Page . The actual Alarm Properties are at the bottom of the page (Figure 4.2.31 shown below).

Figure 4.2.31 - Alarm Properties - Analog Tag


4.2.31.1 Log Only

Specifies that Alarms be written to the Alarm Log only. No notification of alarms is made on displays, alarm summary, email, or pager for this tag. This can be specified individually for each alarm type, for analog tags.

If Alarm Log to ODBC is specified for the SCADA Node and Log Data for this tag, Alarm will be written to the central Analog Tag Log on the Project Node.

See Also: 3.2.19.2 Minimal Alarm Log Priority

Range: Yes, No
Field Type: Discrete
Tag fields:


4.2.31.2 Send Email

Specifies if this tag will generate an Email when it alarms. An Alarm Email Server must be configured for the SCADA node. Alarms must be enabled. Email To for the SCADA Node or Email To for this tag must also be configured.

Range:Yes, No
Field Type: Discrete
Tag fields:


4.2.31.3 Play Voice

Specifies if this tag will generate a Text-to-Speech message on the SCADA Node and Clients when it alarms. An Alarm Voice must be configured for the SCADA node. Alarms must be enabled. A sound card and speakers must be installed on the SCADA node and the Client. The Text-to-Speech software must be installed manually from CD-ROM on the Client (i.e. it is not part of the Client Plug-in). This Voice plays on the SCADA node and a Client connected to this SCADA node. See section 7.15 Text to Speech Alarm Annunciation for more information.

The top line (in Pink) will enable Text-to-Speech Alarm Annunciation for all enabled Alarms.

Alternatively, Text-to-Speech Alarm Annunciation can be enabled for individual Alarm types (e.g. High-High, High, Low, Low-Low, High-Deviation, Low-Deviation and Rate Of Change).

Range:Yes, No
Field Type: Discrete
Tag fields:


4.2.31.3.1 Media File

Specifies if this tag will play a Media File ( .wav, .mid, .mp3, etc.) as a message on the SCADA Node and Clients when the Tag alarms.

A pre-recorded message is required using .wav, .mid, .mp3, or other media format. You can record the message yourself or copy them from the Internet. A sound card and speaker is required on the SCADA node and Clients. Software to play the media file is also required on the SCADA Node and Clients (e.g. windows media, real player, etc.).

The media files should be copied to drive:\webaccess\node\config\project_node on the Project Node. They will be downloaded to the SCADA nodes and from SCADA nodes to Clients by Advantech WebAccess network service.

You can specify a separate Media file for each alarm.

The Media File is played only once when the Alarm occurs. It does not repeat if the Alarm remains unacknowledged.

Hint - Use a Global Script to play a Wave or MIDI or other MCI file to repeat Alarm Annunciation if Alarms remain Unacknowledged. See 12.10.20 Play a Wave File if UNACK Alarm (Global Script).

Alarms must be enabled for the Tag. A Media File must be specified for the Analog Tag Alarm Properties.

The top line (in Pink) will enable playing a Media File for all enabled Alarm Types for this tag (e.g. High-High, High, Low, Low-Low, High-Deviation, Low-Deviation and Rate Of Change).

Alternatively, Media File Alarm Annunciation can be enabled for individual Alarm types (e.g. High-High, High, Low, Low-Low, High-Deviation, Low-Deviation and Rate Of Change).

See section 7.16 Play Media File (wav, mid, mp3) for Alarm Annunciation for more information.

Range: Name of a media file with extension ( filename.wav, filename1.mid, filename2.mp3, etc.)

Field Type: text

Tag fields:


4.2.31.4 Associate Tag

The Associate Tag suppresses the alarms for this tag when the Associate Tag is in alarm. The Associate Tag is usually the “more important” alarm. The Associate Tag is used to suppress nuisance alarms and help operators identify the cause of upset conditions.

Usually, both tags have Alarming enabled. If user configures the ‘alarm associate tag’ with both tags having alarms enabled, then if the ‘Associate Tag is in Alarm’ then alarms for this tag are suppressed.

However, the Alarm Associate Tag does not require alarming for the alarm suppression tag. If the does not have alarming enabled, then when the ‘Associate Tag has a value > 0.5 or < -0.5, it will disable the this tag's alarms.

The Associate Tag must not have “Log Only” checked for Alarms; if the Associate Tag is “Log Only” for alarms, it will not suppress alarms for this tag. Both the Unacknowledged and Acknowledged Alarm state of the Associate Tag will suppress alarming of this tag. If the Associate Tag Alarm “clears” before it is Acknowledged, it will continue to suppress alarms in the Unacknowledged state.

Range: tagname
Field Type: Text
Tag field:


4.2.31.5 Hi Hi Priority

High High Alarm Priority is the relative importance of the High-High alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change ABOVE the Hi-Hi Alarm Limit to be considered in the alarm state. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Field Type: Analog
Tag field: .APRHH

See Hi Hi Alarm Limit


4.2.31.6 HH Alarm Limit

High-High Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change ABOVE the Hi-Hi Alarm Limit to be considered in the alarm state. The Speed Limit on the Highway is an example of a High-High Alarm. The High-High alarm is in engineering units of the tag (not percent). This is similar to the High Alarm. The High-High Alarm Limit must be greater than the High Alarm and Low Alarm Limits. Like any tag field, the Limit can be changed by users with 127 security level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO & ALMHI)
Units: same as Tag
Field Type: Analog
Tag fields: .ALMHH

See also, HI Alarm Limit


4.2.31.7 Hi Priority

High Alarm Priority is the relative importance of the High alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change ABOVE the Hi-Hi Alarm Limit to be considered in the alarm state. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Tag fields: .APRHI

See also, HI Alarm Limit


4.2.31.8 HI Alarm Limit

High Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change ABOVE the Hi Alarm Limit to be considered in the alarm state. The Speed Limit on the Highway is an example of a High Alarm. The High alarm is in engineering units of the tag (not percent). This is similar to the High-High Alarm. The High Alarm Limit must be greater than the Low Alarm. The Limit can be changed by users with 127security level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO)
Units: same as Tag
Field Type: Analog
Tag fields: .ALMHI

See also, HH Alarm Limit


4.2.31.9 HL DB

High Low Alarm Deadband. Applies to High-High, High, Low and Low-Low Alarms. A deadband is used to minimize nuisance alarms or repeating alarms caused by an oscillation near the Alarm Limit. The deadband comes into effect only after the alarm limit is violated. The deadband specifies the change in the tag's value required to be considered a return to normal or not in alarm. The deadband can be in either engineering units (absolute value) or percentage of span.

Range: -99,999,999,999 to 99,999,999,999
Units: % or Absolute Value - depends on HL DB Percentage setting
Field Type: Analog
Tag fields: .ALMDBP - in percent of span
.ALMDBV - in absolute value


4.2.31.10 HL DB Percentage

High Low Alarm Deadband Percentage. (1) Specifies that the HL DB be in percent of SPAN. Otherwise (0), the deadband is in absolute value (engineering units). Applies to High-High, High, Low and Low-Low Alarms.

Range: 0 or 1
Field Type: Digital
Tag fields: none - both versions are displayed in tag fields as

.ALMDBP - in percent of span
.ALMDBV - in absolute value


4.2.31.11 Lo Lo Priority

Low Low Alarm Priority is the relative importance of the alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Tag fields: .APRLL

See also, LL Alarm Limit


4.2.31.12 LL Alarm Limit

Low-Low Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change BELOW the Low-Low Alarm Limit to be considered in the alarm state. The Low-Low alarm is in engineering units of the tag (not percent). This is similar to the Low Alarm. The Low-Low Alarm Limit must be less than the High Alarm and Low Alarm Limits. The Limit can be changed by users with 127security level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO & ALMHI)
Units: same as Tag
Field Type: Analog
Tag fields: .ALMLL

See also, LO Alarm Limit


4.2.31.13 Lo Priority

Low Alarm Priority is the relative importance of the alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Tag fields: .APRLO

See also, LO Alarm Limit


4.2.31.14 LO Alarm Limit

Low Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change BELOW the Low Alarm Limit to be considered in the alarm state. The Low alarm is in engineering units of the tag (not percent). This is similar to the Low-Low Alarm. The Low Alarm Limit must be less than the High Alarm. The Limit can be changed by users with 127security level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO & ALMHI)
Units: same as Tag
Field Type: Analog
Tag fields: .ALMLO

See also, LL Alarm Limit


4.2.31.15 ROC Priority

Rate of Change Alarm Priority. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms.

Range: 0 to 99
Units:
Field Type: Analog
Tag fields: .APRROC


4.2.31.16 Rate of Change - ROC

Rate of Change Alarming is the amount a tag must change between scans that is considered too large. The ROC alarm is in Percent of SPAN. Value applies to both increase and decrease in tag's value (i.e. is symmetrical). The actual rate is a function of this vale and the Scan Rate of the device. If the device scans Once per Second, then rate is change per second. If device scans at 100 milliseconds, then Rate of Change = 10 is also once per second. Rate of Change alarming is the idea that a measurement is changing too fast. For example, flow in a pipe causing cavitations.

Range: 0 to 100
Units: percent of span
Field Type: Analog
Tag fields: .ALMROC


4.2.31.17 Dev. Tag Name

Deviation Alarm Reference Tag Name is the tag used as a comparison to this tag. Deviation Alarming generates an alarm on the difference in value between two tags (expr [ tag1 - tag2]). The most common use is deviation between Setpoint and Measurement in a PID controller. If this field is blank, no deviation alarm will occur.

Range: tagname or BLOCK:PARAMETERname
Units:
Field Type: Text
Tag fields: .ADVTAG


4.2.31.18 Dev Hi Priority

Deviation Alarm High Priority is the relative importance of the alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. Deviation Alarms can be asymmetrical. High Deviation is the positive difference between the tag and the reference tag. This is the idea of the tag increasing above its setpoint. See Dev. Tag Name

Range: 0 to 99
Units:
Field Type: Analog
Tag fields: .APRHDV


4.2.31.19 Dev Hi Limit

Deviation Alarm High Limit is the positive difference between the tag and the reference tag. This is the idea of the tag increasing above its setpoint. Deviation Alarms can be asymmetrical. See Dev. Tag Name

Range: -99,999,999,999 to 99,999,999,999
Units: Absolute Value
Field Type: Analog
Tag fields: .ADVHI


4.2.31.20 Dev Lo Priority

Deviation Alarm Low Priority is the relative importance of the alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. Deviation Alarms can be asymmetrical. Low Deviation is the negative difference between the tag and the reference tag. This is the idea of the tag decreasing below its setpoint. See Dev. Tag Name

Range: 0 to 99
Units:
Field Type: Analog
Tag fields: .APRLDV


4.2.31.21 Dev Lo Limit

Deviation Alarm Low Limit is the negative difference between the tag and the reference tag. This is the idea of the tag decreasing below its setpoint. Deviation Alarms can be asymmetrical. See Dev. Tag Name

Range: -99,999,999,999 to 99,999,999,999
Units: Absolute Value
Field Type: Analog
Tag fields: .ADVLO


4.2.31.22 Dev Percentage

Deviation Alarm Deadband Percentage specifies that the Deviation High Alarm and Deviation Low Alarm have a Deadband (Dev DB) in (1) percent of SPAN or the alternative is (0) in absolute value. See Dev. Tag Name

Range: 0 or 1
Field Type: Digital
Tag fields: none - both versions are displayed in tag fields as

.ADVDBP - in percent of span
.ADVDBV - in absolute value


4.2.31.23 Dev DB

Deviation Alarms Deadband. A deadband is used to minimize nuisance alarms or repeating alarms caused by an oscillation near the Alarm Limit. The deadband comes into effect only after the alarm limit is violated. Once in alarm, the deadband specifies the change in the tag's value required to be considered normal or not in alarm. The deadband can be in either engineering units (absolute value) or percentage of span as determined by Dev. Percentage. This value applies to both High and Low Deviation Alarm Limits (Dev Lo Limit and Dev Hi Limit)

Range: -99,999,999,999 to 99,999,999,999
Units: % or Absolute Value - depends on DEV Percentage setting
Field Type: Analog
Tag fields: .ADVDBP - in percent of span
.ADVDBV - in absolute value


4.2.31.24 Alarm Graph

Alarm Graphic Display. Specifies the Graphic Display that will be called up using the GOTO ALARM GRAPH keymacro, the Alarm Graph button on the Alarm Summary Display. Typically used to allow an operator to jump from the Alarm Summary display to a graphic relevant to the alarm. The Alarm Graphic can be any user built graphic display. Enter the name of the graphic WITHOUT .bgr file extension.

The tag must be in the Alarm State for the GOTO ALARM GRAPH function to work. (Graph is an abbreviation for Graphic Display).


4.2.31.25 Email To

Specifies the "Recipient" field for use with Email notification of Alarms. Specifies the header file "TO" for this tag. Note that an "Email To" can also be defined globally for all tags. The Email To from the SCADA Node and the Tag's Email To (this field) are merged.

If a Text Tag is used with the @ symbol (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
@texttag1

The field size is limited to 64 characters.


4.2.31.26 Email CC

Specifies the "Recipient" field for use with Email notification of Alarms. Specifies the header file "CC" with Email Notification of alarms from this tag. Note that an "Email To" can also be defined globally for all tags. The Email To from the SCADA Node and the Tag's Email To (this field) are merged.

If a Text Tag is used with the @ (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
@texttag1

The field size is limited to 64 characters.


4.2.31.27 Alarm Delay Time

Alarm Delay Time in milliseconds. Specifies the time in Milliseconds for a tag to be beyond an alarm limit, before an alarm state is generated. The idea is to prevent noise or an alarm bouncing near an alarm limit. The SCADA node waits this period of time before sending alarm messages, if during this waiting period, the tag returns to a non-alarm value, then no alarm message is generated.

Optionally,for Discrete Tags Only, an Alarm to Normal Delay Time can be specified (format is alarm delay time xxxx;yyyy. xxxx is alarm delay time, yyyy is to normal delay time). It is 0 by default. It specifies the time in Milliseconds for a tag to be in a Normal Condition after an Alarm Condition, before an alarm state is self-acknowledged without operator intervention. This occurs only if Ack Alarm by Return to Normal is enabled in SCADA Node properties.


4.2.32 Analog Change Log

Enables Data logging whenever the tag changes and the change exceeds the Analog Change Log Dead Band. The data is logged to the central Analog Change Log on the Project Node. No means no logging to Project Node.

Data Log to ODBC must be enabled for the SCADA node.

Log to Analog Change Log is independent of Data Log Trending (Log Data) and the Action Log.

Range: Yes or No
Field Type: Discrete
Tag field:


4.2.33 Analog Change Log Dead Band

Enables Data logging whenever the tag changes and the change exceeds the Analog Change Log Dead Band. The data is logged to the central Analog Change Log on the Project Node.

Analog Change Log, in Tag Properties, must be set to Yes. No means no logging to Project Node.

Data Log to ODBC must be enabled for the SCADA node.

Log to Analog Change Log is independent of Data Log Trending (Log Data) and the Action Log.

Range: Real Number
Field Type: Analog
Tag field:


4.2.99 Analog Tag Example

4.2.32 Analog Tag Example

This example of an Analog Input Tag read from a Modbus PLC. The Tag name is ZT-184. Significant features are that it has alarming enabled, including deviation alarming when the temperature deviates form setpoint (SP-184), plus High-High, High, Low and Low-Low temperature alarms. It sis read only because it is an Input from the field. It has Keep Previous Value in the event of communication failure; the operator can see the last good value.

Tag Type | Point (analog)
Tag Name | ZT-184
Description | Zone Temp Rm 184
Scan Type | Constant Scan
Address | 40184
Conversion Code | Unsigned Integer
Start Bit | 0
Length | 16
Signal Reverse | Yes
Scaling Type | No Scale
Scaling Factor 1 | 0
Scaling Factor 2 | 0
Log Data | Yes
Data Log DB | 1
Write Change Log | Yes
Read Only | Yes
Keep Previous Value | Yes
Value | 0
Security Area | 0
Security Level | 0
Span High | 130
Span Low | 0
Output High Limit | 130
Output Low Limit | 0
Engineering Unit | DegF
Display Digits (Integer) | 3
Display Digits (Fraction) | 1
Array Size | 0
Alarm Data |
HH Priority | 3
HH Alarm Limit | 85
High Priority | 2
High Alarm Limit | 78
Low Priority | 2
Low Alarm | 50
LL Priority | 3
LL Alarm | 45
HL Db | 2
HL Db Percentage | No
Roc Priority | 0
Rate Of Change | 0
Dev. Tag Name | SP-184
Dev. Hi Priority | 1
Dev. Hi Limit | 3
Dev. Lo Priority | 1
Dev. Lo Limit | 3
Dev. Percentage | No
Dev. DB | 1.5
Alarm Graph | BLDG7 .bgr


4.3 Discrete Tag Properties

A Discrete Tag reads or writes an integer value from a PLC or field device that ranges from 0 to 7. A Discrete type tag is also referred to as a Digital Tag. A single bit (or up to 3 bits) in a register or status word is read or written. Optionally, the tags value can be displayed as a text descriptor, for example ON, OFF, True, False, Run, Stop, Auto, Manual, HOLD, etc.

If three bits are read or written, up to 8 state descriptors are used to display the 'State" of the tag's value. If a single bit is read or written form the device, then only two state descriptors are used.

The value of the Tag read by calculation tags, accumulation tags, scripts, keymacros and user programs is always the integer representation (0 to 7). The tag descriptor fields can be read scripts and user programs (DESCR0 to DESCR7).

Discrete Type tags have fewer properties than Analog tags. Discrete Tag Properties become the Tag Fields associated with Discrete Tags. For example, State 0 Descriptor becomes the .DESCR0 field for the tag. For example, LS101.DESCR0 is OFF.


4.3.1 Parameter

This is the first step in creating a Discrete IO Tag. You must select a Parameter that is a discrete type Parameter. The parameter acts as a starting template for defining the features of that tag. The important thing is to get the Data type correct, you can not change from Analog to Discrete to Text. All other properties can be changed.

Chosen from the Pull Down List on the Add Tag properties page. Parameters are IO device driver dependant. Different drivers use different parameters. AI usually signifies an analog-type parameter. DI or CI usually signifies discrete parameters.

Range: Driver Dependant.
Field Type: Text
Tag field: .PNAME read only


4.3.2 Tag Type

Determined by Parameter used to build tag. Analog, Discrete or Text. Cannot be changed once tag is created.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only


4.3.3 Alarm

Enables alarming for the Tag. Chosen from a Pull Down List. Tag Properties Page will change to show Alarm Properties. For more information on Alarm Properties, please see ALARM Properties - Discrete Tags

Range: Alarm or No Alarm
Field Type: Text
Tag fields: .ALMCK, .ALMED and .ALMST


4.3.4 Tagname

Assigns a unique tag to the single point. This name will identify the tag throughout configuration, DRAW and VIEW during run-time operation. 21 characters in length. See Alias for longer tag names. Can be any alphanumeric. Blank spaces are NOT recommended. Keymacros and scripts will not interpret tags with spaces correctly. Typical tag Name is FIC2492.

Range: 21 alphanumeric characters
Field Type: Text
Tag fields: .NAME

For more information on legal characters and other tag name consideration see 4.11,1 Legal Characters in a Tag Name, 4.11.1.1 Characters not Permitted and 4.11.2 Tag Name Length


4.3.5 Description

The Description appears in Dialog Boxes and Detail Displays as a label or advertisement of what the tag does. Description helps an Operator identify the use or location of the tag. Description does not affect the value of the Tag in any way. You can change the description from VIEW, on-line by changing the .DESCRP tag field. Changes to Tag Fields, from VIEW, are not preserved after a SCADA Node restart. Changes to Description from Configuration are preserved after a SCADA Node restart. A typical description is Boiler Feed Pump #1 Status.

See also the "State Descriptors" STATE 0 thru STATE 7. The STATE Descriptors describe the ON/OFF, Run Start values for the various discrete states of the Tag. The DESCRIPTION does not affect the State Descriptors.

It will also appear in the Alarm Summary and will be read by the Text-to-Speech Alarm Annunciator.

Range:25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP


4.3.6 Scan Type

Defines the type of scanning performed by the software. Constant Scanning means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, run status, trends, logs, batch, scripts, logic).

Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is for infrequently accessed tags, like tuning parameters and start or stop signals. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range: Constant Scan, Display Scan
Field Type: Text
Tag fields: .SCANTP read only


4.3.7 Address Template

Some Drivers Supply an Address Template that shows a list of valid address formats for this device. The addressing format varies greatly among automation devices. Picking this field will change the Address property field below. Click cancel to abort inadvertent changes to the address.

Range: driver dependant
Field Type: Text
Tag fields: see address


4.3.8 Address

Assigns the address of data in the field device to be read or written as the value of this tag. Address is initially set when the Parameter was chosen for this Tag. Address is very device dependent. Refer to the device driver manual for more details. Most users edit the field by selecting the part(s) of the address with the mouse and typing the specific address. The pull down menu (accessed on Address Template field above) lists address formats supported by the driver.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS


4.3.9 Conversion Code

Defines how to interpret the raw value from the device. It is device dependent. Refer to the specific device driver manual for more details. Use the pull down list to see the valid conversion codes for this device. Typical conversion codes include:

· Unsigned Integer

· Signed Integer

· Double Precision Integer

· IEEE Floating Point.


4.3.10 Start Bit

Specifies the bit in the address word where data starts.


4.3.11 Length

Indicates the length of data read. For Discrete Tags this determines the number of States in the tag. If three bits are read or written from the field device, up to 8 state descriptors are used to display the 'State" of the tag's value. If a single bit is read or written form the device, then only two state descriptors are used.

Length State Descriptors Used

1 STATE 0 and STATE 1

2 STATE 0, 1, 2, and STATE 3

3 STATE 0 thru STATE 7

Range:1 to 3
Field Type: analog
Tag fields: For Discrete Tags, length can be inferred from .SPANHI

Figure 4-4Change Dialog Box for 8-State Discrete Tag

Figure 4-5Change Dialog Box for 2-state Discrete Tag


4.3.12 Signal Reverse

Reverses a Discrete signal to indicate its complement. Depends on the number of states in the tag. For example, in a 2-state discrete tag, reverses 1 to 0. (E.g. reverses true to a false) In an 8 state Discrete Tag, 0 becomes 7, 1 becomes 6, 2 becomes 5 and 3 becomes 4, etc.

Range: Yes or No
Field Type: Discrete
Tag fields: SIGREV


4.3.13 Log Data

Specifies with tag should be data logged for Historical Trending. A file will be created on the SCADA node hard drive to record data for this tag. Fastest record rate is once/second. A Data Log Deadband is applied before writing to file. If the change in the Tag's value from last record exceeds deadband, then a new record is written (record-by-exception).

Data can be viewed in a Data Log Trend Group Display, up to 12 tags per Data Log Trend Group Display. A file is created for each tag allowing tags to be added or removed from Data Log Trends without loosing historical data


4.3.14 Data Log DB

Deadband used with Data Logging. . A Data Log Deadband is applied before writing to file. If the change in the Tag's value from last record exceeds this deadband, then a new record is written (record-by-exception). Log Data must be YES for logging to occur.

DATA LOG Deadband is in engineering units (absolute value).


4.3.15 Write Change Log

4.3.15 Write Action Log

Specifies if Changes to the Tag made by Users and Operators in the run-time VIEW should be recorded to the Action Log. This is most commonly used for Setpoint, Output, and Auto/Manual status of important controllers where a written record id required.

The default Action Log contains the last 10,000 changes made to every tag in the system for which logging is enabled. The same Action Log shows operator Logins and Logouts. The last 5000 changes are written to file on the Hard drive in a FIFO method (first in first out). Optionally the Action Log can be recorded to Printer or Database.


4.3.16 Read Only

Specifies that the Tag's output value is read only. If READ ONLY is selected, users and operators cannot change Value of the Tag in run-time VIEW. Only the field device can update the value of the tag. Alarm Limits and other tag fields are changeable. Typically used with measurements and Input type tags.

If you want to allow some users to change the value of the tag, but not all users, consider assigning a security Area or Level to the tag.


4.3.17 Keep Previous Value

Keep Previous Value applies to Communications Failure and modifies how communications errors are displayed. Keep Previous holds the last value if Communications to the PLC or Device Fails. If Keep Previous Value = Yes, and there has been at least one successful read, the SCADA node will Display the last value read from the PLC or Field Device. Otherwise, if Keep Previous Value = NO, an asterisk (*) is displayed as the value of the Tag when communications to the field device fails.

If "KEEP PREVIOUS VALUE" is YES, then the last good value appears as the value of the tag indicating during a communications failure.

If "KEEP PREVIOUS VALUE" is NO, then an Asterisk (*) appears as the value of the tag indicating BAD DATA.

The QCODE is displayed next to the Tags value in the Point Info Dialog Box if there is a communications failure and KEEP PREVIOUS VALUE = NO. AN asterisk *[8000] is typical for a loss of communications error.

If there is a communications error on start-up, and KEEP PREVIOUS VALUE is YES, this Initial Value will remain until communications is restored or an operator changes the value.


4.3.18 Initial Value

Initial Value is the value the Tag will be set to before any communications takes place when the SCADA Node starts. This is the value the Tag will initialize to when the SCADA node is restarted. The first read of data from the automation device will update this value.

If the Tag is a Constant Point, when the SCADA Node starts, the constant Point will be set to Initial Value. Initial Value must be set in Configuration. There is no way to change Initial Value from VIEW, as a standard feature.

If the Tag is an IO Tag, AND Keep Previous Value = Yes, AND communications="Failed" then when the SCADA Node starts, the IO Tag will be set to Initial Value and will hold that Value.

If the Tag is an IO Tag, AND Keep Previous Value = Yes AND communications="OK" then when the SCADA Node starts, the IO Tag will be set to Initial Value very briefly (until the first SCAN), and then the IO Tag will display the value in the PLC register (or field device).

If there is a communications error on start-up, and KEEP PREVIOUS VALUE is YES, this Initial Value will remain until communications is restored or an operator changes the value.


4.3.19 Security Area

This limits the ability to change the value of this tag, to those users having access to this Area.

A user must be assigned both Area and Level privileges to change the Tag.

Advantech WebAccess uses the concept of Area of Responsibility. A user may have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this tag but paper machine operators can only view it.

Areas are numbered 0 to 31. A value of 0 means the tag belongs to Area 0.

A Tag can belong to only one Area.

A user can be assigned to multiple areas with a different security level in each. A user must have been assigned both Area and Level privileges to change the point. For more information, see the section 8, User Security & Passwords.

Range: 0 to 31
Field Type: analog
Tag field: .SECA


4.3.20 Security Level

Specifies the password protection level required to change the tag's value in run-time VIEW. The Security Level limits ability to change the value of this tag, to those users assigned to the same Area and having Security Level equal to or greater than the level specified for the tag.

A user must be assigned both Area and Level privileges to change the Tag. For example, a Security Level of 5 and Security Area of 1 require a user to have a security level greater than or equal to 5, in Area 1 in order to change the value of the Tag.

All Tag Fields require a Level of 127 to change, regardless of the Level assigned to the Tag.

Advantech WebAccess uses the concept of Area of Responsibility that allow a User to have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this point but paper machine operators can only view it.

A user can be assigned to multiple areas with a different security level in each. A user must have been assigned both Area and Level privileges to change the point. For more information, see the section on.

Range: 0 to 127
Field Type: analog
Tag field: .SECL


4.3.21 State Descriptors 0 - 7

Optionally, the tags value can be displayed as a text descriptor, for example ON, OFF, True, False, Run, Stop, Auto, Manual, HOLD etc.

If three bits are read or written from the field device, up to 8 state descriptors are used to display the 'State" of the tag's value. If a single bit is read or written form the device, then only two state descriptors are used.

Length State Descriptors Used

1-BIT STATE 0 and STATE 1

2-BITS STATE 0, 1, 2, and STATE 3
3-BITS STATE 0 thru STATE 7

The value of the Tag read by calculation tags, accumulation tags, scripts, keymacros and user programs is always the integer representation (0 to 7). The tag descriptor fields can be read scripts and user programs (DESCR0 to DESCR7).

The value of the Discrete Tag on Displays and Dialog boxes will use the STATE descriptors specified her (STATE 0 to 7)

Range: 12 alphanumeric characters
Field Type: Text
Tag fields: .DESCR0 .DESCR1 .DESCR2 .DESCR3 .DESCR4 .DESCR5 DESCR6 .DESCR7

Figure 4-6 Change Dialog Box for 8-state (3 -bit) Discrete Tag

Figure 4-7 Change Dialog Box for 2-state (1-bit) Digital Tag

It is highly recommended to leave the NotUsed descriptor for states that will not be used. The Change Dialog box will show too many buttons is NotUsed is erased or replaced. For example, if it is a 1 bit length tag, then State0 Descriptor and State1 Descriptor should be changed, but the descriptor for States 2 to 7 should be left as NotUsed.


4.3.22 Log to ODBC

4.3.22 Log to ODBC(Not supported by WinCE Edition(WebView &WebLink ))

Specifies if Data is logged to the central Discrete Tag Log on the Project Node. Yes or No. There is no frequency as in Analog Tags. The Change of state for a Discrete Tag is time stamped in the ODBC Log.

Data Log to ODBC must be enabled for the SCADA node.

Log to ODBC is independent of Data Log Trending (Log Data). This allows you to have frequent Data Log Trends on SCADA Node and the option of not collecting Data Log Trends to reduce the disk usage on the SCADA Node.

Range: Yes or No
Field Type: discrete
Tag field:


4.3.23 Array Size

Most devices and communications protocols do not support arrays. Used in IO Tags if IO device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Try using a Block if you need an array-like feature for IO tags read from your device.

Discrete Constant Tags and Digital Local Screen Tags can be defined as arrays, where one tag can specify an array of values, each element accessed using tag(number). An array is commonly used by programmers in looping programs or indexed calls. Constant Tag arrays allow users to reference a global tag using the array convention tagname(index) in scripts or programs.

For example, if arraytag is an array type analog constant point of array size 20 (i.e. 20 elements) the following script will set all the values to 0.

for {set  x  0} {$x<20} {incr x} {

SETVAL "arraytag($x) = 0"

                                                }


4.3.24 ALARM Properties - Discrete Tags

Figure 4‑8Configure Alarms for a Tag

Alarm Properties appear when alarming is enabled at the top of the Discrete Tag Properties Page. The actual Alarm Properties are at the bottom of the page.


4.3.24.1 Associate Tag

The Associate Tag suppresses the alarms for this tag when the Associate Tag is in alarm. The Associate Tag is usually the “more important” alarm. The Associate Tag is used to suppress nuisance alarms and help operators identify the cause of upset conditions. The Associate Tag must not have “Log Only” checked for Alarms; if the Associate Tag is “Log Only” for alarms, it will not suppress alarms for this tag. Both the Unacknowledged and Acknowledged Alarm state of the Associate Tag will suppress alarming of this tag. If the Associate Tag Alarm “clears” before it is Acknowledged, it will continue to suppress alarms in the Unacknowledged state.

Range: tagname
Field Type: Text
Tag field:


4.3.24.2 Associated Analog Tag

The Associated Analog Tag is related to digital tag type to display the value of associated analog tag in Alarm summary. One digital can relate to one analog tag. The Associated Analog Tag helps operators to add columns to display the alarm status and alarm value of digital tags in Alarm Summary.

After the Associated Analog Tag configuration, open the Alarm Summary page in View DAQ and use View tag %TALMSUME to see the associated Analog Tag value when the alarm happened. Display the value in Alarm summary is to add the column with View tag %TALMSUME in Almsum.dxx.

Range: tagname
Field Type: Text
Tag field:


4.3.24.2 Alarm Priority

4.3.24.3 Alarm Priority

Figure 4-9Alarm Priority must be greater than Zero

Alarm Priority sets the Alarm priority for a Discrete Tag. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. Alarm Priority must be greater than 0. A zero alarm priority is no alarming enabled.

Range: 0 to 99
Field Type: Analog
Tag fields: .APRDIG


4.3.24.3 Log Only

4.3.24.4 Log Only

Specifies that Alarms be written to the Alarm Log only. No notification of alarms is made on displays or alarm summary for this tag.

If Alarm Log to ODBC is specified for the SCADA Node and Log Data for this tag, Alarm will be written to the central Discrete Tag Log on the Project Node.

See Also: 3.2.19.2 Minimal Alarm Log Priority

Range: Yes, No
Field Type: Discrete
Tag fields:


4.3.24.4 Send Email

4.3.24.5 Send Email

Specifies if this tag will generate an Email when it alarms. An Alarm Email Server must be configured for the SCADA node. Alarms must be enabled.

Range:Yes, No
Field Type: Discrete
Tag fields:


4.3.24.5 Play Voice

4.3.24.6 Play Voice

Specifies if this tag will generate a Text-to-Speech message on the SCADA Node and Clients when it alarms. An Alarm Voice must be configured for the SCADA node. Alarms must be enabled. A sound card and speakers must be installed on the SCADA node and the Client. The Text-to-Speech software must be installed manually from CD-ROM on the Client (i.e. it is not part of the Client Plug-in). This Voice plays on the SCADA node and a Client connected to this SCADA node. See section 7.15 Text to Speech Alarm Annunciation for more information.

Range:Yes, No
Field Type: Discrete
Tag fields:


4.3.24.5.1 Media File

4.3.24.6.1 Media File

Specifies if this tag will play a Media File ( .wav, .mid, .mp3, etc.) as a message on the SCADA Node and Clients when the Tag alarms.

A pre-recorded message is required using .wav, .mid, .mp3, or other media format. You can record the message yourself or copy them from the Internet. A sound card and speaker is required on the SCADA node and Clients. Software to play the media file is also required on the SCADA Node and Clients (e.g. windows media, real player, etc.).

The media files should be copied to drive:\WebAccess\config\Node\project_node on the Project Node. They will be downloaded to the SCADA nodes and from SCADA nodes to Clients by Advantech WebAccess network service.

You can specify a separate Media file for each Tag.

The Media File is played only once when the Alarm occurs. It does not repeat if the Alarm remains unacknowledged.

Hint - Use a Global Script to play a Wave or MIDI or other MCI file to repeat Alarm Annunciation if Alarms remain Unacknowledged. See 12.10.20 Play a Wave File if UNACK Alarm (Global Script).

Alarms must be enabled for the Tag. A Media File must be specified for the Discrete Tag Alarm Properties.

See section 7.16 Play Media File (wav, mid, mp3) for Alarm Annunciation for more information.

Range: Name of a media file with extension ( filename.wav, filename1.mid, filename2.mp3, etc.)

Field Type: text

Tag fields:


4.3.24.6 Email To

4.3.24.7 Email To

Specifies the "Recipient" field for use with Email notification of Alarms. Specifies the header file "TO" for this tag. Note that an "Email To" can also be globally defined for all tags. The Email To from the SCADA Node and the Tag's Email To (this field) are merged.

If a Text Tag is used with the @ symbol (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
@texttag1

The field size is limited to 64 characters.


4.3.24.7 Email CC

4.3.24.8 Email CC

Specifies the "Recipient" field for use for Email notification of Alarms. Specifies The Header file "CC" with Email Notification enabled for this tag (this field). Note that an "Email To" can also be defined globally for all tags. The Email To from the SCADA Node and the Tag's Email To (this field) are merged.

If a Text Tag is used with the @ (for example @texttag), the contents of the text tag is read and used for the From Field.

The Scheduler can be used to update a Text Tag to specify different recipients based on Time of Day, Day of Week, Holiday or any scheduled date.

Many mail servers require a valid Email From in the header in order to pass the email on to recipients.

Examples: dave@yourcompany.com
billmc@corporate.com; ted@corporate.com
@texttag1

The field size is limited to 64 characters.


4.3.24.8 Alarm State

4.3.24.9 Alarm State

Alarm State sets the state or value of a Discrete Tag that is considered abnormal or in Alarm.

Two-State Digital Tags

For Tags with Bit Length = 1 (i.e. Digital or Two State Tags), Only this State will be in alarm.

For example, in an 2-state Digital Tag with an alarm state of 0, only State 0 is alarm; State 1 is normal.

Three or more State Discrete Tags

For Tags with Bit Length >= 2 (i.e. Discrete or Multi-State Tags), any state Greater Than or Equal to the Alarm State will be in alarm. For example, in an 2-state Digital Tag with an alarm state of 0, only State 0 is alarm; State 1 is normal.

For example, in an 8-state Discrete Tag, an alarm state of 6, only State 6 is alarm; State 5 is normal; State 7 is also normal.

Range: 0 to 7, depends on length, and number of states configured.
Field Type: Analog
Tag fields: .ALMST

Length States

1-BIT 0 and 1

2-BTIS 0, 1, 2, and 3
3-BITS 0 thru 7


4.3.24.9 Alarm Graph

4.3.24.10 Alarm Graph

Alarm Graphic Display specifies the Graphic Display that will be called up using the GOTO ALARM GRAPH keymacro, the Alarm Graph button on the Alarm Summary Display. Typically used to allow an operator to jump from the Alarm Summary display to a graphic relevant to the alarm. The tag must be in the Alarm State for the GOTO ALARM GRAPH function to work. Graph is an abbreviation for Graphic Display. The Alarm Graphic can be any user built graphic display. Enter the name of the graphic WITHOUT .bgr file extension. Alarm Graph is limited to 8 characters.

Range: 8 characters.
Field Type: Text


4.3.24.10 Alarm Delay Time

4.2.24.11 Alarm Delay Time

Specifies the in Milliseconds for a tag to be beyond an alarm limit, before an alarm state is generated. The idea is to prevent noise or an alarm bouncing near an alarm limit. The SCADA node waits this period of time before sending alarm messages, if during this waiting period, the tag returns to a non-alarm value, then no alarm message is generated.


4.3.25.1 1-bit, 2-state On-Off type Digital Tag example

This example shows the value of a typical digital Output tag. It has two states, Run and Stopped. The tag controls a Supply Fan to an air handler unit. Modbus Protocol is used.

Tag Type | Point (discrete)
Tag Name | FAN_START101
Description | AHU 101 Supply Fan
Scan Type | Constant Scan
Address | 00101
Conversion Code | Unsigned Integer
Start Bit | 1
Length | 1
Signal Reverse | No
Log Data | No
Data Log DB | 0
Write Change Log | Yes
Read Only | No
Keep Previous Value | No
Value | 0
Security Area | 0
Security Level | 0
State 0 | STOP
State 1 | RUN
State 2 | Not Used
State 3 | Not Used
State 4 | Not Used
State 5 | Not Used
State 6 | Not Used
State 7 | Not Used
Array Size | 0
Alarm Data |
Alarm Priority | 1
Alarm State | 0
Alarm Graph | 2ductAHU .bgr


4.3.25.2 Multi-State 3-bit Discrete Tag example

This tag shows and controls the 8 states of a chiller, which range from Stopped to Hold to Run Fast to Vibration Alarm.

Note that the Modbus Protocol requires the 30001 or 40001 range of addresses if more that one bit is read.

Tag Type | Point (discrete)
Tag Name | Chiller_7
Description | Chiller No. 7 Control
Scan Type | Constant Scan
Address | 40007
Conversion Code | Unsigned Integer
Start Bit | 0
Length | 3
Signal Reverse | No
Log Data | No
Data Log DB | 0
Write Change Log | Yes
Read Only | No
Keep Previous Value | No
Value | 0
Security Area | 0
Security Level | 0
State 0 | STOPPED
State 1 | STOPPING
State 2 | HOLD
State 3 | STARTING
State 4 | RUN SLOW
State 5 | RUN MED
State 6 | RUN FAST
State 7 | VIB_ALARM
Array Size | 0
Alarm Data |
Alarm Priority | 1
Alarm State | 7
Alarm Graph | .bgr

.


4.4 Text Tag Properties

Text Tags are ASCII characters strings up to 72 characters (depending on the Device Driver).


4.4.1 Parameter

This is the first step in creating a Text IO Tag. You must select a Parameter that is a Text-type Parameter. The parameter acts as a starting template for defining the features of that tag. The important thing is to get the Data type correct, you can not change from Analog to Discrete to Text. All other properties can be changed.

Chosen from a Pull Down List on the Add Tag properties page. Parameters are IO device driver dependant. Different drivers use different parameters. AI usually signifies an analog-type parameter. DI or CI usually signifies discrete-type parameters. Txt usually signifies a Text-type parameter

Range: Driver Dependant.
Field Type: Text
Tag field: .PNAME read only


4.4.2 Tag Type

Determined by Parameter used to build tag. Analog, Discrete or Text. Cannot be changed once tag is created.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only


4.4.3 Tagname

Assigns a unique tag to the single point. This name will identify the tag throughout configuration, DRAW and VIEW during run-time operation. 21 characters in length. See Alias for longer tag names. Can be any alphanumeric. Blank spaces are NOT recommended. Keymacros and scripts will not interpret tags with spaces correctly. Typical tag Name is FIC2492.

Range: 21 alphanumeric characters
Field Type: Text
Tag fields: .NAME

For more information on legal characters and other tag name consideration see 4.11,1 Legal Characters in a Tag Name, 4.11.1.1 Characters not Permitted and 4.11.2 Tag Name Length


4.4.4 Description

Provides a description for the tag used in display and alarms. A typical description is Boiler Feed Pump #1 Status or Product stored in Tank 12.

Range: 25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP


4.4.5 Scan Type

Defines the type of scanning performed by the software. Constant Scanning means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, run status, trends, logs, batch, scripts, logic).

Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is for infrequently accessed tags, like tuning parameters and start or stop signals. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range: Constant Scan, Display Scan
Field Type: Text
Tag fields: .SCANTP read only


4.4.6 Address Template

Some Drivers Supply an Address Template that shows a list of valid address formats for this device. The addressing format varies greatly among automation devices. Picking this field will change the Address property field below. Click cancel to abort inadvertent changes to the address.

Range: driver dependant
Field Type: Text
Tag fields: see address


4.4.7 Address

Assigns the address of data in the field device to be read or written as the value of this tag. Address is initially set when the Parameter was chosen for this Tag. Address is very device dependent. Refer to the device driver manual for more details. Most users edit the field by selecting the part(s) of the address with the mouse and typing the specific address. The pull down menu (accessed on Address Template field above) lists address formats supported by the driver.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS


4.4.8 Conversion Code

Defines how to interpret the raw value from the device. It is device dependent. Refer to the specific device driver manual for more details. Use the pull down list, to see the valid conversion codes for this device. Typical conversion codes include:

· Unsigned Integer

· Value


4.4.9 Text Length

Indicates the length of data read. For Text Tags this determines how long the text string is. This is very driver dependent. Usually text length is number of ASCII characters. For example, a 40 indicates a forty-character length tag (for most drivers). See the specific Device Driver Guide for more information.

Range: 1 to 72 (device driver dependant)
Unit: ASCII Characters
Field Type: analog
Tag fields: .TXTLEN


4.4.10 Write Change Log

4.4.10 Write Action Log

Specifies if Changes to the Tag made by Users and Operators in the run-time VIEW should be recorded to the Action Log. This is most commonly used for Setpoint, Output, and Auto/Manual status of important controllers where a written record is required.

The default Action Log contains the last 10,000 changes made to every tag in the system for which logging is enabled. The same Action Log shows operator Logins and Logouts. The last 5000 changes are written to file on the Hard drive in a FIFO method (first in first out). Optionally the Action Log can be recorded to Printer or Database.


4.4.11 Read Only

Specifies that the Tag's output value is read only. If READ ONLY is selected, users and operators cannot change Value of the Tag or BLOCK:PARAMETER in run-time VIEW. Only the field device can update the value of the tag. Alarm Limits and other tag fields are changeable. Typically used with measurements and Input type tags.

If you want to allow some users to change the value of the tag, but not all users, consider assigning a security Area or Level to the tag.


4.4.12 Keep Previous Value

Keep Previous Value applies to Communications Failure and modifies how communications errors are displayed. Keep Previous holds the last value if Communications to the PLC or Device Fails. If Keep Previous Value = Yes, and there has been at least one successful read, the SCADA node will Display the last value read from the PLC or Field Device. Otherwise, if Keep Previous Value = NO, an asterisk (*) is displayed as the value of the Tag when communications to the field device fails.

If "KEEP PREVIOUS VALUE" is YES, then the last good value appears as the value of the tag indicating during a communications failure.

If "KEEP PREVIOUS VALUE" is NO, then an Asterisk (*) appears as the value of the tag indicating BAD DATA.

The QCODE is displayed next to the Tags value in the Point Info Dialog Box if there is a communications failure and KEEP PREVIOUS VALUE = NO. AN asterisk *[8000] is typical for a loss of communications error.

If there is a communications error on start-up, and KEEP PREVIOUS VALUE is YES, this Initial Value will remain until communications is restored or an operator changes the value.


4.4.13 Initial Value

Initial Value is the value the Tag will be set to before any communications takes place when the SCADA Node starts. This is the value the Tag will initialize to when the SCADA node is restarted. The first read of data from the automation device will update this value.

If the Tag is a Constant Point, when the SCADA Node starts, the constant Point will be set to Initial Value. Initial Value must be set in Configuration. There is no way to change Initial Value from VIEW, as a standard feature.

If the Tag is an IO Tag, AND Keep Previous Value = Yes, AND communications="Failed" then when the SCADA Node starts, the IO Tag will be set to Initial Value and will hold that Value.

If the Tag is an IO Tag, AND Keep Previous Value = Yes AND communications="OK" then when the SCADA Node starts, the IO Tag will be set to Initial Value very briefly (until the first SCAN), and then the IO Tag will display the value in the PLC register (or field device).

If there is a communications error on start-up, and KEEP PREVIOUS VALUE is YES, this Initial Value will remain until communications is restored or an operator changes the value.


4.4.14 Security Area

This limits the ability to change the value of this tag, to those users having access to this Area.

A user must be assigned both Area and Level privileges to change the Tag.

Advantech WebAccess uses the concept of Area of Responsibility. A user may have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this tag but paper machine operators can only view it.

Areas are numbered 0 to 31. A value of 0 means the tag belongs to Area 0.

A Tag can belong to only one Area.

A user can be assigned to multiple areas with a different security level in each. A user must have been assigned both Area and Level privileges to change the point. For more information, see the section 9, User Security & Passwords.

Range: 0 to 31
Field Type: analog
Tag field: .SECA


4.4.15 Security Level

Specifies the password protection level required to change the tag's value in run-time VIEW. The Security Level limits ability to change the value of this tag, to those users assigned to the same Area and having Security Level equal to or greater than the level specified for the tag.

A user must be assigned both Area and Level privileges to change the Tag. For example, a Security Level of 5 and Security Area of 1 require a user to have a security level greater than or equal to 5, in Area 1 in order to change the value of the Tag.

All Tag Fields require a Level of 127 to change, regardless of the Level assigned to the Tag.

Advantech WebAccess uses the concept of Area of Responsibility that allow a User to have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this point but paper machine operators can only view it.

A user can be assigned to multiple areas with a different security level in each. A user must have been assigned both Area and Level privileges to change the point. For more information, see the section on.

Range: 0 to 127
Field Type: analog
Tag field: .SECL


4.4.16 Array Size

Most devices and communications protocols do not support arrays. Used in IO Tags if IO device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Try using a Block if you need an array-like feature for IO tags read from your device.

Text Constant Tags and Text Local Screen Tags can be defined as arrays, where one tag can specify an array of values, each element accessed using tag(number). An array is commonly used by programmers in looping programs or indexed calls. Constant Tag arrays allow users to reference a global tag using the array convention tagname(index) in scripts or programs.


4.5 Accumulation Tags

An Accumulation Tag consists of an Integration function from another tag or block, usually an IO Tag. The most common use is to totalize the Flow from a flow device (e.g. calculate volume from flow rate). The value of the input tag is "Accumulated" into a total. The totalization function is executed within the software. Accumulation tags are ANALOG tags. They have all the properties of an Analog Tag including alarms, data logging, output limits and security. Accumulation Tags can be included in trends, displays, alarm summaries and reports.

Accumulation Tags have a reset value. When the accumulated total reaches this max value, the running total is reset to zero. Accumulation Tags can write to hard drive in order to resume counting without losing all data after power failure or restart of the computer or software.

Accumulation Tags are a Global Internal Tags; all clients, scripts and other tags will see the same value when reading this tag. All other clients, scripts and other tags will see changes to the tag globally.

The software license control file limits the number of Internal tags. The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license.

Accumulation Tag Properties are the same as the corresponding Analog Tag Properties. Properties Unique to an Accumulation Tag are:

Source Tag Name Defies name of the Input to the Accumulator. This can be any analog or discrete Tag or Block. This value of the source Tag will be accumulated into a running total.

Accumulate Frequency Defines how often the source tag will be added to the running total. Defines the frequency, in seconds, to update the accumulated total.

Divide Factor A divisor applied to the input value before adding to the running total. Used typically to convert the engineering units of the Source Tag to the desired engineering units for this Accumulation Tag and to account for the Accumulate Frequency and source tag Scan Time.

Value Limit When the total value exceeds the Value limit, the running total is reset to the total value minus the reset limit. If the last increment results in a total value greater than the reset limit, the accumulator starts with a value equal to the difference above the reset limit. A reset Limit of 0 results in no resetting of the total.

Reset Minutes In addition to previous "Value Limit", Accumulation now can be reset by a user defined "Reset Time" in minutes. A non-zero number defines the reset time. If the number less than 1440, 1 day, the reset time will be aligned to midnight, otherwise it will be reset on the every M day from the start of the month, M=reset time/1440. All the trend/ODBC log data will be recorded before reset, if the record time matches with reset time. The "Value Limit" is still in effect. The Acc. point will be reset whenever a time or limit condition meet.

Reset time example:

"Reset Minutes" Execution time of Reset

15 0:00, 0:15, 0:30, 0:45, 1:00, 1:15......

60 0:00, 1:00, 2:00...

90 0:00, 1:30, 3:00...

1440 0:00 every day

3000 0:00 on the 2nd, 4'th, 6'th, 8'th... day of each month. (3000/1440 = 2 ).

If "Keep Previous Value" is enabled, the Accumulation Tag will preserve it's count (within the last minute) if the SCADA node stops and restarts. A data file is updated once a minute with the current value of Accumulation Tags with "Keep Previous Value" enabled.

If the INPUT TAG is equal to 0 always, an Accumulation Tag will act like a Constant Tag. Operators can change the value of the tag. If the SCADA Node stops, then restarts, the last value of the Tag will be restored. This is a means of "saving" operator entrees through a SCADA Node shutdown and restart. "Keep Previous Value" must be enabled and the "Source Tag" must always be zero or equal to a non-existent tag.

Create Accumulation Tags using the AccPoint hyperlink in Project Manager.

Accumulation Tags appear as I/O Tags from all SCADA nodes. Use the Accumulation button to view Acc Tags on this SCADA node.


4.5.1 Accumulation Tag Properties

Accumulation Tags share Properties with Analog Tag. Please refer to the Analog Tag Properties for Tag properties not listed here.


4.5.1.1 Source Tag Name

Defies name of the Input to the Accumulator. This can be any analog or discrete Tag or Block. This value of the source Tag will be accumulated into a running total.


4.5.1.2 Accumulate Frequency

Defines how often the source tag will be added to the running total. Defines the frequency in seconds to update the accumulated total.


4.5.1.3 Divide Factor

A divisor applied to the input value before adding to the running total. Used typically to convert the engineering units of the Source Tag to the desired engineering units for this Accumulation Tag and to account for the Accumulate Frequency and source tag Scan Time.


4.5.1.4 Value Limit

When the total value exceeds the Value limit, the running total is reset to the total value minus the reset limit. If the last increment results in a total value greater than the reset limit, the accumulator starts with a value equal to the difference above the reset limit. A reset Limit of 0 results in no resetting of the total.


4.5.1.5 Reset Minutes

In addition to the "Value Limit", Accumulation can be reset by a user-defined "Reset Time" in minutes. A non-zero number defines the reset time.

If the number less than 1440, 1 day, the reset time will be aligned to midnight, otherwise it will be reset on the every M day from the start of the month, where M=reset time/1440.

All the trend/ODBC log data will be recorded before reset, if the record time matches with reset time.

Reset time example:

"Reset Minutes" Execution time

15 0:00, 0:15, 0:30, 0:45, 1:00, 1:15......

60 0:00, 1:00, 2:00...

90 0:00, 1:30, 3:00...

1440 0:00 every day

3000 0:00 on the 2nd, 4'th, 6'th, 8'th... day of each month. (3000/1440 = 2 ).

The "Value Limit" is still in effect. The Acc. point will be reset whenever a time or value limit condition meet.


4.5.2 Accumulation Tag Example

The Accumulation Tag example shows a COUNTER that accumulates counts from a tag named SPEED. A Rate of Change Alarm warns is counter is too fast. A High-High alarm warns when the counter is approaching its Reset Value. The Value of Counter is recorded with Data Logging.

Figure 4-10Accumulation Tag example


4.5.2.1 HTML version of Accumulation Tag example

Tag Type | Accumulation
Tag Name | COUNTER
Description | Input to SINE
Source Tag Name | SPEED
Accumulate Frequency | 1 Second
Divide Factor | 1
Log Data | Yes
Data Log DB | 0.9
Write Change Log | Yes
Read Only | Yes
Keep Previous Value | Yes
Value | 1800
Security Area | 0
Security Level | 0
Span High | 3600
Span Low | 0
Output High Limit | 3600
Output Low Limit | 0
Engineering Unit |
Display Digits (Integer) | 4
Display Digits (Fraction) | 2
Value Limit | 3599
Alarm Data |
HH Priority | 1
HH Alarm Limit | 3500
High Priority | 0
High Alarm Limit | 0
Low Priority | 0
Low Alarm | 0
LL Priority | 0
LL Alarm | 0
HL Db | 0
HL Db Percentage | No
Roc Priority | 1
Rate Of Change | 100
Dev. Tag Name |
Dev. Hi Priority | 0
Dev. Hi Limit | 0
Dev. Lo Priority | 0
Dev. Lo Limit | 0
Dev. Percentage | No
Dev. DB | 0
Alarm Graph | METER .bgr


4.6 Calculation Tags

A Calculation Tags perform mathematical and logical operations on the values of other tags. The result is a single analog output that can be alarmed and data logged. Up to 20 inputs can be used in the calculation. Input tags can be Analog or Discrete.

Any tag can be an input to a calculation tag including IO Tags, Block parameters, Constant Tags, Accumulation Tags, and other Calculation Tags.

Calculation Tags are an Internal type Tag that are globally available to all graphics and other tags. Calculation Tags can be read and written to by scripts, User Programs, and DDE clients. Calculation Tags can be included in trends, displays, alarm summaries and reports. Calculation Tags have all the alarm and security features of IO Tags.

The calculation function is executed within the software, independent of any control system device.

A calculation Tag is globally accessible but executes locally on the SCADA node it is configured. It also provides alarming, security, description and other features. A calculation point needs to be configured once on one node and it will be available to all Clients. However, if communication to the SCADA node is lost or the node is taken off line, then the value of the calculation will be lost. All clients, scripts and other tags will see the same value when reading this tag. All other clients, scripts and other tags will see changes to the tag globally.

The software license control file limits the number of Internal tags. The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license.

Tag Properties are the same as the corresponding Analog Tag Properties. Properties Unique to a Calculation Tag are:

Evaluate Frequency Defines how often the source calculation will be performed and the value to the tag updated. Defines the frequency in seconds.

Formula The mathematical and/or logic expressions for the calculation used in this tag. Available operators and related information is outlined in Math Functions and Logic Functions. The tags within the formula must be entered as their single-letter designations. The calculation formula is limited to 80 characters.

A typical formula is: (A*.99+B)/C.

Input Tags A through T Tagnames of up to 20 Tags OR BLOCK:PARAMETERS

Create Calculation Tags in Project Manager using the CalcPoint hyperlink.

Calculation Point Tags appear as I/O Tags (from all SCADA Nodes) or using the Calculation Button to view Calc Tags on this SCADA node


4.6.1 Math Functions

Calculation Tag Math Functions

Operators Description

+ Addition

- Subtraction

* Multiplication

/ Division

sin( ) Sine function; format is sin(A) where A is in radians

cos( ) Cosine function; format is cos(A) where A is in radians

sqrt( ) Square root; format is sqrt(A) where A is in radians

pow( , ) Power; format is pow(A,B) for A to the power of B

log( ) Natural logarithm; format is log(A)

log10( ) Logarithm base 10; format is log10(A)

( ) Precedence operator. Perform calculation inside parentheses before any operators outside parentheses

CEIL(A) Smallest integer >= A

FLOOR(A) Largest integer <= A

INT(A) Integer part of A

MOD(A,n) Remainder A/n

Math Functions can be nested. For example, SIN(A*0.0175) will multiple A by 0.0175 then calculate the Sine.

To convert degrees to radians, multiply by 0.0175


4.6.2 Logic Functions

Calculation Tag Math Functions

Operators Description

> Greater than

>= Greater than or equal to

< Less than

<= Less than or equal to

== Equal to

!= Not equal to

! NOT

&& AND

|| OR

max(A,B) Selects the higher value of A and B

min(A,B) Selects the lower value of A and B

Exp1?Exp2:Exp3 Conditional expression where Exp 1, 2 and 3 are math and/or logic expressions. Exp 1 is evaluated first. If it is non-zero (true), the tag uses the value of Exp 2 as its output. Otherwise, Exp 3 is used for the tag output.

An example is C>0?A*B/C:1 If C is greater than 0, the tags value will be A*B/C. If C is Not greater that 0, then output of the calculation is 1.


4.6.3 Calculation Tag Properties

Calculation Tags share Properties with Analog Tag. Please refer to the Analog Tag Properties for Tag properties not listed here.


4.6.3.1 Evaluate Frequency

Used by Calculation Tags. Evaluate Frequency specifies how often the calculation is performed by the calculation tag. Calculation tags perform arithmetic and logic operations based on the value of up to 20 input tags. Input tags must be either analog or digital. There is only one output value for a calculation tag. If a calculation requires more than one output, try using a script.


4.6.3.2 Formula

The mathematical and/or logic expressions for the calculation used in this tag. Available operators and related information is outlined in Math Functions and Logic Functions. The tags within the formula must be entered as their single-letter designations. The calculation formula is limited to 80 characters. A typical formula is:(A*.99+B)/C.


4.6.3.3 Input Tags A - T

Tagnames of up to 20 Tags and BLOCK:PARAMETERS


4.6.4 Calculation Tag Example

4.6.4.1 Calculation Tag Example

This Calculation Tag example calculates the SINE from the input of a Tag named Timer. Timer is scaled 0 to 3600. The input from the tag named AMPLITUDE is used to adjust the amplitude of the sine. The Value of this Calculation Tag is intended to range from -1 to 1.

The important fields in this tag are:

Formula: SIN(A*0.00175)*(B/100)
A: TIMER
B: AMPLITUDE

Figure 4-11Calculation Tag example


4.6.4.1 HTML Version of Calculation Tag example

4.6.4.1.1 HTML Version of Calculation Tag example

Tag Type | Calculation (analog)
Tag Name | SINE
Description | Sine Wave
Evaluate Frequency | 1 Second
Log Data | Yes
Data Log DB | 0.1
Write Change Log | Yes
Read Only | Yes
Keep Previous Value | Yes
Value | 0
Security Area | 0
Security Level | 0
Span High | 1
Span Low | -1
Output High Limit | 1
Output Low Limit | -1
Engineering Unit | SINE_fxn
Display Digits (Integer) | 1
Display Digits (Fraction) | 2
Formula | SIN(A*0.00175)*(B/100)
A | TIMER
B | AMPLITUDE
T |
Alarm Data |
HH Priority | 2
HH Alarm Limit | 0.9
High Priority | 1
High Alarm Limit | 0.8
Low Priority | 1
Low Alarm | -0.8
LL Priority | 2
LL Alarm | -0.9
HL Db | 0
HL Db Percentage | No
Roc Priority | 3
Rate Of Change | 0.5
Dev. Tag Name |
Dev. Hi Priority | 0
Dev. Hi Limit | 0
Dev. Lo Priority | 0
Dev. Lo Limit | 0
Dev. Percentage | No
Dev. DB | 0
Alarm Graph | METER .bgr


4.6.4.2 Discrete Calculation Example

4.6.4.2 Discrete Calculation Tag Examples

4.6.4.2.1 FLIP_FLOP

This Calculation Tag example calculates creates flip-flopping tag the oscillates from 0 to 1 to 0.

Tag Type Calculation (discrete)

Tag Name CalcLogicDigital

Description Test if nonzero - flip from 0 to 1 to 0

Evaluate frequency 3 Second

Initial Value 0

State 0 OFF

State 1 ON

State 2 NotUsed

State 3 NotUsed

State 4 NotUsed

State 5 NotUsed

State 6 NotUsed

State 7 NotUsed

Formula A>0?0:1

A CalcLogicDigital

4.6.4.2.2 COMMUNICATION ALARM

If at least one device is good, radio link says good.

If all devices fail, then the link says bad. If you DISABLE a device, and at least one other device is good, then the RADIOLINK says good. If you DISABLE all devices, then the COMPORT goes to DISABLE and RADIO LINK says FAIL.

The crux for the following is two Calc blocks with which OR the logical NOT each input from a DEVSTS System Tag with the exception being input 20 of the main calc block is input from the secondary calc block which does not use a logical NOT.

Tag Type Calculation (discrete)

Tag Name RadioLink

Description Radio Communication Link still working

Evaluate frequency 1 Second

State 0 RADIO FAIL

State 1 GOOD

State 2 NotUsed

Formula !A||!B||!C||!D||!E||!F||!G||!H||!I||!J||!K||!L||!M||!N||!O||!P||!Q||!R||!S||T

(notice there is no NOT for T)

A Port2Device1

B Port2Device2

C Port2Device3

D Port2Device4

E Port2Device5

F Port2Device6

G Port2Device7

H Port2Device8

I Port2Device9

J Port2Device10

K Port2Device11

L Port2Device12

M Port2Device13

N Port2Device14

O Port2Device15

P Port2Device16

Q Port2Device17

R Port2Device18

S Port2Device19

T RadioLinkd20to25

Tag Type Calculation (discrete)

Tag Name RadioLinkd20to25

Description Radio Communication Link still working devices 20 to 25

Evaluate frequency 1 Second

Keep Previous Value No

Initial Value 0

State 0 RADIO FAIL

State 1 GOOD

State 2 NotUsed

Formula !A||!B||!C||!D||!E||!F

A Port2Device20

B Port2Device21

C Port2Device22

D Port2Device23

E Port2Device24

F Port2Device25

Create 25 of the following DEVSTS system tags

Tag Type System Point (discrete) (really a DEVSTS type system point)

Tag Name Port2Device1

Description Port 2 Device 1 Status

Comport Number, Unit Number 2,1 (1-12,0-255)

Read Only Yes

Keep Previous Value No

Initial Value 0

State 0 OK

State 1 BAD

State 2 Disabled

State 3 NotUsed


4.6.4.3 Analog Logic Calculation Tag Example

This Calculation Tag tests if the it's own value is greater than 100. If not, it adds 1 to itself and ramps every second up. When it reached 100, it resets to 0 and repeats

The important fields in this tag are:

Formula: A>=100?0:A+1
A: CalcLogicAnalog - references its own name


4.7 Constant Tags

The Advantech WebAccess database can be configured to hold analog, digital, or text Constant Tags. A constant point is a user-defined value that can be independent of any control system device. Its value can be set to an initial value on start-up and changed during run-time operation. It also provides alarming, security, description and other features. It can be included in trends, displays, alarm summaries and reports.

Constant Tags are a Global Internal Tags. All clients, scripts and other tags will see the same value when reading this tag. Changes to the tag will be seen globally by all other clients, scripts and other tags.

Constant Tags are most commonly used to create a “virtual” point that looks like, and are treated, as if it were a measurement from an instrument or a register in a PLC. Constant Tags can be Analog, Digital or Text type tags. Constant Tags have all the Properties of an Analog, Discrete or Text type tag, just no communications. For example, Analog and Digital Constant Tags can be alarmed.

Constant Tags are most frequently used for operator entry of values to calculation tags, scripts and user programs. Constant Tags are a holder of the value until another operator or script changes its value. Constant Tags usually have no input source other that changes by Operators and Scripts. However, DDE clients and 3rd Part API programs can change constant points (like any tag).

The number of Internal tags is limited by the software license control file. The number of Internal Tags (Calculation + Accumulation + Constant) cannot exceed the number of IO tags in the license.

Constant Tag properties are the same as the corresponding Analog, Discrete or Text Tag property.

Create Constant Point Tags in Project Manager from the ConstPoint hyperlink

Constant Point Tags appear as IO Tags in Point Info. Constant Button shows only Constant Tags for the SCADA node.


4.7.1 Analog Constant Tag Properties

Analog Constant Tags share Properties with the other Analog Tags. Only communication fields are omitted (address, address template, conversion and scaling, etc).

Please refer to the Analog Tag Properties for a description of ANALOG Constant Tag properties.


4.7.2 Discrete Constant Tag Properties

Discrete Constant Tags share Properties with the other Discrete Tags. Only communication fields are omitted (address, address template, conversion and scaling, etc).

Please refer to the Discrete Tag Properties for a description of Discrete Constant Tag properties.


4.7.3 Text Constant Tag Properties

Text Constant Tags share Properties with the other Text Tags. Only communication fields are omitted (address, address template, conversion and scaling, etc).

Please refer to the Text Tag Properties for a description of TEXT Constant Tag properties.


4.7.4 Analog Constant Tag example

Figure 4-12Analog Constant Tag example

In this example of a constant tag, the AMPLITUDE tag will be used as an input to the SINE calculation tag example. Amplitude will be used to control the Percent of full scale the sine is allowed to reach. Hence, Engineering Units are Percent in order to indicate to the operator this is a percent of full scale. Alarms are configured to alarm is the operator sets the value of AMPLITUDE to dangerously high values. An Output Lo limit prevents the operator from setting the value below zero. The Span Lo is -1 for display purposes (trends will be built with amplitude lining up with sine centered at zero (note that sine can be negative). A bitmap is shown above. A HTML text version of the example is listed below. The HTML version lists all the fields in the example including the Alarm Graph not shown in the bitmap.


4.7.4.1 Analog Constant Tag example HTML page

Tag Type | Constant (analog)
Tag Name | AMPLITUDE
Description | Max range of SINE (%)
Scan Type | Constant Scan
Log Data | Yes
Data Log DB | 0.5
Write Change Log | Yes
Read Only | No
Keep Previous Value | Yes
Value | 70
Security Area | 0
Security Level | 0
Span High | 100
Span Low | -100
Output High Limit | 100
Output Low Limit | 0
Engineering Unit | Percent
Display Digits (Integer) | 3
Display Digits (Fraction) | 2
Array Size | 0
Alarm Data |
HH Priority | 1
HH Alarm Limit | 90
High Priority | 2
High Alarm Limit | 80
Low Priority | 1
Low Alarm | 20
LL Priority | 2
LL Alarm | 10
HL Db | 2
HL Db Percentage | No
Roc Priority | 0
Rate Of Change | 0
Dev. Tag Name |
Dev. Hi Priority | 0
Dev. Hi Limit | 0
Dev. Lo Priority | 0
Dev. Lo Limit | 0
Dev. Percentage | No
Dev. DB | 0
Alarm Graph | METER .bgr


4.8 Tag Fields

Tag Fields describe the attributes of each tag, for example Tag Name, Description, High Span, Low Span, Engineering Units, Alarm Limits, Alarm state and many more. Tag Fields are available for all tags and all parameters of blocks.

Some Tag Fields represent values set during tag configuration and allow on-line changes (i.e. changing Alarm Limits on-line from VIEW without using

the Project Manager). These Tag fields require an Administrators Access Level (level 127) in order to change them.

Some Tag Fields are set by the Advantech WebAccess SCADA node software (for example, the Alarm Status). Users or administrators cannot change these read-only tag fields. The read/write character is described for each tag fields.

In addition to reading and writing the values of tags in the Advantech WebAccess, you can also access the Tag Fields in the Point Info Dialog Box or Graphic Displays. Enter the Tag name followed by a periods (.) then the Tag Field. For example TI001.TYPE will give the point type, TI001.ENUNITwill give the engineering units.

By modifying Tag Fields users, keymacros and scripts can enable and disable Alarming, modify Alarm Limits and other attributes of a Tag on-line in run-time mode. Normally, these changes are lost if the SCADA Node is restarted or downloaded. If On Line changes to Tag fields is enabled in SCADA Node Properties, on-line changes to these fields are saved to the Configuration Database on the Project Node (bwCfg.mdb).

These changes can be made during runtime using the Point Detail Displays. Or the change can be made using the Point Info Dialog box by appending the Tag Field to the tag name.

Tag Fields are most commonly used to enhance a Graphic or monitor a Tag’s Status in a Script. The most common change to a Tag Field is to Alarm Limits. Tag Fields also enable a certain Online Configuration Changes to Alarms, Description, Engineering Units and Change Limits.

Some tag fields are common to all point types, while others are available only to digital or analog points.


4.8.1 .ADVDBP

Deviation Alarm Deadband Percentage A deadband is used to minimize nuisance alarms or repeating alarms caused by an oscillation near the Alarm Limit. The deadband comes into effect only after the alarm limit is violated. Once in alarm, the deadband specifies the change in the tag's value required to be considered normal or not in alarm. The deadband can be in either engineering units (absolute value) or percentage of span as determined by Dev. Percentage. This value applies to both High and Low Deviation Alarm Limits (Dev Lo Limit and Dev Hi Limit). This field is for ANALOG tags and parameters only.

Range: 0 to 100
Units: Percent of Full Scale
Field Type: Digital
Configuration: Dev DB and Dev Percentage
Tag fields: .ADVDBP

Syntax: Tagname. .ADVDBP
Blockname:Parameter. .ADVDBP

Examples: PI301. .ADVDBP
TIC101:OUT. .ADVDBP

See also, ADVDBV, ADVTAG


4.8.2 .ADVDBV

Deviation Alarms Deadband in Absolute Value. A deadband is used to minimize nuisance alarms or repeating alarms caused by an oscillation near the Alarm Limit. The deadband comes into effect only after the alarm limit is violated. Once in alarm, the deadband specifies the change in the tag's value required to be considered normal or not in alarm. The deadband can be in either engineering units (absolute value) or percentage of span as determined by Dev. Percentage. This value applies to both High and Low Deviation Alarm Limits (Dev Lo Limit and Dev Hi Limit). This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999
Units: Absolute Value
Configuration: Dev DB and Dev Percentage
Field Type: Analog
Tag fields: .ADVDBV

Syntax: Tagname. .ADVDBV
Blockname:Parameter. .ADVDBV

Examples: PI301. .ADVDBP
TIC101:OUT. .ADVDBV

See also .ADVDBP, ADVTAG


4.8.3 .ADVHI

High Deviation Alarm Limit is the positive difference between the tag and the reference tag. This is the idea of the tag increasing above its setpoint. Deviation Alarms can be asymmetrical. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999
Units: Absolute Value
Field Type: Analog
Configuration: Dev Hi Limit
Tag fields: .ADVHI


4.8.4 .ADVLO

Low Deviation Alarm Limit is the negative difference between the tag and the reference tag. This is the idea of the tag decreasing below its setpoint. Deviation Alarms can be asymmetrical. This field is for ANALOG tags and parameters only. See Dev. Tag Name

Range: -99,999,999,999 to 99,999,999,999
Units: Absolute Value
Field Type: Analog
Configuration: Dev Lo Limit
Tag fields: .ADVLO


4.8.5 .ADVTAG

Dev. Tag Name

Deviation Alarm Reference Tag Name is the tag used as a comparison to this tag. Deviation Alarming generates an alarm on the difference in value between two tags (expr [ tag1 - tag2]). The most common use is deviation between Setpoint and Measurement in a PID controller. If this field is blank, no deviation alarm will occur. This field is for ANALOG tags and parameters only.

Range: tagname or BLOCK:PARAMETERname
Units:
Field Type: Text
Configuration: Dev. Tag Name
Tag fields: .ADVTAG


4.8.6 .ALIAS

Alias Tag Name allows an alternate name to be used to reference the tag in point browser and Tag List. Must be unique.

Not supported in version 4.0


4.8.7 .ALMCK

Alarm Checking describes if Alarming is enabled, disabled or not configured for the tag. Alarming can be disabled temporarily or enabled from an Alarm Group Display or the ALMED tag field. NONE is displayed if no alarming is configured for the tag

Range: ENABLED or DISABLED or NONE
Units:
Field Type: Text
Configuration: Alarm
Tag fields: .ALMCK read only

Syntax: Tagname.ALMCK
Blockname:Parameter.ALMCK

Examples: PI301.ALMCK
TIC101:OUT.ALMCK

See also, ALMED, ALMST, ALMVA


4.8.8 .ALMDBP

High Low Alarm Deadband in Percent of Full Scale. A deadband is used to minimize nuisance alarms or repeating alarms caused by an oscillation near the Alarm Limit. The deadband comes into effect only after the alarm limit is violated. The deadband specifies the change in the tag's value required to be considered a return to normal or not in alarm. The deadband can be in either engineering units (absolute value) or percentage of span. This field is for ANALOG tags and parameters only.

Range: 0 to 100
Units: % of Full Scale
Field Type: Analog
Configuration: HL DB and HL DB Percentage
Tag fields: .ALMDBP

See Also, ALMDBPV


4.8.9 .ALMDBV

High Low Alarm Deadband in Absolute Value. A deadband is used to minimize nuisance alarms or repeating alarms caused by an oscillation near the Alarm Limit. The deadband comes into effect only after the alarm limit is violated. The deadband specifies the change in the tag's value required to be considered a return to normal or not in alarm. The deadband can be in either engineering units (absolute value) or percentage of span. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999
Units: Absolute Value
Field Type: Analog
Configuration: HL DB and HL DB Percentage
Tag fields: .ALMDBV

See Also, ADVTAG, ALMDBPV


4.8.9.1 .ALMDIG

Configured alarm state for discrete alarm. Alarm State is the state or value of a Discrete Tag that is considered abnormal or in Alarm. .ALMDIG allows this to be edited from View. If Reflect On Line changes to Database is enabled, changes to .ALMDIG will be saved in the Configuration Database on the Project Node (i.e. become permanent).

Two-State Digital Tags

For Tags with Bit Length = 1 (i.e. Digital, ON/OFF or Two State Tags), Only this State will be in alarm.

For example, in an 2-state Digital Tag with an alarm state of 0, only State 0 is alarm; State 1 is normal.

Three or more State Discrete Tags

For Tags with Bit Length >= 2 (i.e. Discrete or Multi-State Tags), any state Greater Than or Equal to the Alarm State will be in alarm. For example, in an 2-state Digital Tag with an alarm state of 0, only State 0 is alarm; State 1 is normal.

For example, in an 8-state Discrete Tag, an alarm state of 6, only State 6 is alarm; State 5 is normal; State 7 is also normal.

Range: 0 - 7
Units: Absolute Value
Field Type: Discrete
Configuration: Alarm State
Tag fields: .ALMDIG

See Also, ALMED, ALMST, APRDIG


4.8.10 .ALMDT

Alarm Date. The Date of the current alarm. If no alarm or alarm is disabled, the field is blank.

Range: blank to 12/31/2999
Units: month/day/year
Field Type: text
Configuration:
Tag fields: .ALMDT

See Also, ALMTM, ALMVA

Syntax: Tagname.ALMDT
Blockname:Parameter.ALMDT

Examples: PI301.ALMDT
TIC101:OUT.ALMDT


4.8.11 .ALMED

Alarm ENABLE / DISABLE used to temporarily enable or disable alarming for the tag. Alarming must have been configured in Project Manager for the tag. Alarming can be disabled temporarily or enabled from an Alarm Group Display or the change dialog box using the ALMED tag field. Keymacros or scripts can also change ALMED. An asterisk (*) is displayed if no alarming is configured for the tag.

Range: ENABLED or DISABLED or *
Units:
Field Type: Text
Configuration: Alarm
Tag fields: .ALMED

Syntax: Tagname.ALMED
Blockname:Parameter. ALMED

Examples: PI301.ALMED
TIC101:OUT.ALMED

See also, ALMCK, ALMST, ALMVA


4.8.12 .ALMGP

Alarm Group. Describes the Alarm Group the tag is assigned. Alarm Groups are configured in the Project Manager on the Alarm Group Page. Alarm Group Display is a standard system template display used to view all alarm groups. Alarm Group List is called using the <F6> key. The ALMGP field described the group number shown on the Alarm Group List.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Project Manager - Alarm Group
Tag fields: .ALMGP read only


4.8.13 .ALMHH

High-High Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change ABOVE the Hi-Hi Alarm Limit to be considered in the alarm state. The Speed Limit on the Highway is an example of a High-High Alarm. The High-High alarm is in engineering units of the tag (not percent). This is similar to the High Alarm. The High-High Alarm Limit must be greater than the High Alarm and Low Alarm Limits. The Limit can be changed by users with 127 security Level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO & ALMHI)
Units: same as Tag
Field Type: Analog
Configuration: HH Alarm Limit
Tag fields: .ALMHH

Syntax: Tagname.ALMHH
Blockname:Parameter. ALMHH

Examples: SPEED.ALMHH
TIC101:MEAS.ALMHH

See also, ALMHI


4.8.14 .ALMHI

High Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change ABOVE the Hi Alarm Limit to be considered in the alarm state. The Speed Limit on the Highway is an example of a High Alarm. The High alarm is in engineering units of the tag (not percent). This is similar to the High-High Alarm. The High Alarm Limit must be greater than the Low Alarm. The Limit can be changed by users with 127 security Level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO)
Units: same as Tag
Field Type: Analog
Configuration: HI Alarm Limit
Tag fields: .ALMHI

Syntax: Tagname.ALMHI
Blockname:Parameter. ALMHI

Examples: SPEED.ALMHI
TIC101:MEAS.ALMHI

See also, ALMHH


4.8.15 .ALMLL

Low-Low Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change BELOW the Low-Low Alarm Limit to be considered in the alarm state. The Low-Low alarm is in engineering units of the tag (not percent). This is similar to the Low Alarm. The Low-Low Alarm Limit must be less than the High Alarm and Low Alarm Limits. The Limit can be changed by users with 127 security Level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO & ALMHI)
Units: same as Tag
Field Type: Analog
Configuration: LL Alarm Limit
Tag field: .ALMLL

Syntax: Tagname.ALMLL
Blockname:Parameter. ALMLL

Examples: SPEED.ALMLL
TIC101:MEAS.ALMLL

See also, ALMLO


4.8.16 .ALMLO

Low Alarm Limit. Alarming is used to notify operators and users of abnormal conditions in runtime VIEW. The tag must change BELOW the Low Alarm Limit to be considered in the alarm state. The Low alarm is in engineering units of the tag (not percent). This is similar to the Low-Low Alarm. The Low Alarm Limit must be less than the High Alarm. The Limit can be changed by users with 127 security Level in run-time VIEW. This field is for ANALOG tags and parameters only.

Range: -99,999,999,999 to 99,999,999,999 (but greater than ALMLO & ALMHI)
Units: same as Tag
Field Type: Analog
Configuration: LO Alarm Limit
Tag field: .ALMLO

Syntax: Tagname.ALMLO
Blockname:Parameter.ALMLO

Examples: SPEED.ALMLO
TIC101:MEAS.ALMLO

See also, ALMLL


4.8.17 .ALMNM

Alarm Name describes type of Alarm in text. Similar to ALMTP.

Range:HH ALARM is a High-High alarm

HI ALARM is a High alarm
LO ALARM is a Low alarm
LL ALARM is a Low-Low alarm
ROC ALARM is a Rate of Change alarm
HDEV ALARM is a High Deviation alarm
LDEV ALARM is a Low Deviation Alarm
DIS ALARM is a Discrete Alarm
NO ALARM

Field Type: Text
Tag field: .ALMNM read only

Syntax: Tagname.ALMNM
Blockname:Parameter.ALMNM

Examples: SPEED.ALMNM
TIC101:MEAS.ALMNM

See also, ALMTP, ALMST, ALMVA, ALMHH, ALMHI, ALMLL, ALMLO, ALMROC, ADVHI, and ADVLO


4.8.18 .ALMROC

Rate of Change Alarm is the amount a tag must change between scans that is considered too large. The ROC alarm is in Percent of SPAN. Value applies to both increase and decrease in tag's value (i.e. is symmetrical). The actual rate is a function of this vale and the Scan Rate of the device. If the device scans Once per Second, then rate is change per second. If device scans at 100 milliseconds, then Rate of Change = 10 is also once per second. Rate of Change alarming is the idea that a measurement is changing too fast. For example, flow in a pipe causing cavitations. This field is for ANALOG tags and parameters only.

Range: 0 to 100
Units: percent of span
Configuration: Rate of Change - ROC
Field Type: Analog
Tag field: .ALMROC


4.8.19 .ALMST

Alarm State of the Tag. An Acknowledged alarm is one that an operator has taken some action (pressed a button on a screen to ACK). The Alarm Summary has Acknowledge Point, Acknowledge Screen and Acknowledge All Alarms pushbuttons. Scripts and Keymacro files can also acknowledge alarms.

0 = NO ALARM
1 = UNACKNOWLEDGED ALARM
2= ACKNOWLEDGED ALARM

Range: 0 to 2.
Field Type: Analog
Tag fields: .ALMST

See also, ALMNM, ALMTP, ALMVA


4.8.20 .ALMTM

Alarm Time. The Time of the current alarm. If no alarm or alarm is disabled, the field is blank.

Range: blank to 12:59:59
Units: hours:minutes:seconds
Field Type: text
Configuration:
Tag fields: .ALMTM

Syntax: Tagname.ALMTM
Blockname:Parameter.ALMTM

Examples: PI301.ALMTM
TIC101:OUT.ALMTM

See Also, ALMDT, ALMVA


4.8.21 .ALMTP

Alarm Type describes type of Alarm as an integer between 0 an 8. Similar to ALMNM. Applies to ANALOG tags and parameters only. Use ALMST for discrete. ALMTP changes to 1 when the alarm is acknowledged.

1= ACKNOWLEDGED
2 = HH ALARM is a High-High alarm
3 = HI ALARM is a High alarm
4 = LO ALARM is a Low alarm
5 = LL ALARM is a Low-Low alarm
6 = ROC ALARM is a Rate of Change alarm
7 = HDEV ALARM is a High Deviation alarm
8 = LDEV ALARM is a Low Deviation Alarm
0 = NO ALARM

Range:0 - 8
Field Type: Text
Tag field: .ALMTP read only

Syntax: Tagname.ALMNM
Blockname:Parameter.ALMNM

Examples: SPEED.ALMNM
TIC101:MEAS.ALMNM

See also, ALMNM, ALMST, ALMVA, ALMHH, ALMHI, ALMLL, ALMLO, ALMROC, ADVHI, and ADVLO


4.8.22 .ALMVA

Alarm Value describes real-time value of the tag when it entered the alarm state.

Range:Field Type: Text
Tag field: .ALMVA read only

Syntax: Tagname.ALVAM
Blockname:Parameter.ALMVA

Examples: SPEED.ALMVA
TIC101:MEAS.ALMVA

See also, ALMNM, ALMST, ALMHH, ALMHI, ALMLL, ALMLO, ALMROC, ADVHI, and ADVLO


4.8.23 .APRDIG

Alarm Priority Digital. The Alarm priority for a Discrete Tag. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms.

Range: 0 to 99
Field Type: Analog
Tag fields: .APRDIG


4.8.24 .APRHDV

High Deviation Alarm Priority is the relative importance of the ALMHH alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. Deviation Alarms can be asymmetrical. High Deviation is the positive difference between the tag and the reference tag. This is the idea of the tag increasing above its setpoint. This field is for ANALOG tags and parameters only. See Dev. Tag Name

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Dev Hi Priority
Tag fields: .APRHDV


4.8.25 .APRHH

High High Alarm Priority is the relative importance of the ALMHH alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Hi Hi Priority
Tag fields: .APRHH

See also, ALMHH


4.8.26 .APRHI

High Alarm Priority is the relative importance of the High alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Hi Priority
Tag fields: .APRHI

See also, ALMHI


4.8.27 .APRLDV

Low Deviation Alarm Priority is the relative importance of the ADVLO alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. Deviation Alarms can be asymmetrical. Low Deviation is the negative difference between the tag and the reference tag. This is the idea of the tag decreasing below its setpoint. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Dev Lo Priority
Tag fields: .APRLDV

See also, ADVLO


4.8.28 .APRLL

Low Low Alarm Priority is the relative importance of the ALMLL alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Lo Lo Priority
Tag fields: .APRLL

Syntax: tagname.APRLL
Blockname:Parameter.APRLL

Examples: SPEED.APRLL
TIC101:MEAS.APRLL

See also, ALMLL


4.8.29 .APRLO

Low Alarm Priority is the relative importance of the ALMLO alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter and sort alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: Lo Priority
Tag fields: .APRLO

See also, ALMLO


4.8.30 .APRROC

Rate of Change Alarm Priority is the relative importance of the ALMROC alarm. The Higher the Priority, the Higher the Importance is of the alarm. Alarm Priority is also used to filter alarms on the alarm summary. This feature helps operators to distinguish between important alarms and nuisance alarms. This field is for ANALOG tags and parameters only.

Range: 0 to 99
Units:
Field Type: Analog
Configuration: ROC Priority
Tag fields: .APRROC

See also, ALMROC


4.8.31 .BNAME

Block Name is the Name of the Block. See Alias for longer tag names. Can be any alphanumeric. Used to strip the parameter name from the full tagname (.NAME)

Range: 12 alphanumeric characters
Field Type: Text
Tag fields: .NAME read only

Syntax: Blockname:Parameter.PNAME
Examples: TIC101:OUT.NAME returns TIC101

See also, NAME, PNAME, and PTYPE


4.8.32 .BTYPE

Block Type is the Type used to create this Block. Typical Block Types include PID, CASCADE, VAV, AHU and PUMP.

Engineers and technicians assign the BTYPE name when they create the Block Type in the Advantech WebAccess Configuration Project Manager. New Block Types can also be created in the Project Manager. It is possible to use the same BTYPE in to different devices. This may cause difficulties with the GOTO Block Detail Display. If a Block Detail Display is named after this block, it can be called used the GOTO BDETAIL command in pushbutton keymacros, the GOTO Dialog Box and scripts.

Range: 12 alphanumeric characters
Field Type: Text
Tag fields: .BTYPE read only

Syntax: Blockname:Parameter.BTYPE
Examples: TIC101:OUT.BTYPE

See also, BNAME, NAME, PNAME, and PTYPE


4.8.33 .COM

Com Port. This is the communications port the tag is using to read or write data from automation devices including PLCs, Controllers and IO. The STATION STATUS Display can be used to view the status of the comport. The %DAQ System Tag can also be used to monitor the Status of the comport using %DCOMST(tagname.COM). Comport numbers less than 1 represent Internal Tags (Accumulation, Constant, Calculation, System and Screen Tags). For IO Tags and Blocks, the COM Port is the physical comm. port configured in Advantech WebAccess Configuration Manager. For Network and Software Interfaces (like DDE, OPC and APU), the COM port may be a virtual number. For Serial and some API interfaces, the comport is the physical communications port (i.e. COM1, COM2, COM3, etc.).

-1 = Accumulation Tag (Internal Tag)
-2 = Calculation Tag (Internal Tag)
-3 = Constant Tag (Internal Tag)
0 = Local Screen Tag or %DAQ System Tag (Internal Tag)
1 to 255 = Physical Comport (Com1, Com2, etc) or Virtual Port

Range: -3 to 255
Units:
Field Type: Analog
Configuration: Com Port
Tag fields: .COM read only

Syntax: Tagname.COM
Blockname:Parameter.COM

Examples: SPEED.COM
TIC101:MEAS.COM


4.8.33.1 .DELAYA

Alarm Delay Time in milliseconds. Specifies the time in Milliseconds for a tag to be beyond an alarm limit, before an alarm state is generated. The idea is to prevent noise or an alarm bouncing near an alarm limit. The SCADA node waits this period of time before sending alarm messages, if during this waiting period, the tag returns to a non-alarm value, then no alarm message is generated. If Reflect On Line changes to Database is enabled, changes will be saved in the Configuration Database on the Project Node (i.e. become permanent).

Range: 0 - 600,000
Units: Milliseconds
Field Type: Analog
Configuration: Alarm Delay Time
Tag fields: .DELAYA

See Also, 4.3.24.10 Alarm Delay Time


4.8.33.2 .DELAYN

Alarm to Normal Delay Time in milliseconds. Discrete Tags only. Specifies the time in Milliseconds for a tag to be in a Normal Condition after an Alarm Condition, before an alarm state is self-acknowledged without operator intervention. This occurs only if Ack Alarm by Return to Normal is enabled in SCADA Node properties. If Reflect On Line changes to Database is enabled, changes will be saved in the Configuration Database on the Project Node (i.e. become permanent).

Range: 0 - 600,000
Units: Milliseconds
Field Type: Analog
Configuration: Alarm Delay Time
Tag fields: .DELAYN

See Also, 4.3.24.10 Alarm Delay Time


4.8.34 .DEVNM

Device Name. This is name of the Automation device the tag connects in order read or write data. Automation devices include PLCs, Controllers and IO. Typical Device Names are PLC1, CTL202, and VAV300. Engineers and technicians assign the Device Name when they create the Device in the Advantech WebAccess Configuration Project Manager.

Range: 16 alphanumeric characters
Field Type: Text
Tag fields: .DEVNM read only

Syntax: Tagname.DEVNM
Blockname:Parameter.DEVNM

Examples: PI200.DEVNM
TIC101:MEAS.DEVNM


4.8.35 .DEVMP

Device Map. Some drivers use this. It is a type of "address" used by the tag to read or write data from automation devices including PLCs, Controllers and IO. The Device MAP assigned by engineers and technicians when they create the Device in the Advantech WebAccess Configuration Project Manager. It is usually blank for most drivers.

Range: 16 alphanumeric characters
Field Type: Text
Tag fields: .DEVMP read only

Syntax: Tagname.DEVMP
Blockname:Parameter.DEVMP

Examples: PI200.DEVMP
TIC101:MEAS.DEVMP


4.8.36 .DESCR0

State 0 descriptor for a Discrete Tag.

Optionally, a Discrete or Digital tag can be displayed as a text descriptor, for example ON, OFF, True, False, Run, Stop, Auto, Manual, HOLD etc.

A DISCRETE TAG can have up to 8 states depending on how many BITS are read from the automation device. If three bits are read or written from the field device, 8 state descriptors can be used to display the 'State" of the tag's value. If a single bit is read or written form the device, then only two state descriptors are used.

Length State Descriptors Used

1 STATE 0 and STATE 1

2 STATE 0, 1, 2, and STATE 3
3 STATE 0 thru STATE 7

The value of the Tag read by calculation tags, accumulation tags, scripts, keymacros and user programs is always the integer representation (0 to 7). The tag descriptor fields can be read scripts and user programs (DESCR0 to DESCR7).

Normally, engineers and technicians when creating the tag using Project Manager enter the STATE DESCRIPTORS. The Descriptors can be edited in VIEW by users with security level 127.

Range: 13 alphanumeric characters
Field Type: Text
Tag fields: .DESCR0

Syntax: Tagname.DESCR0
Blockname:Parameter.DESCR0

Examples: DI201.DESCR0
TIC101:AM.DESCR0

See also, .DESCR1 .DESCR2 .DESCR3 .DESCR4 .DESCR5 DESCR6 .DESCR7

Range: 12 alphanumeric characters
Field Type: Text
Tag fields: .DESCR0 .DESCR1 .DESCR2 .DESCR3 .DESCR4 .DESCR5 DESCR6 .DESCR7


4.8.36.1 .DESCR1

State 1 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.36.2 .DESCR2

State #2 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.36.3 .DESCR3

State #3 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.36.4 .DESCR4

State #4 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.36.5 .DESCR5

State #5 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.36.6 .DESCR6

State #6 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.36.7 .DESCR7

State #7 descriptor for a Discrete Tag.

Please see .DESCR0 for a complete description


4.8.37 .DESCRP

DESCRIPTION

Description of the tag or BLOCK:PARAMETER used in displays and alarms. A typical description is Boiler #1 Feedwater Flow.

Range: 25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP

Syntax: Tagname.DESCRP
Blockname:Parameter.DESCRP

Examples: PI301.DESCRP
TIC101:OUT.DESCRP

See also, DESCR0 - 6


4.8.38 .DSPFMT

Display Format for the value of the tag.

Defines the display format in number of significant digits and decimal places. The integer part of the DSPFMT value and defines the number of digits displayed before the decimal point. For example, a value of 4.0 will show values from 0 to 9999

The decimal fractional part of DSPFMT specifies the number of digits displayed after the decimal point. For example, a value of 0.4 will show values from .0001 to .9999

The maximum display field size is 15 digits calculated as the sum of Display Integer + Display Decimal.

4.2 will display in the 9999.11 format.
2.4 will display in the 99.1111 format

Range:0.15 to 15.0
Field Type: analog
Tag field: .DSPFMT

Syntax: Tagname.DSPFMT
Blockname:Parameter. DSPFMT

Examples: PI301. DSPFMT
TIC101:OUT. DSPFMT


4.8.39 .ENUNIT

Engineering Units

Engineers and operators use Engineering units to better understand the number displayed by the tag. For example, volume in a tank can be measured in DegF, DegC, Gallons, Liters, Feet, Inches, Meters or Percent Full. Engineering Units is a text that will be displayed on all displays that reference the ENUNIT field of the tag. Engineering Units are limited to 12 characters in version 2.1. This field is for ANALOG tags and parameters only.

Range: any text string, up to 12 characters
Field Type: Text
Tag field: .ENUNIT

Syntax: Tagname.ENUNIT
Blockname:Parameter. ENUNIT

Examples: PI301. ENUNIT
TIC101:OUT. ENUNIT


4.8.40 .NAME

Tagname

Full Name of the Tag or Block Parameter. This name identifies the tag throughout configuration, DRAW and VIEW during run-time operation. 21characters is the maximum length. See Alias for longer tag names. Can be any alphanumeric. Blank spaces are NOT recommended. Keymacros and scripts will not interpret tags with spaces correctly. Typical tag Name is FIC2492. See BNAME for the Block Name and PNAME for parameter name.

Range:21 alphanumeric characters
Field Type: Text
Tag fields: .NAME read only

Syntax: Tagname.NAME
Blockname:Parameter.PNAME

Examples: PI301.NAME returns PI301
TIC101:OUT.NAME returns TIC101.OUT

See also, BNAME, PNAME, and PTYPE


4.8.41 .NODE

Name of the SCADA Node that reads the data from the automation device for this tag.


4.8.42 .OUTPHI

Output High Limit

This is the maximum value that users and operators can assign to the tag. An example is limiting Setpoint changes to less than the full input scale. Common uses include Setpoint Limits and Output Limits for controls.

The Output Limits affect only data entered through Advantech WebAccess in the run-time VIEW including displays, dialog boxes, keymacros, data-transfer function, recipes and scripts.

If the tag is an IO Tag (for example a register in a PLC or controller) a ladder program, other third party software can change the tag in the field device directly. This field is for ANALOG tags and parameters only.

Range: SPANLO to SPANHI
Field Type: analog
Tag field: .OUTPHI


4.8.43 .OUTPLO

Output Low Limit

This is the minimum value that users and operators can assign to the tag. An example is limiting Setpoint changes to values greater than Span LO. Common uses include Setpoint Limits and Output Limits for controls.

The Output Limits affect only data entered through Advantech WebAccess in the run-time VIEW including displays, dialog boxes, keymacros, data-transfer function, recipes and scripts.

If the tag is an IO Tag (for example a register in a PLC or controller) a ladder program, other third party software can change the tag in the field device directly. This field is for ANALOG tags and parameters only.

Range: SPANLO to SPANHI
Field Type: analog
Tag field: .OUTPLO


4.8.44 .PADDRS

Address

Address of data in the field device to be read or written by this tag or BLOCK:PARAMETER. Address is initially set when the Tag or Block was built. Address is very device dependent. Refer to the device driver manual for more details.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS

Syntax: Tagname.PADDRS
Blockname:Parameter. PADDRS

Examples: PI301. PADDRS
TIC101:OUT. PADDRS


4.8.45 .PDESCR

Parameter Description

Not supported in Version 2.1

See also, DESCR


4.8.46 .PNAME

Parameter Name

Users and operators will reference the elements in a block by appending the parameter name to the Block Tag name, Blockname:parameter. You should pick a parameter name that will be meaningful to ordinary users and operators. Do not include blank spaces within your parameter name.

For example, a Foxboro 761 device:

TIC101:SP for the setpoint of a Temperature controller,
TIC101:MEAS for the measurement,
TIC101:OUTP for the output of the primary controller.

For Tags, this is the Parameter used as a template to create the tag. A custom point detail display can be configured for Tags by naming their Point Detail the same as the Parameter Name.

Range: up to 7 alphanumeric characters.
Field Type: Text
Tag field: .PNAME

Syntax: Tagname.PNAME
Blockname:Parameter.PNAME

Examples: PI301.PNAME returns
TIC101:OUT.PNAME returns OUT

See also, BNAME, NAME, and PTYPE.


4.8.47 .PTYPE

Parameter Type

The Data type used to create the tag. Analog is a floating Point Number or Integer. Discrete is a state between 0 and 7, depending on the configuration. Text is ASCII data.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only

Syntax: Tagname.PTYPE
Blockname:Parameter.PTYPE

Examples: PI301.PTYPE
TIC101:OUT.PTYPE

See also, TYPE, BTYPE, BNAME, NAME, and PNAME


4.8.48 .QCODE

Quality Code of communications and data read by tag. The QCODE reports errors that occur while reading data from the automation device. 0 = good = no error. Any non-zero value is an error. Typically, a value of 8000 or greater is critical. The QCODE is displayed in the Point Info Dialog box for the tag. Typically, loss of communication will show QCODE as * [8000] in the Point Info Dialog Box.

If "KEEP PREVIOUS VALUE" is NO, then an Asterisk (*) appears as the value of a tag indicating BAD DATA.

If "KEEP PREVIOUS VALUE" is YES, then the last good value appears as the value of a tag if communications fail. The QCODE is the indication of BAD DATA.

Refer to the specific Device Driver Manual for a description of Quality Codes for your device.

Range: 0 to 65535.
Field Type: Analog
Configuration: Keep Previous Value
Tag field: .QCODE read only

Syntax: Tagname.QCODE
Blockname:Parameter.QCODE

Examples: PI301.QCODE
TIC101:OUT.QCODE

See also, QNAME


4.8.49 .QNAME

Quality Name is a text description of the QCODE (Quality Code) supplied by some device drivers. The QCODE reports errors that occur while reading data from the automation device. No all device drivers supply a QNAME.

Refer to the specific Device Driver Manual for a description of Quality NAME capability for your device.

Range: device dependant
Field Type: Text
Configuration: Keep Previous Value
Tag field: .QNAME read only

Syntax: Tagname.QNAME
Blockname:Parameter.QNAME

Examples: PI301.QNAME
TIC101:OUT.QNAME

See also, QCODE


4.8.49.1 .SCALET

Scaling Type is an integer describing the scaling type used by the tag. Users can modify this on line. This is dependent on the device driver. This value is set in configuration ( see 4.2.13 Scaling Type). Applies to Analog Type tags only. The default values are:

0 = No Scale
1 = Scale 0-100% Input to SPAN
2 = Linear MX+B
3 = Scale Defined Input H/L to Span
4 = Scale 12-Bit Input to Span
5 = Scale 0-100% Square Root Input
6 = Square Root of Input/(F2-F1)) to Span

Refer to the specific Device Driver Manual for a description of scaling types for your device.

Range: (0 to 6 is default) device dependant
Field Type: Analog
Configuration: 4.2.13 Scaling Type
Tag field: .SCALET

Syntax: Tagname.SCALET
Blockname:Parameter.SCALET

Examples: PI301.SCALET
TIC101:OUT.SCALET

See also .SCALE1, .SCALE2, 4.2.13 Scaling Type


4.8.49 .2 .SCALE1

4.8.49.2 .SCALE1 and .SCALE2

Scaling Factor 1 and Scaling Factor 2 are real numbers used with the scaling type to define the values of an analog tag. Users can modify this on line. These values are set in tag configuration 4.2.14 SCALING FACTOR 1 and 2 .

Range: Real Number
Field Type: Analog
Configuration: 4.2.14 SCALING FACTOR 1 and 2
Tag field: .SCALE1 .SCALE1

Syntax: Tagname.SCALE1
Blockname:Parameter.SCALE1

Examples: PI301.SCALE2
TIC101:OUT.SCALE2

See also .SCALET, 4.2.14 SCALING FACTOR 1 and 2


4.8.50 .SCANGP

Scan Group. Not supported in version 4.0


4.8.50.1 .SCANST

Scan State. Tag field "SCANST" allows a user to put a tag in “maintenance mode” by setting this field to a desired value. This applies to IO tags, Constant, Calculation and Accumulation point Tags. Only I/O tags have the “bad” states (4 to 7).

0 is normal.

Set this value to:

1 to disable writes to this tag.

2 to disable alarm checking.

3 to disable writes & alarm checking.

4 to show value as BAD, '*' (asterisks), with quality 0xf0f0.

5 to show bad and disable write.

6 to show bad and disable alarm checking.

7 to show bad, disable write and alarm checking.

"Restore Tag Scan Status Timeout” can be defined in SCADA node properties. If the kernel re-starts with in the timeout, the kernel restores previous SCANST for the tag. If the kernel stopped normally, the last value is restored, otherwise, the last on-the-minute value is restored.


4.8.51 .SCANTG

Scan Trigger. Not supported in version 4.0


4.8.52 .SCANTM

Scan Time Interval is the frequency of polling requests for new data. Displayed as Seconds. (Note that it is specified in Milliseconds in Advantech WebAccess Configuration). Engineers and technicians set the scan time when configuring the communications port the device uses. The speed is largely determined by the PLC or field device and the nature of the network (how many other devices there are, how much data, the protocol, and baud rate). Slower the baud rates and the larger the amounts of information, require slower scan times. Refer to the Device Manufacturer's Manual for information on minimum scan times.

The freshness of the data is largely determined by the protocol, some protocols are report by exception and include Deadbands that must be exceeded before a value is updated.

A zero (0) sets the scan time to scan as often as possible.

Range: 0 to 3600
Field Type: Analog
Tag fields: .SCANTM read only

Syntax: Tagname.SCANTM
Blockname:Parameter.SCANTM

Examples: PI301.SCANTM
TIC101:OUT.SCANTM


4.8.53 .SCANTP

Scan Type defines the type of scanning performed by the Tag or Block Parameter.

Constant Scan means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, trends, logs, batch, scripts, logic).

Display Scan is for infrequently accessed tags, like tuning parameters and setpoints. Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range:Constant Scan or Display Scan
Field Type: Text
Tag fields: .SCANTP read only

Syntax: Tagname.SCANTP
Blockname:Parameter.SCANTP

Examples: PI301.SCANTP
TIC101:OUT.SCANTP


4.8.54 .SECA

Security Area limits the ability to change the value of this tag, to those users having access to this Area. A user must be assigned both Area and Level privileges to change the Tag.

Advantech WebAccess uses the concept of Area of Responsibility. A user may have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this tag but paper machine operators can only view it.

Areas are numbered 0 to 31. A value of 0 means the tag belongs to Area 0. A Tag can belong to only one Area. A user can be assigned to multiple areas with a different security level in each. For more information, see the section on Users, Passwords & Security .

Range: 0 to 31
Field Type: analog
Tag field: .SECA

Syntax: Tagname.SECA
Blockname:Parameter. SECA

Examples: PI301. SECA
TIC101:OUT. SECA


4.8.55 .SECL

Security Level specifies the password protection level required to change the tag's value in run-time VIEW. The Security Level limits ability to change the value of this tag, to those users assigned to the same Area and having Security Level equal to or greater than the level specified for the tag. A user must be assigned both Area and Level privileges to change the Tag.

For example, a Security Level of 5 and Security Area of 2 will require a user have a security Level greater than or equal to 5, in Area 2 in order to change the value of the Tag.

All Tag Fields require a Level of 127 to change, regardless of the Level Assigned to the Tag.

Advantech WebAccess uses the concept of Area of Responsibility that allow a User to have different access Levels in different areas of the facility or plant. This might be used in a large facility to give various users different read and modify permissions. For example, boiler operators may change this point but paper machine operators can only view it.

A user can be assigned to multiple areas with a different security level in each. For more information, see the section on Users, Passwords & Security .

Range:0 to 127
Field Type: analog
Tag field: .SECL

Syntax: Tagname.SECL
Blockname:Parameter. SECL

Examples: PI301. SECL
TIC101:OUT. SECL


4.8.56 .SIGREV

Signal Reverse specifies if data read from field is inverted.

For an analog tag, indicates the scale is reversed (e.g. 0 percent means 100% open for valve position). SPANHI and SPANLO are switched in conversion and scaling to engineering units. SPANHI is applied to 0 value from field device. SPAN LO is applied to maximum value from field device.

For a Discrete signal, depends on the number of states in the tag. For example, in a 2-state discrete tag, reverses 1 to 0. (e.g. reverses true to a false) In an 8 state Discrete Tag, 0 becomes 7, 1 becomes 6, 2 becomes 5 and 3 becomes 4, etc.

Range: 0 or 1 (Yes or No)
Field Type: Discrete
Tag fields: .SIGREV

Syntax: Tagname. SIGREV
Blockname:Parameter. SIGREV

Examples: PI301. SIGREV
TIC101:OUT. SIGREV


4.8.57 .SIZE

Array Size. Most devices and communications protocols do not support arrays. Used in IO Tags if IO device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Constant Tags and Local Screen Tags can be defined as arrays, where one tag can specify an array of values, each element accessed using tag(number).

Range: 1 to 99
Field Type: analog
Tag field: .SIZE

Try using a Block if you need an array-like feature for IO tags read from your device.

An array is commonly used by programmers in looping programs or indexed calls. Constant Tag arrays allow users to reference a global tag using the array convention tagname(index) in scripts or programs.

For example, if arraytag is an array type analog constant point of array size 20 (i.e. 20 elements) the following script will set all the values to 0.

for {set  x  0} {$x<20} {incr x} {

SETVAL "arraytag($x) = 0"

            }


4.8.58 .SPAN25

Quarter Scale (25% of full Scale). Used in widgets and faceplates to provide intermediate markings to scales for the tag. Advantech WebAccess automatically calculates this from SPANHI and SPANLO

SPAN25 = .25(SPANHI - SPANLO) + SPANLO

Range:-99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPAN25 - read only


4.8.59 .SPAN50

Half Scale (50% of full Scale). Used in widgets and faceplates to provide intermediate markings to scales for the tag. Advantech WebAccess automatically calculates this from SPANHI and SPANLO

SPAN25 = .5(SPANHI - SPANLO) + SPANLO

Range:-99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPAN50 - read only


4.8.60 .SPAN75

¾ Scale (75% of full Scale). Used in widgets and faceplates to provide intermediate markings to scales for the tag. Advantech WebAccess automatically calculates this from SPANHI and SPANLO

SPAN25 = .75(SPANHI - SPANLO) + SPANLO

Range:-99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPAN75 - read only


4.8.61 .SPANHI

Span Hi Describes the intended maximum value of the tag. Depending on how the tag was built, this may be the true maximum or just an indication that maybe ignored.

Span Hi is used by some Scaling Types to "re-scale" the value read from the PLC. For some Scale Types, Span Hi is the maximum value of the Tag. For other, Scale Types, Span Hi is for display use only. For example, if No Scale is selected, the Span appears on Trends and Displays, but is informational only. The actual value can exceed Span Hi if no scale is used. (See Scaling Type for more details).

Span Hi is used by Trends, Overviews, and user built animation to determine the Maximum Value of the Tag. For example, if a tank is filled by a Tag, the Hi Span is used to determine the tag' value for a Full Tank. This field is for ANALOG tags and parameters only.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Configuration: Span High
Tag field: .SPANHI


4.8.62 .SPANLO

Span Lo

Describes the intended maximum value of the tag. Depending on how the tag was built, this might be the true maximum value or just an indication.

Span Lo is used by some Scaling Types to "re-scale" the value read from the PLC. For some Scale Types, Span Lo is the minimum value of the Tag. For other, Scale Types, SpanLo is for Display Use only. For example, if No Scale is selected, the SpanLo appears on Trends and Displays, but is informational only. The actual value can exceed Span Lo if no scale is used. (See Scaling Type for more details).

Span Lo is used by Trends, Overviews, and user built animation to determine the Minimum Value of the Tag. For example, if a tank is filled by a Tag, the Span Lo is used to determine the tag' value for an empty Tank. This field is for ANALOG tags and parameters only.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Configuration: Span Low
Tag field: .SPANLO


4.8.63 .TEMPVA

Temporary Value for tag used in drag regions and pushbuttons to hold a temporary value.

TEMPVA behaves like a screen tag. It allows super-fast screen response, for Drag regions, slider bars and ramp buttons, regardless of the speed of communications to the IO Tag.

Every Tag and parameter in the system including analog, digital and text points have this TEMPVA field. It is initialized to the value of the tag or parameter it is associated with when the display is called up. It responds as fast as a screen tag. The user or operator sees fast animation of his changes to drag regions rather than waiting the two or more seconds for feedback from the field device.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .TEMPVA

Example for Blocks

The Move or Bar is Animation is connected to: Tagname:Parameter.TEMPVA
Drag Region is connected: Tagname:parameter.TEMPVA
Drag Region Button Key Up Macro:
<SETVAL>Tagname:parameter=@Tagname:parameter.TEMPVA

The Button Up Keymacro is needed to pass the new value of .TEMPVA to the actual Tagname.

A second larger bar, move object, or text is connected to: Tagname:Parameter (Optional - to prevent false indication)

Example for Tag

The Move or Bar is connected to: Tagname.TEMPVA
The Drag Region is connected to: Tagname.TEMPVA
The Button Key Up Macro is: <SETVAL>Tagname=@Tagname.TEMPVA

A second larger bar, move object, or text is connected to: Tagname
(Optional - to prevent false indication)

There are drawbacks to this. The actual tag or parameter in the field is not guaranteed to change due to communications error, Wrong Access Level (password) or field device lockout. In these cases, TEMPVA stays at the dragged value, falsely indicating the new setpoint.

Since the change to the field variable uses the keymacro "<SETVAL>Tagname.TEMPVA", there is no “WRONG PASSWORD LEVEL” message.

One solution to these false indications is to make dual active points: one connected to the .TEMPVA and the other to the actual field point. The drag region would only be associated with the .TEMPVA. The two active points would have to be of different sizes to prevent one from writing over the other completely. Alternatively, the second active point could be a text field showing the point: the widgets knob3, knob4 and knob 5 are examples of this second text field.


4.8.64 .TXTLEN

Test Length describes the number of characters in a Text type tag or parameter.

Range: 0 to 70
Field Type: analog
Configuration: Text Length
Tag field: .TXTLEN - read only


4.8.65 .TYPE

Data Type of Tag or parameter: Analog, Discrete or Text. Analog is a floating Point Number or Integer. Discrete is a state between 0 and 7, depending on the configuration. Text is ASCII data. Discrete is also called Digital.

Range: analog, digital or text.
Field Type: Text
Configuration: Type - Determined by Parameter used to create tag
Tag field: .TYPE read only

Syntax: Tagname.TYPE
Blockname:Parameter.TYPE

Examples: PI301.TYPE
TIC101:OUT.TYPE

See also, PTYPE, BTYPE, BNAME, NAME, and PNAME


4.8.66 .UNIT

Unit Number of field device this tag reads. Depending on the driver, this may be the physical address of the device. Technicians and engineers configure unit Number when they create the device in Advantech WebAccess Configuration Project Manager on the Comport Properties Page.

Range: 0 to 255
Field Type: Analog
Configuration: Unit Number
Tag field: .Unit read only

Syntax: Tagname.UNIT
Blockname:Parameter.UNIT

Examples: PI301.UNIT
TIC101:OUT.UNIT


4.9 %DAQ & System Tags

4.9 System Tags

System Tags provide diagnostics, facilitate display management and provide useful information for scripts. For example, there are system tags for Time, Date, Communication Port Status, Active Alarms, current display name, current alarm, Simulation Mode, License Serial Number, and last tag picked by operator. The can be used to get information about alarms, operator action. System tags can be used in creating active points to build custom graphics, such as custom recipe display, or in scripts to provide event-triggered functions. System tags can also be viewed during run-time VIEW using the Point Browser. DAQ Tags are used by engineers and technicians to modify the system and system displays (for example the Alarm Summary, Overview, Alarm Log, and Trend Displays).

There are two major categories of System Tags: %DAQ and System Point Tags.

System Point Tags

The System Point tags must be configured by the user and are based on a subset of the %DAQ tags, although there are System Point Tags that do no have a corresponding %DAQ tag. System Points alarm, show in the Alarm Summary, can be used in trends, global scripts, calculation tags, logs and reports.

%DAQ

The %DAQ tags are created automatically, however they do not appear in the Alarm Summary, trends, or reports. Only Local Screen Scripts, Graphic Display and Pushbutton Keymacros can use %DAQ tags. These %DAQ System Tags all begin with a Percent Sign (%).
%A are analog type tags.
%D are discrete type tags.
%T are text type tags.

There are often both Analog and Text equivalents of a System Tag. For example, %ACOMST(1), %DCOMST(1) and %TCOMST(1) all describe Status of Comport 1 (with 1, ENABLED and BAD). %DKRLMODE describes the Simulation (SIMU) or Communications (COM) mode.

The majority of the %DAQ tags require arguments. For example, %COM(2) obtains the Comport Status for comport 2.

The Alarm of a %DAQ tag does not appear in the alarm summary or alarm log. The alarm is for Display purposes only, are self clearing and can not be acknowledged.

Global Scripts and Calculation Tags can not read %DAQ tags (use System Point tags with global scripts, calculations, trends logs and reports).

Screen Scripts and Keymacros can read %DAQ System tags.

You can see the value of any %DAQ system tag in the Point Info Dialog Box using the ViewDAQ button. %DAQ system tags are listed after any local screen tags.

Figure 4.9.1 - ViewDAQ button in Point Info Dialog Box to see %DAQ system Tags

System Point tags show up as I/O tags or using the Constant Tag button on the Point Info Dialog box.


4.9.1 Analog %ADAQ Tags

The more commonly used Analog System Tags are listed below. These are Analog type Tags.

The Alarm of a %ADAQ tag does not appear in the alarm summary or alarm log. The alarm is for Display purposes only, are self clearing and can not be acknowledged.

%AALMGLOBAL - Global Alarm Status (number)

%AALMGLOBAL(priority) - Alarm Status of specified alarm priority (number)

%AALMGLOBALN - Global Number of Alarms

%ASQLCODE - SQL Error in a Script (SQL is used to Query Databases)


4.9.1.1 %AALMGLOBAL

4.9.1.1 %AALMDISH

Alarm Disable List Highlighted Used to return an pointer index. Added for users to create an Alarm Disabled List (i.e. a list of tags which alarms are disabled).

Syntax: %AALMDISH

Security: READ ONLY

Arguments: None

Example: <SETVAL>%AALMDISH=@%TLS(%AALMDISH 16 %AALMDISP)

Hi Span: 99999

Lo Span: -1

See also, %AALMDISP, %AALMDISP, %TALMDIS1(, %TALMDIS2(, %TALMDIS3(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(, and %TALMDIS7(


4.9.1.1 %AALMGLOBAL

4.9.1.2 %AALMDISN

Alarm Disable List Number If NO ALARMS are disbaled, returns a 0. Added for users to create an Alarm Disabled List (i.e. a list of tags which alarms are disabled).

Syntax: %AALMDISN

Security: READ ONLY

Arguments: None

Example:

Hi Span: 9999999

Lo Span: 0

See also, %AALMDISP, %AALMDISH, %TALMDIS1(, %TALMDIS2(, %TALMDIS3(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(, and %TALMDIS7(


4.9.1.1 %AALMGLOBAL

4.9.1.3 %AALMDISP

Alarm Disable List Position Used to return a pointer index. Added for users to create an Alarm Disabled List (i.e. a list of tags which alarms are disabled).

Syntax: %AALMDISP

Security: READ ONLY

Arguments: None

Examples: %TLS(%AALMDISH 0 %AALMDISP)
%TLV(%TALMDIS1 0 %AALMDISP)
<SETVAL>%AALMDISH=@%TLS(%AALMDISH 16 %AALMDISP)

Hi Span: 9999999

Lo Span: 0

See also, %AALMDISN, %AALMDISH, %TALMDIS1(, %TALMDIS2(, %TALMDIS3(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(, and %TALMDIS7(

An example of an Alarm Disabled List graphic Display list of Dynamic point is.


4.9.1.1 %AALMGLOBAL

4.9.1.4 %AALMGLOBAL

Global Alarm Status of SCADA node. (It's not global). Use %AALMGLOBALN for true global alarms. Describes if there are any UNACKNOWLEDGED or any ALARM in on this SCADA node. If there is at least one UNACKNOWLEDGED alarm, will return a 1. If all alarms are ALL ACKNOWLEDGED, returns a 2. If NO ALARMS, returns a 0.

This tag can be read by Global Scripts!

See the example at 2.10.20 Play a Wave File if UNACK Alarm

Syntax: %AALMGLOBAL

Security: READ ONLY

Arguments: None

Example:

Hi Span: 2

Lo Span: 0

0 : NO ALARM

1 : UNACKNOWLEDGED ALARM

2 : ALL ALARMS ACKNOWLEDGED

Alarm High: 1

Similar to %TALMGLOBAL . See also LevelALM, %AALMGLOBAL( ), %AALMGLOBALN .


3.2.32 Real Time Trend Display Style

4.9.1.5 %AALMGLOBAL( )

Global Alarm Status for Priority n Alarms of SCADA node. (It's not global). Use %AALMGLOBALN for true global alarms. Describes if there are any UNACKNOWLEDGED or any ALARM in on this SCADA node. If there is at least one UNACKNOWLEDGED alarm, will return a 1. If all alarms are ALL ACKNOWLEDGED, returns a 2. If NO ALARMS, returns a 0.

Syntax: %AALMGLOBAL(n)

Security: READ ONLY

Arguments: Alarm Priority

Example: %AALMGLOBAL(1)

Hi Span: 2

Lo Span: 0

0 : NO ALARM

1 : UNACKNOWLEDGED ALARM

2 : ALL ALARMS ACKNOWLEDGED

Alarm High: 1

Similar to %TALMGLOBAL. See also %AALMGLOBAL, %AALMGLOBALN ,%TALMGLOBAL, LevelALM.


4.9.1.2 %AALMGLOBAL

4.9.1.6 %AALMGLOBALN

Number of Global Alarms Status on all SCADA nodes. Describes if there are any UNACKNOWLEDGED or any ALARM in on all SCADA nodes. If NO ALARMS, returns a 0.

Syntax: %AALMGLOBALN

Security: READ ONLY

Arguments: None

Example:

Hi Span: 9999

Lo Span: 0

Alarm High: 1

Similar to %TALMGLOBAL . See also LevelALM, %AALMGLOBAL( ), %AALMGLOBALN .


4.9.1.1 %AALMGLOBAL

4.9.1.7 %AALMGLOBALN

Number of Global Alarms Status on all SCADA nodes. Describes if there are any UNACKNOWLEDGED or any ALARM in on all SCADA nodes. If NO ALARMS, returns a 0.

Syntax: %AALMGLOBALN

Security: READ ONLY

Arguments: None

Example:

Hi Span: 9999

Lo Span: 0

Alarm High: 1

Similar to %TALMGLOBAL . See also LevelALM, %AALMGLOBAL( ), %AALMGLOBALN .


4.9.1.3 %ACOMSCANTM

4.9.1.8 %ACOMSCANTM

Comport Scan Time. Describes scan time in milliseconds of referenced com port in on this SCADA node. If comport not configured, returns a 0. If comport DISABLED then returns !

Syntax: %ACOMSCANTM(comport)

Security: READ ONLY

Arguments: comport number

Example: %ACOMSCANTM(1)

Hi Span: 9999

Lo Span: 0

Eng. Units: Milliseconds (MSEC)

See also %ACOMST, %DCOMST, PortSTS, %DKRLMODE.


4.9.1.4 %ACOMST

4.9.1.9 %ACOMST

COMPORT STATUS. Describes the ENABLE /DISABLE status of indexed comport. 2 = DISABLE means no communications halted to devices over this communications port. A user or script must DISABLE the comport. This can be done from the STATION STATUS Display or %DCOMST. BLUE 1 = ENABLE means communications enabled and no critical errors. An asterisk (*) means comport not configured.

Syntax: %ACOMST(comport number)

Arguments: comport number

Example: %ACOMST(1)

Return Value: 0 to 4

0: OK

1: BAD

2: DISABLED

Alarm: Communications Failure

See also %TCOMST, %DCOMST, PortSTS, %DKRLMODE.


4.9.1.4.1 %ADAQTYPE

4.9.1.10 %ADAQTYPE

ViewDAQ Type and VIEW client Type. Describes the type of client used.

Syntax: %ADAQTYPE

Arguments: none or .ALMST

Examples: %ADAQTYPE
%ADAQTYPE.ALM<T

Return Value (%ADAQTYPE):

0: ViewDAQ

1: VIEW client in web browser

Return Value (%ADAQTYPE.almst):

0: ViewDAQ

1: VIEW client in web browser

Alarm: WEB BROWSER TYPE

%ADAQTYPE.almst let users and scripts know what type of View Client they are in. %ADAQTYPE will always be 0 in ViewDAQ (on the SCADA node). %ADAQTYPE will always be 1 in View Client. Please use %ADAQTYPE.almst to obtain additional info.

%ADAQTYPE = 1 and %ADAQTYPE.almst = 0, if in a View Client contained by IE (Internet Explorer).

%ADAQTYPE = 1 and %ADAQTYPE.almst = 1, if in View Client invoked by Display Group.

%ADAQTYPE = 1 and %ADAQTYPE.almst = 2, if in View in Graph or View inside View/ViewDAQ (e.g. View called in a window drawn using Draw Video).


3.2.32 Real Time Trend Display Style

4.9.1.11 %ADTRDDT

See 6.2.6 Data Log Trend - Scripts & Keymacros


3.2.32 Real Time Trend Display Style

4.9.1.12 %ADTRDH

See 6.2.6 Data Log Trend - Scripts & Keymacros


3.2.32 Real Time Trend Display Style

4.9.1.13 %ADTRDST

See 6.2.6 Data Log Trend - Scripts & Keymacros


3.2.32 Real Time Trend Display Style

4.9.1.14 %ADTRDXP

See 6.2.6 Data Log Trend - Scripts & Keymacros


4.9.1.5 %AGPHALMNO

4.9.1.15 %AGPHALMNO

Alarms on Graphic Display. The number of Tags in Alarm on this Graphic Display.

Syntax: %AGPHALMNO

Security: READ ONLY

Arguments: none

Example: %AGPHALMNO

Hi Span: 2048

Lo Span: 0

See also %AALMGLOBAL, %AAGLOBALN, %AGPHALMNOU


4.9.1.6 %AGPHALMNOU

4.9.1.16 %AGPHALMNOU

Unacknowledged Alarms on Graphic Display. The number of Tags in unacknowledged Alarm on this Graphic Display.

Syntax: %AGPHALMNO

Security: READ ONLY

Arguments: none

Example: %AGPHALMNO

Hi Span: 2048

Lo Span: 0

See also %AALMGLOBAL, %AAGLOBALN, %AGPHALMNOU


4.9.1.7 %AGPHUPDATE

4.9.1.17 %AGPHUPDATE

Graphic Update Interval. The speed the Graphic is redrawn (in seconds per refresh).

Syntax: %AGPHUPDATE

Security: 127

Arguments: none

Example: %AGPHUPDATE

Hi Span: 450

Lo Span: 0.25

Eng. Units: Seconds (SEC)

See also Set Graph Parameters, %ASCRUPDATE and 8.4.2 VIEW TAG Security Level.


4.9.1.8 %AGSUPDATE

4.9.1.18 %AGSUPDATE

Global Script Update Interval. The interval (in seconds) the reference Global Script is executed. Global Scripts run on the SCADA node).

Syntax: %AGSUPDATE(script number)

Security: 127

Arguments: none

Example: %AGSUPDATE(1)

Hi Span: 450

Lo Span: 0.25

Eng. Units: Seconds (SEC)

See also %DGSST, Global Scripts and 8.4.2 VIEW TAG Security Level.


4.9.1.9 %AHILITYPE

4.9.1.19 %AHILITYPE

Last Highlighted Point Type. The type of tag highlighted by the mouse (e.g. Analog, Discrete or Text).

Syntax: %AHILITYPE

Security: READ ONLY

Arguments: none

Example: %AHILITYPE

Hi Span: 3

Lo Span: 0

0 = no tag picked since Graphic opened

1 = Analog

2 = Discrete

3 = Text

See also %APICKTYPE and %DHILIBTYPE.


4.9.1.10 %AMCIERROR

4.9.1.20 %AMCIERROR

MCI Error Code. Describes error code in the last MCI command executed by Script or Keymacro. MCI commands are used to play recorded sound files (wav, midi, etc.) %TMCIERROR actually describes the error in English language.

Syntax: %AMCIERROR

Security: READ ONLY

Arguments: none

Example: %AMCIERROR

Hi Span: 9999

Lo Span: 0

See also %TMCIERROR, MCISEND, <MCISEND>, Play a wav file catch and display errors.


4.9.1.11 %ANUMRAND

4.9.1.21 %ANUMRAND

Random Number. A random number between 0 and 10,000

Syntax: %ANUMRAND

Security: READ ONLY

Arguments: none

Example: %ANUMRAND

Hi Span: 10000

Lo Span: 0


4.9.1.12 %APICKTYPE

4.9.1.22 %APICKTYPE

Last Picked Point Type. The type of tag picked by the mouse, touchpad, or tab key (e.g. Analog, Discrete or Text).

Syntax: %APICKTYPE

Security: READ ONLY

Arguments: none

Example: %APICKTYPE

Hi Span: 3

Lo Span: 0

0 = no tag picked since Graphic opened

1 = Analog

2 = Discrete

3 = Text

See also %AHILITYPE.


4.9.1.13 %APINGTM

4.9.1.23 %APINGTM

Ping Time. Describes ping time in seconds from web client to this SCADA node. If local View, returns a 0. If comport DISABLED then returns !

Syntax: %APINGTM

Security: READ ONLY

Arguments: none

Example: %APINGTM

Hi Span: 99999.000000

Lo Span: 0.000000

Eng. Units: seconds (SEC)


3.2.32 Real Time Trend Display Style

4.9.1.24 %ARTRDH

See 6.3.4 Real Time Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.1.25 %ARTRDST

See 6.3.4 Real Time Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.1.26 %ARTRDXP

See 6.3.4 Real Time Trend - Scripts & Keymacros


4.9.1.14 %ASCRUPDATE

4.9.1.27 %ASCRUPDATE

Script Update Interval. The speed the Local Script (i.e. screen script) updates. Only the While Running script is repeated. (in seconds per refresh).

Syntax: %ASCRUPDATE

Security: 127

Arguments: none

Example: %ASCRUPDATE

Hi Span: 450

Lo Span: 0.25

Eng. Units: Seconds (SEC)

See also Set Graph Parameters, %AGPHUPDATE and 8.4.2 VIEW TAG Security Level.


4.9.1.15 %ASQLCODE

4.9.1.28 %ASQLCODE

SQL Error Code. Describes if error occurred in the last SQL Query executed by Script or Keymacro.

Syntax: %ASQLCODE

Security: READ ONLY

Arguments: none

Example: %ASQLCODE

Hi Span: 1

Lo Span: 0

See also catch and display errors.


4.9.1.16 %ATIMERCOUNT

4.9.1.29 %ATIMERCOUNT

Timer / counter . A counts from 1 to 40

Syntax: %ATIMERCOUNT

Security: READ ONLY

Arguments: none

Example: %ATIMERCOUNT

Hi Span: 40

Lo Span: 1

See also %ANUMRAND.


4.9.1.17 %ATMHOUR

4.9.1.30 %ATMHOUR

Current Hour. Hour of Day. (0 to 23).

Syntax: %ATMHOUR

Security: READ ONLY

Arguments: none

Example: %ATMHOUR

Hi Span: 23

Lo Span: 0

Similar to TM_HOUR. See also %TTMTIME.


4.9.1.18 %ATMMDAY

4.9.1.31 %ATMMDAY

Current Day. Day of Month. (1 to 31).

Syntax: %ATMMDAY

Security: READ ONLY

Similar to TM_DAY. See also %TTMDATE and %TTMWDAY.


4.9.1.19 %ATMMINUTE

4.9.1.32 %ATMMINUTE

Current Minute. Minute of the Hour. (0 to 59).

Syntax: %ATMMINUTE

Security: READ ONLY

Similar to TM_Min. See also %TTMTIME.


4.9.1.20 %ATMMONTH

4.9.1.33 %ATMMONTH

Current Month. Month of the Year. (1 to 12).

Syntax: %ATMMONTH

Security: READ ONLY

Similar to TM_Month. See also %TTMDATE and %TTMDATE.


4.9.1.21 %ATMSECOND

4.9.1.34 %ATMSECOND

Seconds. Seconds after the minute. (0 to 59).

Syntax: %ATMSECOND

Security: READ ONLY

Arguments: none

Example: %ATMSECOND

Hi Span: 59

Lo Span: 0

Similar to TM_Sec. See also %TTMTIME.


4.9.1.22 %ATMWDAY

4.9.1.35 %ATMWDAY

Days since Sunday. Day of the Week.

Syntax: %ATMWDAY

Security: READ ONLY

Arguments: none

Example: %ATMWDAY

Hi Span: 6

Lo Span: 0

0: Sun.

1: Mon.

2: Tue.

3: Wed.

4: Thr.

5: Fri.

6: Sat.

Similar to TM_Wday and %TTMWDAY. See also %TTMTIME, %ATMMDAY, STM_Day


4.9.1.23 %ATMYDAY

4.9.1.36 %ATMYDAY

Days since January 1. Day of the Year. (0 to 365).

Syntax: %ATMYDAY

Security: READ ONLY

Hi Span: 365

Lo Span: 0

See also %TTMDATE, %ATMMDAY, %TTMWDAY.


4.9.1.24 %ATMYEAR

4.9.1.37 %ATMYEAR

Current Year. (2000 to 2020). Similar to TM_Year.

Syntax: %ATMYEAR

Security: READ ONLY

Hi Span: 2020

Lo Span: 2000

See also %TTMDATE, TM_Year, %ATMMONTH, TM_Month, %ATMMDAY, TM_Day, TM_Wday, TM_Hour, TM_Min and TM_Sec.


4.9.1.25 %AUNITST

4.9.1.38 %AUNITST

Unit Status ( also called Device Status). Describes the OK, BAD and DISABLED status of the device referenced. Similar to %TUNITST, %DUNITST and DevSTS. %TUNITST uses words to describe state

Syntax: %AUNITST(comport device)

Security: READ ONLY

Arguments: none

Example: %AUNITST(1 1)

Hi Span: 4

Lo Span: 0

0: OK

1: BAD

2: DISABLED

3: No Device configured

DISABLE means halt communications to the device. A user or script must DISABLE the device. This can be done from the STATION STATUS Display or %DUNITST.

RED FLASHING 1 means that there is a communications failure to the device; the SCADA node will retry to establish communications if BAD.

0 means communications enabled and no critical errors.

See also %TUNITST, %DUNITST, DevSTS and %DCOMST.


4.9.1.26 %AUSERLEVEL

4.9.1.39 %AUSERLEVEL

User Security Level. Describes Security Level for the User in the referenced Area.

Syntax: %AUSERLEVEL(area)

Security: READ ONLY

Arguments: none

Example: %AUSERLEVEL(11)

Hi Span: 99

Lo Span: 0

See also %TUSERNAME


4.9.2 Digital %DAQ Tags

The more commonly used Digital System Tags are listed below. These are mostly 2-state Discrete type Tags.

The Alarm of a %DAQ tag does not appear in the alarm summary or alarm log. The alarm is for Display purposes only, are self clearing and can not be acknowledged.

%DBAD(tag) - Good /Bad Status of specified tag

%DCOMST(comport number) - Status of specified Communications Port.

%DKRLMODE - Communications Mode or Simulation Mode of Kernel


4.9.2.1 %DALOGSTATUS

Action Log Status. Disables recording to the Action Log. Allows scripts, keymacros or users to make changes to Tags without recording to the Action Log.

Syntax: %DALOGSTATUS

Security: 127

Arguments: none

Example: %DALOGSTATUS

State0: DISABLED

State1: ENABLED

Alarm: Communications Failure

See also 8.4.2 VIEW TAG Security Level.


4.9.2.2 %DBAD

Tag OK/Bad Returns the Quality Status of the referenced tag. Returns OK if tag is good. Returns BAD if tag has communication error or does not exist.

Syntax: %DBAD(tagname)

Security: 127

Arguments: tag name

Example: %DBAD(TIC101)

State0: GOOD

State1: BAD

Alarm: BAD

See also %DVID.


4.9.2.3 %DCOMST(

COMPORT STATUS. Describes the ENABLE /DISABLE status of indexed comport. DISABLE means no communications to devices over this communications port. A user must DISABLE the comport. This can be done from the STATION STATUS Display or %DCOMST. RED FLASHING Enable means that there was a communications failure on the comport; the SCADA node will retry to establish communications if ENABLED. BLUE ENABLE means communications enabled and no critical error. An asterisk (*) means comport not configured.

Syntax: %DCOMST(comport)

Security: 127

Arguments: comport number

Example: %DCOMST(1)

Return Value: DISABLE or ENABLE or *

State0: DISABLED

State1: ENABLED - Communications

Alarm: Communications Failure

Example of pushbutton keymacro to enable / disable Comport 1: <SETVAL>%DCOMST(1)=%REVERSE

See also 9.3.8 Station Status (Communication Status), %TCOMST, %ACOMST, PortSTS, DevSTS, %DUNITST, %DKRLMODE and 8.4.2 VIEW TAG Security Level, 23.7 USERDEF.INI.


4.9.2.4 %DGSST

Global Script Status. Disables or enables execution of the Global Script referenced. Normally this is done from the Global Script System Display. Allows scripts and keymacros to disable a global script.

Syntax: %DGSST(script number)

Security: 127

Arguments: number of global script

Example: %DGSST(2)

State0: DISABLED

State1: ENABLED

Alarm: ENABLED

See also %TGSDESC, %TGSSCRPT2, 8.4.2 VIEW TAG Security Level and 12.11.1 Global Script Configuration.


4.9.2.5 %DHILIBTYPE

Last Highlighted Point a Block? Is the tag highlighted by the mouse a Block.

Syntax: %DHILIBTYPE

Security: READ ONLY

Arguments: none

Example: %DHILIBTYPE

State0: NO

State1: YES

Alarm: none

See also %APICKTYPE, %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK,%THILIBTYPE.


4.9.2.6 %DKEYMAPFILE

Keymapping File Status, turn off/on local key mapping (key mapping for a graphic) for this VIEW or ViewDAQ .

Syntax: %DKEYMAPPING

Security: 127

Arguments: NONE

Example: %DKRLMODE

Return Value: ENABLED or DISABLED

State0: ENABLED

State1: DISABLED

Alarm: None

See also %DKEYMAPFILE, 11.4 Key Mapping, 11.4.1 Key Mapping Global, 11.4.2 Key Mapping for a Graphic


4.9.2.7 %DKEYMAPPING

Keymapping Status, turn off/on global key mapping functions for this VIEW client or ViewDAQ.

Syntax: %DKEYMAPPING

Security: 127

Arguments: NONE

Example: %DKRLMODE

Return Value: ENABLED or DISABLED

State0: ENABLED

State1: DISABLED

Alarm: None

See also %DKEYMAPFILE, 11.4 Key Mapping, 11.4.1 Key Mapping Global


4.9.2.8 %DKRLMODE

Kernel Running Mode of SCADA node. COMM is "Communications Mode" with the SCADA node communicating over ports to automation devices (PLCs, IO, etc. ). The Hardkey and matching software license control file are required for Communications Mode. The serial numbers in the Hardkey and License file must match. If the Tag count TTLIOTag exceeds the license TagLimit, node will be forced into Simulation mode.

SIMU is simulation mode with tag values initialized to ½ span. Alarms will occur. There is no communication to field devices.

%DKRLMODE can be changed from COMM to SIMU with using the Administrator account (Admin) or any user with 127 security level.

Syntax: %DKRLMODE

Security: 127

Arguments: NODE

Example: %DKRLMODE

Return Value: COMM or SIMU

State0: COMM - Communications Mode

State1: SIMU - Simulation Mode

Alarm: SIMU

See also %TKRLMODE, 8.4.2 VIEW TAG Security Level , %TSERIALNUM, 1.5.3 SCADA Node License, TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag and CalTag.


4.9.2.9 %DPICKBTYPE

Last Picked Point a Block? Is the tag picked by the mouse, tab key or touchscreen a Block.

Syntax: %DPICKBTYPE

Security: READ ONLY

Arguments: none

Example: %DPICKBTYPE

State0: NO

State1: YES

Alarm: none

See also %APICKTYPE, %DPICKBTYPE, %DHILIBTYPE and %AHILITYPE.


4.9.2.10 %DUNITST

Unit Status ( also called Device Status). Describes the OK, BAD and DISABLED status of the device referenced. Similar to %TUNITST, %AUNITST and DevSTS.. DISABLE means halt communications to the device. A user or script must DISABLE the device. This is usually done from the STATION STATUS Display.

Syntax: %DUNITST(comport device)

Security: 127

Arguments: comport number, device number

Example: %DUNITST(1 1)

State0: OK

State1: BAD

State2: DISABLED

State3: No Device configured

RED FLASHING 1 means that there is a communications failure to the device; the SCADA node will retry to establish communications if BAD.

0 means communications enabled and no critical errors.

See also %TUNITST, DevSTS, %AUNITST and %DCOMST.


4.9.2.10 %DUSRST

4.9.2.11 %DUSRST

User Program Status. Disables or enables execution of the User Program referenced. Normally this is done from User Program System Displays. Allows scripts and keymacros to disable a user program. A User program is any 3rd party exe or bat file.

Syntax: %DUSRST(script number)

Security: 127

Arguments: number of user program

Example: %DUSRST(2)

State0: DISABLED

State1: ENABLED

Alarm: ENABLED

See also %USRPN, 8.4.2 VIEW TAG Security Level.


4.9.2.12 %DVID(

Tag Valid. Returns Valid if tag is exists on in the database for any SCADA node in the project. Returns Invalid if tag r does not exist.

Syntax: %DVID(tagname)

Security: 127

Arguments: tag name

Example: %DVID(TIC101)

State0: INVALID

State1: VALID

Alarm: none

See also %DBAD


4.9.3 Text %TDAQ Tags

The more commonly used Text System Tags are listed below.

%TALMGLOBAL - Global Alarm Status (text)

%TALMGLOBAL(priority) - Alarm Status of specified alarm priority (text)

%TALMLAST - Tagname of most recent Alarm

%TALMLASTU - Tagname of most recent unacknowledged Alarm

%TCOMST(comport number) - Status of specified Communications Port

%TKRLMODE - Communications Mode or Simulation Mode of Kernel


4.9.3.1 %TALMGLOBAL

Global Alarm Status of SCADA node. (It's not global). Use %AALMGLOBALN for true global alarms. Describes if there are any UNACKNOWLEDGED or any ALARM in on this SCADA node. If there is at least one UNACKNOWLEDGED alarm, will return a ALARM (flashing red) . If all alarms are ALL ACKNOWLEDGED, returns a ALARM (steady red). If NO ALARMS, returns a NO ALARM .

Syntax: %TALMGLOBAL

Security: READ ONLY

Arguments: None

Example: %TALMGLOBAL

NO ALARM - NO ALARMS

ALARM (flashing red) - UNACKNOWLEDGED ALARM

ALARM (steady red) - ALL ALARMS ACKNOWLEDGED

Similar to %AALMGLOBAL

4.9.3.1.1 %TALMGLOBAL( )

Global Alarm Status for Priority n Alarms of SCADA node. (It's not global). Use %AALMGLOBALN for true global alarms. Describes if there are any UNACKNOWLEDGED or any ALARM in on this SCADA node. If there is at least one UNACKNOWLEDGED alarm, will return a ALARM (flashing red) . If all alarms are ALL ACKNOWLEDGED, returns a ALARM (steady red). If NO ALARMS, returns a NO ALARM .

Syntax: %TALMGLOBAL(n)

Security: READ ONLY

Arguments: Alarm Priority

Example: %TALMGLOBAL(1)

NO ALARM - NO ALARMS

ALARM (flashing red) - UNACKNOWLEDGED ALARM

ALARM (steady red) - ALL ALARMS ACKNOWLEDGED

Similar to %AALMGLOBAL See also %AALMGLOBALN ,%TALMGLOBAL, LevelALM.


4.9.3.1.2 %TALMGRP

4.9.3.2 %TALMGRP2

Short local date. %TALMGRP2(), represents short local date (month and day) for Alarm Group Date. The local settings for the computer are set in Start -> Control Panel -> Regional and Language Options

Syntax: %TALMGRP2()

Security: READ ONLY

Arguments: None

Example: %TALMGRP2()


4.9.3.1.1 %TALMGRPA

4.9.3.3 %TALMGRPA

Full local date. %TALMGRPA() represents full local date (year, month, and day) for Alarm Group Date. The local settings for the computer are set in Start -> Control Panel -> Regional and Language Options

Syntax: %TALMGRPA()

Security: READ ONLY

Arguments: None

Example: %TALMGRPA()


4.9.3.2 %TALMLAST

4.9.3.4 %TALMLAST

Latest Alarm. Tag name with the most recent alarm. It is global to all SCADA nodes. If the most recent alarm is UNACKNOWLEDGED, tag name will flash red ( e.g. Tagname flashing red) . If most recent alarm is ACKNOWLEDGED, returns tag name in steady red (e.g. FI2004 steady red). If NO ALARMS, returns a BLANK. string.

Syntax: %TALMLAST

Security: READ ONLY

Arguments: None

Example: %TALMLAST

- NO ALARMS

ALARM (flashing red) - UNACKNOWLEDGED ALARM

ALARM (steady red) - ALL ALARMS ACKNOWLEDGED


4.9.3.3 %TALMLASTU

4.9.3.5 %TALMLASTU

Latest Unacknowledged Alarm. Tag name with the most recent unacknowledged alarm. It is global to all SCADA nodes. If NO ALARMS or all alarms ACKNOWLEDGED, returns a BLANK string.

Syntax: %TALMLASTU

Security: READ ONLY

Arguments: None

Example: %TALMLASTU

- NO ALARMS

UNACK ALARM (steady) - UNACKNOWLEDGED ALARM

- ALL ALARMS ACKNOWLEDGED


4.9.3.3.2 %TALMSUM2

4.9.3.6 %TALMSUM2

Short local date. %TALMSUM2() represents short local date (month and day) for Alarm Summary Date. The local settings for the computer are set in Start -> Control Panel -> Regional and Language Options

Syntax: %TALMSUM2()

Security: READ ONLY

Arguments: None


4.9.3.3.1 %TALMSUMA

4.9.3.7 %TALMSUMA

Full local date. %TALMSUMA() represents full local date (year, month, and day) for Alarm Summary Date. The local settings for the computer are set in Start -> Control Panel -> Regional and Language Options

Syntax: %TALMSUMA()

Security: READ ONLY

Arguments: None

Example: %TALMSUMA()


4.9.3.4 %TCOMST

4.9.3.8 %TCOMST

COMPORT STATUS. Describes the ENABLE, BAD and DISABLED status of the comport referenced. DISABLE means no communications to devices over this communications port. A user or script must DISABLE the comport. This can be done from the STATION STATUS Display or %DCOMST. This can be done from the STATION STATUS Display. RED FLASHING BAD means that there is a communications failure on the comport; the SCADA node will retry to establish communications if BAD. BLUE OK means communications enabled and no critical error. An asterisk (*) means comport not configured.

Syntax: %TCOMST(comport number)

Arguments: comport number

Example: %TCOMST(1)

Return: OK, BAD, DISABLED, NONE or *

Alarm: Communications Failure (BAD or DISABLED).

Similar to %DCOMST and %ACOMST. See also PortSTS, %DKRLMODE.


4.9.3.5 %TDAQDSPNAME

4.9.3.9 %TDAQDSPNAME

Display Group Name. Returns the name of the Display Group. This also appears in the Title bar of the local view and web browser.

The order is %TDAQTITLE - %TDAQDSPNAME:%TDAQNAME

Syntax: %TDAQDSPNAME

Arguments: none

Security: READ ONLY

Example: %TDAQDSPNAME

Return: name of the display group. Default Display Group is "main"

See also %TDAQTITLE, %TDAQNAME, Display Groups


4.9.3.6 %TDAQNAME

4.9.3.10 %TDAQNAME

ViewDAQ Name. Returns the name of the View window in the Display Group. This also appears in the Title bar of the local view and web browser.

The order is %TDAQTITLE - %TDAQDSPNAME:%TDAQNAME

Syntax: %TDAQNAME

Arguments: none

Security: READ ONLY

Example: %TDAQNAME

Return: name of the view window. Default Display Group is "default"

See also %TDAQTITLE, %TDAQDSPNAME, Display Groups


4.9.3.7 %TDAQTITLE

4.9.3.11 %TDAQTITLE

ViewDAQ Title and web browser title. Allows you to change the TITLE in the Title bar of the Local Window and Web Browser Window. 25 character maximum length.

The order is %TDAQTITLE - %TDAQDSPNAME:%TDAQNAME

Only %TDAQTITLE can be changed from a script or Point Info Dialog Box.

Syntax: %TDAQTITLE

Arguments: none

Security: 127

Example: %TDAQTITLE

Return: Title in Title bar

See also %TDAQDSPNAME, %TDAQNAME, Display Groups and 8.4.2 VIEW TAG Security Level.


4.9.3.8 %TDAQWHERE

4.9.3.12 %TDAQWHERE

ViewDAQ GOTO string. Returns last GOTO command executes. This describes which graphic command used to call display the user is viewing. Examples return strings are:

graph=main.bgr
almsummary=time(p^ffffffffffffffffffffff)

Syntax: %TDAQWHERE

Arguments: none

Security: READ ONLY

Example: %TDAQWHERE

Return: goto keymacro string executed last

See also Keymacro Commands, <GOTO>GRAPH=, GOTO, %TGRAPHFILE.


1.6.3 Secure Your Clients

4.9.3.13 %TDTRDCGD

See 6.2.6 Data Log Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.14 %TDTRDCGN

See 6.2.6 Data Log Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.15 %TDTRD1

See 6.2.6 Data Log Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.16 %TDTRD4

See 6.2.6 Data Log Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.17 %TDTRD5

See 6.2.6 Data Log Trend - Scripts & Keymacros


4.9.3.9 %TGRAPHDESC

4.9.3.18 %TGRAPHDESC

Graph Description. Description field of the Graphic display assigned using DRAW. Usually blank since it is an optional field. Set use set graph parameters in DRAW

Syntax: %TGRAPHDESC

Arguments: none

Security: READ ONLY

Example: %TGRAPHDESC

Return: any text up to 25 characters

See also set graph parameters.


4.9.3.10 %TGRAPHFILE

4.9.3.19 %TGRAPHFILE

Graph File. Returns the name of the Graphic the user is viewing Example return strings are:

main.bgr
almsum,bxx

Syntax: %TGRAPHFILE

Arguments: none

Security: READ ONLY

Example: %TGRAPHFILE

Return: display name with file extension

See also Keymacro Commands, <GOTO>GRAPH=, GOTO, %TDAQWHERE.


4.9.3.11 %TGSDESC

4.9.3.20 %TGSDESC

Global Script Description. Return Description string of the Global Script referenced. Normally this is viewed from the Global Script System Display. User entered field and is often blank.

Syntax: %TGSDESC(script number)

Arguments: script number

Security: READ ONLY

Example: %TGSDESC(1)

Return: description of the global script

See also %DGSST, %TGSSCRPT2 and 12.11.1 Global Script Configuration.


4.9.3.12 %TGSSCRPT1

4.9.3.21 %TGSSCRPT1

Global Script Start. Returns the name of the Startup Script configured for the Global Script number referenced. Normally this is viewed from the Global Script System Display. The Start Script runs when the SCADA Node kernel is started. See While Running and Shutdown script. If no Start Script is entered, the field is blank. %TGSSCRPT2 is more commonly used. Return includes the file extension (typically *.scr). Typical returns are:

Startup.scr
Initialize.scr

Syntax: %TGSSCRPT1(script number)

Arguments: script number

Security: READ ONLY

Example: %TGSSCRPT1(1)

Return: name of the global script

See also %DGSST, %TGSSCRPT2, %TGSSCRPT3, and 12.11.1 Global Script Configuration.


4.9.3.13 %TGSSCRPT2

4.9.3.22 %TGSSCRPT2

Global Script Running. Returns the name of the While Running Script configured for the Global Script number referenced. Normally this is viewed from the Global Script System Display. The While Running Script runs continuously on the SCADA Node ( as long as the kernel is running). See Startup and Shutdown script. If no While Running Script is configured, the field is blank. Return includes the file extension (typically *.scr). Typical returns are:

customreport.scr
DailyCylce.scr

Syntax: %TGSSCRPT2(script number)

Arguments: script number

Security: READ ONLY

Example: %TGSSCRPT1(1)

Return: name of the global script

See also %DGSST, %TGSSCRPT1, %TGSSCRPT3, and 12.11.1 Global Script Configuration.


4.9.3.14 %TGSSCRPT3

4.9.3.23 %TGSSCRPT3

Global Script Stop. Returns the name of the Shutdown script Script configured for the Global Script number referenced. Normally this is viewed from the Global Script System Display. The Shutdown Script runs when the SCADA Node is stopped using either bwkCTRL, the task bar menu or Project Manager. See Startup and While Running Scripts. If no Stop Script is configured, the field is blank. Return includes the file extension (typically *.scr). Typical returns are:

customreport.scr
DailyCylce.scr

Syntax: %TGSSCRPT2(script number)

Arguments: script number

Security: READ ONLY

Example: %TGSSCRPT1(1)

Return: name of the global script

See also %DGSST, %TGSSCRPT1, %TGSSCRPT3, and 12.11.1 Global Script Configuration.


4.9.3.15 %THILIBLOCK

4.9.3.24 %THILIBLOCK

Last Highlight Block Name. The Block Name of the last Block-type tag highlighted by the mouse. This is the Block name stripped of the parameter and colon.

Syntax: %THILIBLOCK

Arguments: none

Security: READ ONLY

Example: %THILIBLOCK

Return: Block name

An example return: TIC101

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBTYPE, %THILIBLOCK, %THILIPNAME

%TPICKBLOCK and %THILIBLOCK are read only and for informational display (e.g. show block name on a display). %TPICKTAG or %THILITAG can be set by a user via script or pushbutton, in addition to using the mouse.


4.9.3.16 %THILIBTYPE

4.9.3.25 %THILIBTYPE

Last Highlight Block Type. The Block Type of the last Block-type tag highlighted by the mouse.

Syntax: %THILIBTYPE

Arguments: none

Security: READ ONLY

Example: %THILIBTYPE

Return: Block type

An example return: PID

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK, %THILIPNAME


4.9.3.17 %THILIPNAME

4.9.3.26 %THILIPNAME

Last Highlight Parameter Name. The Parameter Name of the last Block-type tag highlighted by the mouse.

Syntax: %THILIPNAME

Arguments: none

Security: READ ONLY

Example: %THILIPNAME

Return: Parameter name

An example return: OUT

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK, %THILIBTYPE.


4.9.3.18 %THILITAG

4.9.3.27 %THILITAG

Last Highlight Tag Name. The Tag Name of the last tag highlighted by the mouse.

Syntax: %THILITAG

Arguments: none

Security: READ/WRITE (ViewDAQ Level 127)

Example: %THILITAG

Return: tag name

An example returns: LIC101:OUT and FI1001

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK, %THILIBTYPE, %THILIPNAME .

%TPICKBLOCK and %THILIBLOCK are read only and for informational display (e.g. show block name on a display). %TPICKTAG or %THILITAG can be set by a user via script or pushbutton, in addition to using the mouse.


4.9.3.19 %TKRLMODE

4.9.3.28 %TKRLMODE

Kernel Running Mode of SCADA node. COMMUNICATION is "Communications Mode" with the SCADA node communicating over ports to automation devices (PLCs, IO, etc.) The Hardkey and matching software license control file are required for Communications Mode.

SIMULATION mode initializes tag values to ½ span. Operators can change setpoints. Alarms will occur. There is no communication to field devices. If the Tag count TTLIOTag exceeds the license TagLimit, node will be forced into Simulation mode.

%DKRLMODE can be changed from COMM to SIMU with using the Administrator account (Admin) or any user with 127 security level.

Syntax: %TKRLMODE

Security: READ ONLY

Arguments: None

Example: %TKRLMODE

Return Values:

COMMUNICATION - Communications Mode

SIMULATION - Simulation Mode

See also %DKRLMODE, %TSERIALNUM, 1.5.3 SCADA Node License, TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag and CalTag.


4.9.3.20 %TMCIERROR

4.9.3.29 %TMCIERROR

MCI Error Code. Describes if error code in the last MCI command executed by Script or Keymacro. MCI commands are used to play recorded sound files (wav, midi, etc.)

Syntax: %TMCIERROR

Security: READ ONLY

Arguments: none

Example: %TMCIERROR

Return Values: character string. > 60 characters

Example: The specified device is not open or is not recognized my MCI.

See also %AMCIERROR, MCISEND, <MCISEND>, Play a wav file catch and display errors.


4.9.3.21 %TPICKBLOCK

4.9.3.30 %TPICKBLOCK

Last Pick Block Name. The Block Name of the last Block-type tag picked by the mouse, touchscreen, or tab. This is the Block name stripped of the parameter and colon.

Syntax: %TPICKBLOCK

Arguments: none

Security: READ ONLY

Example: %TPICKBLOCK

Return: Block name

An example return: TIC101

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBTYPE, %THILIBLOCK, %THILIPNAME

%TPICKBLOCK and %THILIBLOCK are read only and for informational display (e.g. show block name on a display). %TPICKTAG or %THILITAG can be set by a user via script or pushbutton, in addition to using the mouse..


4.9.3.22 %TPICKBTYPE

4.9.3.31 %TPICKBTYPE

Last Pick Block Type. The Block Type of the last Block-type tag picked by the mouse, touchscreen or tab.

Syntax: %TPICKBTYPE

Arguments: none

Security: READ ONLY

Example: %TPICKBTYPE

Return: Block type

An example return: PID

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK, %THILIPNAME


4.9.3.23 %TPICKPNAME

4.9.3.32 %TPICKPNAME

Last Pick Parameter Name. The Parameter Name of the last Block-type tag picked by the mouse, touchscreen or tab.

Syntax: %TPICKPNAME

Arguments: none

Security: READ ONLY

Example: %TPICKPNAME

Return: Parameter name

An example return: OUT

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK, %THILIBTYPE.


4.9.3.24 %TPICKTAG

4.9.3.33 %TPICKTAG

Last Pick Tag Name. The Tag Name of the last tag picked by the mouse, touchscreen or tab.

Syntax: %TPICKTAG

Arguments: none

Security: READ/WRITE (ViewDAQ Level 127)

Example: %TPICKTAG

Return: tag name

An example returns: LIC101:OUT and FI1001

See also %AHILITYPE, %DHILIBTYPE, %DPICKBTYPE, %THILIBLOCK, %THILIBTYPE, %THILIPNAME .

%TPICKBLOCK and %THILIBLOCK are read only and for informational display (e.g. show block name on a display). %TPICKTAG or %THILITAG can be set by a user via script or pushbutton, in addition to using the mouse.

Example

A user wants to call the Block Detail popup window from the associated faceplate popup window:

1. Display a graphic display.

2. Call up a faceplate window from a push button.

3. Call up the associated Block Detail display window from the faceplate window with one button.

You can implement this with $blkpick.dsp. Assuming your View has the following features

Display Group Name = main

and

ViewDAQ Name = "untitled" as

all you have to do is to create a push button in your faceplate file (a dfp file) with <SCREXEC>@testblk.js as the Macro, where the content of testblk.js is

SENDCMD("main:untitled=<SETVAL>%TPICKTAG=" + GETVAL(":%TPICKTAG") +

"</SETVAL><GOTO>BLOCKDTL=@%TPICKTAG");


1.6.3 Secure Your Clients

4.9.3.34 %TRTRDCGD

See 6.3.4 Real Time Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.34 %TRTRDCGN

See 6.3.4 Real Time Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.35 %TRTRD1

See 6.3.4 Real Time Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.36 %TRTRD4

See6.3.4 Real Time Trend - Scripts & Keymacros


1.6.3 Secure Your Clients

4.9.3.37 %TRTRD5

See 6.3.4 Real Time Trend - Scripts & Keymacros


4.9.3.25 %TSERIALNUM

4.9.3.38 %TSERIALNUM

Product Serial Number of SCADA node. This is the serial number of the License Control File. Similar to SerialNo.

Syntax: %TSERIALNUM

Security: READ ONLY

Arguments: None

Example: %TSERIALNUM

Return Values: character string

Text Length: 16

Example returns:

Demo

10100272

See also SerialNo, %DKRLMODE, TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag, CalTag and 1.5.3 SCADA Node License.


4.9.3.26 %TTMDATE

4.9.3.39 %TTMDATE

Calendar Date. Date in Month - Day - Year format. Month abbreviated to three letters.

Syntax: %TTMDATE

Security: READ ONLY

Arguments: None

Example: %TTMDATE

Return Values: character string

Text Length: 11

Example returns:

SEP-27-2003

FEB-04-2003

See also %ATMYEAR, TM_Year, %ATMMONTH, TM_Month, %ATMMDAY, and TM_Day


4.9.3.27 %TTMMONTH

4.9.3.40 %TTMMONTH

Current Month. Month of the Year. Spelled out in full (JANUARY, FEBRUARY, MARCH, APRIL, MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER, NOVEMBER, DECEMBER).

Similar to TM_Month and %ATMMONTH.

Syntax: %TTMMONTH

Security: READ ONLY

Arguments: None

Example: %TTMMONTH

Return Values: character string

Text Length: 9

See also %TTMDATE, %ATMMONTH, TM_Month, %ATMYEAR, TM_Year, %ATMMDAY, and TM_Day


4.9.3.28 %TTMTIME

4.9.3.41 %TTMTIME

Calendar Time. Time in Hour:Minute:Second format. 24 hour format

Syntax: %TTMTIME

Security: READ ONLY

Arguments: None

Example: %TTMTIME

Return Values: character string

Text Length: 8

Example returns:

00:00:01

01:02:01

11:59:59

16:45:01

23:59:59

See also %ATMHOUR, TM_Hour, %ATMMINUTE, TM_Min, %ATMSECOND and TM_Sec.


4.9.3.29 %TTMWDAY

4.9.3.42 %TTMWDAY

Current day of Week. Day of the Week. Spelled out in full ( SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY ).

Similar to TM_WDAY and %ATMWDAY.

Syntax: %TTMWDAY

Security: READ ONLY

Arguments: None

Example: %TTMWDAY

Return Values: character string

Text Length: 9

See also %ATMMDAY, %ATMYDAY, TM_Day.


4.9.3.30 %TUNITST

4.9.3.43 %TUNITST(1 5)

Unit Status ( also called Device Status). Describes the OK, BAD and DISABLED status of the device referenced. Similar to %AUNITST, %DUNITST and DevSTS. %TUNITST uses words to describe state

Syntax: %TUNITST(comport unit)

Security: READ ONLY

Arguments: None

Example: %TUNITST(1 5)

Return Values: character string

Text Length: 9

Example returns:

OK

BAD

DISABLED

NONE

DISABLED means halt communications to the device. A user or script must DISABLE the device. This can be done from the STATION STATUS Display or %DUNITST.

BAD means that there is a communications failure to the device; the SCADA node will retry to establish communications if BAD.

OK means communications enabled and no critical errors.

NONE means no device configured for that comport and unit number. (does not exists).

See also %AUNITST, %DUNITST, DevSTS and %DCOMST.


4.9.3.31 %TUSERNAME

4.9.3.44 %TUSERNAME

Login User Name. User logged in to this client or local view. Web Clients always have a logged in user. In Local View, this can be blank (no one logged in).

Syntax: %TUSERNAME

Security: READ ONLY

Arguments: None

Example: %TUSERNAME

Return Values: character string

The Alarm State of this tag, %TUSERNAME.ALMST , is used to evaluate if a User is Logged in.
%TUSERNAME.ALMST=0 is valid user logged in

%TUSERNAME.ALMST=1 No User logged in

See also %AUSERLEVEL.


4.9.3.32 %TUSRPN

4.9.3.45 %TUSRPN(

User Program Name. Returns path and name of the User Program referenced. Normally this is viewed from User Program System Displays. A User program is any 3rd party exe or bat file.

Syntax: %TUSRPN((script number)

Security: 127

Arguments: number of user program

Example: %TUSRPN(2)

Return Values: character string

State1: ENABLED

Example return:

C:\BATCH_Files\StartNotepad.bat

See also %DUSRST.


4.9.3.1 %TALMGLOBAL

4.9.3.47.1 %TALMDIS1

Alarm Disable List Tagname Used to return tag name pbaed on a pointan pointer index. Added for users to create an Alarm Disabled List (i.e. a list of tags which alarms are disabled).

Syntax: %TALMDIS1(number number)

Security: READ ONLY

Arguments: two numbers

Example: %TLV(%TALMDIS1 0 %AALMDISP)

Return: string

See also, %AALMDISD, %AALMDISH, %AALMDISP, %TALMDIS2(, %TALMDIS3(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(, and %TALMDIS7(


4.9.3.1 %TALMGLOBAL

4.9.3.47.2 %TALMDIS2

Alarm Disable List Description Used to return tag description based on a pointer index. Added for users to create an Alarm Disabled List (i.e. a list of tags which alarms are disabled).

Syntax: %TALMDIS2(number number)

Security: READ ONLY

Arguments: two numbers

Example: %TLV(%TALMDIS2 0 %AALMDISH)

Return: string

See also, %AALMDISD, %AALMDISH, %AALMDISP, %TALMDIS1(, %TALMDIS3(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(, and %TALMDIS7(


4.9.3.1 %TALMGLOBAL

4.9.3.47.3 %TALMDIS3, %TALMDIS4, %TALMDIS5, %TALMDIS6, %TALMDIS7

Added for users to create an Alarm Disabled List (i.e. a list of tags which alarms are disabled).

%TALMDIS3 - Alarm Disable List Value Used to return tag value based on a pointer index.

%TALMDIS4 - Alarm Disable List Group Used to return tag's Alarm Group based on a pointer index.

%TALMDIS5 - Alarm Disable List Value Used to return tag's Node Name based on a pointer index.

%TALMDIS6 - Alarm Disable List Value Used to return tag's Com Port based on a pointer index.

%TALMDIS7 - Alarm Disable List Value Used to return tag's Unit Number based on a pointer index.

Syntax: %TALMDIS3(number number)
%TALMDIS4(number number)
%TALMDIS5(number number)
%TALMDIS6(number number)
%TALMDIS7(number number)

Security: READ ONLY

Arguments: two numbers

Examples:       %TLV(%TALMDIS3
0 %AALMDISP)
%TLV(%TALMDIS4 0 %AALMDISP)
%TLV(%TALMDIS5 0 %AALMDISP)
%TLV(%TALMDIS6 0 %AALMDISP)
%TLV(%TALMDIS7 0 %AALMDISP)

Return: string

See also, %AALMDISD, %AALMDISH, %AALMDISP, %TALMDIS1(, %TALMDIS2(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(, and %TALMDIS7(


4.9.4.1 Data Log Trends

%ADTRDH

Tag Selected in DATA Log Trend. Describes which Tag is selected in a Data Log Trend. Used to display detail information about the tag and to coordinate colors (when used as an Attribute Tag). Commonly used by other Tags as an Index. See Data Log Trend example.

Syntax: %ADTRDH

Security: READ ONLY

Arguments: None

%TDTRD4

Low Span of DataLog Trend for referenced Tag. Commonly Used with %TLV to pass reference tag number (%ADTRDH) and evaluate the result. Used to Zoom into Trend data (or zoom out). Default value is set to low span of tag.

Syntax: %TDTRD4(tag_number)
or
%TLV(%TDTRD4 0 %ADTRDH)

Security: None if changed by using %TLV and Keymacro or Script. Otherwise Read Only.

Arguments: number of tag on Data Log Trend display (0 - 11)

Examples: %TLV(%TDTRD4 0 %ADTRDH)
%TDTRD4(2)

%TDTRD5

High Span of DataLog Trend for referenced Tag. Commonly Used with %TLV to pass reference tag number (%ADTRDH) and evaluate the result. Used to Zoom into Trend data (or zoom out). Default value is set to high span of tag.

Syntax: %TDTRD5(tag_number)
or
%TLV(%TDTRD5 0 %ADTRDH)

Security: None if changed by using %TLV and Keymacro or Script. Otherwise Read Only.

Arguments: number of tag on Data Log Trend display (0 - 11)

Examples: %TLV(%TDTRD5 0 %ADTRDH)
%TDTRD5(2)

%TDTRDETM

END TIME of DataLog Trend. %TDTRDETM is the tag that shows END TIME of DataLog Trend time. Date and Time is shown.

Syntax: %TDTRDETM

Security: READ ONLY

Arguments: None

%TDTRDSTM

START TIME of DataLog Trend. %TDTRDSTM is the tag that shows START TIME of DataLog Trend time (this is on the default Data Log Trend Display). Date and Time is shown.

Syntax: %TDTRDSTM

Security: READ ONLY

Arguments: None


1.6.3 Secure Your Clients

4.9.4.2 Disabled Alarms

To create an Alarm Disabled List (i.e., a list of tags with alarms that are disabled) in graphics. Use %AALMDISN, %AALMDISP, %AALMDISH, %TALMDIS1(, %TALMDIS2(, %TALMDIS3(, %TALMDIS4(, %TALMDIS5(, %TALMDIS6(.

See also 7.7.1 Disable / Enable alarming and 4.8.11 .ALMED.

%AALMDISN

Alarm Disabled List Number. Describes the number of Tags with Alarms Disabled.

Syntax: %AALMDISN

Security: READ ONLY

Arguments: None

%AALMDISP

Alarm Disabled List Position. Commonly Used with %TLV to pass highlighted tag's position number

Syntax: %AALMDISP

Security: View Tag

Arguments: number of tag on Data Log Trend display (0 - 11)

Examples: <SETVAL>%AALMDISH=@%TLS(%AALMDISH 0 %AALMDISP)
<SETVAL>%AALMDISP=%MINUS 5

%AALMDISH

Alarm Disabled List Highligted. Commonly Used with %TLV to pass reference tag number (%ADTRDH) and evaluate the result. Used to Zoom into Trend data (or zoom out). Default value is set to high span of tag.

Syntax: %AALMDISH

Security: None if changed by using %TLV and Keymacro or Script.

Arguments: Position Highlighted Number, Relative Position Number

Examples: <SETVAL>%AALMDISH=@%TLS(%AALMDISH 0 %AALMDISP)
%TLV(%TALMDIS2 0 %AALMDISH)
%TLS(%AALMDISH 16 %AALMDISP

%TALMDIS1(

Alarm Disabled List Tagname. %TDTRDETM is the tag that shows END TIME of DataLog Trend time. Date and Time is shown.

Syntax: %TDTRDETM(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Examples: %TLV(%TALMDIS1 16 %AALMDISP)

%TALMDIS2(

Alarm Disabled List Description. Commonly Used with %TLV to pass highligted tag's description.

Syntax: %TALMDIS2(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Example: %TLV(%TALMDIS2 0 %AALMDISH)

%TALMDIS3(

Alarm Disabled List Value. Commonly Used with %TLV to pass highligted tag's current value.

Syntax: %TALMDIS3(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Example: %TLV(%TALMDIS3 16 %AALMDISP)

%TALMDIS4(

Alarm Disabled List Group. Commonly Used with %TLV to pass the referenced tag's Alarm Group Number. See also 7.7.1 Disable / Enable alarming

Syntax: %TALMDIS4(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Example: %TLV(%TALMDIS4 16 %AALMDISP)

%TALMDIS5(

Alarm Disabled List Nodename. Commonly Used with %TLV to pass the referenced tag's Alarm Group Number.

Syntax: %TALMDIS5(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Example: %TLV(%TALMDIS5 16 %AALMDISP)

%TALMDIS6(

Alarm Disabled List Comport.Commonly Used with %TLV to pass the referenced tag's Alarm Group Number.

Syntax: %TALMDIS6(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Example: %TLV(%TALMDIS6 16 %AALMDISP)

 %TALMDIS7(

Alarm Disabled List Unit Number .Commonly Used with %TLV to pass the referenced tag's Unit Number (i.e. Device Number on there comport).

Syntax: %TALMDIS7(number number)

Security: READ ONLY

Arguments: Position Highlighted Number, Relative Position Number

Example: %TLV(%TALMDIS7 16 %AALMDISP)


4.9.5 System Point Tags

System Point tags provide diagnostics and provide useful information for Alarms, Reports, Logs and global scripts. For example, there are system tags for Communication Port Status, Device Status, Simulation Mode, License Serial Number, and Tag Limit.

The System Point tags must be configured by the user and are based on a subset of the %DAQ tags although there are System Point Tags that do no have a corresponding %DAQ tag. System Points Tags alarm, show in the Alarm Summary, can be used in trends, global scripts, calculation tags, logs and reports.

Note - The %DAQ tags are created automatically and are similar to System Point Tags, however %DAQ tags can not be used in Calculation Tags and %DAQ tags do not appear in the Alarm Summary, trends, or reports. Only Local Screen Scripts, Graphic Displays and Pushbutton Keymacros can use %DAQ tags. Use System Point Tags for reports, alarms and calculation tags.

To configure a System Point:

1. Select SysPoint hyperlink from SCADA Node Properties Page.

2. From the Pull Down list on Create Tag, select a Parameter associated with the function you want to monitor.

Add Device Status System Point Tag

Hint - Parameter names for System Points are an abbreviation of the function. Pick a parameter, then read the Description which describes it's function better than the abbreviated parameter name.

3. Select Alarm if you want the tag to generate an Alarm.

4. Enter a Tag Name.

5. Optionally modify the Description.

6. Enter Comport Number, Unit Number, and or SCADA Node name for some tags (e.g. DEVCTag, DEVDTag, PortCTag, PortDtag, NodeSTS, PortSTS and DEV STS).

7. Modify Log Data, Log DeadBand, Action Log, Previous Value, Security Area and Level, State Descriptors, Log to ODBC and Analog Alarm Limits and Discrete Alarms as per any IO tag.

8. Press Submit.

9. Download the SCADA node to make changes take affect.


4.9.5.1 AccTag

Accumulation Tag Count. Describes the number of Accumulation Tags configured on the SCADA Node. This is useful for Licensing diagnostics. See also 1.5.3.2 Internal Tags limited by license, TagLimit, TTLIOTag, TTLTag, TTLCTag, and CalTag.


4.9.5.2 AlarmTag

Tags in Alarm Count. Describes the number of Tags with Active Alarms.

This is the number of Alarms on all SCADA nodes.

Similar %AALMGLOBAL


4.9.5.3 CalTag

Calculation Tag Count. Describes the number of Calculation Tags configured on the SCADA Node. This is useful for Licensing diagnostics. See also 1.5.3.2 Internal Tags limited by license, TagLimit, TTLIOTag, TTLTag, TTLCTag, and AccTag,.


4.9.5.3.1 DevComm

Device Communication P rimary/Backup. Shows connection status to primary or backup device. This tag also allows users to switch between Primary and Backup device by changing this tag's value. Applies to device drivers with redundant capabilities (for example Modbus).

User must specify Comport Number, Unit Number (1-12,0-255).


4.9.5.26 DevBWT

Device Batch Write Status. Puts communication driver in "BATCH MODE" for drivers that support "Batch Writes" (i.e. writing more than one tag at a time). Not all device drivers support this. Most devices allow only one tag to be written at a time. An example of a driver that supports " Batch Writes" include the Fuji PLC.

Will hold output (writes) to a device when enabled (DevBWT = ON = 1). Outputs to the Device will accumulate in a buffer.

Will write output to tags accumulated in the buffer when disabled (DevBWT = OFF 0)


4.9.5.4 DevCTag

Device's Constant Scan Tag Count. Describes the number of Tags on a Device using the Constant Scan-type. This is useful for optimizing communication load and communication diagnostics. Constant Type Scanning means the Tag is always scanned, even if it is not on a graphic display viewed by a user. Data Logging and ODBC logging require Constant Scanning. See also 4.2.6 Scan Type, 3.3 Communication Ports and 3.4 Device Configuration.


4.9.5.5 DevDTag

Device's Display Scan Tag Count. Describes the number of Tags on a Device using the Display Scan-type. Display Scan means the Tag is only scanned when a Graphic Display it is on is opened by a user (or a called in the Point Info Dialog Box). This is useful for optimizing communication load. See also 4.2.6 Scan Type, 3.3 Communication Ports and 3.4 Device Configuration.


4.9.5.27 DevSTS

Device Status. Describes the OK, BAD and DISABLED status of the device referenced. Similar to %DUNITST and %AUNITST.

DISABLE means halt communications to the device. A user or script must DISABLE the device. This can be done from the STATION STATUS Display or %DUNITST.

RED FLASHING BAD means that there is a communications failure to the device; the SCADA node will retry to establish communications if BAD.

OK means communications enabled and no critical errors.

An asterisk (*) means device is not configured.

Tag Type: Discrete

3 States:

0: OK

1: BAD

2: DISABLED

Alarm: Alarm usually on Communications Failure = BAD (Alarm State = 2).

See also %DUNITST, %AUNITST and %DCOMST.


4.9.5.5.1 FreeDisk

Free Disk space on Hard Drive of SCADA node. A user can use this tag to monitor a specific disk’s free space available by entering the path in the "PATH" field. Examples are:

C:

C:\Advantech WebAccess

\\Server\logpath\


4.9.5.5.2 GroupAlm

Alarm status of alarm group. Describes if any tags in an alarm group are active. User must specify Alarm Group Number (1-999) when configuring this tag. See 7.7 Alarm Groups.


4.9.5.28 LevelALM

Priority Level n Alarms.

Type: Discrete

Syntax: Tagname

Arguments: none

Parameter: LevelALM

Monitored Alarm Priority: 0-99

Security: READ ONLY

Example:

Hi Span: 1

Lo Span: 0

0 : No

1 : Yes

Monitors if any tag of the specified alarm priority ( N ) is in alarm. If there is a tag of priority N in alarm, the tag is one otherwise, it is 0. The monitored alarm priority is fixed in configuration.

See also %AALMGLOBAL.


4.9.5..5.3 NODESTS

SCADA Node Status. Describes the status of the SCADA node referenced. Used to monitor remote SCADA node and alarm if failure or off-line. NODESTS, used with an asterisk ( * ) instead of Node name will monitor the project node status.

Offline: the kernel on the SCADA node is not running or the SCADA node is off.

Online: the kernel is running.

Standby: When used to monitor backup node from a primary node, shows Standby when the kernel is running on the backup node.


4.9.5.29 NodeSTS

Node Status. Describes the ONLINE or OFFLINE status of the referenced SCADANode. Monitors other SCADA nodes in the project.

An asterisk (*) means device is not configured.

Tag Type: Discrete

2 States:

0: Offline

1: Online

Alarm: Alarm usually on Communications Failure = Offline (Alarm State = 0).


4.9.5.6 PortCTag

Comport's Constant Scan Tag Count. Describes the number of Tags in all Devices on a Comport using the Constant Scan-type. This is useful for optimizing communication load and communication diagnostics. Constant Type Scanning means the Tag is always scanned, even if it is not on a graphic display viewed by a user. Cataloging and ODBC logging require Constant Scanning. See also 4.2.6 Scan Type, 3.3 Communication Ports and 3.4 Device Configuration.


4.9.5.7 PortDTag

Comport's Display Scan Tag Count. Describes the number of Tags on all Devices on a Comport using the Display Scan-type. Display Scan means the Tag is only scanned when a Graphic Display it is on is opened by a user (or a called in the Point Info Dialog Box). This is useful for optimizing communication load. See also 4.2.6 Scan Type, 3.3 Communication Ports and 3.4 Device Configuration.


4.9.5.30 PortSTS

PORT STATUS. Describes the Communication status of referenced comport. DISABLED means no communications to devices over this communications port. A user must DISABLE the comport. This can be done from the STATION STATUS Display or %DCOMST. BLUE OK means communications enabled and no critical error. An asterisk (*) means comport not configured. Used for Communication Alarming.

Discrete 3 states:

State 0: OK

State 1: BAD

State 2: DISABLED

Alarm: usually is BAD (Alarm State = 1)

See also %TCOMST, %ACOMST, %DCOMST.


4.9.5.8 RunMin

Elapsed Minutes Since System Start. Describes the number minutes since the SCADA node started. 1 million minutes is the maximum value.


4.9.5.9 RunSec

Elapsed Seconds Since System Start. Describes the number seconds since the SCADA node started. 6 million seconds is the maximum value. See also RunMin.


4.9.5.33 SerialNo

Serial Number. Serial Number of the License file on the SCADA Node. Similar to %TSERIALNUM.

Text Parameter.

Text Length: 16

See also %TSERIALNUM, 1.5.3 SCADA Node License, TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag and CalTag.


4.9.5.10 STM_Day

Kernel Start Day. Day of Month the SCADA Node started. (1 to 31).

Analog Parameter:

Span High: 31
Span Low: 1

See also STM_Wday, STM_Year, STM_Mon, STM_Hour, STM_Min and STM_Sec.


4.9.5.11 STM_Hour

Kernel Start Hour. Hour of the Day the SCADA Node started. (0 to 23). See also STM_Year, STM_Mon, STM_Day,STM_Wday, STM_Wday, STM_Min and STM_Sec.

Analog Parameter:

Span High: 23
Span Low: 0


4.9.5.12 STM_Min

Kernel Start Minute. Minute of the hour the SCADA Node started. (0 to 59).

Analog Parameter:

Span High: 59
Span Low: 0

See also STM_Year, STM_Mon, STM_Day, STM_Wday, STM_Hour and STM_Sec.


4.9.5.13 STM_Mon

4.9.5.12 STM_Mon

Kernel Start Month. Month of the year the SCADA Node started. (1 to 12).

Analog Parameter:

Span High: 12
Span Low: 1

See also STM_Year, STM_Day, STM_Wday, STM_Hour, STM_Min and STM_Sec.


4.9.5.14 STM_Sec

Kernel Start Second. Second of the minute the SCADA Node started. (0 to 59).

Analog Parameter:

Span High: 59
Span Low: 0

See also STM_Year, STM_Mon, STM_Day, STM_Wday, STM_Hour, and STM_Min.


4.9.5.31 STM_Wday

Kernel Start Day of Week. Day of the Week the SCADA Node started.

Discrete Tag: 7 states.

State 0: Sun.

State 1: Mon.

State 2: Tue.

State 3: Wed.

State 4: Thr.

State 5: Fri.

State 6: Sat.

See also STM_Day, STM_Year, STM_Mon, STM_Hour, STM_Min and STM_Sec.


4.9.5.15 STM_Year

Kernel Start Year. Year the SCADA Node started.

Analog Parameter:

Span High: 2020
Span Low: 2000

See also STM_Mon, STM_Day, STM_Hour, STM_Wday, STM_Min and STM_Sec.


4.9.5.16 TagLimit

Tag Limit. Describes the number of Tags in the License for the SCADA Node. This is useful for Licensing diagnostics. TagLimit reads the license control file in drive:\webacess\node on the SCADA Node.

Span is 0 to 60,000

Note that 0 means "no limit" (i.e. an unlimited tag count is allowed by the license).

See also 1.5.3.1 IO Tags limited by License, 1.5.3.2 Internal Tags limited by license, TagLimit, TTLIOTag, TTLTag, TTLCTag, AccTag and CalTag.


4.9.5.17 TM_Day

Current Day. Day of Month. (1 to 31). Similar to %ATMMDAY.

Analog Parameter.

Span High: 31
Span Low: 1

See also %TTMTIME, TM_Day TM_Wday, TM_Year, TM_Month, TM_Hour, TM_Min and TM_Sec .


4.9.5.18 TM_Hour

Current Hour. Hour of Day. (0 to 23). Similar to %ATMHOUR.

Analog Parameter.

Span High: 23
Span Low: 0

See also %TTMTIME, TM_Day TM_Wday, TM_Year, TM_Month, TM_Hour, TM_Min and TM_Sec .


4.9.5.19 TM_Min

Current Minute. Minute of the Hour. (0 to 59). Similar to %ATMMINUTE.

See also %TTMTIME, TM_Day TM_Wday, TM_Year, TM_Month, TM_Hour and TM_Sec .


4.9.5.20 TM_Month

Current Month. Month of the Year. (1 to 12). Similar to %ATMMONTH.

See also %TTMMONTH , %TTMTIME, TM_Day TM_Wday, TM_Year, TM_Month, TM_Hour, TM_Min and TM_Sec .

.


4.9.5.21 TM_Sec

Current Second. Second of the hour. (0 to 59). Similar to %ATMSECOND.

See also %TTMTIME, TM_Day TM_Wday, TM_Year, TM_Month, TM_Hour, TM_Min and TM_Sec .


4.9.5.32 TM_Wday

Current day of Week. Day of the Week.

Discrete Tag: 7 states.

State 0: Sun.

State 1: Mon.

State 2: Tue.

State 3: Wed.

State 4: Thr.

State 5: Fri.

State 6: Sat.

Similar to %TTMWDAY and %ATMWDAY. See also %ATMMDAY, %ATMYDAY, TM_Day.


4.9.5.22 TM_Year

Current Year. (2000 to 2020). Similar to %ATMYEAR.

See also %TTMTIME, TM_Day TM_Wday, TM_Year, TM_Month, TM_Hour, TM_Min and TM_Sec.


4.9.5.23 TTLCTag

Constant Tag Count. Describes the number of Constant Tags configured on the SCADA Node. This is useful for Licensing diagnostics. See also 1.5.3.2 Internal Tags limited by license, TagLimit, TTLIOTag, TTLTag, AccTag, and CalTag.


4.9.5.24 TTLIOTag

IO Tag Count. Describes the number of IO Tags configured on the SCADA Node. This is useful for Licensing diagnostics. IO tags are read from PLCs, Controllers, RTUs, over communication ports. See also 1.5.3.1 IO Tags limited by License and 1.5.3.2 Internal Tags limited by license, TagLimit, TTLTag, TTLCTag, AccTag and CalTag.


4.9.5.25 TTLTag

System Total Tag Count. Describes the number of Tags configured on the SCADA Node. This is useful for Licensing diagnostics. Includes IO Tags, Constant Tags, Accumulation Tags, Calculation Tags and System Point Tags. Does not include Local Tags (i.e. screen tags). IO tags are read from PLCs, Controllers, RTUs, over communication ports. See also 1.5.3.1 IO Tags limited by License and 1.5.3.2 Internal Tags limited by license, TagLimit, TTLIOTag, TTLCTag, AccTag and CalTag.


4.10 Local Screen Tags

4.10 Local Tags (Screen Tags)

Local Tags (also called Screen Tags) are useful in creating animation and calculations for use in graphic displays without using up constant tags, calculation tags or accumulation tags.

Local Screen tags are tags that act like constant points; their values can be analog, digital or text and can be changed during run-time by Operators using VIEW. However, screen tags are used for VIEW only and are independent of the IO tags used by the Kernel.

Also called Local Tags are "local" to the graphic display they are assigned. The value of a Local Tag can be different on each Client and are independent of the value on other clients. They are independent of the value on other displays on the same Client.

Local Tags are built in the DRAW (the graphics Builder) using the Local Tags editor from either the tool bar Tools -> Local Tags or Set Graph Parameters. Local Screen Tags are assigned to graphics using DRAW using Set Graph Parameters. Local Tags have no alarming and few of the features of IO Tags.

Scripts and Displays use local tags to store results, read operator inputs and create complex calculations. By using local screen tags in Scripts and Displays, you do not decrease your licensed tag count. There is no limit to number of local screen tags in Advantech WebAccess.

Local Screen Tags exist on the Client. If multiple Clients are viewing the same display, each client will have a different value for that screen tag. These are not "Global" hence the term "Local".

Local Tags are temporary to the display. Calling a new display erases them from memory.

Local tags can also be associated with Video, to enable scripts that rotate from camera to camera or other customization

The Local Tag File contains the Local Tags to be assigned to a graphic. You can repeatedly assign this local tag file to many graphic displays in order to use the same local tags over and over. These are a Local Tag file configured DRAW using Set Graph Parameters.

You can use the same Local Tag file on multiple displays.

Local Tags are not limited by tag count.

You can export tag file configuration information to a text file so that the configuration can be viewed and edited using a text editor, such as Notepad. This is also a convenient way to export or import to another node or project. The modified screen tag text file can then be imported back to DRAW .


4.11.1 Legal characters in a Tag Name

A Tag Name can include the alphanumeric characters:

A - Z
a - z
0 - 9
- (dash)
and _ underscore.

For example, U2_FIC-109a is a legal tagname.

Note -Underscore should NOT be used in a Project Name. Advantech WebAccess uses the Underscore as a delimiter in files requiring identification of both Project Name and SCADA Node (for example, Project1_Node1.


4.11.1.1 Characters NOT permitted in a Tag Name

The "reserved" characters, which can NOT be in a Tag Name are as follows:

& (ampersand)
, (comma)
: (colon)
. (period)
% (percent)
= (equal sign)
(space)

There can be no blank spaces in tag names.

The Advantech WebAccess Project Manager will not let you save a Tag (i.e. press the "Submit" button), Advantech WebAccess will complain if your tag name uses one of the "reserved characters".

If you plan to use Keymacros (i.e. pushbuttons), calculations, or scripts you should also avoid using characters commonly used for arithmetic and Tcl scripts. You should avoid:

* asterisk
[ ] (square brackets)
{ } (curly brackets)
( ) (parenthesis)
? (question mark)
/ (slash)
$ (dollar sign)
@ (at sign)
< (greater than sign)
> (less than sign)
+ (plus sign)
- ( dash or minus sign)


4.11.2 21 character Tag Name length

21 characters is the maximum length of a Tag Name.

Note - Block Names are 12 characters maximum. This is to allow colon and parameter name to be appended to the Block name to create a full tag name (e.g. Blockname:parameter). Parameters Names are 8 characters maximum.


4.11.2.1 12 characters in a Block Name

12 characters is the maximum length of a Block Name.


4.11.2.2 8 characters in a Parameter Name

8 characters is the maximum length of a Parameter Name.


4.11.3 Colon for BLOCK:PARAMETER

The colon ( : ) appended to the Block Name, followed by the Parameter name, to read parameter of a Block in the Point Browser, Trends, and Graphic Displays.

For example, to read the setpoint of tag TIC101, you would type: TIC101:SP


4.11.4 Period for Tag Field

The period ( . ) appended to the Tag Name, followed by the Tag Field, is used to read alarm and configuration of a tag in VIEW using the Point Browser, Trends, and Graphic Displays. Blockname:parameter.field is used in the for Blocks.

For example, to read the High Alarm Limit for tag ZAT184,
you would type: ZAT184.almhi


5. Advanced Block, Parameter & Tag Configuration

The information in this chapter is especially important to know when configuring customized parameters and blocks.

There are several types of Templates in Advantech WebAccess including: Parameters, Blocks, Faceplates and Block Detail Displays. Some computer-types might call these “object-classes”. Essentially, a template is a starting point that allows a novice user to implement a communication database and graphics with minimum knowledge.

These Templates also act as Productivity Tools enabling Advanced Users to reduce the Time, Effort and Costs to implement a large automation Project.

The first and most common Templates in Advantech WebAccess are Parameters. Each driver, comes with a library of “Parameters” that specify communication to data in automation devices. Typically, each data type or register type in the PLC or Device has a parameter defined for it. Each parameter specifies a typical address. A user, totally unfamiliar with the addressing scheme or register naming in a PLC can pick a Parameter from a pull down menu, assign a tag name and Voila! A Tag is completely defined, including the address.

The next most common Templates in Advantech WebAccess are Blocks. A block is a group of parameters that are associated with a single tagname. Whereas a Parameter is most commonly used for a single register in a PLC, a Block is most commonly used for a PID controller in a PLC, controller or DCS.

The Parameter or Block-Type act as templates for creating Tags and Blocks. The template is created before actually creating the communication object, i.e. the tag and block.

An IO Block is a group or “block” of parameters read or written from the field automation device that are associated with a single tagname.

The most common usage is with a PID Controller: the Measurement parameter, the Setpoint parameter, the Auto/Manual status, the output, alarms and tuning parameters are all referenced using the same tagname (for example LIC101). The Setpoint, measurement, output, alarms and tuning parameters are referred to as “parameters”.

Each parameter can be of a different type: analog, digital or text. To reference the measurement value of a Foxboro 761 controller configured as a Block, the syntax is LIC101:MEAS. Similarly, the Setpoint is LIC101:SP.

Blocks allow a large number of tags to be built by specifying a single name and addressing offset. Blocks also enable the use of the Block Detail Display, which is a template type display: a single display that can be used to view all blocks of the same Block Type.

For example, a large office tower has 200 VAV controllers each with 25 parameters; all of the controllers have the identical set of values read and written. A VAV block is configured and used to rapidly implement the communications to these devices. Further, only a single display (a Block Detail Display) is needed to view all 200 VAVs. Further, as new VAV controllers are added, no additional display building is needed.

A block can consist of any user defined grouping of parameters form the same communication device (i.e. the same PLC, controller, RTU, etc.).

Many Advantech WebAccess drivers come with pre-built Blocks and Block Detail Displays. Engineers and Technicians can create new Blocks using Advantech WebAccess Configuration and can create new Block Detail Displays using Advantech WebAccess DRAW.

Blocks are also used to minimize graphic requirements. For example, a block might be created for each of six types of RTUs used in a facility. Each RTU consists of 20 or more measurements and outputs. All 200 RTUs can be viewed from just six displays. As site personnel add additional RTUs, no additional graphics are needed. Overview Group Displays and Faceplate Group Displays are system template displays supplied with every Advantech WebAccess system. They allow data from Blocks to be displayed without any graphics building.

The Block Detail Display is another Template. One display can be used to view any Block of the same type. Typically, this is used in PID loop controllers where any PID block can be viewed with this display. A large quantity of data (usually all relevant IO) are placed on this display, hence the origin of the name ‘Block Detail”.

Faceplates are similar in concept to Block Detail Display, however they are incorporated into other process graphics and mixed with non-related data. A user selects a faceplate from a menu while building a process graphic.

The software license control file limits the number of IO Blocks. Each Parameter in a block counts as a Tag.


5.1 Blocks in Overview

Block Types and Parameters are database templates. The template can be used repeatedly to form many Block Tags and Tags. Parameters are templates for both Tags and Blocks. Block Types are groups of parameters. Once a Block Tag is created, its elements have the same name as the parameters used in the Block-Type Template.

First parameters are built that reflect the elements in the Block, For example a PID control Block might have parameters for Setpoint, Measurement, Output, Auto/Manual, Remote/Local, Tuning parameters, etc. These parameters would be assembled into a block type. This block type would be used as a template to create hundreds of Controller Blocks in your project.

For Blocks to work well, the addressing in each controller must be similar with some predictable offset or pattern.


5.1.1 Build Parameters to build Blocks

It so important I had to repeat this. Parameters are the elements in a Block. Users and operators will reference the parameters (elements) in a block by appending the Parameter name to the Block name in the format, Tag:parameter. You should pick a parameter name that will be meaningful to ordinary users and operators.


5.1.2 Blocks as a Productivity Tool

Blocks are the most effective method increase the productivity and save time in building a large automation project or a series of projects that are repeated.

The classic example of the use of Blocks in large automation projects is to create a block for use with the each controller type in your project. First, parameters would be built that reflect Setpoint, Measurement, Output, Auto/Manual, Remote Local, Tuning parameters, etc. Next, these parameters would be assembled into a block type. This block type would be used as a template to create hundreds of Controller Blocks in your project.

For Blocks to work well, the addressing in each controller must be similar with some predictable offset or pattern.


5.1.3 Create Blocks - Examples

ADAM 5000E

This example uses the Block types provided with the ADAM 5000E device drivers. Specifically to 5017 IO cards Please refer to Add a Block Type section for information about building new Block Types.

This section also assumes you have configured a Comport and a Device. This example creates a Block for an ADAM 5000E. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for an ADAM 5000E.

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. You may need to expand the Port List by Clicking on the SCADA Node (Node 1 in the example).

6. You may need to expand the list of Devices under your Comport by clicking on the Comport.

7. Drag the slider bar on the left Frame down to reveal Communication Port (e.g. Port 3 in the example).

8. Drag the slider bar on the left Frame down to reveal Device (e.g. DemoPLC 3 in the example).

9. Click on the ADAM 5000E Device (in the example, pick DemoPLC).

10. The Device Properties page opens. It can take some time to open all the data tables on the Project Node / Web Server.

11. Select Add Block.

12. The Create New Block Page appears.

13. Select the A5017E from the pull down list for Block Type.

14. Enter a Block Name. This will become the Tag name for your Block Tag. Block Name is up 12 alphanumeric characters. This is the name that users and operators will use to access the data read by this tag. Typical Block Names are TIC1001, Zone11, and Pump61. See 4.11.1 Legal characters in a Tag Name. For this example, enter SLOT4. This assumes you have an 5024 IO card in the 4th slot of your ADAM 5000e PLC.

15. Enter a Description. This helps operators to identify the tag. It will appear on the Point Info, Block Detail and Point Detail Displays. It will also appear in the Alarm Summary and will be read by the Text-to-Speech Alarm Annunciator.

13. Enter an Offset. If you planned your addresses well, you will be able to use the Block Offset feature to create the proper addresses for all the parameters in the block with a single keystroke. For this example enter 30.

The offset for Modbus protocol devices (and the ADAM5000E) are a simple integer.

Note - for other protocols and device types, it may be a complex series of numbers, commas and letters. Refer to the specific device driver guide for the addresses used by your device.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

For an ADAM5000, it will add the offset to each Modbus address shown (e.g. 4001, 4002, 4003 and 4004 for a 5024). The offset is zero-based and multiplied by 10. For an ADAM 5000, add the slot number 1 minus 1 multiplied by 10. For example, the offset for Slot 5 is 40. The offset for Slot 4 is 30. The offset for slot 1 is 0. If the offset is 30, the Modbus addresses for a 5024 become 40031, 40032, 40033 and 40034).

For this example enter 30 (this assumes you have a 5024 IO card in the 4th slot of your ADAM 5000E PLC).

14. Select Submit when finished.

15. Next Steps are to:

15.1 Download the database to the SCADA Node

15.2 Start the Node (if it was not already running)

15.3 Start View

15.4 Open the Point Info dialog Box

15.4.1 Scroll down (if necessary) to see the Tag Name for the Block.

15.4.2 Click on the TagName:Parameter for the Block. In this example SLOT4:SLOT4:AO_0.


5.2 Parameters

Beginning Engineers and Technicians usually do not need to build parameters. Advantech WebAccess comes with a set of default parameters for your device driver. Someone from the Advantech WebAccess engineering department already created some parameters for you to use that are typical for your device.

Parameters as a Productivity Tool

Parameters are used by Advanced Users to create productivity objects to increase the efficiency of building an automation project.

The simplest productivity object is to copy or edited a default parameter to act as better template for creating tags. For example, if all of your addresses begin with a higher number than the default parameter uses, you can edit the default parameter to save typing.

Another use of parameters is to develop some project standards that help other users who are assisting you. You might define a FLOW parameter with a starting address for flow transmitters inputs, plus engineering units, typical span high and low, and conversion codes used with Flow measurements. Then tell the user to create new Flow measurement tags using that parameter as a starting point.

Parameters are also a way to create a custom Point Detail display. If you create a Point Detail Display named after the parameter used to create a tag, this user built point detail will be called up (in stead of the default point detail display).

Blocks are the biggest Productivity Tool

Blocks are the most effective use of parameters to increase the productivity and save time in building a large automation project or a series of projects that are repeated.

The classic example of the use of Blocks in large automation projects is to create a block for use with the each controller type in your project. First, parameters would be built that reflect Setpoint, Measurement, Output, Auto/Manual, Remote Local, Tuning parameters, etc. Next, these parameter would be assembled into a block type. This block type could be used as a template to create hundreds of Controller Blocks in your project.

For Blocks to work well, the addressing in each controller must be similar with some predictable offset or pattern.

Parameters are the elements in a Block

Users and operators will referenced the elements in a block by appending the parameter name to the Block Tag name: Blockname:parameter . You should pick a parameter name that will be meaningful to ordinary users and operators.

For example, a Foxboro 761 device:

TIC101:SP for the setpoint of a Temperature controller,
TIC101:MEAS for the measurement,
TIC101:OUTP for the output of the primary controller
TIC101:OUTS for the output of the secondary controller
TIC101:AM for the auto manual state
TIC101:RL for the remote local state
TIC101:PB for the proportional band tuning constant
TIC101:INT for the integral tuning constant
There are probably 50 more parameters in a Foxboro 761 controller.

The real working creating a block is to create the parameters that will be grouped into the block. Once you create a block, you cannot change the parameter name without re-creating both the block-type and the block.

Notice that the parameter names are limited to 7 characters. In addition, parameter names can be used again in a different device type (for example you could have a SP parameter in all device types). However, a parameter name must be unique within a device type.


5.2.1 Where are Parameters Listed?

Parameters are listed in five places in the Project Manager:
1) By Device Type in the Project Manager
2) in pull down menu on the Tag Properties page used to create a tag
3) in Block Type Properties used to create Block Types
4) in Block Properties of a specific BLOCK you have created.

Parameters appear in three places in VIEW:
1) Point Info Dialog Box in VIEW
2) Point Detail Display and
3) Block Detail Display
4) Appended to the Block Name in Displays in the format Blockname:parameter

Device Type

Parameters are listed by Device Type. By clicking on the Device Type in the left frame of Advantech WebAccess Configuration Project manager the Parameter Set for that Device are listed.

Figure 5-1Parameter List – MODICON Device

Parameters are organized by type, and then listed alphabetically. Digital or Text type parameters are listed separately from Analog parameters (and listed separately from each other. If you create a parameter and don't see it listed alphabetically with your analog parameters, try scrolling down to the Digital and Text parameters for your device type.

Pull down List in Tag Properties

Figure 5-2Parameter List - Create New Tag

The Second Place parameters are listed is in a pull-down menu on the Tag Properties page when you use Create Tag .

Block Type Properties Page

Figure 5-3Parameters List - Update Block

Once you have configured a Block type, you can review or add parameters from the Block Properties page. You use

Create New Block Page shows parameters used to create the block

Figure 5-4Parameter List - Create Block

Block Properties of an exiting Block

Figure 5-5Parameter List - Block Property

Users and Operators will see a Parameter appended to a Block Name in Dialog Boxes and Displays in View. The format is: TAGNAME:PARAMETER.

View

Figure 5-6Parameter in Point Info (Tag Browser) VIEW and ViewDAQ

Users and operators will referenced the elements in a block by appending the parameter name to the Block Tag name: Blockname:parameter.


5.2.2 Add Parameter

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Device Type list.

6. Pick on your Device Type (for example, pick Modicon if you are to create a parameter for your Modbus Driver).

7. The Parameters Set for the Device Type (driver) opens.

Figure 5-7Add Parameter

8. Select Add Parameter.

The Create Parameter Properties Page opens.

Figure 5-8Create Parameter Properties Page

9. Select a Parameter Type from the Pull Down List.

Figure 5-9Parameter Type Definition - Create Parameter

This is the first step in creating a Parameter. The important thing is to get the Data type correct, you cannot change from Analog to Discrete to Text. All other properties can be changed.

Analog parameter is at least 4 bits of data and greater (up 16 bits or 32 bits depending on the driver) that are interpreted as numbers. Floating-point numbers and any value over 7 must be created as an Analog Type.

A Discrete parameter is 1 to 3 bits of data and is interpreted as "digital" (0 or 1) or as a "discrete" integer between 0 and 7.

Text parameter is data read as ASCII strings. The size is dependent on the driver, but always less than 70 characters.

10. If you select a Discrete or Text type parameter, the Page will change to the appropriate page for Discrete of Text type parameters.

11. Refer to the Following Sections for Analog, Discrete and Text Parameter Properties for a description of each entry on the Page.
Analog Parameter Properties
Discrete Parameter Properties
Text Parameter Properties

12. Press Submit when you are finished entering Data.

13. You can edit parameters using the Parameter Properties.


5.2.3 Edit Parameter Set

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration

2. Login with User Name and Password

3. Select your Project Name

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Device Type list.

6. Pick the Device (for example, pick Modicon)

7. The Parameter set for the selected device appears.

Figure 5-10Device Property - Parameter List

Parameters are organized by type, and then listed alphabetically. Digital or Text type parameters are listed separately from Analog parameters (and listed separately from each other). If you created a parameter and don't see it listed alphabetically with your analog parameters, try scrolling down to the Digital and Text parameters for your device type.

8. Select Update.

9. The Parameter Properties Page opens.

Refer to the Following Sections for Analog, Discrete and Text Parameter Properties for a description of each entry on the Page.
Analog Parameter Properties
Discrete Parameter Properties
Text Parameter Properties

10. Press Submit when you are finished entering Data.

Modifications to the Parameter Properties will only affect New Tags and Blocks. To modify the Parameters in an existing Tag or Block, you will have to update those tags and Blocks individually.


5.2.4.1 Parameter Type - Analog parameter

This is the first step in creating an Analog Parameter. The important thing is to get the Data type correct, you cannot change from Analog to Discrete to Text. All other properties can be changed.

Chosen from a Pull Down List on the Create Parameter properties page. Parameters are IO device driver dependant. Refer to your specific Device Driver Manual for details on all the entries in Parameters Properties.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only


5.2.4.2 Parameter Name

Users and operators will reference the elements in a block by appending the parameter name to the Block Tag name, Blockname:parametername . You should pick a parameter name that will be meaningful to ordinary users and operators. Do not include blank spaces within your parameter name.

For example, a Foxboro 761 device:

TIC101:SP for the setpoint of a Temperature controller,
TIC101:MEAS for the measurement,
TIC101:OUTP for the output of the primary controller.

Range: up to 7 alphanumeric characters.
Field Type: Text
Tag field: .PNAME

Figure 5-11Parameter Names: AM, DI, DO, MEAS and SP on tag TIC101


5.2.4.3 Description

Parameter Description provides an initial value for description when creating a Block or tag using this parameter. This description can be edited after creating the tag or block. It will appear in displays and alarms. A typical parameter description describes its function within the block or use as a tag. For example: Setpoint, Output, Flow Measurement.

Range: 25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP


5.2.4.4 Address Template

Some Drivers Supply an Address Template that shows a list of valid address formats for this device. The addressing format varies greatly among automation devices. Picking this field will change the Address property field below. Click cancel to abort inadvertent changes to the address.

Range: driver dependant
Field Type: Text
Tag fields: see address


5.2.4.5 Address

Parameter Address assigns the default address of the Parameter for the data in the field device to be read or written. It is important to assign an address for Parameters that are to be used in Blocks in order for the Block Offset feature to work well.

Parameter Address defines the initial Address for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Address can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

Parameter Addresses require some planning for use with blocks. However, the time savings can be huge. It is possible to type a single offset number to create a dozen or more communication addresses for data in the field device.

If you leave the parameter address blank, for all the parameters in your block, the block offset will set all the addresses to the same value and you will have to manually re-enter the correct address for each parameter in every block

When creating a tag, the tag's address is initially set when the Parameter was chosen for this Tag. Address is very device dependent. Refer to the device driver manual for more details. Most users edit the field by selecting the part(s) of the address with the mouse and typing the specific address. The pull down menu (accessed on Address Template field above) lists address formats supported by the driver.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS


5.2.4.6 Scan Type

Defines the type of scanning performed by the software. Constant Scanning means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, trends, logs, batch, scripts, logic).

Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is for infrequently accessed tags, like tuning parameters and setpoints. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range: Constant Scan, Display Scan
Field Type: Text
Tag fields: .SCANTP read only

Parameter Scan Type defines the initial Scan Type for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Scan Type can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.4.7 Conversion Code

Defines how to interpret the raw value from the device. It is device dependent. Refer to the specific device driver manual for more details. Use the pull down list, to see the valid conversion codes for this device. Typical conversion codes include:

· Unsigned Integer

· Signed Integer

· Double Precision Integer

· IEEE Floating Point.

Parameter Conversion Code defines the initial Conversion Code for Tags and BLOCK:PARAMETERS created using this parameter. Conversion Code can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.4.8 Start Bit

Specifies the bit in the address word where data starts. Parameter Start Bit defines the initial Start Bit for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Bit Length can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.4.9 Length - Analog Parameter

Indicates the length of data. For example, 4, 8 or 16 bits for an analog tag. Analog Parameter Length defines the initial Length for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Length can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.4.10 Scaling Type

Applies to Analog type parameters and tags. Scaling type specifies how to convert data read from the field device to a number meaningful to users and operators. Specifies how to re-scale input from device into actual Engineering Units. Parameter Scaling Type defines the initial Scaling Type for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Scaling Type can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.

Scaling works with SPAN LOW and SPAN HIGH. Many automation devices supply data a raw form. For example, many 12-bit IO devices supply all values as an integer between 0 and 4096. For example, the appropriate scaling type, SPAN HI and SPAN LO could be used to rescale t0 -4096 to 0 to 14.7 psig.

Valid Scaling Types are driver dependant. A pull down list shows valid scaling types for this device. Typical scaling types include:

No Scale

For a value not requiring scaling or one that will be scaled prior to reaching the computer. Will display raw value read from device and ignore the Span High and Low.

Scale 0-100 Input to Span

This will convert values between 0 and 100 to specified Low and High Span (SPAN LOW and SPAN HIGH). Fits input of 0 - 100 into SPANLO - SPANHI. This assumes the input is a value between 0 and 100.

If input exceeds 100, then the value of the tag will exceed SPAN HIGH. Selecting this conversion, and specifying SPANLO = 0 and SPANHI = 1000 will effectively multiply the input by 10. The conversion algorithm is approximately:

OUTPUT = (SPANHI - SPANLO) / 100 * INPUT + SPANLO

Linear scale MX+B

This will convert input using the classic equation for a line (i.e. linear input) where:

OUTPUT = M * INPUT + B

SCALING FACTOR 1 = M, the slope of the line.

SCALING FACTOR 2 = B, the intercept of the line with the x -axis.

Scale Defined Input H/L to Span

This will convert values between INPUT LOW and INPUT HIGH to specified Low and High Span (SPAN LOW and SPAN HIGH). This assumes the input is a value between INPUT LOW and INPUT HIGH.

If input exceeds INPUT HIGH, then the value of the tag will exceed SPAN HIGH. Selecting this conversion, and specifying SPANLO = 0 and SPANHI = 1000, INPUT LOW = 0 and INPUT HIGH = 100 will effectively multiply the input by 10. The conversion algorithm is approximately:

OUTPUT = (SPANHI - SPANLO) / (INHI - INLO) * (INPUT - INLO) + SPANLO

SCALING FACTOR 1 = INPUT HIGH.

SCALING FACTOR 2 = INPUT LOW.

Scale 12-Bit Input to span

Commonly used to read IO Multiplexors or IO cards that use the industry standard of 12 bit accuracy. This conversion reads only the first 12 bits of the word then re-ranges the value to fit the Low and high span (SPAN LOW and SPAN HIGH). It converts an input that ranges between 0 and 4096 to the specified SPAN LOW and SPAN HIGH for the bock.

Scale 0-100 Square Root Input

Commonly used to convert Flow from differential Flow meters (i.e. convert 0 -100 inches H20 to GPM). This will convert the square root of values between 0 and 100 to specified Low and High Span (SPAN LOW and SPAN HIGH). Fits square root of input of 0 - 100 into SPANLO - SPANHI. This assumes the input is a value between 0 and 100 (hence 0 -100 %).

The conversion algorithm is approximately:

OUTPUT = (SPANHI - SPANLO) / 100 * SQUARE ROOT(INPUT) + SPANLO


5.2.4.11 Scaling Factor 1 and 2

Used with some SCALING TYPES. Applies to Analog Tags and Parameters. It is Driver dependent. Analog Parameter Scaling Factor is defines the initial Scaling factor for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Scaling Factor can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. Two most common SCALING TYPES using scaling factors are:

Linear scale MX+B -SCALING TYPE

This will convert input using the classic equation for a line (i.e. linear input) where: OUTPUT = M * INPUT + B

SCALING FACTOR 1 = M, the slope of the line.

SCALING FACTOR 2 = B, the intercept of the line with the x -axis.

·

Scale Defined Input H/L to Span - SCALING TYPE

This will convert values between INPUT LOW and INPUT HIGH to specified Low and High Span (SPAN LOW and SPAN HIGH). This assumes the input is a value between INPUT LOW and INPUT HIGH.

OUTPUT = (SPANHI - SPANLO) / (INHI - INLO) * (INPUT - INLO) + SPANLO

SCALING FACTOR 1 = INPUT HIGH.

SCALING FACTOR 2 = INPUT LOW.

See Scaling Type for more information.


5.2.4.12 Signal Reverse - Analog Parameters

Reverses an analog signal to indicate its complement with respect to the full-scale range (e.g. reverses a percent open valve position to percent closed).

SPANHI and SPANLO are switched in conversion and scaling to engineering units. SPANHI is applied to 0 value from field device. SPAN LO is applied to maximum value from field device.

Parameter Signal Reverse defines the initial Signal Reverse field for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Signal Reverse can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.4.13 Read Only

Parameter Read Only defines the initial Read-Only State of Tags and BLOCK:PARAMETERS built using this parameter. Parameter Read Only can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. Specifies that the Tag's or BLOCK:PARAMETER's real-time value (the output value) is read only. If READ ONLY is selected, users and operators cannot change the value of the Tag or Block Parameter in run-time VIEW. Only the field device can update the value of the tag. Alarm Limits and other tag fields are changeable. Typically used with measurements and Input type tags and parameters.

If you want to allow some users to change the value of the tag, but not all users, consider assigning a security Area or Level to the tag or block.


5.2.4.14 Initial Value

The Parameter Initial Value is usually 0. Parameter Initial Value can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. This is the value the Tag or BLOCK:PARAMETER will initialize to when the SCADA node is restarted.


5.2.4.15 Span Hi

Span Hi and Span Lo apply to analog Parameters and Tags. Parameter Span Hi and Low are normally left at a default value. Parameter Span Hi can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. This value appears on displays, trend and dialog boxes describing the maximum value of the tag or BLOCK:PARAMETER built using this parameter.

Span Hi is used by some Scaling Types to "re-scale" the value read from the PLC. For some Scale Types, Span Hi is the maximum value of the Tag. For other, Scale Types, Span Lo is for display use only. For example, if No Scale is selected, the Span appears on Trends and Displays, but is informational only. The actual value can exceed Span Hi if no scale is used. (See Scaling Type for more details).

Span Hi is used by Trends, Overviews, and user built animation to determine the Maximum Value of the Tag. For example, if a tank is filled by a Tag, the Hi Span is used to determine the tag' value for a Full Tank.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPANHI


5.2.4.16 Span Lo

Span Hi and Span Lo apply to analog Parameters and Tags. Parameter Span Lo is normally left at a default value. Parameter Span Lo can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. This value appears on displays, trend and dialog boxes describing the minimum value of the tag or BLOCK:PARAMETER .

Span Lo is used by some Scaling Types to "re-scale" the value read from the PLC. For some Scale Types, Span Lo is the minimum value of the Tag. For other Scale Types, SPANLO is for Display Use only. For example, if No Scale is selected, the SPANLO appears on Trends and Displays, but is informational only. The actual value can exceed Span Lo if no scale is used. (See Scaling Type for more details).

Span Lo is used by Trends, Overviews, and user built animation to determine the Minimum Value of the Tag. For example, if a tank is filled by a Tag, the Span Lo is used to determine the tag' value for an empty Tank.

Range: -99,999,999,99 to 99,999,999,999
Field Type: analog
Tag field: .SPANLO


5.2.4.17 Output High Limit

Output High and Low Limits apply to Analog Parameters and Tags. Parameter Output Limits are normally left at a default value. Parameter Output limits can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. Output Limits restrict changes to the value of the tag or BLOCK:PARAMETER. This is the maximum value that users and operators can assign. An example is limiting Setpoint changes to values less than Span Hi. Common uses include Setpoint Limits and Output Limits for controls.

The Output Limits affect only data entered through Advantech WebAccess in the run-time VIEW including displays, dialog boxes, keymacros, data transfer function, recipes and scripts.

If the tag is an IO Tag (for example a register in a PLC or controller) a ladder program, other third party software can change the tag in the field device directly.

Range: SPANLO to SPANHI
Field Type: analog
Tag field: .OUTPHI


5.2.4.18 Output Low Limit

Parameter Output Limits are normally left at a default value. Parameter Output limits can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. Output Limits restrict changes to the value of the tag or BLOCK:PARAMETER. This is the minimum value that users and operators can assign. An example is limiting Setpoint changes to values greater than Span LO. Common uses include Setpoint Limits and Output Limits for controls.

The Output Limits affect only data entered through Advantech WebAccess in the run-time VIEW including displays, dialog boxes, keymacros, data transfer function, recipes and scripts.

If the tag is an IO Tag (for example a register in a PLC or controller) a ladder program, other third party software can change the tag in the field device directly.

Range: SPANLO to SPANHI
Field Type: analog
Tag field: .OUTPLO


5.2.4.19 Engineering Units

Parameter Engineering Units are often left blank. Parameter Engineering Units can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks. For example, Valve OUTPUT is always % OPEN). Engineers and operators use Engineering units to better understand the number displayed by the tag or BLOCK:PARAMETER created using this parameter. For example, volume in a tank can be measured in DegF, DegC, Gallons, Liters, Feet, Inches, Meters or Percent Full. Engineering Units is a text that will be displayed on all displays that reference the ENUNIT field of the tag. Engineering Units are limited to 12 characters in version 2.1.

Range: any text string, up to 12 characters
Field Type: Text
Tag field: .ENUNIT


5.2.4.20 Display Digits (Integer and Decimal)

Parameter Display Digits defines the initial display format for the value of tags and blocks created using this parameter.

Display Digits (Integer) defines the whole number integer part of the tag's value and defines the number of digits displayed before the decimal point. For example, a value of 4 will show values from 0 to 9999

Display Digits (Decimal) defines the decimal fractional part of the number and the number of digits displayed after the decimal point. For example, a value of 4 will show values from .0001 to .9999

The maximum display field size is 15 digits calculated as the sum of Display Integer + Display Decimal

Range: 1 to 15
Field Type: analog
Tag field: .DSPFMT

Parameter Display Digits can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.4.21 Array Size

Parameter Array Size defines the initial Array Size for tags and BLOCK:PARAMETERS created using this parameter.

Most devices and communications protocols do not support arrays. Used in IO Tags and Blocks if the IO or automation device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Try using a Block if you need an array-like feature for IO tags read from your device.


5.2.4.22 Overview

The Overview display shows one Parameter representative of the Block. For example, the Absolute Deviation Parameter of a PID Block is usually shown on the Overview to indicate near normal (a small value) or abnormal (a large value). In version 2.1, the default Overview display is text only; it could easily be replaced with a graphical display or bar type display.

Overview in Parameter Properties will in a future release define whether this Parameter will appear in the Overview Display. The Overview Display is a standard system display that provides a summary of all the Faceplate Groups including Blocks.


5.2.5.1 Parameter Type - Discrete parameter

This is the first step in creating a Discrete Parameter. The important thing is to get the Data type correct, you cannot change from Analog to Discrete to Text. All other properties can be changed.

Chosen from a Pull Down List on the Create Parameter properties page. Parameters are IO device driver dependant. Different drivers use different parameters.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only


5.2.5.2 Parameter Name

Users and operators will reference the elements in a block by appending the parameter name to the Block Tag name, for example, Blockname:parametername . You should pick a parameter name that will be meaningful to ordinary users and operators. Do not include blank spaces within your parameter name.

For example, a Foxboro 761 device:

TIC101:RL for the Remote Local State of a Temperature controller,
TIC101:AM for the Auto Manual State
TIC101:DO for the Discrete output of the controller.

Range: up to 7 alphanumeric characters.
Field Type: Text
Tag field: .PNAME

Figure 5-12 Parameter Name AM, DI, DO, on tag TIC101


5.2.5.3 Description

Parameter Description provides an initial value for description when creating a Block or tag using this parameter. This description can be edited after creating the tag or block. It will appear in displays and alarms. A typical parameter description describes its function within the block or use as a tag. For example, Setpoint, Output, Flow Measurement.

Range: 25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP


5.2.5.4 Address Template

Some Drivers Supply an Address Template that shows a list of valid address formats for this device. The addressing format varies greatly among automation devices. Picking this field will change the Address property field below. Click cancel to abort inadvertent changes to the address.

Range: driver dependant
Field Type: Text
Tag fields: see address


5.2.5.5 Address

Parameter Address assigns the default address of the Parameter for the data in the field device to be read or written. It is important to assign an address for Parameters that are to be used in Blocks in order for the Block Offset feature to work well.

Parameter Address defines the initial Address for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Address can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

Parameter Addresses require some planning for use with blocks. However, the time savings can be very large. It is possible to type a single offset number to create a dozen or more communication addresses for data in the field device.

If you leave the parameter address blank, for all the parameters in your block, the block offset will set all the addresses to the same value and you will have to manually re-enter the correct address for each parameter in every block

When creating a tag, the tag's address is initially set when the Parameter was chosen for this Tag. Address is very device dependent. Refer to the device driver manual for more details. Most users edit the field by selecting the part(s) of the address with the mouse and typing the specific address. The pull down menu (accessed on Address Template field above) lists address formats supported by the driver.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS


5.2.5.6 Scan Type

Defines the type of scanning performed by the software. Constant Scanning means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, trends, logs, batch, scripts, logic).

Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is for infrequently accessed tags, like tuning parameters and setpoints. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range: Constant Scan, Display Scan
Field Type: Text
Tag fields: .SCANTP read only

Parameter Scan Type defines the initial Scan Type for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Scan Type can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.5.7 Conversion Code

Defines how to interpret the raw value from the device. It is device dependent. Refer to the specific device driver manual for more details. Use the pull down list, to see the valid conversion codes for this device. Typical conversion codes include:

· Unsigned Integer

· Signed Integer

· Double Precision Integer

· IEEE Floating Point.

Parameter Conversion Code defines the initial Conversion Code for Tags and BLOCK:PARAMETERS created using this parameter. Conversion Code can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.5.8 Start Bit

Specifies the bit in the address word where data starts. Parameter Start Bit defines the initial Start Bit for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Bit Length can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.5.9 Length - Discrete Parameters

Discrete Parameter Length defines the initial Length of data read from field device for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Length can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.

For Discrete Tags and Parameters this determines the number of States in the tag. If three bits are read or written from the field device, up to 8 state descriptors are used to display the 'State" of the tag's value. If a single bit is read or written form the device, then only two state descriptors are used.

Length State Descriptors Used

1 STATE 0 and STATE 1

2 STATE 0, 1, 2, and STATE 3
3 STATE 0 thru STATE 7

Range: 1 to 3
Field Type: analog
Tag fields: For Discrete Tags, length can be inferred from .SPANHI

Figure 5-13Change Dialog Box for 8-State Discrete Tag

Figure 5-14Change Dialog Box for 2-state Discrete Tag


5.2.5.10 Read Only

Parameter Read Only defines the initial Read Only State for data read from the field device for Tags and BLOCK:PARAMETERS created using this parameter. Specifies that the Tag or BLOCK:PARAMETER value is read only. If READ ONLY is selected, users and operators cannot change the value of the Tag or BLOCK:PARAMETER in run-time VIEW. Only the field device can update the value of the tag. Other Tag fields are changeable.

If you want to allow some users to change the value of the tag, but not all users, assign a security Area and Level to the tag or BLOCK:PARAMETER.


5.2.5.11 Initial Value

This is the value the Tag or BLOCK:PARAMETER will initialize to when the SCADA node is restarted. The Parameter Initial Value is usually 0. Parameter Initial Value can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.5.12 Signal Reverse

Parameter Signal Reverse is the initial setting for Signal Reverse for Tags and Blocks created using this parameter.

Signal Reverse inverts a discrete signal to indicate its complement. The result depends on the number of states in the tag. For example, in a 2-state Discrete Tag, reverses 1 to 0 (for example, reverses true to false). In an 8 state Discrete Tag, 0 becomes 7, 1 becomes 6, 2 becomes 5, and 3 becomes 4, etc. Commonly used to help operators understand fail-safe devices where 0 signal is the safe condition (and which can mean either On or Off). For example, Signal Reverse allows fail-safe inputs to be reversed so that 1 is always On.

Parameter Signal Reverse can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.5.13 State 0 - 7

Optionally, the tags value can be displayed as a text descriptor, for example ON, OFF, True, False, Run, Stop, Auto, Manual, HOLD etc.

If three bits are read or written from the field device, up to 8 state descriptors are used to display the 'State" of the tag's value. If a single bit is read or written form the device, then only two state descriptors are used.

Length State Descriptors Used

1 STATE 0 and STATE 1

2 STATE 0, 1, 2, and STATE 3
3 STATE 0 thru STATE 7

The value of the Tag read by calculation tags, accumulation tags, scripts, keymacros and user programs is always the integer representation (0 to 7). The tag descriptor fields can be read scripts and user programs (DESCR0 to DESCR7).

The value of the Discrete Tag on Displays and Dialog boxes will use the STATE descriptors specified her (STATE 0 to 7)

Range: 12 alphanumeric characters
Field Type: Text
Tag fields: .DESCR0 .DESCR1 .DESCR2 .DESCR3 .DESCR4 .DESCR5 DESCR6 .DESCR7

Figure 5-15Change Dialog Box for 8-state Discrete Tag

Figure 5-16Change Dialog Box for 2-state Discrete Tag


5.2.5.14 Array Size

Parameter Array Size defines the initial Array Size for tags and BLOCK:PARAMETERS created using this parameter.

Most devices and communications protocols do not support arrays. Used in IO Tags and Blocks if the IO or automation device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Try using a Block if you need an array-like feature for IO tags read from your device.


5.2.5.15 Overview

This option is not supported in version 2.1. Currently, the first parameter listed alphabetically will appear on the Overview Display.

The Overview display shows one Parameter representative of the Block. For example, the Absolute Deviation Parameter of a PID Block is usually shown on the Overview to indicate near normal (a small value) or abnormal (a large value). In version 2.1, the default Overview display is text only; it could easily be replaced with a graphical display or bar type display.

Overview in Parameter Properties will in a future release define whether this Parameter will appear in the Overview Display. The Overview Display is a standard system display that provides a summary of all the Faceplate Groups including Blocks.


5.2.6.1 Parameter Type

This is the first step in creating a Text Parameter. The important thing is to get the Data type correct, you cannot change from Analog to Discrete to Text. All other properties can be changed.

Chosen from a Pull Down List on the Create Parameter properties page. Parameters are IO device driver dependant. Different drivers use different parameters.

Range: analog, discrete or text.
Field Type: Text
Tag field: .PTYPE read only


5.2.6.2 Parameter Name

Users and operators will reference the elements in a block by appending the parameter name to the Block Tag name, Blockname:parametername. You should pick a parameter name that will be meaningful to ordinary users and operators. Do not include blank spaces within your parameter name.

For example, a Foxboro 761 device:

TIC101:DESCR1 for the Description of a Temperature controller,
TIC101:TEXTMSG1 for the Text Message in the controller

Range: up to 7 alphanumeric characters.
Field Type: Text
Tag field: .PNAME


5.2.6.3 Description

Parameter Description provides an initial value for description when creating a Block or tag using this parameter. This description can be edited after creating the tag or block. It will appear in displays and alarms. A typical parameter description describes its function within the block or use as a tag. For example, Setpoint, Output, Flow Measurement.

Range: 25 alphanumeric characters
Field Type: Text
Tag fields: .DESCRP


5.2.6.4 Address Template

Some Drivers Supply an Address Template that shows a list of valid address formats for this device. The addressing format varies greatly among automation devices. Picking this field will change the Address property field below. Click cancel to abort inadvertent changes to the address.

Range: driver dependant
Field Type: Text
Tag fields: see address


5.2.6.5 Address

Parameter Address assigns the default address of the Parameter for the data in the field device to be read or written. It is important to assign an address for Parameters that are to be used in Blocks in order for the Block Offset feature to work well.

Parameter Address defines the initial Address for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Address can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

Parameter Addresses require some planning for use with blocks. However, the time savings can be huge. It is possible to type a single offset number to create a dozen or more communication addresses for data in the field device.

If you leave the parameter address blank, for all the parameters in your block, the block offset will set all the addresses to the same value and you will have to manually re-enter the correct address for each parameter in every block

When creating a tag, the tag's address is initially set when the Parameter was chosen for this Tag. Address is very device dependent. Refer to the device driver manual for more details. Most users edit the field by selecting the part(s) of the address with the mouse and typing the specific address. The pull down menu (accessed on Address Template field above) lists address formats supported by the driver.

Range: driver dependant
Field Type: Text
Tag fields: .PADDRS


5.2.6.6 Scan Type

Defines the type of scanning performed by the software. Constant Scanning means the Tag is always scanned as long as the SCADA node is running. Constant scanning must be used for all I/O points that require continuous update (alarming, trends, logs, batch, scripts, logic).

Display Scanning occurs only when a Display is being viewed with this tag on it. Display Scan is for infrequently accessed tags, like tuning parameters and setpoints. Display Scan is a means of optimizing or increasing communications throughput.

Some drivers provide other Scan options. Scan Type is chosen from a pull down menu showing valid scan types for this device.

Range: Constant Scan, Display Scan
Field Type: Text
Tag fields: .SCANTP read only

Parameter Scan Type defines the initial Scan Type for Tags and BLOCK:PARAMETERS created using this parameter. Parameter Scan Type can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.6.7 Conversion Code

Defines how to interpret the raw value from the device. It is device dependent. Refer to the specific device driver manual for more details. Use the pull down list, to see the valid conversion codes for this device. For Text type parameter the typical conversion code is:

· Unsigned Integer

Parameter Conversion Code defines the initial Conversion Code for Tags and BLOCK:PARAMETERS created using this parameter. Conversion Code can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.6.8 Text Length

Parameter Text Length defines the initial Text Length for data read from the field device for Tags and BLOCK:PARAMETERS created using this parameter. Text Length indicates the length of data read. For Text Tags and BLOCK:PARAMETERS this determines how long the text string is. This is very driver dependent. Usually text length is the number of ASCII characters. For example, a 40 indicates a forty-character length tag for most drivers. See the specific Device Driver Guide for more information.

Range: 1 to 72 (device driver dependant)
Unit: ASCII Characters
Field Type: analog
Tag fields: .TXTLEN


5.2.6.9 Read Only

Parameter Read Only defines the initial Read Only State for data read from the field device for Tags and BLOCK:PARAMETERS created using this parameter. Specifies that the Tag's or BLOCK:PARAMETER real-time value (it's output) is read only. If READ ONLY is selected, users and operators cannot change the value of the Tag or BLOCK:PARAMETER in run-time VIEW. Only the field device can update the value of the tag. Other Tag fields are changeable.

If you want to allow some users to change the value of the tag, but not all users, consider assigning a security Area or Level to the tag or BLOCK:PARAMETER.


5.2.6.10 Initial Value

This is the value the Tag or BLOCK:PARAMETER will initialize to when the SCADA node is restarted. The Parameter Initial Value is usually 0. Parameter Initial Value can save time and typing or enforce a standard if this parameter will be used in a predictable way to create Tags or Blocks.


5.2.6.11 Array Size

Parameter Array Size defines the initial Array Size for tags and BLOCK:PARAMETERS created using this parameter.

Most devices and communications protocols do not support arrays. Used in IO Tags and Blocks if the IO or automation device supports arrays. Refer to your Device Manufacturer's manual and the specific device driver guide.

Try using a Block if you need an array-like feature for IO tags read from your device.


5.2.6.12 Overview

The Overview display shows one Parameter representative of the Block. For example, the Absolute Deviation Parameter of a PID Block is usually shown on the Overview to indicate near normal (a small value) or abnormal (a large value). In version 2.1, the default Overview display is text only; it could easily be replaced with a graphical display or bar type display.

Overview in Parameter Properties will in a future release define whether this Parameter will appear in the Overview Display. The Overview Display is a standard system display that provides a summary of all the Faceplate Groups including Blocks.


5.3 Block Types

A Block Type defines a template for building Block Tags. A Bock Type defines a group of related parameters for a control system device such as a PID controller, VAV, Air Handler, an IO card or recorder.

A Block Type is associated with a Device Type. This is because a Block is very dependent on the address structure used by the automation device and is built on the parameters (which are associated with a Device Type).

You can have the same Block Type name associated with multiple Device Types, but this is not recommended: it is very difficult to build a Block Detail Display that can successfully display the data for such a Block type. It would require all the parameters be named identically and be of the same type (analog digital and text).

The following is an outline of the steps in creating a Block Type and then Block Tags.

7. Plan addresses. Look for a common addressing scheme for all the parameters in your Block. For blocks to work well as a productivity tool, there should be some predictable pattern to the addresses of the parameters in the Block.

8. Configure Parameters that will act as templates for the element in your block. For example, a PID Block might have SETPOINT, MEASUREMENT and OUTPUT as Parameters.

9. Group parameters into Block Types. The Block Type name will also be used to call up the Block Detail Display for all Block Tags created using this Type.

10. Create Block Tags. If you planned your addresses well, you will be able to use the Block Offset feature to create the proper addresses for all the parameters in the block with a single keystroke.

11. Review the addresses of the parameters in your Block Tags using the Update Block Page. If you did not plan your addresses well, or there is no repeatable pattern to the addresses, you will have to edit each parameter in your newly created Block Tags.

For Blocks to work well as a productivity tool, the addressing in each controller must be similar with some predictable offset or pattern. Otherwise, each block must be individually modified and each parameter in the block modified to enter the correct address.

The Block Offset feature can increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

Parameter Addresses require some planning for use with blocks. However, the time-savings can be great on large repetitive automation projects. A single offset number can create a dozen or more communication addresses for all the data in the field device.

If you leave the parameter address blank, for all the parameters in your block, the block offset will set all the addresses to the same value and you will have to manually re-enter the correct address for each parameter in every block.


5.3.1 Add a Block Type

This section assumes you have already created the PARAMETERS you plan to group into a Block type. Please refer to Add Parameter section for information about building Parameters to use in your Block Type Template.

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Project Manager.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Device Type list.

6. Pick on your Device Type (for example, pick Modicon if you are to create a parameter for your Modbus Driver).

The Parameter Set for the Device Type (driver) opens.

Figure 5-17Add Block Type - Device Type

7. Select Add Block.

8. The Block Type Configuration Page appears.

Figure 5-18Block type Configuration

9. Enter a Name for Your Block Type. Pick a name that is descriptive of its function. This name will also have to match the Block Detail Display if you are planning to use the Block Detail Display in your Project.

The Name will become the Block Type referenced when you create Block Tag. Typical Block Types include PID, CASCADE, VAV, AHU and PUMP. You can use the tag field BTYPE to read the BTYPE of an existing Block during the run-time VIEW.

It is possible to use the same BTYPE in to different devices. This may cause difficulties with the GOTO Block Detail Display. If a Block Detail Display is named after this block, it can be called used the GOTO BDETAIL command in pushbutton keymacros, the GOTO Dialog Box and scripts

10. Check the Parameters you want group into this Block Type.

11. Select Submit when finished.


5.3.2 Edit Block Type

This section assumes you have already created the PARAMETERS you plan to group into a Block type. Please refer to Add Parameter section for information about building Parameters to use in your Block Type Template.

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Device Type list (or collapse all the nodes using the yellow arrows).

6. Pick the Device Type that the block is assigned. (for example, pick Modicon)

7. The Parameter Set appears for the selected Device Type. The Blocks are listed at the bottom of the page (you may have to use the scroll bar to see them).

Figure 5-19Parameter Set Modicon device type

8. Select Update next to the Block Type (for example PID1 in the above example).

9. The Update Block Type page appears.

Figure 5-20 Update Block Type

10. You can add or delete Parameters from your Block Type by checking the box next to each parameter name.

11. Changing the name will rename the Block Type. It will not create a new block.

12. Select Submit when finished.

Changes to Block Type will only affect New Blocks that you create. You must re-create existing Blocks using this new Block Type in order to add parameters to an existing Block Tags.

If you rename your Block Type, you must rename the Block Detail Displays you have created. Any previous Block Tags created with the old Block Type Name will still have the reference to the old Block Type name, which may affect your Block Detail Displays.


5.4 Block Tags

Block Tags are created from the Block Type templates. The real work is in creating Parameters that are the templates for the elements in your block and then organizing them into Block Types. The following is an outline of the steps in creating a Block Tag.

1. Review addresses. Look for a common addressing scheme for all the parameters in your Block. For blocks to work well as a productivity tool, there should be some predictable pattern to the addresses of the parameters in the Block.

2. Review the Block Types and the Parameters that are the elements in your block. For example, a PID Block might have SETPOINT, MEASUREMENT and OUTPUT as Parameters. Especially look at the addresses used by the parameters. The Block Type name will also be used to call up the Block Detail Display for all Block Tags created using this Type.

3. Modify the Parameters before creating your Block Tags, if possible to save work later. If you did not plan your addresses well, or there is no repeatable pattern to the addresses, you will have to edit each parameter in your newly created Block Tags.

4. Create Block Tags. If you planned your addresses well, you will be able to use the Block Offset feature to create the proper addresses for all the parameters in the block with a single keystroke.

5. Review the addresses of the parameters in your Block Tags using the Update Block Page. If you did not plan your addresses well, or there is no repeatable pattern to the addresses, you will have to edit each parameter in your newly created Block Tags.

For Blocks to work well as a productivity tool, the addressing in each controller must be similar with some predictable offset or pattern. Otherwise, each block must be individually modified and each parameter in the block modified to enter the correct address.

The Block Offset feature can increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

Parameter Addresses require some planning for use with blocks. However, the time-savings can be great on large repetitive automation projects. A single offset number can create a dozen or more communication addresses for all the data in the field device.

If you leave the parameter address blank, for all the parameters in your block, the block offset will set all the addresses to the same value and you will have to manually re-enter the correct address for each parameter in every block.


5.4.1.1 Block Type

5.4.1 Block Type

Block Type is the Type used to create this Block. Typical Block Types include PID, CASCADE, VAV, AHU and PUMP.

Engineers and Technicians assign the BTYPE name when they create the Block Type in the Advantech WebAccess Configuration Project Manager. It is possible to use the same BTYPE in to different devices. This may cause difficulties with the GOTO Block Detail Display. If a Block Detail Display is named after this block, it can be called used the GOTO BDETAIL command in pushbutton keymacros, the GOTO Dialog Box and scripts


5.4.1.1 Create Blocks - Examples

5.4.4.1 Create Blocks - Examples

ADAM 5000E

This example uses the Block types provided with the ADAM 5000E device drivers. Specifically to an 5017 IO cards Please refer to Add a Block Type section for information about building new Block Types.

This section also assumes you have configured a Comport and a Device. This example creates a Block for an ADAM 5000E. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for an ADAM 5000E.

This section assumes you have started Internet Explorer 6.0 or later Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. You may need to expand the Port List by Clicking on the SCADA Node (Node 1 in the example).

6. You may need to expand the list of Devices under your Comport by clicking on the Comport.

7. Drag the slider bar on the left Frame down to reveal Communication Port (e.g. Port 3 in the example).

8. Drag the slider bar on the left Frame down to reveal Device (e.g. DemoPLC 3 in the example).

9. Click on the ADAM 5000E Device (in the example, pick DemoPLC).

10. The Device Properties page opens. It can take some time to open all the datatables on the Project Node / Web Server.

11. Select Add Block.

12. The Create New Block Page appears.

13. Select the A5017E from the pull down list for Block Type.

14. Enter a Block Name. This will become the Tag name for your Block Tag. Block Name is up 12 alphanumeric characters. This is the name that users and operators will use to access the data read by this tag. Typical Block Names are TIC1001, Zone11, and Pump61. See 4.11.1 Legal characters in a Tag Name. For this example, enter SLOT4. This assumes you have an 5024 IO card in the 4th slot of your ADAM 5000e PLC.

15. Enter a Description. This helps operators to identify the tag. It will appear on the Point Info, Block Detail and Point Detail Displays. It will also appear in the Alarm Summary and will be read by the Text-to-Speech Alarm Annunciator.

13. Enter an Offset. If you planned your addresses well, you will be able to use the Block Offset feature to create the proper addresses for all the parameters in the block with a single keystroke. For this example enter 30.

The offset for Modbus protocol devices (and the ADAM5000E) are a simple integer.

Note - for other protocols and device types, it may be a complex series of numbers, commas and letters. Refer to the specific device driver guide for the addresses used by your device.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

For an ADAM5000, it will add the offset to each Modbus address shown (e.g. 4001, 4002, 4003 and 4004 for a 5024). The offset is zero-based and multiplied by 10. For an ADAM 5000, add the slot number 1 minus 1 multiplied by 10. For example, the offset for Slot 5 is 40. The offset for Slot 4 is 30. The offset for slot 1 is 0. If the offset is 30, the Modbus addresses for a 5024 become 40031, 40032, 40033 and 40034).

For this example enter 30 (this assumes you have a 5024 IO card in the 4th slot of your ADAM 5000E PLC).

14. Select Submit when finished.

15. Next Steps are to:

15.1 Download the database to the SCADA Node

15.2 Start the Node (if it was not already running)

15.3 Start View

15.4 Open the Point Info dialog Box

15.4.1 Scroll down (if necessary) to see the Tag Name for the Block.

15.4.2 Click on the TagName:Parameter for the Block. In this example SLOT4:SLOT4:AO_0.


5.4.2 Add Block

This section assumes you have already created the BLOCK TYPE you plan to use to act as a template for your Block Tag. Please refer to Add a Block Type section for information about building a Block Type Template.

This section also assumes you have configured a Comport and a Device. Please refer to Configure a Communication Port and Device Configuration for information on creating a Comport or Device.

This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Communication Port (e.g. Port 1, Port 2).

6. You may need to expand the list of Devices under your Comport using the yellow arrow [image].

7. Pick on your Device (for example, pick PLC1 if you are to create a Block Tag for your device named PLC1).

8. The Device Properties page opens.

Figure 5-21Device Property

9. Select Add Block.

10. The Create New Block Page appears.

Figure 5-22Create New Block (Tag)

11. Select the Block Type from pull down list.

12. Enter a Block Name. This will become the Tag name for your Block Tag. Block Name is up 12 alphanumeric characters. This is the name that users and operators will use to access the data read by this tag. Typical Block Names are TIC1001, Zone11, and Pump61.

13. Enter an Offset. If you planned your addresses well, you will be able to use the Block Offset feature to create the proper addresses for all the parameters in the block with a single keystroke.

The offset may be as simple as an integer or may be a complex series of numbers, commas and letters. Refer to your specific device driver guide for the addresses used by your device.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

14. Select Submit when finished.


5.4.3 Edit Block Parameters

This section assumes you have already created the BLOCK TYPE you plan to use to act as a template for your Block Tag. Please refer to Add a Block Type section for information about building a Block Type Template.

This section also assumes you have configured a Comport and a Device. Please refer to Configure a Communication Port and Device Configuration for information on creating a Comport or Device.

This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Communication Port (e.g. Port 1, Port 2).

6. Expand the list of Devices and Tags under your Comport clicking the “closed” yellow folder icon [image].

The “open” folder [image] shows comports, devices and tags

7. Drag the slider bar on the left Frame down to reveal Tagnames (e.g. SLOT4, SLOT5, TCI101, AI002, SPEED, ZONE1). You may need to open the yellow folder to expand the list of tag names [image].

Figure 5-23Block Names in BROWN - Project Manager

8. BLOCK TAGS are Color-coded BROWN and listed after the ordinary Tags.

9. Pick on your Block that you want to edit (for example, pick TIC101 if block is named TIC101).

Figure 5-24Example Block Names: AIC183, BlockA, TIC185, SLOT4

10. The Block Properties page appears.

Figure 5-25TIC101 Block Example

You cannot add new parameters, but you can edit the existing parameters of this Block. Editing these parameters will affect only this block. If you need to add a parameter, you must recreate the block.

11. Select the Parameter you would like to edit. For example, select TIC101:MEAS.

12. The Update Block Properties Page appears.

Figure 5-26Update Block example - TIC101

13. Edit the properties for this parameter (address, Alarm Limits etc.)

Refer to the appropriate section for Analog, Discrete and Text Parameter Properties for a description of each entry on the Update Block Parameter Properties Page.
Analog Parameter Properties
Discrete Parameter Properties
Text Parameter Properties

14. Click Submit when finished.


5.4.4 Support DiagAnyWhere

Allows users to communicate and exchange data with a DiagAnywhere Server after entering the correct settings. The DiagAnywhere System Information device driver is designed for the PC version of WebAccess. Users can use the DiagAnywhere System Information driver to exchange data with DiagAnywhere Server via an Internet connection.

Port Configuration Features

2013-2-26 上午 11-45-29

  • Comport settings are shown in the above figure.

  • Interface Name: Select TCPIP

  • Scan Time: Frequency of polling request for new data specified in milliseconds

  • Timeout: The maximum time to receive a reply from device. Should be greater than scan time.

  • Retry Count: The maximum times WebAccess tries to reconnect after being disconnected.

  • Auto Recover Time: Time to wait before attempting to re-establish communications with a bad device or port.

  • Backup Port Number: Enables a redundant communications path to the Device. If communications can not be established through this Comport, WebAccess will try a second Comport, specified as the Backup Port.

Device Configuration Features

  • Device settings are shown in the above figure.

  • Device Type: Select AdvDAinfo。

  • Primary IP Address: Insert DiagAnywhere Server IP address

  • Primary Port Number: Insert DiagAnywhere Server port number

  • Secondary IP Address: Optionally, you can specify a secondary IP Address. This would typically be a second Ethernet Card installed in the DiagAnywhere Server.

  • Secondary Port Number: Also optional, this is the TCP port used by the secondary network card installed in the DiagAnywhere Server.

  • Device Address: If the Device Address is different than the Unit Number configured (or it has changed), use this field.

Block Features

1. Click Add Block on the Device Property page

2. Choose AdvDAinfo for Block Type

3. Insert 0 for Offset

create new block

4. After downloading the project to the SCADA Node, you can start the kernel.


5.5.1 OVERVIEW Display

OVERVIEW Display Groups are a system Template display providing an overview of all tags including Block Tags assigned to the group. Overview Groups allow a large number of Tags to be displayed in a Summary Form without Graphics Building.

There is a display hierarchy that allows you to drill down: Overview -> Faceplate Group -> Block Detail -> Point Detail similar to DCS systems.

One display template can show all the Tag and Blocks in your SCADA node. Overview Groups are built automatically from Faceplate groups. You build Faceplate Groups by listing the tagnames in a list. The Over view groups use the same list.

The keymacro <F1> and the overview icon [image] on the toolbar call the Overview Display (first page). The Overview display lists the value for Tags and the first parameter of Block Tags, to provide an overview of your system. The default Overview Groups are Text Displays. They can be modified using DRAW to create Fills, Bars and other graphical representations. The Overview Template source is ovrgrp.dxx .

Figure 5-27Overview Group Display

Clicking on the Group 1, Group 2, etc. will call up the associated Faceplate Group Display.

See Also 9.3.2 Overview Display.


5.5.2 Faceplate Display Groups

Faceplate Display Groups are a system Template display providing summary all parameters in a Block Tag. Up to 8 Blocks per Faceplate Group. All parameters of the tags are listed (a scroll bars appear for large Blocks). Faceplate Groups allow a large number of Tags to be displayed in a without Graphics Building.

One display template can show all the Tag and Blocks Tags in your system. You build Faceplate Groups by listing the tagnames in a list. The Over view groups use the same list.

The keymacro <F2> and the faceplate icon [image] on the toolbar call a list of Faceplate Group Displays. Faceplate Groups can also be called from the Overview Display, by clicking on the Group number field.

The Overview -> Faceplate Group -> Block Detail -> Point Detail hierarchy is automatic and provides a “drill down” feature to more detailed information, similar to DCS systems.

The each Faceplate Group display lists the value for Tags and the parameters of Block Tags. The default Faceplate Group Displays are Text Displays. They can be modified using DRAW to create Fills, Bars and other graphical representations. The Faceplate Template source is fplgrp.dxx

The Faceplate Group Display shows Parameter Name, Current Value, Engineering Units and data type (A for Analog, D for Discrete and T for Text).

Figure 5-28Faceplate Group Display

BLOCKDTL

Clicking the button labeled BLOCKDTL will call up the Block Detail Display, if a Block Detail Display has been built for the Block Type. The Block Detail Display must be named after the Block Type.

ACK Point

Clicking the Acknowledge Point button will acknowledge the Alarm of only the selected Parameter in the Block. To acknowledge the alarm of only one parameter of Block:

1. Scroll down to the Parameter

2. Click on the Parameter Name (or anywhere on that line)

3. Click ACK Point

ACK Block

Clicking the Acknowledge Block pushbutton will acknowledge all active Alarms in the Alarm Group of the Selected Tag. There can be up to 100 Tags in an Alarm Group.


5.5.3 Add Faceplate Group

This section assumes you have already created the BLOCKS and TAGS you plan to add to your Faceplate Groups and Overview Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

This section assumes you have started Internet Explorer web browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Select Faceplate.

The Faceplate Group List Page appears.

Figure 5-29Faceplate Group - Project Manager

6. Select Add Faceplate.

7. The Create Faceplate Page appears.

Figure 5-30 Create New Faceplate Group

8. Enter a Unique Group Number (between 1 and 1000). This is how the Group will be ordered in the Faceplate Group Dialog Box in View and the Position on the Overview Display Group.

9. Enter a Description for the group. This will appear in the Faceplate Group List Dialog Box seen by users and operators in VIEW.

10. Select the field next to Tag Name 1.

11. Open the Pull down list by clicking on Tag List (Figure 5-30). This shows the names of all Analog Tags and Discrete Tags. Lists both Blocks and Tags

12. Scroll down the Tag List. Click the Block Name or Tag Name desired. The Block or Tag name should appear on the Tag Name 1 field.

13. You can Type Tag names and Blocks. You can also copy and paste Tag Names and Block Names from the Left Frame of your browser (be sure to type block name with parameter).

If you want to enter a Block, type only the Block Name. For example, enter TIC101. This will show all parameters for the block.

Note - If you enter the full Blockname:parameter, only that one parameter would appear. For example entering TIC101:MEAS would not show the other parameters for the block TIC101.

14. Repeat for Tag Name 2 to 12.

15. Click Submit when you are finished.


5.5.4 Modify a Faceplate Group

This section assumes you have already created the BLOCKS and TAGS you plan to add to your Faceplate Groups and Overview Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

This section assumes you have started Internet Explorer web browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Select Faceplate.

The Faceplate List page appears.

Figure 5-31Faceplate Group List - Project Manager

6. Select Update of the Faceplate Group you want to modify.

7. The Update Faceplate Group page opens.

Figure 5-32Update Faceplate Group

8. Select the field next to Tag Name 1.

9. Open the Pull down list by clicking on Tag List (Figure 5-30). This shows the names of all Analog Tags and Discrete Tags. Lists both Blocks and Tags.

10. Scroll down the Tag List. Click the Block Name or Tagname desired. The Block or Tag name should appear on the Tag Name 1 field.

11. You can Type Tag names and Blocks. You can also copy and paste Tag Names and Block Names from the Left Frame of your browser (be sure to type block name with parameter).

If you want to enter a Block, type only the Block Name. For example, enter TIC101. This will show all parameters for the block.

Note - If you enter the full Blockname:parameter, only that one parameter would appear. For example entering TIC101:MEAS would not show the other parameters for the block TIC101.

12. Press Submit when finished making changes to your Faceplate Group.


5.6 Block Detail Display

The Block Detail Display allows a single display to be used to view many Block-type Tags of the same Block type. All "Blocks" of the same Block Type can be viewed using a single Block Detail Display. The classic use of a Block Detail Display is for a PID Controller: Measurement, Setpoint, Output, and tuning parameters for all PID blocks are viewed using the one Block Detail Display. Some Device Types in Advantech WebAccess come with pre-built Block Detail Displays. Users can always build blocks and block type tags

Figure 5-33 Block Detail Display for a PID controller

Blocks are a common "productivity tool" that can reduce display building requirements and allow users to commission new device sand IO without any display building. . A common application is in Building Automation where hundreds of similar VAV's are monitored. Only one Block Detail Display needs to be built for a VAV Type. The Block Detail Display can have multiple pages.

The Block Detail can be called up from any graphic by first selecting the Tag with the left mouse button, then either selecting <F7> pushbutton or right clicking the mouse to call up the GOTO Menu. Select Block Detail from the GOTO menu.

Block Detail graphics are created using the drawing tools provided in the DRAW, the Graphics Builder. Connections for animation are made using the Parameter name only. Screen Scripts can be generalized for use with Block Detail by referencing the Parameter Name. Advantech WebAccess will insert the Tagname when the Block Detail is called up.

Block Details displays can also be called up in VIEW by using the <GOTO>BLOCKDTL=blockname Keymacro and from the Point GOTO dialog box.

Block detail displays are also used for equipment displays. The ADAM 5000 PLC have a Block Detail display for each IO card (and an associated BLOCK for each IO Card).

Figure 5-34 Block Detail Display for an IO card

The Block Detail Display only works with an IO Block-type with the same name. If the Block Type is PID1, then the Block Detail display must be named PID1.bd1. The Block Tag name can be anything (e.g. TIC101, PIC227, FlowControl).


5.6.1 Create Block Detail Graphics

Block Detail Displays are created in the same manner as faceplate symbols. Block Detail Displays can occupy the whole page of a graphic, rather than just a small portion. Block Detail Displays are created using the drawing tools provided in DRAW Graphic Builder.

Animation connections are made to the Parameter name only when building a Block Detail Display by referencing the Parameter Name only in the Animation box. Advantech WebAccess will insert the Tagname when the Block Detail is called up in the run-time VIEW.

1. Create a Graphic file using DRAW.

2. Connect Animation to the Parameter. (Do not use tagname).

a. Dynamic->Animation

b. in the Tag: PARAMETER

3. Save the File as a BDX type. ( File -> Save BDX)

4. Enter a File name that is the same as the Block Name.

For the 761L Block, the Block detail must be named 761L.BD1

5. If this is the second page of a multi-page Block Detail, use the BD2 extension, if this is the third page, use BD3, etc.

6. Save the DWF. Be careful of how you name the DRW in a multiple-page Block detail. It is easy to overwrite page one with page two.


5.6.2 Link multi-page Block Detail Display

Use the UPLINK and DOWNLINK features in Set Graph Parameters and the <P_UP> and <P_DN> pushbutton keymacros to link multiple pages of a Block Detail Display (i.e. to link BLOCKTYPE.BD1 to BLOCKTYPE.BD2)

Assuming your Block Detail is named "BLOCKTYPE".

1. On the First Block Detail Display (BLOCKTYPE.BD1)

a. Open Set Graph Parameter Dialog Box (File -> Set Graph Parameter)

b. In the Down Link field enter: BLOCKTYPE.BD2

c. Click OK

d. Add a Pushbutton with Keymacro <P_DN>.

e. Save this as BLOCKTYPE.BD1

f. You should probably rename the DRW. Be careful how you save the BLOCKTYPE.DRW: page two and page one could overwrite each other.

2. On the Second Block Detail Display (BLOCKTYPE.BD2)

a. Open Set Graph Parameter Dialog Box (File -> Set Graph Parameter)

Figure 5-35Up Link & Down Link -set graph parameters

b. In the UP Link field enter: BLOCKTYPE.BD1

c. If there is a third page, enter BLOCTYPE.BD3 as the Down Link.

d. Click OK

e. Add a Pushbutton with Keymacro <P_UP>.

f. If there is a third page, add a Pushbutton with Keymacro <P_DN>.

g. Save this as BLOCKTYPE.WD2

h. You should probably rename the DRW. Be careful how you save the BLOCKTYPE.DRW: page two and page one could overwrite each other.

BLOCKTYPE is the Block Type name. For an EC310 Block the name in Up Link is EC310.BD1 and in Down Link is EC310.BD2 . There is no string concatenation or scripting needed.

You do not need to know the tagname, or the Block Name, only the Block Type. These link will work for any Blockname you build using this one Block Type.


5.6.3 Scripts in a Block Detail Display

The Parameters can be used in Screen Scripts assigned to Block Detail Display. The script will operate on the full Tag when the Block Detail is called up.

For example, with an PID1 Block with Parameter MEAS has a Fan. The fan is attached to a screen tag name FANrotate. If the measurement is greater than zero, the fan should rotate. I use the screen script as follows:

catch {

if {[GETVAL MEAS] >= 0} then {

SETVAL {FANrotate=%ROTATEPLUS 32}

}

}

For any block that uses the MEAS parameter, the fan will rotate.

Please see Chapter 12 Z, Scripts, for detailed description of Scripts in Advantech WebAccess.

The for a Step-by-Step Guide of creating the most common screen script to Rotate a Fan or Pump based on the On/Off state of a Digital Tag (you would use a digital parameter instead of a Tag for a Block Detail) see
section 10.9.1Rotate a Widget with a Script


5.7 Examples: Blocks & Parameters

5.7 Example: Blocks, Parameters & Detail Displays

The following examples create a PID Block type and a PID Block Detail Display. The classic use of a Block Detail Display is for a PID Controller: Measurement, Setpoint, Output, and tuning parameters for all PID blocks are viewed using the one Block Detail Display shown below. A Modicon device is used in these examples.

Figure 5-33 Block Detail Display for a PID controller

Blocks are a common "productivity tool" that can reduce display building requirements and allow users to commission new device sand IO without any display building. . A common application is in Building Automation where hundreds of similar VAV's are monitored. Only one Block Detail Display needs to be built for a VAV Type. The Block Detail Display can have multiple pages.

The Block Tag name can be anything (e.g. TIC101, PIC227, FlowControl). All three of these Blocks will use the same PID Block Detail display. New PID blocks can be added, without display building, and all can use the PID Block Detail Display.


5.7.1 Step 1: Create Parameters for PID Block

5.7.1 Step1: Create Parameters for PID Block (Modicon Modbus)

This example uses a Modicon Modbus Device to create a PID Block. This will create 4 parameters:

      • MEAS

      • SP

      • OUT

      • AM

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The Project Manger opens.

5. Drag the slider bar on the left Frame down to reveal Device Type list.

6. Pick the Modicon Device Type (this is for a Modbus Driver).

7. The Parameters Set for the Device Type (driver) opens.

Figure 5-7Parameter Set - Modicon Modbus

8. Select Add Parameter.

9. The Create Parameter Properties Page opens.

Figure 5-8Create Parameter Properties Page

Create MEAS Parameter

9. Select Analog Parameter Type from the Pull Down List.

Figure 5-9Parameter Type Definition - Create Parameter

10. Enter Parameter name: MEAS.

11. Enter a Description: Measurement

12. Enter Address: 30001

13. Enter Eng Unit: DegF

14. For OverView, select Yes

15. Refer to the Analog Parameter Properties to change the other parameters as needed.

16. Press Submit when you are finished entering Data.

Create SP Parameter

17. Select Analog Parameter Type from the Pull Down List.

Figure 5-9Parameter Type Definition - Create Parameter

18. Enter Parameter name: SP.

19. Enter a Description: Setpoint

20. Enter Address: 40001

21. Enter Eng Unit: DegF

22. For OverView, select No

23. Refer to the Analog Parameter Properties to change the other parameters as needed.

24. Press Submit when you are finished entering Data.

Create OUT Parameter

25. Select Analog Parameter Type from the Pull Down List.

Figure 5-9 Parameter Type Definition - Create Parameter

26. Enter Parameter name: OUT

27. Enter a Description: Valve Output

28. Enter Address: 40002

29. Enter Eng Unit: %OPEN

30. For OverView, select No

31. Refer to the Analog Parameter Properties to change the other parameters as needed.

32. Press Submit when you are finished entering Data.

Create AM Parameter

33. Select Discrete Parameter Type from the Pull Down List.

Figure Discrete Parameter Type Definition - Create Parameter

34. Enter Parameter name: AM

35. Enter a Description: Auto/Manual

36. Enter Address: 00001

37. Enter State0: MANUAL

38. Enter State1: AUTO

39. For OverView, select No

40. Refer to the Discrete Parameter Properties to change the other parameters as needed.

41. Press Submit when you are finished entering Data.

42. Select the Parameter and Block Type List hyperlink when you are finished creating Parameters.


5.7.2 Step 2: Create a PID Block Type

This section assumes you have already created the PARAMETERS (Meas, SP, OUT and AM). you plan to group into a Block type.

This section assumes you have completed 5.7.1 Step 1: Create Parameters for PID Block .

1. From the Parameter Set for the Modicon Device Type, select Add Block Type.

7.The Block Type Configuration Page appears.

9. Enter a Name for Your Block Type: PID

10. Check the Parameters you want group into this Block Type: MEAS, OUT, SP and AM.

11. Select Submit when finished.


5.7.3 Step 3: Create PID Blocks

This section also assumes you have configured a Modicon Modbus Comport, a Modicon Device and a PID Block type. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for Modicon Modbus .

This section assumes you have completed section 5.7.2 Step 2: Create a PID Block Type.

1. Expand the Port List by clicking on the SCADA Node icon (Node 1 in the example).

2. Expand the list of Devices under your Comport by clicking on the Comport.

3. Drag the slider bar on the left Frame down to reveal Communication Port (e.g. Port 3 in the example)

4. Drag the slider bar on the left Frame down to reveal Device (e.g. DemoPLC 3 in the example).

5. Click on the Modicon Device (in the example, pick DemoPLC).

6. The Device Properties page opens. It can take some time to open all the data tables on the Project Node / Web Server.

7. Select Add Block.

8. The Create New Block Page appears.

9. Select the PID from the pull down list for Block Type.

10. Enter a Block Name: TIC101

This will become the Tag name for your Block Tag. Block Name is up 12 alphanumeric characters. This is the name that users and operators will use to access the data read by this tag. Typical Block Names are TIC1001, Zone11, and ZAC61. See 4.11.1 Legal characters in a Tag Name.

11. Enter a Description. PID Temperature Controller.

This helps operators to identify the tag. It will appear on the Point Info, Block Detail and Point Detail Displays. It will also appear in the Alarm Summary and will be read by the Text-to-Speech Alarm Annunciator.

12. Enter an Offset. For this example enter 50.

If you planned your addresses well, you will be able to use the Block Offset feature to create the proper addresses for all the parameters in the block with a single keystroke.

The offset for Modbus protocol devices are a simple integer.

The Block Offset feature will increment all the addresses of all the parameters in a block by a given amount. If your parameter addresses have a predictable pattern, the Block Offset feature can greatly reduce the time and effort to create blocks and establish communications with the field.

You can modify the addresses of each parameter later, if needed

13. Select Submit when finished.

14. Select the DemoPLC icon.

15. Create another Block named TIC202 (repeat steps 9 to 14).

16. Download the database to the SCADA Node

17. Start the Node (if it was not already running)

18. Start View

19. Open the Point Info dialog Box

20. Scroll down (if necessary) to see the Tag Name for the Block.

21. Click on the TagName:Parameter for the Block. In this example TIC101:SP.


5.7.4 Step 4: Create Block Detail Display

5.7.4 Step 4: Create PID Block Detail Display

This section also assumes you have configured a Modicon Modbus Comport, a Modicon Device and a PID Block type. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for Modicon Modbus .

This section assumes you have completed section 5.7.2 Step 2: Create a PID Block Type.


5.7.4.1 Start DRAW: Create PID Block Detail Display

This section also assumes you have configured a Modicon Modbus Comport, a Modicon Device and a PID Block type. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for Modicon Modbus .

This section assumes you have completed section 5.7.2 Step 2: Create a PID Block Type.

1. From the Project Manager

2. Select a Project.

3. Select the SCADA Node.

Figure 10-3 Start DRAW from Project Manager

7. Right Click the Start Draw link in the Project Configuration Manager.

Figure 10-4 Open in New Window by Right Clicking Hyperlink

8. Select Open in New Window from the menu.

9. DRAW opens in a new web browser window.

Figure 10-6 DRAW using Open in New Window

11. Optionally, modify the Page color by clicking the icon [image].

12. Select a color from the Palette (207 in this example).

13. Press OK.


5.7.4.2 Draw Text - Block Detail Display

5.7.4..2 Draw Text: Create PID Block Detail Display

Draw Text for descriptions and palceholders for dynamic data for the parameters in the PID Block:

  • MEAS

  • SP

  • OUT

  • and AM

To draw text on a graphic display:

1. Modify the Text Settings by clicking the [image] icon on the top toolbar.
In the example select Arial Bold, Transparent, Yellow foreground and Black background.

2. Select OK.

3. Click the Text icon [image] from the Bottom Toolbar.

4. Position the Text Starting Point with the Crosshair.

5. Click once to fix the Text Start Position.

6. Type in your text using your keyboard. (For example, type "MEAS").

7. Press the ENTER key when done.

8. Repeat Steps 1 to 7 to create placeholder for the Measurement value. Type seven characters.
For example type "9999.99".

9. To select both Text fields (i.e. SETPOINT and XXXXXX). Hold the left mouse button down and drag a rectangle that covers both text fields.

10. Right Click ->Edit -> Align.

11. Select Align Center from Dialog Box

Congratulations!

12. Repeat Steps 1 to 11 to create SP, OUT, and AM with placeholders fields for realtime data, Eng. Units and Tagname.

For example type:

BLOCKNAME
MEAS 9999.99 DEGF
SP 9999.99
OUT 999.9 %OPEN
AM MANUAL

HIGH ALARM: 9999.99
LOW ALARM: 9999.99

Next Step is to animate Text


5.7.4.3 Animate with Parameters

5.7.4.3 Animate with Parameters: Create Block Detail Display

The important step in making a Block Detail Display is to use Parameter names. Do not use Tagnames to animate text or trends. Instead, use the Parameter names of your Block Type.

This example uses the parameters names of the PID block: MEAS, SP, OUT and AM.

This section also assumes you have configured a Modicon Modbus Comport, a Modicon Device and a PID Block type. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for Modicon Modbus .

This section assumes you have completed section 5.7.2 Step 2: Create a PID Block Type.

To animate text in the Block Detail with real-time data:

1. Right Click -> Dynamic ->Animation

OR

Select the Dynamic icon [image] from the upper toolbar.

2. The Animation Configuration Dialog Box appears.

Animation Configuration Dialog Box

3. Type the parameter name instead of TAG: MEAS.

Important - a Block Detail Display uses PARAMETER instead TAG.

Hint - if you forgot your parameter names, review your Block Parameters for the Modicon Device Type
(see 5.7.4.3.1 Review Block Parameters )

4. Select R-Text radio button [image] (R-Text = Right Justified Text).

5. Select Alarm Status.

6. Select Block Alarm.

7. Normal: Yellow

8. Alarm: Red, Flashing.

9. Ack Alarm: Red.

10. Click OK [image].

11. Click once on the 9999.99 text to be animated. (i.e. next to MEAS).

12. A red box should appear around the 9999.99 text signifying that the text is Dynamic.

13. Right Click -> Dynamic ->Animation

OR

Select the Dynamic icon [image] from the upper toolbar.

14. The Animation Configuration Dialog Box appears.

Animation Configuration Dialog Box

15. Select the Field button.

16. A list of Tag Fields opens. Drag down to the ENUNIT

17. This time, we will add the Tag Field for Engineering Units of the MEAS Parameter to the display.

18. Click once after MEAS.

19. Click once on ENUNIT

OR, Type the parameter name with Tag Field instead of TAG: MEAS.ENUNIT

20. Select L-Text radio button (L-Text = Left Justified Text).

21. Select Alarm Status.

22. Unselect Block Alarm.

23. Normal: Yellow

24. Alarm:Yellow.

25. Ack Alarm:Yellow.

26. Click OK [image].

27. Click once on the DEGFXX text to be animated. (i.e. next to MEAS).

28. A red box should appear around the DEGFXX text signifying that the text is Dynamic.

29. Repeat steps 1 to 12 for SP (connect 9999.99 to SP).

30. Repeat steps 1 to 28 for OUTPUT (connect 9999.99 to OUT and %CLOSED to OUT.ENUNIT)

31. Repeat steps 1 to 12 for AM (connect MANUAL to AM)

32. Repeat steps 13 to 28 for HIGH ALARM (connect 9999.99 to MEAS.ALMHI)

33. Repeat steps 13 to 28 for LOW ALARM (connect 9999.99 to MEAS.ALMLO)

Below is a composite showing the connections to Parameters for the Dynamic Text Animation for the example PID Block.

Figure - composite of the Dynamic Animation Text in example PID Block Detail - Parameters MEAS, SP, OUT.

34. Right Click -> Dynamic ->Trend

35. Enter the Parameter names for your PID Block in the Trend Configuration. (In the example: MEAS, SP, OUT, AM).

36. Select OK.

37. Draw a rectangle for the Trend area.

Figure - example PID Block Detail display

38. Optionally, draw other animation and fields.


5.7.4.3.1 Review Block Parameters

5.7.4.3.1 Review Block Parameters: Create PID Block Detail Display

Did you forget the parameters names used to create your PID Block?

1. Go to Project Manager

2. Use the slider bar in the left to see the Device Types. In this example, pick the Modicon device.

Animation Configuration Dialog Box

3. The Parameter Set with Blocks listed at bottom of the page appears.

4. Select the Update hyperlink next to PID.

5. The UPDATE Block page opens listing the Parameters for the PID block: MEAS, SP, OUT and AM.


5.7.4.4 Save Block Detail (*. BD1)

5.7.4.4 Save with *.BD1 extension: Create Block Detail Display

The Block Detail Display is saves with the BD1 extension (the first page is saved as *.BD1, if there is a second page, its is saved as a *.BD2, third page as *.BD3, etc).

This example uses PID.BD1. You should also save the DRW file, so you can edit your Block Detail display later.

To save a Graphic:

1. Right Click -> File -> Save BGR.

OR - Select the Save BGR Icon [image] from the top toolbar .

2. The SAVE BGR File Dialog Box appears.

Figure - SAVE BGR File (Save Graphic)

3. Type a File name that matches the Block Type with the .BD1 extension. Don't use untitled.bgr!
For example type PID.BD1

4. IMPORTANT! The Block Detail file name must be exactly the same as the Block Type. See 5.7.4.3.1 Review Block Parameters if you have forgotten the Block Type.
In this example, the Block Type is PID.

5. Check the Save DRW option [image].

6. Select Entire Drawing radio button [image].

7. Select OK.

8. The Save DRW dialog Box appears. Accept the default name, which is the same as the BD1.

Be careful if you have multiple pages for the same Block Detail; you should rename the DRW files slightly so you do not overwrite another page (for example PID.BD1 source is PID.DRW and PID.BD2 source is PIDp2.DRW). The BD1 file is a compiled Graphic suitable for Display by the Advantech WebAccess Client. You cannot edit a BGR file. The DRW file is the source file. You can Edit the DRW file and generate a new BGR file. If you loose the DRW, you can never edit the file again. Save the DRW!

9. Select OK.

10. The next step is to download the new PID Block Detail Display using Download graph in the Project Manager or Taskbar Icon,

Create PID Blocks if you have not done so (see 5.7.3 Step 3: Create PID Blocks)


5.7.5 View the PID Block Detail Display

This section also assumes you have configured a Modicon Modbus Comport, a Modicon Device and a PID Block type. Refer to 3.1.2.1 Configure a Modbus TCP Port, Device and Tags on for a Step by Step Guide to creating a Comport and Device for Modicon Modbus . This section assumes you have completed section 5.7.2 Step 2: Create a PID Block Type, Create PID Blocks if you have not done so (see 5.7.3 Step 3: Create PID Blocks) and 5.7.4 Step 4: Create Block Detail Display.

The Block Detail Display is a single display that can be used to view hundreds of Blocks. In this example, we created two PID Blocks, TIC101 and TIC195. Both of these blocks can be viewed using the one PID.BD1 Block Detail display.

This example uses PID.BD1.

To View your PID Block Detail display:

1. Start View

2. Open the Point Info dialog Box

3. Scroll down (if necessary) to see the Tag Name for the Block.

4. Click on the TagName:Parameter for the Block. In this example TIC101:SP.

Figure - Point Info Dialog Box - Ctrl + F5 key

5. Click the Goto Button .

2. The Point GOTO Dialog Box appears.

Figure - Point Goto in ViewDAQ

3. Click the Block Detail Button [image].

4. A preview of the Block Detail appears in ViewDAQ (but not in VIEW).

5. Select OK button.

6. The Block Detail opens.

Congratulations! You have successfully created a custom Block Detail Display.


6. Data Logging & Trends

*****************************************************************************************************************************************************************************************************
*Note: For XP Professional and XP Standard edition, the quantity of I/O Tags in the data log file is restricted by License. For WinCE edition, it is 50.
 ****************************************************************************************************************************************************************************************************

Both Data Log Trends and Realtime Only trends are both Real Time. Data Log Trends record data to the hard drive of the SCADA node. Realtime Trends do not record data to the hard drive.

Real-Time Only Trends have fixed time spans. Always 240 samples and the sample rate are fixed during configuration (1,2,3,4…600) seconds. Once the data scrolls off the screen, it is lost. Real-time Only trends have no impact on Disk Space, since they do not store data to the hard drive. Real-Time Trends are used for Tuning Displays and other display where only short-term trend data is required. You can add tags or replace tags on the fly as long as a Trend group is configured with at least one tag.

Data Log Trends are more flexible. These are Historical and Real-time Trends. Data is recorded to the Hard Drive of the SCADA node. Users can change the time span on the Fly from seconds, to minutes to hours using the up/down arrows in the center of the screen next to interval:sec. Tags can be added and removed without losing Historical records.

Data Log Trends can be scrolled back and forward through time using the |<< < > >>| buttons on the bottom right.

You can add and replace tags without loosing historical data. You can view the LAST, MAX, MIN, Average of any tag. The catch is that the DATALOG configuration is in two places.

When configuring the Tag you must enable DATALOG and define a Dead band. The base rate is once per second for all Tags, it is compared to the dead band, if it has changed by more than the dead band the tag is recorded.

At least one DATALOG trend Group must be configured. You can add tags to this group or change them.

DATALOGGING can also be to a central ODBC-compliant database (Access is the default). Advantech WebAccess also provides a query and HTML report function that allows you to view DATA Log trend data in a spreadsheet format, in your web browser, that can be copied and pasted to EXCEL, WORD etc. This is available in VIEW from the right click mouse menu (Tools -> Analog Tag Data or Tools-> Discrete Tag Data).

Right Click Menu in Internet Explorer

***************************************************************************************************************************************

Note: For Windows Vista version, Page Size in various Log Displays can be specified as “All” to display the query result in one page. Please make sure that your computer and network bandwidth can handle the “All” option.

 ***************************************************************************************************************************************

***************************************************************************************************************************************

Note: For Windows Vista Version, the query result in various Log Displays can be exported to Microsoft Excel.

For Log Displays in WebAccess Configuration, please click “Export to Microsoft Excel” menu item in right mouse popup menu to export data. A version of Microsoft Excel which supports “Export to Microsoft Excel” must be installed on the computers where IE is run.

***************************************************************************************************************************************

Customized Data Log Trends

Users can modify the appearance of the Data Log Trend displays. Below is a sample display modified for background color to improve printing.


6.1 Data Logging

*********************************************************************************************************************************************************************************
*Note: For XP Professional and XP Standard edition, the quantity of I/O Tags in the data log file is restricted by License. For WinCE edition, it is 50.
 ***********************************************************************************************************************************************************************************

Advantech WebAccess collects each tags DATA in a separate file that allows remixing tags on a DATALOG trend without losing past data.

Data can be viewed in a Data Log Trend Group Display, up to 12 tags per Data Log Trend Group Display.

You must enable DATA LOGGING for each TAG in the Tag configuration using Tag Properties (see Analog Tag Properties or Discrete Tag Properties).

Log Data in Tag Properties is Data Logging enabled. A file will be created for this Tag and a record entered once a second, if the Dead Band is exceeded.

Data Log DB is the Dead Band used to reduce file size of the Data Log. The Tag's value must change more than the Dead Band in order for a record to be added to the Data Log File. DATA LOG Deadband is in percent of SPAN (% of SPANHI - SPANLO).

You can Data Log Analog and Discrete (e.g. Digital) Tags. You cannot Data Log Text-type Tags.

To view Data Log Trends, you should create at least One Data Log Trend Group. A maximum of 12 tags can be viewed in one Trend Group simultaneously; but, you can add or replace Tags "on the fly" in any Trend Group without losing historical data. The Data Log Trend Group uses a pre-built template display. You need only enter the Tag names in a list to build a Trend Group.

You should also check that the Deadband for Data Logging is set appropriately. Too large of a Deadband will prevent any data from being logged. Too small a Deadband will result in unnecessary recording of values that have not changed and will waste disk space.

The data log files are located on the SCADA node. Typically, the default path is

C:\WebAccess\Node\projectnameNodename\log

It is recommended to specify another path to reduce the time for re-installing software. This is done is SCADA Node Properties, Data Log Folder. Advantech WebAccess modifies the security settings of all files in drive:\Advantech WebAccess during Node software installation. A large number of Data Log files will greatly increase software installation.

A file is created for each tag allowing tags to be added or removed from Data Log Trends without loosing historical data.

It is highly recommended to use a Data Log deadband to reduce Disk Access. This will reduce the size of the Data Log Trend files and time used to write to the Hard Drive. The Hard Drive is usually the bottle neck in Data Logging. An IDE Hard Drive at 7200 rpm can handle about 800 Tags per second of Data Logging. Using Disable Data Log Seconds recording can also greatly reduce Disk Space and system throughput if one-second data is not needed.

Log Data Maintenance should also be used to delete and, optionally Archive, Data Log Trend files. A large number of files in the Data Log Folder will reduce Disk Access time and slow you system greatly. You should also Defragment your hard drive frequently (once per day is the Microsoft recommendation) if you are data logging

See also:

4.2.15 Log Data

4.2.16 Data Log DB

3.2.23 Data Log Folder

3.2.23.1 Disable Data Log Seconds recording

3.2.22 Data Log to ODBC

4.2.29 Log to ODBC Frequency

6.2.3 Add Data Log Trend Group


6.2.2 Data Log Trend Display

DATA log Trends use a single Template Display that is pre-built and supplied with Advantech WebAccess. There is no graphics building required. Up to 12 Tags can be viewed on a single Data Log Trend Display. There is no limit to he number of DataLog Trend Groups.

Figure 6-1Data Log Trend Display (real-time & historical trend)

Crosshair

Pick a spot on the Trend area. A crosshair line appears. The value of the tag (historical Value) and Time of that value appears.

To Change the Time Span of a Data Log Trend in View

Figure 6-2Data Log Trend Interval: Seconds, Minutes, Hours, and Days

Use the UP/Down arrow keys next to Interval to change from Seconds, Minutes, Hour, and Day.

The Interval will allow variable sample rates for display of Data Log trends in VIEW and ViewDAQ. This modifies the 'effective sample rate for the run-time display only. The Data is still collected based on the Deadband and other properties configured for the Tag and SCADA node.

DataLog Trend Display supports the following time spans for viewing data: 6 min, 12 min, 30 min, 1 hour, 2 hour, 4 hour, 6 hour, 12 hour, 18 hour, 24 hour, 2 day, 4 day, 1 week, 1/2 month, 1 month, 2 months, 3 months, 4 months, 6 months, 1 year, 2 years, 3 years, 4 years, and 5 years.

This feature allows the viewing of data at a sample frequency different than the recording frequency. The intent is to allow users to adjust the time span across the screen.

The field for Data Log Trend configuration is Time Span; the default value is 6 minutes.

Jump to a Date

Use the Double Arrow button [image] to open a Calendar Dialog Box to jump to a date.

Scroll time

Use the scroll buttons to scroll forward or back in time.

Data Type

Using the Data Type scroll [image] Users can change the data type displayed for each tag Trends can display Average, Maximum, Minimum or Last value for the Minute, Hour and Day intervals.

Change the Display High and Low Span in View

Users can change the Display High and Display Low to "zoom in" or "zoom out" of trend data. By default, Advantech WebAccess uses the High Span and Low Span of the Tag. DataLog Trend Displays have configurable Display High and Display Low values for the y-axis (and x-axis in X-Y Plots). Trend displays will “remember” changes made to Display High and Low from VIEW and ViewDAQ. The Display High and Low are assigned to the Trend Group, allowing the same tag to have different sets of Display High and Low when assigned to multiple display groups.

1. Select a Tagname by clicking on the colored square.

2. Click Display Low

3. A Change Dialog Box opens

4. Type a new number for Display Low or use the ramp keys or slider.

5. Click Enter.

6. Repeat for Display High.

If you leave this Data Log Trend Group, the default Display Low and Display High will be used.

To Add a Tag (temporarily) to a Data Log Trend in VIEW

1. Select an field under Tagname by clicking on a colored square.

2. Click New Tag

3. A Dialog Box of Tags with Data Log enabled. Both the tagname and Description are listed.

4. Select Tag Name.

If you leave this Data Log Trend Group, the Tag will disappear from the List.

If you select a field that already has a Tagname, the New Tag will temporarily replace that Tag until you leave, then return to this Data Log Trend Group.

To permanently add a Tag to a Data Log Trend Group, use the Configuration Manager to Modify the Trend Group.

Change Sample Type to MAX, MIN, AVG or LAST

To change a Tag from LAST to MAX, you have to pick the tag from the left menu, then use the UP/down arrows at the bottom right to change to AVG or MAX or Min or LAST. This does one tag at a time so you can compare MAX of one tag to MIN of another. Also AVG, MAX, MIN only applies for time frames of 1 minute or 1 hour.

Change Value

The Change Value pushbutton at the bottom of Data Log Trend allows you to Change the Value of a Tag from the Trend Display.

1. Click a Tagname from the Trend

2. Click Change Value

3. The Change Value Dialog Box Opens.

If the user does not have the Area and Level Security required by the tag, a Login Dialog Box opens.

Alarm Graph

The Alarm Graph allows an operator to go directly to the Alarm Graphic assigned to the selected tag. The Tag must be in the unacknowledged alarm state and an Alarm Graphic must be configured for the tag.

Acknowledge Point

The Acknowledge Point Pushbutton acknowledges the Alarm for a selected Tag

Acknowledge Group

Acknowledge Group Pushbutton acknowledges all alarms for all Tags in this Trend Group.

Export Data

To export data in an HTML format that can be copied and pasted into EXCEL, emails and Word and other programs

From the Tools item ( Right Click in Web Browser or from Menu Bar in Local View) select Export Data.

Figure 6-1bData Log Trend Display Customized (real-time & historical trend)


6.2.1 Data Log Trend Groups

At least one DATALOG Trend Group must be configured to view Data Log values for all your Tags. Operators and users can add tags to this group or replace them "on-the-fly" in VIEW without loosing data.

The Data Log Trend Pop-up Dialog Box (F4) will list all these Data Log Trend Groups automatically.

Datalog Trends are plotted versus Time (the X-axis is Time). Similar to a strip-chart recorder.

Datalog X-Y Plots are plotted versus a selected Tag. Any of the twelve tags can be selected as the X-axis, the other 11 tags are plotted on the Y-axis. Data Log Plots are commonly used to show a relationship between two tags)

The groups provide a fast an efficient way to specific a large number of pre-built Display Trends with names that are meaningful to operators and ordinary users.

The Data Log Trend List can be called using the <F4> keymacro, the Right-Click Menu or the Data Log Trend icon [image] on the toolbar.


6.2.3 Add Data Log Trend Group

This section assumes:

·You have already created the BLOCKS and TAGS you plan to add to your Data Log Trend Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

·You have to enabled DATA LOGGING for each TAG using Log Data in Tag Properties (see Analog Tag Properties or Discrete Tag Properties).

·This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. The SCADA Node. The SCADA Node Main Page opens.

Figure 6-3 Data Log Trend Group - Project Manager

5. Select DataLog Trend.

The Data Log Trend Display Group List Page appears.

Figure 6-4Add Data Log Trend Display group

6. Select Add DataLog.

7. The Create New DataLog Group appears.

Figure 6-5 Create Data Log Trend Display Group

8. Enter a Unique Group Number (between 1 and 1000). This is how the Group will be ordered in the Data Log Trend Group Dialog Box in VIEW and identified by Operators and Users.

9. Enter a Description for the group. This will appear in the Data Log Trend Group List Dialog Box seen by users and operators in VIEW.

10. Select the pull-down list next to Time Span. The default value is 6 minutes. This will determine the default time span and sample interval when this display first opens (the user can modify this on the fly).

DataLog Trend supports the following time spans for viewing data: 6 min, 12 min, 30 min, 1 hour, 2 hour, 4 hour, 6 hour, 12 hour, 18 hour, 24 hour, 2 day, 4 day, 1 week, 1/2 month, 1 month, 2 months, 3 months, 4 months, 6 months, 1 year, 2 years, 3 years, 4 years, and 5 years. This feature allows the viewing of data at a sample frequency different than the recording frequency. The intent is to allow users to adjust the time span across the screen. This does not affect the actual data recording rate. See (4.2.15 Log Data, 4.2.16 Data Log DB, and 3.2.23.1 Disable Data Log Seconds recording).

6 min is 1 second sample interval.
12 min is 2 second samples
30 min is 5 second samples
1 hour is 10 second samples
4 hour is 40 second samples
6 hour is 1 minute samples
12 hour is 2 minute samples
1 day is 4 minute samples
2 day is 8 minute samples
1 week is 28 minute samples
15 days is 1 hour samples
1 month is 2 hour samples
3 months is 6 hour samples
1 Year is daily samples

10. Select the field next to Tag Name 1.

11. Open the Pull down list by clicking on Tag List (Figure 6-5). This shows the names of all Analog Tags with Log Data and Discrete Tags with Log Data set to yes.

12. Scroll down the Tag List. Click the Tagname desired. The Tagname should appear on the Tag Name 1 field.

13. Repeat for Tag Name 2 to 12.

14. If you did not enabled Data Log for a tag, you can enable data Log later and enter the tag name now. You can Type Tag names and Blocks (BLOCK:PARAMETERs). You can also copy and paste Tag Names and Block Names from the Left Frame of your browser.

15. Select the opening Plot Type that will appear for each tag.

Users can change this from VIEW in combination with the Time Period Chosen (Seconds, Minutes Hours, and Days)

i. LAST shows the last recorded value of the Tag during the time period.

ii. Average shows the average value.

iii. Minimum will show the smallest value.

iv. Maximum will show the largest value.

If seconds are the time period chosen by the user, the Last value is always shown. Seconds is the default period chosen. You entry here will affect the Minutes, Hours and Day time periods.

16. The Display High and Display Low to "zoom in" or "zoom out" of trend data. By default, Advantech WebAccess uses the High Span and Low Span of the Tag. DataLog Trend Displays have configurable Display High and Display Low values for the y-axis (and x-axis in X-Y Plots). Trend displays will “remember” changes made to Display High and Low from VIEW and ViewDAQ. The Display High and Low are assigned to the Trend Group, allowing the same tag to have different sets of Display High and Low when assigned to multiple display groups.

17. Click Submit when you are finished.

18. There are two ways to download these changes to the SCADA Node:

18a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

18b. Use the Download hyperlink on the Data Log Trend Display Group List Page (figure 6.4 above). This will download changes to the Data Log Trends without stopping the SCADA node.

At least one Data Log Trend Display group must be configured to view Data Log Trends. The New Tag button can be used to add tags (temporarily) to any Data Log Trend Display. If your users will regularly view the same tags in a trend, it is probably best to configure multiple Data Log trend groups for their convenience.


6.2.4 Modify a Data Log Trend Group

This section assumes:

· You have already created the BLOCKS and TAGS you plan to add to your Data Log Trend Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

· You have to enabled DATA LOGGING for each TAG using Log Data in Tag Properties (see Analog Tag Properties or Discrete Tag Properties).

This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. Select the SCADA Node.

5. Select DataLog Trend.

Figure 6.6 Data Log Trend in Project Manager

The Data Log List Page appears.

Figure 6.7 DataLog Trend Display Group List

6. Select Update of the Group you want to modify.

7. The Update Data Log Trend Group Opens (Figure 6.5).

8. Select the field next to Tag Name you are to modify (Tag Name 1, Tag Name 2, etc.).

9. Open the Pull down list by clicking on Tag List (Figure 6.5). This shows the names of all Analog Tags with Log Data and Discrete Tags with Log Data set to yes.

10. Scroll down the Tag List. Click the Tagname desired. The Tagname should appear on the Tag Name field.

11. Repeat for the Tag Name fields (1 to 12).

12. If you did not enabled Data Log for a tag, you can enable data Log later and enter the tag name now. You can Type Tag names and Blocks (BLOCK:PARAMETERs). You can also copy and paste Tag Names and Block Names from the Left Frame of your browser.

13. Select the opening Plot Type that will appear for each tag.

Users can change this from VIEW in combination with the Time Period Chosen (Seconds, Minutes Hours, and Days)

· LAST shows the last recorded value of the Tag during the time period.

· Average shows the average value.

· Minimum will show the smallest value.

· Maximum will show the largest value.

If seconds are the time period chosen by the user, the Last value is always shown. Seconds is the default period chosen. You entry here will affect the Minutes, Hours and Day time periods.

14. The Display High and Display Low to "zoom in" or "zoom out" of trend data. By default, Advantech WebAccess uses the High Span and Low Span of the Tag. DataLog Trend Displays have configurable Display High and Display Low values for the y-axis (and x-axis in X-Y Plots). Trend displays will “remember” changes made to Display High and Low from VIEW and ViewDAQ. The Display High and Low are assigned to the Trend Group, allowing the same tag to have different sets of Display High and Low when assigned to multiple display groups.

15. Press Submit when finished making changes to your Data Log Trend Group.

16. There are two ways to download these changes to the SCADA Node:

16a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

16b. Use the Download hyperlink on the Data Log Trend Display Group List Page (figure 6.7 above). This will download changes to the Data Log Trends without stopping the SCADA node.


6.2.5 Export Data Log Trend

6.2.5 Export Data - Trend Display

DATA Log Trend data can be exported to EXCEL, email and other programs. Up to 12 Tags can be exported in a on a single Data Log Trend Display.

To export data in a Web Browser

1. Scroll to the time period you want.

2. Select SEC. MIN, HOUR or DAY as the interval.

3. Select LAST, AVG, MAX or MIN as the data type

4. Right Click -> Edit -> Export Data

5. A second Web Browser window pops up with the HTML formatted data. Copy and Paste the data or Use File -> Save to save the HTML page.

To export data from local VIEW

1. Scroll to the time period you want.

2. Select SEC. MIN, HOUR or DAY as the interval.

3. Select LAST, AVG, MAX or MIN as the data type

4. From the menu bar -> Edit -> Export Data


6.2.6 Data Log Trend - Scripts & Keymacros

The following DAQ tags allow users to change the run-time Datalog Trend definition in View/ViewDAQ using Keymacros and scripts. Please use SETVAL to the following DaqTags to make changes to Data Log Trend Displays.

%TDTRDCGN: Datalog Trend Group Number (See note below on %TDTRDCGN)

%TDTRDCGD was added to allow users to change the description of a Datalog Trend Group which is defined by %TDTRDCGN. Please note that the change is local to ViewDAQ/View client and will not be written back to Database.

%ADTRDH: Datalog Trend Tag Highlighted, range is 0 to 11

%ADTRDXP: Datalog Trend X Tag Pos for XYPLOT, range is 0 to 11

%ADTRDST: Datalog Trend Span Type, range is 0 to 23

%ADTRDDT(: Datalog Trend Data Type, range is 0 to 3

%DDTRDON(: Datalog Trend Group Tag On/Off, 1 is on and 0 is off

%TDTRD1(: Datalog Trend Tagname

%TDTRD4(: Datalog Trend Display Low

%TDTRD5(: Datalog Trend Display High

For example:

To change the run-time definition of trend group 111 (see note below on %TDTRDCGN),

<SETVAL>%TDTRDCGN=111

To set the initial highlighted position to the 2nd tag for trend group 111,

<SETVAL>%ADTRDH=1

To set the X tag position of XYPLOT to the 6th tag for trend group 111,

<SETVAL>%ADTRDXP=5

To set the display span to 24-hour for trend group 111,

<SETVAL>%ADTRDST=9

To set the data type to minimum for the 7th tag for trend group 111,

<SETVAL>%ADTRDDT(6)=2

To turn off trend display for the 1st tag for trend group 111,

<SETVAL>%DDTRDON(0)=0

To add/replace tag name as abc for the 3rd tag for trend group 111,

<SETVAL>%TDTRD1(2)=abc

To set display low to -1000.0 for the 12th tag for trend group 111,

<SETVAL>%TDTRD4(11)=-1000.0

To set display high to 1000.0 for the 9th tag for trend group 111,

<SETVAL>%TDTRD5(8)=1000.0

The following examples illustrate the syntax used in scripts.

To change the run-time definition of trend group 234,

TCL Script:

SETVAL %TDTRDCGN =234

VB Script:

SETVAL “%TDTRDCGN=234”

JAVA Script:

SETVAL(“%TDTRDCGN=234”);

Please note that the value of %TDTRDCGN is always set to the current trend group number when Datalog TREND/XYPLOT is displayed. Any SETVAL to %TDTRDCGN will be ignored. That means the change of the run-time definition can only be made to current trend group if it is performed inside Datalog TREND/XYPLOT display.s:


6.3 Real-time Trend Displays

******************************************************************************************************************************************************************************************
*Note:
 For XP Professional and XP Standard edition, the Tag source is Global Node, for WinCE edition the Tag source is Local Node.
For all three editions, the max. quantity of records per group of Real-Time Trend monitor is 12 records/group.
For XP Professional and XP Standard edition, the max. quantity of records per group of Historical Trend monitor is 12 records/group, for WinCE edition, it is 6 records /group.
 ******************************************************************************************************************************************************************************************

Real-time Trends. These are intended as temporary trend files. The Data in a Real-time trend lasts only long enough to fill the trend screen. Real-time Trends are ideal for Tuning of PID loops, where short term data is needed only long enough to tune the Loop.

The time span is not adjustable in VIEW. The Time Interval is fixed when the engineer builds the real time trend in Project Manager. The time is a function of the time interval and number of samples.

Sample Rate for Realtime Trends range from 1 to 180 seconds.
The Number of Samples in a Real Time Trend ranges from 60 to 480 samples. For example, using a 1 second interval and 480 samples = 1 x 480 = 480 seconds. If using a 180 second interval and 480 samples = 180 x 480 = 86400 seconds

At least one RealTime Trend Group must be configured. You can add tags to this group or change them. Any Tag can be added to a Trend Group in VIEW (i.e. by operators and ordinary users in run-time).

The Realtime trend icon [image] on the toolbar will open the RealTime Trend Pop-up Dialog Box. The F3 key or <F3> keymacro will also open the RealTime Trend List.

Realtime Trends are plotted versus Time (the X-axis is Time). Similar to a strip-chart recorder.

Realtime X-Y Plots are plotted versus a selected Tag. Any of the twelve tags can be selected as the X-axis, the other 11 tags are plotted on the Y-axis. RealTime Plots are commonly used to show a relationship between two tags)

The groups provide a fast an efficient way to specific a large number of pre-built Display Trends with names that are meaningful to operators and ordinary users.

Realtime Trends use a single Template Display that is pre-built and supplied with Advantech WebAccess. There is no graphics building required. Up to 12 Tags can be viewed on a single RealTime Trend Display. There is no limit to the number of Realtime Trend Groups you can configure.

Figure 6-8 RealTime Trend Display

Change the Display High and Low Span in View

By default, Advantech WebAccess uses the High Span and Low Span of the Tag. Users can change the Display High and Low Span to "zoom in" or "zoom out" of trend data.

1. Select a Tagname by clicking on the colored square.

2. Click Display Low

3. A Change Dialog Box opens

4. Type a new number for Display Low or use the ramp keys or slider.

5. Click Enter.

6. Repeat for Display High.

If you leave this RealTime Trend Group, the default Display Low and Display High will be used.

To Add a Tag (temporarily) to a RealTime Trend in VIEW

1. Select an field under Tagname by clicking on a colored square.

2. Click New Tag.

3. A Dialog Box of Tags all tags in the system opens. Both the Tagname and Description are shown.

4. Select Tag Name.

If you leave this RealTime Trend Group, the Tag will disappear from the Trend.

If you select a field that already has a Tagname, the New Tag will temporarily replace that Tag until you leave, then return to this Trend Group.

To permanently add a Tag to a Realtime Trend Group, use the Configuration Manager to Modify the Trend Group.

Change Value

The Change Value pushbutton at the bottom of Trend allows you to Change the Value of a Tag from the Trend Display.

1. Click a Tagname from the Trend

2. Click Change Value

3. The Change Value Dialog Box Opens.

If the user does not have the Area and Level Security required by the tag, a Login Dialog Box opens.

Alarm Graph

The Alarm Graph allows an operator to go directly to the Alarm Graphic assigned to the selected tag. The Tag must be in the unacknowledged alarm state and an Alarm Graphic must be configured for the tag.

Acknowledge Point

The Acknowledge Point Pushbutton acknowledges the Alarm for a selected Tag

Acknowledge Group

Acknowledge Group Pushbutton acknowledges all alarms for all Tags in this Trend Group.


6.3.1 Add RealTime Trend Group

This section assumes:

· You have already created the BLOCKS and TAGS you plan to add to your RealTime Trend Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

·This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project.

4. Select the SCADA Node.

5. The SCADA Node Main page opens.

Figure 6-9 Real Time Trend display Group - Project Manager

6. Select RealTime Trend.

The RealTime Trend List Page appears.

Figure 6-10 Real Time Trend List - Project Manager

7. Select Add RealTime Trend.

8. The Create New RealTime Trend Group appears.

Figure 6-11 Create Real Time Trend Display

9. Enter a Unique Group Number (between 1 and 1000). This is how the Group will be ordered in the RealTime Trend Dialog Box in VIEW and identified to Operators and Users.

10. Enter a Description for the group. This will appear in the RealTime Trend Group List Dialog Box seen by users and operators in VIEW.

11. Enter a Sample Rate. This is the frequency of updating the Trend Display with new Data. RealTime Trends are fixed at 240 samples. Sample Rate for Realtime Trends range from 1 to 180 seconds.

If 1 second interval and 240 samples = 1 x 240 = 240 seconds (4 minutes)

If 180 second interval and 240 samples = 180 x 240 = 43200 seconds

12. Select the field next to Tag Name 1.

13. Open the Pull down list by clicking on Tag List (Figure 6-11). This shows the names of all Analog Tags and Discrete Tags.

14. Scroll down the Tag List. Click the Tagname desired. The Tagname should appear on the Tag Name 1 field.

15. Repeat for Tag Name 2 to 12.

16. You can Type Tag names and Blocks (BLOCK:PARAMETERs). You can also copy and paste Tag Names and Block Names from the Left Frame of your browser.

17. The Display High and Display Low to "zoom in" or "zoom out" of trend data. By default, Advantech WebAccess uses the High Span and Low Span of the Tag. DataLog Trend Displays have configurable Display High and Display Low values for the y-axis (and x-axis in X-Y Plots). Trend displays will “remember” changes made to Display High and Low from VIEW and ViewDAQ. The Display High and Low are assigned to the Trend Group, allowing the same tag to have different sets of Display High and Low when assigned to multiple display groups.

18. Click Submit when you are finished.

19. There are two ways to download these changes to the SCADA Node:

19a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

19b. Use the Download hyperlink on the RealTime Trend List Page (figure 6.10 above). This will download changes to the Real-time Trends without stopping the SCADA node.

At least one Real-time Trend Display group must be configured to view Real-time Trends. The New Tag button can be used to add tags (temporarily) to any Real-time Trend Display. If your users will regularly view the same tags in a trend, it is probably best to configure multiple Data Log trend groups for their convenience.


6.3.2 Modify a RealTime Trend Group

This section assumes you have already created the BLOCKS and TAGS you plan to add to your Real Time Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. Select The SCADA Node.

The SCADA Node Main page opens.

5. Select RealTime Trend (Figure 6-9) .

The RealTime Trend List Page appears.

Figure 6-12Update real time trend display group

6. Select Update for the Group you want to modify.

7. The Update RealTime Trend Group Opens (Figure 6-11).

8. Select the Tag field to update (Tag Name 1, Tag Name 2, Tag Name 3, etc.).

9. Open the Pull down list by clicking on Tag List (Figure 6-11). This shows the names of all Analog Tags and Discrete Tags.

10. Scroll down the Tag List. Click the Tagname desired. The Tagname should appear on the Tag Name 1 field.

11. Repeat for Tag Name 2 to 12.

12. You can Type Tag names and Blocks (BLOCK:PARAMETERs). You can also copy and paste Tag Names and Block Names from the Left Frame of your browser.

13. The Display High and Display Low to "zoom in" or "zoom out" of trend data. By default, Advantech WebAccess uses the High Span and Low Span of the Tag. DataLog Trend Displays have configurable Display High and Display Low values for the y-axis (and x-axis in X-Y Plots). Trend displays will “remember” changes made to Display High and Low from VIEW and ViewDAQ. The Display High and Low are assigned to the Trend Group, allowing the same tag to have different sets of Display High and Low when assigned to multiple display groups.

14. Press Submit when finished.

15. There are two ways to download these changes to the SCADA Node:

15a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

15b. Use the Download hyperlink on the RealTime Trend List Page (figure 6.12 above). This will download changes to the Real-time Trends without stopping the SCADA node.


6.3.3 Export Data from Real Time Trend

6.3.3 Export Data from Real Time Trend Display

Real Time Trend data can be exported to EXCEL, email and other programs. Up to 12 Tags can be exported in a on a single Real Time Trend Display.

To export data in a Web Browser

1. Scroll to the time period you want.

2. Right Click -> Edit -> Export Data

3. A second Web Browser window pops up with the HTML formatted data. Copy and Paste the data or use File -> Save to save the HTML page.

To export data from local VIEW

1. Scroll to the time period you want.

2. From the menu bar -> Edit -> Export Data


6.3.4 Real Time Trend - Scripts & Keymacros

The following DAQtags allow users to change the run-time Real Time Trend definition in View/ViewDAQ using Keymacros and scripts. Please use SETVAL to the following DaqTags to make changes to Real Time Trend Displays.

%TRTRDCGN: Realtime Trend Group Number

%TRTRDCGD was added to allow users to change the description of a Realtime Trend Group which is defined by %TRTRDCGN. Please note that the change is local to ViewDAQ/View client and will not be written back to Database.

%ARTRDH: Realtime Trend Tag Highlighted, range is 0 to 11

%ARTRDXP: Realtime Trend X Tag Pos for XYPLOT, range is 0 to 11

%DRTRDON(: Realtime Trend Group Tag On/Off, 1 is on and 0 is off

%TRTRD1(: Realtime Trend Tagname

%TRTRD4(: Realtime Trend Display Low

%TRTRD5(: Realtime Trend Display High

For example:

To change the run-time definition of trend group 111,

<SETVAL>%TRTRDCGN=111

To set the initial highlighted position to the 2nd tag for trend group 111,

<SETVAL>%ARTRDH=1

To set the X tag position of XYPLOT to the 6th tag for trend group 111,

<SETVAL>%ARTRDXP=5

To turn off trend display for the 1st tag for trend group 111,

<SETVAL>%DRTRDON(0)=0

To add/replace tag name as abc for the 3rd tag for trend group 111,

<SETVAL>%TRTRD1(2)=abc

To set display low to -1000.0 for the 12th tag for trend group 111,

<SETVAL>%TRTRD4(11)=-1000.0

To set display high to 1000.0 for the 9th tag for trend group 111,

<SETVAL>%TRTRD5(8)=1000.0

The following examples illustrate the syntax used in scripts.

To change the run-time definition of trend group 234,

TCL Script:

SETVAL %TRTRDCGN=234

VB Script:

SETVAL “%TRTRDCGN=234”

JAVA Script:

SETVAL(“%TRTRDCGN=234”);

Please note that the value of %TRTRDCGN is always set to the current trend group number when Realtime TREND/XYPLOT is displayed. Any SETVAL to %TRTRDCGN will be ignored. That means the change of the run-time definition can only be made to current trend group if it is performed inside Realtime TREND/XYPLOT display.


6.4 Data Log Disk Space and throughput

These apply to the SCADA Node (for Data Log Trend Files) and Project Node (for ODBC Log Files).

It is recommended to use SCSII drives for data logging. A separate Data Log drive can be specified under SCADA node properties Data Log Folder.

See the related section 6.4.1.1 Data Log Trend recording.


6.4.1.1 Data Log Trend recording

The actual number of tags that can be Data Logged by a SCADA node is dependent on:

· Processor Speed (CPU Speed)

· Hard Disk Access Time

· Processor Load (due to other tasks like scripts, schedules, communications, calculation tags).

· Scan Rate of the Communication Port

A guideline is 500 tags/second for a 1.8 GHz Pentium IV processor using an IDE disk controller. If your Scan rate is every 3 seconds, then you could data log about 1500 tags. Increasing the deadband to reduce the number of changes/second could increase this number of tags data logged. These assume the worse case scenario that there is no deadband or that the tags exceed the deadband every scan cycle.

500 tags/second scan rate

1000 tags / 2 second rate

2000 tags / 4 seconds rate

The use of a deadband will result in recording only significant changes, effectively reducing the number of value changes recorded per scan (and increasing the number of Tags that can be data logged).

It is recommended to use SCSII drives for data logging. A separate Data Log drive can be specified under SCADA node properties Data Log Folder.

Data Log Trend Disk Space

Real time trends never store data on the hard drive.

Data Log Trends record Data to the Hard Drive of the SCADA Node.

Log to ODBC (Analog Tag Log, Discrete Tag Log, System Log, Action Log and Alarm Log) record data to an ODBC Database on the hard drive of the Project Node (an Access Database by default, named BwPData.mdb via the DSN named bwpdata_Access)

Data Log Trend records 10 bytes per sample on the SCADA node. If you are sampling 1000 tags every 1-second and you are using NO deadband, then it will be:

500 tags * 10 bytes/sample * 1 scan/ sec * 3600 samples/hour * 24 hours/day * 30 days/month * 1/1024 *1/1024 *1/1024 = 12 Gigabytes in a month.

500 tags * 10 bytes/sample * 1 scan/ sec * 3600 samples/hour * 24 hours/day * 365 days/year * 1/1024 *1/1024 *1/1024 = 146.9 Gigabytes in a year.

500 tags * 10 bytes/sample * 1 scan/ sec * 3600 samples/hour * 24 hours/day * 1/1024 *1/1024 = 412 Megabytes in a day.

If a deadband is used, it will be less. If you assume the tags exceed deadband only 50 percent of the time (every 2 seconds), it will be

12 * .5 = 6 Gigabytes / month / 500 tags

146.9 * . 5 = 73.5 Gigabytes / year / 500 tags

412 * . 5 = 206 Megabytes / day / 500 tags

If a 5 second scan time is used:

500 tags * 10 bytes/sample * 1 scan/ 5 sec * 3600 samples/hour * 24 hours/day * 365 days/year * 1/1024 *1/1024 *1/1024 = 29.4 Gigabytes in a year.

The Maximum file size of an Access Database is 2 Gigabytes.

The Log Data Maintenance feature in Advantech WebAccess will archive Data Log Trend files to a network folder or mass storage device AND will ERASE files that are older than a user-defined period on the local hard drive of the SCADA Node. Log Data Maintenance will also archive and delete expired (old) records from the ODBC Log databases on the Project Node. (See Log Data Maintenance for more information). The Log Data Maintenance will prevent your disk drive from filling up if used properly. In the above examples, if Log Data Maintenance were set for 30 Days would require only 9 Gigabytes of Disk space for data log trend files for 500 tags.

Note - if both Archive and Delete Expired Files are selected, but the Archive device is off-line, then the expired records and files will not be deleted.

Archive / Mass Storage Disk Space

Data Log Maintenance will copy expired Data Log Trend files daily to the archive media. No file compression is used in version 3.0. In the above 500 tag examples:

412 Mega Bytes /day / 500 tags / sec assuming every tag changes every second with no deadband for Data Log Trend files.

Data Log Maintenance will also create Access Database files daily for expired records from the ODBC Logs; up to 6 files daily: System Log, Action Log, Alarm Log, Analog Tag Log, Discrete Tag Log and Text Tag Log, as selected by user. If the SCADA node is off line, then a data file will be created the next day the SCADA node is running at the record time, containing data from the previous day(s).

The minimum size is 64 Kbytes per daily ODBC file. (6 x 64Kbytes = 384 Kbytes / day minimum). The maximum is hard to calculate for System, Alarm and Action Log.

Action Log (bwActionTable - bwPData.mdb) 220 Kbytes / 500 Operator Actions

Alarm Log (bwAlarmTable - bwPData.mdb) 4200 Kbytes / 20,000 Alarms

Analog Tag Log (bwAnalogTable - bwPData.mdb) 29,900 Kbytes / 370,000 Value changes

Discrete Tag Log (bwDiscreteTable - bwPData.mdb) 14,200 Kbytes / 250,000 State changes.

Text Tag Log (bwTextTable - bwPData.mdb) 4200 Kbytes / 20,000 changes.

See Disk Space and CPU speed for more information.

There is no Archive restore or Playback feature in version 4.0. An Archive restore and playback is scheduled for a future release. Users can manually copy Data Log trend files (second X, minute M and hour H files) back to the SCADA node to view archived data. Archived ODBC files are easily opened using Access.

See also FreeDisk, a system tag too allow monitoring of free disk space.


7. Alarm Management

******************************************************************************************************************************************************************************************
*Note:
 For WinCE edition, the function of transferring alarm log to project node is not supported.
Alarm Summary of Project Node is not supported by WinCE.
For XP Professional and XP Standard edition, the Max. quantity of records can be queried is 5000 records per time, For WinCE edition, it is 1000 records per time.
For XP Professional and XP Standard edition, the Max. quantity of Alarm Groups/SCADA Nodes is 9999, For WinCE edition, it is 99.
********************************************************************************************************************************************************************************************

Alarm Management is built into Advantech WebAccess. Alarms provide a notification system to inform operators of process and equipment status.

Advantech WebAccess provides a full-feature Alarm handling package developed for use in traditional Distributed Control Systems (DCS). There are no special displays to build. There are no special points to build. The user enables an alarm for a tag by selecting a non-zero alarm priority for the Alarm Type. Advantech WebAccess provides High-High, High, Low, Low-Low, Rate-of-Change and Deviation Alarms for Analog Tags. State alarming is provided for Discrete Tags.

Advantech WebAccess supplies pre-built alarm summary display, alarm log display, and audible alarm notification to the operator of new alarms.

The alarm summary display and standard toolbars provide an ALARM Acknowledge button that marks the alarm or a page of alarms as ‘acknowledged’ and silence audible alarm horns until a “new” alarm occurs.

Prioritizing alarms, grouping alarms and printing of alarms are also features of the Alarm package. Alarms can be “filtered” at each node by disabling alarm priorities or disabling alarms from user specified node.

Each Tag in the Advantech WebAccess system has alarming which can be enabled in its database configuration without creating additional tags or logic. Standard Alarms for each Analog Tag include:

· High-High Alarm

· High Alarm

· Low Alarm

· Low-Low Alarm

· Deviation Alarms

· Rate of Change Alarm

· State Alarms are provides for all Discrete Tags.

Advantech WebAccess provides a built in notification system to inform operators of Alarms. Unlike other HMI and SCADA, you do not need to create additional alarm tags, build Alarm displays and alarm logic. However, you can modify all the standard Alarm displays, and copy and paste parts of these display into user built display. Tag Fields and System Tags (%DAQTags) enable Operators, custom scripts, DDE compliant applications and programs to interact with the Alarms in Advantech WebAccess (i.e. change alarm limits, temporarily enable or disable an alarm) .

Advantech WebAccess Alarm Handling consists of over 20 features:

1. Analog type Alarms for each analog tag: (Hi Hi, High, Low, Lo-Lo, Rate of Change and Deviation)

2. State alarms for all Discrete type Tags ( 0, 1, 2 ... 7)

3. Alarm Summary of Current Alarms

4. Alarm Log of all past Alarms

5. Alarm filtering

6. Alarm Priorities

7. Alarm sorting

8. Alarm Log printing

9. Alarm log recording to database

10. Centralized Alarm Log for all SCADA nodes.

11. Alarm Acknowledgement

12. Alarm limits adjustable in run-time

13. Temporary Alarm Disable

14. Alarm Horn

15. Alarm status in Status bar of all displays

16. Latest Alarm's Tagname displayed in Status bar of all displays

17. Alarm Graphic for each tag to quickly find the appropriate display.

18. Email notification of Alarms

19. Schedule Alarm email recipients by shift, day or week, calendar

20. Text-to-Speech Alarm Annunciator.

21. Media file (.wav, .mid, .mp3) Alarm Annunciator.

Open the Alarm Summary with the [image] toolbar icon. The Alarm Summary is the main display for identifying and responding to alarms. Most Users & Operators will probably go to this display first when responding to Alarm conditions.


7.1 Alarm Handling Package Summary

Advantech WebAccess supplies pre-built alarm summary display, alarm groups, alarm log display, and audible alarm notification to the operator of new alarms.

1. Analog-type Tag Alarms providing High-High, High, Low, Low-Low, Rate-of-Change and Deviation Alarms for each Analog point tag in the system including IO Tags, each parameter of a Block, Calculation Points, Accumulation Points, and Constant Point Tags.

2. Discrete Tag Alarms and Digital-type Tag Alarms on the true or false state of the tag. This is for IO Tags, each parameter of a Block, Calculation Points, Accumulation Points, and Constant Point Tags.

3. Alarm Summary Display shows a dynamically updated display of all active alarms. This display is automatically generated. It displays all active unacknowledged alarms in flashing red and active acknowledged alarms in blue. These colors can be changed by the user. Once an alarm “clears” it is removed from the alarm summary display.

4. Prioritizing Alarms with 99 alarm priorities. Alarms can be sorted by rank of priority on the alarm summary page to enable operators to see the most important alarms first.

5. Sorting Alarms by Time, Priority, Group, Acknowledge State on alarm summary displays.

6. Filtering Alarms from other nodes or by Priority or Acknowledge state. The Alarm Summary provides filtering of alarms. By disabling Alarm priorities, these disabled alarms will not show in the alarm summary display.

7. Alarm Log generates a running display of all alarms in chronological order. The user can select to have this alarm log printed to a printer, to a file on the hard drive and written to a database. This is Local to the SCADA node.

8. Alarm Groups can be configured in any logical arrangement. These are user configurable. The user can display alarm groups using automatically generated alarm group displays. An alarm group is typically a process unit in a multi-process facility.

9. Individual Alarm Suppression of any tag. The user can disable alarms from being reported individually. This allows nuisance alarms to be removed when a unit or process is shutdown or out of service.

10. Alarm Graphic is configurable for each tag in the system. From the alarm summary display, the operator can call up this Alarm Graphic with a single mouse click. The Alarm Graphic can be any graphic display in the system. Typically, it is a process graphic giving the operator the most information on the cause or solution to the alarm condition.

11. Flashing and Color of Values on Displays. Operator graphics display alarms by changing the color of numeric, text and state values. The colors can change and flash based on alarm, acknowledge state, and priority of the alarm.

12. Block Alarming is provided when using Block-type tags. On process graphics, the displayed parameter can change color and flash indicating the alarm-state of another parameter in the same block. For example, measurement can flash read when there is a high output alarm, although the output is not indicated on the display.

13. Pre-configured alarm indication in Widgets and Faceplate supplied in the symbols library allows users to build graphic display elements with alarm display features already incorporated into them.

14. Alarm indication on pre-built System Displays and Dialog Boxes including Point List (i.e. Point Browser), Trends, Overview Display, Group Displays, Point Detail Displays and Block Detail Displays.

15. Status Bar Alarms -There are four (4) Alarm windows in Status Bar at the base of all displays.

16. Alarm Limits Changeable On-line, in Runtime VIEW, from Point Detail Display and Point Browser, protected by Security Level. Alarm limits can also be changed by scripts and programs. These property changes can take place from both the client and the SCADA nodes.

17. Alarm Acknowledgment is provided through the standard toolbar on every display, the Alarm Summary and Alarm Group displays, Point Info Dialog Box, and user-built displays, pushbuttons, key macros and scripts.

18. Email notification of Alarms is a standard feature in Advantech WebAccess. No third party software is required. Tags can be individually selected to generate an email, assigned recipient email address or use global email recipients.

19. Schedule Alarm Email recipients by Shift or Day. The scheduler can schedule different email recipients based on Time of day, shift, Day of Week, and Holiday schedules.

20. Local Alarm Beep is provided using the system speaker on the Personal Computer of all Clients (including Web Browser Clients). A sound card is not required. The tone and duration is configurable. This audible annunciator is coordinated with unacknowledged alarms.

21. Text-to-Speech Alarm Annunciation - Text-to-Speech technology Annunciates alarms locally on the SCADA node and on Clients. Users must install Text-to-Speech software on the clients manually (it is not part of the client plug-in); its is automatically installed on the SCADA node via node software. A choice of male and female voices reads the Tag name, description, Alarm Type, Alarm Limit and Alarm Value. No recording is required by the user. A sound card and speaker is required.

22. Alarm Suppression Tag - The Associate Tag suppresses the alarms for a tag when the Associate Tag is in alarm. The Associate Tag is usually the “more important” alarm. The Associate Tag is used to suppress nuisance alarms and help operators identify the cause of upset conditions.

23. Reply Email to Acknowledge Alarms. If a POP3 Email account is configured in SCADA node properties, by replying to the Alarm Notification Email, the alarm will be acknowledged.

24. Media Files (.wav, .mid, .mp3, etc.) played for Alarm Annunciation. - Pre-recorded media files can Annunciate alarms locally on the SCADA node and on Clients. Users must install media player software on the clients and SCADA node (it is not part of the client plug-in or SCADA node software). Recording is required by the user. A sound card and speaker is required.


7.1.1 Alarm Colors & Flash configure by Engineers in DRAW

Alarm colors, the Alarm Summary Display, Alarm Log and Alarm Group Displays are standard features that can be customized by engineers and technicians to modify alarm colors, and flashing behavior from the default displays.

The Point Info Dialog Box always shoes and unacknowledged alarm as RED FLASHING and an ACKNOWLEDGED ALARM as steady red. All other displays can be modified to show different alarm colors and flash.

For example, some user color-code alarms by Alarm Type: red for high-high alarms, orange for high yellow for low alarms.


7.2 Alarm Types

Analog-type Tag Alarms providing High-High, High, Low, Low-Low, Rate-of-Change and Deviation Alarms for each Analog point tag in the system including IO Tags, each parameter of a Block, Calculation Points, Accumulation Points, and Constant Point Tags. For Detail Description of Analog Tag Properties see section 4.2.31 ALARM Properties - ANALOG TAGS.

Discrete Tag Alarms and Digital-type Tag Alarms on the true or false state of the tag. This is for IO Tags, each parameter of a Block, Calculation Points, Accumulation Points, and Constant Point Tags. For Detail Description of Discrete Tag Properties see section 4.3.24 ALARM Properties - Discrete Tags.

Local Screen Tags do not alarm. If you need an alarm for the result of a script of Graphic Display input, use a Constant Point Tag.

%DAQTags (i.e. System Tags) have local alarm indication only. These tags do not appear in the Alarm Summary or Alarm Log. If you need the alarms from these tags, you must use a script and a Constant Point Tag.


7.2.1 High-High Alarm

A High-High Alarm will generate an alarm when the value of the tag is above the Alarm Limit. The tag will remain in High-High alarm until it is acknowledged and the tag’s value drops below the HH alarm limit minus deadband.

The Alarm Limit is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields. The alarm Limit can also be changed by appending the .ALMHH to the tagname in the Point Info Dialog Box (point Browser).

The relevant fields to consider when configuring a High-High Alarm are the
Hi Hi Priority, the HH Alarm Limit, the Deadband, and the Span High and Span Low of the Tag.

To configure a High-High alarm see 7.4Alarm Configuration.

1. Enter a non-zero Alarm Priority by clicking on the field in the field labeled Hi Hi Priority. This is an abbreviation for High-High Alarm Priority.

If you are using a High Alarm also, then the High-High Alarm Priority must be greater than or equal to the High Alarm priority.

2. Enter a numeric value for the Alarm Limit. The alarm limit is in engineering Units.

If you are using the High Alarm also, then the High-High Alarm Limit must be greater than the High Alarm Limit.

3. Log Only - Specifies that Alarms are written to the Alarm Log only. No notification of alarms is made on displays or alarm summary or email or pager for this tag. This can be specified individually for each alarm type, for analog tags.

If Alarm Log to ODBC is specified for the SCADA Node and Log Data for this tag, Alarm will be written to the central Analog Tag Log on the Project Node.

4. Send Email - Specifies if this tag will generate an Email when it alarms. An Alarm Email Server must be configured for the SCADA node. Alarms must be enabled. Email To for the SCADA Node or Email To for this tag must also be configured.

5. Email to - Adds another name to the Email To field for the SCADA node. If the SCADA Node Property - Email To is blank, then this is the only person(s) to receive the Alarm email.

6. Play Voice - Specifies if Text-to-Speech Annunciation of the Alarm will be used. The Voice selected in Alarm Voice in SCADA Node Properties will be used. The voice will try to pronounce the tagname, alarm type, description, alarm limit and value triggering the alarm will be read. The Tag Name will be spelled out if it is not a word. For example, “Compressor” will be announced, but “compressor1” will be spelled out: “see oh em pee are ee ess ess oh are one.”


7.2.2 High Alarm

A High Alarm will generate an alarm when the value of the tag is above the Alarm Limit. The tag will remain in High alarm until it is acknowledged and the tag’s value drops below the alarm limit minus deadband.

If a High-High Alarm is also configured and the tag’s value increase above the High-High Limit, the High-High Alarm will be reported and the point will go out of High Alarm.

The Alarm Limit is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields. The alarm Limit can also be changed by appending the .ALMHI to the tagname in the Point Info Dialog Box (point Browser).

The relevant fields to consider when configuring a High Alarm are the
Hi Alarm Priority, Hi Alarm Limit, the Deadband, and the Span High and Span Low of the Tag.

To configure a High Alarm see 7.4Alarm Configuration.

1. Enter a non-zero Alarm Priority by clicking on the field in the field labeled Hi Priority. This is an abbreviation for High Alarm Priority.

If you are using a High-High Alarm also, then the High Alarm Priority must be less than or equal to the High-High Alarm priority.

2. Enter a numeric value for the HI Alarm Limit. The alarm limit is in engineering Units.

If you are using the High-High Alarm also, then the High Alarm Limit must be less than the High-High Alarm Limit.


7.2.3 Low Alarm

A Low Alarm will generate an alarm condition when the value of the tag is below the Low Alarm Limit. The tag will remain in Low alarm until it is acknowledged and the tag’s value rises above the alarm limit plus deadband.

If a Low-Low Alarm is also configured, and the tag’s value decreases below the Low-Low Limit, the Low-Low Alarm will be reported and the point will go out of Low Alarm.

The Alarm Limit is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields. The alarm Limit can also be changed by appending the .ALMLO to the tagname in the Point Info Dialog Box (point Browser).

The relevant fields to consider when configuring a Low Alarm are the Low Alarm Priority, Low Alarm Limit, the Deadband, and the Span High and Span Low of the Tag.

To configure a Low Alarm see 7.4Alarm Configuration.

1. Enter a non-zero Alarm Priority by clicking on the field in the field labeled Lo Priority. This is an abbreviation for Low Alarm Priority.

If you are using a Low-Low Alarm also, then the Low Alarm Priority must be less than or equal to the Low-Low Alarm priority.

2. Enter a numeric value for the LO Alarm Limit. The alarm limit is in engineering Units.

If you are using the Low-Low Alarm also, then the Low Alarm Limit must be greater than the Low-Low Alarm Limit.


7.2.4 Low-Low Alarm

A Low-Low Alarm will generate an alarm condition when the value of the tag is below the Low-Low Alarm Limit. The tag will remain in Low-Low alarm until it is acknowledged and the tag’s value rises above the alarm limit plus deadband.

The Alarm Limit is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields. The alarm Limit can also be changed by appending the .ALMLL to the tagname in the Point Info Dialog Box (point Browser).

The relevant fields to consider when configuring a Low-Low Alarm are the Low Low Alarm Priority, Low Low Alarm Limit, the Deadband, and the Span High and Span Low of the Tag.

To configure a Low-Low Alarm see 7.4Alarm Configuration.

1. Enter a non-zero Alarm Priority by clicking on the field in the field labeled Lo Lo Priority. This is an abbreviation for Low-Low Alarm Priority.

If you are using a Low Alarm also, then the Low Alarm Priority must be less than or equal to the Low-Low Alarm priority.

2. Enter a numeric value for the LL Alarm Limit. The alarm limit is in engineering Units.

If you are using the Low alarm also, then the Low-Low Alarm Limit must be less than the Low Alarm Limit.


7.2.5 Rate of Change Alarm

If the difference between two consecutive values is greater than the specified percentage of full span, a Rate-Of-Change alarm will be activated.

The ROC alarm is in Percent of SPAN. Value applies to both increase and decrease in tag's value (i.e. is symmetrical). The actual rate is a function of this vale and the Scan Rate of the device. If the device scans Once per Second, then rate is change per second. If device scans at 100 milliseconds, then Rate of Change = 10 is also once per second. Rate of Change alarming is the idea that a measurement is changing too fast. An example, is change in Level of a Tank indicating flow cavitations in a pipe.

For IO Tags, ROC Alarming is Dependent on the scan rate of the communication port. For Accumulation, Calculation and Constant Point Tags, any change greater than the ROC percentage will generate a ROC alarm.

The point will remain in ROC alarm until it is acknowledged and the tag’s value changes once by a value less than the ROC percentage.

The Alarm Limit is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields. The alarm Limit can also be changed by appending the .ALMROC to the tagname in the Point Info Dialog Box (point Browser).

The relevant fields to consider when configuring a Low-Low Alarm are the ROC Alarm Priority, the ROC Alarm Limit, the Span High and Span Low of the Tag and the Scan Rate of the Comport the Tag is read through.

To configure a Rate-of Change (ROC) Alarm see 7.4Alarm Configuration.

1. Enter a non-zero Alarm Priority by clicking on the field in the field labeled ROC Priority. This is an abbreviation for Rate of Change Alarm Priority.

2. Enter a numeric value for the Rate of Change - ROC. The alarm limit is in engineering Units.

The ROC alarm is in Percent of SPAN (i.e. % of Span High minus Span Low). The Limit applies to both increase and decrease in tag's value (i.e. symmetrical). The actual rate is a function of this vale and the Scan Rate of the device. If the device scans Once per Second, then rate is change per second. If device scans at 100 milliseconds, then Rate of Change = 10 is also once per second. Rate of Change alarming is the idea that a measurement is changing too fast. For example, flow in a pipe causing cavitations.


7.2.6 Deviation Alarm

The Deviation Alarm generates an alarm condition based on the difference between two tags. The classic example is the difference between Measurement and Setpoint.

Any tag in the system can be used to compare against the current tag’s value. The calculation for Deviation Alarm is:

Deviation = Current Tag – Reference Tag

A High Deviation occurs when this Tag’s value is Greater than the Reference Tag’s value.

There are separate High and Low Limits for a Deviation Alarm. There are separate High and Low Deviation Priorities. You can enable just one Deviation Alarm (for example, High Deviation Alarm only). There is a single deadband for Deviation Alarms.

The Alarm Limit is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields. The alarm Limit can also be changed by appending the .ADVLO or .ADVHI to the tagname in the Point Info Dialog Box (point Browser).

The relevant fields to consider when configuring a Deviation Alarm(s) are the Reference Tag, High Deviation Alarm Priority and High Deviation Limit, Low Deviation Alarm Priority, Low Deviation Limit, the Deadband, If Deadband is in Percent of Scale and the Span High and Span Low of the Tag.

To configure a Deviation Alarms see 7.4Alarm Configuration.

1. Enter a non-zero Alarm Priority by clicking on the field in the field labeled Dev Hi Priority. This is an abbreviation for High Deviation Alarm Priority.

2. Enter a numeric value for the High Deviation Alarm Limit in the field labeled Dev Hi Limit. The alarm limit is in Engineering Units.

3. Enter a non-zero Alarm Priority by clicking on the field in the field labeled Dev Lo Priority. This is an abbreviation for Low Deviation Alarm Priority.

4. Enter a numeric value for the Low Deviation Alarm Limit in the field labeled Dev Lo Limit. The alarm limit is in Engineering Units. Do not enter a minus sign.

5. Select Yes or No for field labeled Dev Percentage . If % is selected then the Deadband is in percent of scale.

6. Enter a Value for the Deadband in the Dev DB.

7. Enter the Tag Name of the Reference Tag in the field labeled Dev. Tag Name .


7.2.7 Alarm Deadband

An Alarm Deadband helps to eliminate nuisance alarms caused by a tag’s value wandering above and below the alarm limit.

A Tag will enter an alarm condition only when the tag’s value exceeds the alarm limit. However, the point will NOT go OUT of alarm until the point’s value exceeds the deadband.

The Alarm Deadband is set during configuration of the tag, but can be changed in run-time VIEW while on-line from the point detail display if the user has access to the Security Level 127 configured for Tag Fields.

The Alarm Deadband used for the HH, H, L and LL alarms can also be changed by appending the .ADBP (Percent of Span) or .ADBV (Engineering Units) for to the tagname in the Point Info Dialog Box (point Browser). A common Deadband is used for the HH, H, L and LL alarms. There is a separate

The Alarm Deadband used for the Deviation Alarms can be changed using the .ADVDBV and .ADVBP Tag Fields.

To configure a Alarm Deadbands see 7.4Alarm Configuration.


7.2.8 Associate Tag

The Associate Tag suppresses the alarms for this tag when the Associate Tag is in alarm. The Associate Tag is usually the “more important” alarm. The Associate Tag is used to suppress nuisance alarms and help operators identify the cause of upset conditions. The Associate Tag must not have “Log Only” checked for Alarms; if the Associate Tag is “Log Only” for alarms, it will not suppress alarms for this tag. Both the Unacknowledged and Acknowledged Alarm state of the Associate Tag will suppress alarming of this tag. If the Associate Tag Alarm “clears” before it is Acknowledged, it will continue to suppress alarms in the Unacknowledged state.


7.3 Alarm Priorities

Advantech WebAccess supports 99 Alarm Priorities. The Higher the number, the Higher the Priority. Alarm Priority = 0 is no alarming.

The concept of “alarm priority” is that some alarms are more important than others. Alarms can be sorted by alarm priority on the Alarm Summary display to show operators the most important alarms first: on the top of the list.

The higher priority number is considered more important and is listed on the top of the list (i.e. priority 4 is higher than a priority 1). Advantech WebAccess provides 99 alarm priorities. Most users select a smaller number to use.

Advantech WebAccess also uses the alarm priority to “configure” an alarm. Alarms with a priority equal to zero are not active and cannot be enabled. Alarm Priority equal to zero is No Alarm.

Another consideration in planning Alarm Priority scheme, is that Alarm Priority can be used to filter alarms in the Alarm summary. The idea is that not everyone wants see all alarms in the system. Advantech WebAccess provides alarm filtering by priority. Essentially the Alarm Summary ignores alarms for the selected priorities.

Alarm Precedence

The Alarm Priority of High-High alarms must be greater than that of a High alarm if both are configured for the same tag. Similarly, the Alarm Priority of Low-Low Alarms must be greater than the alarm priority of low alarms if both are configured for the same tag. The Advantech WebAccess Project Manager (Configuration Tool) will warn for this when trying to save a Tags configuration.

If more than one alarm is in the Alarm State for the same tag, only one alarm is reported. The precedence of alarms for the same tag is

· High-High, Low-Low

· High, Low,

· Rate of Change and

· Deviation.

For example if both High-High, High, Deviation and Rate of Change alarms are all true, only the High-High alarm is reported in the alarm summary and alarm log.


7.4 Alarm Configuration

Unlike other HMI and SCADA, you do not need to create additional alarm tags. Alarming can be enabled for every analog or discrete tag through the Project Manager.

Of course, alarm configuration can be added to a Tag by simply changing the tag’s configuration. An alarm is “configured” by selecting a non-zero Alarm Priority for the alarm type.

In a perfect world, the engineer “plans” what the alarm values of the tags in the system will be, then engineer or technician enters these values as the tag is configured. Alarm Limits can be changed on-line without stopping or downloading the SCADA node, if the alarm is already configured with a non-zero Alarm Priority for the Tag. By changing the Alarm Field for the Tag.

Analog tags have six alarm-types: High-High, High, Low, Low-Low, Rate of Change and Deviation alarms. Any combination of these alarm types can be selected.

Discrete tags have a state alarm. The Alarm can be any state (0 through 7) . For example, in a 2-state Digital Tag, the alarm is on the zero (false) state or alarm is on the one (true) state.

As a productivity tool for large projects consisting of hundreds or thousands of tags, the Advantech WebAccess Tag database can be configured via Query or View of the Access Database.

To Configure an Alarm for a Tag:

Alarm configuration is done during tag configuration described in the earlier section 4 Tags.

1. Open Internet Explorer

2. Connect to Advantech WebAccess Configuration

3. Login as admin or Project User.

4. Open Project Manager for Your Project

5. Select your SCADA node.

6. Select the Tag

7. Select Tag Property.

8. From the Pull Down List, select Alarm.

9. Wait for the Page to Update. A Pink border should appear around Alarm.

10. Drag the slider bar down to the bottom to the Page into the Pick Section.

11. Select a Non-Zero Alarm Priority for the desired Alarm Type.

12. Enter an Alarm Limit.

13. Analog Tags can have multiple Alarms. Enable other alarms for the tag by entering a non-zero Alarm Priority and Alarm Limit.

14. Press Submit.

15. Download and Restart your SCADA node.

For Detail Description of Analog Tag Properties see section 4.2.31 ALARM Properties - ANALOG TAGS.

For Detail Description of Discrete Tag Properties see section 4.3.24 ALARM Properties - Discrete Tags

Note - Alarm Limits can be changed on-line without stopping or downloading the SCADA node, if the alarm is already configured with a non-zero Alarm Priority for the Tag, by changing the Alarm Field for the Tag.

To Configure Logging Alarms and Operator Actions to printers or ODBC Databases, please refer to section 3. SCADA NODE properties. or the following Sections:

o 3.2.18Alarm Log To Printer

o 3.2.19Alarm Log To ODBC

o 3.2.20Action Log To Printer

o 3.2.21Action Log To ODBC

o 3.2.8 Outgoing Email Server - SMTP

o 3.2.9Email From

o 3.2.12Alarm Email To

o 3.2.13Alarm Email CC

o 3.2.14Reply Alarm Email to Ack

o 3.2.16Incoming Email (POP3) Server

To Configure Alarm Horn or Text-to-Speech Alarm Annunciation characteristics., please refer the following section 3. SCADA NODE properties or the following Sections.

o 3.2.17Alarm Voice

o 3.2.25Beep Interval

o 3.2.26Beep Frequency

o 3.2.27Beep Duration

o 3.2.28Lines per Log Page

o 3.2.29Printer Control String


7.5 Alarm Summary Display

*********************************************************************
*Note: Alarm Summary of Project Node is not supported by WinCE.
******************************************************************************

The Alarm Summary shows a list of Current Alarms and Unacknowledged Alarms. Each time an Alarm occurs, a line is entered in the Alarm Summary describing the alarm. Acknowledgement by the operator changes the color (or flashing color) to indicate Acknowledgement. As alarms return to Normal, they disappear from the Alarm Summary (if they have been acknowledged by an operator or user). This is similar to Alarm Monitors in control rooms commonly associated with Distributed Control Systems (DCS).

Figure 7.1 Alarm Summary

The Alarm Summary Display can be viewed from the Toolbar icon [image] or F5 function key or a pushbutton with the < <GOTO>ALMSUMMARY keymacro. The Alarm Summary can also be called using the Right-Click Menu (Right Click->Goto-Alarm Summary) and from the Point Goto Dialog Box.

Power Users, General Users and the admin account can view the Alarm Summary through a Web Browser. (Restricted users cannot view the Alarm Summary through a Web Browser). All users can view the Alarm Summary locally on the SCADA node using ViewDAQ.

If there are multiple alarms for a Tag (e.g. High and High Deviation), the Higher Priority Alarm appears. There is an Alarm Precedence: 1) Hi-Hi and Lo-Low 2) Hi and Lo, 3) ROC and lowest 4)Deviation Alarms. Alarm Ack only acknowledges the displayed alarm. If there are multiple alarms for a tag, the next Alarm will appear immediately after the Alarm Ack.

The Alarm Summary is a pre-built template display supplied with Web Access. It can be customized by engineers and technicians using DRAW. How your Alarm Summary Colors, Flashing, Fonts, behave may vary based on how (or if) the Almsum.Bxx (and Almsum.dxx) on your system is modified.

Acknowledge All

Pressing the Acknowledge All button will acknowledge all active alarms on the SCADA node.

If a tag's current value has triggered multiple alarms (for example, low-low and low alarms) then the next lower priority alarm will appear.

Acknowledge Screen

Pressing the Acknowledge Screen button will acknowledge all active alarms Displayed on the screen.

If there are more than 17 alarms (i.e. the number that will fit in the Alarm Summary) only the first 17 alarms will be acknowledged. The user must use the Scroll Down (or Scroll UP) buttons to view additional Alarms, which will be unacknowledged.

Similarly, if the Alarm Filter is enabled, only the displayed alarms will be acknowledged.

Acknowledge Tag

Pressing the Acknowledge Tag button will acknowledge only the selected tag. To acknowledge only one tag on the Alarm Summary:

1. Click on the Tagname (or anywhere on that line)

2. Click Acknowledge Tag

Acknowledge Group

Pressing the Acknowledge Group pushbutton will acknowledge all active Alarms in the Alarm Group of the Selected Tag. See Alarm Groups for information about building Alarm Groups.

Filtered # of Alarms

Indicates the total number of alarms in the Alarm Summary display after the Alarm Filter has been applied.

For example, if Alarm Priority 5 alarms are filtered, and there are 10 Alarms with a priority of 5, then the
Total Number of Alarms = Filtered # of Alarms + 10

See also, Alarm Filter.

Total Number of Alarms

Indicates the total number of alarms on the SCADA node, ignoring any Alarm Filter.


7.5.1 Alarm Filter

From the Alarm Summary Display, the Alarm Filter or Advanced Options pushbutton allows users to hide alarms from view (i.e. filter-out unwanted alarms).

Figure 7.2 Disable Options: hide alarms on Alarm Summary

A dialog Box opens (Alarm Summary Disable Options). The user selects the Priority of the Alarms to be filtered-out (i.e. hidden). The user can also select to hide Unacknowledged or Acknowledged alarms be filtered ( i.e. removed from the Alarm Summary Display) and alarms from other nodes (remote).

Note – This Disable Option/ Filter applies only to your Client and this Display. Other nodes are not affected. Other Windows on this same node are unaffected by this Filter function. If you open another foreground task on this same node, the alarm summary will show all alarms in the system. Using this function on the SCADA node will not suppress the alarms display on other nodes. If you leave the display and comeback, all priorities are listed on the Alarm Summary

To disable an alarm on all nodes, use the Tag field . ALMED (e.g. tagname.ALAMED). This can be accessed from the Point Detail display for the Tag or an Alarm Group.

See also Alarm Sorting.


7.5.2 Alarm Sorting

From the Alarm Summary Display, the SORT alarm field indicates how alarms are sorted: by Time (default), Name, Priority, Acknowledge Status and Alarm Group.

Figure 7.3 Alarms Sorted By

Clicking the square button next to each sort method will change the sort criteria.

This allows users and operators to quickly identify the Highest Priority Alarm, find an alarm by Tagname or other criteria. If the Alarm Filter is enable, those tags will be hidden from this sorted list.

Leaving the Alarm Summary, then returning will result in the sort by Time (the default value).

See also, Alarm Filter.


7.6 Alarm Log Display

The Alarm Log is a historical record of all alarms. In contrast, the Alarm Summary shows only Current Alarms and Unacknowledged Alarms. Each time an Alarm occurs, a line is entered in the Alarm Log describing the alarm. Three lines are printed for a Text Type tag in Alarm. Acknowledgement by the operator is also recorded. This is similar to Alarm Printers in control rooms, except alarms are written to a text file.

Figure 7.4Alarm Log

The Alarm Log Display can be viewed from the Toolbar icon [image] or Ctrl+F8 function key or a pushbutton with the <GOTO>ALARMLOG keymacro. The Right-Click Menu can also call up the Action Log (Right Click -> Goto -> Alarm Log).

Only Power Users and the admin account can view the Alarm Log through a Web Browser. (General Users and Restricted users cannot view the Alarm Log through a Web Browser). All users can view the Alarm Log locally on the SCADA node using ViewDAQ.

Optionally, you can also Alarm Log to Printer. As each alarm occurs, a line is printed on the printer for each Analog and Discrete Alarm. Text-type tags do not alarm. Acknowledgement by the operator or user is also recorded. See Alarm Log To Printer for more information.

The last 10,000 alarms are shown on the Alarm Log Display. The last 5000 are written to the Text file on the hard drive of the SCADA node. When the 5001 alarm occurs, the oldest alarm entry is overwritten in the text file. Similarly, when the 10,001th alarm occurs, the oldest alarm in the Alarm Log Display is over-written. Restarting the SCADA node or a Client empties the Alarm Log, which is then refreshed with the last 5000 alarms logged to the Hard Drive.

If you need more than the last 10,000 alarms recorded to hard drive, optionally, you can record the Alarm Log to an ODBC Database. As part of software installation, Advantech WebAccess creates an Access Database on the Project Node. All Alarms can be recorded to the Database from all SCADA nodes in your system to provide a centralized Alarm Log. See Alarm Log To ODBC Database for more information.

The Alarm Log is a pre-built template display supplied with Web Access. It can be customized by engineers and technicians using DRAW. How your Alarm Log appears (colors, Fonts, etc.) and behaves may vary based on how (or if) the Almlog.Bxx (and Almlog.dxx) on your system is modified.


7.6.1 Print the Alarm Log - by request

The Alarm Log and Action Log are easy to print. There is even an automatic feature.

To Print Part of the Alarm Log or Action by user command:

1. From Alarm Log Display Click on a Starting Record.

2. Click on "Begin Mark" button at bottom of display

3. Select an ending record

4. Click on the "End Mark" button at bottom of display.

5. Click on Print Marked Log

6. The Notepad opens with the Selected Alarm Log.

7. Try Format -> Word-Wrap to see contents in different form.

8. Select File ->Print from Notepad menu bar

9. Select the desired printer. Press OK.

To Print the entire Alarm Log by user command

1. From Alarm Log or Action Log Display Click on a Starting Record

2. Click on Print Entire Log

3. The Notepad opens with the Selected Alarm Log.

4. Try Format -> Word Wrap to see contents in different form.

5. Select File ->Print from Notepad menu bar

6. Select the desired printer. Press OK.

.


7.7 Alarm Groups

An Alarm Group is typically a process unit in a multi-process plant.

An Alarm Group Display summarizes alarm events for a fixed and limited number of tags (100 tags maximum in an Alarm Group, up to 9999 Alarm Groups). In contrast, the Alarm Summary displays all active and unacknowledged alarms in reversed chronological order.

Alarm Groups can be configured in any logical arrangement. These are user configurable.

The information provided for each tag includes the alarm priority, date and time of the alarm, alarm type, Alarm Limit, value, and status of the alarm.

The Alarm Group Displays use a pre-built template display. Alarm Groups are easily configured, by typing the Tagname in a list. Alarming does not need to be enabled to add a tag to an alarm group.

Alarm Disable/Enable pushbutton is provided on the Alarm Group. This is intended to allow a operators to Disable Alarms for a Unit that is shutdown or out of service, thereby eliminating nuisance alarms.

The Alarm Group List is a Popup Dialog Box showing all configured Alarm

Groups.

The Alarm Group List can be viewed from the Toolbar icon [image] or F6 function key or a pushbutton with the <DIALOG>ALMGROUP keymacro.

The Alarm Group List can also be called using the Right-Click Menu
(Right Click->Goto->Alarm Group)

and from the Point Goto Dialog Box. An alarm group can be called directly from a Pushbutton with the <GOTO>ALMGROUP=group number keymacro.

Power Users, General Users and the admin account can view Alarm Groups through a Web Browser. (Restricted users cannot view Alarm Groups through a Web Browser). All users can view Alarm Groups locally on the SCADA node using ViewDAQ.

The Alarm Group Display is a pre-built template display supplied with Web Access. It can be customized by engineers and technicians using DRAW. How your Alarm Group Colors, Flashing, Fonts, etc. behave may vary based on how (or if) the Almgrp.Bxx (and Almgrp.dxx) on your system is modified.

Figure 7.5 Alarm Group

Alarm E/D

Pressing the Alarm Enable /Disable pushbutton will disable alarming for the selected tag (temporarily).

The alarming will be disabled until the Alarm E/D pushbutton is presses again, the .ALMED tag field is changed or the SCADA node Restarts.

To Disable or Enable Alarming for a Tag from the Alarm Group Display:

1. Select the Tagname (or anywhere on the same line)

2. Select ALARM E/D pushbutton.

Acknowledge Screen

Pressing the Acknowledge Screen button will acknowledge all active alarms Displayed on the screen.

If there are more than 17 alarms (i.e. the number that will fit in the Alarm Group Display at one time), only the first 17 alarms will be acknowledged. The user must use the Scroll Down (or Scroll UP) buttons to view additional Alarms, which will be unacknowledged.

Acknowledge Tag

Pressing the Acknowledge Tag button will acknowledge only the selected tag. To acknowledge only one tag on the Alarm Group:

1. Click on the Tagname (or anywhere on that line)

2. Click Acknowledge Tag

Acknowledge Group

Pressing the Acknowledge Group pushbutton will acknowledge all active Alarms in the Alarm Group of the Selected Tag. There can be up to 100 Tags in an Alarm Group.

Group No.

Indicates the Alarm Group Number. There can be an unlimited number of Alarm Groups.

Current Value

Indicates the current value of the selected Tag.

Tag Description

Displays the description of the Selected Tag.


7.7.1 Disable /Enable alarming

Pressing the Alarm Enable /Disable pushbutton will disable alarming for the selected tag (temporarily).

The alarming will be disabled until the Alarm E/D pushbutton is presses again, the .ALMED tag field is changed or the SCADA node Restarts.

To Disable or Enable Alarming for a Tag from the Alarm Group Display:

1. Open the Alarm Group List.

Toolbar Icon [image] OR F6 OR Right Click -> Goto -> Alarm Group

2. Select an Alarm Group.

3. Select the Tagname (or anywhere on the same line).

4. Select ALARM E/D pushbutton.

To Disable or Enable Alarming for a Tag from the Point Info Dialog Box:

1. Open the Point Info Dialog Box

Toolbar icon [image] OR CTRL + F5 on the Keyboard

OR Right Click -> Goto -> Alarm Group

2. Select the Tag from the List

3. Append .ALMED to the Tagname

Figure 7.6 Alarm Disable - Point Info (Tag Browser)

4. Select Change.

5. Enter Login as a user with 127 Security Level.

6. Select DISABLE or ENABLE

Figure 7.7 ALMED tag field change


7.7.2 Add Alarm Group

This section assumes:

· You have already created the BLOCKS and TAGS you plan to add to your Alarm Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build. You can also select Blocks and Tags from the Pull Down List.

· This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project.

4. Select the SCADA Node.

5. The SCADA Node Main page opens.

Figure 7-8 Alarm Group - Project Manager

6. Select Alarm Group.

The Alarm Group List Page appears.

Figure 7-9 Alarm Group List - Project Manager

7. Select Add Alarm Group.

8. The Create Alarm Group page appears (Figure 7-10).

9. Enter a Unique Group Number (between 1 and 9999). This is how the Group will be ordered in the Alarm Group Dialog Box in VIEW and identified to Operators and Users.

10. Enter a Description for the group. This will appear in the Alarm Group Dialog Box Dialog Box seen by users and operators in VIEW.

11. Select the field next to Tag Name 1.

12. Open the Pull down list by clicking on Tag List (). This shows the names of all Analog Tags and Discrete Tags.

13. Scroll down the Tag List. Click the Tagname desired. The Tagname should appear on the Tag Name 1 field.

14. Repeat for Tag Name 2 to 12.

15. You can Type Tag names and Blocks (BLOCK:PARAMETERs). You can also copy and paste Tag Names and Block Names from the Left Frame of your browser.

16. Click Submit when you are finished.

17. There are two ways to download these changes to the SCADA Node:

17a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

17b. Use the Download hyperlink on the Alarm Group List Page (figure 7.9 above). This will download changes to the Alarm Groups without stopping the SCADA node.


7.7.3 Update an Alarm Group

This section assumes you have already created the BLOCKS and TAGS you plan to add to your Real Time Group Displays. You can type in the Tag Names and Block Names of tags and blocks you plan to build.

This section assumes you have started Internet Explorer Web Browser and connected to your Project Node.

1. Start Advantech WebAccess Configuration.

2. Login with User Name and Password.

3. Select your Project Name.

4. Select The SCADA Node.

The SCADA Node Main page opens.

5. Select Alarm Group (Figure 7-8).

6. The Alarm Group List Page appears (Figure 7-9).

7. Select Update for the Group you want to modify.

8. The Update Alarm Group page opens (Figure 7-10).

Figure 7-10 Update Alarm Group

9. Select the Tag field to update (Tag Name 1, Tag Name 2, Tag Name 3, etc.).

10. Open the Pull down list by clicking on Tag List. This shows the names of all Analog Tags and Discrete Tags.

11. Scroll down the Tag List. Click the Tagname desired. The Tagname should appear on the Tag Name 1 field.

12. Repeat for Tag Name 2 to 12.

13. You can Type Tag names and Blocks (BLOCK:PARAMETERs). You can also copy and paste Tag Names and Block Names from the Left Frame of your browser.

14. Press Submit when finished making changes to the Alarm Group.

15. There are two ways to download these changes to the SCADA Node:

15a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

15b. Use the Download hyperlink on the Alarm Group List Page (figure 7.9). This will download changes to the Alarm Groups without stopping the SCADA node.


7.8 Alarm Graphic

Alarm Graphic can be assigned for each tag in the system to help operators quickly find the appropriate display and correct the alarm. Engineers and technicians assign the alarm graphic during configuration of a tag.

Using the GOTO ALARM GRAPH keymacro or the Alarm Graph button on the Alarm Summary Display will call up the alarm graphic. It is typically used to allow an operator to jump from the Alarm Summary display to a graphic relevant to the alarm. The Alarm Graphic can be any user-built graphic display. The tag must be in the Alarm State for the GOTO Alarm Graph function to work

Graphic names can have any length. EXCEPT the Alarm Graphic is limited to 8 characters.


7.8.1 GOTO ALARM GRAPH

Pushbutton Keymacro

To hard code a connection to a tag use:<GOTO>ALMGRAPH=tagname

To make a pushbutton that requires a user to select a tag on a display, then click this pushbutton to call up alarm graph use: <GOTO>ALMGRAPH=@%THILITAG

The Alarm Summary Display uses this keymacro to go to the alarm listed first in the alarm summary:
<GOTO>ALMGRAPH=@%TLV(%TALMSUM4 0 %AALMSUMH)

Script Action Command

GOTOALMGRA


7.9 Alarm Acknowledgement - ACK

The user can ACKNOWLEDGE alarms from the Alarm summary, any user-built graphic, the Point Info Dialog Box (Tag Browser), and any Block or Point Detail Display. Scripts and External programs can also Acknowledge Alarms.

Alarm Acknowledgement can be done for a Single Tag, Single Display, a single Group or entire SCADA node.

If there are multiple alarms for a Tag (e.g. High and High Deviation), the Higher Priority Alarm appears. There is an Alarm Precedence: 1) Hi-Hi and Lo-Low 2) Hi and Lo, 3) ROC and lowest 4) Deviation Alarms. Alarm Ack only acknowledges the displayed alarm. If there are multiple alarms for a tag, the next Alarm will appear immediately after the Alarm Ack.

Acknowledge All

Pressing the Acknowledge All button will acknowledge all active alarms on the SCADA node.

If a tag's current value has triggered multiple alarms (for example, low-low and low alarms) then the next lower priority alarm will appear.

Acknowledge Screen

Pressing the Acknowledge Screen button will acknowledge all active alarms Displayed on the screen.

Acknowledge Tag

Pressing the Acknowledge Tag button will acknowledge only the selected tag. To acknowledge only one tag on the Alarm Summary:

1. Click on the Tagname (or anywhere on that line)

2. Click Acknowledge Tag

Acknowledge Group

Pressing the Acknowledge Group pushbutton will acknowledge all active Alarms in the Alarm Group of the Selected Tag. See Alarm Groups for information about building Alarm Groups.


7.9.1 Alarm Ack Toolbar button

Advantech WebAccess comes with pre-built Toolbar buttons that are displayed by default. A user can suppress Toolbar using Display Groups or View Property or bwViewpg.asp options.

The [image] icon on the Toolbar will Acknowledge All alarms on the display. This is this is the <CTL_F1> keymacro. This appears on all default display Toolbars.

The [image] icon on the Toolbar will Acknowledge a single tag currently selected on the display. This is this is the <CTL_F2> keymacro. This appears on all default display Toolbars.

Engineers can modify the toolbar to show Text or another Icon.


7.9.2 Alarm Ack Pushbutton Keymacro

Keymacros used to Acknowledge Alarms Are

<CTL_F1> will Acknowledge all alarms on the display.

<CTL_F2> will acknowledge the currently selected Tag

<ALMACK> will Acknowledge All alarms on the SCADA node.

<ALMACKS>tagname will alarm the tagname specified.

<ALMACKS>@%THILITAG will acknowledge current Tag selected by a user.

<ALMACKS>@%TALMSUM4 @%AALMSUMP 17 will acknowledge all alarms shown on the Alarm Summary.


7.9.3 Alarm Ack from Keyboard and Touch Panel

CTL + F1 will acknowledge all alarms on the Display (i.e. in the current Graphic Display shown in VIEW or ViewDAQ).

CTL + F2 will acknowledge the currently selected Tag.


7.9.4 Alarm Ack from Menu and Right-Click Menu

In VIEW

The Right Click Menu in Web Browser VIEW, ensures Alarm Acknowledgment from every user-built Display that has an active alarm.

Figure 7.11 Acknowledge Alarms - Right-Click -> Edit

Right Click -> Edit -> Acknowledge Screen

Right Click -> Edit -> Acknowledge Point

A tag must be selected for Acknowledge Point.

Note – Alarm Acknowledgement from the Right-Click Edit Menu is disabled for the Alarm Summary, Alarm Groups, Trend Displays and other system displays.

In ViewDAQ

The Edit Menu in ViewDAQ on the local SCADA node ensures Alarm Acknowledgment from every Display that has an active alarm.

Figure 7.12 Acknowledge Alarms - menu bar Edit

Right Click -> Edit -> Acknowledge Screen

Right Click -> Edit -> Acknowledge Point

A tag must be selected for Acknowledge Point.

Note – Alarm Acknowledgement from the Edit Menu is disabled for the Alarm Summary, Alarm Groups, Trend Displays and other system displays.


7.9.5 Reply Email to Acknowledge Alarms

7.9.4 Reply Email to Acknowledge Alarms

Email notification of Alarms is a standard feature in Advantech WebAccess. No third party software is required. Tags can be individually selected to generate an email, assigned recipient email address or use global email recipients. Alarms can be acknowledged via a reply email.

Pager and Wireless PCS Alarm messaging

Pagers, wireless PCS and Cell Phones that can receive text messages can also be used for notification of Alarms and events. No third party software is required. Tags can be individually selected to generate an email message to a specific recipient address or use global recipients. The pager or wireless PCS must be able receive emails (a standard feature with Skytel and most Pager services).

Reply Email to Acknowledge Alarms

The Alarm Notification Email can contain a message to enable a reply email to acknowledge the alarms.

An Incoming Email Server (POP3 server), account name and password must be configured for the SCADA Node Properties to retrieve the incoming emails. Reply Alarm Email to Ack must also be enabled on the SCADA Node.

The default Alarm email is of the following form:

From: scadanode1@cwo.com [mailto:scadanode1@cwo.com]

Sent: Saturday, January 25, 2003 6:05 PM

To: Tom Carter

Subject: compressorrpm - Low-Low Alarm

Low-Low Alarm (0.00)

KMC RTU11 compressor speed

%ack_begin_LiveDemo_SCADAnode1_67.94.27.175%

compressorrpm

%ack_end%

The Alarm Acknowledgement is of the following form

%ack_begin_Projectname_Nodename_NodeAddress%

tagname

%ack_end%

.


7.10 Status Bar Alarms

There are four (4) Alarm windows in Status Bar at the base of all displays.

Figure 7.13 Status Bar Alarms

V P C A - Verification Alarm (recipe), Primary/Backup SCADA node status/alarm, Tag Alarm, Communication Alarm and the Tagname of the most recent Alarm.

V - is a Verification Error associated with Recipes. This will appear only if you are viewing a Recipe Display and there is a mismatch between a recipe Preset Value and the corresponding Tag's value. If you are not viewing a Recipe Display, this window is Blank (no V).

P - connected to Primary SCADA node and the status for a Redundant SCADA Node pair. If you do not have a redundant SCADA node, this Window is Blank. On the Backup SCADA node the letter "B" appears. A black P is normal (both Primary and Backup SCADA nodes are okay. A red P that is steady is Backup not synchronized. A red flashing P is Backup Node off line. Similar colors appear on the Backup SCADA node, with the letter B, and analogous meaning.

B - connected to backup SCADA node status for a Redundant SCADA Node pair. If you do not have a redundant SCADA node, this Window is Blank. On the Backup SCADA node the letter "B" appears normally. A black B is normal (both Primary and Backup SCADA nodes are okay. A red B that is steady is Backup not synchronized. A red flashing B is Primary Node is off line. Similar colors appear on the Backup SCADA node, with the letter B, and analogous meaning.

1, 2, 3 …. - Communications status. Red flashing red number (1 , 2 , 3 , 4 …) is Communications failure, but Advantech WebAccess will retry. Red steady number is a Disabled Comport or Device (i.e. disabled by a User or Operator).

A - Alarm. This is an Alarm in a Tag. Steady red A is all alarms acknowledged. Flashing Red A is an unacknowledged Alarm.

TAG - The Tagname of the most recent active alarm appears next. A flashing red tagname is an unacknowledged Alarm. A black Tagname is an active, acknowledged alarm.

You can hide the Status Bar using Display Groups (in ViewDAQ) or in Web Browser Clients using View Property or bwViewpg.asp with options. Hiding the Status Bar would hide these Alarm Windows.


7.11 Alarm Tag Fields

Tag Fields describe the attributes of each tag, for Alarm Limits, Alarm state and many more. Tag Fields are available for all tags and all parameters of blocks.

Some Tag Fields represent values set during tag configuration and allow on-line changes (i.e. changing Alarm Limits on-line from VIEW without using the Project Manager). Tag fields require an Administrators Access Level (level 127) in order to change them.

Some Tag Fields are set by the Advantech WebAccess SCADA node software (for example, the Alarm Status). Users or administrators cannot change these read-only tag fields. The read/write character is described for each tag fields in the Tag Field section 4.8 Tag Fields. Hyperlinks Links to Alarm related Tag fields are listed below with brief description.

In addition to reading and writing the values of tags in the Advantech WebAccess, you can also access the Tag Fields in the Point Info Dialog Box or Graphic Displays. Enter the Tag name followed by a periods (.) then the Tag Field. For example, FI2003.ALMHI will give the High Alarm Limit for the tag.

Figure 7.14High Alarm Limit (ALMHI) - Point Info (tag browser)

Users, keymacros and scripts can modify Tag Fields to enable and disable Alarming, modify Alarm Limits and other Alarm attributes of a Tag on-line in run-time mode (VIEW).

The Tag Fields associated with Alarms are:

.ADVDBP - Deviation Alarm Deadband Percent

.ADVDBV - Deviation Alarms Deadband in Absolute Value

.ADVHI - High Deviation Alarm Limit

.ADVLO - Low Deviation Alarm Limit

.ALMCK - Alarm Checking describes if Alarming is enabled, disabled or not configured for the tag.

.ALMDBP - High Low Alarm Deadband in Percent of Full Scale.

.ALMDBV - High Low Alarm Deadband in Absolute Value.

.ALMDT - Alarm Date. The Date of the current alarm.

.ALMED - Alarm ENABLE / DISABLE used to temporarily enable or disable alarming for the tag.

.ALMGP - Alarm Group.

.ALMHH - High-High Alarm Limit

.ALMHI - High Alarm Limit.

.ALMLL - Low-Low Alarm Limit.

.ALMLO - Low Alarm Limit.

.ALMNM - Alarm Name describes type of Alarm in text. Similar to ALMTP.

.ALMROC - Rate of Change Alarm is the amount a tag must change between scans that is considered too large. The ROC alarm is in Percent of SPAN.

.ALMST - Alarm State of the Tag

0 = NO ALARM

1 = UNACKNOWLEDGED ALARM

2= ACKNOWLEDGED ALARM

.ALMTM - Alarm Time. The Time of the current alarm

.ALMTP - Alarm Type describes type of Alarm as an integer between 0 and 8. Similar to ALMNM.

.APRDIG - Alarm Priority of Digital Tag (Discrete Tag)

.APRHDV - High Deviation Alarm Priority

.APRHH -High High Alarm Priority

.APRHI - High Alarm Priority

.APRLDV - Low Deviation Alarm Priority

.APRLL - Low Low Alarm Priority

.APRLO - Low Alarm Priority

.APRROC - Rate of Change Alarm Priority


7.12 Alarm System Tags

System Tags provide diagnostics, facilitate display management and provide information to custom displays and scripts. For example, there are system tags for Active Alarms, First Alarm listed in Alarm Summary and last tag picked by operator. See 4.9%DAQ system Tags for more information about %DAQ system Tags.

The System Tags associated with alarms are:

%AALMGLOBAL - Global Alarm Status (number)

%AALMGLOBAL(priority) - Alarm Status of specified alarm priority (number)

%AALMGLOBALN - Global Number of Alarms

%ASQLCODE - SQL Error in a Script (SQL is used to Query Databases)

%DBAD(tag) - Good /Bad Status of specified tag

%DCOMST(comport number) - Status of specified Communications Port.

%DKRLMODE - Communications Mode or Simulation Mode of Kernel

%TALMGLOBAL - Global Alarm Status (text)

%TALMGLOBAL(priority) - Alarm Status of specified alarm priority (text)

%TALMLAST - Tagname of most recent Alarm

%TALMLASTU - Tagname of most recent unacknowledged Alarm

%TCOMST(comport number) - Status of specified Communications Port

%TKRLMODE - Communications Mode or Simulation Mode of Kernel


7.13 Alarm Monitoring by DDE clients

7.13 Alarm Monitoring by DDE clients(Not supported by WinCE Edition(WebView &WebLink ))

A Advantech WebAccess DDE Server allows 3rd Party Software packages to monitor and Acknowledge alarms. Typical applications include pagers and telephone alarm monitoring.

Applications typically access a DDE Server using the following convention:

=application|topic!item

= bwddexe|topic!tagname

Advantech WebAccess Server's application name: bwddexe

Advantech WebAccess Server's topic: topic

Advantech WebAccess Server's item: tagname

Tagname is the Tag you want, for example TIC101, ZT-106, speed, etc.

The DDE Client application must have access to the Advantech WebAccess SCADA node: the DDE Client application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.


7.13.1.1 Read a Advantech WebAccess DDE Server Tag from a DDE client

7.13.1.1 Read a Advantech WebAccess DDE Server Tag from a DDE client(Not supported by WinCE Edition(WebView &WebLink ))

=bwddexe|topic!tagname

=bwddexe|topic!tagname.field

=bwddexe|topic!BLOCK:PARAMETER

=bwddexe|topic!BLOCK:PARAMETER.field

For example,

To read the value of the tag named speed: =bwddexe|topic!SPEED.NAME

To read the Description of a tag name speed: =bwddexe|topic!SPEED.DESC

To read the ALARM STATE of speed: =bwddexe|topic!SPEED.ALMST

.ALMST - Alarm State of the Tag

0 = NO ALARM

1 = UNACKNOWLEDGED ALARM

2= ACKNOWLEDGED ALARM

By choosing the appropriate Alarm Field, you can monitor the Alarm State and Alarm Limits of the Tag.


7.14 Email Notification of Alarms

Email notification of Alarms is a standard feature in Advantech WebAccess. No third party software is required. Tags can be individually selected to generate an email, assigned recipient email address or use global email recipients. Alarms can be acknowledged via a reply email.

Advantech WebAccess uses an SMTP Server to send Emails. The default is to use and SMTP (Simple Mail Transfer Protocol) installed as part of IIS on the Project Node. During node software installation, a SMART HOST is specified that allows the SMTP server on the Project Node to forward emails outside its domain.

The SMTP Server name is specified as the Outgoing Email Server part of SCADA Node Properties.

It is recommended to use the Project Node as the Outgoing Email server for all SCADA Nodes and configure the SMTP service on the Project Node to use your company's Email Server as a SMART HOST.

Pager and Wireless PCS Alarm messaging

Pagers, wireless PCS and Cell Phones that can receive text messages can also be used for notification of Alarms and events. No third party software is required. Tags can be individually selected to generate an email message to a specific recipient address or use global recipients. The pager or wireless PCS must be able receive emails (a standard feature with Skytel and most Pager services).

Schedule Alarm Email recipients by Shift, Day of Week, and Holidays

The scheduler can schedule different email recipients based on Time of day, shift, Day of Week, and Holiday schedules.

Reply Email to Acknowledge Alarms

The Alarm Notification Email can contain a message to enable a reply email to acknowledge the alarms.

An Incoming Email Server (POP3 server), account name and password must be configured for the SCADA Node Properties to retrieve the incoming emails. Reply Alarm Email to Ack must also be enabled on the SCADA Node.

The default Alarm email is of the following form:

From: scadanode1@cwo.com [mailto:scadanode1@cwo.com]

Sent: Saturday, January 25, 2003 6:05 PM

To: Tom Carter

Subject: compressorrpm - Low-Low Alarm

Low-Low Alarm (0.00)

KMC RTU11 compressor speed

%ack_begin_LiveDemo_SCADAnode1_67.94.27.175%

compressorrpm

%ack_end%

The Alarm Acknowledgement is of the following form

%ack_begin_Projectname_Nodename_NodeAddress%

tagname

%ack_end%


7.15 Text to Speech Alarm Annunciation

Text-to-Speech technology Annunciates alarms locally on the SCADA node and on a web-browser Client connected to that SCADA node.

A choice of male and female voices reads the Tag name, Description, Alarm Type, Alarm Limit and Alarm Value. No recording is required by the user.

A sound card and speaker is required.

There are multiple voices: Microsoft Mike, Microsoft Mary, Mike for Telephone, Adult Male American English 1, etc. Nine are supplied standard with Advantech WebAccess SCADA node software. Any Microsoft supplied voice can be used that you download from Microsoft or install from a Microsoft CD.

The Text-to-Speech annunciator will announce Alarms on the local SCADA Node even if ViewDAQ is closed or minimized, as long as the SCADA node is running. The web Browser must be connected to the SCADA node for the Voice to annunciate on a Client.

The Alarm Voice annunciates the Alarm only once when it occurs. It does not repeat if the Alarm remains unacknowledged.

Hint - Use a Global Script to play a Wave or MIDI or other MCI file to repeat Alarm Annunciation if Alarms remain Unacknowledged. See 12.10.20 Play a Wave File if UNACK Alarm (Global Script).

There are three required files for the USA version (other languages may require more):

  1. tv_enua.exe

  2. spchapi.exe

  3. Speech.msi

These files are installed automatically with the SCADA Node Software.

The Text to Alarm software must be installed on the Client manually. You can get these files from the Advantech WebAccess CD-ROM. Alternatively, these files can be copied from a SCADA Node from drive:\WebAccess\Node\Speech. The Plug-in does not install these files.

An Alarm Voice must be chosen in SCADA Node Properties to enable Text-to-Speech Alarm Annunciation.

Alarms must be enabled for the Tag and Play Voice must be specified for the Analog Tag Alarm Properties or Discrete Tag Alarm Properties.


7.16 Play Media File (wav, mid, mp3) for Alarm Annunciation

A pre-recorded message is required using .wav, .mid, .mp3, or other media format. You can record the message yourself or copy them from the Internet. A sound card and speaker is required on the SCADA node and Clients. Software to play the media file is also required on the SCADA Node and Clients (e.g. windows media, real player, etc.).

The media files should be copied to drive:\WebAccess\config\Node\project_node on the Project Node. They will be downloaded to the SCADA nodes and from SCADA nodes to Clients by Advantech WebAccess network service.

You can specify a separate Media file for each alarm.

The Media File is played only once when the Alarm occurs. It does not repeat if the Alarm remains unacknowledged.

Hint - Use a Global Script to play a Wave or MIDI or other MCI file to repeat Alarm Annunciation if Alarms remain Unacknowledged. See 12.10.20 Play a Wave File if UNACK Alarm (Global Script).

Alarms must be enabled for the Tag. A Media File must be specified for the Analog Tag Alarm Properties or Discrete Tag Alarm Properties.


7.17 Alarm triggered Scripts

To define script files to be run once when tags in alarm state, the script file name is added to Media File field of in the Alarm section of the Tag property page. Please use the pipe symbol “|” (Shift-\) to separate media files and/or script files. If there is no media file or a single script, then just enter the script file name (include the file extension, .scr, .js, .vbs, .jse, .vbe). Script files in TCL, JScript, VBScript, JScript encoded, or VBScript encoded formats are all supported.

To run a script as a local screen script, pre-append the file name with local!. For example, local! mediascript.vbs

The local script file, mediascript.vbs, will also be run once as a local script inside the first available ViewDAQ, if any, on the SCADA node and inside the first available View client on each computer connecting to the SCADA node. If the local! option is not specified , the script file will be run once as a global script inside the global script engine on the SCADA node when tag is in the alarm state the script is associated with.

Please note that the script will block execution flow of ViewDAQ/View client or global script engine. Therefore, please make sure the scripts exit as soon as possible.

See Also, 4.2.31.3.1 Media File (Analog Tag Alarm Properties), 4.3.24.5.1 Media File (Discrete Tag Alarm Properties) and 12. Scripts.

The DAQ Tag, %TALMTRIGGER. This allows scripts to retrieve the tag name that triggered the alarm script. %TALMTRIGGER is valid only in the script that is triggered by alarm. Otherwise, it will return an empty string.


7.18 Alarm Management System

WebAccess advanced Alarm Management System (AMS) delivers alarm messages via

SMS, email or audio announcements to multiple receivers by predefined alarm groups, user

groups, time schedules and priority settings.

Note: WebAccess Alarm Management System is an optional function. The user has to buy the optional license.

Figure 7.18.1 Tool bar

Alarm Management System Configuration:

  1. Define Holidays：Holiday handles exceptions to the 7 day weekly schedule. The "Holiday" is any unusual event or series of events. The Holiday setting can be defined, redefined and assigned at any time.

  2. Define Time：Time has Workday and Holiday settings. Users can set the Working Start Time and Work hours for a Workday and Holiday schedule. Users can also define Time groups for different shifts.

  3. Worker Maintenance：Assign worker information, like name, e-mail and phone number. Users can maintain the information.

  4. Setup Worker Group：One or multiple workers, a single Time group and a Holiday group are assigned to each Worker Group. Worker Groups are groups of Workers that frequently share the same Time and Holiday Schedule to send an alarm to.

  5. Alarm Group：Alarm Groups will build "Tags" that will always share the same Schedule to send the alarm.

  6. Add Relationship：Connects the Worker Group and Alarm Group to share the same schedule with alarm tags to workers.

  7. Download：Download the setting to the SCADA node. You can download the setting without stopping the SCADA node. The new setting will take effect immediately. If a tag is supposed to be ON, it will be set to the ON value.

Project users can add, modify and Download Alarm Management System from the Project Manager.


7.18.1 Holiday

Holiday can be used for any calendar event or series of events, based on the Month, Day of Month and Year, up to 1 year in the future. Multiple holiday schedules can be configured and assigned to different groups of tags.

It’s typically used is to create "Holiday" groups to have an "exception" to the normal weekday schedule. A Holiday Schedule can be created for any calendar event, not just holidays that are based on the Day, Month and Year.

Figure 7.18.1.1 Holiday configuration - Alarm Management System

Holidays and exceptions to normal schedules are shown in RED. Click once on a date to add or remove it as a "holiday".

  • Group List ： A List of all configured Holidays.

  • Sort By：Changes how Holiday Groups are sorted in the Group List: by Name or Number.

    • Group Number：In the Group list, the Group Name is shown next to the Group Number.

    • Group Name：In the Group list, the Group Number is shown next to the Group Name.

  • Group Number： A user defined number for the Holiday Schedule.

    • Entering a New number, not already specified, will create a new Holiday Group

    • Entering a number of an existing group will try to over-write or update that Holiday Group.

  • Group Name：The user defined Name for this Holiday Schedule.

  • Save ：Save without downloading the currently displayed Holiday Group, as the group number specified in Group Number.

    • If that Group number does not already exist, this will create a new Holiday Schedule.

    • If that group number does exist, it will try to over-write the existing group with this Holiday Schedule and description.

  • Delete： Delete the specified Holiday group, specified by the Group Number.

Each Worker Group has one Holiday Group assigned to it. This Holiday Schedule becomes the "exception" to the normal weekday schedule defined in each Worker Group. The same Holiday Group can be assigned to multiple Worker Groups.


7.18.2 Time

Time defines the Work start time and Working hours for Workdays and Holidays. Users can define the Time group for different shifts. The same Time Schedule can be assigned to multiple Worker Groups.

Users can define different work times and hours for each Time Group to assign the alarm message to different Worker Groups based on the Time scheduler. The alarm tags will be managed and workers can immediately check the situation.

Users can build an unlimited number of Time Groups. For example, if you have multiple shift table for workers, they may each have their own Time Group. It's probably best to start out with one or two Time Schedules; then as you find exceptions, create new Time Group as needed.

Figure 7.18.2 Time configuration - Alarm Management System

  • Group List ： A list of all configured Times.

  • Sort By：Changes how Time Groups are sorted in the Group List: by Name or Number.

    • Group Number：In the Group list, the Group Name is shown next to the Group Number.

    • Group Name：In the Group list, the Group Number is shown next to the Group Name.

  • Group Number： User defined numbers for the Time Schedule.

    • Entering a New number, not already specified, will create a new Time Group

    • Entering a number of an existing group will try to over-write or update that Time Group.

  • Group Name：A user defined Name for this Holiday Schedule.

  • Time Period：Sets Work Start Time and Work Hours for Workday and Holiday

      • Work Start Time：Provides Time span every five minutes from 0:00 to 23:55

      • Work Hours：The unit used is minutes. For example : enter 480 for 8 hours ( 8*60 )

  • Save ：Save without downloading the currently displayed Holiday Group.

    • If the Group number does not already exist, this will create a new Holiday Schedule.

    • If the group number does exist, it will over-write the existing group with this Holiday Schedule and description.

  • Delete： Delete specified Holiday group, specified in Group Number.


7.18.3 Worker Maintenance

Worker Maintenance builds workers information, such as name, e-mail and phone number. Users can maintain the information. The worker will be assigned to the Worker Group with the same Holiday and Time Group.

Add Worker：Build the worker information

  • Number：The number of the Worker. The worker list will list follow the number after submitting.

  • Name：The name of the worker

  • Phone number：The worker’s phone number

  • E-mail：The worker’s e-mail address

  • Submit：Save the information of the worker

  • Cancel：Cancels the building of the worker information and returns to the Worker List.

Users can Update and Delete the worker on Worker List page.

  • Update：Update the information

  • Delete：Delete the data of the worker


7.18.4 Set Worker Group

One or multiple workers, a single Time group and a Holiday group are assigned to each Worker Group. Worker Groups are groups of Workers that frequently share the same Time and Holiday Schedule to send an alarm to.

Add Worker Group：Add a new Worker Group

  • Group No：The number of the Worker Group. The Worker Group list will follow this number once submitted.

  • Description：The description of the Worker Group

  • Worker List：The worker list provides a pull down menu of Worker names for easy data entry. Click the fields listed under the Worker and then open the Worker List by clicking it. Scroll down to find the Workers name. Click once on the Workers name to enter it into the selected Workers name field.

  • Holiday Group：Lists all Holiday Groups and assigns this Worker Group to the specified Holiday Group.

  • Time Group：Lists all Time Groups and assigns this Worker Group to the specified Time Group.

  • Worker：The column lists the Workers associated with this Worker Group.

  • Submit：S aves the Worker Group. By only entering the Number users can submit the data.

  • Cancel：Canc els the building of the Group and returns to the Worker Group List.

  • Update：Update the information

  • Delete：De letes the data of Worker Group


7.18.5 Setup Alarm Group

The Alarm Group connects to the Worker Group to send alarm messages with the same Holiday and Time Group. The alarm message of one tag can be received by multiple workers.

Click Setup Alarm Group

  • Group Number：The Number of the Alarm Group. The next number in the Alarm Group is automatically assigned once the first is submitted.

  • Description：The description of the Alarm Group

  • Tag List：The Tag List provides a pull down menu of tag names for easy data entry. Click the fields listed under the Tag Name and then open the Tag List by clicking it. Scroll down to find the tag name. Click once on the tag name to enter it into the selected tag name field.

  • Submit：Save the Alarm Group.

  • Cancel：Cancel building the Group and return to the Alarm Group List.

  • Update：Update the information

  • Delete：Delete the data of Alarm Group


7.18.6 Add Relationship

Add Relationship means making the connection between the Worker Group and Alarm Group. The tags in the specified Alarm Group can send alarm messages to multiple receivers in the Worker Group with the specified Time and Holiday Group. Workers can manage the alarm situation of tags via the Time and Holiday schedule.

  • Click Add Relationship to set the connection between the Worker group and Alarm Group

  • Chose the connection of the specified Alarm Group and Worker Group

  • Delete：Delete the data of Alarm Group


7.18.7 Download Schedule from Project Manager

Schedule changes will be downloaded to the SCADA Node without stopping the SCADA node. This can be done from any configuration page in the Alarm Management system.

A dialog box prompts the user to confirm the Download Schedule to SCADA Node. All "submitted" changes made to the scheduler are downloaded.

All Manual ON or Manual OFF states are also downloaded.

To download a change to the SCADA node from Project Manager:

1. Login to Project Manager

2. Select Project and SCADA Node.

3. Select Scheduler from SCADA Node main page.

4. Make the desired change in Holiday, Time, Worker Group, Alarm Group and the Relationship

5. Press the "Submit" button

6. Click to Download to SCADA Node.

Select OK at the prompt to Download Scheduler


8. Users, Passwords & Security

Advantech WebAccess supports the following security features in a web site:

· Anonymous Access - the least secure, but supported for large campuses or other facilities with very large numbers of users

· Windows Integrated Security - A user name and password required to connect to the web sever (project node) to find the address of the SCADA node. This requires Windows Security recognize all users, just to connect. Very secure.

· Firewalls - two TCP ports required for Advantech WebAccess. Any user- defined ports can be used.

· VPN (Virtual Private Networks) - constructs a private network that "tunnels" through the Internet or other network (the most secure).

· Secure Sockets Layer - Server side certificates and Client side certificates.

· Plug-in required to View Data. Restricted distribution of the OCX (Active-X control) will restrict who can see real-time data. The Client Plug-in is required to view real-time data. You can restrict how this is distributed.

· Only Project Node is a Web Sever. SCADA nodes do not need to be Web Servers. The SCADA nodes are the real-time data and run-time nodes. An initial connection to the web server is required only to download an ASP page and a "deploy file" that identifies the address of the SCADA node.

· Advantech WebAccess Security and Passwords. Beyond Windows Security, Web Access provides its own security. Area and Level restrict the ability to change data. User types restrict the ability to view data.

· Restricted Users. These users are limited to viewing only the graphic displays assigned to them. Both the full-animation Client and the Thin Client limit Restricted Users to assigned displays and tags. The ability to acknowledge alarms and change values can also be restricted for each user on an individual display basis.

For an overview of Security, see Security Considerations in Section 1.6.

The following sections describe Advantech WebAccess security. Windows Security is described in the section after Advantech WebAccess security features. Add User and Add a Project User are at the end of this section.


8.1 Overview - Users & Passwords

Users must "Login" using a Username and password to VIEW. All Web Browser Clients must Login to see any graphic displays or data. User names are not case sensitive. Passwords are case-sensitive.

ViewDAQ - The local, non-web browser version, ViewDAQ will start without a user login. Any one with access to the Windows Operating System can use ViewDAQ. Admin, Power, General and Restricted Users can View all Displays and Tags in ViewDAQ. Security Area and Level restrict who can change data in VIEW. Use Windows security to “lock computer” for un-attended operation in ViewDAQ.

All users are assigned a User Type. The user type determines which displays and types of displays a user can View. User type is used to restrict the ability to view data and displays.

The User Types are admin (administrator), project user, user manager, power user, general user and restricted user.

Admin and Project Users can access the Project Manager (the configuration and engineering tool). Admin can access all SCADA Nodes using VIEW (and ViewDAQ). Project Users can not access runtime VIEW unless a second account, with the same name, is created as a Power, General or Restricted User.

Admin, power users, and general users can use VIEW to access all SCADA Nodes in the project and view all displays through a web browser.

Admin and power users can access the Scheduler, Reports, System Log and ODBC Logs through VIEW (the web browser).

Project Users can access the Scheduler, Reports, System Log and ODBC Logs through the Project Manager.

User Managers can add and modify other View Users (i.e. add and modify Power, General and Restricted Users. User Managers can nly login from the “User Management” login button on the Project Manager. The “User Manager” can not login to Advantech WebAccess Configuration (e.g. can not modify SCADA Node properties, Tags or Draw). The “User Manager” can not login to View. The “User Manager” can not modify the admin or Project User accounts.

All users of ViewDAQ (Admin, power, general and restricted users) can use ViewDAQ (the non-web version, local to the SCADA node) to view all displays, all system displays, view all tags, acknowledge alarms and access the Scheduler, Reports, System Log and ODBC Logs through ViewDAQ.

If the login is through a Web Browser, a restricted user can view only displays assigned to that user (this may be a single display). If the assigned default graphic display does not exist on that SCADA Node, or no graphic is assigned, then the restricted user can not login to that SCADA Node. The ability to Acknowledge alarms and Change Tags can be disabled or enabled on a per graphic basis (Area and Level Security still applies).

Security Area and security Level are used to restrict the ability to change data. In order to change the value of a tag, both the user and the tag must be assigned to the same Area and the user must have a security Level greater or equal to the security level assigned to the tag.

For a more comprehensive overview of Security, see Security Considerations, in Section 1.6.

For a Table summarizing User Types in Advantech WebAccess, see Advantech WebAccess User Accounts in section 1.6.3.


8.2 User Types

User Types restrict which displays a user can view through the web browser. It does not affect the local ViewDAQ on the SCADA node.

For a summary see 1.6.5 Advantech WebAccess User Accounts.


8.2.1 Administrator

· Can use Project Manager (the Database Configuration Tool).

· Can use Web DRAW to build and edit graphics.

· Can View all Displays in system through Web Browser (including Action Log, Alarm Log, User Programs and Station Status Displays)

· Access all tags using the Point List Dialog box.

Note - There is only one Administrator account in a project. The default name is Admin.

The admin account is a special account that can not be erased or renamed. The admin account can access all SCADA Nodes and the Project Manager. The admin account is modified at Admin / Project User on the Project Manager Home Page or in Users under Project Properties. Changes made at either level will be reflected globally.

A user with all the security features of Admin can be created by creating two accounts with the same name, a Project User and a Power User (with security Level 127 for all Areas, Local Tag, View Tag, etc.).

Only admin can modify the admin account password.


8.2.2 Project User

· Can use Project Manager (i.e. the Database Configuration Tool).

· Can use Web DRAW to build and edit graphics.

· Can NOT View displays in run-time

Note - only Users that are assigned as Project Users can use the Project Manager (Database Configurator) or use web-browser based DRAW.

Note 2 - The Project User can also be assigned as either a power, general or restricted user to enable viewing graphics in run-time View.

Project Users are created and modified at Admin / Project User on the Project Manager Home Page.

Project Users can access the Project Manager. Project Users can not access the SCADA Nodes using VIEW, unless a second user account in Users in Project Properties is created. Project Users can not log in to ViewDAQ.


8.2.3 Power User

· Access all user-built displays through Web Browser.

· All system Displays including Action Log, Alarm Log, User Programs and Station Status Displays) through Web Browser.

· Access all tags through Point List through Web Browser

· Can View Scheduled Reports and ODBC Logs from the Tools Menu in VIEW.

Power Users are created and modified at User on the Project Property Page.


8.2.4 General User

· Access all user-built displays through Web Browser.

· Can not view System Displays: Action Log, Alarm Log, User Programs and Station Status Displays through Web Browser

· Access all tags through Point List through Web Browser.

General Users are created and modified at User on the Project Property Page.


8.2.5 Restricted User

· Must be assigned a default graphic on each SCADA in order to access any graphic displays on that SCADA Node through Web Browser. If no default graphic assigned, can not access that SCADA Node.

· Access only Specified Displays through a web browser. A maximum of 100 displays are available to a restricted user through a web-browser connection. (20 plus the default graphic).

· Access Point Detail and Block Detail Display of any tag on those graphics.

· Cannot view Alarm Summary, Overviews, Faceplates Groups, Trends or Alarm Groups through Web Browser.

· Can not view System Displays (Action Log, Alarm Log, User Programs and Station Status Displays) through Web Browser.

· Can not view Scheduled Reports, Scheduler, Logs or other functions from the Tools Menu through a Web Browser.

· Can view only tags appearing on assigned graphic displays in the Point List.

· Acknowledge Alarms on assigned Displays with ACK enabled under Graphic Page Access (User Properties) by an engineer or technician using Project Manager.

· Change Values on assigned Displays with Change enabled under Graphic Page Access (User Properties) by an engineer or technician using Project Manager.

Note - Display access restrictions apply only to Web Browser based clients. Restricted User can view all displays and can acknowledge all alarms in ViewDAQ (local SCADA node).

Note- A Restricted user account can be assigned different Display access on each SCADA node. If the user is to access multiple SCADA nodes in your project, the user account must be assigned at least one display on each SCADA node. Having access to one SCADA node does not guarantee access to other SCADA nodes in the system.

Restricted Users are created and modified at User on the Project Property Page.


8.2.6 User Manager

The User Manager type can add and modify other View Users (i.e. add and modify Power, General and Restricted Users) from the “User Management” login button.

The “User Manager” can not login to Advantech WebAccess Configuration (e.g. can not modify SCADA Node properties, Tags or Draw). The “User Manager” can not login to View. The “User Manager” can not modify the admin or Project User accounts. (i.e. Only admin can modify the admin account password).

  • Cannot use Project Manager (i.e. the Database Configuration Tool).

  • Cannot use Web DRAW to build and edit graphics.

  • Cannot View displays in run-time

A user manager can only log in using the "Advantech WebAccess User Management" button from the Project Manager.

To connect to the Project Manager see 2.3.2 Connect to project node.


8.2.7 Login through Web Browser Client

User types restrict access to displays through a Web Browser.

If a Web-browser user tries to change the value of a Tag without correct security Level or Area, a Popup Dialog box will prompt for User Name and Password, similar to local ViewDAQ. The difference is that this does not Login the new user name. This enables a "one shot" opportunity to change the selected tag. After the tag is changed, the Area or Level and user login reverts to the original user.

A pushbutton using the <LOGIN> keymacro can be placed on a User-built Display, Toolbar or a screen script to change the user login through a web browser. <LOGIN> works only in ViewDAQ. To login as a new user in VIEW, the web browser must be closed and user must reconnect to Project Node.

Since all configuration is done through a Web Browser, only Users assigned as Project Users can configure the Database.


8.2.8 ViewDAQ ignores User Types

8.2.7 ViewDAQ ignores User Types

All users can access all displays and tags and use the graphics builder including the Graphic Download feature using the Local ViewDAQ or DrawDAQ on the SCADA node (i.e. the Advantech WebAccess icon on the taskbar).

Using the Local ViewDAQ or DrawDAQ on the SCADA node (i.e. the Advantech WebAccess icon on the taskbar) all users can access all displays and tags and use the graphics builder (DrawDAQ) including the Graphic Download feature.


8.2.9 Login from any display in ViewDAQ

8.2.8 Login from any display in ViewDAQ

The menu bar in ViewDAQ has a Login choice under the File menu allowing users to login as another user from every display.

Another difference between ViewDAQ and Web-browser involves the prompt to login as user with appropriate Area and Level when changing a tag. In ViewDAQ, this Login becomes the new user. In the Browser, it is temporary t allow changing the value of the tag.


8.3.1 Default Graphic

Administrators, Users and Power Users can be assigned a default graphic that will appear when they login (and press either the enter key or right click mouse). If this field is blank, then the MAIN.BGR graphic will appear. A different default graphic can be specified for each SCADA node in the project.

Restricted Users MUST BE ASSIGNED A DEFAULT GRAPHIC. If there is no default graphic specified, the restricted user will not be allowed to Login. That default graphic MUST be specified for each SCADA node in the project for each restricted user; if a default graphic is not specified, the restricted user will not be able to login to that SCADA node.

To add a default Graphic to a User, see Add or Update a User.


8.3.2 Restricted User - 20 Graphics

A Restricted user can have access to 20 additional graphic displays for each SCADA node in the project. The total is 21 graphics, if you count the Default Graphic. If a pushbutton or toolbar calls up a graphic, it must be in this list of 21 graphics in order for a restricted user to see it. The Graphic List Dialog Box will only show these graphics and the default. Similarly, the Point Goto feature will only allow the restricted user to call up graphics in this list.

Only Tags that appear on these graphics will be viewable by a restricted user. A restricted user will be able to view the Point Detail Display and Block Detail Display of any Tag that appears on the Graphics assigned in Graphic Page Access.

To add Graphic Page Access to a Restricted User, see Graphic Page Access - Restricted Users.


8.4 Area and Level

Advantech WebAccess uses the "Area of Responsibility" concept for control actions. This allows a user to have varying Levels of access in different Areas of the facility. For example, a user may be allowed to change Temperature Setpoints in one area of the facility, but not is another.

Each tag in the Advantech WebAccess database is assigned to one Area and given one security Level. If a Tag is assigned to Area 0 and Level 0, all users can change the Tag’s value.

Each User is assigned a security Level for each Area. The default Level is 0 (the lowest).

In order to change the value of a tag, the User's Area and Level must match the Area and Level of the Tag. Advantech WebAccess compares the Tag's Area and Level to the user's Level for that Area. If the user is assigned a security Level greater than or equal to the Tag's Level in the same Area, then the change is permitted.

If the user's Level and Area do not match the tag's Area and Level, a Popup Dialog Box will appear prompting the user to Login as a new user. In a Web Browser, this new log in is temporary and applies only to changing the selected tag this one time.

Users assigned as Administrators, Power Users or General Users can view any tag and any field associated with a tag. Area and Level restrict the ability to change the value of the tag or a tag field.

Restricted Users can only view tags shown on displays assigned to them. Area and Level further restrict what tags they can change. The ability to Change tags can also be restricted or enabled by graphic display. Restricted Users can acknowledge alarms on assigned displays only if enabled by an engineer or technician. See Graphic Page Access - Restricted Users.

Advantech WebAccess has 31 user defined Areas and 4 special Areas: Local Tag, View Tag, Tag Field and Exit ViewDAQ. Level 127 is administrator level and is required to change Field Tags (for example, change alarm limits from the point detail. All Field Tags require Level 127 in order to change them. Examples of Tag Fields include Alarm Limits, Description, SPANHI, SPAN LO, and ENG UNITS.

A tag assigned as READ ONLY can't be changed by an operator or administrator.

A Tag is assigned a minimum security level required to change its value and a Tag is assigned to ONE Area. Any user Assigned to the same Area as the Tag and with a Level equal to or Greater than the Tag's Level can change the tag.


8.4.1 LOCAL TAG

LOCAL TAG is a user defined local screen tag used within a Graphic Display. Local Screen Tags show up using the VIEWDAQ button of the Point List. Local screen tags are commonly used to animate displays or hold temporary values.

When a technician or engineer creates a Local Tag File in the Graphics Builder and assigns the Local Tag File to a graphic display. Tags are created with Span Hi, Span Lo and engineering units. Local Tags do not alarm. Engineers and technicians can define the security Level required to change tags. A user must have a level equal to or greater than the Local Screen Tags level.

A common example of Local Tags is a screen tag to animate a spinning fan. A script increments the local tag from 0 to 360 based on the On/OFF state of a digital IO tag.


8.4.2 VIEW TAG

VIEW TAG is a predefined screen tag also referred to as a "system tag" or "ViewDAQ Tag".

View Tags describe time, date, alarm logs etc (for example %AALMGLOBAL) they show up using the VIEWDAQ button of the Point List. All View Tags begin with the percent sign (%). %A is an analog type, %D is a digital type and %T is a text type. Some View Tags are assigned Level 255 and are READ only.

A user can be assigned the ability to change these tags if he is assigned level 127 (for example View Tag = 127) and the View Tag is not read only.

Setting a users Level = 127 for VIEW TAG, enables him to change the ALL View tags. To enable users to change only some View Tags, consider using a script or keymacro assigned to a pushbutton.

Pushbutton Keymacros and screen scripts can change most View Tags, regardless of the user's security Area and Level.


8.4.3 TAG Fields

TAG Fields are the Alarm Limits, Span Hi, Span Lo, and Description, Eng Units associated with each tag. Changes to Tags Fields are temporary until the client is restarted (or View is restarted). Permanent changes to tag fields are done using the Project Manager. Tag Fields are equivalent to Area 126. Some Tag Fields are read only.

Tag fields are addressed using a period (.) after the tag name or parameter name. Each tag and parameter has a full set of TAG Fields. Examples of Tag Fields include Alarm Limits, Description, SPANHI, SPAN LO, and ENG UNITS.

Level 127 is administrator level and is required to change Field Tags (for example, change alarm limits from the point detail). All Tag Fields that are not read only require Level 127 in order to change them. Read Only Tag Fields cannot be changed regardless of user level.

Setting a user's Level = 127 for TAG Fields, enables him to change the tag fields for ALL tags. To enable users to change the tag fields for only some tags, consider using a script or keymacro assigned to a pushbutton.

Pushbutton Keymacros and screen scripts can change a Tag field for all users, regardless of the user's security Area and Level.


8.4.4 ViewDAQ

ViewDAQ applies only to Display Groups in ViewDAQ, the non-browser based version of VIEW used on the SCADA node.

ViewDAQ Security establishes a Password Level for Closing and Saving Display Groups. It is configured in Add or Update a User in the Project Manager and in Exit Password Level for the ViewDAQ Display Group.

Level 127 enables the user to create, modify and save Display Groups in VIEWDAQ. This feature allows some operators to create new multi-window displays (and to modify the Exit Password Level).

Any number below 127 defines the Password Level the user has when trying to close a ViewDAQ Display Group window. The Exit Password Level is designed to prevent operators from closing the Control System Window. Further, Advantech WebAccess cannot be shutdown from the local taskbar if at least one ViewDAQ window is open.

Any one can start ViewDAQ on the SCADA node by clicking on the network icon next to time on the taskbar. Anyone can Open Display Groups.

To Close a Display Group, the user’s ViewDAQ security level higher must be greater or equal to the Exit Password level configured for that group. If not, a Popup Password Dialog Box opens requesting a User Login with the security Level displayed that is required to close the ViewDAQ window.

A remote Download or Stop will shutdown Advantech WebAccess even if a ViewDAQ window is open. Only the Administrator or Project User can execute a remote Download or Stop.

VIEW users can always close the web browser to log off.


8.5 Windows Security

Before a user can Login to Advantech WebAccess the first time, the user must pass through Windows security of the Project node (for Web Browser Clients) and Windows security of the SCADA node (for local users of ViewDAQ and DrawDAQ).

Anonymous Access is not required (or recommended). The best way to secure your system is to use Windows Authentication in IIS (the web server software).

The SCADA nodes and Project Nodes run only on Windows 2003, 2000 or XP. They all use a version of Windows security.


8.5.1 Web browser Client (View) and Windows Security

Before a user can Login to Advantech WebAccess using a web browser, the user must first pass through Windows security of the Project nodes IIS (Internet Information Server). IIS is a "web server." Advantech WebAccess uses the WWW service (Web Server). Windows Integrated Security can be applied the Web Site to restrict user access via encrypted usernames and passwords.

Anonymous Access is not required (or recommended). The best way to secure your system is to use Windows Authentication in IIS (the web server software). Your Advantech WebAccess Project will act as if it is on an intranet, requiring all users be recognized by the Windows Operating System (as either a local user or Domain User). User will be asked for User Name, Password (and optionally Domain) just to connect. Using Windows Authentication in IIS (the Web Server) will reduce load on your web server from spurious requests from malicious users (and viruses) by denying access to unauthorized users.

If you have many users (for example a college campus or office building), then you may have to use Anonymous Access.

Advantech WebAccess works with all the security features associated with IIS including, Anonymous Access and Authenticated Access (i.e. Usernames and Passwords), Certificates, Secure Sockets Layer, VPN and firewalls.


8.5.2 ViewDAQ and Windows Security

Any one with access to the Windows Operating System can use ViewDAQ. The local, non-web browser version, ViewDAQ will start without a user login.

Admin, Power, General and Restricted Users can View all Displays and Tags in ViewDAQ. Security Area and Level restrict who can change tags in VIEW.

Use Windows security to “lock computer” for un-attended operation in ViewDAQ.


8.5.3 Add Users from your domain

1. Start -> Settings -> Control Panel

2. Select Users and Passwords

3. Select the Users Tab

4. Select Add

5. Select Browse

This should connect you with your Domain Server.

6. Select users from the list.

Note that you do not need to know or create passwords.


8.5.4 Create a new local User Account

The following applies to Windows 2000 and XP Professional.

1. Start -> Settings -> Control Panel ->Users and Passwords

2. Select the Advanced Tab

3. Select the Advanced button under Advance User Management

4. Right Click on Users

5. Select New

6. Follow the directions.


8.6 Web Server Security

You must use IIS (Microsoft's Internet Information Services). Advantech WebAccess uses ASP (Active Server Pages) that are only supported by Microsoft Web Servers. Windows Security controls connection to the Project Node. Advantech WebAccess Security controls access to the SCADA node.

Advantech WebAccess supports the following security features in a web site:

1. Anonymous Access - the least secure. If you have many users (for example a college campus or office building), then you may have to use Anonymous Access.

2. Windows Integrated Security - A user name and password is required to connect to the web sever (project node) to find the address of the SCADA node and download ASP pages. The web server behaves like an intranet computer. This is even more secure than using a firewall. The best way to secure your system is to use Windows Authentication in IIS (the web server software). Your Advantech WebAccess Project will act as if it is on an intranet, requiring all users be recognized by the Windows Operating System (as either a local user or Domain User). User will be asked for User Name, Password (and optionally Domain) just to connect. Using Windows Authentication in IIS (the Web Server) will reduce load on your web server from spurious requests from malicious users (and viruses) by denying access to unauthorized users.

3. Firewalls - three TCP ports required. They can be redefined. The defaults are 80 (http), 4592 (file download) and 14592 (real time data). If no one outside you firewall will access your Advantech WebAccess system, then a firewall can protect your Advantech WebAccess System (by using unmapped private IP and or closing the ports used by Advantech WebAccess). If users from outside will access you Advantech WebAccess system, consider using Windows Authentication. Firewalls protect the parts of your system not used by outside users.

4. Routers, Proxy Servers and Address and Port Mapping) - Static Port Mapping and Address mapping (NAT) makes it possible to make some internal Project Nodes / Web Servers and SCADA Nodes available to the outside world via inbound mapping, which maps specified TCP ports to specific internal addresses, thus access to an intranet from the internet in a controlled way.

5. VPN (Virtual Private Networks) - constructs a private network the "tunnels" through the Internet or other network.

6. Secure Sockets Layer - Server side certificates and Client side certificates (the most secure)

7. Restricted distribution of the OCX (Active-X control). The Client Plug-in is required to view real-time data. You can restrict how this is distributed.

Only the Project Node is a Web Sever. SCADA nodes do not need to be Web Servers.


8.6.1.1 IIS (Internet Information Services) - the "Web Server"

It is recommended to install all the latest service packs and security Hot fixes on your Web Server (i.e. Project Node). This is most easily done using the in Internet Explorer 6.0, which will connect you directly to the Microsoft.com site.

To install latest Service Packs and Security to your Web Server

1. Start Internet Explorer 6.0 or 7.0

1a. In IE 7.0, you may need to press the Alt key to see the menu bar at the top.

2. Select Tools -> Windows Update

This will connect to the Microsoft.com web site.

To view Web Site Security settings

1. Start -> Settings -> Control Panel -> Administrative Services -> Internet Service Manager

2. Right Click on Default Web Site

3. Click Properties

4. Select the Directory Security Tab

Next to Anonymous Access and Authentication control, pick the Edit button.

For more information about determining if IIS is installed on your computer or How to install IIS (Internet Information Server), please see the Troubleshooting Section of this Manual:

Is IIS installed on your computer?

How to install IIS.


8.6.2 Anonymous Access

Anonymous Access is optional. For a more secure web site, you can use a VPN (Virtual Private Network) or Integrated Windows Security.

Anonymous Access will allow many users to connect (for example an office building). This allows anyone connected to your network to connect to the Advantech WebAccess Project Node. Users (the Internet Guest Account) will have READ ONLY access if you choose the "Allow IIS to control Access option". Advantech WebAccess Security controls access to the SCADA node.

The latest security Hot fixes should be installed and reasonable user security is applied to the wwwroot subdirectory.

Anonymous Access is the default Setting for IIS 5.0 used in Windows 2000.

To Allow Anonymous Access

5. Open Internet Services Manager described above.

6. Select Allow Anonymous Access

7. Click Edit

8. Select Allows IIS to control password.

Figure 8.1Anonymous Access - IIS (Web Server / Project Node)

Figure 8.2Internet User Account (IUSR_) – computer name OWL-E

Specifying the IUSR_computername account and its password is also an acceptable alternative to allowing IIS to control password.


8.6.3 Integrated Windows Authentication

This is a more secure alternative to Anonymous Access. Integrated Windows Authentication will require users to login using a user name, password and domain name if they are not recognized by Windows security. This is similar to accessing a Server or Shared resource on your company Intranet.

If the user is part of a trusted domain or is a registered user on the Web Server, and is logged in on the remote computer with that recognized user name and password, no dialog box will appear. It will be invisible to the user that a login took place.

If the user is not part of a trusted domain or not a registered user on your web site, he will be prompted to login using a user name and password recognized by Windows Security.

Figure 8.3Windows Authentication - IIS (web server ) - Most Secure

To enable Windows Authentication

1. Open Internet Service Manager (as described above)

2. Select Default Web Site

3. Select Directory Security

4. Un-check Anonymous Access

5. Select Integrated Windows Authentication.

You must create a user account for all users that will connect. It is possible to create just one account and distribute its username, password and domain name to multiple users.

If all your users are part of a domain, and the Project Node is part of the same domain, you can add those accounts to the Project Node.


8.6.3.1 To Add Users from your domain

1. Start -> Settings -> Control Panel ->Users and Passwords

2. Select the Users Tab

3. Select Add

4. Select Browse

5. This should connect you with your Domain Server.

6. Select users from the list.

Note that you do not need to know or create passwords to add users from a domain.


8.6.3.2 To Create a new local User Account

The following applies to Windows 2000 and XP Professional.

1. Start -> Settings -> Control Panel ->Users and Passwords

2. Select the Advanced Tab

3. Select the Advanced button under Advance User Management

4. Right Click on Users

5. Select New

6. Follow the directions.


8.6.4 Virtual private networks

With a Virtual Private Network, connections across the public network can transfer data using the routing infrastructure of the Internet, but to the user it appears as though the data were being sent over a dedicated private link. VPNs accomplish this by "tunneling" through the Internet or another public network in a manner that provides the same security and features as a private network. Advantech WebAccess supports VPNs and Intranets.

This section describes how to install virtual private networking (VPN) and how to create a new VPN connection in Windows 2000.

Components of a VPN

A VPN in Windows 2000 consists of a VPN server, a VPN client, a VPN connection (the portion of the connection in which the data is encrypted), and the tunnel (the portion of the connection in which the data is encapsulated). The tunneling is done through one of the tunneling protocols included with Windows 2000, both of which are installed with Routing and Remote Access. The two tunneling protocols included with Windows 2000 are:

· Point-to-Point Tunneling Protocol (PPTP) Provides data encryption using Microsoft Point-to-Point Encryption

· Layer Two Tunneling Protocol (L2TP) provides data encryption, authentication, and integrity using IPSec.

Your connection to the Internet should use a dedicated line such as T1, Fractional T1, or Frame Relay. The WAN adapter must be configured with the IP address and subnet mask assigned for your domain or supplied by an Internet service provider (ISP), as well as the default gateway of the ISP router.

NOTE: To enable VPN, you must be logged on using an account that has administrative rights.


8.6.4.1 How to Install a VPN

To install and enable a VPN server, follow these steps:

1. On the Microsoft Windows 2000 VPN computer, confirm that both the connection to the Internet and the connection to your local area network (LAN) are correctly configured.

2. Click Start, point to Administrative Tools, and then click Routing and Remote Access.

3. Click the server name in the tree, and then click Configure and Enable Routing and Remote Access on the Action menu. Click Next.

4. In the Common Configurations dialog box, click Virtual private network (VPN server), and then click Next.

5. In the Remote Client Protocols dialog box, confirm that TCP/IP is included in the list, click Yes, all of the available protocols are on this list, and then click Next.

6. In the Internet Connection dialog box, select the Internet connection that will connect to the Internet, and then click Next.

7. In the IP Address Assignment dialog box, select Automatically in order to use the DHCP server on your subnet to assign IP addresses to dialup clients and to the server.

8. In the Managing Multiple Remote Access Servers dialog box, confirm that the No, I don't want to set up this server to use RADIUS now checkbox is selected.

9. Click Next, and then click Finish.

10. Right click the Ports node, and the click Properties.

11. In the Ports Properties dialog box, click the WAN Miniport (PPTP) device, and then click Configure.

12. In the Configure Device - WAN Miniport (PPTP) dialog box, do one of the following:

o If you do not want to support direct user dialup VPN to modems installed on the server, click to clear the Demand-Dial Routing Connections (Inbound and Outbound) check box.

o If you do want to support direct user dialup VPN to modems installed on the server, click to select the Demand-Dial Routing Connections (Inbound and Outbound) check box.

13. Type the maximum number of simultaneous PPTP connections that you want to allow in the Maximum Ports text box. (This may depend on the number of available IP addresses.

14. Repeat steps 11 through 13 for the L2TP device, and then click OK.


8.6.4.2 How to Configure a VPN server

To further configure the VPN server as required, follow these steps.

Configure Remote Access Server as a Router

For the remote access server to forward traffic properly inside your network, you must configure it as a router with either static routes or routing protocols, so that all of the locations in the intranet are reachable from the remote access server.

To configure the server as a router:

1. Click Start, point to Administrative Tools, and then click Routing and Remote Access.

2. Right-click the server name, and then click Properties.

3. On the General tab, click to select Enable This Computer As A Router.

4. Select either Local area network (LAN) routing only or LAN and demand-dial routing. Click OK to close the Properties dialog box.

Configure PPTP Ports

Confirm the number of PPTP ports that you need. To verify the number of ports or to add ports, follow these steps:

1. Click Start, point to Administrative Tools, and then click Routing and Remote Access.

2. In the console tree, expand Routing and Remote Access, expand the server name, and then click Ports.

3. Right-click Ports, and then click Properties.

4. In the Ports Properties dialog box, click WAN Miniport (PPTP), and then click Configure.

5. In the Configure Device dialog box, select the maximum number of ports for the device, and then select the options to specify whether the device accepts incoming connections only, or both incoming and outgoing connections.

Access by User Account

If you are managing remote access on a user basis, click Allow Access on the Dial-In tab of the user's Properties dialog box for those user accounts that are allowed to create VPN connections. If the VPN server is allowing only VPN connections, delete the default remote access policy called "Allow Access If Dial-In Permission Is Enabled." Then create a new remote access policy with a descriptive name, such as VPN Access If Allowed By User Account. For more information, see Windows 2000 Help.

CAUTION: After you delete the default policy, a dial-up client that does not match at least one of the policy configurations you create will be denied access.

If the VPN server is also allowing dial-up remote access services, do not delete the default policy, but move it so that it is the last policy to be evaluated.


8.6.4.3 How to Configure a VPN Connection from a Client

To set up a connection to a VPN:

1. On the client computer, confirm that the connection to the Internet is correctly configured.

2. Click Start, point to Settings, and then click Network And Dial-Up Connections.

3. Double-click Make New Connection.

4. Click Next, and then click Connect To A Private Network Through The Internet, and then click Next.

5. Do one of the following:

o If you use a dial-up connection to connect to the Internet, click Automatically Dial This Initial Connection and then select your dial-up Internet connection from the list.

o If you use a full-time connection (such as a cable modem), click Do Not Dial The Initial Connection.

6. Click Next.

7. Type the host name (for example, Microsoft.com) or the IP address (for example, 123.123.123.123) of the computer to which you want to connect, and then click Next.

8. Click to select For All Users if you want the connection to be available to anyone who logs on to the computer, or click to select Only For Myself to make it available only when you log onto the computer. Click Next.

9. Type a descriptive name for the connection, and then click Finish.

NOTE: This option is available only if you are logged on as a member of the Administrators group.

10. Click Start, point to Settings, and then click Network And Dial-Up Connections.

11. Double-click the new connection.

12. Click Properties to further configure options for the connection:

o If you are connecting to a domain, click the Options tab, and then click to select the Include Windows logon domain check box to specify whether to request Windows 2000 logon domain information before attempting to connect.

o If you want the connection to be redialed if the line is dropped, click the Options tab, and then click to select the Redial if line is dropped check box.

To use the connection:

1. Click Start, point to Settings, and then click Network And Dial-Up Connections.

2. Double-click the new connection.

3. If you do not currently have a connection to the Internet, Windows offers to connect to the Internet.

4. Once the connection to the Internet is made, the VPN server prompts you for your user name and password. Enter your user name and password, click Connect, and your network resources should be available to you in the same way they are when you connect directly to the network.

NOTE: To disconnect from the VPN, right-click the connection's icon, and then click Disconnect.


8.6.5 Secure Sockets Layer (SSL)

This article demonstrates how to quickly set up Secure Sockets Layer (SSL) in a Windows 2000 Internet Information Services (IIS) 5.0 development lab environment. Microsoft Certificate Server 2.0 can create many different certificates; this article only covers creation of a standard Web certificate.

This article is divided into four sections:

  • Creating a certificate request
  • Submitting a certificate request
  • Issuing and downloading a certificate

· Installing the certificate and setting up an SSL Web site

· Installing a Client Certificate (into Internet Explorer Web Browser)


8.6.5.1 Creating a Certificate Request

To create a Web server certificate, follow these steps:

1. Open the Internet Service Manager Microsoft Management Console (MMC). To do this, click Start, point to Programs, point to Administrative Tools, and click Internet Service Manager.

2. Double-click the server name so that you see all of the Web sites.

3. Right-click the Web site where you want to install the certificate, and then click Properties.

4. Click the Directory Security tab.

You see three security methods. The one you will use to create a certificate request is Secure Communications.

5. Click Server Certificate. A Certificate Wizard starts. Click Next to continue.

6. Select Create a new certificate, and then click Next.

7. Select Prepare the request now, but send it later and click Next.

8. Type a name for your certificate, and choose a bit length. Unless it is needed for your lab, do not select the SGC Certificate check box. (For more information on SGC certificates, see the note at the end of this section.) Click Next to continue.

9. Type your organization name and the organizational unit (for example, company name and development department). Click Next.

10. Type either the fully qualified domain name (FQDN) or the server name as the Common Name. If you are creating a certificate that will be used over the Internet, it is preferable to use a FQDN. Click Next.

11. Enter your location information, and then click Next.

12. Type the path and file name to save the certificate information to.

NOTE: If you enter anything other than the default location and file name, be sure to note the name and location you choose, because you will have to access this file in later steps.

Click Next to continue.

13. Verify the information that you have entered, and then click Next to complete the process and create the certificate request.

NOTES: Server Gated Cryptography (SGC) certificates are used most often by financial institutions that require high-encryption connections even when connecting with international users or browsers that are limited to 40-bit encryption. When connecting to an international browser (40-bit), an SGC certificate creates a 128-bit tunnel to allow 128-bit encryption strength. When the secured connection or session ends, the intermediate certificate tunnel is closed.

Another attribute of the SGC certificate is that it is strictly domain-specific. Ordinarily, if the domain name of a certificate does not match the domain of the Web site, you receive a warning stating this fact and you can choose to continue or not. A SGC certificate does not give you a warning or offer choices. The connection fails without explanation.


8.6.5.2 Submitting a Certificate Request

To submit a certificate request, follow these steps:

1. Open a browser and go to http:// YourWebServerName /CertSrv/.

2. Select Request a Certificate, and then click Next.

3. Select Advanced Request, and then click Next.

4. Select the center option, Submit a Certificate Request using a Base64, and click Next.

5. Open the request document that you created in the first procedure section, "Creating a Certificate Request," in Microsoft Notepad.

6. Select and copy the contents of the document.

The contents should resemble the content that is displayed in the document below.

-----BEGIN NEW CERTIFICATE REQUEST-----

MIICcjCCAhwCAQAwYjETMBEGA1UEAxMKcm9ic3NlcnZlcjELMAkGA1UECxMCTVMx

CzAJBgNVBAoTAk1TMREwDwYDVQQHEwhCZWxsZXZ1ZTERMA8GA1UECBMIV2FzaGl0

b24xCzAJBgNVBAYTAlVTMFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBALYK4sYDNQ7h

LmSfL0qpIvUfY7Ddw7fNCvDp3rM7z4QqoLhA2c8TkyamqWTBsV0WRHIidf/J6mU4

wN4wrUzJTLUCAwEAAaCCAVMwGgYKKwYBBAGCNw0CAzEMFgo1LjAuMjE5NS4yMDUG

CisGAQQBgjcCAQ4xJzAlMA4GA1UdDwEB/wQEAwIE8DATBgNVHSUEDDAKBggrBgEF

BQcDATCB/QYKKwYBBAGCNw0CAjGB7jCB6wIBAR5aAE0AaQBjAHIAbwBzAG8AZgB0

ACAAUgBTAEEAIABTAEMAaABhAG4AbgBlAGwAIABDAHIAeQBwAHQAbwBnAHIAYQBw

AGgAaQBjACAAUAByAG8AdgBpAGQAZQByA4GJAGKa0jzBn8fkxScrWsdnU2eUJOMU

K5Ms87Q+fjP1/pWN3PJnH7x8MBc5isFCjww6YnIjD8c3OfYfjkmWc048ZuGoH7Zo

D6YNfv/SfAvQmr90eGmKOFFiTD+hl1hM08gu2oxFU7mCvfTQ/2IbXP7KYFGEqaJ6

wn0Z5yLOByPqblQZAAAAAAAAAAAwDQYJKoZIhvcNAQEFBQADQQCgRCWkaXlY2nVa

tbn6p5miPwWfrbViYo0B62wkuH0f7J0nSGcxMnn/6Q/iLEIsgHqFhox5PWCzIV0J

tXKPWrBL

-----END NEW CERTIFICATE REQUEST-------

NOTE: If you save the document with the default name and location it is located at C:\Certreq.txt.

NOTE: Be sure to select and copy all the content just as shown above.

7. Paste the contents of the document into the Web form's Base64 Encoded Certificate Request text box.

8. Under Certificate Template, select Web Server, and then click Submit.

9. If Certificate Server is set to Always Issue the Certificate, you can access the certificate immediately. To do so, follow these steps:

a. Click the top link, Download CA Certificate (do not click Download CA Certificate path).

b. When prompted, select Save this file to disk and save the certificate to your desktop or another location that you will remember.

c. Now, go straight to the fourth procedure in this section, "Installing the Certificate and Setting Up an SSL Web Site".

If Certificate Server is set to Set the certificate request status to pending, you will receive a "Certificate Pending" message. To continue, move on to the third section, "Issuing and Downloading a Certificate".


8.6.5.3 Issuing and Downloading a Certificate

To issue (that is, authorize) a certificate in Certificate Server, follow these steps:

1. Open the Certificate Authority (CA) Microsoft Management Console (MMC) snap-in. To do this, click Start, point to Programs, point to Administrative Tools, and then click Certificate Authority.

2. Expand Certificate Authority.

3. Click the Pending Requests folder. Your pending certificate requests appear in the right pane.

4. Right-click the pending certificate request (submitted in the third procedure described in this article), select All Tasks, and then click Issue.

NOTE: After you select Issue, the certificate is no longer displayed in this window and folder. It now resides in the Issued Certificate folder.

NOTE: For more information on configuring certificate issuing policies, see Appendix A.

5. After you have issued (and authorized) the certificate, you can return to the Certificate Servers Web interface to select and download the certificate. To do this, follow these steps:

a. Go to http:// YourWebServerName /CertSrv/.

b. On the default page, select Check on a pending certificate, and then click Next.

c. Select your pending certificate, then click Next to go to the download page.

d. On the download page, click the top hyperlink, Download CA Certificate (do not click Download CA Certificate path).

e. When prompted, select Save this file to disk and save the certificate to your desktop or another location that you will remember.

You have issued and downloaded your certificate.

The next step is installing the certificate and setting up an SSL-encrypted Web site.


8.6.5.4 Installing the Certificate and Setting Up an SSL Web Site

There are several ways to install and set up an SSL certificate: for example, you can double-click the certificate and use the Certificate Installation Wizard to preinstall the certificate, then bind it to the site. This article demonstrates how to install the certificate by using the Internet Service Manager MMC through the Web Server Certificate Wizard.

To install a certificate in Certificate Server, follow these steps:

1. Open the Internet Services Manager and expand the server name so that you can view the Web sites.

2. Right-click the Web site that you created the certificate request for, and click Properties.

3. Click the Directory Security tab. Under Secure Communications, click Server Certificate.

This opens the Certificate Installation Wizard. Click Next to continue.

4. Select Process the pending request and install the certificate and click Next.

5. Type the location of the certificate that you downloaded earlier in section three, "Issuing and Downloading a Certificate", then click Next.

The Wizard displays the Certificate Summary. Verify that the information is correct, and then click Next to continue.

6. Click Finish to complete the process.

To configure and test the certificate, following these steps:

1. On the Directory Security tab, under Secure Communications, note that there are now three available options. To set the Web site to require secure connections, click Edit. The Secure Communications dialog box appears.

2. Select Require Secure Channel (SSL), and then click OK.

3. Click Apply and then OK to close the property sheet.

4. Browse to the site and verify that it works:

a. Access the site through http by typing http://localhost/Postinfo.html in the browser. You receive an error message that resembles the following:

HTTP 403.4 - Forbidden: SSL required.

b. Try to browse to the same Web page using a secured connection (https) by typing https://localhost/postinfo.html in the browser.

c. You may receive a security alert that states that the certificate is not from a trusted root CA. Click Yes to continue to the Web page.

The page should appear.

NOTE: To learn how to add your root CA to the Trusted Root CA list in your browser, see Appendix B.

If you can view the page, you have successfully installed your certificate.

NOTE: The Postinfo.html page is a standard HTML page that is found in the root of the default Web site.


8.6.5.5 How to Change Certificate Issuing Policies

You can select whether you want to issue a certificate upon request (no authorization) or whether you want all requests to be submitted for pre-authorization through the Certificate Authority MMC snap-in. To do this, follow these steps:

1. Open the Certificate Authority tool. To do this, click Start, point to Programs, point to Administrative Tools, and then click Certificate Authority.

2. Right-click your certificate authority name and click Properties.

3. In the Properties sheet, click the Policy Module tab and then click Configure.

4. In the Default Action tab, select either of the following:

o Set the certificate request status to pending: The administrator must explicitly issue the certificate.

o Always issue the certificate: This issues the certificate immediately, with no authorization required.

NOTE: If a certificate is recognized on the network, you should select the second option.


8.6.5.6 Installing a Certificate into Internet Explorer 5

There are several ways to get the root CA certificate to the Web site users. One way is to email it and have the users install it from the email. Another way is to include a download page on your Web site with a link to the certificate. A corporate-wide solution is to use Internet Explorer Administration Kit (IEAK) to push a customer Internet Explorer browser with the root CA certificate already installed into the Trusted Root CA list. However you choose to make the certificate available, one thing stays the same: the way you install the certificate into the Trusted Root CA list in Internet Explorer, as this appendix demonstrates.

NOTE: The certificate must be installed in order for Internet Explorer to trust that your site certificate is not the certificate that you just created but rather the root CA certificate, which was created when you installed Certificate Server.

For the purposes of this document, download the certificate by using the Certificate Servers Web interface, which is located at http:// <YourServerName> /CertSrv/. After you have arrived at the Welcome page, select Retrieve the CA certificate or certificate revocation list, and then click Next.

You now have two choices:

  • Install this CA certification path. If you are installing the root CA certificate into the browser you are currently connected with, click the Install this CA certification path link, and it automatically installs the root CA certificate into the Trusted Root CA list in your Internet Explorer browser.

    After the installation is complete, you receive a confirmation page.

    -or-
  • Download CA certificate. If you need to install the root CA certificate in any other Internet Explorer browser's root CA list, you can download it and install it as follows:

1. Click Download CA certificate.

2. Select Save the file to disk.

3. Go to the location where you saved the root CA certificate, and double-click the certificate to open the Properties sheet for that certificate.

4. Click Install Certificate to start the Certificate Import Wizard. Click Next to continue.

5. Select Place all certificates in the following store.

6. Click Browse and select Trusted Root Certification Authorities. Click Next.

7. Verify the settings and then click Finish.

You receive the following message:

The import was successful.

8. Click OK to dismiss this message, and then click OK to close the Properties sheet.

To check if you get the trusted root CA warning again, close and reopen your browser, and then go to the following Web site:

https:// <MySecureWebsite> /Postinfo.html

You have successfully added your root CA to the Trusted Root CA list in your Internet Explorer browser.

NOTE: The Postinfo.html page is a standard HTML page that is found in the root of default web site.


8.6.6 RAS Server for Dial-up connections

The Remote Access Server (RAS) allows users to 'dial-up" via Telephone. The Client connects to the "intranet" via a RAS Server on the private network. When the client connects to the RAS Server, it will be assigned an address in the "private network". This will allow the client to connect to a "private network" o intranet. You have to setup a RAS server on the same network (intranet) as the SCADA Node . The RAS server could be the SCADA Node or another computer on the intranet. RAS is a standard feature in Windows 2000 Server.

To create a simple remote access server for a Windows 2000 Server-based computer that belongs to a workgroup and not a domain. The resulting server allows users with local accounts to connect by using dial-up, virtual private network (VPN), or direct (Infrared or parallel ports) connections. However, only limited authentication methods are supported by Incoming Connections Server. Clients can connect by using only MSCHAP or MSCHAPv2 authentication. A default Remote Access Policy is applied.

To create a remote access server, follow these steps:

1. Click Start, point to Settings, and then click Network And Dial-up Connections.

2. Select Make New Connection to start the Network Connection Wizard.

3. Click Next.

4. Select Accept Incoming Connections.

5. Click Next.

6. Select one or more connection devices (i.e. the modem)

7. For each selected device, click Properties.

8. Configure the connection properties, and then click OK.

9. Click Next.

10. Select Allow Virtual Private Connections.

11. Click Next.

12. Select the type of users that are allowed to connect to the server, and then click Next.

13. Select the network component options you want to enable for incoming connections, and then click Next.

14. Type a name for the connection.

15. Select Finish.


8.7 TCP Ports

Advantech WebAccess uses three TCP Ports; all three can be modified by the user to accommodate firewalls, routers, port mapping, etc.

Port 80 is the default Port used for the ASP page (the web page). This is the default web server port for all web servers. For security or other reasons, you can use another port. This port is changed in the Microsoft Operating System on the Project Node using Internet Services Manager.

Advantech WebAccessuses to additional TCP Ports for downloading files and real-time data:

Port 4592 is the Advantech WebAccess Primary Port used for File Downloads (e.g. graphics, symbols, etc).

Port 14592 is the Advantech WebAccess Secondary port is used for real-time data (e.g. setpoints, measurements, status, Trends).

Advantech WebAccess downloads a "deploy file" which describes the two additional TCP ports used by Web Access Project and SCADA Nodes to the Clients.

If the Project Node and SCADA Node are the SAME computer, 3 must be mapped to the Project / SCADA Node. If the Project Node is separate from the SCADA node, 4 ports would be needed. Each additional SCADA node would require an additional 2 ports.

The TCP ports are set on the SCADA node during software installation. When configuring your SCADA nodes in the Project Configuration Manager, you must enter the correct TCP Port numbers.

Note that 0 means the default ports numbers are used (4592 and 14592).


8.7.1 Change TCP Ports

To change TCP Ports, you must make the change in at least two places:

1) The Project Manager database (which creates the deploy files).

2) Software Installation on the Project and SCADA Nodes (bwserver.ini).

To change TCP Ports used by a Project Node through a firewall (the HTTP Port and Primary TCP Port), go to the Home page in the Project Manager. This affects all projects on this Project Node. You must also either edit the bwserver.ini file or reinstall Advantech WebAccess software and specify the new TCP ports. Finally, the you must stop and restart either Advantech WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The appropriate windows service must also be modified (e.g. www service and SMTP service) for the new port numbers.

To change TCP Ports used by a SCADA Node through a firewall (Primary TCP Port ), go to the Home page in the Project Manager, then select Update for the desired Project. To change the SMTP Port or POP3 email port, got to SCADA Node Properties and modify SMTP Port and/or Email Port. The user must also either edit the bwserver.ini file or reinstall Advantech WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either Advantech WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The SMTP service, if used or modified, for the new port number.


8.7.2 Firewalls

A firewall is highly recommended if your Advantech WebAccess Project and SCADA nodes are exposed to the Internet (i.e. you are using Public IP Addresses). This will increase the security of your system.

A firewall appliance is preferable over firewall software installed on the SCADA or Project Node. A firewall appliance (like a Netgear FR114P) can be purchased for under $100 and is more secure that firewall software. Firewall software can interfere with the RPC service in Windows 2000 and XP.

A Firewall restricts the flow of data onto a network; it is a method of network security. Many corporations use firewalls. The firewall is used to restrict View Clients from communicating with the SCADA node and from downloading files from the Project Node to the SCADA node.

If your connection is through a firewall, you will need to have your network administrator open two TCP ports for you to use the DRAW or VIEW features in Advantech WebAccess. Advantech WebAccess need two TCP ports, one to download files and another to exchange live data. You will need these TCP ports to install software on each SCADA node. You will also have to inform View Clients outside the firewall of these two TCP/Ports for them to access your SCADA nodes.

If you are using a firewall (or multiple firewalls) and Public IP Address, then you will have to use Address Mapping to allow both Private Network users and Internet users to connect to the Clients, Project and SCADA Nodes behind the firewall.

Firewall with access to SCADA Nodes using Public IP Address - use Address Mapping on Nodes and Private Clients

If you are using a dedicated firewall for a Project node and a Public IP Address, then you must use Address Mapping to allow the Project Node to connect to itself via a private address and to allow users to connect via the Public IP Address.

Firewall for Project Node requires Address Mapping - optionally use Address Mapping on SCADA Nodes

If you are using a dedicated firewall for each SCADA Node, you don't need to use Address Mapping if you use ViewDAQ on the SCADA node. If you want to use a web browser to view itself, then you will need to use Address Mapping.

See 8.7.2.1 Address Mapping for Firewalls and mixed Private & Public Users for more information on Address Mapping by editing the bwclient.ini file on the SCADA and Project Nodes.

Note - Windows XP Professional comes with a Firewall.

XP Service Pack 1 comes with "Internet Connection Firewall" (ICS). You may be using it and don't even know it. XP users should disable the firewall or configure two ports for Advantech WebAccess.

XP Service Pack 2 comes with "Windows Firewall". The Advantech WebAccess Network Service (Webvrpcs.exe) automatically configures “Windows Firewall” in XP Service Pack 2 to allow Webvrpcs and Datacore to pass on SCADA Node. Webvrpcs on the Project Node also automatically configure “Windows Firewall” to allow Webvrpcs, Datacore and IIS (Internet Information Services) to pass including the Web Server (IIS) and Internet Mail Server (SMTP) protocols. No user action required during installation or later to modify the “Windows Firewall”.

To change TCP Ports used by a Project Node through a firewall (HTTP Port and Primary TCP Port), go to the Home page in the Project Manager. This affects all projects on this Project Node. The user must also either edit the bwserver.ini file or reinstall Advantech WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either Advantech WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The appropriate windows service must also be modified (e.g. www service and SMTP service) for the new port numbers.

To change TCP Ports used by a SCADA Node through a firewall (Primary TCP Port ), go to the Home page in the Project Manager, then select Update for the desired Project. To change the SMTP Port or POP3 email port, got to SCADA Node Properties and modify SMTP Port and/or Email Port. The user must also either edit the bwserver.ini file or reinstall Advantech WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either Advantech WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The SMTP service, if used or modified, for the new port number.


8.7.2.1 Address Mapping for Firewalls and mixed Private & Public Users

8.7.2.1 Address Mapping for Firewalls and mixed Private & Public IP Addresses

If you are using a dedicated firewall for the Project Node and SCADA Nodes or are using a Firewall with access from Public IP addresses and Private IP Addresses, you should use this feature to modify the BwClient.ini file on your Project Node and SCADA Nodes.

This will allow the Project Node and SCADA node to access itself using a Private IP Address and allow external users to access the Project Node and SCADA Nodes via Public IP Address.

Most Firewalls do not allow a Computer in a Private Intranet to access itself or other computers on the Private Intranet using Public IP Address mapped to the Private IP Address. If the Project Node or SCADA Node uses a dedicated firewall, the Project Node will not be able to connect to itself using its Public IP Address.

If there are Clients on the same Private Network as the Project and SCADA nodes, and Public Clients (i.e. external to the private network), and you are using a Firewall, then the Private Network clients will not be able to access the Project Node or SCADA nodes using the Public IP Address. Also the Project and SCADA nodes can not access each other on the same Private network using Public IP Addresses.

The solution is to use the Public IP Address (and ports) in the Advantech WebAccess Project Manager to allow Public Users to access the Project and SCADA Nodes. Then modify the bwclient.ini file on the SCADA nodes and Project Node behind the Firewall.

If you have a modern router, you don’t need to do Address Mapping since a router will essentially redirect a Public IP Address back to the Private IP Address. Although, this may help improve speed of response by reducing reliance on the router to redirect Private IP addresses back to the private network.

To MAP IP Addresses:

1. On each SCADA Node and Project Node behind a Firewall, edit the bwclient.ini file with Notepad.exe or other text editor.

drive:\WebAccess\node\bwclient.ini

Typically it is at:

C:\WebAccess\Node\bwclient.ini

2. Create a section named [mapping]

3. Enter the Public IP Address and Port and the Private Address and Port of the SCADA Node(s) or Project Node behind the same firewall (i.e. on the same private network).

You use can a Network Name (the Microsoft Net Bios Name).

If using a dedicated Firewall for each SCADA Node or Project Node you can use the private IP address, localhost or even 127.0.0.1. The format is

[mapping]
67.94.27.175:0=192.168.0.175:0

Where the address listed in Project Manager (and deploy file) is on the left, and will be replaced by address on the right (usually a private IP address).

4. Save the bwclient.ini file to drive:\WebAccess\Node. Optionally copy it to the Project node or other SCADA nodes. Optionally copy it to the drive:\WebAccess\Client (for use by web local browser).

Note - even though it says bwclient.ini,when copied to drive:\WebAccess\Node, it is used by the SCADA and Project Node software for acting like a client to itself!

5. Stop webvrpcs.exe in Task Manager on the SCADA Nodes and Project node.

6. Restart webvrpcs.exe. Start -> Programs -> Startup -> Advantech WebAccess Network Service.

Example bwclient.ini file for Client, SCADA or Project Node connecting with network addresses using Private IP Address (i.e. behind a firewall on an Intranet) and with other clients and/or SCADA nodes (who do not use this file) connecting via Public IP Address.

C:\WebAccess\Node\bwclient.ini

[viewer]

bitmap=mspaint.exe

bitmap_width=

bitmap_height=

text=notepad.exe

actlog=notepad.exe

almlog=notepad.exe

[mapping]

67.94.27.175:0=192.168.0.175:0

67.94.27.175:4592=192.168.0.175:4592

67.94.27.175:14592=192.168.0.175:14592

67.94.27.175:80=192.168.0.175:80

About Private IP Addresses

Note that 192.168.0.175 in the above example is a private IP address also known as a Reserved Addresses.

The "blackhole" Servers, "blackhole-1.iana.org" and "blackhole-2.iana.org", are an obscure part of the Internet infrastructure. Specifically, these servers are part of the Domain Name System (DNS), and respond to inverse queries to addresses in the reserved RFC 1918 address ranges:

10.0.0.0 - 10.255.255.255

172.16.0.0 - 172.31.255.255

192.168.0.0 - 192.168.255.255

These addresses are reserved for use on private intranets, and should never appear on the public internet. The 192.168.0.0 addresses are especially common, being frequently used in small office or home networking products like routers, gateways, or firewalls.


8.7.2.2 Windows XP Firewall

8.7.2.2 Windows XP Firewall (Service Pack 2)

The Advantech WebAccess Network Service (Webvrpcs.exe) automatically configures “Windows Firewall” in XP Service Pack 2 to allow Webvrpcs and Datacore to pass on SCADA Node. Webvrpcs on the Project Node also automatically configure “Windows Firewall” to allow Webvrpcs, Datacore and IIS (Internet Information Services) to pass including the Web Server (IIS) and Internet Mail Server (SMTP) protocols. No user action required during installation or later to modify the “Windows Firewall”.

Manually modify Windows Firewall

To manually unblock the Web Server (HTTP) and Internet Mail Server (SMTP) protocols or to turn the Windows Firewall OFF in Windows XP SP2:

Select Start -> Control Panel -> Network and Internet Connections -> Network Connections.

Right Click on ‘Local Area Connection’.

Select Properties -> Advanced -> Settings -> General tab

From the General Tab you can turn the Firewall Off or On.

To verify that webvrpcs and Datacore are enabled, Select the Exceptions tab. Datacore and Webvrpcs should appear on the list and be checked if webvrpcs and Datacore were started and you selected Unblock as described above.

It is recommended to enable (check the box) for ‘Display a notification when Windows Firewall blocks a program. This is the default.

To enable HTTP and SMTP service:

Select the ‘Advanced Tab’ (this is next to the ‘Exceptions’ tab described above).

Select the ‘Settings’ button.

Check to enable Web Server (HTTP) and Internet Mail (SMTP).

Note – you only need to enable SMTP if you are using email of alarms, reports or scripts that send email.


8.7.2.3 HOSTS file for mixed Private and Public Users

Before modifying the Host files, try using the Address Mapping in section 8.7.1.2. These are similar features, but the Host file is built into Windows.

Here is how to use the HOSTS file to force different addresses to be used by Internal Private Intranet Users and External Public Internet user. This is usually done on the Clients to allow external clients to connect to a Private Network or to hide the SCADA node and/or Project Node IP Addresses or port numbers.

This makes for a more secure system by requiring clients to modify the Host file. The actual IP addresses of the SCADA Nodes and Project Nodes are hidden from outsiders.

1. Pick a single "valid" name that works for all possible network connections (IP, Novell Network Name, Microsoft Network Net BIOS Name). No spaces!

In the example below it is PROJECTSCADA

If you use can a Network Name (the Microsoft Net Bios Name), then internal users, the SCADA Node and Project node can be configured to use this name (with out creating the HOSTS file below) and only the external Clients will need the modified HOSTS file.

2. Modify the HOST File for external users to use the same HOST name or Network Name the internal users can use. Further, this name should be a network or host name that the Project Node Software can use to contact the SCADA Node software.

HOST file for external users connecting with Public IP Address.

C:\WINNT\system32\drivers\etc\hosts

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

127.0.0.1 localhost

67.94.27.179 PROJECTSCADA

Note 67.94.27.175 is an example of a Public IP Address

HOST file for internal users, SCADA Node and Project Node connecting with Private IP Address (if Network name can not be used internally)

C:\WINNT\system32\drivers\etc\hosts

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

127.0.0.1 localhost

192.168.0.12 PROJECTSCADA

3. Use UPDATE in Project Manager

a. Change the Network Name of Project Node (IP Address Field) to PROJECTSCADA

b. Change the Network Name of SCADA Node (IP Address Field) to PROJECTSCADA

4. Download your SCADA Nodes.


8.7.3 Routers, Proxy Servers, Port Mapping and NAT

The Advantech WebAccess Project Node and SCADA Node can be mapped to a "Port" on a Router or other Proxy Server. Users from the outside connect to the public IP address of the router with the Port number appended to it. The format is http://ipaddress:port.

If the port number is 8000, and example is http://67.94.27.174:8000.

Advantech WebAccess downloads a "deploy file" which describes the two additional TCP ports used by Web Access Project and SCADA Nodes to the Clients. This deploy file contains the address of the SCADA Nodes and Project Node. This address used in the deploy file must be translatable by all your users.

The design of Advantech WebAccess using Port Mapping requires that the Router/Gateway redirect Private IP Users back to the SCADA Node and Project node when the Public IP:Port is used by the Private IP User (including the SCADA Node and Project Node). Most Routers do this (LinkSYS and CISCO), we believe. This is the second customer to have difficulty.

To configure a access to the Project Node and SCADA Node, for most routers/gateways, enter the Public IP address in SCADA Node and Project Node configuration. Most routers will translate the Public IP Address into a Private IP Address for both External (Public, Internet) and Internal (Private, Intranet) Users.

Many ADSL modems and Novell Border Manager does not connect internal users back to the internal node if a Public IP address is specified by the private user . If the router/gateway does not re-direct internal users to an internal node using a Public IP address, then the HOSTS file is a solution that allows different users to interpret the SCADA and Project Nodes differently. A HOST name is entered in Project Configuration, instead of an IP Address, for the SCADA and Project Nodes.

To read a deploy file in your web browser, using the following format:

http://ipaddress/broadweb/projectname.dpj

To read the deploy file of the Advantech WebAccess Live demo:

http://www.advantech.com.cn/eAutomation/WebAccess/index.asp/broadweb/LiveDEMO.dpj

3 TCP Ports must be mapped to the Project / SCADA Node. The default Port Numbers are:

1) Port 80 is the default Port used for the ASP page (the web page).

2) Port 4592 is the Advantech WebAccess Primary Port used for File Downloads (e.g. graphics, symbols, etc).

3) Port 14592 is the Advantech WebAccess Secondary port is used for real-time data (e.g. setpoints, measurements, status, Trends).

All TCP Ports used by Advantech WebAccess can be modified. The above are the default values.

Port mapping is a way to reduce the number of public IP addresses assigned. Many Advantech WebAccess Nodes can use a single public IP address, each with its own private IP address and a port mapped to those private IP address.

Network Address Translation (NAT) is a method of connecting multiple computers to the Internet (or any other IP network) using one IP address. This allows home users and small businesses to connect their network to the Internet cheaply and efficiently.

The impetus towards increasing use of Port Mapping and NAT comes from a number of factors:

· Security needs

· Shortage of IP addresses

· Ease and flexibility of network administration

Dynamic Port Mapping in NAT automatically provides firewall-style protection without any special set-up. That is because it only allows connections that are originated on the inside network. This means, for example, that an internal client can connect to an outside Project Node /Web server, but an outside client will not be able to connect to an internal Project Node / Web server because it would have to originate the connection, and NAT will not allow that.

Static Port Mapping in NAT makes it possible to make some internal Project Nodes / Web Servers and SCADA Nodes available to the outside world via inbound mapping, which maps specified TCP ports to specific internal addresses, thus making services such as the Web or TCP/IP available in a controlled way.

Advantech WebAccess uses Active Server Pages (.ASP) to communicate with an Access database for engineering and configuration (typically via TCP Port 80). Real-time Data and Animated Graphics are supplied to client Web Browsers using an ActiveX "plug-in" to Internet Explorer 6.0 (the default ports are 4592 and 14592, respectively).

The outside clients will use the Proxy Server's IP Address with the third ports IP appended to it. Clients will type in the IP Address of the Proxy Server : 3rd Port. If the third TCP Port is 3333 and the IP address of the Proxy Server is 67.94.27.175 then Internet Clients must enter for the IP address

http://67.94.27.175:3333

Advantech has set up Proxy Server Port Mapping on Microsoft networks, but where Port 3333 of the Router/Proxy Server is mapped to Project Node's private ipaddress:port 80 (the default web server port).

Any port numbers can be used. The 3333 is just an example, the 4592 and 14592 are just defaults. Both IIS (Internet Information Server) and Advantech WebAccess can be configured to use any port numbers.


8.7.3.1 Port Mapping

Port mapping (or Port Address Translation - PAT) is the process where the packets arriving at the interface are checked by port number and the IP address they want to reach. Based on port numbers, an IP address finds these packets forwarded to the pre-defined private class IP address on the local network.

Advantech WebAccess uses Active Server Pages (.ASP) to communicate with an Access database for engineering and configuration (typically via TCP Port 80). Real-time Data and Animated Graphics are supplied to client Web Browsers using an ActiveX "plug-in" to Internet Explorer 6.0 (the default ports are 4592 and 14592, respectively).

Project Node IIS Web Server Port (default 80)<-private ipaddress -> Proxy Server Third Port (3333 in example) | <--Internet --> router ip:port

Project/SCADA Node Primary Port (default is 4592) <--private ipaddress --> Proxy Server |<---- Internet ----> deploy file tells CLIENT

SCADA Node Secondary Port (default is 14592) <--- private ipaddress ---> Proxy Server |<---- Internet ----> deploy file tells CLIENT

At least three TCP Ports must be mapped, assuming both the SCADA Node and Project Node are the SAME COMPUTER on a private network (i.e. intranet) and are using a Router or Proxy Server: Two ports to the Advantech WebAccess software SCADA Node/Project Node's Primary and Secondary Ports and to map one port to the Web Server port of the Project Node. The Advantech WebAccess Primary Port is Mapped to both the Project Node and SCADA node's Primary Port and the Advantech WebAccess secondary port to just the SCADA Node' secondary port. These three TCP ports all have the same private IP address, just different port numbers.

Advantech WebAccess downloads a "deploy file" which describes the two additional TCP ports used by Web Access Project and SCADA Nodes to the Clients. This deploy file contains the address of the SCADA Nodes and Project Node. This address used in the deploy file must be translatable by all your users.

The design of Advantech WebAccess using Port Mapping requires that the Router/Gateway redirect Private IP Users back to the SCADA Node and Project node when the Public IP:Port is used by the Private IP User (including the SCADA Node and Project Node). Most Routers do this (LinkSYS and CISCO), we believe. This is the second customer to have difficulty.

To configure a access to the Project Node and SCADA Node, for most routers/gateways, enter the Public IP address in SCADA Node and Project Node configuration. Most routers will translate the Public IP Address into a Private IP Address for both External (Public, Internet) and Internal (Private, Intranet) Users.

Many ADSL modems and Novell Border Manager does not connect internal users back to the internal node if a Public IP address is specified by the private user . If the router/gateway does not re-direct internal users to an internal node using a Public IP address, then the HOSTS file is a solution that allows different users to interpret the SCADA and Project Nodes differently. A HOST name is entered in Project Configuration, instead of an IP Address, for the SCADA and Project Nodes.

3 TCP Ports must be mapped to the Project / SCADA Node. The default Port Numbers are:

1) Port 80 is the default Port used for the ASP page (the web page).

2) Port 4592 is the Advantech WebAccess Primary Port used for File Downloads (e.g. graphics, symbols, etc).

3) Port 14592 is the Advantech WebAccess Secondary port is used for real-time data (e.g. setpoints, measurements, status, Trends).

You will have to contact the system administrator that runs the intranet and the Router or Proxy Server. He must map ports from the router / proxy server to the Project Node and SCADA Node(s) addresses. You must configure the Advantech WebAccess Project Node and SCADA Node(s) to use those TCP Ports as the Advantech WebAccess Primary and Secondary Ports. IIS (Internet Information Server) on the Project Node must be configured to use the Third Port. The easiest is to map port 80 of the Advantech WebAccess Project to the third port. This allows other users on the intranet to see the Advantech WebAccess Project node without specifying another port. Alternatively, IIS can be configured to use another Port so that all users can address the Project and SCADA nodes similarly.

The outside clients will use the Proxy Server's IP Address with the third ports IP appended to it.

Clients will type in the IP Address of the Proxy Server : 3rd Port. If the third TCP Port is 3333 and the IP address of the Proxy Server is 67.94.27.175 then Internet Clients must enter for the IP address

http://67.94.27.175:3333

Advantech WebAccess downloads a "deploy file" which describes the other two TCP ports to the Clients. Port *) is used for the ASP page (the web page), The Primary Port is used for File Downloads (e.g. graphics, symbols, etc). The Secondary port is used for real-time data (e.g. setpoints, measurements, status, Trends).


8.7.3.2 Port Mapping Example

The Advantech WebAccess Project Node and SCADA Node can be mapped to a "Port" on a Router or other Proxy Server. This allows the Project Node and SCADA node(s) to be given a Private IP addresses. Users from the outside connect to the public IP address of the router with the Port number appended to it. The format is http://ipaddress:port.

For example, if the port number is 6722 for the Project Node (web server), and the routers IP Address us 67.94.27.227, users would type http://67.94.27.227:6722

Users are directed to the Web Access Project Node/SCADA node and precluded access to any other private IP addresses on the network.

Router - To successfully use NAT to make a Project Node and SCADA Node with private IP Addresses viewable through a Router, use the Router's Public IP Address during configuration of the Project Property and Node Property in Advantech WebAccess Project Manager. Although the SCADA and Project Nodes have private IP Addresses, the Advantech WebAccess Configuration uses the Public IP Address of the router (without the HTTP port number). If using a HTTP Port other than 80, this must be configured in Advantech WebAccess and IIS. Users inside the router will also use the Public IP Address (with port number). This requires a modern Router that re-directs the traffic (from inside and outside) to the Private IP.

Firewall - alternatively, if using a firewall which usually does not allow private IP users to address computers on their network using the Public IP, the trick is to use a HOST name. The HOST file on Private IP users (i.e. inside the firewall) will have that HOST name mapped to a the private IP addresses for the Project and SCADA Nodes. The Public users (outside the firewall, must use a HOST file mapped to the Public IP of the firewall. Or use a DMZ.

Three (3) TCP ports are required. Typically port 80 is already open, this is the port for HTTP (web and ASP pages). Advantech WebAccess needs two additional ports for file transfer (Primary port, default 4592) and real-time data (Secondary Port, default 14592).

Advantech WebAccess downloads a "deploy file" which describes the two additional TCP ports used by Web Access Project and SCADA Nodes to the Clients. The deploy file contains the IP Address of the Router (in place of the IP Address of the SCADA Node and Project Node). It also contains the Port Numbers used for HTTP, Primary and Secondary Ports.

Example Deploy file (Private IP mapped to Router)

Clients in the following example connect using http://67.94.27.227:6722. The following deploy file is downloaded to the Client:

[location]

ip=67.94.27.227

port=4592

timeout=0

dir=.\config

porthttp=6722

[nodeinfo]

SCADANode1=67.94.27.227

[port]

SCADANode1=4592

[timeout]

SCADANode1=0

[port2]

SCADANode1=14592

[nodelist]

node1=SCADANode1

In the above example, the HTTP port is changed to 6722 in both Advantech WebAccess Project Manager and IIS. During Project Node / SCADA Node installation (or by editing the bwserver.ini) and in Advantech WebAccess Project Manager, the Primary Port is 4592 and the secondary port is 14592. Note that the Private IP address of the SCADA and Project Nodes do not appear, instead the Public IP address of the Router (67.94.27.227) appears as if it is the address of the SCADA and Project Nodes.

If the Project Node and SCADA Node are the SAME computer, 3 ports must be mapped to the Project / SCADA Node. If the Project Node were separate from the SCADA node, 4 ports would be needed. Each additional SCADA node would require an additional port (assuming they all share the same primary and secondary ports).

Default Ports

Port 80 is the default HTTP Port used for the ASP page (the web page).

Port 4592 is the default Advantech WebAccess Primary Port used for File Downloads (e.g. graphics, symbols, etc).

Port 14592 is the default Advantech WebAccess Secondary Port is used for real-time data (e.g. setpoints, measurements, status, Trends).

Port mapping is a way to reduce the number of public IP addresses assigned. Many Advantech WebAccess Nodes can use a single public IP address, each with its own private IP address and a port mapped to those private IP address.

Network Address Translation (NAT) is a method of connecting multiple computers to the Internet (or any other IP network) using one IP address. This allows home users and small businesses to connect their network to the Internet cheaply and efficiently.

The impetus towards increasing use of Port Mapping and NAT comes from a number of factors:

· Security needs

· Shortage of IP addresses

· Ease and flexibility of network administration

Dynamic Port Mapping in NAT automatically provides firewall-style protection without any special set-up. That is because it only allows connections that are originated on the inside network. This means, for example, that an internal client can connect to an outside Project Node /Web server, but an outside client will not be able to connect to an internal Project Node / Web server because it would have to originate the connection, and NAT will not allow that.

Static Port Mapping in NAT makes it possible to make some internal Project Nodes / Web Servers and SCADA Nodes available to the outside world via inbound mapping, which maps specified TCP ports to specific internal addresses, thus making services such as the Web or TCP/IP available in a controlled way.

Advantech WebAccess uses Active Server Pages (.ASP) to communicate with an Access database for engineering and configuration (typically via TCP Port 80). Real-time Data and Animated Graphics are supplied to client Web Browsers using an ActiveX "plug-in" to Internet Explorer 6.0 (the default ports are 4592 and 14592, respectively).

The outside clients will use the Proxy Server's IP Address with the third ports IP appended to it. Clients will type in the IP Address of the Proxy Server: 3rd Port. If the third HTTP TCP Port is 6722 and the IP address of the Proxy Server is 67.94.27.175 then Internet Clients must enter for the IP address

http://67.94.27.175:6722

Both "Internal Users" and External Users must refer to the public IP Address. Most modern routers and firewalls support this.

Note - An alternative is to use a Host Name and a Host File instead of IP Addresses. The Internal Users Host name would refer to the private IP and the External Users Host file would refer to the Public IP. The Project Node an SCADA node would also use the Host File and Project Manager configured to use Host Name. Users would type: http://COMPUTERNAME

Advantech has set up Router Port Mapping using NAT on Microsoft networks, where the HTTP Port is changed in IIS (to 4593 in the example) and the Router/Proxy Server is maps Port 4593 to Project Node's private ipaddess:port 4593 (the changed web server port in IIS).

Any port numbers can be used. The 4593 is just an example, the 4592 and 14592 are just defaults. Both IIS (Internet Information Server) and Advantech WebAccess can be configured to use any port numbers.

Note - TCP Ports 4569-4599 are unassigned and 14150-14935 unassigned. (Source http://www.iana.org/assignments/port-numbers)

No other application should be using these port numbers. Advantech WebAccess will not start if another application is using either the Primary or the Secondary ports assigned to Advantech WebAccess (the webvrpcs.exe will fail to start) and the Advantech WebAccess icon [image] will fail to appear in the taskbar of the Project and SCADA Nodes.

To change TCP Ports used by a Project Node through a firewall (HTTP Port and Primary TCP Port), go to the Home page in the Project Manager. This affects all projects on this Project Node. The user must also either edit the bwserver.ini file or reinstall Advantech WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either Advantech WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The appropriate windows service must also be modified (e.g. www service and SMTP service) for the new port numbers.

To change TCP Ports used by a SCADA Node through a firewall (Primary TCP Port ), go to the Home page in the Project Manager, then select Update for the desired Project. To change the SMTP Port or POP3 email port, got to SCADA Node Properties and modify SMTP Port and/or Email Port. The user must also either edit the bwserver.ini file or reinstall Advantech WebAccess software and specify the new TCP ports. Finally, the user must stop and restart either Advantech WebAccess Network Service (webvrpcs) via the Windows Task Manager or restart the computer. The SMTP service, if used or modified, for the new port number.

See Also 8.7 TCP Ports.


8.7.3.3 Network Address Translation - NAT

Network Address Translation (NAT) is a method of connecting multiple computers to the Internet (or any other IP network) using one IP address. This allows home users and small businesses to connect their network to the Internet cheaply and efficiently.

The impetus towards increasing use of NAT comes from a number of factors:

· Security needs

· Shortage of IP addresses

· Ease and flexibility of network administration

NAT automatically provides firewall-style protection without any special set-up. That is because it only allows connections that are originated on the inside network. This means, for example, that an internal client can connect to an outside FTP server, but an outside client will not be able to connect to an internal FTP server because it would have to originate the connection, and NAT will not allow that.

It is still possible to make some internal servers available to the outside world via inbound mapping, which maps certain well know TCP ports (e.g. 21 for FTP) to specific internal addresses, thus making services such as FTP or Web available in a controlled way.

A network address translator (NAT) is an IP router that can translate the IP addresses and TCP/UDP port numbers of packets as they are forwarded. For example, consider a small business network with multiple computers that connect to the Internet. This business would normally have to obtain a public IP address for each computer on the network from an Internet service provider (ISP). With a NAT, however, the small business can use private addressing (as described in RFC 1918) and have the NAT map its private addresses to a single or to multiple public IP addresses.

Why use NAT

NAT is a good solution for the following combination of requirements:

· You want to leverage the use of a single connection, rather than connecting multiple computers, to the Internet.

· You want to use private addressing.

· You want access to Internet resources without having to deploy a proxy server.

Simple address translation

A common application of NAT is simple address translation between private internal network addresses and public external network addresses. This can be done to connect your network using private IP addresses (which are not allowed on the Internet) to the public Internet, which requires the use of officially assigned IP addresses, to avoid renumbering an entire network which uses unreserved IP addresses. NAT is often used where only a single IP address is supplied by your Internet Service Provider (ISP) for use by a number of devices on your LAN. By using single IP address NAT, internal IP addresses are mapped to different port numbers of the external IP address, allowing many devices to use the single IP address simultaneously.

NAT also offers some simple security by not displaying your internal LAN IP addresses to external networks

How network address translation works

If a small business is using the 192.168.0.0 private network ID for its intranet and has been allocated a single public IP address by its ISP, the NAT maps all private IP addresses used on network 192.168.0.0 to the public IP address.

When a private user on the small business intranet connects to an Internet resource, the user's TCP/IP protocol creates an IP packet with the following values set in the IP and TCP or UDP headers (bold text indicates the fields that are affected by the NAT):

· Destination IP Address: Internet resource IP address

· Source IP Address: Private IP address

· Destination Port: Internet resource TCP or UDP port

· Source Port: Source application TCP or UDP port

The source host or another router forwards this IP packet to the NAT, which translates the addresses of the outgoing packet as follows:

· Destination IP Address: Internet resource IP address

· Source IP Address: ISP-allocated public address

· Destination Port: Internet resource TCP or UDP port

· Source Port: Remapped source application TCP or UDP port

The NAT sends the remapped IP packet over the Internet. The responding computer sends back a response to the NAT. When it is received by the NAT, the packet contains the following addressing information:

· Destination IP Address: ISP-allocated public address

· Source IP Address: Internet resource IP address

· Destination Port: Remapped source application TCP or UDP port

· Source Port: Internet resource TCP or UDP port

When the NAT maps and translates the addresses, and forwards the packet to the intranet client, it contains the following addressing information:

· Destination IP Address: Private IP address

· Source IP Address: Internet resource IP address

· Destination Port: Source application TCP or UDP port

· Source Port: Internet resource TCP or UDP port

For outgoing packets, the source IP address and TCP/UDP port numbers are mapped to a public source IP address and a possibly changed TCP/UDP port number. For incoming packets, the destination IP address and TCP/UDP port numbers are mapped to the private IP address and original TCP/UDP port number.

The mappings for private to public traffic are stored in a NAT translation table, which can contain two types of entries:

1. Dynamic mappings

Created when communications to Internet locations are initiated by private network clients. Dynamic mappings are removed from the NAT translation table after a specified quantity of time.

2. Static mappings

Configured manually so that communications initiated by Internet clients can be mapped to a specific private network address and port. Static mappings are needed when there are servers (for example, Web servers) or applications (for example, games) on the private network that you want to make available to computers that are connected to the Internet. Static mappings are not removed from the NAT translation table.

The NAT only forwards traffic from the Internet to the private network if a mapping exists in the NAT translation table. In this way, the NAT provides a level of protection for computers that are connected to private network segments. However, a NAT should not be used in place of a fully-featured firewall when Internet security is a concern.

Limitations of NAT

Typical network address translation relies on the translation of:

· The IP addresses in the IP header.

· The TCP port numbers in the TCP header.

· The UDP port numbers in the UDP header.

Beyond these three items, additional translation requires processing by software components called NAT editors. For example, Hypertext Transfer Protocol (HTTP) traffic that is used to access Web servers does not require a NAT editor because HTTP traffic requires only the translation of the IP address in the IP header and the TCP port in the TCP header.

· NAT editors are required in the following instances:

· An IP address, TCP port, or UDP port is stored in the payload.

For example, File Transfer Protocol (FTP) stores the dotted decimal representation of IP addresses in the FTP header for the FTP port command. If the NAT does not properly translate the IP address within the FTP header and adjust TCP sequencing, connectivity problems might occur.

· TCP or UDP is not being used to identify the data stream.

For example, data that is tunneled with the Point-to-Point Tunneling Protocol (PPTP) does not use a TCP or UDP header. Instead, a Generic Routing Encapsulation (GRE) header is used and the Tunnel ID, which is stored in the GRE header, identifies the data stream. If the NAT does not properly translate the Tunnel ID within the GRE header, connectivity problems might occur.


8.7.3.3.1 Windows 2000 NAT components

Windows 2000 NAT is installed as an IP routing protocol component of the Routing and Remote Access service provided with Windows 2000 Server. You can use the Routing and Remote Access Server Setup Wizard or install it separately as the Network Address Translation (NAT) IP routing protocol component. Windows 2000 NAT is designed primarily for home networks and small to medium-sized organizations.

Windows 2000 NAT includes editors for FTP, Internet Control Message Protocol (ICMP), and PPTP. Because IP Security (IPSec) traffic is not translatable, even with an editor, private network computers cannot use L2TP/IPSec to make VPN connections to VPN servers on the Internet.

Windows 2000 NAT consists of the following components:

· NAT translation component

Translates packets between private networks and the Internet. The NAT translation component is enabled by default.

· DHCP allocator addressing component

Provides IP address configuration information for the private network computers. The DHCP allocator is a simplified DHCP server that allocates an IP address, a subnet mask, a default gateway, and the IP address of a DNS server. You must configure computers on the private network as DHCP clients in order to automatically receive the IP configuration. The DHCP allocator is disabled by default.

· DNS proxy name-resolution component

Acts as a DNS server for the other private network computers. When the DNS proxy receives name resolution requests, it forwards them to the Internet-based DNS server for which it is configured and returns the responses to the private network computer. The DNS proxy is disabled by default.

Network address translation (NAT) protocol settings

After the Network Address Translation (NAT) routing protocol component is installed, you can use its properties to:

· Set the frequency in which dynamic mappings for TCP and UDP traffic are removed from the NAT translation table (Translation tab).

· Specify Internet applications that respond on ports other than the port of the initial connection request (Translation tab).

· Enable the DHCP allocator and configure both the private address range and any exclusions (Address Assignment tab).

· Enable the DNS proxy and specify a demand-dial interface (Name Resolution tab).

Public and private interfaces

Interfaces that are added to the NAT routing protocol component must be designated as either a public interface (a single interface connected to the Internet and assigned a public address) or a private interface (an interface connected to a private network segment that uses private addresses).

When you have multiple private interfaces, you should not enable the DHCP allocator. If you do, DHCP-based private computers on separate network segments can communicate with Internet resources, but not with each other.

Public interface settings

On the public interface, you can configure the following settings to specify:

· Whether to translate TCP and UDP headers (General tab).

· The public address pool assigned by your ISP (if you have more than one public IP address) and any reserved public addresses (Address Pool tab)

· Static NAT translation table mappings that allow traffic initiated from Internet computers (Special Ports tab)

Windows 2000 NAT and Internet Connection Sharing

Windows 2000 includes a simplified version of a NAT named Internet Connection Sharing (ICS). ICS can be enabled on the Sharing tab in the properties of a connection in Network and Dial-up Connections. The most significant differences between NAT and ICS are the following:

· ICS does not allow any configuration beyond specifying a dial-up connection to use and configuring Internet applications that respond on ports other than the port of the initial connection request. Neither the ICS DHCP allocator nor DNS proxy can be disabled. Therefore, you cannot use ICS in an Active Directory environment or where standalone DHCP servers are used.

· ICS supports only a single private network segment, while NAT supports multiple private network segments.


8.7.3.3.2 Setting up Windows 2000 NAT

To run the Routing and Remote Access Server Setup wizard to configure your Windows 2000 NAT:

1. Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

2. Right-click your server name, and then click Configure and Enable Routing and Remote Access.

3. In Common Configurations, click Internet connection server, and then click Next.

4. In Internet Connection Server Setup, click Set up a router with the Network Address Translation (NAT) routing protocol, and then click Next.

5. In Internet Connection, click Use the selected Internet connection.

6. Click the interface that is connected to the Internet (the public interface), and then click Next.

7. Click Finish.

8. To enable the DHCP allocator, right-click the Network Address Translation (NAT) IP routing protocol, and then click Properties. Click the Address Assignment tab, and then click Automatically assign IP addresses by using the DHCP allocator.

9. To enable the DNS proxy, click the Name Resolution tab, and then click Clients using the Domain Name System (DNS).


8.8 Add or Update a User

A User can VIEW a SCADA Node using the Web Browser VIEW or ViewDAQ. The SCADA node user types are Power User, General User and Restricted User. These users can login only to VIEW or ViewDAQ.

(Note - See Add a Project User, to create an account to access the Project Manager and configure tags, DRAW, download, etc.).

There are two ways to access User List to create or modify a User account to use VIEW a SCADA Node:

A. The Advantech WebAccess User Management button on the project Node (bwRoot.ASP).

1a. Connect to the Project Node.

2a. Select Advantech WebAccess User Management button on the Project Node.

3a. Select a Project.

4a. Login with a user name (must be Admin or a Project User).

5a. Enter the password

OR

B. The User hyperlink on the Project Properties Page.

Figure 8-4 – Add or Update User - Project Property

1b. Log in to Project Manager.

2b. Select the Project the user will access.

3b. Usually the SCADA Node Properties appears.

4b. Select the Project Hyperlink to open Project Property Page.

5b. Select User hyperlink in Project Properties.

Which ever method you chose above, takes you to the same User List (figure 8-5 below).

6. The User List appears.

Figure 8-5 - User List to Add or Update User account

7. Select Add User to create a new user or select Update to modify an existing user.

8. The Create User or Update User page appears (they look the same).

Figure 8-6 – Add or Update – Power User

9. Select a User Type from the pull down list (Figure 8-6).
The choices are : Power User, General User and Restricted User.

10. Enter a User Name if you are adding a new user. Changing the name of an existing user will change the name (not create a new user account).

11. The Password can be up to 8 characters and is case sensitive. There is no way to view an existing password. So if you have forgotten it, you have to enter a new password.

12. Area corresponds to the Security Area the tags are assigned a user may change. To change the value of a Tag, user must be assigned a Security Level greater or equal to the Level assign to the Tag in the same Area the Tag is assigned. A user may have a different Level for each Area of the project that the user is to access. Security Level can be from 0 to 127. (127 = admin) How many Areas you divide your plant by your design. Many projects start with only one Area (Area 0). Area 0 is the default for tags. You can leave unused Areas unchanged and fill in Level only for Areas that apply. For in-depth description see Area and Level.

13. Local Tag, View Tag, Tag Field and ViewDAQ enable a user to change non-IO tags, system tags and exit ViewDAQ. Enter a value of 127 (the admin level) for each applicable field if a user is to modify local tags (user built screen tags for displays and reports), View Tags ( %ViewDAQ system tags including Simulation Mode %DKRLMODE) or Tag Fields (e.g. alarm limits, Span Hi, Span Lo and other online configuration changes).

14. Enter a value of 127 in ViewDAQ if the user is to be able to modify and Save Display Groups in ViewDAQ. A number less than 127 defines the Exit Password Level this user has when trying to close ViewDAQ windows on the SCADA Node in order to exit ViewDAQ and stop the SCADA Node kernel locally.

15. Node Access. A user must be assigned to either ALL NODES or one or more nodes in the system. If the user is not assigned to a node, he/she will not be able to login to that node using VIEW or ViewDAQ.

16. Graphic Page Access. Power and General Users can be assigned a default Graphic that will appear when they log-in. Otherwise, the Main.bgr graphic will appear. Power Users can View all displays including the system displays (Action Log, Alarm Log, Station Status and Global Script Displays). General users can view all user built displays, trends, alarm summary and alarm group displays.

The Default Graphic is the display the user will see after Log in using VIEW (the web browser). A Restricted User must be assigned a Default Graphic to Login to a node using View.

The default graphic is optional for Power Users and General Users. If no Default Graphic is assigned to a Power or General User, then the Main.bgr will appear when using View.

ViewDAQ – ignores the Default Graphic and Restricted User display restrictions. Main.bgr or the graphic saved with the Display Group appears for all users when ViewDAQ or a Display Group is first opened.

17. To assign a Default Graphic, select the Default Graphic field with the mouse.

18. Click the Graphic List to view a list of all graphic displays (*.bgr)

Figure 8-7 - Select Graphic List

19. Select a graphic from the list by clicking on it. Alternatively, you can type the name of a Graphic Display that you plan to build in the future.

20. Select the menu pull down icon to assign graphics for this user on another SCADA Node (Figure 8-7).

21. If you are Adding or Updating a General User or Power User you are done. Press Submit.

If you are adding a Restrict User, continue with the next section – Graphic Page Access – Restricted Users.

22. There are two ways to download these changes to the SCADA Node:

22a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

22b. Use the Download hyperlink on the User List Page (figure 8.5 above). This will download changes to the Users & Passwords without stopping the SCADA node.

Note – Power and General Users can view all user built (*.bgr) graphic displays. Power Users can View all system displays.


8.8.1 Graphic Page Access - Restricted Users

Twenty (20) additional user-built graphics (*.bgr) can be assigned to a Restricted User. The ability to Acknowledge Alarms with the ACK button or Change the value of Tags can also be restricted or enabled for each Graphic Display. Follow the steps to Add or Update a User in the preceding section to add the user and a Default Graphic.

Figure 8.8 Graphic Page Access - Restricted User ACK and Change

22. For the Default Graphic, uncheck ACK to disable the ability to Acknowledge Alarms on the Default Graphic Display.

23. Uncheck CHANGE to disable the ability to Change any Tag on the Default Graphic display.

Note - Area and Level security still applies if Change is enabled (checked). If CHANGE is enabled, the restricted user must be assigned a security Level and Area appropriate for the tag in order to change it.

24. To assign additional Graphic Displays (up to 20 additional), click the Numbered Field (01, 02, ... 20) with the mouse.

25. Click the Graphic List (Figure 8.7) to view a list of all graphic displays (*.bgr)

26. Select a graphic.bgr from the list by clicking on it. Alternatively, you can type the name of a Graphic Display that you plan to build in the future.

27. Press Submit when you are finished.

28. The User account will become active (and any changes made) after you Download the SCADA Node.

Alarm Summary

Alarm Summary limited to assigned Areas, can be assigned to Restricted Users. This feature allows a Restricted Users to see and acknowledge only alarms associated with Tags assigned to specific Areas. The “Area” is the “Security Area” assigned to the tag in tag properties. The “Areas” are then assigned to the Restricted Users using the “Graphic Page Access” in User Security. The format in the “Restricted User Graphics Access” is:

almsummary:Area Number, Number2, Area n

For a continuous range of Security Areas, the format is:

almsummary:Area Number-Area Number n

For example, to assign the alarm summary for Areas 1 and two, the graphic page entry be: almsummary:1,2

Only tags assigned to Security Areas 1 and 2 will show in the alarm summary with the above example.

For example, to assign Areas 10 through 17, the graphic page entry would be: almsummary:10-17

Only tags assigned to Security Areas 1,2, and 10 through 17 will show in the alarm summary with the above two examples entered in the Restricted User Graphics Access.

The “Acknowledge All” button will not work for a Restricted User. Acknowledge Screen and Acknowledge Tag will work. The Alarm Summary has all these buttons and can be edited to remove them by editing the almsum.dxx and saving as almsum.bxx

Data Log Trend Groups

Data Log Trend Groups can be assigned to Restricted Users. The format in the “Restricted User Graphics Access” is:

dlogtrd:Group Number, Trend Group Number2, Trend Group Number n

For a continuous range of Security Areas, the format is:

dlogtrd:Trend Group Number-Trend Group Number n

For example, the format to assign a Data Log Trend Group 2,3 and 5 to restricted user is: dlogtrd:2,3,5

Only Data Log Trend Groups 2,3 and 5 can be viewed using the above entry in Restricted User Graphics Access.

For example, tTo Assign a range of Data Log Trend groups (10 to 17): dlogtrd:10-17

The “Change Value” pushbutton will only work if the User is assigned to the Area that matches the Security Area and Security Level of the tag (i.e. the user may be allowed to view the tag, but not change it).

Real Time Trend Groups, Alarm Groups and Faceplate Groups

Similar to the above, Real Time Trend Groups, Alarm Groups and Faceplate Groups can be assigned to to Restricted Users.

The format in the “Restricted User Graphics Access” is:

realtrd: Group Number, Group Number2, Group Number n

almgroup:Group Number, Group Number2, Group Number n

fplgroup:Group Number, Group Number2, Group Number n

For a continuous range of Security Areas, the format is:

realtrd:Trend Group Number-Trend Group Number n

almgroup:Alarm Group Number-Alarm Group n

fplgroup: Faceplate Group Number- Faceplate Group Number n

Examples to assign Groups 2,3 and 5 to restricted user are:

realtrd:2,3,5

almgroup:2,3,5

fplgroup:2,3,5

To Assign a range of groups (10 to 17):

realtrd:10-17

almgroup:10-17

fplgroup:01-17

The “Change Value” pushbutton will only work if the User is assigned to the Area that matches the Security Area and Security Level of the tag (i.e. the user may be allowed to view the tag, but not change it).


8.8.2 Change Password locally on SCADA Node

To change a user's password locally on SCADA Node, run BwRPswd.exe from Windows command prompt on SCADA node. This does NOT update to project node.

Command Syntax:

BwRPswd ProjectName NodeName UserName OldPassword NewPassword NewPassword

For an empty password use "".

Examples:

Change user: admin password from a to b on project P1, SCADA node N1.

BwRPswd P1 N1 admin a b b

Change user:admin password from empty to xyz on project P1, SCADA node N1.

BwRPswd P1 N1 admin "" xyz xyzeac


8.9 Add or Update Project User

You can create users with all the abilities of an admin by creating Project User account and a User Account with the same name. The user should be given Security level 127 (admin level) for all Areas, Local Tag, View Tag and Exit ViewDAQ.

The Project User and Admin accounts are created and modified on the Project Manager Home Page.

Project Users and the admin account can access the Project Manager. Project Users can not access the SCADA Nodes using VIEW or ViewDAQ, unless a second account is created in Users (on Project Property Page) with the same user name and password. Similarly, other Users can not access the Project Manager, unless a Project User account is created.

Administrator

· Can use Database Configuration Tool (Project Manager).

· Can use Web DRAW to build and edit graphics.

· Can View all Displays in system through Web Browser (including Action Log, Alarm Log, User Programs and Station Status Displays)

· Access all tags using the Point List Dialog box.

Note - There is only one Administrator account in a project. The default name is admin and can not be renamed. An account with admin privileges can be made By creating a Power User and a Project User with the same name and password.

Project User

· Can use Database Configuration Tool (Project Manager).

· Can use Web DRAW to build and edit graphics.

· Can NOT View displays in run-time.

· Can View Reports, System Log, Analog Tag Log, Discrete Tag Log, Alarm Log and Action Log through Project Manager

· Can Create, Modify and Download Schedules through Project Manager.

Note - only Users that are assigned as Project Users can use Database Configuration Tool (Project Manager) or use web-browser based DRAW.

Note 2 - The Project User can also be assigned as either a power, general or restricted user to enable viewing graphics in run-time View.

A user with all the security features of Admin can be created by creating two accounts with the same name, a Project User and a Power User (with security Level 127 for all Areas, Local Tag, View Tag, etc.).


8.9.1 Add or Update Project User or admin

1. Log in to Project Manager or if already connected, hit HOME link at the top right of most pages.

2. Select Admin / Project User on the Project Manager Home Page.

3. Project User list appears.

Figure 8.9- Project User List

4. Enter User name and password to create a new users account.

5. Enter the password twice to verify correct entry.

6. Press the Submit button

7. Select Update to modify an existing account.

8. The update Project Users page appears.

Figure 8.10 - Update Project User

9. Make you changes and press submit.

Note – change the user name renames the existing account (it does not create a copy).

You can create users with all the abilities of an admin by creating Project User account and a User Account with the same name. The user should be given Security level 127 (admin level) for all Areas, Local Tag, View Tag and Exit ViewDAQ.


9. System & Template Displays

System Displays

Pre-built System Template displays provide an “Out-of-the-Box” solution. Using Advantech WebAccess, you can download and start controlling without any display building. This reduces the work to build a functioning system and allows commissioning to begin before user-built displays are complete.

System Template Displays allow all Tags, Alarms, Trends, Reports and Operator Actions to be viewed immediately without building a single new graphic. Advantech WebAccess “fills in” the Tag Names and Block Names “on-the-fly” in VIEW allowing you to view and control without display building or “connecting” tags to display fields. The System Displays in Advantech WebAccess provides all the functionality found in DCS and DDC systems used in process control and facilities automation systems.

Template Displays

User can also modify or create new Template Displays to allow hundreds tags to be viewed using one of a few templates. Pre-built templates displays are supplied with all Advantech WebAccess systems for Alarm Summary, Real-Time Trends, Data Log Trends, Faceplate Groups, Alarm Groups, Overview of Faceplate Groups, Alarm Log, and Action Log.

The Block detail displays allow a single graphic display, including animation, to be used to view all blocks tags of the same block type. This dramatically reduces time to implement a system. Additional Block Tags that are added the system a viewed instantly without building or modifying a display. Many drivers come with default block displays for commonly used block types (e.g. PID controllers, Air Handlers and VAVs). The default Analog Point Display allows all analog tags to be viewed using this one display

The engineers and technicians using DRAW can edit template displays. Template displays include Analog Point Detail, Digital Point Detail, Text Point Detail, Parameter Detail, Block Detail, Data Log Trend, Real Time Trend, Alarm Log, Action Log and Faceplate Group and Overview displays.

Blocks

IO Blocks are a type of tag (our competitors call them super tags). Blocks allow multiple data values read or written from automation devices to be grouped into a single object. Blocks are most commonly used to represent PID controllers, VAVs and other multiple value "instruments" found in a control and automation systems. The typical elements of a PID block include Measurement, Setpoint and Output of the controller. For more information, see the chapter dedicated to blocks, Advanced Block, Parameter & Tag Configuration , Chapter 5.

Standard Popup Dialog Boxes

System development is made easier and faster by utilizing the standard Dialog Boxes for user interaction. These boxes are pre-built and popup when a user tries to change a tag (Change Dialog Boxes, one for Analog, Digital and Text tags) or request a display list (User Built Displays, Trend Displays, Data Log Trend Displays, Overview Displays, Faceplate Displays and Alarm Groups.

A partial list of Standard Popup Dialog Boxes are:

· Point Info (Tag Browser)

· Analog Change Dialog Box

· Digital Change Dialog Box

· Multi-STATE DISCRETE CHANGE DIALOG BOX

· Text Change Dialog Box

· Point GOTO Dialog Box

· Login & Password Dialog Box

Users can create their own pop-up dialog boxes using:

· Display Groups in ViewDAQ and

· the GOTO URL keymacros and Action Command and bwViewpg.

Scheduled Reports and ODBC Logs

Advantech WebAccess also provides displays for VIEW and ViewDAQ that allow Power Users to view past , current and in-progress Reports, and create custom HTML reports based on Fill-in-the blank” from the System Log, Analog Tag Log, Discrete Tag Log, Alarm Log and Action Log. See Reports, chapter 21.

The Scheduler Reports

Advantech WebAccess also provides displays for VIEW and ViewDAQ that allow Power Users to view, modify and download Schedules See Scheduler, chapter 18.


9.1 Pre-Built Displays and Logs


9.1.1 View and Control without Building a single Graphic

Advantech WebAccess provides pre-built system displays and Dialog Boxes that allow you to monitor, control, change values, manage and acknowledge alarms, monitor Communications Status, and more.

Users can commission and checkout a Advantech WebAccess system without building a single user-built graphic. A control system could be run successfully using only the pre-built system displays , Dialog Boxes and Logs in Advantech WebAccess.

In order of appearance, the Pre-built Displays are:

Welcome Graphic - with Login Prompt. Prompts users to login.

Login Dialog Box

Main Graphic (Main.bgr and Main.drw)- so users don't see a blank screen.

Point Info Dialog Box - allows users to browse every Tag and Block in the system, see its current value and description, Change its value. Acknowledge Alarms.

Point Detail Display - provides a full page Graphic for any tag in the system. It allows users view all details of every Tag in the system, including its current value and all the "Tag Fields" associated with the Tag or BLOCK:PARAMETER. Tag Fields include Alarm Limits, Hi and Lo Span, Address, other configuration data and run-time statuses. There are actually three Point Detail Displays ( Analog, Discrete and Text) that are called automatically based on the BLOCK:PARAMETER's or Tag's data type.

Alarm Summary - Shows all current alarms. Users Acknowledge Alarms, sort and filter them, etc.

Alarm Log - a History of all past alarms.

Action Log - A History of Operator Actions

Station Status - shows status of all communication Ports and automation devices (e.g. stations).

Real-Time Trends - shows real-time trend data for and tag. (At least one Real-time Trend Group must be configured. Easy as entering a single tag name in Project Manger).

Data Log Trend - Shows Historical and Realtime data for tags configured with Data Log.. (At least one Data Log Trend Group must be configured and a Tag must have its Log Data field checked).

User Program Status - shows status of any configured user programs (i.e. 3rd Party or custom programs).

Faceplate Group - a Text Based display showing the values of tags entered into a list.

Overview Group - A summary Display of all Faceplate Groups.

Video - shows any configured Video Cameras.

Recipes - Shows any configured Recipe Displays.


9.2 Template Displays


9.2.1 As Productivity Tools

Template Displays allow all tags to be viewed using one of a few templates. For example, the Block detail displays allow a single graphic display, including animation, to be used to view all blocks tags of the same block type. Using only 6 Block Detail Displays (one for each VAV Controller Type in the facility) a Advantech WebAccess user views over 300 VAV Controllers. This dramatically reduces time to implement a system, by reducing display building (or the time to copy a display and replace all the names). Additional Block Tags (VAV Controllers) that are added to the system are viewed instantly without building or modifying a display.

Many drivers come with default block displays for commonly used block types (e.g. PID controllers, Air Handlers and VAVs).

The default Analog Point Display allows all analog tags to be viewed using this one display. Similarly, the Digital Point Detail and Text Point Detail allow all tags to be viewed without any display building.

The Pre-built Template displays provide an “Out-of-the-Box” solution. Using Advantech WebAccess, you can download and start controlling without any display building. This reduces the work to build a functioning system and allows commissioning to begin before user-built displays are complete

Template displays include:

Alarm Summary – view all current alarms

Alarm Log – view last 10,000 alarms

Action Log – view last 10,000 operator actions

Analog Point Detail – view all Analog-type Tags

Digital Point Detail – view all Discrete-type Tags

Text Point Detail – view all Text-type Tags,

Block Detail – view all Blocks of the same Block Type with one Display (or group of displays)

Data Log Trend – View Historical Trend Data from Hard Drive vs. Time in a graphic line plot. 12 tags per display.

Data Log X-Y Plot – View Historical Trend Data from Hard Drive in an X-Y Plot of 11 tags versus a 12th tag.

Real Time Only Trend – View current Trends vs. Time in a graphic line plot. 12 tags per display without recording to Hard Drive

Real Time Only Plot– View current Trends vs. Time in an X-Y Plot of 11 tags versus a 12th tag without recording to Hard Drive.

Faceplate Group – A Text Only display allows viewing all Blocks and Tags assigned to a Faceplate group. Mimics the Faceplates of DCS systems.

Overview – A Text only display allows viewing all Faceplate Groups. Mimics DCS displays.

Station Status – shows communications status of Comports and Devices.

Global Script Status – shows status of Tcl Scripts running on the SCADA Node.

User Program Status – shows status of any User Programs running on the SCADA Node.

Engineers and technicians, using DRAW, can edit template displays.

Pre-built Template Graphics

The following displays are pre-built. Advantech WebAccess uses these as a "template" and fills in the data fields with the real-time data for the selected Tag or Group. This allows one graphic template to be used to view many tags as if it where multiple copies of the same display. The for example, the Point Detail Display ensures every tag in the system can be viewed by at least one pre-built graphic. The source (DRAW) files typically have the *.dxx extensions, although *.drw files can be used. The runtime (VIEW) files usually must have the *.bxx extension to function with the pushbuttons, keymacros and menus.

Block Detail Displays - provide access to detailed information about a multiple parameter block type tag, such as measurement, setpoint, output and tuning parameters. Block Detail Displays are commonly used to view PID controllers. A single block detail display can be used to view all tags of the same Block Type. Engineers and technicians can modify these. Default Block detail displays are provided for many Web Access Device types and Drivers.

There can be multiple pages assigned to a block detail display, numbered *.BD1, *.BD2, *.BD3 etc. For example, a multiple page for a VAV Block would have VAV.BD1, VAV.BD2 and VAV.BD3. For More information, see Blocks, section 5 and Block Detail Display, section 9.2.3.

The file extension for source (DRAW) files are: *.DXX
The file extension for runtime (VIEW) files are: *.BDX
(where x is an integer starting with 1).

Trends and X-Y Plots — present real-time and historical data in trends and x-y plots. Advantech WebAccess uses template(s) to generate all Trend Displays from user specified Trend Groups. The user can edit the default template to customize the appearance of trends. There are four trend types: Real-time trends, Data Log Trends, Real-time XY plots and Data Log X-Y plots. Real-time trends do not record data to the hard drive and are typically used for temporary data like tuning. Data Log trends access Data Log records from the hard drive of the SCADA node and update in real-time. For more information, see Data Logging & Trends, section 6 .

The default source (DRAW) files for trends are: DLogTRD.DXX, DLogXYP.DXX, RealTRD.DXX, and RealXYP.DXX
The runtime (VIEW) files for trends are: DLogTRD.BXX, DLogXYP.BXX, RealTRD.BXX, and RealXYP.BXX

Recipe Displays — These list the preset and current values for dynamic points listed in recipe files, which are set up using the Recipe Handler option. For more information, see Recipes, section 13.

The default source (DRAW) file for Recipes is: Recipe.DXX
The runtime (VIEW) files for Recipes: Recipe.BXX

Overview Group Displays — summarize the information contained in faceplate groups. Web Access generates all overviews from a default template graphic. Users can modify this template in the Graphics Builder. By building a list of Tags using the Faceplate Group properties page in Advantech WebAccess Configuration, Advantech WebAccess will generate a large number of displays quickly. For more information, see Overview Display, section 9.3.2.

The default source (DRAW) file for Overview is: Ovrgrp.DXX
The runtime (VIEW) files for Overview is: Ovrgrp.BXX

Faceplate Group Displays — summarizes the information for a group of 8 tags. The user specifies the tag names. Advantech WebAccess uses the same faceplate template to view all Faceplate Groups. This is a fast way to view a large number of tags, both block type and single point tags, by simply specifying the tag names in a list. Users can edit the Faceplate Template display in the Display Editor.

For more information, see "System & Template Displays” or Faceplate Group Display, section 9.3.1.

The default source (DRAW) file for Overview is: fplgrp.dxx
The runtime (VIEW) files for Overview is: fplgrp.BXX

Point Detail Displays — provide access to detailed point information, such as alarms, alarm limits, communications status and other "fields" associated with the tag. Three default Point Detail displays are provided:

· Analog.BPD can view all analog-type tags in the system.

· Digital.BPD can view all Discrete-type tags in the system

· Text.BPD can view all Text-type Tags in the system

Engineers and technicians can modify these. See "System & Template Displays” or Point Detail Display, section 9.2.2.

The extension for source (DRAW) files are *.DXX
(e.g. analog.dxx, digital.dxx, and text.dxx)

The extension for runtime (VIEW) files are *.BXX
(e.g. analog.bxx, digital.bxx, and text.bxx)


9.2.2 Point Detail

Point Detail Displays — provide access to detailed point information, such as alarms, alarm limits, communications status and other "fields" associated with the tag. Three default Point Detail displays are provided:

· Analog.BPD can view all analog-type tags in the system.

· Digital.BPD can view all Discrete-type tags in the system

· Text.BPD can view all Text-type Tags in the system

Engineers and technicians can modify these Point Detail Displays.

The extension for source (DRAW) files are *.DXX
(e.g. analog.dxx, discrete.dxx, and text.dxx)

The extension for runtime (VIEW) files are *.BPD
(e.g. analog.bpd, discrete.bpd, and text.bpd)

The Point Detail Display provides a full page Graphic for any tag in the system. It allows users view all details of every Tag in the system, including its current value and all the "Tag Fields" associated with the Tag or BLOCK:PARAMETER. Tag Fields include Alarm Limits, Hi and Lo Span, Address, other configuration data and run-time statuses. Some Tag Fields can be modified on-line, for example the Alarm Limits. When the SCADA Node restarts or is downloaded, the Tag Fields will revert to their values stored on the Project Node (the Configuration Database).

Advantech WebAccess automatically calls the appropriate Point Detail based on the BLOCK:PARAMETER's or Tag's data type (e.g. Analog, Discrete or Text).

The point detail guarantees that every Tag can be viewed from a graphic display.

Figure 9.1 - Analog Point Detail Display for Block named TIC101, the MEAS parameter

For example, Analog type Tags have parameters NAME, DESCRP, ALMHI, ALMLO, DESC, ENUNIT, SPANHI and SPANLO.

When modifying or building an Analog Point Detail, the animation is connected to:

· NAME for tagname,

· DESCRP for description

· ALMHI for the Hi Alarm Limit,

· ALMLO for the Low Alarm Limit,

· SPANHI for the High Span,

· SPAN LO for Low Span and

· ENUNIT for engineering Units, .

For Example, if AC1_OAT is an Analog Tag, during run-time, Advantech WebAccess inserts the tag name in front of the parameter (with a colon) to create AC1_OAT.NAME, AC1_OAT.NAME, AC1_OAT.DESCRP, AC1_OAT.ALMHI, AC1_OAT.ALMLO, AC1_OAT.DESC, AC1_OAT.ENUNIT, AC1_OAT.SPANHI and AC1_OAT.SPANLO. The user sees

AC1_OAT
Outside Air Temperature
87
55
130
15
DEGF

The Point Detail Displays are pre-built template displays supplied with Web Access. These displays can be customized by engineers and technicians using DRAW. How your Point Detail Display appears, its Colors, Fonts, etc. may vary based on how (or if) the Analog.Bxx, Digital.Bxx and Text.Bxx (and associated *.dxx) on your system are modified.

The Point Detail Display is also part of the Overview Display Hierarchy that allows users to “Drill Down” from an Overview to more Detailed information:
Faceplate Group Display -> Block Detail -> Parameter Detail

See Overview /Faceplate Group Display Hierarchy for more information.


9.2.2.1 Create or Modify a Point Detail Display

A Block Detail Display is created and edited like any other graphic using DRAW.

There are two tricks to creating a Block Detail Display

1. The Tag Field is used for animation (not the full tag or parameter name). See Tag Fields, section 4.8, for a list and description of the Tag Field associated with each Tag Type. These also appear under the FIELD button on the Dynamic Animation Dialog Box in DRAW.

2. The Detail Name must match the Tag Type with the .BPD extension (analog.bpd, digital.bpd and text.bpd).

The extension for source (DRAW) files are *.DXX
(e.g. analog.dxx, digital.dxx, and text.dxx)

The extension for runtime (VIEW) files are *.BPD
(e.g. analog.bpd, discrete.bpd, and text.bpd)

To edit a Point Detail Display

1. Start DRAW

2. Select Open DRW from the menu bar or the Top Toolbar icon [image].

3. Enter *.dxx in the file name field.

Figure 9.2 Open DXX using *.dxx in file name field

4. Select analog.dxx, digital.dxx or text.dxx as appropriate.

5. Add Dynamic Text, Trends and animation using the Tag Field name. This can be selected easily by clicking the FIELD button, then selecting the Tag Field from the list.

Figure 9.3 TAG FIELD list - DRAW a Point Detail Display

6. Use Save BPD to save the new Point Detail Display (e.g. analog.bpd, discrete.bpd, and text.bpd).

7. The source file can be saved as either a *.DRW or *.DXX. DRW will be more convenient for future access (you can skip 3 next time, and select analog.drw, digital.drw or text.drw, as appropriate).


9.2.3 Block Detail

Block Detail Displays - provide access to detailed information about a multiple parameter block type tag, such as measurement, setpoint, output and tuning parameters. Block Detail Displays are commonly used to view PID controllers. A single block detail display can be used to view all tags of the same Block Type. Engineers and technicians can modify these. Default Block detail displays are provided for many Web Access Device types and Drivers.

There can be multiple pages assigned to a block detail display, numbered *.BD1, *.BD2, *.BD3 etc. For example, a multiple page for a VAV Block would have VAV.BD1, VAV.BD2 and VAV.BD3. For More information about Blocks, see Blocks, section 5.

The file extension for source (DRAW) files are: *.DXX
The file extension for runtime (VIEW) files are: *.BDX
(where x is an integer starting with 1).

The Block Detail Display allows a single display to be used to view many Block-type Tags of the same Block type. All "Blocks" of the same Block Type can be viewed using a single Block Detail Display. The classic use of a Block Detail Display is for a PID Controller: Measurement, Setpoint, Output, and tuning parameters for all PID blocks are viewed using the one Block Detail Display. Some Device Types in Advantech WebAccess come with pre-built Block Detail Displays. Users can always build blocks and block type tags.

Figure 9.4 Block Detail Display for a PID controller

Blocks are a common "productivity tool" that can reduce display building requirements and allow users to commission new device sand IO without any display building. . A common application is in Building Automation where hundreds of similar VAV's are monitored. Only one Block Detail Display needs to be built for a VAV Type. The Block Detail Display can have multiple pages.

The Block Detail can be called up from any graphic by:

1. First select a Tag with the left mouse button,

2. then either selecting <F7> pushbutton

Alternatively, Right Click then select Block Detail from the GOTO menu.

Block Detail graphics are created using the drawing tools provided in the DRAW, the Graphics Builder. Connections for animation are made using the Parameter name only. Screen Scripts can be generalized for use with Block Detail by referencing the Parameter Name. Advantech WebAccess will insert the Tagname when the Block Detail is called up.

Block Details displays can also be called up in VIEW by using the <GOTO>BLOCKDTL=blockname Keymacro and from the Point GOTO dialog box.

The Block Detail, for any Block Tag, can be access from the Overview Display by clicking on the BLOCKDTL Button on the Overview Display for that Faceplate Group.

Block detail displays are also used for equipment displays. The ADAM 5000 PLC have a Block Detail display for each IO card (and an associated BLOCK for each IO Card).

Figure 9.5 Block Detail Display for an IO card

The Block Detail Display only works with an IO Block-type with the same name. If the Block Type is PID1, then the Block Detail display must be named PID1.bd1. The Block Tag name can be anything (e.g. TIC101, PIC227, FlowControl).


9.2.3.1 Overview Display Hierarchy

The Block Detail Display is also part of the Overview Display Hierarchy that allows users to “Drill Down” from an Overview to more Detailed information:

Faceplate Group Display -> Block Detail -> Parameter Detail

Figure 9.6 Overview Display Hierarchy - Faceplate -> Block Detail -> Point Detail

The Block Detail Display, for any Block Tag, can be access from the Overview Button Display by clicking on the BLOCKDTL Button on the associated Faceplate Group.


9.2.3.2 Create or Modify a Block Detail Display

A Block Detail Display is created and edited like any other graphic using DRAW.

There are two tricks to creating a Block Detail Display

3. The parameter name is used for animation (not the full BlockName:Parameter).

4. The Block Detail Name must match the Block Type Name with the .BD1 extension .

For example, if a PID Block type has parameters MEAS, SETP, OUT and AM, then when building a PID.BD1 block detail, animation is connected to MEAS for measurement, and SETP for setpoint and AM for Auto Manual.

If TIC101 is a PID block, during run-time, Advantech WebAccess inserts the block name in front of the parameter (with a colon) to create TIC101:MEAS

Figure 9.7 DRAW Block Detail animation with Parameter Name

There can be multiple pages assigned to a block detail display, numbered *.BD1, *.BD2, *.BD3 etc. For example, a multiple page for a VAV Block would have VAV.BD1, VAV.BD2 and VAV.BD3. For More information about Blocks, see Blocks, section 5.

The file extension for source (DRAW) files are: *.DRW or *.DXX (default)
The file extension for runtime (VIEW) files are: *.BDX
(where x is an integer starting with 1).

The first Block Detail must be named with the BD1 extension.

Multi-Page Block Detail

A multi-paged Block Detail is interconnected using the Up Link and Down Link in Set Graph Parameters.

Figure 9.8SetGraphParameters for Multi-Page Block Detail

Pushbuttons to navigate between the pages of a Multi-page Block Detail should use the <P_UP> and <P_DN> keymacros.

The PgUP and PgDn keys on the keyboard can also be used with the Up Link and Down Link to navigate between multiple-page Block Detail.


9.3 System Template Displays

Advantech WebAccess provide Pre-built System Displays, that gives you and "Out-of-the-Box" solution that is application ready. You don't need to build graphics at all.

You can use the pre-built displays that come with Advantech WebAccess to view very Tag and Block, trend and alarm in your database, without ever building a single graphic. Of course, you can modify and customize theses default displays.

These displays are "template" displays: one display that acts as if it were hundreds of displays. The pre-built Template Displays include:

Alarm Summary Display - shows all current and unacknowledged alarms. Alarms can be sorted (time, priority, name etc) and filtered.

Alarm Log - shows a history of the last 10,000 alarms.

Alarm Groups - pre-defined groups of tags commonly used to temporarily disable alarming while parts of the system are taken out of service.

Change Log - shows a history of the last 10,000 operator actions including logins, changes tags, and recipe downloads.

Data Log Trend Display - Historical Trends of 12 tags at a time. Tags can be mixed and matched on the fly during run-time without loosing historical data.

Real-time Trend display - short-term trends that are not written to the hard drive, for values that do not need log term storage (for example tuning parameters)

Faceplate Group Display - group displays of tags and blocks that built quickly from a group list defined by engineers and technicians. The default are text-only displays, but can be modified to include graphical "faceplate" type displays. Similar to those found in DCS systems.

Overview Displays - provides overview of the 'faceplate" group" display. The default are text-only displays, but can be modified to include graphical "faceplate" type displays. Similar to those found in DCS systems.

Point Detail Displays - Three standard Point Detail displays allow every tag to be viewed:

Analog Point Detail for Analog Type Tags,

Digital Point Detail for Digital and Discrete type tags, and

Text Point Detail for Text type Data. The Detail displays include Description, Alarms Alarm Limit Scale, Engineering units and about 30 fields associated with each tag.

Recipe Display - Allows users and operators to view, modify and download recipes.


9.3.1 Faceplate Group

For Detail Description of Configuring Faceplate Groups and using the Faceplate Group Display see section 5.5.

Faceplate Display Groups are a system Template display providing summary all parameters in a Block Tag. Up to 8 Blocks per Faceplate Group. All parameters of the tags are listed (a scroll bars appear for large Blocks). Faceplate Groups allow a large number of Tags to be displayed in a without Graphics Building.

One display template can show all the Tag and Blocks Tags in your system. You build Faceplate Groups by listing the tagnames in a list. The Over view groups use the same list.

The keymacro <F2> calls a list of Overview Display. The display lists the value for Tags and the first parameter of Block Tags to provide an overview of your system. The default Overview Groups are Text Displays. They can be modified using DRAW to create Fills, Bars and other graphical representations. The Faceplate Template source is fplgrp.dxx

The Faceplate Group Display shows Parameter Name, Current Value, Engineering Units and data type (A for Analog and D for Discrete).

Faceplate Group Display

Figure 9.9Faceplate Group Display -Blocks & Tags

Block Detail

Clicking the button labeled BLOCKDTL will call up the Block Detail Display, if a Block Detail Display has been built for the Block Type. The Block Detail Display must be named after the Block Type.

ACK Point

Clicking the Acknowledge Point button will acknowledge the Alarm of only the selected Parameter in the Block. To acknowledge the alarm of only one parameter of Block:

3. Scroll down to the Parameter

4. Click on the Parameter Name (or anywhere on that line)

5. Click ACK Point

ACK Block

Clicking the Acknowledge Block pushbutton will acknowledge all active Alarms in the Alarm Group of the Selected Tag. There can be up to 100 Tags in an Alarm Group.


9.3.2 Overview Display

The Overview Display Groups are generated from the Faceplate Groups. For Detail Description of Configuring Faceplate Groups see section 5.5

OVERVIEW Display(s) are a single system Template display providing an overview of all tags including Block Tags assigned to the group(s). Overview Groups allow a large number of Tags to be displayed in a Summary Form without Graphics Building.

One display template can show all the Tag and Blocks in your SCADA node. Overview Groups are built automatically from Faceplate groups. You build Faceplate Groups by listing the tagnames in a list. The Over view groups use the same list.

The keymacro <F1> calls a list of Overview Display. The display lists the value for Tags and the first parameter of Block Tags to provide an overview of your system. The default Overview Groups are Text Displays. They can be modified using DRAW to create Fills, Bars and other graphical representations. The Overview Template source is ovrgrp.dxx

Overview Group Display

Figure 9.10 Overview Group Display (overview of Faceplate Groups)

Clicking on the Group 1, Group 2, etc. will call up the associated Faceplate Group Display.

Customizing the Overview Display.

Use DrawDAQ or DRAW to modify the ovrgrp.dxx.

Use Open DRW and type ovrgrp.dxx

Note that all the pre-built displays are normally hidden since the default is a *.DRW extension for Open DRW.

The most common modification is to show the tagname using

@%TOVRTAG(x y %AOVRPGX).NAME

where x and y are numbers corresponding to the Facepalte Group Number (x) and the Element (Tag) in the group (y).

This will show the tag name and the Alarm Status of the Block instead of the current value. Note that the default is @%TOVRTAG(0 0 %AOVRPGX), which shows the current value of the tag and alarm status.

If the field is blank, the TOVRFPLE tagname will not appear. If a faceplate group is blank, the overview will show blank in that area


9.3.3 Data Log Trend Display

The Data Log Trend Display shows Historical Trend Data and Real-Time Trend Data. Every Second a new data point is entered in the Trend Window. Tag Values are plotted Vertically on the Y-axis. Time is plotted horizontally on the X-axis. This is similar to Strip Chart Trend Recorders in control rooms, commonly associated with Distributed Control Systems (DCS).

Figure 9.11 Data Log Trend Display

The Data Log Trend Display can be viewed from Data Log Trend List using the Toolbar or F4 function key or a pushbutton with the <DIALOG>DLOGTRD keymacro. The Alarm Summary can also be called using the Right-Click Menu
(Right Click->Goto ->Data Log Trend) and from the Point Goto Dialog Box.

Power Users, General Users and the admin account can view the Data Log Trends through a Web Browser. Restricted users cannot view the Data Log Trends through a Web Browser. All users can view the Data Log Trends locally on the SCADA node using ViewDAQ.

For a complete description the pushbuttons and functions of the Data Log Trend Display, please refer to section 6.2 Data Log Trends.

The Data Log Trend Display is a pre-built template display supplied with Web Access. Hundreds of 'Trend Groups" can be viewed through this one display. It can be customized by engineers and technicians using DRAW. How your Data Log Trend Colors, Flashing, Fonts, behave may vary based on how (or if) the Dlogtrd.Bxx (and Dlogtrd.dxx) on your system is modified.

The Data Log Trend must be named with the *.BXX extension to operate properly. If you modify the source file (DLOGTRD.DXX), be sure to re-enter the DLOGTRD.BXX when you use the Save Bgr function.

DLOGTRD.DXX is most easily accessed using DrawDAQ on the local SCADA node. DrawDAQ allows you to change the browse settings to *.dxx, enabling you to see all the default Template Display source files. Note that User Built displays have the *.DRW extension. System Template Displays have the *.DXX extension.

If you do modify the System Template Displays, you should consider either saving the source file as the *.DRW extension, or use another name. This will prevent your modified files from being overwritten accidentally.


9.3.3.1 Modify the Data Log Trend Display

1. Open DRAW or DrawDAQ.

2. Select Open DRW

3. If using VIEW, enter DLOGTRD.DXX.

If using View DAQ, enter *.dxx to see all template display source files, then select DLOGTRD.DXX

Figure 9.12Modify the Data Log Trend Display in DRAW

4. You can edit the display, change colors etc. Notice that there are many special function tags: %ADTRDDC, %ADTRDDT(@%ADTRDH), etc. You must use these tags. You should fell free to move things around and resize them. Also, change colors. It is best just to use the MODIFY function to change colors , etc associated with the animation. The Replace String function is also convenient way to change the text labels on pushbuttons.

5. When you are finished, SAVE the file with the *.BXX extension. ( Save BGR, then change the extension to .BXX).

Following is a description of common modifications.


9.3.3.2 Edit Colors and Font Size in Data Log Trend Display

This example is to change the Font used to display the Tag Names to Arial and Small fonts. Arial is proportional font and even though it there may be 21 characters, a tagname of 21 W's wouldn't fit. Many default versions of DataLog Trend Template uses a Fixed Font for this reason. This example will change it to Arial, which looks better in English.

1. Click on the Trend Field. This is the place where the trend lines are drawn.

2. Right-Click -> Edit -> Modify (if using ViewDAQ, skip the right click) to see the Trend Configuration. The default colors are all on the 1st and 3rd row of the color palette and use either 255 or 128 for the R:B:G: number. Modify the Trend Colors as desired.

Figure 9.13 Trend Dynamic Object - Data Log Trend

3. Write down the colors. These to match other Tags on the Trend to make the relationship between different areas on the Trend clear to ordinary Users and Operators.

Red 255,0,0

Yellow 255,255,0

Green, 0,255,0

etc.

4. Close the Trend Field.

5. Pick on a single tagname field.

6. Then Edit->Modify Attributes -> Text Setting to change the Font of the text to Small Font, Arial and be careful to pick the correct color(s).

Figure 9.14 modify Fonts - Data Log Trend Displays

7. Repeat for all 12 tagname fields.

8. Drag a rectangle to select only the 12 tag name fields.

9. Group them (temporarily) then moved them out of the way.

10. Shrink the now empty Box around Tagnames, by Dragging a rectangle, grouping it, then shrinking it to the size to just fit the now shortened height of the tag names fields.

11. Ungroup the box, then stretched it back to an appropriate width.

12. Move the Tag Names Fields back into the Box, ungrouped them, then carefully repositioned them. View -> Zoom helps.

13. Copied the Display High and Display Low. Then moved the copies next to the Trend Window.

14. Ungroup the Display High,

15. Modified the Number by adding an Attribute Tag tied to %ADTRH and use Multistate.

Chose the same color pattern as the trends (1=Red, 2=Yellow, 3=Green)This allows the Display High and Display Low to Match the color of the Selected Tag (trend Line). I deleted the Display High text. I added the pushbutton with the keymacro back to the Display High number.

Figure 9.15 MultiState used for Color coordination - Data Log Trends

16. Repeat for Display Low.

17. Modify all the other text fields to Arial (Grab large groups if they are to have the same color, size and font).

18. Modified the Time Fields to be sure to fit all the numbers with the Font Change (59 might not fit in 12 in Arial).

The other improvement to consider is to make all the fields color-coded using the %ADTRH as an Attribute Tag.


9.3.4 Real time Trend Display

******************************************************************************************************
*Note: For XP Professional, XP Standard and WinCE edition, the Max. quantity of records per group of Real-Time Trend monitor is 12 records/group.
******************************************************************************************************

The Real-time Trend Displays shows Real-Time Trend Data. Every Second a new data point is entered in the Trend Window. Tag Values are plotted Vertically on the Y-axis. Time is plotted horizontally on the X-axis. This is similar to Strip Chart Trend Recorders in control rooms, commonly associated with Distributed Control Systems (DCS). Real Time trends are Real-Time Only and do not store data on the Hard Drive. They are intended for short term trends used for tuning or in HMI applications where disk space is limited.

They can be edited following the same procedures as Modify the Data Log Trend Display. The default names are realtrd.dxx, realtrd.bxx, realxyp.dxx, and realxyp.bxx.

Realtime Trends are described in detail in section 6.3 Real-time Trend Displays.


9.3.5 Alarm Summary

The Alarm Summary shows a list of Current Alarms and Unacknowledged Alarms. Each time an Alarm occurs, a line is entered in the Alarm Summary describing the alarm. Acknowledgement by the operator changes the color (or flashing color) to indicate Acknowledgement. As alarms return to Normal, they disappear from the Alarm Summary (if they have been acknowledged by an operator or user). This is similar to Alarm Monitors in control rooms, commonly associated with Distributed Control Systems (DCS).

Figure 9.16 Alarm Summary

The Alarm Summary Display can be viewed from the Toolbar [image] or F5 function key or a pushbutton with the < <GOTO>ALMSUMMARY keymacro. The Alarm Summary can also be called using the Right-Click Menu
(Right Click->Goto -> Alarm Summary) and from the Point Goto Dialog Box.

Power Users, General Users and the admin account can view the Alarm Summary through a Web Browser. (Restricted users cannot view the Alarm Summary through a Web Browser). All users can view the Alarm Log locally on the SCADA node using ViewDAQ.

For a complete description the pushbuttons and functions of the Alarm Summary, please refer to the Alarm Management section 7.5 Alarm Summary Display.

The Alarm Summary is a pre-built template display supplied with Web Access. Engineers and technicians using DRAW can customize it. How your Alarm Summary Colors, Flashing, Fonts, behave may vary based on how (or if) the Almsum.Bxx (and Almsum.dxx) on your system is modified.

You can copy and paste part of the Alarm Summary into user-built displays to provide an "alarm window". The Alarm Summary (like other template displays) uses %DAQTags (system tags) to provide updated information. You can also copy the slider bar and ramp up/down buttons. To make a "smaller" window, do not copy all 17 lines, but be sure to copy the top lines beginning with 0 (the first alarm is 0 based numbering).

The Alarm Summary must be named with the *.BXX extension to operate properly. If you modify the source file (Almsum.dxx), be sure to re-enter the ALMSUM.BXX when you use the Save Bgr function.


9.3.6 Alarm Log

The Alarm Log is a historical record of all alarms. In contrast, the Alarm Summary shows only Current Alarms and Unacknowledged Alarms. Each time an Alarm occurs, a line is entered in the Alarm Log describing the alarm. Three lines are printed for a Text Type tag in Alarm. Acknowledgement by the operator is also recorded. This is similar to Alarm Printers in control rooms, except alarms are written to a text file. Combined with the Action Log and the System Log, it allows you to monitor user actions on your control system.

Figure 9,17 Alarm Log

The Alarm Log Display can be viewed from the Toolbar [image] or Ctrl+F8 function key or a pushbutton with the <GOTO>ALARMLOG keymacro. The Right-Click Menu can also call up the Action Log (Right Click -> Goto -> Alarm Log).

Only Power Users and the admin account can view the Alarm Log through a Web Browser. (General Users and Restricted users cannot view the Alarm Log through a Web Browser). All users can view the Alarm Log locally on the SCADA node using ViewDAQ.

The Alarm Log is a pre-built template display supplied with Web Access. Engineers and technicians using DRAW can customize it. How your Alarm Log appears (colors, Fonts, etc.) and behaves may vary based on how (or if) the Almlog.Bxx (and Almlog.dxx) on your system is modified.

For a complete description the pushbuttons and functions of the Alarm Log, please refer to the Alarm Management section 7.6 Alarm Log Display.


9.3.7 Action Log

The Action Log monitors local actions on the SCADA node including: Changes to the Value of Tags by users, Login, Logout, Recipe Downloads, connections to ODBC databases. The Action Log monitors runtime actions by users in VIEW. Combined with the Alarm Log and the System Log, it allows you to monitor user actions on your control system.

Figure 9.18 Action Log

Each time a change is made to the Value of a Tag, an entry is made in the Action Log showing Tagname, Old Value, New Value with time stamp. Three entries are made for Text-type Tags (Tagname on 1st line, old value on 2nd line and new value on 3rd line).

The Action Log Display can be viewed from the Toolbar [image] or Ctrl+F9 function key or a pushbutton with the <GOTO>ACTIONLOG keymacro. The Right-Click Menu can also call up the Action Log (Right Click -> Goto -> Action Log).

Only Power Users and the admin account can view the Action Log through a Web Browser. (General Users and Restricted users cannot view the Action Log through a Web Browser). All users can view the Action Log locally on the SCADA node using ViewDAQ.

Optionally, you can also print the Action Log to Printer continuously. As each Action occurs, a line is printed on the printer. (Three lines are printed for a Text Type tag in Action). Acknowledgement by the operator or user is also recorded. See Action Logging To Printer for more information.

The last 10,000 Actions are shown on the Action Log Display. The last 5000 are written to the Text file on the hard drive of the SCADA node. When the 5001 Action occurs, the oldest Action entry is overwritten in the text file. Similarly, when the 10,001th Action occurs, the oldest Action in the Action Log Display is over-written. Restarting the SCADA node or a Client empties the Action Log, which is then refreshed with the last 5000 Actions logged to the Hard Drive.

If you need more than the last 10,000 Actions recorded to hard drive, optionally, you can record the Action Log to an ODBC Database. As part of software installation, Advantech WebAccess creates an Access Database on the Project Node. All Actions can be recorded to the Database from all SCADA nodes in your system to provide a centralized Action Log. See Action Logging To ODBC Database for more information.

The Action Log is a pre-built template display supplied with Web Access. It can be customized by engineers and technicians using DRAW. How your Action Log appears (colors, Fonts, etc.) and behaves may vary based on how (or if) the Actlog.Bxx (and Actlog.dxx) on your system is modified.

Recording to the Action Log can be stopped using %DALOGSTATUS for all tags. Tags must have Write Action Log enabled in Tag Properties.


9.3.7.1 Print the Action Log - by request

The Action Log are is easy to print.

To Print Part of the Action Log by user command:

1. From Action Log Display Click on a Starting Record.

2. Click on "Begin Mark" button at bottom of display

3. Select an ending record

4. Click on the "End Mark" button at bottom of display.

5. Click on Print Marked Log

6. The Notepad opens with the Selected Action Log.

7. Try Format -> Word-Wrap to see contents in different form.

8. Select File ->Print from Notepad menu bar

9. Select the desired printer. Press OK.

To Print the entire Action Log by user command

1. From Action Log or Action Log Display Click on a Starting Record

2. Click on Print Entire Log

3. The Notepad opens with the Selected Action Log.

4. Try Format -> Word Wrap to see contents in different form.

5. Select File ->Print from Notepad menu bar

6. Select the desired printer. Press OK.


9.3.7.2 Action Logging to Printer

Logging to printer is a way of making a permanent record of Operator and User Actions. This printing occurs automatically. As each Action occurs, a line is printed on the printer. (Three lines are printed for a Text Type tag in Action). Acknowledgement by the operator or user is also recorded.

To have Action Log and Action Print Automatically and Continuously to a Printer:

1. Open Internet Explorer

2. Connect to Advantech WebAccess Configuration

3. Open Project Manager for Your Project

4. Select your SCADA node

5. Select Node Property

6. Select Action Log to Printer (see also, Action Log to Printer)

1 = LPT1 (Line Printer Port 1 also known as Parallel Printer Port 1)

2 = LPT2 (Line Printer Port 2 also known as Parallel Printer Port 2)

3 = LPT3 (Line Printer Port 3 also known as Parallel Printer Port 3)

Default = The Windows Default Printer (if one is configured for your PC) (Start->Settings-Printers).

Note that if Action Log to Printer is selected, it is highly recommended to use a dot matrix or Line Printer. If you use an ordinary LaserJet, Print Jet or other buffered printer, you will either get one Action per page, or your Actions print when a page is full, except if someone else uses the printer.

See 3.2.20 Action Log To Printer for more information.


9.3.7.3 Action Logging to ODBC Database

If you need more than the last 10,000 Actions recorded to hard drive, optionally, you can also record the Action Log to an ODBC Database. When the ODBC feature is enabled, the size of the Action Log and the Size of the Action Log are limited only by the maximum size of the Access Database.

As each Action occurs, a record is entered in the Database. Acknowledgement by the operator or user is also recorded.

As part of software installation, Advantech WebAccess creates an Access Database on the Project Node. All Actions can be recorded to the Database from all SCADA nodes in your system to provide a centralized Action Log. The Action Log is recorded through an ODBC DSN to an Access Database on the Project Node.

To have the Action Log record to the Access Database on the Project Node:

1. Open Internet Explorer

2. Connect to Advantech WebAccess Configuration

3. Open Project Manager for Your Project

4. Select your SCADA node

5. Select Node Property

6. Select Yes next to Action Log to ODBC

See 3.2.21 Action Log To ODBC for more information


9.3.8 Station Status (Communication Status)

The Station Status Display shows status of all communication Ports and automation devices (e.g. stations).

A Communications Alarm will appear in the Status Bar at the bottom of all displays (a Red letter C ). See section 7.10 for more information on the Alarm Windows in the Status Bar.

Figure 9.19 Station Status Display

The Station Status Display can be viewed from the Toolbar [image] or Ctrl+F7 function key or a pushbutton with the <GOTO>STATION keymacro. The Right-Click Menu can also call up the Action Log (Right Click -> Goto -> Station Status).

Only Power Users and the admin account can view the Station Status through a Web Browser. (General Users and Restricted users cannot view the Station Status through a Web Browser). All users can view the Station Status locally on the SCADA node using ViewDAQ.

Using the Ramp Keys [image] , users can change the Comport viewed.

The Numbered pushbuttons (1 through 255) represent the Devices (e.g. Stations) connected to the Comport. These are typically the PLCs, Controllers and automation devices.

A Grey number is not configured (no device configured)

A Blue Number is OK or RETRYING

A Flashing Red is Communication Failure

A Steady Red is DISABLED (by user).

See also 4.9.2.3 %DCOMST, %TCOMST, %ACOMST, PortSTS, DevSTS, %DUNITST, %DKRLMODE and 8.4.2 VIEW TAG Security Level, 23.7 USERDEF.INI.


9.3.9 User Program Status

User Program Status is intended to start or stop a Visual C or Visual Basic program interfacing to Advantech WebAccess SCADA node using our User Program API (a library of DLLs).

The User Program status display will show the run status of any 3rd Party or custom programs that are configured to Start when Advantech WebAccess Starts. However, 3rd Party Programs must be self-closing. (i.e. not require a local user to confirm a dialog box).

Examples include custom programs, DDE servers, and IO servers. It can be any *.exe program file (NotePad.exe is shown in the example) or batch file (*.bat). This program will run on the SCADA Node (not clients() when the Advantech WebAccess "kernel" starts on the SCADA node.

Figure 9-20User Program Status Display: 3rd Party software started by Advantech WebAccess

The User Program Status Display can be viewed from the Toolbar [image] or Ctrl+F10 function key or a pushbutton with the <GOTO>USRPRG keymacro. The Right-Click Menu can also call up the User Program Status Display (Right Click -> Goto -> User Program).

Only Power Users and the admin account can view the User Program Status Display through a Web Browser. (General Users and Restricted users cannot view the Station Status through a Web Browser). All users can view the Station Status locally on the SCADA node using ViewDAQ.

DISABLE will stop the user program on the SCADA node. The user program must be self closing (i.e. no dialog box asking is data should be saved on the SCADA Node).

For example, Notepad.exe will close remotely if there have been no changes to the text file since the last save. However, if DISABLE is pressed remotely, and Notepad pops up the dialog box asking if changes should be saved, and will hang open, even is the DISABLE command was issued, until someone local to the SCADA node enters Yes of NO.

You should only use a self-closing program as the user program. If you want to start a non self closing program using the User Program feature, (but not be able to monitor or stop it), use a Batch File (*.bat) to start the exe, then have Advantech WebAccess start the Windows batch file. Multiple copies of the non-self closing program may open on the SCADA node.


9.3.10 Global Script Display

The Global Script Status Display shows the disable / enable status of Scripts configured as Global Scripts that run on the SCADA Node. There may be used for reports, system initialization, supervisory control, etc.

Figure 9.21 Global Script Status Display

Global Scripts are Tcl, VB SCript and JScripts and ACTION Commands configured in the Script Editor (see Start the Script Editor) and scheduled for the SCADA Node (see Global Script Configuration).

The Global Script Display can be viewed from the Toolbar [image] or Ctrl+F6 function key or a pushbutton with the <GOTO> GSCRIPT keymacro. The Right-Click Menu can also call up the Global Script Display (Right Click -> Goto -> Global Script).

Only Power Users and the admin account can view the Global Script Status Display through a Web Browser. (General Users and Restricted users cannot view the Global Script Status through a Web Browser). All users can view the Station Status locally on the SCADA node using ViewDAQ.

DISABLE will stop the script on the SCADA node.


9.4 Dialog Boxes

Change Dialog Box

The standard change dialog box provides the ability to enter data without a keyboard using numeric buttons (for analog tags), alpha numeric (for text type displays) and state buttons (for digitals with appropriate state descriptor. This is especially useful for field mounted display panels using a touch screen instead of a keyboard. This also speeds system development for users of touch screen only applications and provides a backup for keyboard users.

The Change Dialog box is actual a set of Dialog boxes based on Tag Type:

· Analog Change Dialog Box

· Digital Change Dialog Box

· Multi-STATE DISCRETE CHANGE DIALOG BOX

· Text Change Dialog Box

· Login & Password Dialog Box

Point Info (Tag Browser)

Standard feature in Advantech WebAccess Client is a Tag Browser. This is a Windows Pop-up Dialog Box. It shows all tags in the system. The can be filtered by Tag Type, IO Channel. See Point Info (Tag Browser).

Point Goto

The Tag browser also provides a "Point GOTO" feature that shows all points in the system where the tag is displayed including all user built graphics, trends, alarm summary, Detail Displays, etc. With one click you can got to that display. The Point GOTO feature provides Tag cross-referencing of tags and displays in the run-time VIEW. See Point GOTO Dialog Box.


9.4.1 Change Dialog Box

To allow users to Change the value of a Tag (for example, to enter a setpoint or start a motor), Advantech WebAccess provides a pop-up Dialog Boxes. There are three Change Dialog Boxes : Analog, Discrete and Text.

Double-clicking any tag that is "pick-able" on an Display will open the Change Dialog Box. If the user does not have the Security (Area and Level), a password Dialog box opens first, then the Change Dialog Box.

The design of the Dialog Boxes allows users to enter Data using:

· Mouse,

· Touch Panel

· or Keyboard.

The Change Dialog Box also provides:

· An "Exit" button which cancels any input

· A "Hold Output" button that allows users to review their entry before Entering the data. This "Holds" any "Outputs" until the operator has a chance to review the number and confirm the change by pressing the ENTER key. This implements a two step process to prevent accidental changes in values to tags.

· An Enter Key

· Ramp Keys (Ramp Up Ramp Down) and Slider Bars for Analog Type Data

· The name of the Tag (and its Tag Field) displayed in the Title Bar.

Multiple ways to open the Change Dialog Box are:

· Double-Click a "pick able" tag on a Display

· The Change Button on the Point Info Dialog Box (Tag Browser)

· Click a Tag once, then [image] icon on the default Toolbar (useful to touch panels that are hard to double click)

· Click a Tag once, then Ctrl + F3 on the keyboard (useful for touch panels that are hard to double click)

· Click a Tag once, then a pushbutton with the <CTL_F3> keymacro on a Display.

Dialog Boxes capital letter configuration : The default capital letter of Dialog Boxes is small letter. User can set lock the Caps Lock for capital letter in bwclient.ini under WebAccess/Node.

  • Turn on Caps lock for Text change Dialog Box a in bwclient.ini. Add the following commend in ini file.

[textchange]

caplock=1

  • Turn on Caps lock for Login Dialog Box in bwclient.ini. Add the following commend in ini file.

[login]

caplock=1

Dialog Boxes size configuration : User can set the size of Dialog boxes in bwclient.ini under WebAccess/Node. The size range is from 8 to 32.

  • Set the size for Text change Dialog Box in bwclient.ini. Add the following commend in ini file.

[textchange]

size= 8 ( the range is 8 to 32 )

  • Set the size for Login Dialog Box in bwclient.ini. Add the following commend in ini file.

[login]

size= 8 ( the range is 8 to 32 )

  • Set the size for Digital Change Dialog Box in bwclient.ini. Add the following commend in ini file.

[digitalchange]

size=16

  • Set the size for Analog Change Dialog Box in bwclient.ini. Add the following commend in ini file.

[analogchange]

size=16


9.4.2 Analog Change Dialog Box

The Analog Change Dialog Box allows users to change the Numeric Values of a Tag (or tag field or BLOCK:PARAMETER) using VIEW. Typically, Setpoints, Valve Outputs, Alarm Limits are analog data.

The design of the Dialog Boxes allows users to enter Data using a Mouse, Touch Panel or Keyboard.

Figure 9-22Analog Change Dialog Box

Tag name is shown in the Title Bar (OUT-184 in the example)

Current Numeric Value (12.00)

Engineering Units ( PSI in the example) See 4.2.27 for more on Eng Units.

Ramp Keys ramp the value of the tag by holding the key. Single arrow is slow, the double arrows are fast. If Hold Output is selected Changes are not sent to tag until ENTER is pressed. Otherwise, changes are made instantly can continuously if Hold Output is not selected.

Slider Bar allows users to "Drag" the bar by clicking with the mouse and holding the mouse key down while moving the mouse. If Hold Output is selected Changes are not sent to tag until ENTER is pressed. Otherwise, changes are made instantly can continuously if Hold Output is not selected.

Output Limits (High Output and Low Output Limits).These are the values configured by the engineering when configuring ht tag. By default, these are the same a Span High and Span Low.

Exit - Closes the dialog box without sending the value to the Tag.

Enter - Sends the numeric value to the tag. If Hold Output is selected, this closes the Change Dialog Box.

Hold Output - if the button is depressed, no changes are made until the Enter Key is pressed. This "Holds" and "Output" until the operator has a chance to review the number and confirm the change by pressing ENTER.

This implements a two step process to prevent accidental changes in values to tags. Hold Output is the default.

Backspace - erase key intended for use with touch panels.

Numeric Keypad - uses the mouse or touch screen to enter numbers. The keyboard can also be used to enter numbers. (ABCDEF are for HEX)

Figure 9-23Numeric Key Pad - Change Dialog Box

Number Format changes the base of how the number is displayed.

Figure 9-24Number Format - Change Dialog Box

Dec - Decimal , base 10 (0 - 10), the way most people think of numbers.

Hex - Hexadecimal, base 16 (0-F)

Bin - Binary (1 and zeroes only)

Oct - Octal, base 8 (0 - 8)

For example, 12.00 in Decimal = C in Hex

12.00 in Decimal = 1100 in Binary

12.00 in Decimal = 14 in Octal

Engineers and Technicians can create RAMP Pushbuttons on Graphic Displays that will change the value of a an Analog Tag without opening the Change Dialog Box using the <SETVAL> keymacro. However, the pushbutton may bypass security of the tag and will not open the Password Dialog Box, if the user does not have the required security area and level to change the tag .


9.4.3 Digital Change Dialog Box

The Digital Change Dialog Box allows users to change the Digital DATA ( On/OFF, START/STOP, OPEN/CLOSE, TRUE./FALSE, AUTO/MANUAL, etc). This is a 2-STATE DISCRETE and is the 2-STATE version of the Discrete Dialog box .

Examples of the Digital State of a Tag (or tag field or BLOCK:PARAMETER) are: Pump Start, Controller Auto/ Manual Status, ON/OFF status of Lights.

The design of the Dialog Boxes allows users to enter Data using a Mouse, Touch Panel or Keyboard.

Tag name is shown in the Title Bar (FAN_START101 in the example)

STATE KEYS - the Current STATE is shown as the Depressed button that looks like it has been pushed down. (In the example, RUNNING is the current state). Pressing a STATE Key will change the value immediately

State Descriptors representing STATE0 and STATE1 ( 0 and 1 value of the digital tag). The Descriptors are set during configuration of the Discrete Tag. (In the example, STOPPED and RUNNING are the State Descriptors for 0 and 1 respectively).

Exit - Closes the dialog box.

Enter – Confirms the change (sends the output) and closes the Dialog Box if Hold Output is enabled (depressed).

Hold Output - if the button is depressed (enabled) the Enter key must be pressed before the change is made. If Hold Output is disabled (the button up), the change is made immediately and dialog Box remains open after a change is made.

- Hold Output Enabled (button depressed). Output is held until Enter is pressed.

- Hold Output Disabled (button Up). Change is made immediately and without closing Dialog Box.


9.4.4 Multi-STATE DISCRETE CHANGE DIALOG BOX

Multi-STATE Discrete Data is a 1 to 3-bit Integer value between 0 and 7.

The Multi-STATE DISCRETE Change Dialog Box allows users to change the Discrete State of a Tag (or tag field or BLOCK:PARAMETER) using VIEW. This is a Multi-STATE DISCRETE version of the Digital Change Dialog box .

The design of the Dialog Boxes allows users to enter Data using a Mouse, Touch Panel or Keyboard.

Typically examples are:

A 3 STATE (2-bits) Valve Status: OPEN, CLOSE and OUT of SERVICE

Figure 9.25 3-State Discrete Tag (2 bits)

An 8 STATE (3 bits) Controller: Closed, Ajar-Closed, Closing, Out of Service, Opening, Ajar-Open, and Open.

Figure 9.26 8-State Discrete Tag (3 bits)

Tag name is shown in the Title Bar (FAN_START101 in the example)

STATE KEYS - the Current STATE is shown as the Depressed button that looks like it has been pushed down. (In the example, CLOSED is the current state). Pressing a STATE Key will change the value immediately

State Descriptors representing STATE0 through STATE7 ( 0 to 7 value of the discrete tag). The Descriptors are set during configuration of the Discrete Tag. Fewer than 8 states can be configured for a tag (i.e. 2, 4, or 8) depending on how many bits are read (i.e. 1,2 or 3).

Exit - Closes the dialog box.

Hold Output - if the button is depressed (enabled) the Enter key must be pressed before the change is made. If Hold Output is disabled (the button up), the change is made immediately and dialog Box remains open after a change is made.

- Hold Output Enabled (button depressed). Output is held until Enter is pressed.

- Hold Output Disabled (button Up). Change is made immediately and without closing Dialog Box.


9.4.5 Text Change Dialog Box

The Text Change Dialog Box allows users to change the TEXT and ASCII values of a Tag (or tag field or BLOCK:PARAMETER) using VIEW. Typically, Descriptions and Operator inputs to Logs and Reports are TEXT data.

The Text Change Dialog Box appears as a QWERTY keyboard. The design of the Dialog Box allows users to enter Data using a Mouse, Touch Panel or Keyboard.

Figure 9.27 Text Change Dialog Box

All Alphanumeric keys found on a standard keyboard are available: A-Z, a-z, 0-9, punctuation and SHIFT, Backspace, Caps Lock, ENTER, SPACE BAR and others.

Exit - Closes the dialog box without sending the value to the Tag.

Enter - Sends the Text String to the tag and closes the Change Dialog Box.

There is no Hold Output button for Text Change Dialog Box.


9.4.6 Point Info (Tag Browser)

The Point Info Dialog Box allows you to see every tag in the System and Every Display those tags appear on. It is a very useful tool. Without building a ingle graphic Display, you can monitor, control, change setpoints, acknowledge alarms all through the Point Info Dialog Box.

It allows you to Browse Tags, Blocks, System Tags and Local Screen Tags by Comport, and Type.

It also allows you to modify Tag Fields (if you have 127 security level). Tag Fields are commonly modified to change alarm limits, and modify the description of a Tag ON-LINE without stopping the SCADA node.

Figure 9-28Point Info Dialog Box – red is Alarm

TAG NAME - The selected Tag appears at the Field at top. You can type the tagname or BROWSE the List of Tag names.

Tag List - Shows all tags for the selected Tag Type (I/O Tag, View DAQ, etc.). Click once on a Tagname to view the tag data.

I/O Tag - these are all IO Tags in the system including Tags and Blocks read through Comports and the Constant, Accumulation and Calculation Tags. This list can be further limited by selecting a Com Port ( port 1, Port 2, etc).

ViewDAQ - these are the %DaqTags for the System and the Local Screen Tags on the selected Graphic Display.

Goto - calls up the Point GOTO Dialog Box listing all Displays this Tag appears on.

Change - calls up the Change Dialog Box for the Tag.

Acknowledge - will acknowledge any active alarm for the selected tag.

Exit - closes the Dialog Box.

The Point Info Dialog Box is opened using:

· Pressing [image] icon the default Toolbar.

· Pressing Ctrl + F5 on the Keyboard.

· Pressing a Pushbutton that uses the <CTL_F5> keymacro.

· Pressing a Pushbutton that uses the <DIALOG>POINTINFO keymacro.

· Right Click -> Goto -> Point Info (ViewDAQ users skip the right click)


9.4.7 Point GOTO Dialog Box

From the Point GOTO Dialog Box, the user can see a list of all Displays a selected Tag appears on, then go to that display with one button click. It is a very useful tool.

Figure 9.29 Point GOTO Dialog Box

The Tagname is shown at the top left. In this example, the Tag SINE appears on the graphic Meter.bgr. A Blank List indicates the tag does not appear on the selected Display Type (Overview, Alarm Summary. Graph, etc).

Overview - Shows all Overview Displays the tag appears on.

DataLog Trend - shows all the Data Log Trend Displays the Tag Appears on.

Graph - shows all the user built Graphic Displays the tag appears on.

Point Detail - All tags will have a Point Detail Display. (Unless the default was deleted from the system).

Alarm Summary - shows if the tag has an active alarm.

OK - will call up the selected Display. This will change the display in VIEW.

Cancel - closes the Dialog Box without calling a new display.

The Point Goto Dialog Box is opened using:

· Pressing GOTO button in the Point Info Dialog Box.

· Pressing a Pushbutton that uses the <DIALOG>POINTGOTO keymacro.


9.4.7.1 Point Goto Menu List

Similar to the Point GOTO Dialog Box, the user can see a list of all Displays a selected Tag appears on from a Right Click Menu in VIEW, then go to that display with one button click. It is a very useful tool.

1. Click once on a "pick-able" Tag,

2. then Right Click -> Goto -> Point Goto (ViewDAQ users skip the right click)


9.4.8 Login & Password Dialog Box

The User Login Dialog Box appears when a user first connects to the SCADA node in VIEW.

Figure 9.30 Login Dialog Box - username & password

The default username is admin

There is no password (i.e. it is blank)

A Password Dialog Box also appears if a user tries to change the Value of a Tag , Block Parameter or Tag Field without the required Security Area and Level.

Figure 9.31Password Dialog Box - Area & Level Security

It is subtly different: it shows the Area and Level required to change the Tag.

In ViewDAQ, this changes the Login User.

In VIEW (the web browser) this Password Dialog box is a one-shot, allowing change of this on tag, then returning the to the original user login.

See the Security section on VIEW and ViewDAQ for more info.

For more information, see the Security Section 8 Users, Passwords & Security.


9.5 Display Navigation

Advantech WebAccess comes with pre-built displays, toolbars, pop-up menus and dialog boxes that provide an "out-of-the-Box" application that allows Advantech WebAccess to be used without Display Building (for example during commissioning, staging and Loop Ring-out). They also help to ensure there are no dead-end user-built displays where pushbuttons to other displays are absent. In addition, they reduce the time it takes to develop, engineer and commission a system.


9.5.1 Mouse, TrackBall, Touchscreen & Keyboard

You can use you mouse, trackball, touch-screen, and your keyboard to change displays, acknowledge alarms, enter data etc.

The Function Keys (F1 through F12), Ctrl, Alt, and TAB keys allow display and control actions for Field Mounted panels that have "membrane" style keypads. This also provides redundancy in the event the mouse.

Engineers can also build "pushbuttons" on Graphic Displays to call other displays and menus.


9.5.2 "Right Click" Popup Menu

1. Right Click the mouse inside the Advantech WebAccess Browser window.

2. Navigation Popup Menu appears (Figure 9.32).

Figure 9..32 - Right Click VIEW Menu

3. Drag the mouse down the Navigation Popup Menu to GOTO (Figure 9.33).

Figure 9.33 Navigation Popup Menu - GOTO menu selected –Function Keys mapped to Toolbar

On any display, you can Right Click the Mouse the get a Navigation Popup Menu. Selecting GOTO shows a list of all Standard Function Keys. These keys are also on the Default Toolbar near the top of each display.

The Toolbar executes similar functions as the Right Click Menu. The Function keys of the Keyboard also execute similar functions. Figure 9-33 shows a Toolbar “mapped” to function keys (Red = Ctrl , Blue = Shift).

Figure 9.34 Right Click Menu and Toolbar Icons

The File submenu allows users to Open a Display Group, Close a Display Group, Print and Exit (i.e. close Internet Explorer).

Note - ViewDAQ, the non-web browser version of Advantech WebAccess, uses the Right Click Menu for control of Display Groups (a Windows Management feature). The "Right Click Menu" functions from VIEW are found on the standard Windows Menu Bar in ViewDAQ.


9.5.3 Toolbars

Figure 9.35 default Toolbar for user Graphic

The Default Toolbars provide an "out-of-the-Box" application that allows Advantech WebAccess to be used without Display Building (for example during commissioning, staging and Loop Ring-out). Operators and Users always have a way to navigate between displays without an engineer building pushbuttons. Toolbars also help to ensure there are no dead-end user-built displays where pushbuttons to other displays are absent.

Figure 9.36 a User-built Toolbar

Users can create custom toolbars by either modifying the default toolbars or creating new toolbars named after the user-built graphic.

Users can build new toolbars using True-type Fonts. Vector Graphics, bitmaps and Windows Icons (*.ico).

You can hide the Toolbar using bwviewpg.asp options for Web Browser Clients and Display Group options in ViewDAQ (more about this later).

For step by step guide see 10.8 Building Toolbars for VIEW.


9.5.3.1 Toolbar, GOTO Menu and Keyboard have similar functions

Figure 9.37 – Keymacros “mapped” to Toolbar showing color-coded function keys. Blue=Shift, Red=Ctrl.

The "GOTO Popup Menu" (Figure 9.33), the Function Keys on the default "Toolbar" (Figure 9.37) and the Function keys on your keyboard all perform the same function.

For example, selecting "Alarm Summary" in the "GOTO Dialog Box", clicking on the [image] icon on the default toolbar or pressing the F5 key on your keyboard all do the same thing, they call up the Alarm Summary display. The default toolbar is usually replaced with buttons using icons, symbols or text.

Yours might look different. For example, the [image] button on the toolbar is sometimes replaced with the words "ALARM SUMMARY".


9.5.3.2 Toolbar changes based on Display Type or Display Name

There are separate toolbars for User-built Graphic Display, Alarm Summary, Alarm Groups, Alarm Log, Action Log, Data Log Trends, Real-Time Trends, Recipes, Point Detail Block Detail and other system displays.

If a Toolbar exists with the same name as the Graphic Display, that toolbar is displayed. Otherwise, the Default Toolbar (Graph.txx) is displayed.


9.5.3.3 Old Toolbar keys are color coded

Figure 9.38 – Keymacros “mapped” to Toolbar showing color-coded function keys. Blue=Shift, Red=Ctrl.

The old Toolbar is color-coded:

· Red = Ctrl Key + Function Key (i.e. Hold Ctrl key while pressing Function Key: F1, F2, F3 etc.).

· Blue = Shift + Function Key


9.5.4 Pushbuttons on Displays

Users can place pushbuttons on Displays that will call up other displays.

Figure 9.39 - Pushbuttons call other displays

Pushbuttons are also used for Control Actions to turn equipment on or off, execute scripts, download recipes, and other functions in addition to display navigation. Pushbuttons can contain text, symbols and animation.

Figure 9.40 Pushbuttons for Control

If the pushbuttons have a “bevel” then they will show animation when depressed by reversing highlighted colors.

Figure 9.41 Beveled Pushbutton depressed.

Flat Pushbuttons (without a bevel) do not show the “push down” animation. The login button on the Login Page is an example.

Figure 9.42 Pushbutton, no bevel, no animation

For a step by step guide see 10.7 Push Buttons.


9.5.5 Keyboard Function Keys

These commands are the same as pressing the Function keys on the Keyboard of the PC (F1 through F10) and the Ctrl and the Shift keys.

Keyboard | Description | Equivalent Keymacro
F1 | Overview Display | <GOTO>OVERVIEW=1
F2 | Faceplate Group List | <DIALOG>FPLGROUP
F3 | Real Time Trend List | <DIALOG>REALTRD
F4 | Data Log Trend List | <DIALOG>DLOGTRD
F5 | Alarm Summary | <GOTO>ALMSUMMARY
F6 | Alarm Group List | <DIALOG>ALMGROUP
F7 | Block Detail Display | <GOTO>BLOCKDTL=@%TPICKTAG
F8 | Recipe List | <DIALOG>RECIPE
F9 | Graphic List | <DIALOG>GRAPH
F10 | Video List | <DIALOG>VIDEO
Shift + F1 | Download Recipe (Recipe Display Only) |
Shift + F3 | Scale Recipe (Recipe Display Only) |
Shift + F7 | Point Detail Display | <GOTO>POINTDTL=@%TPICKTAG
Ctrl + F1 | Acknowledge Screen | <ALMACK>
Ctrl + F2 | Acknowledge Point | <ALMACKS>@%TPICKTAG 0 0
Ctrl + F3 | Change Point | <DIALOG>TAGVALCHG=@%TPICKTAG
Ctrl + F5 | Point Info List | <DIALOG>POINTINFO
Ctrl + F6 | Global Script Status | <GOTO>GSCRIPT
Ctrl + F7 | Station Status | <GOTO>STATION
Ctrl + F8 | Alarm Log | <GOTO>ALARMLOG
Ctrl + F9 | Action Log | <GOTO>ACTIONLOG
Ctrl + F10 | User Programs | <GOTO>USRPRG
Alt + F4 | Close selected ViewDAQ Display Group Windows. Keyboard will close Web Browser. | <CLOSEDSP>@%TDAQDSPNAME
Page Down | Calls Down Link Graphic |
Page Up | Calls Up Link Graphic |
Esc | Calls Main graphic Display | <GOTO>Graph=Main.bgr


10. DRAW

DRAW (the Graphics Builder) is an object-oriented and vector-based graphics program similar in concept to the popular AutoCAD® software. A Graphic Display is a vector-based, pictorial screen used to depict industrial equipment, manufacturing processes and building automation systems including motion animation, color changes, sounds and dynamic data. Bitmaps, JPEGS, and Gifs can also be included with the vector-based objects to produce graphical representations of the equipment, facilities and processes controlled.

Figure 10.1 DRAW in web browser - Welcome1.drw, LiveDemo Project, SCADAnode1


10.1 Graphic Display Builder

DRAW and DrawDAQ are versions of the same Graphics Building program with minor differences in the menus. Graphics built with either DRAW or DrawDAQ are identical. Both DRAW and DrawDAQ produce graphics that can be viewed remotely by users via a web browser. Both DRAW and DrawDAQ produce graphics that can be viewed locally using ViewDAQ. Graphics built in one can by edited by the other. The two programs edit the same files. The commands and tools are identical. This manual uses the terms DRAW and Graphics Builder interchangeably to refer to both versions.

DRAW

DRAW allows users to build and modify graphic displays remotely, using and ordinary web browser. DRAW runs in an ordinary Web Browser (Internet Explorer 6.0 or 7.0 are recommended). The Advantech WebAccess plug-in is required. The user must have some sort of network access, via an intranet or the Internet to a Advantech WebAccess SCADA node.

DrawDAQ

DrawDAQ is a local version of DRAW. DrawDAQ runs on the Project node. It is identical in function to DRAW, except that it is not run inside of a web browser and does not require network access. DrawDAQ only accesses graphics on the local Project node (i.e. the local hard drive of the Project Node PC). The biggest difference for most users is that the Menu Bar (File Edit View etc.) in DrawDAQ replaces the Right-Click Menu in web browser DRAW.

Figure 10‑2 DrawDAQ - local to Project Node (non-web browser version of DRAW)

Note – ViewDAQ is a local version of VIEW that runs on the SCADA Node.
DrawDAQ is a local version of DRAW that runs on the Project Node.
Both ViewDAQ and DrawDAQ are on a combined Project/SCADA Node used for “standalone” architectures (i.e. a single PC).


10.1.1 Graphic Displays Types

A Graphic Display is a vector-based, pictorial screen used to depict industrial equipment, manufacturing processes and building automation systems including motion animation, color changes, sounds and dynamic data. Bitmaps, JPEGS, and Gifs can also be included with the vector-based objects to produce graphical representations of the equipment, facilities and processes controlled.

The DRAW Graphic Builder is an object-oriented and vector-based graphics program similar to in concept to the popular AutoCAD® software.

Vectors are more compact than comparable Bitmaps, Gifs or Jpegs and allow better resolution on almost any display or "zoom" magnification. It is recommended to use the Vector Based objects in Advantech WebAccess whenever possible in order to build complex displays with smaller file sizes. The smaller the file size will enable a faster download to Advantech WebAccess Browser based clients. The future of the Internet is to use vector based graphics.

There are source files (typically *.DRW) and runtime version (typically *.BGR) of graphics.

The *.DRW files are edited in the Graphics Builder (DRAW).

The *.BGR files are downloaded by Clients (VIEW). The *.BGR files cannot be edited.

You can always generate new *.BGR from *.DRW files. A single *.DRW can be used to generate different *.BGR by saving different portions of the graphic. Usually *.BGR and *.DRW files have the same name (e.g. Main.bgr and Main.drw), but they can be named differently (e.g. Main.bgr and MyMain.drw)

The following Displays are generated us the Graphics Builder:

User-Built Graphics

Graphic Displays — These are user built pictorial representations of a process and the associated dynamic information.
The extension for source files (DRAW) are: *.DRW
The extension for runtime (VIEW) files are: *.BGR

Block Detail Displays - provide access to detailed information about a multiple parameter block type tag, such as measurement, setpoint, output and tuning parameters. Block Detail Displays are commonly used to view PID controllers. A single block detail display can be used to view all tags of the same Block Type. Engineers and technicians can modify these. See "System & Template Displays” or Block Detail Display, section 9.2.3. Default Block detail displays are provided for many Web Access Device types and Drivers.

There can be multiple pages assigned to a block detail display, numbered *.BD1, *.BD2, *.BD3 etc. For example, a multiple page for a VAV Block would have VAV.BD1, VAV.BD2 and VAV.BD3.

The file extension for source (DRAW) files are: *.DXX
The file extension for runtime (VIEW) files are: *.BDX
(where x is an integer starting with 1).

Pre-built Template Graphics

The following displays are pre-built. Advantech WebAccess uses these as a "template" and fills in the data fields with the real-time data for the selected Tag or Group. This allows one graphic template to be used to view many tags as if it where multiple copies of the same display. The for example, the Point Detail Display ensures every tag in the system can be viewed by at least one pre-built graphic. The source (DRAW) files typically have the *.dxx extensions, although *.drw files can be used. The runtime (VIEW) files usually must have the *.bxx extension to function with the pushbuttons, keymacros and menus.

Trends and X-Y Plots — present real-time and historical data in trends and x-y plots. Advantech WebAccess uses template(s) to generate all Trend Displays from user specified Trend Groups. The user can edit the default template to customize the appearance of trends. There are four trend types: Real-time trends, Data Log Trends, Real-time XY plots and Data Log X-Y plots. Real-time trends do not record data to the hard drive and are typically used for temporary data like tuning. Data Log trends access Data Log records from the hard drive of the SCADA node and update in real-time. For more information, see Data Logging & Trends, section 6 .

The default source (DRAW) files for trends are: DLogTRD.DXX, DLogXYP.DXX, RealTRD.DXX, and RealXYP.DXX

The runtime (VIEW) files for trends are: DLogTRD.BXX, DLogXYP.BXX, RealTRD.BXX, and RealXYP.BXX

Recipe Displays — These list the preset and current values for dynamic points listed in recipe files, which are set up using the Recipe Handler option. For more information, see Recipes, section 13.

The default source (DRAW) file for Recipes is: Recipe.DXX
The runtime (VIEW) files for Recipes: Recipe.BXX

Overview Group Displays — summarize the information contained in faceplate groups. Web Access generates all overviews from a default template graphic. Users can modify this template in the Graphics Builder. By building a list of Tags using the Faceplate Group properties page in Advantech WebAccess Configuration, Advantech WebAccess will generate a large number of displays quickly. For more information, see "System & Template Displays” or Overview Display, section 9.3.2.

The default source (DRAW) file for Overview is: Ovrgrp.DXX
The runtime (VIEW) files for Overview is: Ovrgrp.BXX

Faceplate Group Displays — summarizes the information for a group of 8 tags. The user specifies the tag names. Advantech WebAccess uses the same faceplate template to view all Faceplate Groups. This is a fast way to view a large number of tags, both block type and single point tags, by simply specifying the tag names in a list. Users can edit the Faceplate Template display in the Display Editor.

For more information, see "System & Template Displays” or Faceplate Group Display, section 9.3.1.

The default source (DRAW) file for Overview is: fplgrp.dxx
The runtime (VIEW) files for Overview is: fplgrp.BXX

Point Detail Displays — provide access to detailed point information, such as alarms, alarm limits, communications status and other "fields" associated with the tag. Three default Point Detail displays are provided:

· Analog.BPD can view all analog-type tags in the system.

· Digital.BPD can view all Discrete-type tags in the system

· Text.BPD can view all Text-type Tags in the system

Engineers and technicians can modify these. See "System & Template Displays” or Point Detail Display, section 9.2.2.

The extension for source (DRAW) files are *.DXX
(e.g. analog.dxx, discrete.dxx, and text.dxx)

The extension for runtime (VIEW) files are *.BPD
(e.g. analog.bpd, discrete.bpd, and text.bpd)


10.1.2 Display Elements and Libraries

In addition to graphic displays, you can configure display toolbars, and create custom symbols, faceplates, and widgets then save them in the symbols library.

Symbols

Symbols are pre-built graphical elements representing pipes, compressors, pumps, tanks and other objects. Users can add to the symbol library, modify existing symbols and quickly build graphic displays.

The extension for source (DRAW) files are *.DSM

Widgets

Widgets are pre-animated symbols and come with a 'wizard" like dialog box to prompt you with a list of tag names to animate the widget with. Advantech WebAccess applies the tag name to all animation inside the widget element and draws it on you page. The user can create and modify the widget libraries. Widgets are the fastest way to build an animated graphic, just click, choose a tag and position it on the display.

The extension for source (DRAW) files are *.DWT

Toolbars

The Toolbar is a row of pushbuttons across the top of every display. Toolbars are associated with display type. They ensure that every graphic has navigation to other displays and the ability to change values and acknowledge alarms. Typical toolbar functions are, Change Value, Next, Previous Display, Alarm Acknowledge, Alarm Summary. The user can customize these toolbars using the graphics builder.

The extension for source (DRAW) files are *.TLB

Faceplates

Faceplates are similar to Widgets. They are most commonly used to display a PID type Controller. Faceplates are pre-animated graphical elements. They allow multiple tags to be used to animate a single graphic object. The restriction is that the tags must be in the same block-type tag. Usually, a faceplate is associated with a single block-type. If all the parameters used by the faceplate share the same parameter names in two block types, then the faceplate could be used with both block types.

The extension for source (DRAW) files are *.DFP

Frames

Frames are similar in concept to animated Gifs. They allow a picture element to change within the display based on the value of a tag or time. Frames are built from ordinary graphical element including symbols, vector objects, bitmaps, JPEGs and single page GIFs.

The extension for source (DRAW) files are *.DFM

Buttons and Pushbuttons

These are graphical representation of physical buttons used to execute commands, change displays and other control functions. These can be text or animated objects.

The extension for source (DRAW) files for Buttons are: *.BBN or *.ICO

Pushbuttons are a Dynamic objects. You can group any drawing object into a Pushbutton. Usually TEXT is grouped into a pushbutton. The Shading, bevel, color and animation are supplied by the Advantech WebAccess VIEW client.


10.1.2.1 Simple Elements

Advantech WebAccess DRAW has eleven basic types of simple objects:

1. Lines

2. Polylines

a. Straight segments

b. Arc segments

3. Circles

4. Arcs

5. Ellipses

6. Pie (a filled arc)

7. Rectangle

8. Polygon

9. Panel

10. Bitmap (or JPEG or GIF)

11. Text

12. Outline Text

13. Fill Text

14. Curve Line

15. Curve Polyline

These simple object types can be animated including line color, fill color, scale (height & width), rotation, motion across screen, etc. The can be grouped into new objects either static or dynamic. A static attribute remains unchanged during the operation of the application. A dynamic attribute is linked to the value of a tag: a change in the value of the tag results in a change in the dynamic animation attribute. For example, the fill color of an object can be linked to the value of a tag. Based on the value of the tag and its alarm state, the fill volume would change with the value of the tag and the color of the fill would change based on alarm.

Most attributes of simple objects can be made dynamic. An object can be given more than one dynamic attribute. Dynamic attributes may be combined to achieve multiple animations (for example rotating wheel of a car moving across the screen).

The following briefly describes DRAW simple object types:

Line A line is a vector object made up of one or more line segments with color and style as attributes. Color, position (i.e. Move and Rotate) and scale are the only attributes of a line that you can animate. Width and line style cannot be animated. A line is always one pixel wide. A line is Straight. Each segment becomes a separate object. Each segment can be erase or edited individually. Line may “leak” if they are filled after being rescaled or moved. See PolyLine.

Curve Line A curve line is a vector object made up of one or more line segments with color and style as attributes. Color, position (i.e. Move and Rotate) and scale are the only attributes of a line that you can animate. Width and line style cannot be animated. A line is always one pixel wide. A line is a complex curved shape. Each segment becomes a separate object. For more information, see Curve Line.

Filled Lines Filled line shapes are two-dimensional vector objects (Usually a Symbol) made up of a closed or open interior area surrounded by a line. The attributes of a filled shape are: line color, line type, fill color, percent color fill, height, width, location, rotation orientation and scale. Line Color, position (i.e. Move and Rotate), scale, percent fill, fill color are the only attributes of a filled line that you can animated.

PolyLine A Polyline is a single vector object made up of one or more line segments of multiple Widths. It remains a single object with all segments moving or scaling as a single object. Polyline are always solid (no line style). Polylines can include both straight and arc segments. Color, Scale, position (i.e. Move and Rotate) and Polyline Width can be animated. The PolyLine must be relatively thick for its Width to be animated using ScaleV (for vertical Polylines) or ScaleH (for horizontal Polylines). Using the Arc segments feature in polylines, you can draw circles and arcs of varying line widths. Polylines do not “leak” when you fill them.

Curve

PolyLine A curve line is a vector object made up of one or more line segments with color and style as attributes. Color, position (i.e. Move and Rotate) and scale are the only attributes of a line that you can animate. Width and line style cannot be animated. A line is always one pixel wide. A line is a complex curved shape. Each segment becomes a separate object. For more information, see Curve Line.

Filled

Polylines Filled Polyline shapes are two-dimensional vector objects (usually a Symbol) made up of a closed or open interior area surrounded by a PolyLine. The attributes of a filled shape are: line color, Polyline width, fill color, percent color fill, height, width, location, orientation and size. Line Color, position (i.e. Move and Rotate), scale, percent fill, fill color are the only attributes of a filled Polyline that you can animated. The polyline must be relatively thick for its Width to be animated using ScaleV (for vertical polylines) or ScaleH (for horizontal polylines).

Circles, Arcs

and Ellipse Circles, Arcs and Ellipses are vector object similar to the line object with color and style as attributes. Color, position (i.e. Move and Rotate) and scale are the only attributes of a line that you can animate. Width and line style cannot be animated. Circles, Arcs and Ellipses are always one pixel wide.

Hint - Use the Polyline ARC feature to draw circles and arcs of varying line width OR Use Convert to Polygon.

Filled Circles,

Arcs and

Ellipses Filled Circles, Arcs and Ellipses are vector objects similar to line object with color and style as attributes. They shapes are two-dimensional objects made up of a closed or open interior area surrounded by a line. The attributes of a filled shape are: line color, line type, fill color, percent color fill, height, width, location, rotation orientation and scale. Line Color, position (i.e. Move and Rotate), scale, percent fill, fill color are the only attributes of a filled line that you can animated

Polygon,

Pie and

Rectangle Polygon, Pie and Rectangle objects are always filled. They have a single color (no border or line color). These are two-dimensional vector objects made up of a closed area. The attributes are: brush color, height, width, location, rotation orientation and scale. Color, position (i.e. Move and Rotate), scale, percent fill, fill color are the attributes that you can animated. Rectangle objects can also hold Frame animation. Most objects (Text, Circle, Arc, Pie, Rectangle) can be converted to Polygon for advanced editing.

Text Text is an object made up of a string of characters on a single line. True type fonts are used. The attributes of a text object are: font, size, color, bold, underline, italic, justification, and location. The contents of the text field can be animated and re-justified: Rtext is right justified, Ctext is center-justified and Ltext is left justified). If the display is viewed on a PC without the True Type font specified in it attribute, the default font for that PC is used (typically Times Roman). Text can be normal, Outline Text or Fill Text.

Advantech WebAccess uses True Type fonts installed on the client PC. You should draw your graphic displays using fonts that you know will be available to the users. If you use an exotic font that other user do not have installed on there PC, when they open the display, it will use whatever their default font is (usually New Times Roman).
You can add fonts to a PC with:

Start -> Settings -> Control Panel -> Fonts -> File -> Install New Fonts

Panel The 3-dimensional Panel can be used to panels can be created for any desired size by using the Panel tool on the Draw Toolbar. Group Objects can be used with margin and bevel size to automatically draw a panel around text or an object. The text can be edited by using the Replace String command on the Modify Attributes menu. See the Pushbutton Animation tool to draw a dynamic pushbutton. They look similar because the Pushbutton Dynamic tool draws a panel for you. Panels are frequently used to contain frames. Position (i.e. Move and Rotate), Scale, Color and Frame animation are the attributes that you can animate.

Bitmaps,

JPEGs and

GIFs Collectively Bitmaps, DIBs, JPEGs and GIFs are referred to as bitmaps. They are imported into DRAW. They cannot be edited using Draw. They can be animated for Position (Move), Scale and Rotation. Bitmaps can be used in symbols, widgets and faceplates. Bitmaps are single object. Therefore, you cannot animate the individual elements of a bitmap, JPEG or gif. You can also define a bitmap with a transparent color, so that you can float it over other objects. When you define a bitmap with a transparent color, the window background color or any objects behind the bitmap will show through it everywhere the transparent color is used. (Only one transparent color may be used per bitmap.)

DXF AutoCAD DXF vector objects can be imported and edited. These are vector objects and become Line objects. They can be grouped, filled, rotated, scaled and animated just like Line Objects. DXF files in the AutoCAD version 11 or earlier are supported. Once imported, they become simple lines. No fills, font-type text or groups are imported.


10.1.2.2 Animation

Animation provides full motion, color change, value change and other features including:

· Dynamic updated text and Numeric Fields

· Moving Bars

· Rotation

· Motion across screen

· Scaling (change in size)

· Animation Frames

· Pie Charts

· Trends

· X-Y Plots

· Fill objects (animated tank levels)

· And color change and flashing color (blink).

Motion includes multi-segment moves across an irregular line that allows an object to follow and irregular path.

Animation includes multiple attributes, for example a rotating object that also moves across the screen and changes color.

There can be 1024 animations on a graphic display. This includes, pushbuttons, Dynamic Text, Motion, rotation, etc. This does not include the toolbar at the top of the display.


10.1.2.3 Pushbutton Key Macros

Key Macros are commands associated with pushbuttons including Acknowledge Alarms, Change a value, open a dialog box, etc.


10.1.2.4 Scripts

Scripts allow users to customize displays for advanced animation, generate complex calculations, modify files, and send email and other implement other features. Scripts are based on the Tcl language.

For detailed description of Local Scripts (i.e. Screen Scripts) go to Chapter 12 Scripts.

For a quick example of script used to animate a graphic see 10.9.1 Rotate a Widget with a Script.


10.1.2.5 Display Limits

The limits for Graphic Displays (bgr) in Advantech WebAccess are:

Maximum File Size: 4 Gigabytes

Maximum Object Size: 64 Kilobytes

Maximum Number of Dynamic Objects (animations): 2000 / display.

Using Multiple Attributes (i.e. multiple animations on the same object) can create a very large object.

Grouping Objects can create a very large object.

If using Bitmaps in frames, the Bitmap can be bigger that 64 Kbytes because Advantech WebAccess uses a link to the frame (*.DSP file).


10.1.3 Differences between DRAW and DrawDAQ

The DRAW program runs in a Web Browser and is essentially the same as the DrawDAQ version. The minor differences include:

1. Only DrawDAQ can browse subdirectories on the local hard drive. The Web-browser based DRAW does not allow users to brows subdirectories or browse to a higher-level directory. This is a concession to security of the SCADA node by web browser based users to limit them only to the sub-directories specified.

2. DrawDAQ does not have the upload files feature that DRAW uses. In DRAW, this upload allows remote clients to upload graphics from the client to a remote SCADA node. DrawDAQ only accesses the local SCADA node and its hard drive.

3. DRAW uses a "Right-Click" menu to access many tools including Edit Menu and Dynamic Animation Menu.

4. DrawDAQ uses the traditional Windows menu bar for Animation tools. DrawDAQ uses the menu bar to replace the DRAW Right Right-Click" menu.

5. The local DrawDAQ has a different Right-Click Menu similar to the Edit menu in the web browser DRAW.


10.1.4 Animated Graphics require Client Plug-in

For users to View full motion, dynamically animated graphics, they must have the Web Access Plug-in


10.1.5 Thin Client - Automatic "SNAPSHOT" GIFs & JPEGs

Advantech WebAccess SCADA node will automatically make a GIF based "snapshot" of a dynamic graphic. All graphics built using the Graphics builder can be viewed by thin clients and non-windows based clients using these snapshot GIFs. The user does not have to build any special graphics for thin clients and do not need to run any conversion. GIFs are used for graphics displays with less than 256 colors; JPEGs are used for displays using more than 256 colors.


10.2 Start Advantech WebAccess DRAW

These steps are covered with many details in the Quick Start Guide.

1. Start Internet Explorer [image] .

2. Enter IP Address of a Advantech WebAccess Project Node in Address Bar and press Go.

Hint - or select the Project node from "Favorites".

3. Select Advantech WebAccess Configuration button.

4. Login to the Project Manager

5. Select a Project.

6. Select a SCADA Node.

Figure 10.3 Start DRAW from Project Manager

7. Right Click the Start Draw link in the Project Configuration Manager.

8. Select Open in New Window from the menu.

Figure 10.4 Open in New Window by Right Clicking Hyperlink

If you click on Start Draw, the Draw program will open in the lower right frame of the Advantech WebAccess Project Manager.

Figure 10.5 Start Draw WITHOUT using Open in New Window

If you Right Click on Start Draw, a menu appears allowing you to open Draw in a new browser window, full screen (Open in New Window).

Figure 10.6 DRAW using Open in New Window


10.2.1 Start local graphics builder - DrawDAQ

DrawDAQ is a non-web version of DRAW that runs locally on the Project Node (or a combined Project/SCADA Node). You have to be on the Project Node (or a combine Project/SCADA node) to use DrawDAQ. This is the Computer with the Advantech WebAccess Project Node software installed.

If you do not see the Advantech WebAccess icon on your taskbar (usually at lower right of screen next to the clock) or can not find DrawDAQ, then start your web browser and go to the previous section Start Web Access – DRAW.

1. Click the Advantech WebAccess Service icon [image] on the taskbar (usually located at lower right of screen, next to the clock).

2. Drag the mouse cursor over the popup menu to DrawDAQ.

Figure 10.7 Advantech WebAccess Toolbar "right click" menu - DrawDAQ

3. Drag the mouse to the ProjectName_Node of the desired Project and Node. If you have only one project and only one node, you will see only one entry.

Hint - In the figure above, there are two projects (LiveDEMO and test2) each have one node (SCADANode1 and OWL-E).

4. Click the desired Projectname_Node. (i.e. left click)

5. DrawDAQ opens.

Figure 10.8 DrawDAQ - non-web browser version of DRAW on Project Node

Notice there is a menu bar in the local DrawDAQ. This replaces the Right-Click Menu in the web browser version.


10.2.2.1 Draw a Widget

10.2.2 Build a simple graphic

Draw a graphic display with animation using the pre-animated widgets.

10.2.2.1 Draw a Widget- Meter

1. Click the Widget icon [image] from the upper toolbar.

Hint - If you pause the pointer over the icon a tooltip opens describing the button [image] .

2. Use the scroll bar to $meter01

3. Select $meter01 from the Draw Widget Dialog Box.

Draw Widget Dialog Box

4. Select OK.

5. The Tag List appears.

I/O Tag list may be empty in a new system. Usually, you would use the IO Tag list for animation, but in case you are on a new system without IO Tags, we will use a pre-built System Tag for this example

6. Click the DaqTag button [image] to see some system tags.

7. Scroll down to %ATIMERCOUNT.

8. Click on %ATIMERCOUNT and select OK [image].

9. The Widget appears in Outline form with a cursor. Position the Widget where you want it drawn.

10. Click the left mouse button to draw the widget.

Congratulations! You have just drawn and animated a meter that will indicate the value of your tag. The needle will move as the value changes. The High Scale and Low Scale of the Tag will be displayed.

You can continue to draw some text, animate Text and draw some pushbuttons.

Or you can save the graphic and download your graphic to the SCADA node in order to VIEW it now.


10.2.2.2 Draw Text

To draw text on a graphic display:

1. Click the Text icon [image] from the Bottom Toolbar.

2. Position the Text Starting Point with the Crosshair.

3. Click once to fix the Text Start Position.

4. Type in your text using your keyboard. (For example, type "SETPOINT").

5. Press the ENTER key when done.

6. To Reposition the Text: Hold the left mouse button down over the text, while moving the mouse.

Repeat this for a second test field. Draw Text to act as placeholder for dynamic data (animated text).

7. (Repeat Steps 1 to 6). Type six characters. For example type "XXXXXX".

8. To select both Text fields (i.e. SETPOINT and XXXXXX). Hold the left mouse button down and drag a rectangle that covers both text fields.

9. Right Click ->Edit -> Align.

10. Select Align Center from Dialog Box

Congratulations!

You can continue to animate Text and draw some pushbuttons.

Or you can save the graphic and download your graphic to the SCADA node in order to VIEW it now.


10.2.2.3 Dynamic Text Animation

To animate text with real-time data:

1. Right Click -> Dynamic ->Animation

OR

Select the Dynamic icon [image] from the upper toolbar.

2. The Animation Configuration Dialog Box appears.

Animation Configuration Dialog Box

3. Select R-Text radio button [image] (R-Text = Right Justified Text).

4. Select a TAG from the List (for example select SPEED).

Hint - if the Tag List is blank Click the DaqTag button [image] to see some system tags. %ATIMERCOUNT is a useful tag to use for learning.

5. Click on the TAG Name from the list and select OK [image].

6. Click once on the text to be animated.

7. A red box should appear around the text signifying that the text is Dynamic.

You can continue to draw some pushbuttons.

Or you can save the graphic and download your graphic to the SCADA node in order to VIEW it now.


10.2.2.4 Draw Pushbutton

10.2.2.4 Draw a Pushbutton

Optionally, first draw Text that will be the label for the pushbutton. For example "ALARM SUMMARY". See DRAW Text example above to refresh your memory.

If you draw the text label first, you can use the "Group Objects" feature to draw a perfectly positioned button. Also, if grouped, you can edit the text and the burton will automatically resize to fit the new text.

You can draw the text later and place it on top of the button.

1. Right Click -> Dynamic ->Pushbutton.

Figure - DRAW Right-Click Menu

2. Pushbutton Dialog Box appears.

Figure - Pushbutton Dialog Box

3. Click the Button Down field once (the empty field to the left of the words)

4. Drag slider bar to scroll down the list of key Macros to find <GOTO ALMSUMMARY>

5. Double Click on <GOTO ALMSUMMARY>.

6. Check GROUP Objects.

7. Select OK.

8. Click Once on the Text (for example ALARM SUMMARY).

Hint - you can click multiple objects and they will all be grouped in one big button.

9. Right Click once (or press the ENTER key) to end the select object command.

10. The button is drawn around the obejct(s).

Figure - You should save and download your graphic.

You should save the graphic (Save bgr or Save drw) and download your graphic. The start VIEW.


10.2.2.5 SAVE Graphic

There are two Save Graphic commands which correspond to the two file types. SAVE DRW saves your work in a form that can be edited later. SAVE BGR creates a runtime version of the file that can be viewed on clients. SAVE BGR also has an option to save the DRW with the same file name. Most people use SAVE BGR. REMEMBER TO CHECK THE SAVE DRW OPTION!

To save a Graphic:

1. Right Click -> File -> Save BGR.

OR - Select the Save BGR Icon [image] from the top toolbar .

2. The SAVE BGR File Dialog Box appears.

Figure - SAVE BGR File (Save Graphic)

3. Type a File name for the graphic with the .bgr extension. Don't use untitled.bgr!
For example type METER.BGR

4. IMPORTANT! Check the Save DRW option [image].

5. Select Entire Drawing radio button [image].

6. Select OK.

7. The Save DRW dialog Box appears. Accept the default name, which is the same as the BGR.

8. Select OK.

The BGR file is a compiled Graphic suitable for Display by the Advantech WebAccess Client. You cannot edit a BGR file. The DRW file is the source file. You can Edit the DRW file and generate a new BGR file. If you loose the DRW, you can never edit the file again. Save the DRW!

Next Step: download your graphic.


10.2.2.6 Download Graphic

DRAW creates files on the Project Node. The SCADA Node displays the files with live data. You need to download these files from the Project node to the SCADA node to see any changes you made in DRAW.

There are two ways to download graphics from the Project Node to the SCADA node:

1) Using a web browser
or
2) Task tray icon on the Project Node

To Download Graphics from any node or client:

1. Connect to Project Manager with a web browser. There should be another Browser window opened to it already, if you followed this step by step (refer to 10.2.2 to refresh your memory)

2. Select the SCADA node to be downloaded.

3. Select Download or Graph Only. The Graph Only link results in a download of only Graphic Files from the Advantech WebAccess Project Node to the SCADA node. Using Graph Only does not stop the SCADA node. Graph Only is recommended. Graph only will download bgr scripts, macros and all other draw related files.

4. If you have redundant SCADA Nodes, a confirmation box opens asking if you should download to both nodes.

5. The Download Progress Dialog Box opens.

6. When complete, the Download is confirmed.

7. Select Close Window to close the Dialog Box.

10.2.2.6. 1 Download Graphics from task tray

On the Project Node, there is a Download Graph menu item in task tray icon. This downloads only Graphic files (bgr, scr, mcr, et al). It does not download IO tags, recipes, schedules, etc. It does not stop the SCADA node

1. Click the Advantech WebAccess Service icon [image] on the taskbar (usually located at lower right of screen, next to the clock).

2. Drag the mouse cursor over the popup menu to Download Graph

3. Drag the mouse cursor over the Projectname_Nodename of the SCADA node to download.

4. Click once with the mouse on the Project_Node to be downloaded.


10.2.3 Create a tank level graphic display.

Draw the Tank Graphic

For a web browser DRAW, use the Right Click menu, then select the following commands.

For the local DrawDAQ on the Project Node, use the menu bar.

Create a new tank level graphic display in DRAW using File -> New.

1. Insert the a Tank symbol ( $tank01.dsm to $tank10.dsm) with Draw -> Symbol. Scale the symbol to the desired size with Edit -> Scale.

2. Click the Open button.

3. The Tank Symbol appears in Outline form. Use the Mouse to position the Tank on the Graphic.

4. Click the left mouse button to draw the tank.

5. On the Tank's center:

In DRAW select Right Click -> Edit -> Modify Attributes -> Explode

In DrawDAQ select Right Click -> Explode.

6. Drag the Mouse around the Level area.

7. Use Dynamic Animation to fill the tank with a Fill animation.

In DRAW, Right Click on the Tank Level -> Dynamic -> Animation

In DrawDAQ from the menu bar select Dynamic -> Animation

8. Use Draw -> Polyline to draw a 90 degree pipeline.

Use Or to force 90 degree lines.

Use Modify Attributes -> Pen Width to change the thickness if required.

9. Insert a Valve using Draw -> Symbol ($valve01.dsm to $valve44.dsm)

10. Label the valve with static text using Draw -> Text.

11. Use Draw -> Text to create a placeholder for a Dynamic Animation active point for the tag “Level”.

12. Label the level active point with a static text using Draw -> Text..

13. Create a trend window for the tags “level” and “Time_on”. Using Dynamic -> Trend.

Enter the tag names.

Select the Time radio buttons.

Select OK,

Click the Upper Left corner of the trend window.

Drag to the lower right window of the trend window and Click once.

14. Save the graphic as Tank.bgr and Tank.drw.

10. Download load to the SCADA Node (Start SCADA Node if it is not already running).

View the graphic in VIEW

1. Start VIEW

2. Open the graphic called Tank from Graph List.

3. Observe the change in the tank level.

4. Change the value of “valve” to on. The color of the valve symbol should change to green.

5. Note the trend window.


10.3 Pull-Down Menus and Pop-Up Menus

DrawDAQ uses pull-down menus from the menu bar. The menu bar and pull down menus allow access to every command or tool. The tool bar includes only some of the commands and tools.

Figure 10.9 DrawDAQ - uses Menu bar for Edit Menu

DRAW uses popup menus called by Right-Click of the mouse. There is no menu bar at the top of DRAW. The Right-Click Menu in web browser based DRAW is the equivalent to the menu bar in the local DrawDAQ.

Figure 10.10 Right Click DRAW Menu

Figure 10.11 DRAW uses Right Click -> Edit Menu.

Right Click the Mouse to get Popup Menu of Drawing tools (see Figure 10.11). These are the same tools as found on the toolbars. The popup menus are just another method of accessing drawing tools quickly.

Note : Different screen aspect ratios

In addition to the 4:3 screen aspect ratio, DrawDAQ and Draw Client now allow users to save graph files for 16:10 and 16:9 screen aspect ratios. The menu items for selecting different screen aspect ratios are under the Setting menu item in DrawDAQ and Draw Client. The drawing area will be reduced accordingly to reflect the aspect ratio selected. When saving graph files using the Entire Drawing option, only the content inside the reduced drawing area will be saved. This will ensure that the saved graph files will have the correct aspect ratio when displayed in full screen.


10.3.1 Mouse Operation

The Graphic Builder program supports a mouse, trackball, or other pointing devices.

When using a mouse/trackball, it is important to be aware of the following conventions for the mouse buttons. The Graphic Builder program uses only two mouse buttons. If your mouse has three buttons, use only the left and right buttons.

Left Click

Click (with the left mouse button) to select a command on a pull-down menu, a toolbar button or an object in the drawing area. Left Click also place elements on the screen (Symbols and Widgets) or to draw segments of Lines. Polylines, Arcs, etc.

Right Click

Right-Click function varies between the Web Browser and the Local DrawDAQ. Right-click (click with the right mouse button) to:

· Open the DRAW Menu (in a Web Browser DRAW)

· Open the Modify Menu (in DrawDAQ Only)

· Terminate a command (equivalent of the ENTER key).


10.3.2 ENTER and ESC Key Operation

The ENTER key can be used

· In place of clicking the OK button to close a dialog box.

· To enter a selection or function

The ESC key can be used to cancel a command.


10.3.3 SHIFT Key - copy, mirror and rotate

The SHIFT key can be used to

· Copy the selected object(s). Is the same as using the copy and paste functions from the menu or the Ctrl-C and Ctrl-V keys.

· Flip the selected object(s). This essentially "flips" the object to face another direction. Is similar to using "Flip Horizontally" or "Flip Vertically" functions from the menu.

· Rotate the selected objects. Is the same as using Rotate function from the menu.

The secret of this shortcut is where on the selected object you place the crosshairs while holding the shift key. The center will rotate, the corners will mirror and the middle edge will copy the object.

The cursor changes to indicate the editing action that is possible (move, stretch vertically, stretch horizontally, Control Points, etc). There are 10 cursors (plus the “crosshairs) that are used in DRAW. The cursor is the icon that moves with the mouse.


10.3.3.1 Shift Key Cursors

Cursor | Name | Description and context
 | TrackCopy | Cursor to copy the selected object. Used with the Shift key. 1. Select object by clicking once with mouse. 2. Hold Shift key and move crosshair to top-center-square or bottom-center-square of selected object. 3. TrackCopy cursor appears indicating you can copy object. 4. Hold Left Mouse button, move cursor to new location. 5. Release left mouse button to create a copy.
 | TrackFlip | Cursor to flip the selected object. Used with the Shift key. 1. Select object by clicking once with mouse. 2. Hold Shift key and move crosshair to corner square. 3. TrackFlip cursor appears indicating you can flip object. 4. Hold Left Mouse button, move cursor to new location. 5. Move cursor up-down to Flip Vertically. 6. Move cursor right-left to Flip Horizontally. 7. Release left mouse button to create a copy.
 | TrackRotate | Cursor to rotate the selected object. Used with the Shift key. 1. Select object by clicking once with mouse. 2. Hold Shift key and move crosshair to a corner-square of selected object. 3. TrackRotate cursor appears indicating you can rotate object. 4. Hold Left Mouse button, move cursor to new location. Object rotates as you move mouse. 5. Release left mouse button to redraw object.
For more information, see Cursors.


10.4 DRAW Toolbar Icons and Menu

These are the toolbars used to Build Graphics. The buttons are shortcuts for items found in the Right Click Menu (in DRAW) and Menu Bar (in DrawDAQ).

Toolbars are the same in both DRAW and DrawDAQ.

Toolbar (DRAW) - Top

Figure 10.12 DRAW Toolbar - top

Toolbar (DRAW) - Bottom

Figure 10.13 DRAW Toolbar - bottom

Moving the cursor over the Toolbar and pausing on an icon/button will show a ToolTip (black text in a yellow box).

Click the button to execute the command (e.g. draw circle) or open a Dialog Box associated with the command (e.g. draw widget).

The Toolbar Icons have matching Menu Items and Command Line entry.
For example,

· Select the [image] icon, is the same as,

· Select File-> New Draw from the Right Click Menu (or Menu bar) or

· Type "new" in the command line in the status bar [image] at the bottom left of the page.

For a Summary Description of the Icons associated DRAW functions see the following sections Icons- Top Toolbar, section 10.4.1 and Icons – Bottom Toolbar, section 10.4.2.

For Detail Descriptions also refer to Status Bar, Cursors, Advanced Draw Commands and Draw Command Reference (sections 10.4.3, 10.4.4, 10.5, and 10.11 respectively.


10.4.1 Icons - Top Toolbar

Figure 10-14 DRAW Top Toolbar

Icon | Menu Item | Command Line | Description - Top Toolbar in DRAW
 | New DRW | new | Opens a New Drawing Source file. *.DRW are the source files for all Advantech WebAccess Drawings. DRAW can edit only DRW files. DRW files and elements can be save as different display types. See also 10.11.1 New DRW
 | Open DRW | open | Opens an existing Drawing Source file. Opens a Dialog Box showing all *.DRW. Web Browser clients cannot browse subdirectories. *.DRW are the source files for all Advantech WebAccess Drawings. DRAW can edit only DRW files. DRW files and elements can be save as different display types. See also 10.11.2 Open DRW
 | Save DRW | save | Saves current drawing as DRW type. Opens Dialog box to confirm name. See also 10.11.5 Save DRW
 | Save BGR | bgr | Converts current drawing into a run-time version (*.BGR). This is the Display type used by most User built display and Found using the F9 function key in VIEW. See also 10.11.4 Save BGR
 | Set Graph Parameters | bxxpara | Sets Graphic Parameters including update interval, scripts and local tag files. Opens Dialog Box used to access the Script Editor and Local Screen Tag Editor. See also 10.11.8 Graphic Parameters
 | Line Attributes | lineatr | Sets color and line type of next command to draw a line, polyline, circle, or arc.
 | PolyLine Width | polylineatr | Sets line width of next command to draw a polyline.
 | Brush Color | bcolor | Sets color of next command to draw a pie, rectangle, or polygon. Also sets the Fill Color for next Fill command.
 | Text Setting | textatr | Sets text color and background color for next draw Text command.
 | Page Color | pcolor | Sets the background color for the display.
 | Layer | layer | Turns On or Off the display of up to 16 layers (0 - 15). Also sets current active layer.
 | Redraw | redraw | Redraws the display.
 | List Dynamic Objects | listdyn | Prints a report (in Notepad text editor) of all tags used for animation and dynamic updates. Any objects edited with the Dynamic menu item, Animation icon or drawn using Faceplates or Widgets.
 | Print | print | Prints to Paint.exe program by default. Modify the bwdraw.ini file settings to print directly to printer.
 | Zoom | zoom | Zooms in or magnifies a selected portion of the display.
 | Pan | pan | Pans display through available 1000 x 1500 coordinate window. Allows graphic objects to be place off the screen for animation purposes. Also enables moving zoom window to see other portions of display
 | Last View | lastview | Resets ZOOM and PAN to previous settings
 | Original View | origview | Rests ZOOM and PAN to default settings (zoom 1, no pan)
 | Animation | animation | Create a new Dynamic object or animation. Calls the Dynamic Animation Dialog Box used to animate Text and Objects. Contains about 30 commands and options including Dynamic Text, Move, Rotate, Alarm Color, Scale, Dynamic Bars, Dynamic Fill, and Frames. See Animation section for complete description.
 | Symbol | symbol | Draw a pre-built drawing element from library. Symbols are normally not animated. See Widgets.
 | Faceplate | faceplate | Draw a pre-built, animated, drawing element from library. Faceplates are connected to Block type tags only. Only the tagname of the block needs to be specified. The Block Type must match the parameter types used in building the faceplate. See Widgets for single point tags.
 | Widget | widget | Draw a pre-built, animated, drawing element from library. Widgets work with any tag of the same type (analog, digital or text). Only the tagname of the tag needs to be specified; all dynamic connections in the Widget will be connected to that tag. This is useful for objects using multiple connections to same tag.
 | Toolbar | toolbar | Create or edit a toolbar for use on displays used by operators in VIEW. Assign buttons (*.BBN) and keymacros to the toolbar for common or custom operator actions (e.g. change displays, acknowledge alarms).
 | Macro File | mcr | Create a Key Macro file. Similar to a program, executing this file will execute the key macro commands in sequences. Used to animate operator actions assigned to a pushbutton. Key macros include alarm acknowledge, change value, change display, etc.


10.4.2 Icons - Bottom Toolbar

Figure 10.15 Bottom Toolbar - DRAW

Icon

Menu Item

Command Line

Description – Bottom Toolbar in DRAW

Line

line

Draw a line. Can be multi-segmented. All segments are straight or curve.

Each mouse click draws another segment.
Right Click or press the ENTER key to finish.
Press Esc to cancel.
In the command line, select

Undo to erase last segment.
Close to draw final segment to starting point.
Can also type coordinates for each segment.

PolyLine

polyline

Draw a poly line. Variable line widths supported. Segments are Curved or straight.
Each mouse click draws another segment. Right Click or press the ENTER key to finish.
Press Esc to cancel.
In the command line, select

Undo to erase last segment.

Close to draw final segment to starting point.

Arc to draw curved segment.

Tang to change radius of arc

Line to draw straight segments

Can also type coordinates for each segment.

Circle

circle

Draw a circle. Uses Line attributes for color and style. Can be filled with color.
Each mouse click enters coordinates.
Press Esc to cancel.
In the command line, select

Center (default) to specify center point and either radius or diameter.

3P to draw circle specifying 3 points on the circumference.

2P to draw curved segment specifying 2 points.

Radius to specify radius of circle using Center.

Diameter specify diameter of circle using Center.

Can also type coordinates for each segment.

Arc

arc

Draw an arc of circle. Uses Line attributes for color and style. Can be filled with color.
Each mouse click enters coordinates.
Press Esc to cancel.
In the command line, select

Start (default) to specify starting point.

Center to specify center point, start point and either end point or angle.

Can also type coordinates for each segment.

ellipse

Draw Ellipse

pie

Draw Pie (filled arc)

rectangle

Draw Rectangle. See 10.11.18 Draw Rectangle for step by step examples.

polygon

Draw Polygon

panel

Draw Panel

bitmap

Draw a Bitmap. Use the Menu Commands to draw a GIF or JPEG. See 10.11.16 Draw Bitmap and 10.11.17 Import a GIF for step by step examples.

text

Draw Text. Click this button; click a starting point on the Graphic, Start Typing.

grid

Allows Adjustment of Display Grid

snap

Allows adjustment of Snap Grid.
See 10.11.6 Snap -Sa

grid

Gd turns the screen’s grid display on and off.

ortho

Or activates or deactivates the orthogonal function. Drawing lines and moving objects can occur only in straight lines.

snap

Sa turns the snap action on and off. Any object moved or drawn will align with snap grid


10.4.3 STATUS BAR

Figure 10.16 Status Bar - DRAW

The Status bar is at the bottom DRAW and DrawDAQ window. It shows the current position of the cursor or mouse (X and Y), the layer (L), zoom level (Zm), line style, and brush color.

The Command Line (> ____) acts as both a user prompt or as a command line. The contents of the command line changes when draw commands are picked from toolbar or menu. User can also type commands directly (similar to AutoCAD).

Icon | Menu Item | Description
 | Line Color setting | Shows color of next command to draw a line, polyline, circle, or arc. See Line Setting [image] .
 | Brush Color | Shows color of next command to draw a pie, rectangle, or polygon. Also sets the Fill Color for next Fill command. See Brush Color [image] .
 | Text Color | Shows text color and background color for next draw Text command. See Text Setting [image] .
 | Layer | Shows the current active Layer. The next items drawn will be on this layer. See Layer Setting [image] .
 | Zoom Magnification | 1 to 8. Shows current Zoom Level. 8 is 8x power or 800%. See Zoom [image] .
 | X coordinate | Cross Hair X Coordinates of Mouse in the horizontal (left to right). Range is 0 - 1500 0 is far left of screen. 1500 is far right of display. Also used with scripts to specify position of moving objects. Replaced by R (Radius) during some draw commands.
 | Y coordinate | Cross Hair Y Coordinates of Mouse in the vertical (up / down). Range is 0 - 1000 0 is far bottom of screen. 1000 is top of display. Also used with scripts to specify position of moving objects. Replaced by A (Angle) during some draw commands.
 | Radius | Specifies radius or length from start point in same units used by X and Y coordinates. Range is 0 to 1500. Appears during some draw commands
 | Angle | Specifies Angle in degrees. Range is 0 to 360. Appears during some draw commands
 | Command Line | The Command Line acts as both a user prompt or as a command line. The contents of the command line changes when draw commands are picked from toolbar or menu. User can also type commands directly (similar to AutoCAD).


10.4.3.1 Command Line Prompts

The Command Line (> ____) acts as both a user prompt or as a command line. The contents of the command line changes when draw commands are picked from toolbar or menu. User can also type commands directly (similar to AutoCAD).

As user begins a DRAW command, options for that command appear in the command line. For example, Draw -> Text results in options for Outline and Fill. The First Option listed at the left of the command line is the default (for example in Draw -> Text, Text Position of Normal Text is chosen).

Hint - Do not select the Command Line Option on the Left or if there is only one option shown. This usually results in drawing an object or end point at the bottom left of the screen. Use UNDO to recover from such a mistake.

Command Line Prompts | Context or Draw command invoking the Prompt
 | Draw Text command line. Click with Mouse to position normal text. Select Outline to select Outline Text (outline with empty center) Select Fill to select Fill text (fill color, line color different)
 | Command line at the start of Draw Line commands. Click Curve to draw a curve line. Else Click the mouse on the screen for a starting Point or type X, Y coordinates. Press Esc to cancel.
 | Second Command line to start Curve Line.
 | Odd numbered Command to Draw Curve Line, Control Point (an intermediate point) or Undo Start or End Curve Line. Control points come in pairs. . Click mouse on desired end point in the display or type X, Y coordinates. Click on Undo to erase last line segment. Click on Close to draw a line to starting point. Press Esc to cancel.
 | Even Command to Draw Curve Line, Control Point (an intermediate point) or Undo last control point 1. Control Points come in pairs
 | Command to Draw End point of Line, PolyLine, or Polygon Undo last or Close the Line or PolyLine on itself
 | Second command line at for Line and Polyline commands
 | Command line at for Circle command. Click mouse on desired center point in display or type X, Y coordinates. Click on 3P to specify 3 points to define circle. Click on 2P to specify to Points to define circle. Press Esc to cancel.


10.4.4 Cursors

The cursor changes to indicate the editing action that is possible (move, stretch vertically, stretch horizontally, Control Points, etc). There are 10 cursors (plus the “crosshairs) that are used in DRAW (the cursor is the icon that moves with the mouse).

Cursor | Name | Description and context
 | Crosshairs | Normal cursor to select a position on the screen to draw line segment, start point, endpoints, etc. X,Y coordinates and Radius, Angle track the center of the crosshairs.
 | Track4way | Cursor to move selected object in any of 4 ways (up, down, left right). 1. Select object by clicking once with mouse. 2. Move crosshair inside of selected object, but away from edge or center. 3. Track4way cursor appears indicating you can move object. 4. Hold Left Mouse button and move mouse to move object.
 | TrackCopy | Cursor to copy the selected object. Used with the Shift key. 6. Select object by clicking once with mouse. 7. Hold Shift key and move crosshair to top-center-square or bottom-center-square of selected object. 8. TrackCopy cursor appears indicating you can copy object. 9. Hold Left Mouse button, move cursor to new location. 10. Release left mouse button to create a copy.

Cursor | Name | Description and context
 | TrackFlip | Cursor to flip the selected object. Used with the Shift key. 8. Select object by clicking once with mouse. 9. Hold Shift key and move crosshair to corner square. 10. TrackFlip cursor appears indicating you can flip object. 11. Hold Left Mouse button, move cursor to new location. 12. Move cursor up-down to Flip Vertically. 13. Move cursor right-left to Flip Horizontally. 14. Release left mouse button to create a copy.
 | TrackModify | Modify the selected object. Text for Text, Control Points for Curve Line Segments, etc. 1. Select object by clicking once with mouse. 2. Place crosshairs over very center of selected object (the center square). 3. TrackModify cursor appears indicating you can modify the object (text, control points, etc.) 4. Click once with the Mouse to Modify the object.
 | TrackNone | No edit is available at current position of cursor.

Cursor | Name | Description and context
 | TrackNESW TrackNWSE | Edit object in Diagonal (NorthEast – SouthWest) or (Northwest Southeast) 1. Select object by clicking once with mouse. 2. Move crosshair to a corner of the object (over a corner square). 3. TrackNESW or TRACKNWSE cursor appears indicating you can stretch the object diagonally. 4. Hold Left Mouse button, move cursor to new location. 5. Release left mouse button to redraw object.
 | TrackNS | Edit object Vertically (North – South). 1. Select object by clicking once with mouse. 2. Move crosshair over a top-center-square or bottom-center-square on selected object. 3. TrackNS cursor appears indicating you can stretch the object diagonally. 4. Hold Left Mouse button, move cursor to new location. 5. Release left mouse button to redraw object.
 | TrackRotate | Cursor to rotate the selected object. Used with the Shift key. 6. Select object by clicking once with mouse. 7. Hold Shift key and move crosshair to a corner-square of selected object. 8. TrackRotate cursor appears indicating you can rotate object. 9. Hold Left Mouse button, move cursor to new location. Object rotates as you move mouse. 10. Release left mouse button to redraw object.
 | TrackWE | Edit object Horizontally (East – West). 1. Select object by clicking once with mouse. 2. Move crosshair over a left-center-square or right-center-square. 3. TrackWE cursor appears indicating you can stretch the object horizontally. 4. Hold Left Mouse button, move cursor to new location. 5. Release left mouse button to redraw the object.


10.5 Advanced DRAW commands


10.5.1 Curve Line

Curve Lines can be drawn that have multiple smooth inflections between Start and End Points (sinusoid shapes).

Figure 10.17 Curve Line

Curve Lines are controlled by pairs of Control Points and a single pair of Start and End Points. Control Points and End Points can be stretched to reshape the Curve Line later.

Each Segment of the Curve Line will become a separate object.

Use Polyline if you want to draw a single object with multiple curved segments.

Curve and Straight lines can not be mixed in the same Polyline.

Figure 10.18 Curve Line with Control Points and Start/End Points


10.5.1.1 Draw a Curve Line:

1. Select Line from the Draw Menu or Bottom Toolbar
or Select PolyLine from the Draw Menu or Bottom Toolbar [image].

Note - Each Segment of the Curve Line will become a separate object. Use Polyline if you want to draw a single object with multiple curved segments. Also, Polylines do not “leak” when you fill them. However, Curve and Straight lines can not be mixed in the same Polyline. Arc and Straight lines can be mixed in the same PolyLine.

2. Select CURVE from the Command Line

3. The Start Point prompt appears in the Command Line,

4. Specify the Start point, usually by clicking the mouse. You can type X-Y coordinates also.

5. Control Pt1 should appear in then Command Line.

6. Click the Mouse at the desired position for the First Control Point of this pair or enter the X-Y coordinates.

(Do Not click on Control pt 1 in the command line)

7. Control Pt2 should appear in the Command Line.

8. Click the Mouse on the screen at the desired position for the Second Control Point of this pair or enter the X-Y coordinates.

(Do Not click on Control pt 2 in the command line)

9. End Pt should appear in the Command Line.

10. Click to Mouse on the screen to specify the End Point to finish this line Segment of the Curve Line.

(Do not select End Pt in the Command Line)

11. Repeat steps 5 though 10 to draw the second (and multiple Curve Line Segments)

12. Click End in the Command Line to end Curve Line Draw.


10.5.1.2 Move a Curve Line

1. Click the Curve Line once with the mouse.

2. The Line Segment is outlined.

3. The Move Cursor appears. This consists of 4 arrows (up, down, left, right)

4. Hold the mouse left button down anywhere except the Control Point icon or stretch Icons.

5. Move the Line segment while holing the left mouse button down;


10.5.1.3 View & Modify Control Points of Curve Line

1. Select the Curve Line Segment by clicking once with the mouse

2. The Curve Line segment is outlined.

Figure 10.19 Control Points access from center icon

3. Move the cursor to the center icon.

4. The Control Points Icon appears.

5. Click once on the very center icon.

6. The Control Points, Start and End Points for the Curve Line appears.

7. Select Continuous to make continuous changes to the control point by dragging the mouse.

8. Otherwise use, Reference point to click once to define a new location for the control point.

9. Select a Control Point.

10. Move the mouse to the new location.

11. Click once to set the new location for the control point.


10.5.2 Outline Text

Outline Text draws True-type Fonts in an outline form (the edges of the font are drawn, then center is transparent).

Figure 10.20 Outline Text – Advantech WebAccess DRAW and VIEW

A sufficiently large size font is needed to notice the outline.

Outline text can be edited (Modify), to change the spelling, number of characters etc.

Outline text animation is similar to a Polygon: Move, Color, Rotation and Scale. The top box in Animation features can be applied.

RTEXT, LTEXT, CTEXT, animation is not available with Outline Text.

If Outline Text is filled with Color, Fill animation can be applied.

Figure 10.21 Outline Text with Fill animation


10.5.2.1 Draw Outline Text

1. Select Text Settings from Setting Menu or the Text Settings icon [image] from the top toolbar.

2. Select a color, font and text size. For example, select ARIAL BLACK font, red and text size 3.

Figure 10.22 Text Settings

3. Select OK.

4. Select Text from the Draw menu or the Text icon [image] from the bottom Toolbar.

5. Select Outline from the command line.

6. Click with the mouse on the screen to select the start position for the text.

7. Type your Text.

8. Right Click with the mouse or press ENTER to finish.


10.5.2.2 Outline Text – animated Fill

To animate Outline Text with a Fill Color, it must first be filled, then the animation to fill applied.

1. Select the Outline Text Object by clicking once with mouse,

Figure 10.23 Outline Text selected.

2. From the Right Click Menu, select Edit -> Fill with Color. The fill color is not important now, animation will control the actual color of the fill.

Figure 10.24 Outline Text filled for animation

3. Select Animation icon [image] on top toolbar
or use the menu bar or Right Click Menu (Dynamic -> Animation ).

4. Select Fill.

5. Select Alarm Status.

6. Select Colors for Normal, Alarm and Alarm ACK State.

7. Select an ANALOG Tag to control the Fill Level.

8. Select OK.

Figure 10.25 Outline Text in VIEW


10.5.2.3 Outline Text – Tips & Tricks

To draw Outline Text upside Down use the Text Settings with an orientation of 180.

To draw Outline Text Diagonally, you must Convert To Polygon. Then edit with the TrackRotate or Edit -> Rotate commands. Once converted to Polygon, you will not be able to change the text characters.


10.5.3 Fill Text

Fill Text draws True-type Fonts in an Filled form (the edges of the font are a separate color, the center is another color).

Figure 10.26 Fill Text – Advantech WebAccess DRAW and VIEW

A sufficiently large size font is needed to notice the Fill.

Fill Text uses the Background Color in Text Settings as the Fill Color.

Fill Text can be edited (Modify), to change the spelling, number of characters etc.

Fill Text animation is similar to a Polygon: Move, Color, Rotation and Scale. The top box in Animation features can be applied.

RTEXT, LTEXT, CTEXT, animation is not available with Filled Text.

Fill Text can not be animated with Fill animation. Use Outline Text to have an animated fill of the Text.


10.5.3.1 Draw Fill Text

1. Select Text Settings from Setting Menu or the Text Settings icon [image] from the top toolbar.

2. Select a font and text size. For example, select ARIAL BLACK font and text size 3.

Figure 10.27 Text Settings

3. Select a Color for Text. This will be the Outline Color.

4. Select a Color for Background. The Background Color will be the Fill Color for Filled Text.

5. Select OK.

6. Select Text from the Draw menu or the Text icon [image] from the bottom Toolbar.

7. Select Fill from the command line.

8. Click with the mouse on the screen to select the start position for the text.

9. Type your Text.

10. Right Click with the mouse or press ENTER to finish.


10.5.3.2 Edit Fill Text Colors or Font

1. Select Fill Text object by Clicking once with the Mouse.

Figure 10.28 Edit Fill Text

2. Using either the Menu Bar or Right Click Menu, select
Edit -> Modify Attributes -> Text Settings.

3. Select a new font and text size.

Figure 10.29 Text Settings

4. Select a new Color for Text. This will be the Outline Color.

5. Select a new Color for Background. The Background Color will be the Fill Color for Filled Text.

6. Select OK.


10.5.4 Convert to Polygon

Convert to Polygon allows advanced editing of conventional shapes. Convert to Polygon can be applied to:

· Text

· Outline Text

· Fill Text

· Circle

· Arc

· Pie

· Rectangle

These shapes become multi-line segment Polygons that can be edited and animated like any Polygon.

This allows objects to be rotated or animated like polygons.

Figure 10.30 Convert to Polygon to Rotate Text

Each Line segment can be repositioned, stretched an scaled to produces advanced shapes.

Figure 10.31 Convert To Polygon - Fill Text


10.5.4.1 Convert to Polygon – Text

Text, Outline Text and Fill Text can all be converted to Polygon(s). Reasons to apply Convert to Polygon to Text include:

· Rotate Text using the Edit -> Rotate or TrackRotate commands.

· Stretch or Compress the Text using the TrackNS, TrackNWSE, TRACKNESW or TrackWE commands.

· Reshape individual Line segments using Control Points (TrackModify) to stretch the Text.

To Convert Text to Polygon - DRAW

Users can first select the object then select Convert to Text from the Edit Menu or vice versa.

1. Select the Text Object

2. The Text object should be outlined with a box.

3. Right Click the mouse.

4. Select Edit -> Convert to Polygon

To Convert Text to Polygon - DrawDAQ

Users can first select the object then select Convert to Text from the Edit Menu or vice versa.

1. Select the Text Object

2. The Text object should be outlined with a box.

3. Right Click the Mouse

4. Select Convert to Polygon

Convert to Polygon – Circle, Arc and Pie

Circles, Arcs and Pies converted to Polygon produce the following:

· Ellipsoids and Shark Fins.

· Reshape individual Line Segments Line segments using Control Points (TrackModify) to produce other shapes.

Convert to Polygon – Rectangle

Rectangles converted to Polygon produce the following:

· Polyhedrons.

· Reshape individual Line Segments Line segments using Control Points (TrackModify) to produce other shapes.


10.5.5 When to use PolyLine vs. Line

Each Segment of the Curve Line will become a separate object. These can be deleted and edited separately. The shape drawn with Line will contain many objects. Scaling or moving the shape may result in gaps between end points that will “leak” if you fill the shape.

Use Polyline if you want to draw a single object with segments. Polylines do not “leak” when you fill them. Curve and Straight lines can not be mixed in the same Polyline. But, Arc and Straight lines can be mixed in the same PolyLine.


10.5.6 Draw Dynamic Frame

Convert to Polygon allows advanced editing of conventional shapes. Convert to Polygon can be applied to:

· Text

· Outline Text

· Fill Text

· Circle

· Arc

· Pie

· Rectangle

These shapes become multi-line segment Polygons that can be edited and animated like any Polygon.

This allows objects to be rotated or animated like polygons.

Figure 10-33 Draw GIF - multi frame GIF are converted to separate bitmaps

Each Line segment can be repositioned, stretched an scaled to produces advanced shapes.

Figure 10‑31 Convert To Polygon - Fill Text


10.6 Download required after Saving Graphic

A download from the project node to the SCADA node is required if you have changed any graphic, screen script, local screen tag or key macro file.

Advantech WebAccess uses Client-Server architecture in order to maintain a single centralized database server for graphics and the tag database. The Graphic Builder creates, edits and saves files on the Project Server node. After saving a graphic, the user must use the Download the command from the Configuration Manager (or from the Toolbar Icon on a SCADA node) in order to see that graphic in the Runtime mode. This Download will copy the modified graphic from the Project Node to the SCADA node. This is required even if you are working on the local SCADA node.

If you have made changes only to graphic displays or related elements (i.e. graphic files, screen tags, screen scripts, key macros, symbols, widgets) then downloading graph only is all that is required.


10.6.1 Graph Only

If you have made changes only to graphic displays or related elements (i.e. graphic files, screen tags, screen scripts, key macros, symbols, widgets) then downloading graph only is all that is required. Downloading graphics only does not require stopping the SCADA node. In other words, you can download graphics without interrupting data collection, alarming or other users.

Figure 10.32 Graph Only - download

On the other hand, if you have created IO Tags or internal tags in Advantech WebAccess Configuration, or edited them, then you must do a database download for the changes to take effect. A download requires stopping the SCADA node by using the Download link.


10.7 Push Buttons

Keymacro commands are normally assigned to "Pushbuttons" on user built graphic displays. Keymacro commands are used to change displays, call up dialog boxes, change setpoint, acknowledge alarms, etc.

These same keymacro commands are used on all standard displays in Advantech WebAccess (Alarm Summary, Alarm Log, Trends, Point Detail, et al) allowing uses to modify the default displays also. Please see the Pushbutton KeyMacros, section 11, for more information on using Key Macros

Figure 10-33 Pushbuttons in VIEW or DRAW

Pushbuttons are a Dynamic Animation in Advantech WebAccess. No Gifs or Bitmaps are required. The Animation shows reverse highlights for Button-Down and Button-up. Button Color, Highlight Colors (3-D effect) , Bevel Size are user configurable for each button.

Figure 10-34 Pushbuttons in VIEW, with Down Animation

Push Buttons can contain Text, Graphic Objects and Animated Objects. The Welcome Display on the Live Demo consists mostly of Pushbuttons.

Figure 10-35 Pushbuttons with Text, Graphics and Animation

Pushbuttons can also appear flat (by making the bevel size = 0). The default login button is an example of a flat pushbutton with no bevel or animation. T

Figure 10-36 Pushbutton with no bevel or animation


10.7.1 Pushbuttons use Keymacros

The most common keymacro used by Pushbuttons is <GOTO>GRAPH=graphicname.bgr
This command will change the display.

Pushbuttons can execute multiple keymacro commands; each keymacro is separated by comma (,).

Please see the Pushbutton Keymacros, section 11, for more information on Key Macros and a description of all keymacros. The Dynamic -> Pushbutton Dialog Box has a List of all Keymacros.

Figure 10-37 DRAW Dynamic -> Push Button Dialog Box

The graphics builder limits a single pushbutton to 75 characters per line. If both Key-down and key-up features are used, then it is 2 x 75 = 150 characters. Pushbuttons can also execute Keymacro files, which allow a pushbutton to execute keymacro commands in excess the 75-character limit (see <MCREXEC> ).

Keymacro files can be built with 1000 characters per line and an unlimited number of lines to construct very large series of commands. These become like small programs. Note that most all keymacro have an equivalent and similarly named Script command (See Action Commands in the Advantech WebAccess User Guide entitled Scripts in Advantech WebAccess for more information on Scripts).

Keymacro commands can be context sensitive. For example, the Shift+F7 or the will call-up the Detail Display of the currently selected Tag. If no Tag is selected, then the command will be ignored. Alternatively the display pushbutton can be assigned a specific tags name <GOTO>POINTDTL=tagname, which will got to the detail display of the specified tag always (if the tag exists).

Similarly, the <S_F7> keymacro command executed from the Toolbar will call-up the Detail Display of the currently selected tag. It acts just like Shift+F7 keys on the keyboard. However, <S_F7> on a pushbutton within a graphic is ignored, because the act of pressing the pushbutton, de-selects the tag.


10.7.2 System Tags for Pushbuttons

Keymacro are often used with special system tags to produce for example <GOTO>POINTDTL=@%TPICKTAG will call up the detail display of currently selected tag (the same as the Shift+F7 or <S_F7> keymacros).

Changes the display in the current display window. This command is available in screen scripts only. It will work in both Browser and ViewDAQ (local) clients. Not all options are supported by the ViewDAQ.

Please see Summary of Keyboard Shortcuts and System Tags for more information on using System Tags and creating Pushbuttons for User Graphics.


10.7.3 DRAW Push button

To Create a Pushbutton on a Graphic Display

1. Start DRAW.

2. Open the DRW for your graphic Display or start a New DRW.

3. Draw Text or a graphic Symbol.

For example, type GOTO MAIN GRAPHIC

4. With the graphic object chosen in VIEW,
Right Click -> Draw -> Dynamic -> Pushbutton

5. The Push button Dialog Box opens.

6. Select the keymacro from the list.

Figure 10-38Draw Pushbutton

Hint – the most common keymacro is <GOTO>GRAPH=yougraphic.bgr
which is used to go to another graphic display.

7. For some keymacros, complete the keymacro with Graphic Display name (include file extension). Refer to Keymacro Commands, Chapter 11 for a complete description of Keymacros.

8. Select Group Object. This will draw the Pushbutton symmetrically around the object.

9. Change Colors by clicking once on the Button Color Field, then once on a color in the Palette.

10. Change Margin or Bevel Size as desired

11. Press OK.

12. The button is drawn symmetrically around the selected object, if you selected group objects and started with an object already selected.

13. Optional

a. If you did not have an object selected and you picked group objects, then you are prompted to pick an object or group of objects (the command line will read Select Objects | Window | Next).

i. Select an object

ii. OR select WINDOW in the Command Line, then draw a window around a group of objects by clicking once with the mouse to start the window (First Corner) and a second time to end the window (Second Corner).

b. If you did not select Group Objects, then you are prompted to Draw the diagonal corners of the pushbutton by clicking once with the mouse to start the window (First Corner) and a second time to end the window (Second Corner).

Whether to Group Objects, or not, is your choice. Group Object draws the button perfectly around the object. However to edit the Text object or Animation that is Grouped you must explode the button.


10.7.3.1 Edit Grouped Pushbutton

Use Explode

For simple text editing, the Pushbutton settings can be “remembered” by the Pushbutton Draw command by:

1. Select the Pushbutton

2. Open the Pushbutton Dialog Box with the Modify Command
Right Click -> Edit -> Modify

3. Press OK (to resave Pushbutton without modifications)

4. Right Click -> Edit -> Explode

5. Select the Text

6. Right Click -> Edit -> Modify

7. Type the modification to the Text.

8. Press ENTER or Right Click the mouse

9. Right Click -> Dynamic -> Pushbutton

10. The settings for the pushbutton from the last OK are remembered by the Push Button Dialog Box

11. Select Ok

12. The button is redraw if the Text is still selected (else pick the text object).

Use Replace String

1. Select the Pushbutton

2. Open the Edit Dialog Box with the Modify Command
Right Click -> Edit -> Replace String.

3. The Replace String Dialog Box Opens.

4. Type the Find What (the Text to be Replaced)

5. Type Replace With (the new Text)

6. Press OK.

7. The Text in the Button is changed and the Button resizes automatically if Grouped.


10.8 Building Toolbars for VIEW

Toolbars provide default Navigation Buttons and other Keymacro Commands for users and operators in VIEW. Toolbars automatically appear on every graphic. An engineer must intentionally suppress Toolbars for them not to appear.

A Toolbar consists of a row of buttons; each button can include a label or symbol, animation, a button color and a key macro defining a specific function to execute when it is selected. Buttons can be built with Animation to blink or Change Color base on Alarm Values, Digital States and other animation.

Default Toolbar

Figure 10.39 Default Toolbar - VIEW and ViewDAQ

Figure 10.40 Toolbar mapped to Function Keys (red = CTRL + )

Default Toolbars are automatically assigned to each display type. Advantech WebAccess comes with a group of pre-built toolbars for user built graphics, alarm summary, alarm log, trends and other displays. These toolbars are named according to their associated display type. For example, ALSUM.TXX is the toolbar for the Alarm Summary display. The default toolbars can be modified and copied. Toolbars can be hidden using Display Group Window Options or Web Browser options.

Custom Toolbars

Figure 10.41Custom Toolbar

Users can create custom toolbars by either modifying the default toolbars or creating new toolbars named after the user-built graphic.

Toolbars consist of two components:

1. Buttons - these are text or graphic images. You can create buttons from any Advantech WebAccess Graphic (they are shrunk to fit the button size) or use existing Buttons (*.BBN) or Icon files (*.ICO) from other Windows programs.

2. Keymacros - these are the actions performed by clicking the button on the toolbar. Typical keymacro are Acknowledge Alarm and GOTO Graphic Display.

Toolbars are saved as files with the *.TLB extension. The Default toolbars supplied with Advantech WebAccess have the *.TXX extension.

Advantech WebAccess first looks if there is a Toolbar named after the graphic display, if so, then that Toolbar is displayed with the Graphic (yourGraphic.TLB). Otherwise, the default toolbar (graph.Txx) The TXX extension is used to hide the default toolbars from novice users.


10.8.1.1 Assign toolbar to a display

10.8.1 Assign toolbar to a display

When you create a graphic display, the Advantech WebAccess automatically uses the default toolbar file Graph.tbr to display the graphic during run-time. You can create a custom toolbar for the graphic display based on the default or other toolbar file by modifying the settings in the original file and saving them using the name of the graphic display for which the toolbar is created.

Note: A custom toolbar (.TLB) file for a graphic display must have the same name as the graphic display (.BGR) file.


10.8.2 Default Toolbars

To edit the default toolbars (*.txx) rename them with the *.TLB extension using Windows Explorer.

Then Edit the toolbar in DRAW (the Graphics Builder), Save them. If this new toolbar is to be used to replace the default toolbar, it must be renamed the same as the original with the*.TXX extension.

BBN (button files) allow animated buttons that flash, change color, change text to be added to Toolbars for VIEW and ViewDAQ. BBN files are built using the DRAW.

ICO (icon files) can be used also. These standard Microsoft icons found in most Windows Applications. The toolbar is sized for 24x24 icons, but larger or smaller ico files will be shrunk or stretched to fit. Icon files (*.ico) can not be animated.

To make this edited default available to all future projects, copy this to the config/system/bgr.

graph.txx is the default toolbar for all user-built displays. Advantech WebAccess VIEW looks for a toolbar with the same name as the graphic (graphic_name.TLB and graphic_name.BGR). If a user built toolbar does not exist, the graph.txx toolbar is used.

analog.txx is the default toolbar for the Analog Type Point Detail Display.

digital.txx is the default toolbar for the Digital Type Point Detail Display.

text.txx is the default toolbar for the Text Type Point Detail Display.

almsum.txx is the default toolbar for the Alarm Summary Display. The Alarm Summary, Change, and Alarm ACK icons are not shown.

dlogtrd.txx is the default toolbar for all Data Log Trend Displays.

There are similarly named toolbars for all standard displays, including


10.8.3 Create a VIEW Toolbar

The Steps in Building or editing a Toolbar are

1. Build a Graphic Display in DRAW. Text, graphics and animation can be included. The final display will be shrunk to the size of a button.

2. Create a Button File (BBN) using the Save BBN command

3. Start The Toolbar Utility (Tools -> Toolbar)

4. Add Buttons to your Toolbar

5. Add Keymacros to your buttons

6. Save the Toolbar. If it is named after a graphic display, this toolbar will appear when that graphic is called up.


10.8.3.1 To create or customize the toolbar for a graphic display:

1. Start DRAW, the graphics builder.

2. From the Tool menu, choose Toolbar, you can also enter toolbar at the command prompt or select the Toolbar icon from the Toolbar in DRAW.

3. The Toolbar Configuration dialog box opens.

4. From the Toolbar drop-down list select the toolbar named graph or one of existing toolbars. This list is blank if this is the first toolbar you have created. Skip this step if you are creating the toolbar from scratch or this is the first toolbar.

Hint - To edit the default toolbars, rename them with the *.TLB extension. Default toolbars have the *.TXX extension. After renaming them, edit them in the toolbar utility in DRAW (the Graphics Builder), save them. It must be renamed the same as the original with the *.TXX extension.

5. To change the color of the toolbar, click Toolbar Color and then click a color on the color palette.

6. To define a button on the toolbar, click the button on the toolbar displayed at the top of the dialog box, then select a toolbar button file from the list on the right (*.BBN) or (*.ico).

7. To change the color of the button, click Button Color and then click a color on the color palette.

8. Under Button Style, select either the depressed or released style.

9. In Key Macro, enter a key macro to execute when the button is clicked in VIEW.

10. In the Toolbar box, enter the name of the graphic (without the .BGR extension) for which the toolbar is create and click Save to save the configuration to file.


10.8.4 EXPORT Toolbar

You can export toolbar configuration information to a text file. The configuration can be viewed and edited using a text editor, such as Notepad. A modified toolbar text file can then be imported back to the toolbar configuration file.

To export a toolbar file to a TLL text file:

1. From the Utility menu, choose Toolbar, you can also enter toolbar at the command prompt. The Toolbar Configuration dialog box opens.

2. From the Toolbar box, select the toolbar to export.

3. Click the Export button. You will be asked to confirm viewing the text file.

4. Notepad opens to show the exported toolbar text file.

5. Select ALL FILE types before saving the file. Otherwise, notepad will append TXT to your file.

Hint - select all file types in Notepad before saving your file. Watch that your file name does not have a *.TLL.TXT (a double file extension)


10.8.5 IMPORT Toolbar

You can import toolbar configuration information from a text file. The configuration can be viewed and edited using a text editor, such as Notepad. A modified toolbar text file can then be imported back to the toolbar configuration file.

To import a TLL text file to a toolbar file :

1. From the Utility menu, choose Toolbar, you can also enter toolbar at the command prompt. The Toolbar Configuration dialog box opens.

2. Click the Import button. In the File List dialog box, click the TRL text file to import.

3. Click OK.

4. After importing a text file to a toolbar file, you must save the toolbar file so the new configuration can be used for graphic displays.

Hint - If you cannot find the toolbar that you exported, look for a file with the TXT extension. If the wrong option is picked in Notepad when exporting the toolbar it will have a double file extension *.TLL.TXT


10.8.6 Create Buttons for Tool bar

BBN (button files) allow animated buttons that flash, change color, change text to be added to Toolbars for VIEW and ViewDAQ. BBN files are built using the DRAW.

ICO (icon files) can be used also. These standard Microsoft icons found in most Windows Applications. The toolbar is sized for 24x24 icons, but larger or smaller ico files will be shrunk or stretched to fit. Icon files (*.ico) can not be animated.


10.8.6.1 Save BBN

The Save BBN command is used to save a drawing as a Button file. A .BBN file contains the graphical image for a button that can be configured into a Toolbar. A standard Graphic Display (*.DRW) with Text, Graphics and Animation will be shrunk to the size of a button using this command and saved with the *.BBN extension.

Create a Button - BBN

To create a button file:

1. Start DRAW, the Graphics Builder Program.

2. Build a Graphic with Text, Graphics and Animation. You can use symbols and widgets.

3. From the Save menu, choose Save BBN. You can also type bbn at the command prompt.

4. Enter a file name in the Save BTN File dialog box.

5. Select Whole Screen or Rectangle Area to save only a portion of the screen

6. Click OK.

7. If the file name exists, you will be asked to confirm overwriting the file.

8. If you selected the Rectangle Area option, click two points in the drawing area to define the opposing corners of a window. All objects in this area will be saved in the Button. This also allows some scaling control.

9. Optionally, save as a *.DRW so that you can edit the source file, in case you need to make changes to your button.

Note - BBN files cannot be edited. Save your work as a DRW file for future editing.


10.8.7 Icons (*.ico) for Toolbar

Standard Microsoft Icon files (*.ico) can be used in user built Toolbars. Icon files (*.ico) can not be animated.

ICO (icon files) can be used also. These standard Microsoft icons found in most Windows Applications. The toolbar is sized for 24x24 icons, but larger or smaller ico files will be shrunk or stretched to fit.

Copy your *.ico files to the Project Node (drive:\WebAccess\Node\config\your_project\bgr)

Or use the Upload to Project pick from DRAW
Right Click -> Files -> Upload Files to BGR

You can not edit *.ico files in DRAW. There are many free-ware ico file editors available on the internet.


10.8.8 Hide Toolbar - Web Client - default.asp

This example, you would give a URL or other address to the clients to connect. On the Project Node, you would create a default.asp (or HTML) with to redirect them to Advantech WebAccess with the Hide Toolbar option.

<%

Session.Timeout = 1440

Response.Redirect("./broadWeb/bwRoot.asp?username=admin&tool=0")

%>

For more information, see the Web Deployment section, on using bwViewPG to Hide the Toolbar or modify the default.asp so that user types an IP address only to open View.


10.8.9 Hide Toolbar - Web Client - Hyperlink

This example, you would add a Hyperlink in an ordinary HTML page to redirect the Client to the Advantech WebAccess System with the no toolbar option

An example of a Hyperlink to open View with out he Toolbar is:

<a href="" target="_blank">Click Here to Login</a>>

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The Toolbar appears at the Top of VIEW. It consists of a row of buttons for navigation, alarm acknowledgement and other functions.

For more information, see the Web Deployment section, on using bwViewPG to Hide the Toolbar.


10.8.10 Hide Toolbar - ViewDAQ

To hide the toolbar in a ViewDAQ use the Window Options. You can save this as a Display Group to hide the toolbar upon restart of ViewDAQ.

Figure 10.42 Hide Toolbar - ViewDAQ

Please see the Display Group Section on using ViewDAQ for more information.


10.8.10.1 Hide Toolbar – VIEW with View Property

Users can use the View Property link at the Top of the default VIEW (bwrun.asp) to Hide or enable the Toolbar. Please refer to the Web Deployment Section, View Client Options for more information.


10.9 Screen Scripts

10.9 Local Scripts (Screen Scripts)

Screen Scripts – which run only run when the associated Screen is displayed or are called by a Pushbutton on a Screen. Screen Scripts run on the Client. Screen Scripts run at the frequency specified by the Graphic Parameters (Set Graph Param) as fast as every 25 milliseconds.

    • Run Once when display first opened
    • Run continuously while display is open by user
    • Run Once when display closed

The language of Advantech WebAccess scripts is derived from TCL, an open-source scripting language commonly used for hardware-control programs. Advantech WebAccess scripts do not need to be compiled.

The components of a Advantech WebAccess Script are grouped into five Areas:

      • ACTION – these are commands specific to Advantech WebAccess. They are usually similar to keymacro and pushbutton commands. They address the need for scripts to interact with real-time data, controls and users. For example, Alarm Acknowledge, GO TO a Graphic Display, Set a Value. ACTION commands enhance the standard Tcl script commands.
      • KEYWORD – these commands are based on the Tcl programming language and introduce an "open source" feature to Advantech WebAccess scripts. Many standard Tcl programs are the programming language of Advantech WebAccess Scripts. The language of Advantech WebAccess scripts is derived from TCL, a scripting language commonly used for hardware-control programs. This is the If, THEN, ELSE of a programming language.
      • FUNCTIONS – these are mostly the advanced arithmetic functions (sine, cosine, rounding, logarithmic functions)
      • OPERATORS – a simpler math operators (multiply, divide, addition, greater than, equal to, etc) and grouping characters (parenthesis, square brackets etc.)

Additional components of Advantech WebAccess are the Tags (the real-time data) that Advantech WebAccess reads from Automation Equipment and internal tags describing Advantech WebAccess:

  • IO TAGS – this is the real-time data collected from Automation Equipment such as PLCs, Controllers, VAVs, OPC Servers, etc.
  • FIELD – these are Fields associated with IO TAGS, for example description, High Span, Alarm Limits, Alarms States etc.
  • Daq TAG – these are internal system tags that describe the state Advantech WebAccess , for example Serial Number, Last Button Pushed, communication port status.
  • LOCAL TAG – These are user defined “screen tags” internal to Advantech WebAccess and commonly used for display animation or reformatting data before presentation.

Please see Chapter 12 for detailed description of Scripts in Advantech WebAccess.

The next section shows a Step-by-Step Guide of creating the most common screen script to Rotate a Fan or Pump based on the On/Off state of a Digital Tag.


10.9.1 Rotate a Widget with a Script

The most common use of screen scripts is to provide enhanced animation. This example describes how to rotate a FAN based on the ON/OFF state of the fan. Please refer to Chapter 12 Scripts for detailed description of Scripts in Advantech WebAccess.

This example uses is a "trick" widget that connects to two tags. Normally, a widget is built with only one tag. In this example, the first tag is the IO tag that describes the on off state of the Fan or Pump (the Discrete Tag). The second "trick" tag is an analog-type Local Screen Tag that will loop from 0 to 359 when the IO Tag is ON.

The "trick" to using this two-tag widget ($FANBLADES.dwt) is to name the local screen tag after your IO tag by appending the word "rotate" to it. (if you are using long tag names, try using just the letter "r" instead of "rotate"). If your digital IO Tag is named FANSTART then you should create a screen tag named FANSTARTrotate.

Note - Local Screen tags are limited to 15 characters. If your IO tag is more than 9 characters in length, you can use any name for the Local Screen tag and then edit the Widget to use the actual Local Screen Tag name.

A summary of the steps are:

· Start DRAW.

· Edit your Graphic Display (Open DRW).

· Create a Local Tag File with an analog-type Screen Tag named after your digital IO Tag (with rotate appended to end)

· Create a Script that Loops TAGrotate if TAG is true

· Attach the Script and Tag file to your Graphic

· Draw the Widget.

· Edit the Widget to make sure the rotate animation is attached to the analog Local Screen Tag (TAGrotate).

Step by Step Guide to Rotate a Widget.

1. Start DRAW

2. Open the DRW file of the Graphic Display you want to add this Widget.

3. Create a Local Tag File with an Analog Tag.

Figure 10.43 Set Graph Parameters

a. Select File -> Set Graph Parameter

b. Select the field next to Local Tag File

c. Select Edit

Figure 10.44Local Tag file (screen tags) - DRAW

d. Enter a name for your Tag File ( I name these after my graphic display).

e. Enter the "trick" Tag Name

It should be named after your IO Tag by appending the word "rotate" to it. If your digital IO Tag is named FANSTART101 then you should create a screen tag named FANSTART101rotate.

f. Check Point Type = Analog

g. Enter Span High = 359 (it can be any number but my example script was designed for this)

h. Select Add/Modify

i. Select OK

j. Select Save

k. Select OK

l. Select Exit

m. Select your Tag File name to attach it to your Graphic as the Local Tag File

4. Create a script

a. Open Set Graph Parameters Dialog box (it should still be open).

b. Select the field under Local Script File next to, While Showing:

c. Select Edit

Figure 10.45Script Editor - DRAW

d. Copy and Paste the following Script into the Script Editor.

catch {

if {[GETVAL FAN_START101] == 1} then {

SETVAL {FAN_START101rotate=%ROTATEPLUS 32}

}

}

e. Edit the script to use your tag names. Replace FAN_START101 with your digital IO Tag.

f. Replace FAN_START101rotate with your analog local screen tag (Step 3.e above).

g. Enter a name for your Script File (I name mine after the graphic).

h. Select Save

i. Select Exit

j. Click on your Script File Name to enter it in the While Showing field

5. Adjust the Screen Update and Script Update rate to get faster spin.

a. (Use Set Graph Parameters Again. I use 5 = 5*0.025 sec = 0.125 secs)

b. Select OK to close the Set Graph Parameter dialog box

6. Draw -> Widget

7. Select $FANBLADES.dwt

Figure 10.46Draw Widget

When you draw the widget, it asks for a tagname. Enter you digital IO Tag (FANSTART101 in the example. The trick is that I have already inserted a partial tagname (rotate) in the spot for the rotation animation. The Start/Stop animation takes the tagname you enter AND inserts your tagname in front of the partial tagname "rotate".

8. Save and download your Graphic.

Multiple Rotating Widgets on Same Graphic

If you have multiple Fans on a graphic, you must add additional screen tags and edit the script by repeating the test.

catch {

if {[GETVAL FAN_START101] == 1} then {

SETVAL {FAN_START101rotate=%ROTATEPLUS 16}

}

}

catch {

if {[GETVAL FAN_START102] == 1} then {

SETVAL {FAN_START102rotate=%ROTATEPLUS 16}

}

}


10.10 Printing Graphic Displays

Printing of graphics and trends can be directly to Printer or the Paintbrush program (Paint.exe). The default is to Paintbrush.

To print directly to printer, modify the *.INI files (and create them if they don't exist).

Printing direct to default printer from VIEW, DRAW , DrawDAQ or ViewDAQ

1. Open Notepad. Start -> Run -> Type Notepad

2. Browse to Advantech WebAccess client directory for VIEW and Advantech WebAccess Node directory to modify ViewDAQ.
For VIEW and DRAW it is typically in C:\WebAccess\Client\bwclient.ini
For ViewDAQ and DrawDAQ it is typically in C:\WebAccess\Node\bwclient.ini

3. Modify the bwclient.ini to look like one of the following.

BWCLIENT.INI (opens paint)

[viewer]

bitmap=mspaint.exe

bitmap_width=0

bitmap_height=0

text=notepad.exe

actlog=notepad.exe

almlog=notepad.exe

BWCLIENT.INI (prints directly to printer)

[viewer]

bitmap=mspaint.exe /p

bitmap_width=600

bitmap_height=800

text=notepad.exe

actlog=notepad.exe

almlog=notepad.exe

3. Save the BWCLIENT.INI file.

Note that a similar file exists might exist in two places on a SCADA Node and Project Node, one for VIEW and DRAW (using a web browser) and one for ViewDAQ or DrawDAQ.

The options are:

Bitmap=mspaint.exe will open PAINT, the standard bitmap editor supplied with Windows Operating Systems. Users can then save, print or even email the image from PAINT. This is the default setting in the INI file.

Bitmap=mspaint.exe /p will print directly to the default printer. The default printer is the Windows Operating System default Printer set in
Start -> Settings -> Printers.

User must use the PRINT button on the Advantech WebAccess Toolbar (the <PRINT? keymacro) or Right Click -> File -> Print. The Web Browser’s print button will not print a graphic display. The Print will be in “landscape” mode.

Bitmap_width=0 will use the actual pixels displayed on the screen to generate the bitmap and print. This can be adjusted to “fit” the page ( 160 to 3600 pixels).

The number specifies the number of pixels in the starting bitmap. The printer driver will fit this to the page based on the resolution of the printer and the peculiarity of the printer driver. For an HP Laserjet 1200 (1200 dpi) bitmap_width=800 works well.

Bitmap_height=0 will use the actual pixels displayed on the screen to generate the bitmap and print. This can be adjusted to “fit” the page ( 120 to 2700 pixels). For an HP Laserjet 1200 (1200 dpi) bitmap_width=400 works well.

See Also 23.6 BWCLIENT.INI


10.10.1 Color table for printing

A Color table for printing applies to View and ViewDAQ. The new default.cxx (formerly default.ctb) allows users to globally define a color table for printing. Users can now specify a color table for each individual graphic display.

To create a color table, use the same name as the graphic file with ctb as the file extension for user-built graphic files (i.e. bgr). Use the cxx extension for system graph files. For example, use almsum.cxx to define color table for alarm summary display (almsum.bxx) and use main.ctb to define color table for main.bgr.

To create color tables, please do the following:

1) In Draw or DrawDAQ, please enter ctb in command line to call up Color Table Configuration dialog box. (For information on the command line see section 10.4.3.1 Command Line Prompts).

2) Define your color table.

3) In Color Table File field, please enter color table name with ctb or cxx as a file extension.

4) Save and Exit.

5) Download graph.

You can only re-map up to 256 colors indexed in Color Table Configuration dialog box. Performance issues may arise if the bitmap generated by print is too big or the computer is too slow. Colors of the bitmaps may shift if color quality of the display card is too low (e.g. less than 32-bit colors): this will cause re-mapping to fail. When there are texts in View/ViewDAQ, re-mapping colors of those texts in printout may not be successful if clear type method is used to smooth edges of screen fonts. Due to all the issues mentioned, this feature is unofficially supported.


10.11.1 New DRW

The New DRW command opens a fresh drawing file. There are three ways to create a new file:

1. From the Top Toolbar select the New Draw Icon

Other alternatives are:

2. In DRAW (web browser).

Right Click -> File -> New DRW

3. In DrawDAQ (users omit the right click)

From menu bar select File -> New DRW

This does not save any previous work. Be sure to use Save DRW before creating a new DRW.

This opens a file name untitled.drw. To create a new default display, modify and save as untitled.drw.


10.11.2 Open DRW

The Open DRW command opens an existing drawing file.

Open DRW is accessible from the Upper DRAW Toolbar and the File Menu:

Right Click -> File -> Open DRW (DrawDAQ users omit the right click)

The user can Select the File from the Dialog Box or type the file name (with the appropriate extension). A preview function allows users to see the display, by clicking on the file name.

Figure 10.47 Open DRW file - DRAW

DRAW users (i.e. Web Browser Clients) can not Browse folders for security reasons.

Draw users can call up any file in the \DRW subfolder if they know the exact file name and extension. For example, to modify the alarm summary, enter ALMSUM.DXX

DrawDAQ

DrawDAQ users have a traditionally Dialog box that allows them to Browse to other subdirectories and folders.

Figure 10.48 Open DRW file - DrawDAQ

Users can also enter a wildcard with the file extension to see all files of that type. For example, to see all the default template display drawing files, enter *.dxx in the file name field.


10.11.3 Save BBN

The Save BBN command is used to save a drawing as a Button file. A .BBN file contains the graphical image for a button that can be configured into a Toolbar. A standard Graphic Display (*.DRW) with Text, Graphics and Animation will be shrunk to the size of a button using this command and saved with the *.BBN extension. See section 0 for a step-by-step guide to Creating a Button File.

Save BBN is accessible from the File Menu:

Right Click -> File -> Save BBN (DrawDAQ users omit the right click)


10.11.4 Save BGR

The Save BGR command saves a run-time version of the drawing file (*.bgr). It also has an option box to save the drawing source file (*.drw). The DRW file can be edited. You cannot edit a BGR file. It is important to Save the DRW since this is the only way to edit your work.

Save BGR is accessible from the Upper DRAW Toolbar and the File Menu:

Right Click -> File -> Save Bgr (DrawDAQ users omit the right click)

It is highly RECOMMENDED to check the Save DRW File option when saving a BGR file.

Figure 10.49 Save BGR file (graphic display file)

The user should verify or edit the name of the file in the BGR File Dialog box.

Figure 10.50 Save DRW (editable graphic source file)

By Default, Advantech WebAccess will save the DRW with the same name. It is recommended to use the DRW file extension for all you Drawing Source Files.

User the run-time version Built Graphics must be named with the *.BGR extension.

Save Options

Entire Drawing - this saves the entire drawing as a BGR file.

Rectangle Region - You are prompted to Drag a rectangle around apportion of the DRW file. This portion will appear in the BGR.


10.11.5 Save DRW

The Save DRW command saves the drawing file source file. The DRW file can be edited. You cannot edit a BGR file. It is important to Save the DRW since this is the only way to edit your work.

Save DRW is accessible from the Upper DRAW Toolbar and the File Menu:

Right Click -> File -> Save DRW (DrawDAQ users omit the right click)

Save DRW is also available as an option in the Save BGR command.

The user should verify or edit the name of the file in the Dialog box.

It is recommended to use the DRW file extension for all you Drawing Files. If you used the New DRW command, the "untitled.drw" is the default name in the Save DRW dialog box. Please Change the file name using the DRW extension.


10.11.6 Snap - Sa

The Sa button provide a way of toggling the on/off status of the and Snap commands. With Snap On, Objects will be forced to line up with the SNAP Grid. Note that the Snap Gird and the Display Grid (Gd) can be different.

Point snapping is a function used to place an object relative to another drawn object with greater precision than when manually selecting the location and drawing the object.

Point snapping is used as follows:

1. Click one of the Point Snap Fields (Sa).

2. Select a drawing command from the Draw menu. Point snapping can be used on a line, Polyline, circle, or an arc.

3. Click the object in the drawing to which the new object is to be snapped.

4. Complete the drawing according to the prompts on the status bar.

The newly drawn object snaps to the snap grid.


10.11.7 Up Link Graph and Down Link Graph

Use UP LINK GRAPH and DOWN LINK GRAPH to create a fixed Browse Sequence to other Graphic Displays. The <P_UP> and <P_DN> pushbutton keymacros use the Up link and Down Link Graphic Names specified in the Graphic Parameters to link multiple graphic displays.

The <P_UP> and <P_DN> are similar in concept to the <GOTO GRAPH> pushbutton, except they are generalized. If the <P_UP> and <P_DN> are placed on a Toolbar, they will work for any Graphic Display that has the UP LINK and DOWN LINK parameters set. The <P_UP> and <P_DN> are also useful for Block Detail Displays.

1. On the First Graphic Display.

a. Open Set Graph Parameter Dialog Box
From Toolbar:
From Right Click menu: Right Click -> File -> Set Graph Parameter
From Menu Bar (ViewDAQ): File -> Set Graph Parameter

Figure 10.51 Set Graph Parameters - Down Link

b. In the Down Link field, enter the name of the Graphic Display. For example: Graph2.bgr

If you first pick the Down Link Graph field, you can then double-click on a Graphic Name (*.bgr) from the list of user built Graphic displays.

c. Click OK

d. Add a Pushbutton with Keymacro <P_DN> to either the Graphic Display or the Toolbar associated with this graphic display.

e. Save the Graphic (Save BGR) and drawing DRW file.

2. On the Second Graphic Display.

f. Open Set Graph Parameter Dialog Box from the Toolbar

g. In the UP Link field, enter the name of the Graphic Display. For example: Graph1.bgr

Figure 10.52 Set Graph Parameters Up Link

If you first pick the Down Link Graph field, you can then double-click on a Graphic Name (*.bgr) from the list of user built Graphic displays.

h. In the Down Link field, enter the name of the Graphic Display. For example: Graph3.bgr

i. Click OK

j. Add a Pushbutton with Keymacro <P_UP>.

k. Add a Pushbutton with Keymacro <P_DN>.

l. Save this Graphic Display (Save BGR) and drawing DRW file.


10.11.8 Graphic Parameters (Set Graph Parameters)

10.11.8 Set Graphic Parameters

Use Set Graph Parameters to associate Scripts, Tag Files, Background Bitmaps, UpLink and Downlink graphics, Script and Screen Update intervals and to add a Description to your display.

1. Open Set Graph Parameter Dialog Box
From Toolbar:
From Right Click menu: Right Click -> File -> Set Graph Parameter
From Menu Bar (ViewDAQ): File -> Set Graph Parameter

2. The Graph Parameter Dialog Box opens.

Set Graphic Parameters Dialog Box

Figure 10.11.8.2 - Set Graphic Parameters Dialog Box

3. Selecting a field should list the ltg, bgr, scr files as appropriate. You can double click the file name or type in the name (with the appropriate extension).

Press OK after making any changes.

4. Save the BGR and DRW.

5. Download the Graphic to SCADA node for the changes to take place.

All the parameters are optional and can be left blank except for Graph Update Interval and Script update interval which have minimum (fastest) value of 1 and maximum (slowest) of 1800.

Description appends a text string to the Graphic File name in the Status Bar of the Client. Description is optional.

Figure 10.11.8.3 - Description as it appears in Status Bar

The Up link and Down Link Graphic Names specified in the Graphic Parameters to link multiple graphic displays. The <P_UP> and <P_DN> pushbutton keymacros use Up link and Down Link Graphic Names specified here The <P_UP> and <P_DN> are similar in concept to the <GOTO GRAPH> pushbutton, except they are generalized. If the <P_UP> and <P_DN> are placed on a Toolbar, they will work for any Graphic Display that has the UP LINK and DOWN LINK parameters set. The <P_UP> and <P_DN> are also useful for Block Detail Displays.

Local Tag File contains the Local Tags to be assigned to a graphic. You can repeatedly assign this local tag file to many graphic displays in order to use the same local tags over and over. Local Tags are temporary internal tags used by scripts and graphic displays. Typically, Local Tags (also called Screen Tags) hold intermediate values or enhance display animation. Local Screen Tags disappear when the display they are assigned to is closed. Screen tag can also be associated with Video, to enable scripts that rotate from camera to camera or other customization. For more information see Section 4.10 Local Tags. For a step-by-step example see step 11 Create a local Tag File in 10.11.15 Draw and animate Frames.

Local Script File (also called a Screen Script) associates a Tcl Script with the graphic commonly used animate a graphic. On Open runs the script when the Graphic is called by a client. While Showing runs the script repeatedly at the Script update Interval (no need to create loops in your scripts to have them repeat). On Close runs the script when the user leaves the graphic display. For a step-by-step example see step 12 Create a While Showing Script in 10.11.15 Draw and animate Frames.

Background Image is a Bitmap or DIB file to use as a background. GIFs and JPEGs can be used, but are converted to Bitmaps to allow use with vectors. For related information on how to upload the GIF and convert it see 10.11.17 Import a GIF.

Graph Update Interval is the frequency of redrawing the Graphic Display and refreshing the values on it. Graph Update Interval has a minimum (fastest) value of 1 and maximum (slowest) of 1800. 1 corresponds to 0.025 seconds.

Script Update Interval is the frequency of repeating the While Showing script. If you increase the Script Update interval, you must change the Graph update interval to see the changes in the script. Script Update Interval has a minimum (fastest) value of 1 and maximum (slowest) of 1800. 1 corresponds to 0.025 seconds. 10 means the While Showing script runs 4 times per second while the display is opened.

Remember to Save the BGR and Save DRW after you press ok. You must Download Graph to have clients see the changes.


10.11.9 Dynamic Fill

10.11.9 Dynamic Animation - Fill

Use Dynamic -> Animation -> Fill to fill tanks and vessels. Both regular and irregular shapes can be filled if they are continuous (i.e. no gaps).

Lines, Polylines, Circles and Ellipses can be filled dynamically if they are already Filled with Color (e.g. Edit -> Fill with Color).

1. Draw a Circle, Ellipse, Line, Pie, Polygon, PolyLine or Rectangle.

Note - to select an already drawn object, you must left click on the outside edge. You can't select a Circle, Ellipse, Line, Pie, Polygon, PolyLine or Rectangle by clicking the center of the vector object. Handles should appear around the object.

2. Use Right Click -> Edit -> Fill with Color .

3. Then use Right Click - > Dynamic -> Animation Fill.

4. Select the Fill radio button.

5. Enter the Tag Name.

6. Select Alarm Colors or Multi-State.

7. Select the appropriate colors.

Note - Multi-state allows you to change color for different Fill Levels either in Engineering Units or Percent of Scale.

8. Select OK.

Hint - If the object is selected, type simudyn on the Status bar to test the fill animation.

Note - Arc, polygons, pies, rectangles, panels can not be dynamically filled.

Remember to Save the BGR and Save DRW. You must Download Graph to have clients see the changes.


10.11.10 Create Widget

Use Create Widget to save an object as a Widget (with the dwt file extension in the dwt directory. Create Widget saves the object, much like using Save DRW, except with different File Extension. You can save all or part of your DRW as a Widget (DWT).

Creating a Widget is the same as creating any other animation, except the tagname field is usually blank. Draw Widget will insert the tagname into each animation tagname.

One notably exception is the use of Tag Fields. Inserting the tag field, preceded by a period in the widget tagname allows a widget to be create to the tag's value and to its other attributes (tagname, description, Span Hi, Span Lo, Eng Units, etc.) See Tag Fields. Draw Widget inserts the tagname in front of the .tagfield in the widget.

There are three techniques for creating a Widget.

1. Use Modify to erase the tagnames from animation of an existing graphic element. Then use Create Widget to save it.

2. Draw an animated object from scratch. Then use Create Widget to save it.

3. Use Right Click -> Draw -> Modify Widget to modify an existing Widget (i.e. draw it without inserting any tagname. Then use Create Widget to save it. (See Modify Widget).

Note - Use Create Faceplate to create a dynamic object for use with Blocks (i.e. a widget for Blocks).

10.11.10.1 Modify an existing graphic element to create a Widget.

1. Start Draw or DrawDAQ.

2. Use Open Draw and select the Graphic with the animated display element you want to turn into a widget.

(for example, select Process1.drw from the LiveDemo_ScadaNode1).

3. Select the element you want to turn into a Widget.

(for example, select TANK 5111 in the Process1.drw from the LiveDemo_ScadaNode1).

4. You may have to explode the object if it is grouped in order to modify the animation.

(for example, Right Click -> Edit -> Explode TANK 5111 in the Process1.drw from the LiveDemo_ScadaNode1)

5. Click once on just the animation.

6. Position the cursor over the very center of the animation, so the Track Modify [image] (the Hand) cursor appears.

7. Click on the center of the animation. The Dynamic Animation Dialog Box opens.

8. Erase the tagname from Tag:

(for example, erase LI511 from the Tank 5111 in the example above).

9. Press OK to save the animation with a blank Tag Field.

10. Use the mouse to select the tank and the animation. Optionally Group the objects.

11. Right Click -> File -> Create Widget.

12. Type a Name for the Widget (with the .DWT extension).

13. Optionally, with the widget selected, type simudyn on the Status Bar Command Line. The object should move through all its animation states.

Note - not all animation is supported by simudyn.

10.11.10.2 Create a Widget with Tag Fields.

1. Start Draw or DrawDAQ.

2. Use Open Draw and select the Graphic with the animated display element you want to turn into a widget.

(for example, select ainstrument1.drw from the LiveDemo_ScadaNode1).

3. Select the element you want to turn into a Widget.

(for example, select ALARMDIAL in the ainstrument1.drw from the LiveDemo_ScadaNode1)

4. Right Click -> Edit -> Modify (this is the same as using the Track Modify is step 6 above).

5. The Animation List opens (because there is more than one animation field for this object).

6. Select the first Animation field (SPEED)

7. Select OK.

8. Erase the tagname.

9. Select OK.

10 Right Click -> Edit -> Modify .

11 The Animation List open again.

12. Select the Second Animation Field (SPEED.ALMHH)

13. Erase the tag name, but leave the .ALMHH.

14. Select OK

13. Repeat steps 10 to 14 for the remaining animation fields, erasing the tagname, but leaving the .Tagfield in Tag:

14. When done modifying each field, select the entire object.

15. Right Click File -> Create Widget.

16. Enter a name for the new widget.

17. Press OK.


10.11.11 Modify Widget.

1. Start Draw or DrawDAQ.

2. Use Right Click -> Draw -> Modify Widget to modify an existing Widget

3. Select the Widget from the File List.

4. Edit the Widget using the Modify command.

5. Save the Widget using Right Click -> File - >Create Widget.


10.11.12 Open DXF

The Open DXF imports an AutoCAD Release 13 compatible DXF file into Advantech WebAccess. The DXF File becomes fully editable. Only lines are imported, no colors, no blocks are imported.

Note - Adobe Illustrator DXF files are not compatible.

It is recommended that you open your DXF in AutoCAD (release 11, 12 or 13) and export to DXF from AutoCAD before trying to open it with Advantech WebAccess DRAW.

1. Start DRAW or DrawDAQ

2. Select a non-white and non-black Page Color (most DXF are imported as White or Black lines)

3. Open DXF is accessible from the File Menu:

Right Click -> File -> Open DRW (DrawDAQ users omit the right click)

Open DXF from web browser DRAW

Open DXF from DrawDAQ

4. Select the DXF from to be opened from the file List.

File List - DRAW

The web browser DRAW user can not browse to other subdirectories on the Project Node. The DXF files must be located on the Project Node in the DRW subdirectory of the project (Typically c:\WebAccess\Node\Project_Node\DRW. DRAW users (i.e. Web Browser Clients) can not Browse folders for security reasons. Use Upload Files to DRW to copy files from the web browser client PC to the Project Node.

The DrawDAQ user can browse to other subdirectories to find the DXF file.

File List - DrawDAQ

Select the File from the Dialog Box or type the file name (with the appropriate extension).

5. Optionally select a Scale Factor. This is a multiplier that can make the DXF smaller or larger.

6. Select Open or OK.

7. The DXF is opened.

Open DXF of CTL Valve supplied by Valve Manufacturer.

8. This is now a DRW file. You can edit it, add symbols, widgets, lines. Group and Fill it. Animate it just like a line.

You can not save it as a DXF. You can only save it as a DRW, BGR, a Widget, a Symbol, etc.

Symbol ($bigvalve.dsm) made from DXF of CTL Valve supplied by Valve Manufacturer

Floor Plans, Plot Plans, P&ID drawings, Schematics and equipment drawings are often imported as DXF files.


10.11.13 Attribute Tag

The Attribute Tag is usually used to display the value of one Tag, but have a second tag control the color (either Alarm Color, Discrete Color or Multi-State color).

An example is if there is a separate alarm tag and value.

For example a tag like LSBE8_VFD_ALM shows the alarm state of LSBE8 VFD (Variable Speed Drive).

There are three other tags associated with LSBE8 VFD:

LSBE8_S_S

LSBE8_SPD

LSBE8_DP

If you use LSBE8_VFD_ALM as the attribute tag for LSBE8_S_S, LSBE8_SPD and LSBE8_DP for Alarm State, then those three tags will flash red (or whatever color) when LSBE8_VFD_ALM is in alarm (but only if LSBE8_VFD_ALM is in alarm).

Other possible uses are to have one tag control movement, rotation, size, and a second tag control alarm color, digital color, multi-state color or even multistate text.

Attribute Tag is configured as follows:

1. Click once on the object to be animated.

2. Right Click with the mouse then select Dynamic -> Animation

(DrawDAQ users can skip the right click).

3. The Dynamic Configuration dialog box opens.

Attribute Tag - Dynamic Animation Configuration

4. Enter the tag name that will control the primary Animation (LSBE8_SPD in the above example).

5. Select the primary animation ( R-Text in the above example).

6. Select Enable Attribute Tag box.

7. Enter the Attribute Tag name (LSBE8_VFD_ALM in the above example).

8. Select the secondary animation to be controlled by the attribute tag (Alarm Status in the above example.

9. Select OK.


10.11.14 LLD - custom Welcome & LOGIN display

10.11.14 Customize the Welcome & LOGIN Display

Using the Draw or DrawDAQ users can create animated Login and Welcome pages (including bitmaps). Users can create a login.bxx as the login page of VIEW and welcome.bxx as the welcome page of View/ViewDAQ.

Users can incorporate any static or dynamic drawing object, video, Shockwave Flash Objects, and web pages into the login/welcome page.

Although all the features available for graph files can be used in login.bxx and welcome.bxx, script actions other than BWSPOOL, GETVAL, SETVAL, SCREXEC, SCRLOOP, SCRSTOP, and SLEEP will be ignored. Also, login.bxx and welcome.bxx will be displayed as view-only in login/welcome page. Pushbuttons will not work. Clicking on login.bxx will open the login dialog box.

The LOGIN display is the first graphic display seen by web browser users in VIEW.
The Welcome display is the first graphic display seen by local SCADA Node users in ViewDAQ.

An example of the default LOGIN graphic seen by web browser users is shown below.

Default LOGIN Display - VIEW

An example of the default Welcome graphic seen by ViewDAQ users is shown below.

Default Welcome Display - ViewDAQ

LLD Command (a now obsolete command for Welcome.lld and Login.lld)

This command and file is usually replaced by using the login.bxx and welcome.bxx described above. The LLD command is executed from the Status Bar in DRAW (and DrawDAQ). It was used to create a static file (either a Welcome.lld or Login.lld) from a DRW file. Using the LLD commadn, users can build any static Graphic Display (except bitmaps, GIFs and JPEGs) to create a customized Welcome or LOGIN display to replace the default. This is not recommended any more.

1. Start DRAW or DrawDAQ.

2. Create a Graphic Display with no animation. Bitmaps, JPEGs and GIFs can be drawn to utilize company logos, etc.

3. On the Status Bar type LLD

4. The Save LLD dialog Box opens.

5. Enter either Welcome.LLD or LOGIN.LLD .

Note - you can use the same display for both, but it is recommended to include a prompt for the LOGIN.LLD because web-browser VIEW users are required to login.

6. Save the DRW file for future editing.

Note - you must use the LLD from the command line to enable the SCADA Node to use the custom LOGIN or WELCOME display. You cannot use Save BGR or SAVE Drw enable the use of your custom Welcome or Login graphic.


10.11.15 Draw and animate Frames

Frames display multiple objects in the same window, similar to an animated GIF on the internet. The contents of a Frame can be a Advantech WebAccess Drawing, (i.e. vector based) or a bitmap. You can convert animated GIFs to frames also. There can be no animation in the individual frames. The only animation provided is my changing from one frame file (*.DFM) to another in the same window. A Frame window is usually a Polygon animated with Dynamic -> Animation then pick the Frame radio button.

Use of Bitmaps as Frames or as any object is not recommended if you have a slow network connection to the clients because of the large file sizes. This example creates a graphic file over 3.8 Mega Bytes.

It is recommend to use Vector Graphics and True type fonts in frames to reduce the file size.

This example uses animated GIF, converted to Bitmaps by Advantech WebAccess DRAW to create an animated frame to show the similarities and differences between Advantech WebAccess Frames and GIFs. They are similar in concept.

The generalized steps to creating frame animation are:

1. Start DRAW.

2. Copy or Upload the GIF to the BMP folder.

3. Create Bitmaps from the animated GIF.

4. Save the first frame files (*.DFM) from the Bitmaps.

5. Draw additional bitmaps and save as frame files (*.DFM).

6. Optionally save the DRW file with all your drawn bitmaps.

7. Open or create the display that will hold the animated Frame.

8. Draw a Rectangle to hold the frame animation. Alternatively you can use a Panel.

9. Animate the Rectangle with Dynamic Frame animation.

10. Enter a Tag name for the Animation.

11. Optionally, create a Local Tag file and use a Local screen Tag to animate the frame.

12. Optionally create a script to animate the Frames.

13. Save the BGR and DRW files.

STEP by STEP example

Below is an example of converting an animated GIF of a rotating engine to a set of Frames in Advantech WebAccess.

1. Start DRAW

2. Upload the GIF to the BMP folder.

2a. Right Click -> File -> Upload Files to BMP Folder.

2b. Select Files of Type: GIF Files (*.GIF)

2c. Browse to your GIF.

If you are on a client this will copy the GIF to the Project Node so other users can access it also. It will become part of the Project.

2d. Select OPEN.

3. Create Bitmaps from the animated GIF.

3a. Right Click ->Draw -> GIF

3b. The "File List" Dialog Box opens.

3c. Select the GIF file.

3d. Select OK

If it is a large GIF, there will be a pause while it is converted to individual bitmaps

Note - Advantech WebAccess converts each frame in the GIF to an individual bitmap and opens the Draw Bitmap Dialog Box with the first bitmap selected.

4. Create the first frame files (*.DFM) from the Bitmaps.

4a. The "Bitmap File List" dialog box should be open, with the first Bitmap selected.

4b. Optionally, select Transparent.

4c. Optionally, select a color that will be made transparent.

4d. Select OK.

4e. Position the Bitmap on the screen.

4f. Click with the mouse to draw the bitmap.

For this example, we are going to use just one object per frame, the bitmap. Optionally you could select multiple object, including a mixture of vector and bitmap objects to include in a single frame. Most user will probably use vector objects drawn in DRAW for frames. Text and any object drawn with DRAW or DrawDAQ can be used as a frame.

If the bitmap is not already selected, then select by clicking it with the mouse.

Hint - its selected if there is a box with handles around it

4g. Right Click -> File -> Save DFM .

4i. Enter a name for the DFM file, for example engine1.

4g. Under Save Options, use "Selected Objects".

4h. Select OK.

This should save the Bitmap as a DFM file. If it prompts you to select an object, then select the bitmap you drew.

5. Draw additional bitmaps and save as frame files (*.DFM) from the other bitmaps by repeating step 4, but now you have to start with Draw -> Bitmap.

In this example, you can erase the previous bitmap or you can just draw the next bitmap at another location on the screen.

5a. Right Click -> Draw Bitmap.

5b. The Draw Bitmap dialog box should open.

5c. Select the next bitmap (they should be numbered sequentially, 002, 003, etc.). For example select EngineRotate.gif.002.bmp

5d. Optionally, Select Transparent

5e. Optionally, Select a color that will be made transparent.

5f. Select OK

5g. Position the Bitmap on the screen.

5h. Left click the mouse to draw the bitmap

5i. Right Click -> File -> Save DFM

5j. Enter a new name for the DFM file.

This should be a different name than used previously. For example engine2.dfm, engine3.dfm, etc. If it asks you to"replace" you should cancel and type a new name. You need to name each DFM file uniquely. In this example, a different number is appended to the name.

5k. Under Save Options, use "Selected Objects"

5l. Select OK

This should save the Bitmap as a DFM file. If it prompts you to select an object, then select the bitmap you drew.

Repeat. If your frame has 16 elements (as in this example), you will have to repeat this another 14 times to create 16 unique DFM files. In this example, engine1.dfm, engine2.dfm, engine3.dfm ... engine16.dfm.

6. Optionally save the DRW file with all your drawn bitmaps. In this example, the bitmaps are the frame so it is no necessary. But if you where using multiple objects and vector objects, then you should save this DRW in order to edit or modify your frames.

7. Open a the display that will hold the animated Frame.

File -> Open DRW

Select the name of your DRW.

Optionally, you can create a new graphic with File -> New.

8. Draw a Rectangle to hold the frame animation. Alternatively you can use a Panel.

8a. Right Click -> Draw -> Rectangle

8b. Select first corner with a left click of the mouse.

8c. Stretch the rectangle by moving the mouse.

8d. Select the opposing corner with a left click of the mouse.

Hint - to make the rectangle the exact size of the original bitmap, draw one of the bitmaps first, then draw the rectangle around it. The frame will stretch or shrink to fit whatever size rectangle you draw.

9. Animate the Rectangle with frame animation.

9a. If it is not already selected, left click on the Rectangle that will hold the frame animation.

9b. Right Click -> Dynamic -> Animation

9c. Select the Frame radio button.

9d. The Frame dialog box opens.

9e. Select Multiple States tab.

9f. A list of DFM files should appear, you should see your DFMs listed on the right (for example engine1.dfm, engine2.dfm).

9k. Select EU for Engineering Units.

9l. Enter the a value slightly lower than the first transition value of you tag (in this example enter 22.2 calculated as 360 divided by 16 ) This defines State 0 as any value less than or equal to 22.5.

9l. Select the field next State 1, then select then name of the frame (*.DFM) that should appear when State 1 is true (i.e. engine2.dfm).

9m. Enter the a value slightly lower than the second transition value of you tag (in your example enter 45 ) This defines State 2 as any value greater than 22.5 and less than or equal to 45.

The script will rotate the value of a tag from 0 to 359 representing 360 degrees of rotation. We have 16 frames to show the 360. You would use different numbers depending on your application.

9n. Select the field next State 2, then select then name of the frame (engine3.DFM) that should appear when State 2 is true (i.e. any value between 45 and 47.5).

9o. Repeat for as many states as you need. In this example there are 16 states for the 16 frames.

The unused frame states will default to the last value you enter. The dfm name can be blank for the unused states.

9p. Select OK to save and close the Frame State dialog box.

If it beeps, you used something other than a rectangle or frame.

If it asks you to select an object, select the rectangle you drew in step 8 (you must have skipped step 9a).

10. Enter a Tag name that will cause the frame to rotate.
For this example enter: crankshaft.

11. Optionally create a Local Tag file and local tag to animate the Frames.

You can also use an IO tag, constant tag, calculation tag or a system tag (like %ATMSECONDS). In this example I am using a script and a local screen tag. The Tag's value must change through all the states for the frame to change through all the frames.

11a. File -> Set Graph Parameters

The set graph parameters Dialog box opens.

11b. Select the field next to Local Tag, then select the Edit button

The Local Tag Configuration dialog box opens.

11c. Enter a Tag File name (example enginerotate).

11d. Enter a Tag Name (example crankshaft).

11e. Enter Span High (example 359).

11f. Select Add/Modify to create the Tag.

11g. Select OK to create the tag.

11h. Select Save to save the Tag file.

11i. Select OK to create the Tag file.

11j. Select Exit to close the dialog box.

11k. Enter the Tag file name in the Graph Parameters Dialog Box (or select it from the list at right).

12. Optionally create a script to animate the Frames.

12a.Select the field next to While Showing, then select the Edit button

The Script Configuration dialog box opens.

12b. Enter a Script File name (example engine).

12c. Enter Action Commands and Tcl keywords. For example:

catch {

SETVAL "crankshaft=%ROTATEPLUS 30"

}

12d. Select Save.

12e. Select Exit to close the Script Configuration Dialog Box.

12f. Enter the Script Name in the While Showing field of Graph Parameters dialog Box.

12g. Adjust the Script Update to 10 (the script will run 4 times per second)

12h. Adjust the Graph Update to match the Script Update or faster ( 10 or less).

12i. Select OK to save the Graph Parameters.

13. Save the BGR and DRW.

The BGR should look like the following withe the pistons going up and down, the valves opening, crankshaft turning.


10.11.16 Draw Bitmap

The frequent use of Bitmaps in Advantech WebAccess Graphics is not recommended if you have a slow network connection to the clients because of the large file sizes.

It is recommend to use Vector Graphics and True type fonts in frames to reduce the graphic file size.

You cannot edit bitmaps in Advantech WebAccess DRAW. DRAW places the bitmap into a DRW file. You can change their screen size (but not file size), rotate them and some other animations. You will need PAINT or Adobe Illustrator or other bitmap editor to modify the bitmaps or optimize their file size.

The bitmaps are merged with the BGR. As long as you do not edit the graphic, you only need to have the BGR.

Warning - The bitmap is not part of the DRW and must reside in the BMP folder on the Project Node. If you loose the bitmap and then edit the DRW, the bitmap will disappear.

Hint - The bitmap can not be reclaimed directly from the bgr. But if you do a screen print and use some bitmap editor like Paint you can reproduce it.

Hint - If you loose the original Bitmap, it may be in the CBMP folder of the Client used to create the original DRW and BGR.

You must first Upload the bitmap to the project node. This can be done remotely from any client. If you have already done so, skip to step 3.

STEP by STEP example

1. Start DRAW

2. Upload the Bitmap to the BMP folder. If you have already done so, skip to step 3.

2a. Right Click -> File -> Upload Files to BMP Folder.

2b. Select Files of Type: BMP Files (*.BMP)

2c. Browse to your BMP.

2f. Select OPEN.

If you are on a client this will copy the Bitmap to the Project Node so other users can access it also. It will become part of the Project.

3. Draw a Bitmap.

3a. Right Click -> Draw Bitmap.

3b. The Draw Bitmap dialog box should open.

3c. Select the bitmap from the file list.

3d. Optionally, Select Transparent

3e. Optionally, Select a color that will be made transparent.

3f. Select OK

3g. Position the Bitmap on the screen.

3h. Left click the mouse to draw the bitmap

4. Save the BGR and DRW.

The BGR should look like the following.


10.11.17 Import a GIF

10.11.17 Import GIF

GIFs are converted to Bitmaps in order to raster them with the vectors and true type fonts. The frequent use of Bitmaps in Advantech WebAccess Graphics is not recommended if you have a slow network connection to the clients because of the large file sizes.

It is recommend to use Vector Graphics and True type fonts in frames to reduce the graphic file size.

You cannot edit GIFs or bitmaps in Advantech WebAccess DRAW. DRAW places the bitmap into a BGR file. You can change their screen size (but not file size), rotate them and some other animations. You will need PAINT or Adobe Illustrator or other bitmap editor to modify the bitmaps or optimize their file size.

The bitmaps are merged with the BGR. As long as you do not edit the graphic, you only need to have the BGR.

Warning - The GIF and converted bitmap are not part of the DRW and must reside in the BMP folder on the Project Node. If you loose the GIF and the converted bitmap and then edit the DRW, the bitmap will disappear from the graphic.

Hint - The bitmap can not be reclaimed directly from the bgr. But if you do a screen print and use some bitmap editor like Paint you can reproduce it.

Hint - If you loose the original GIF and Bitmap, they may be in the CBMP folder of the Client used to create the original DRW and BGR.

STEP by STEP example

Below is an example of converting an animated GIF of a rotating engine to a set of Frames in Advantech WebAccess.

1. Start DRAW

2. Upload the GIF to the BMP folder.

2a. Right Click -> File -> Upload Files to BMP Folder.

2b. Select Files of Type: GIF Files (*.GIF)

2c. Browse to your GIF.

If you are on a client this will copy the GIF to the Project Node so other users can access it also. It will become part of the Project.

2d. Select OPEN.

3. Create Bitmaps from the animated GIF.

3a. Right Click ->Draw -> GIF

3b. The "File List" Dialog Box opens.

3c. Select the GIF file.

3d. Select OK

If it is a large GIF, there will be a pause while it is converted to individual bitmaps

Note - Advantech WebAccess converts each frame in the GIF to an individual bitmap and opens the Draw Bitmap Dialog Box with the first bitmap selected.

4. The "Bitmap File List" dialog box should be open, with the first Bitmap selected.

4a Optionally, select Transparent.

4b. Optionally, select a color that will be made transparent.

4c. Select OK.

5. Position the Bitmap on the screen.

6. Click with the mouse to draw the bitmap.

7. Save the BGR and DRW.

The BGR should look like the following.


10.11.18 Draw Rectangle

There are three options for drawing a Rectangle: OUTLINE, FILL and ROUND.

The default option is OUTLINE with Square corners. Once you select FILL, all subsequent Rectangles will be drawn filled with color until you select OUTLINE.

ROUND draws a rectangle with Rounded corners that can be in either Outline or Fill. You must select ROUND each time you want to draw a rounded cornered rectangle.

Rectangles can be animated to fill with color, change color, change size, move and display frames.

STEP by STEP examples:

Draw an Outline Rectangle

Draw a Round-cornered Filled Rectangle

Edit Rectangle Colors

Animate to Fill with Color (Dynamic Fill)

Draw the default Outline Rectangle

1. Start DRAW

2. Open a the display that will hold the animated Frame.

File -> Open DRW

Select the name of your DRW.

Optionally, you can create a new graphic with File -> New.

3. Draw a Rectangle with default settings.

3a. Right Click -> Draw -> Rectangle

Alternatively, you could use the Draw Rectangle Icon on the lower toolbar.

3b. Select first corner with a left click of the mouse.

3c. Stretch the rectangle by moving the mouse.

3d. Select the opposing corner with a left click of the mouse.

Draw Round-cornered Filled Rectangle.

4. Draw Round-cornered Filled Rectangle.

4a. Optionally, Select Brush Color icon from Top Toolbar.

4b. Optionally, select a color that contrasts with background of the graphic from the color palette.

4c. Select OK to close the Color Palette.

4d. Select the Rectangle Icon [image] from the Lower Toolbar.

4e. Select ROUND from the lower Command Line Prompt.

4f. Select FILL from the lower Command Line Prompt.

4g. Draw the first corner by left clicking with the mouse in the graphic.

4h. Draw the opposing second corner by left clicking with the mouse.

4i. De-select the rectangle by clicking anywhere else on the graphic to show the rounded corners of the filled Rectangle.

5. Edit Rectangle Color

5a. Select the either rectangle by left clicking on the edge (the outline). You cannot select a rectangle by clicking the center.

Handles should appear around the rectangle if selected.

5b. Right Click -> Edit -> Modify Attributes -> Line Color.

5c. Select a color form the Color Palette (for example red).

5d. Select OK to close the Color Palette.

This will change the outline color.

5a. Select the FILLED rectangle by left clicking on the edge (the outline). You cannot select a rectangle by clicking the center. Handles should appear around the rectangle if selected.

5b. Right Click -> Edit -> Modify Attributes -> Brush Color.

5c. Select a color from the Color Palette (for example Green).

5d. Select OK to close the Color Palette.

This will change the Fill color.

13. Save the BGR and DRW.


10.11.19 Change Default Graphic Settings

10.11.19 Change default Graphic Settings (page color, brush color, etc.)

To modify the default settings for a new graphic in DRAW modify or create the file BWDRAW.DRW.

This file is located on the project node at drive:/WebAccess\Node/config/your_project

You can edit this with draw and even browse to it with DrawDAQ. But once you save it, you have to manually copy it from /drw to project root.

i.e. copy from drive:/WebAccess\Node/config/your_project/drw
to
drive:/WebAccess\Node/config/your_project


10.11.20 ShockWave Flash

Using the Draw -> Video in DRAW and DrawDAQ (see 17.2.2.1 Draw Video in User Graphic Display ) allows users to specify using a Flash or Shockwave file to be played instead of a Video camera.

Window Handle name in ShockWave interface can be specified by user. Since it is very difficult for users to know the value of ViewWindowHandle (window handle of View/ViewDAQ which contains the embedded web page), To resolve the issue, we allow users to specify %HWND in the URL string sent to Video Display as the window handle of View/ViewDAQ. We had to change the protocols for GetValue, SetValue, and SendCmd listed above to continue our support for Shockwave Flash Object in IE 7 when we released the following update on November 9, 2006.

Those new protocols for these methods are:

METHOD: BSTR GetValue(LPCTSTR Tag, LPCTSTR ViewWindowHandle);

DESCRIPTION: Get value from Tag in View/ViewDAQ.

RETURN VALUE: value of Tag.

Return value is "%T-2L$NA", if Tag is invalid.

Return value is "%T-1L$BAD", if Tag is bad.

METHOD: void SetValue(LPCTSTR Tag, LPCTSTR Value, LPCTSTR ViewWindowHandle);

DESCRIPTION: Set value of Tag in View/ViewDAQ to Value.

METHOD: void SendCmd(LPCTSTR Cmd, LPCTSTR ViewWindowHandle);

DESCRIPTION: Send macro Cmd to View/ViewDAQ.

There is an example swflash.htm of how this OCX can be used in a web page.


10.12 Multi-Touch

Advantech WebAccess provides users with the ability to use multi-touch gestures. Users can define the gesture action in this function and directly operate the ViewDAQ page using these gestures.

Function | Description | Example
Zoom in/ out | Zoom in or out by moving two fingers further apart or closer together while touching the ViewDAQ display. |
Drag | Scroll or move an object by swiping two fingers in the same direction. |
Flick | Quickly brush the display with a fingertip. Via the macro settings in WebAccess users can define the action for gestures. WebAccess provides eight directions to define the display flow, up, down, left, right, upper-right, lower- right, upper-left and lower-left. |
Press and drag | Two-handed operation. Press the surface with one finger and move second finger over the surface without losing contact. If one finger loses contact with the surface, the action will stop. |
Multi-finger tap | Briefly touch surface with between two to five fingertips. The default action of the two fingered tap gesture is a right mouse button. Users can define the action for two to five fingers taps. |
Multi-finger Grab and Spread | Touch the surface with three to five fingers and bring them closer together or move them apart. The default action of five finger grab gesture is to show 100% of the page. Users can define the action for three to five finger pinch and spread gestures. |


10.12.1 Zoom-in out&Drag&Flick

10.12.1 Zoom-in & out / Drag / Flick

Open ViewDAQ. Users can perform zoom-in/out / pan / flick actions in the display page.

  • Zoom-in：Touch the surface with two fingers and move them apart.

  • Zoom-out：Touch the surface with two fingers and bring them closer together.

Figure 10.12.1.1 Zoom-out/in in ViewDAQ

  • Drag：Move fingertips over the surface without losing contact to move the display area to view information.

Figure 10.12.1.2 Drag Display in ViewDAQ

    • Flick：Quickly brush the surface with a fingertip to change pages.

    • The default action of Flick ： Flick - right to left right is to next page and Flick - left to right is back to last pages.

Figure 10.12.1.3 Flick Gesture in ViewDAQ

Flick gesture macro codes：

Gestures | Keycodes
Flick – Up to down | <FLICKTB>
Flick – upper right to lower left | <FLICKRTLB>
Flick – right to left | <FLICKRL>
Flick – lower right to upper left | <FLICKRBLT>
Flick – Down to Up | <FLICKBT>
Flick – lower left to upper right | <FLICKLBRT>
Flick – left to right | <FLICKLR>
Flick – upper left to lower right | <FLICKLTRB>


10.12.2 Press and Drag- Two-handed Operation

10.12.2 Press and Drag： Two-handed Operation

WebAccess supports two-handed operation. Users can set the button macro , <TOUCHON> and <TOUCHOFF> to define the action. For example, one hand presses the unlock the button and the other hand drags the button to change the value or turn the control on/off.

1. Open DrawDAQ：Animation → Button

Figure 10.13.2.1 Toolbar in DrawDAQ

2. Define Button macro：Draw the first button and define the macro action

  • Button-up macro : <TOUCHON>

  • Button-down macro : <TOUCHOFF>

Figure 10.12.2.2 Push Button in DrawDAQ

  • Define Drag Area Macro：Draw the second button and set Move for this area.

Figure 10.12.2.3 Set Animation in DrawDAQ

  • Animation → Drag Area：Type “%TOUCH” in front of the macro

Example: %TOUCH<SETVAL>AnaTag01=@AnaTag01

Figure 10.12.2.3 Set the Drag Area Macro gesture in DrawDAQ

  • Finish the settings, Save BGR and download the drawing. Users can operate with press and drag gestures in ViewDAQ

Figure 10.12.2.4 Two-handed Operation at Runtime in ViewDAQ


10.12.3 MULTI-FINGER TAP

Briefly touch the surface with multiple fingertips. Users can define the action of two to five fingertips via the macro in WebAccess KeyMapping function.

1. In the ViewDAQ page, the default action of the two-finger tap is the right mouse button.

Figure 10.12.3.1 Default action of two-finger tap in ViewDAQ

2. Set the macro of the multi-finger tap：WebAccess provides four macros <TAP2F>, <TAP3F>, <TAP4F>, <TAP5F> for multi-finger tap gesture settings in the KeyMapping function

Figure 10.12.3.2 KeyMapping in WebAccess

The Macro of the Multi-finger Tap gesture：

Gestures | Keycodes
Two-finger Tap | <TAP2F>
Three-finger Tap | <TAP3F>
Four-finger Tap | <TAP4F>
Five-finger Tap | <TAP5F>

For example: Set <TAP3F> transfer to F4. During runtime, briefly tapping the surface with three-fingers is the same as pressing the F4 button on the keyboard, i.e. the Datalog Trend window will pop-up.

Figure 10.12.3.3 Configure Macros in WebAccess KeyMapping

Figure 10.12.3.4 Datalog Trend window pop-up.


10.12.4 MULTI-FINGER Grab and Spread

Touch the surface with three to five fingers and bring them closer together or move them apart. The default action of the five fingers grab gesture is to see 100% of the page. Users can define the action for three to five fingers pinch and spread gesture.

1. In the ViewDAQ page, the default action of the five-finger grab is to show 100% of the display.

Figure 10.12.4.1 Default action of five-finger tap gesture is 100% of the display

2. Set the macro of multi-finger grab and spread：WebAccess provides three macros <GRAB3F>, <GRAB4F>, <GRAB5F> for multi-finger grab gesture settings and three macros <RGRAB3F>, <RGRAB4F>, <RGRAB5F> for multi-finger spread gesture settings in the KeyMapping function

Figure 10.12.4.2 KeyMapping in WebAccess

The Macros of Multi-finger Grab and Spread gesture：

Gestures | Keycodes
Three-finger Grab | <GRAB3F>
Four-finger Grab | <GRAB4F>
Five-finger Grab | <GRAB5F>
Three-finger Spread | <RGRAB3F>
Four-finger Spread | <RGRAB4F>
Five-finger Spread | <RGRAB5F>

For example: Set <GRAB3F> to transfer to F3. When running, using four-fingers on the surface and bringing them closer together is the same as pressing the F3 button on the keyboard, ie the Realtime Trend window will pop-up.

Figure 10.12.4.3 Config Macros in WebAccess KeyMapping

In ViewDAQ, the user touches the display using the three-finger grab gesture, and the Realtime Trend window will pop-up.

Figure 10.12.4.3 Realtime Trend window pop-up.


10.12.5 Gesture to Self-Define Macro

WebAccess provides a macro to define the action for multi-touch gestures. Users can define the action of the macros in the KeyMapping function of WebAccess.

Function Keys on keyboards and panels can be assigned any Keymacro command by the user. The Keymacro can call another KeyMacro file or script.

The keyboard keys can be mapped using a subset of the Keyacro command functions. The F1 through F10 function keys on a standard Windows keyboard along with the Control-key (CTRL), Shift-key (Shift) and Alternate-key (Alt) in combination with alphabetic keys can be used to execute Keymacro commands. The keys that can be mapped to Keymacro commands are:

<TAB>,<S_TAB>, <LS>,<RS>, <S_LS>, <S_RS>, <CTL_LS>, <CTL_RS>, <UP>, <DN>, <S_UP>, <S_DN>, <HOME>, <END>, <CR>, <ESC>, <F1> to <F10>, <S_F1> to <S_F10>,<ALT_F1> to <ALT_F10>, <ALT_A> to <ALT_Z>, <ALT_1> to <ALT_9>, <ALT_0>, <CTL_F1> to <CTL_F10>, <CTL_A> to <CTL_Z>, <F1>.

A user pressing one of the mapped keys will execute the assigned Keymacro (for example, pop-up a Help file).

KeyMapping can be Global (for all Graphic Displays) or keymapping can apply to a single graphic display.

See also KeyMapping configuration, 11.4 Key Mapping, 11.4.1 Key Mapping Global


10.12.5.1 Global Mode KeyMapping

KeyMapping for applies to all graphic displays, all VIEW clients and all ViewDAQ is implemented from the KeyMapping link on SCADA node properties.

1. From the Project Manager, select your SCADA Node→KeyMapping Function

Figure 10.12.5.1.1 KeyMapping in SCADA page

2. Add New KeyMapping

Figure 10.12.5.1.2 Add New KeyMapping in SCADA page

Figure 10.12.5.1.3 KeyMapping Configuration in SCADA page

3. The KeyMapping List page

Figure 10.12.5.1.4 KeyMapping Configuration in SCADA page-2

  • <FLICKBT> is for Flick down to up gesture.

This example means the N7CON1 tag will change to 0 when users make the “Flick down to up” gesture.

  • <FLICKLBRT> is for the “Flick down to up” gesture.

  • The example means the N7CON1 tag will change to 1 when users make the “Flick –lower left to upper right” gesture.

Macro List :

Gestures | Keycodes
Flick – Up to down | <FLICKTB>
Flick –upper right to lower left | <FLICKRTLB>
Flick – right to left | <FLICKRL>
Flick –lower right to upper left | <FLICKRBLT>
Flick – Down to Up | <FLICKBT>
Flick –lower left to upper right | <FLICKLBRT>
Flick – left to right | <FLICKLR>
Flick –upper left to lower right | <FLICKLTRB>
Two-finger Tap | <TAP2F>
Three-finger Tap | <TAP3F>
Four-finger Tap | <TAP4F>
Five-finger Tap | <TAP5F>
Three-finger Grab | <GRAB3F>
Four-finger Grab | <GRAB4F>
Five-finger Grab | <GRAB5F>
Three-finger Spread | <RGRAB3F>
Four-finger Spread | <RGRAB4F>
Five-finger Spread | <RGRAB5F>

See also KeyMapping Global Configuration, 11.4.1 Key Mapping Global


10.12.5.2 Local Mode KeyMapping

In addition to global key mapping, which defines a key mapping table for all Views and ViewDAQs, users can specify a local key mapping table for each individual graph.

KeyMapping a single graphic display applies to all VIEW clients and all ViewDAQ. KeyMapping a graphic display is implemented from the KeyMapping section of "Set Graph Parameters" in DRAW or DrawDAQ .

1. Tool→KeyMapping：KeyMapping Configuration

10.12.5.2.1 Local Mode KeyMapping window

2. In Draw or DrawDAQ, initiate the "Set Graph Parameters" dialog box.

3. In the KeyMapping File field, select or enter a key mapping file. To create or modify key mapping file, click the Edit button next to the field.

Figure : 10.12.5.2.2 Local Mode Set Graph Parameters window

4. Save and Exit.

5. Download the graph.

If a local key mapping table is defined, both local and global key mapping will be performed. To turn local or global key mapping functions on and off for each individual View/ViewDAQ, set %DKEYMAPFILE (local) or %DKEYMAPPING (global) to 0/1.

See also KeyMappingLocal configuration, 11.4.1 Key Mapping Global


11. Pushbutton Key Macros

Keymacro Overview

Keymacro commands are normally assigned to "Pushbuttons" on user built graphic displays. Keymacro commands are used to change displays, call up dialog boxes, change setpoints, acknowledge alarms, etc.

These same keymacro commands are used on all standard displays in Advantech WebAccess (Alarm Summary, Alarm Log, Trends, Point Detail, et al) allowing uses to modify the default displays also.

Pushbuttons

Pushbuttons can execute multiple keymacro commands, separated by commas (,). The graphics builder limits a single pushbutton to 75 characters per line. If both key-down and key-up features are used, then 2 x 75 = 150 characters can be included in a pushbutton keymacro. Pushbuttons can also execute Keymacro files (see <MCREXEC> below), which allow a pushbutton to execute keymacro commands in excess the 75-character limit. Pushbuttons can also execute Script files (see <SCREXEC> below).

Pushbuttons are drawn as a dynamic object in DRAW (the graphics builder) with a
3-D bevel and animation to simulate the motion of pressing a button down.

Keymacro Files

Keymacro files can be built with 1000 characters per line and an unlimited number of lines to construct very large series of commands. These become small programs. Note that most all keymacro have an equivalent and similarly named Script command (see Action Commands in section 12. Scripts for more information on Scripts). Scripts are more powerful that Keymacro files allowing for logic, math and file manipulation.

Function Keys

Function Keys on Keyboards and Panels are assigned default keymacro commands. These are a subset of all keymacro command functions. The F1 through F10 function keys on Windows standard Keyboards along with the Control-key (Ctrl), Shift-key (Shift) and Alternate-key (Alt) can be used to execute keymacro commands. Many Industrial panels support function-key emulation and can execute keymacro commands.

Keymacro commands can be context sensitive. For example, the Shift+F7 or the will call-up the Detail Display of the currently selected Tag. If no Tag is selected, then the command will be ignored. Alternatively the display pushbutton can be assigned a specific tags name <GOTO>POINTDTL=tagname, which will got to the detail display of the specified tag always (if the tag exists).

Similarly, the <S_F7> keymacro command executed from the Toolbar will call-up the Detail Display of the currently selected tag. It acts just like Shift+F7 keys on the keyboard. However, <S_F7> on a pushbutton within a graphic is ignored, because the act of pressing the pushbutton, de-selects the tag.

System Tags

Keymacro are often used with special system tags to produce for example <GOTO>POINTDTL=@%TPICKTAG will call up the detail display of currently selected tag (the same as the Shift+F7 or <S_F7> keymacros). For more information, see %DAQ system Tags in section 4.9. Also see Summary of Keyboard Shortcuts for System Tags commonly used with KeyMacros.

Key Mapping

Function Keys on Keyboards and Panels can be assigned any keymacro command by the user. The keymacro can call another KeyMacro file or Script. a subset of all keymacro command functions. The F1 through F10 function keys on Windows standard Keyboards along with the Control-key (Ctrl), Shift-key (Shift) and Alternate-key (Alt) in combination with Alphabet keys can be used to execute keymacro commands. Tab, LS, RS, UP, DOWN, HOME, END, CR, and ESC can also be mapped to a KeyMacro command.

:


11.1 Keymacro Commands

Key Macro commands are used primarily to create "pushbuttons" to turn on pumps, change setpoints, acknowledge alarms and call up graphic displays.

Complex or very long chains of Key macro commands may require the use of KeyMacro File(s).

There are also KeyMAcro mapped to the keyboard of a standard PC, utilizing the Keyboard Function keys (F1 thru F10), ALT and CTRL keys.


11.1.1 <ACTLOGP>

Description: Print Action Log from Action Log display.

Syntax: <ACTLOGP>start end

Argument: starting line, ending line of action log, (no blank space before start)

See Also: <GOTO>ACTIONLOG

Example: <ACTLOGP>0 10000

This keymacro works only on the Action Log Display. It is supported to allow users to modify the default action log display (actlog.dxx). Prints the Action Log of operator actions. The action log also includes any changes to tags made by scripts and keymacros, user logins, and user logout including Browser clients accessing the SCADA node. The above example prints the entire action log (from record 0 to 10,000). The default is to print to Notepad.exe. The printer for the Action Log is set in the bwclient.ini file for browser VIEW clients and for ViewDAQ. Only the last 5000 actions are saved to disk, while the last 10,000 are in active memory. When you first open a client, task or window, you will see only the last 5000 actions recorded.


11.1.2 <ALMACK>

Description: Acknowledge all alarms.

Syntax: <ALMACK>

Argument: none

See Also: <CTL_F1>, <ALMACKS>

Examples: <ALMACK>

Acknowledge alarm state for all tags on the SCADA node. The keymacro shortcut is <CTL_F1> and is the same as pressing the Ctrl + F1 function keys on the keyboard.


11.1.3 <ALMACKS>

Description: Acknowledge alarms for a single tag or a list of tags described in an array of tag names.
<ALMACKS>tagname 0 0 will acknowledge alarms for a single tag.
<ALMACKS>@arraytag 0 1000 will acknowledge alarms for a list of tags in an array type text tag.

Syntax: <ALMACKS >tagname 0 0

<ALMACKS>@tag 0 0

<ALMACKS>@arraytag first last

Argument: tagname, tag containing tag name, array tag containing list of tag names, start element in array, last element in array, (no blank space before tagname)

See Also: <CTL_F2>, <ALMACK>

Examples: acknowledge the tag named ZT-184
<ALMACKS>ZT-184 0 0

example - acknowledge a tag contained in the text tag text50

<SETVAL>text50=ZT-187

<ALMACKS>@text50 0 0

<SETVAL>text50=ZT-188

<ALMACKS>@text50 0 0

example - ack first tag in alarm summary

<ALMACKS>@%TALMLAST 0 0

example - ack first 18 alarms in the alarm summary page

<ALMACKS>@%TALMSUM4 0 17

example - same as <CTL_F2> - acknowledge tag picked by operator

<ALMACKS>@%TPICKTAG 0 0

This Keymacro is designed for use with the System Template displays: Alarm Summary, Alarm Groups, and Recipes. It can be used with an ordinary pushbutton. Multiple tags can be acknowledged if they are listed in an array text-type tag.

The <ALMACKS> keymacro will Acknowledge the alarm state of single tag. To acknowledge a single tag, you must use dummy start and end numbers (0 0) even if only one tag is specified.

The @ sign - for arrays
If you are using an array tag that contains a list of tagnames, you must use the indirect symbol, @. The @ symbol means the tag specified contains name of one or more tags to be acknowledged. The start and stop elements describe which elements of the array are to be acknowledged. For example, <ALMACKS>@%TALMSUM4 0 17. will acknowledge the first 18 alarms contained in the text array type tag %TALMSUM4 (i.e. the first 18 tags listed in the alarm summary). Note that the % sign just means it is a system tag.

<ALMACKS> is similar to the keymacro shortcut <CTL_F2> and is similar to pressing the Ctrl + F2 function keys on the keyboard. However, when using <CTL_F2> the user must select a tag first by clicking it with a mouse or selecting it from a display or tag list. <ALMACKS> will acknowledge tag(s) specified.


11.1.4 <ALMLOGP>

Description: Print Alarm Log from Alarm Log display.

Syntax: <ALMLOGP>start end

Argument: starting line, ending line of action log, (no space before start)

See Also: <GOTO>ALARMLOG, <GOTO>ALMGRAPH=, <GOTO>ALMGROUP=, <GOTO>ALMSUMMARY

Example: <ALMLOGP>0 10000

This keymacro works only on the Alarm Log Display. This keymacro is supported to allow users to modify the default alarm log display (almlog.dxx). Prints the Alarm Log of last 10000 alarms. The alarm log also includes return to normal. Text type tags require three lines (tag name, old value, new value). The above example prints the entire alarm log (from record 0 to 10,000). The default is to print to Notepad.exe. The printer for the Alarm Log is set in the bwclient.ini file for browser clients or the bwview.ini file for ViewDAQ. Only the last 5000 alarms are saved to disk, while the last 10,000 are in active memory. When you first open a client, task or window, you will see only the last 5000 alarms recorded.


11.1.5 <CLOSEALL>

Description: Closes all Display Groups. Will close all Advantech WebAccess windows opened with VIEW and ViewDAQ. User must have Security Level to Exit all opened Display Groups.

Syntax: <CLOSEALL>

Arguments: none

See Also: <ALT_F4>, <CLOSEDEP>, CLOSECUR>, <CLOSEOTH>,<CLOSE>URL

Example: <CLOSEALL>

<CLOSEALL> will close the ALL Display Groups in VIEW and ViewDAQ. This will close all Advantech WebAccess Windows in opened with ViewDAQ. The <CLOSEALL> pushbutton can be inside any display group or keymacro file and will close the current display group plus all other (if user has Security Level required by each display group).

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user. The "exit Password Level" is set from the ViewDAQ menu bar (View->ViewDAQ Options->Exit Password Level). Please refer to the Display Group section from more information on configuring Display Groups.

This Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

The intent of <CLOSEALL> is to close all Advantech WebAccess displays in order to allow a local user to shutdown Advantech WebAccess from the Taskbar icon.

Note that you cannot stop the Advantech WebAccess Kernel from the taskbar if at least one Display Group is open in ViewDAQ. You can always stop the kernel from the Configuration Manager, even if a Display Group is open).

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.6 <CLOSECUR>

Description: Close current Display Group including the Parent and all Dependants of the current Window opened with VIEW or ViewDAQ. Will close the Display Group this pushbutton is inside. User must have password level to close DAQ Window.

Arguments: none

See Also: <ALT_F4>, >,<CLOSEDEP>, <CLOSEALL>, <CLOSEOTH>,<CLOSE>URL, <DSPPOPUP>, <DSPPOPUPDEP>, <DSPNEW><GOTO>URL

Example: <CLOSECUR>

<CLOSECUR>will close the current Display Group including all Dependent "Child" windows and all "Parent" Windows. The <CLOSECUR> pushbutton is inside the display group to be closed. The intent is to close the Parent and related "Child" Windows from a Dependant Child and leave other "unrelated" ViewDAQ windows open.

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user.

This Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

<CLOSECUR> is a Pushbutton keymacro frequently used in a Dependent Display to close all Dependant "Child" Windows and the Parent (in local ViewDAQ). For example, assume you are looking for the Key Macro for use inside a Child (Dependent) Display group to close that Child (Dependent), the Parent and leave the other Display Groups open. If you have a button inside the child, you should use <CLOSECUR>.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.7 <CLOSEDEP>

Description: Close all Dependant Display Groups of the current Display Window opened with ViewDAQ. Will not close the Display Group Window this pushbutton is inside. User must have password level to close DAQ Windows.

Arguments: none

See Also: <ALT_F4>, >,<CLOSECUR>, <CLOSEALL>, <CLOSEOTH>,<CLOSE>URL, <DSPPOPUP>, <DSPPOPUPDEP>, <DSPNEW><GOTO>URL

Example: <CLOSEDEP>

<CLOSEDEP>will close all Dependent "Child" windows of the current Display Group Window. The current Window will remain open. All Parents will remain open. The <CLOSEDEP> pushbutton is outside the display group to be closed. The <CLOSEDEP> pushbutton is inside the Parent, which will remain open. The intent is to close the "Child" Windows from a Parent and leave "unrelated" ViewDAQ windows open.

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user.

This Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

Dependant Windows are ALWAYS on Top of the Parent. Consideration must be made for placement of the button, move and resize, since the Dependant Child may cover the parent preventing access to the <CLOSEDEP> pushbutton.

<CLOSEDEP> is a Pushbutton keymacro frequently used in a Parent Display Window to close only the dependant children (in local ViewDAQ). For example, assume you are looking for the Key Macro for use inside a Parent Display group to close all Dependent Windows and leave the parent open. If you have a button inside the child, you should use <ALT-F4> to close only the child (dependent) display group. If you have a button inside the Parent, you should use <CLOSEDEP>childname.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.8 <CLOSEDSP>

Description: Closes Display Group or ViewDAQ specified in the argument. Closes the Parent Display Group named and all Dependants. Will close ALL Parent Display Groups with that name, if multiple Parent Display Groups are opened.

Syntax: <CLOSEDSP>DisplayGroupName
or
<CLOSEDSP>ViewDAQName

Arguments: Display Group Name (no file extension)
ViewDAQ Name

See Also: <ALT_F4>, <CLOSEALL>, CLOSECUR>, <CLOSEDEP>,<CLOSEOTH>,<CLOSE>URL, <DSPPOPUP>, <DSPPOPUPDEP>, <DSPNEW>,<GOTO>URL, 15. Display Groups & ViewDAQ

Examples: close the default Display Group named main
<CLOSEDSP>main

Close the current display group
<CLOSEDSP>@%TDAQDSPNAME

<CLOSEDSP>DSPGroup will close the named Parent Display Group. If there are multiple display groups opened that have the same name, all display groups with that name will close. All Dependants of the name "Parent" Display Group will close.

<CLOSEDSP>Will not close similarly named "Dependants" of a differently named parent. For example, if a parent named MAIN opens a child dependant named TEST, <CLOSEDSP>TEST will not close TEST.

The <CLOSEDSP> pushbutton can be inside or outside the display group to be closed. The intent is to close a specific Group and leave other ViewDAQ windows open.

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user.

The pushbutton keymacro <CLOSEDSP> is for ViewDAQ and VIEW (Web browser clients).

The display group name does not have a file extension when used in a Pushbutton Keymacro or Keymacro file.

Display Groups and ViewDAQs are named using ViewDAQ Definition (See 15.13.2 ViewDAQ Definition).

The Display groups also can be found in the drive:\WebAccess\Node\ProjectName subdirectory with the *.DSP file extension. Note - The Keymacro does NOT use file extensions.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool. See 15. Display Groups & ViewDAQ for more information.


11.1.9 <CLOSEOTH>

Description: Close Other Display Groups. Leaves current Display Group and the dependants of the current display group open. Closes all OTHER Parents and all Dependants of other Display Groups. Will not close the Display Group this pushbutton is inside. User must have password level to close DAQ Window.

Arguments: none

See Also: <ALT_F4>, >,<CLOSEDEP>, <CLOSEALL>, <CLOSEDSP>,<CLOSE>URL, <DSPPOPUP>, <DSPPOPUPDEP>, <DSPNEW><GOTO>URL

Example: <CLOSEOTH>

<CLOSEOTH>will close the OTHER Display Groups including all Dependant "Child" windows of "OTHER Parent" Windows. The current Display Group will remain open. The Dependents of the current display group will remain open. The <CLOSEOTH> pushbutton is outside the display group to be closed. The intent is to close the Parents and unrelated "Child" Windows from a Display Window and leave this Display Group Windows and "related" ViewDAQ windows open.

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user.

This Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.9.1 <CLOSETOP>

Description: Close topmost Display groups and topmost ViewDAQs opened with <DSPPOPUPTOP> key macro and DSPPOPUPTOP Action command. Leaves other Display Groups that are not opened as Topmost open.

Arguments: none

See Also: <DSPPOPUPTOP>. DSPPOPUPTOP, <ALT_F4>, >,<CLOSEDEP>, <CLOSEALL>, <CLOSEDSP>,<CLOSEOTH>, <CLOSE>URL, <DSPPOPUP>, <DSPPOPUPDEP>, <DSPNEW><GOTO>URL

Example: <CLOSEOTH>

<CLOSETOP>will close the Close topmost Display groups and topmost ViewDAQs opened with <DSPPOPUPTOP> key macro and DSPPOPUPTOP Action command.

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user.

This Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.10 <CLOSEURL>

11.1.10 <CLOSEURL>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Closes the web browser popup window "named" opened using <GOTO>URL with the "named" target option.

Syntax: <CLOSEURL>targetname

Arguments: target name

See Also: <GOTO>URL, <CLOSEDSP>

Example: <CLOSEURL>target1

<CLOSEURL>targetname will close a Web Browser window opened with the "target name" option of the <GOTO>URL keymacro ( or GOTO URL Action command in a script). <CLOSEURL> will close all Web Browser windows with the same name. If more than one window is opened using the same target name, then all those browser windows will be closed.

For example, if a browser connection is opened with the following pushbutton:

<GOTO>URL=http://67.94.27.175/^target=window1

the browser window could be closed with the following pushbutton:

<CLOSEURL>window1


11.1.11 <DAQPOP>

Description: Calls display on top of current display stack.

Syntax: <DAQPOP>

Arguments: none

See Also: <DAQPREV>, <DAQPUSH>, <HISBACK>, <HISFORW>

Example: <DAQPOP>

DAQPOP changes the current display to the display last saved using the DAQPUSH command. DAQPUSH and DAQPOP commands are used together to temporarily change displays, and then return to the original display. A DAQPUSH command must precede a DAQPOP. These keymacros will interact with similar DAQPUSH and DAQPOP used in screen scripts.


11.1.12 <DAQPREV>

Description: Switches to the previous display.

Syntax: <DAQPREV>

Arguments: none

See Also: <DAQPUSH>, <DAQPOP>, <HISBACK>, <HISFORW>

Examples: <DAQPREV>

DAQPREV returns to the previous display.


11.1.13 <DAQPUSH>

Description: Pushes name of current display onto stack.

Syntax: DAQPUSH

Arguments: none

See Also: DAQPREV, DAQPUSH and DAQPOP

Examples:

<DAQPUSH> remembers the name of the current display for use with a <DAQPOP> keymacro or command. These keymacros are used together to temporarily change displays, and then return to the original display. A DAQPUSH keymacro (or command) must precede a DAQPOP. These keymacros will interact with similar DAQPUSH and DAQPOP used in screen scripts.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test, train or simulate with DDE.


11.1.14 <DDEEXECUTE>

11.1.14 <DDEEXECUTE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Send a command string to a DDE server application

Syntax: <DDEEXECUTE>Server|topic!item=command string

Arguments: DDE Server name, DDE topic, command string,
(remember - no blank spaces allowed)

See Also: <DDEREQUEST>, <DDEPOKE>

Examples:

Sends a command string from to the DDE-aware application. You must know the DDESERVER name, the Topic Name and the Item name used in the DDE Server application. The DDE server application must be running. The command string is dependent on the DDE application.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test, train or simulate with DDE.


11.1.15 </DDEEXECUTE>

11.1.15 </DDEEXECUTE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Delimit a DDEEXECUTE keymacro when multiple keymacros are used on one line of a pushbutton.

Syntax: <DDEEXECUTE>Server|topic!item=command string</DDEXECUTE>,<keymacro>

Arguments: DDE Server name, DDE topic name, command string,
(remember - no blank spaces allowed)

See Also: <DDEEXECUTE>

Examples:

Marks the end of a <DDEEXECUTE> keymacro when multiple keymacros are used on one line of a pushbutton.


11.1.16 <DDEPOKE>

11.1.16 <DDEPOKE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Send value to a DDE server application

Syntax: <DDEPOKE>Server|topic!item=value

<DDEPOKE>Server|topic!item=value </DDEPOKE>,<keymacro>

Arguments: DDE Server name, DDE topic name, DDE item name, value,
(remember - no blank spaces allowed)

See Also: </DDEPOKE>, <DDEREQUEST>, <DDEEXECUTE>

Examples: Example 1 - Send value of Text50 to EXCEL spreadsheet cell named REALDATA. EXCEL must be running and the Workbook opened.

<DDEPOKE>EXCEL|Sheet1!REALDATA=@text50

Example 2 - Send value of analog1 to EXCEL workbook named Book1.xls, cell named REALDATA.

<DDEPOKE>EXCEL|Book1.xls:Sheet1!REMOTESP=@analog1

This command sends data to a DDE application. You must know the DDESERVER name, the Topic Name and the Item name used in the DDE Server application. The DDE server application must be running. If the DDE server is not available, the tag's value will not be changed.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test, train or simulate with DDE.

Excel example

<DDEPOKE>EXCEL|sheet!cellname=value

<DDEPOKE>EXCEL|Book.xls:sheet!cellname=value

Server is EXCEL

Topic is the name of the sheet. Default for Sheet1 is Sheet1. If you rename the sheet, the topic must match. If you have only one workbook open, then only the sheet name is needed. If you have more than one workbook, then item is in form |Book.xls:Sheetname!

Item is the name of the cell. You must rename the cell in EXCEL for this to work. For example, B10 won't work, but if you rename B10 to REALDATA it will work fine.


11.1.17 </DDEPOKE>

11.1.17 </DDEPOKE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Delimit a DDEPOKE keymacro when multiple keymacros used on one line.

Syntax: <DDEPOKE>Server|topic!item=value </DDEPOKE>,<keymacro>

Arguments: DDE Servername, DDE topic name, DDE item name, value,
(remember - no blank spaces allowed)

See Also: <DDEPOKE>

Examples: Example 1 - Use multiple keymacros, send value of Text50 to EXCEL spreadsheet cell named REALDATA and acknowledge all alarms with one button push.

<DDEPOKE>EXCEL|Sheet1!REALDATA=@text50</DDEPOKE>,<ALMACK>

Example 2 - Use multiple keymacros, send value of analog1 to EXCEL workbook named Book1.xls, cell named REALDATA, and return to previous display.

<DDEPOKE>EXCEL|Book1.xls:Sheet1!RSP=@analog1</DDEPOKE>,<DAQPREV>

This command marks the end of a <DDEPOKE> keymacro when multiple keymacros are used on one line of a pushbutton.


11.1.18 <DDEREQUEST>

11.1.18 <DDEREQUEST>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Requests the value of item from a DDE-aware application and sends the data to the Advantech WebAccess tag.

Syntax: <DDEREQUEST>tag=Server|topic!item

Arguments: tagname, DDE Server name, DDE topic name, DDE item name, value, (remember - no blank spaces allowed)

See Also: <DDEPOKE>, <DDEEXECUTE>, </DDEREQUEST>

Examples: Example 1 - Get value from EXCEL spreadsheet from cell named RSP. EXCEL must be running and a single Workbook opened.

<DDEREQUEST>text70=EXCEL|Sheet1!RSP

Example 2 - Get value from EXCEL spreadsheet from cell named RSP in workbook namedBook1.xls

<DDEREQUEST>text70=EXCEL|Book1.xls:Sheet1!REMOTESP

This command gets data from a DDE application. You must know the DDESERVER name, the Topic Name and the Item name used in the DDE Server application. The DDE server application must be running.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test, train or simulate with DDE.


11.1.18.1 </DDEREQUEST>

11.1.18.1 </DDEREQUEST>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Delimit a DDEREQUEST keymacro when multiple keymacros used on one line.

Syntax: <DDEREQUEST>tag=Server|topic!item</DDEREQUEST>,<keymacro>

Arguments: tagname, DDE Server name, DDE topic name, DDE item name, value, (remember - no blank spaces allowed)

See Also: < DDEREQUEST>

Examples: Use multiple keymacros on one pushbutton. Get value from EXCEL spreadsheet from cell named RSP and return to previous display.

<DDEREQUEST>text70=EXCEL|Sheet1!RSP</DDEREQUEST>,<DAQPREV>

This command marks the end of a <DDEREQUEST> keymacro when multiple keymacros are used on one line of a pushbutton


11.1.19 <DIALOG>ALMGROUP

Description: Alarm Group List.

Syntax: <DIALOG>ALMGROUP

Arguments: (no blank spaces allowed)

See Also: <F6>, <GOTO>ALMGROUP=, <GOTO@TAG>tag= ALMGROUP

Examples: <DIALOG>ALMGROUP

Pops up a Dialog Box with a list of configured Alarm Groups. The keymacro is ignored if no Alarm Groups are configured. The keymacro shortcut is <F6> and is the same as the F6 function key on the keyboard.


11.1.20 <DIALOG>ALMSUMONOFF

Description: Alarm Summary Disable Options (Filter Alarms).

Syntax: <DIALOG>ALMSUMONOFF

Arguments: (no blank spaces allowed)

See Also: <GOTO>ALMSUMMARY

Examples: <DIALOG>ALMSUMONOFF

Pops up a Dialog Box with a list of Alarm Priorities. The Check Boxes indicate if the alarms are ignored by the Alarm Summary (i.e. filtered). For example, checking Priority 1 would disable alarms of priority one from appearing on the Alarm Summary. This is essentially an Alarm Filter allowing Operators to limit the number of Alarms on the Alarm Summary. Can also Filter alarms by Acknowledge or Unacknowledged State.


11.1.21 <DIALOG>DLOGTRD

Description: Data Log Trend List.

Syntax: <DIALOG>DLOGTRD

Arguments: (no blank spaces allowed)

See Also: <F4>, <GOTO>DLOGTRD=, <GOTO@TAG>tag=DLOGTRD

Examples: <DIALOG>DLOGTRD

Pops up a Dialog Box with a list of configured Data Log Trend Groups. The keymacro is ignored if no Data Log Trend Groups are configured. The keymacro Shortcut is <F4> and is the same as the F4 function key on the keyboard

These are Template displays. Advantech WebAccess automatically connects the data for a Data Log Trend Group to the Data Log Trend template display. If multiple pages are required, the same trend template is used. Users can customize the trend template display-using DRAW. The Data Log Trend Groups are list a tag names built using Advantech WebAccess Configuration. Data logging must be enabled for the tag.


11.1.22 <DIALOG>FPLGROUP

Description: Faceplate Group List.

Syntax: <DIALOG>FPLGROUP

Arguments: (no blank spaces allowed)

See Also: <F2>, <GOTO>FPLGROUP =, <GOTO@TAG>tag= FPLGROUP

Examples: <DIALOG>FPLGROUP

Pops up a Dialog Box with a list of configured Faceplate Groups. The keymacro is ignored if no Faceplate Groups are configured. The Keymacro Shortcut is <F2>. Pressing the F2 Function Key on the keyboard will execute this keymacro also.

These are pre-built Template displays. Advantech WebAccess automatically connects the data for a Faceplate Group to the faceplate template display. If multiple pages are required, the same overview template is used. Users can customize the overview template. In version 2.1, Faceplate Group Displays are text only, showing tagname, current value and alarm status.


11.1.23 <DIALOG>GRAPH

Description: Graphic Display List.

Syntax: <DIALOG>GRAPH

Arguments: (no blank spaces allowed)

See Also: <F9>, <GOTO>GRAPH=, <GOTO@TAG>tag=GRAPH

Examples: <DIALOG>GRAPH

Pops up a Dialog Box with a list of user-built Graphic Displays. Only displays with the BGR extension are listed (*.bgr). The keymacro shortcut is <F9> and is the same as the F9 function key on the keyboard.


11.1.24 <DIALOG>LOGIN

Description: User Login Dialog Box.

Syntax: <DIALOG>LOGIN

Arguments: (no blank spaces allowed)

See Also: <USERLOGIN>, <USERPOP>

Examples: <DIALOG>LOGIN

Pops up a Dialog Box to enable User Login (User Name and Password).

If valid username and password entered, changes the current user login. The Area and Level of the user changes immediately.

Note that a "restricted user" is limited to viewing assigned displays through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. When changing user type (i.e. to Log in as a new user) in VIEW, the web browser window must be closed. This is because displays available to an Administrator, Power or General User, are still available until the Browser Window is closed.


11.1.25 <DIALOG>POINTINFO

Description: Point Info Tag List.

Syntax: <DIALOG>POINTINFO

Arguments: (no blank spaces allowed)

See Also: <CTL_F5>

Examples: <DIALOG>POINTINFO

Pops up a Dialog Box with a list of all Tags (the Point Info Dialog Box). The shortcut is <CTL_F5>. It is identical to pressing the Ctrl + F5 function keys on the keyboard.


11.1.26 <DIALOG>POINTGOTO

Description: Point GOTO Dialog Box.

Syntax: <DIALOG>POINTGOTO

Arguments: (no blank spaces allowed)

See Also: <GOTO@TAG>

Examples: <DIALOG>POINTGOTO

Pops up a Dialog Box with a list of all Displays using the selected tag. This also lists all Alarm Groups, Trend Groups, Overviews, and Faceplate Groups that use the selected tag.


11.1.27 <DIALOG>RCPVALCHG=

Description: Special function keymacro for use on RECIPE display. Opens Dialog Box to allow change of a recipe PRESET VALUE.

Syntax: <DIALOG>RCPVALCHG=tagname

Arguments: Recipe Tagname

See Also: <GOTO>RECIPE=, <RCPOPEN>, <RCPDOWNLOAD>

Example: <DIALOG>RCPVALCHG=@%TLV(%TRCPDSP4 0 %ARCPDSPH)
<DIALOG>RCPVALCHG=tag5

Special function keymacro, works only on the template Recipe Display (Recipe.BXX). Pops up a Change Dialog Box with similar to Change Dialog Box to allow users to change the value of a Recipe Preset Value.


11.1.28 <DIALOG>REALTRD

Description: Real Time Trend List.

Syntax: <DIALOG>REALTRD

Arguments: (no blank spaces allowed)

See Also: <F3>, <GOTO>REALTRD=, <GOTO@TAG>tag=REALTRD

Examples: <DIALOG>REALTRD

Pops up a Dialog Box with a list of configured Real Time Trends. The keymacro is ignored if no Real Time Trends are configured. The same as the Keymacro Shortcut <F3> and the F3 function key on the keyboard.

Real Time trend data is not saved to disk. Real Time trends show data only for the width of the trend window providing short-term trend feature for data that does not need to be permanently recorded. See Data Log Trends for permanent data logging to disk

These are AUTO_GENERATED displays. Advantech WebAccess automatically generates the Real Time Trend displays from the Real Time Trend Groups and a single Real Time Trend template display. If multiple pages are required, the same trend template is used. The Real Time Trend Groups are a list of tag names built using Advantech WebAccess Configuration. Users can customize the trend template display.


11.1.29 <DIALOG>RECIPE

Description: List of Recipe Files. Allows users to choose Recipe Name and Unit Name within each recipe file.

Syntax: <DIALOG>RECIPE

Arguments: none

See Also: <GOTO>RECIPE=, <RCPOPEN>, <RCPDOWNLOAD>

Example: <DIALOG>RECIPE

Pops up a Dialog Box with a list of configured Recipe Files. Allows users and operators to choose Recipe File, the Recipe Name and Unit Name within multiple recipe files. Same as the <F8> keymacro.


11.1.30 <DIALOG>SELTAG=

Description: List of Tags valid for Real Time Trend Display.

Syntax: <DIALOG>SELTAG=special system tags

Arguments: List of tags valid for real time trending (no blank spaces allowed)

See Also: <DIALOG>REALTRD

Examples: <DIALOG>SELTAG=%TRTRD1(@%ARTRDH)

Pops up a Dialog Box with a list of configured tags valid to use on Real Time Trend Display. Intended for use of Real Time Trend display only.


11.1.31 <DIALOG>SELTAGD=

Description: List of Tags with Data Logging Enabled.

Syntax: <DIALOG>SELTAGD=special system tags

Arguments: List of tags with Data Log enabled (no blank spaces allowed)

See Also: <DIALOG>DLOGTRD

Examples: <DIALOG>SELTAGD=%TDTRD1(@%ADTRDH)

Pops up a Dialog Box with a list of configured tags with Data Logging enabled. Intended for use on Data Log Trend Display.


11.1.32 <DIALOG>TAGVALCHG=

Description: Change Dialog Box.

Syntax: <DIALOG>TAGVALCHG=tagname

<DIALOG>TAGVALCHG=@tagname

Arguments: tagname

See Also: <CTL_F3>

Examples: <DIALOG>TAGVALCHG=ZT-184

<DIALOG>TAGVALCHG=@%TPICKTAG

Similar to double-clicking a pick-able Tag on a display. Pops up a Dialog Box appropriate for Point Type: Analog, Digital or Text. The Dialog Box allows operators to change the value of the tag referenced using either the keyboard, mouse or touch screen. If tag is READ ONLY, keymacro is ignored. Similar to the keymacro shortcut <CTL_F3> and is similar to pressing the Ctrl + F3 function keys on the keyboard. <DIALOG>TAGVALCHG=@%TPICKTAG will duplicate the <CTL_F3> shortcut.


11.1.33 <DIALOG>VIDEO

11.1.33 <DIALOG>VIDEO(Not supported by WinCE Edition(WebView &WebLink ))

Description: Opens a list of configured video cameras for full screen display.

Syntax: <DIALOG>VIDEO

Arguments: none

See Also: <F10>,<GOTO>URL=webctrl:, <GOTO>URL=daq:,<GOTO>VIDEO=, <SENDVDO>,<GOTO>URL=vdo

Examples: <DIALOG>VIDEO

Opens a list of configured video cameras for full screen display. Same a <F10> key macro.


11.1.34 <DIALOG>ZOOM

Description: Zoom Dialog Box.

Syntax: <DIALOG>ZOOM

Arguments: (no blank spaces allowed)

See Also: <ZOOM>, <ZOOM>RESET

Examples: <DIALOG>ZOOM

Pops up a Dialog Box enabling user to ZOOM-in on the display. Allows user to increase magnification in increments up to 800% (8x). User can also reposition the magnified area across the screen. This command interacts with the <ZOOM>RESET keymacro command, related script commands and the View Menu. In ViewDAQ, Zoom and Zoom reset are access from the menu bar.

Right clicking the mouse in a Web Browser VIEW, will open the View Menu and allow Zoom Reset.


11.1.35 <DSPNEW>@

Description: Closes the current ViewDAQ display window, task or display group and pops up a new display window, task or display group.

Syntax: <DSPNEW>@displaygroupname.dsp

Arguments: display group name, (remember - no blank spaces allowed)

See Also: <DSPPOPUP>, <DSPPOPUPDEP>, <ALT_F4>, <DSPNEW>
<CLOSEALL>,<CLOSECUR>,<CLOSEDEP>,<CLOSEDSP>,
<CLOSEOTH>,<CLOSEURL>,<GOTO>URL

Examples: Example 1 - Open a Display group named main (the default display group)

<DSPNEW>@main.dsp

Closes the current ViewDAQ display windows, task or group and pops up a new display group. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. Each display group is considered a separate task by the Windows operating system. The default ViewDAQ display group is named "main.dsp". An incorrect or invalid display group name will result in default display group (main.dsp). This Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.36 <DSPPOPUP>@

Description: Pops up a new display window or display group without closing the current display group(s) in ViewDAQ.

Syntax: <DSPPOPUP>@displaygroupname.dsp

Arguments: display group name, (remember - no blank spaces allowed)

Returns: none

See Also: <DSPPOPUPDEP>, <DSPNEW><DSPPOPUP>, <ALT_F4>,
<CLOSEALL>,<CLOSECUR>,<CLOSEDEP>,<CLOSEDSP>,
<CLOSEOTH>,<CLOSEURL>,<GOTO>URL

Examples: # Example 1 - Popup a Display window named tom.dsp <DSPPOPUP>@tom.dsp

Pops up a new display group without closing the current ViewDAQ display group. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. The default ViewDAQ display group is named "main". An incorrect or invalid display group name will result in default display group (main.dsp). his Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.37 <DSPPOPUPDEP>@

Description: Pops up a new display window or display group without closing the current display group(s) in ViewDAQ. The new Display window or group is Dependant on the calling display group, always on top of the parent and closing when the parent closes.

Syntax: <DSPPOPUPDEP>@displaygroupname.dsp

Arguments: display group name, (remember - no blank spaces allowed)

See Also: <DSPPOPUP>, <DSPPOPUPDEP>, <ALT_F4>, <DSPNEW>
<CLOSEALL>,<CLOSECUR>,<CLOSEDEP>,<CLOSEDSP>,
<CLOSEOTH>,<CLOSEURL>,<GOTO>URL

Examples: # Example 1 - Popup a Display window named small3

<DSPPOPUPDEP>@small3.dsp

Pops up a new display window or display group without closing the current ViewDAQ display window. The new display group will close when the parent window is closed. This is considered to be "dependant" on calling display window. The dependant window is always on top of its parent. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. The default ViewDAQ display group is named "main". An incorrect or invalid display group name will result in default display group (main.dsp). his Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.37.1 <DSPPOPUPTOP>

11.1.3.7.1 <DSPPOPUPTOP>@

Description: Popup ViewDAQs in a display group as the topmost window. These ViewDAQs will stay above all non-topmost windows, even when these ViewDAQs are deactivated (i.e. the mouse clicks on another window).

Syntax: <DSPPOPUPTOP>@displaygroupname.dsp

Arguments: display group name, (remember - no blank spaces allowed)

See Also: <CLOSETOP>, <DSPPOPUP>, <DSPPOPUPDEP>, <ALT_F4>, <DSPNEW>
<CLOSEALL>,<CLOSECUR>,<CLOSEDEP>,<CLOSEDSP>,
<CLOSEOTH>,<CLOSEURL>,<GOTO>URL

Examples: # Example 1 - Popup a Display window named small3

<DSPPOPUPTOP>@small3.dsp

Pops up a new display window or display group as the topmost window without closing the current ViewDAQ display window. These ViewDAQs will stay above all non-topmost windows, even when these ViewDAQs are deactivated (i.e. the mouse clicks on another window). The new display group will close when the parent window is closed. This is considered to be "dependant" on calling display window. The dependant window is always on top of its parent. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. The default ViewDAQ display group is named "main". An incorrect or invalid display group name will result in default display group (main.dsp). his Keymacro is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


11.1.38 <GOTO>ACTIONLOG

Description: Changes display in current window to the Action Log of operator actions, including logins and changes to tags. Same as the <C_F9> keymacro.

Syntax: <GOTO>ACTIONLOG

Arguments: none

See Also: <C_F9>

Examples: <GOTO>ACTIONLOG

The Alarm Log is a record of the last 10,000 actions. Only the last 5000 are written to disk. Restarting Advantech WebAccess will result in only the last 5000 actions listed in the Alarm Log. The Alarm Log is associated with a text file on the SCADA node hard drive named bwaction.log. Same as the <CTL_F9> keymacro shortcut and pressing the Ctrl + F9 function keys on the keyboard


11.1.39 <GOTO>ALARMLOG

Description: Changes display in current window to the Alarm Log of last 5000 to 10,000 alarms. Same as the <C_F8> keymacro.

Syntax: <GOTO>ALARMLOG

Arguments: none

See Also: <C_F8>, <GOTO>ALMSUMMARY

Examples: <GOTO>ALARMLOG

The Alarm Log is a record of the last 10,000 alarms. Only the last 5000 are written to disk. Restarting Advantech WebAccess will result in only the last 5000 alarms listed in the Alarm Log. The Alarm Log is associated with a text file on the SCADA node hard drive named bwalarm.log. Same as the <CTL_F8> keymacro shortcut and pressing the Ctrl + F8 function keys on the keyboard


11.1.40 <GOTO>ALMGRAPH=

Description: Changes display in current window to a display defined as the Alarm Graphic for the tag named or referenced.

Syntax: <GOTO>ALMGRAPH =tagname

<GOTO> ALMGRAPH =@tagname

Argument: tagname, (no blank spaces)

See Also: <GOTO@TAG>tag=ALMGRAPH, <GOTOALMGRA>

Examples: #example 1 - change to Alarm Graphic display of tag ZT-184

<GOTO>ALMGRAPH=ZT-184

#Example 2 -Alarm Graphic for currently selected tag

<GOTO>ALMGRAPH=@%TPICKTAG

Changes the display in the current display window to the Graphic Display assigned as the Alarm Graphic for the specified tag. The Alarm Graphic is assigned during configuration of the tag and can be any user built graphic (*.BGR). If no Alarm Graphic is assigned to the tag, the keymacro is ignored. If the tag is not in alarm, the keymacro is ignored. The tag must be in the Alarm or Acknowledge state for the keymacro to change the display to the Alarm Graphic.


11.1.41 <GOTO>ALMGROUP=

Description: Changes display in current window to the alarm group list display and calls the specified alarm group display (x).

Syntax: <GOTO>ALMGROUP=number

Arguments: alarm group number, (no blank spaces)

See Also: <GOTO@TAG>tagname=ALMGROUP

Examples: <GOTO>ALMGROUP=1


11.1.42 <GOTO>ALMSUMMARY

Description: Changes display in current window to the alarm summary of active alarms.

Syntax: <GOTO>ALMSUMMARY

Arguments: ALMSUMMARY
ALMSUMMARY=time(p^c000000000000000000000000)
ALMSUMMARY=priority(p^a000000000000000000000000)
ALMSUMMARY=priority(p^e0000ffffffffffffffffffff)
ALMSUMMARY=name(p^9000000000000000000000000)
ALMSUMMARY=time(ack^p^8800000000000000000000000)
ALMSUMMARY=time(unack^p^8400000000000000000000000)
ALMSUMMARY=time(remote^ack^p^8200000000000000000000000)
ALMSUMMARY=time(local^unack^p^8100000000000000000000000)

See Also: <F5>, <GOTO@TAG>tagname= ALMSUMMARY, <GOTO>ALARMLOG

Examples: <GOTO>ALMSUMMARY

The keymacro Shortcut is <F5> and is the same as the F5 function key on the keyboard.

To determine the options to filter alarms, use the ADVANCED button in the alarm summary (sometimes labelled ALARM FILTER) and view the caption bar in VIEW.


11.1.43 <GOTO>BLOCKDTL=

Description: Changes display in current window to Block Detail Display for the tag named or referenced.

Syntax: <GOTO>BLOCKDTL=tagname:parameter

<GOTO>BLOCKTL=@tagname

Argument: tagname, (no blank spaces)

See Also: <F7>, <GOTO@TAG>tag=BLOCKDTL

Examples: #example 1 - change to point detail display of tag ZT-184

<GOTO>BLOCKDTL=FIC101:SP

#Example 2 - change to currently selected tag (same as <F7>)

<GOTO>BLOCKDTL=@%TPICKTAG

Changes the display in the current display window to the Block Detail Display for the specified tag. A Block Detail Display must exist that matches the BTYPE of the tag (Block Type). There can be multiple pages assigned to a Block Detail Display. The Block Detail display(s) have the *.BD1, *.BD2 file extensions. BTYPE.BD1 is the first page; BTYPE.BD2 is the second page, etc. The Block Detail display allows one display to be used to view many tags.

Advantech WebAccess provides Block Detail Displays for some pre-built block types supplied with the system. These can be modified by users by editing the BTYPE.dxx, source files and resaving them with the *.BD1 (or BD2, BD3) extension.

Users can build user defined Block detail displays for new Block Types. These user-defined Block Detail Displays should be saved using the Block Name (BNAME) and the *.BD1 extension. For example, a block type LVLCTL would have a Block Detail display named LVLCTL.BD1

Example 2 above is similar to the <F7> keymacro used on the toolbar and the F7 key on the keyboard.

If a Block Detail display does not exist with a name that matches the BTYPE of the tag, the keymacro is ignored.


11.1.44 <GOTO>DLOGTRD=

Description: Changes display in current window to the Data Log Trend Display for specified trend group number.

Syntax: <GOTO>DLOGTRD=number

Arguments: Data Log trend group number, (no blank spaces)

See Also: <GOTO>REALTRD=

Examples: <GOTO>DLOGTRD=1


11.1.45 <GOTO>DLOGXYP=

Description: Changes display in current window to the Data Log Trend Display for specified trend group number, in an X-Y Plot format

Syntax: <GOTO>DLOGXYP=number

Arguments: Data Log trend group number, (no blank spaces)

See Also: <GOTO>DLOGTRD=

Examples: <GOTO>DLOGXYP=1


11.1.46 <GOTO>FPLGROUP=

Description: Changes display in current window to the Faceplate Display for specified Faceplate group number

Syntax: <GOTO>FPLGROUP=number

Arguments: Faceplate group number, (no blank spaces)

See Also: <GOTO>OVERVIEW=

Examples: <GOTO>FPLGROUP=1

Advantech WebAccess automatically generates the Faceplate Group displays from the Faceplate Groups. The Faceplate Group Displays are list a tag names built using Advantech WebAccess Configuration.


11.1.47 <GOTO>GRAPH=

Description: Changes display to the named user built graphic display (*.bgr).

Syntax: <GOTO>GRAPH=display_name.bgr

Argument: display_name.bgr

Returns: none

See Also: <GOTO@TAG>tagname=GRAPH

Example: <GOTO>GRAPH=main.bgr

Changes the display to a user built graphic. User built graphic must have the BGR file extension (*.bgr)


11.1.47.1 <GOTO>GSCRIPT

Description: Changes display to the Global Script Monitor page display (gscript.bxx).

Syntax: <GOTO>GSCRIPT

Argument: none

Returns: none

See Also: 9.3.10 Global Script Display

Example: <GOTO>GSCRIPT

Changes display to the Global Script Monitor page display (gscript.bxx).


11.1.47.2 <GOTO>HISTORY

Description: Changes display to the display in the History stack of previously viewed graphic displays.

Syntax: <GOTO>HISTORY=option

Argument: number in stack, %PLUS number, %MINUS number

Returns: none

See Also: 11.1.65 <HISBACK>, 11.1.66 <HISFORW>, 12.4.20 HISBACK, 12.4.21 HISFORW

Example: <GOTO>HISTORY=%PLUS 3

<GOTO>HISTORY=%MINUS 1

<GOTO>HISTORY=2

<GOTO>HISTORY=%FIRST

<GOTO>HISTORY=%LAST

Changes display to the display in the History stack of previously viewed graphic displays. Similar to using Right Click -> View -> History in VIEW or from the menu bar in ViewDAQ, View -> History.

If there is no graphic in the stack the command does not change the display. The display stack has a maximum of 100 displays. Restarting the Advantech WebAccess Client or ViewDAQ clears the stack.

History position is zero-based.

%FIRST goes to first in the Display Stack History (number 0); but, the display stack ignores main.bgr that is the first display opened when VIEW or ViewDAQ starts.

%LAST goes to most recent or last in the Display Stack History (a number <= 99).


11.1.48 <GOTO>OVERVIEW=

Description: Changes display in current window to the Overview Display for specified Overview page number

Syntax: <GOTO>OVERVIEW=number

Arguments: Overview page number, (no blank spaces)

See Also: <F1>, <GOTO> FPLGROUP=

Example: <GOTO> OVERVIEW =1

Changes display to Overview display. Ignores the keymacro if no faceplate groups are configured. Similar to keymacro shortcut <F1> and the F1 function key on the keyboard.

These are AUTO_GENERATED displays. Advantech WebAccess automatically generates the Overview display from the Faceplate Groups from a single overview template. If multiple pages are required, the same overview template is used. Users can customize the overview template. Overview Displays are generated from the Faceplate Groups configured by the user. Overview Displays are text only, showing the tagname, current value and alarm status. If tag is a block, the value of the first parameter in the block is shown.


11.1.49 <GOTO>POINTDTL=

Description: Changes display in current window to Point Detail Display for the tag named or referenced.

Syntax: <GOTO>POINTDTL=tagname

<GOTO>POINTDTL=@tagname

Argument: tagname, (no blank spaces)

See Also: <S_F7>, <GOTO@TAG>tag=POINTDTL

Examples: #example 1 - change to point detail display of tag ZT-184

<GOTO>POINTDTL=ZT-184

#Example 2 - change to currently selected tag (same as Shift plus F7)

<GOTO>POINTDTL=@%TPICKTAG

Changes the display in the current display window to the Point Detail Display for the specified tag. Similar to the keymacro shortcut <S_F7> and is the same as pressing the Shift + F7 function keys on the keyboard.

By default, Advantech WebAccess will call up one of three default Point Detail Displays: ANALOG.bpd, DIGITAL.bpd or TEXT.bpd to match the point type (tagname.PTYPE). These three default Point Detail displays are supplied with all Advantech WebAccess Systems. They can be modified by users by editing the analog.dxx, digital.dxx or text.dxx source files and resaving them with the *.BPD extension.

For example, if the tag is an ANALOG type (Ptype=ANALOG) and there is no User built graphic named after the parameter type (PNAME) then the Analog.bpd is called up. Note this one ANALOG.bpd is used for all analog type tags that do not have a user built detail display.

Users can build user defined point detail displays for each Parameter Type (tagname.PNAME). These user defined Point Detail Displays should be saved using the Parameter Name (PNAME ) with the *.BPD extension.

For example, for the default Modbus Parameters, any tag built using the AI parameter could have a user defined Point Detail Display named AI.BPD, appear instead of the ANALOG.BPD.

This is similar to the <S_F7> keymacro used on the toolbar and the Shift + F7 keys on the keyboard.


11.1.50 <GOTO>REALTRD=

Description: Changes display in current window to the Real Time Trend Display for specified trend group number

Syntax: <GOTO>REALTRD=number

Arguments: Trend group number, (no blank spaces)

See Also: <DIALOG>REALTRD

Examples: <GOTO>REALTRD=1

Real Time trend data is not saved to disk. Real Time trends show data only for the width of the trend window providing short-term trend feature for data that does not need to be permanently recorded. See Data Log Trends for permanent data logging to disk

These are AUTO_GENERATED displays. Advantech WebAccess automatically generates the Real Time Trend displays from the Real Time Trend Groups and a single Real Time Trend template display. If multiple pages are required, the same trend template is used. The Real Time Trend Groups are a list of tag names built using Advantech WebAccess Configuration. Users can customize the trend template display.


11.1.51 <GOTO>REALXYP=

Description: Changes display in current window to the Real Time Trend Display for specified trend group number in an X-Y Plot format

Syntax: <GOTO>REALXYP=number

Arguments: Trend group number, (no blank spaces)

See Also: <GOTO>REALTRD=

Examples: <GOTO>REALXYP=1


11.1.52 <GOTO>RECIPE=

Description: Changes display in current window to the Recipe Display of the specified Recipe File. Optionally calls up Recipe Name and Unit Name from within a multiple Recipe file.

Syntax: <GOTO>RECIPE=recipefile.rcp
< GOTO>RECIPE=recipefile.rcp^UnitName^RecipeName

Arguments: recipe file name, unit name, recipe name

See Also: <DIALOG>RECIPE, <DIALOG>RCPVALCHG=, <RCPDOWNLOAD>@, <RCPOPEN>@

Examples: <GOTO>RECIPE=PAINT.rcp
<GOTO>RECIPE=PAINT.RCP^Mixer2^Sunorange
<GOTO>RECIPE=PAINT.RCP^Mixer2
<GOTO>RECIPE=PAINT.RCP^^SkyBlue

Calls up the assigned Recipe Display for specified Recipe File. The system template recipe display is used (RECIPE.BXX). Users can modify the template (RECIPE.DXX). Also allows the specific Recipe Name and Unit Name to be called up. If no unit or recipe name is specified in multiple recipe or multiple unit recipe file, the first recipe name and/or unit is called up.


11.1.53 <GOTO>STATION

Description: Changes display in current window to the Station Status Display showing communications status of all devices..

Syntax: <GOTO>STATION

Arguments: none

See Also: <C_F7>

Examples: <GOTO>STATION

Same as the <CTL_F7> keymacro shortcut and pressing the Ctrl + F7 function keys on the keyboard.


11.1.54 <GOTO>TOOL=

Description: Any function from the Tools menu in VIEW and ViewDAQ can be executed.

Syntax: <GOTO>tool=tools_menu_utility

Arguments: tools menu utility name

See Also:

Examples: <GOTO>TOOL=BWREPORT.UTI

<GOTO>TOOL=BWSCH.UTI

<GOTO>TOOL=BWSCHPLC.UTI

<GOTO>TOOL=BWSYSLOG.UTI

<GOTO>TOOL=BWALMLOG.UTI

<GOTO>TOOL=BWACTLOG.UTI

<GOTO>TOOL=BWANALOG.UTI

<GOTO>TOOL=BWDISLOG.UTI

<GOTO>TOOL=BWTXTLOG.UTI

Same as the Right Click -> Tools utilities from VIEW or Toolbar -> Tools in ViewDAQ.

In VIEW, the logged in user must be a Power User. Any user can use the Tools utilities in ViewDAQ

Scheduled Reports – bwreport.uti
Scheduler - bwsch.uti
PLC Scheduler - bwschplc.uti
System Log - bwsyslog.uti
System Alarm Log (all nodes) - bwalmlog.uti
System Action Log (all nodes) - bwactlog.uti
Analog Tag Log (all nodes) - bwanalog.uti
Discrete Tag Log (all nodes) - bwdislog.uti
Text Tag Log (all nodes) - bwtxtlog.uti

Please note that using another project (e.g. "proj=???" ) is not allowed. The project associated with current View/ViewDAQ is always used. For example, uti:syslog/LogPg.asp?pos=alarm&proj=ArkHills&node=node1?

is not allowed in uti command. The correct syntax is uti:syslog/LogPg.asp?pos=alarm&

Other Valid examples are:

Note - the uti:Syslog is used with the Video Display in DRAW .

1) System Log

uti:SysLog/LogPg.asp?pos=system&node=All&sd=7/1/2005&ed=7/4/2005&ac=1&un=All&si=All&row=600&submit=1&

<GOTO>TOOL=BWSYSLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^ac=1^un=All^si=All^row=600^submit=1

2) System Alarm Log

uti:SysLog/LogPg.asp?pos=alarm&node=All&sd=7/1/2005&ed=7/4/2005&un=All&si=All&sp=All&p1=1&p2=0&tn=All&row=600&submit=1&

<GOTO>TOOL=BWALMLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^un=All^si=All^sp=All^p1=1^p2=0^tn=All^row=600^submit=1

3) System Action Log

uti:SysLog/LogPg.asp?pos=action&node=All&sd=7/1/2005&ed=7/4/2005&un=All&si=All&sp=All&row=600&submit=1&

<GOTO>TOOL=BWACTLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^un=All^si=All^sp=All^row=600^submit=1

4) Analog Tag Log

uti:SysLog/LogPg.asp?pos=analog&node=All&sd=7/1/2005&ed=7/4/2005&tn=All&row=600&submit=1&

<GOTO>TOOL=BWANALOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^tn=All^row=600^submit=1

5) Analog Change Log

uti:SysLog/LogPg.asp?pos=anachglog&node=All&sd=7/1/2005&ed=7/4/2005&tn=All&row=600&submit=1&

<GOTO>TOOL=BWCHGLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^tn=All^row=600^submit=1

6) Discrete Tag Log

uti:SysLog/LogPg.asp?pos=discrete&node=All&sd=7/1/2005&ed=7/4/2005&tn=All&row=600&submit=1&

<GOTO>TOOL=BWDISLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^tn=All^row=600^submit=1

7) Text Tag

uti:SysLog/LogPg.asp?pos=text&node=All&sd=7/1/2005&ed=7/4/2005&tn=All&row=600&submit=1&

<GOTO>TOOL=BWTXTLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^tn=All^row=600^submit=1

8) Event Log

uti:SysLog/LogPg.asp?pos=event&node=All&sd=7/1/2005&ed=7/4/2005&en=eventname&row=600&submit=1&

<GOTO>TOOL=BWEVTLOG.UTI^node=All^sd=7/1/2005^ed=7/4/2005^en=eventname^row=600^submit=1

9) Scheduled Report

uti:syslog/rptDisp.asp?idbw=1&rptid=8&fm=html&rpttype=1&

10) Scheduler - Time Group

uti:Scheduler/tmGrp.asp?idbw=1&tgNo=2&submit=1&

<GOTO>TOOL=BWSCH.UTI^idbw=1^tgNo=2^submit=1

These abode two examples call up time group 2. The tgNo is the Time Group Number. To determine the idbw, you will need to open that time group in the project manager using the Right Click -> Open in a new Window on the Time hyperlink. Then, look at the address bar for the idbw and tgNo.

For more info on option values, please visit your project node for log displays, change project name, select different query options, submit and then examine address bar of IE for corresponding option values.

REMEMBER! - terminate the uti:command string with an ampersand & when used in the video display window.

Please note that with submit=1, the Submit button on the Log Query page will be clicked automatically.

Current project and current node are always used by uti.

The following are incorrect syntax (project and node can’t be specified):

uti:syslog/LogPg.asp?pos=alarm&proj=ArkHills&node=node1?

uti:syslog/LogPg.asp?pos=action&proj=ArkHills&node=node1?

The correct syntax is:

uti:syslog/LogPg.asp?pos=alarm&

uti:syslog/LogPg.asp?pos=action&


11.1.55 <GOTO>URL=http://url

Description: Opens calls the URL or web page. Most commonly used as a "Popup" in Web browser clients in conjunction with bwVIEWpg.asp

Syntax: GOTO>URL=http://URL

<GOTO>URL=http://URL^target=name

<GOTO>URL=http://URL^target=name^replace=option^style=option^settings=option

Arguments: URL or Web page address and options to adjust appearance of browser. (NO BLANK SPACES)

Returns: none

See Also: <GOTO>URL=daq:

Examples:         <GOTO>URL=http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

                                # Example 2 - opens in window of specified size and position

<GOTO>URL=67.94.27.175^target=pop^height=200^top=20^width=400

#2 a keymacro file to Force user login if going to another display.

<USERLOGOUT>

<GOTO>URL=http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

Changes display to a new HTML or other Web Page. If target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0, 7.0, or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. If connecting to the same Advantech WebAccess project and used from a Web Browser Client, the new window does not require a new login. Used from ViewDAQ, a new user login to the Advantech WebAccess web browser client is required. The delimiter is the carrot ^ typed by pressing Shift 6.

Arguments for <GOTO>URL

URL Also known as a web address. Can be a URL, IP Address, name in Hosts file or Network name. Can include options associated with the URL including ASP options and Advantech WebAccess options.
example: <GOTO>URL=http://www.Advantech.com

Target Name defines a Target window name with feature options specified. Can be any name. Optional, if no name specified, will open a new window popup. If a window with same name is already open, loads URL document into the named window. Using a target window name allows use of CLOSEURL command. The CLOSEURL command requires a target window name. No target name is equivalent to _blank and will open new window that cannot be closed using CLOSEURL command. The default window names used by HTML code are not supported (_blank, _parent, _search, _self, _top, _media). NO BLANK SPACES.
Syntax: target=name
example: <GOTO>URL=http://www.Advantech.com^target=pop

replace Options are (yes=1 no=0). Replace History Entry. When the URL is loaded into same window, this BOOLEAN parameter specifies whether the URL creates a new entry or replaces current entry in the windows history list. Optional. NO BLANK SPACES. Boolean values accepted ( 0 1 yes no ).
Syntax: replace=Boolean
example: <GOTO>URL=http://www.Advantech.com^target=pop^replace=1

style Options 0,1,2. Window Title Bar options. Similar to Display Groups in ViewDAQ.
(0 = Overlapped Window with Title, 1= Popup with Title, 2 =Popup without Title) . The Popup windows do not have Minimize, Maximize or Close controls preventing user from easily closing, the window. NO BLANK SPACES. Style is a number between 0 and 2.
Syntax: style=number
example: <GOTO>URL=http://67.94.27.175^target=pop^style=2

settings for <GOTO>URL

These settings used to control window size and position. They are similar to replace and style above. Each setting option is delimited with the carrot ^ (typed shift 6). NO BLANK SPACES.

fullscreen Display Browser in full-screen mode. The default is no. Use full-screen mode carefully because this mode hides the browser's title bar and menus. You should always provide a button or other clue to help the user close the window. ALT+F4 closes the new window. Boolean values accepted (0 1 yes no).
Syntax: fullscreen=Boolean
example: <GOTO>URL=http://67.94.27.175^target=pop^fullscreen=yes

height Height of the browser window, in pixels. The minimum value is 100.
Syntax: height=number
example: <GOTO>URL=http://67.94.27.175^target=pop^height=200^width=400

left Left position of the browser window, in pixels. The value is relative to the upper -left corner of screen.
Syntax: left=number
example: <GOTO>URL=http://67.94.27.175^target=pop^height=200^width=400^left=20

location Display the address bar in web browser (URL input field). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: location=Boolean
example: <GOTO>URL=http://www.Advantech.com^target=pop^location=no

menubar Display the menu bar in web browser (File Edit View Favorites Tools). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: menubar=Boolean
example: <GOTO>URL=http://www.Advantech.com^target=pop^location=0^menbar=0

resizable Display the resize handles at the corners of the window. The default is yes.
Boolean values accepted ( 0 1 yes no ).
Syntax: resizable=Boolean
example: <GOTO>URL=http://yahoo.com^target=pop^location=0^menbar=0^resizable=0

status Display the status bar at bottom of browser window. The default is yes.
Boolean values ( 0 1 yes no ).
Syntax: status=Boolean
example: <GOTO>URL=http://yahoo.com^target=pop^menubar=0^status=0

titlebar Display the title bar in web browser. This setting is ignored unless the calling application is an HTML application or a trusted dialog box. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: menubar=Boolean
example: <GOTO>URL=http://www.Advantech.com^target=pop^titlebar=0

toolbar Display the tool bar in web browser with the button BACK, FORWARD and STOP. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: toolbar=Boolean
example: <GOTO>URL=http://www.Advantech.com^target=pop^toolbar=0

top Top position of the browser window, in pixels. The value is relative to the upper -left corner of screen.
Syntax: top=number
example: <GOTO>URL=67.94.27.175^target=pop^height=200^width=400^left=20^top=20

width Width of the browser window, in pixels. The minimum value is 100.
Syntax: top=number
example: <GOTO>URL=67.94.27.175^target=pop^height=200^left=20^top=20^width=400


11.1.56 <GOTO>URL=daq:

Description: Connects to another SCADA Node.

Syntax: <GOTO>URL=daq:gotocommad#proj=projectname&node=nodename&flag=number^target=name^replace=option^style=option^settings=option

Arguments: GOTO command, project name, node name and web browser options. (NO BLANK SPACES)

Returns: none

See Also: <GOTO>URL=webctrl:, <GOTO>URL=video:

Examples:    <GOTO>URL=daq:graph=page2.bgr#proj=LIVEDEMO&node=OWL^target=pop1

<GOTO>URL=daq:graph=main.bgr#capt=0&flag=2147519873

Changes display to another SCADA Node from the same project node, if no project specified.

If ^target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0, 7.0, or later must be installed on client PC. This is supported by Browser based clients (VIEW) and the local ViewDAQ. Project and Node must be specified if new target window named.

&Flag enables new window to have VIEW properties described (e.g. toolbars, status bas, et al). This avoids double toolbars, double status bars in ViewDAQ or cascaded VIEW.

& Flag format:

flag = popm_flag + scrb_flag*2 + tool_flag*128 + 5*256 + stat_flag*2048 + goto_flag*32768 + alog_flag*2147483648

where : popm_flag -> 0 : popup menu enabled, 1: popup menu disabled

scrb_flag -> 0 : scroll bar enabled, 1: scroll bar disabled

tool_flag -> 0 : tool bar enabled, 1: tool bar disabled

stat_flag -> 0 : status bar enabled, 1: status bar disabled

goto_flag -> 0 : goto function enabled, 1: goto function disabled

alog_flag -> 0 : enter/exit log enabled, 1: enter/exit log disabled

& FLAG example:

<GOTO>URL=daq:graph=main.bgr#capt=0&flag=2147519873

This will display main.bgr of current project_node with popup menu, tool bar, status bar, goto function, and enter/exit log disabled.

goto string

A goto string can be used in <GOTO>url, daq and, <SENDVDO>. In addition to the regular goto strings, users can also use "gototag=tag=where" . The valid values for where are overview, fplgroup, realtrd, realxyp, almgroup, dlogtrd, dlogxyp, graph, blockdtl, pointdtl, and recipe. Examples are:

1) <GOTO>url=daq:gototag=t1=dlogtrd

Used in a Video Display will create a View in Graph to display the Datalog Trend group which contains tag t1. (Note, a View in Graph window is created using Draw Video).

2) <GOTO>url=daq:gototag=t3=graph

Will create a View inside View/ViewDAQ to display the Graph file which contains tag t3.


11.1.57 <GOTO>URL=daq:video=

Description: Connects to Video camera configured for the SCADA Node.

Syntax: <GOTO>URL=daq:video=videofile.vdo#proj=projectname&node=nodename^target=name^replace=option^style=option^settings=option

Arguments: GOTO command, project name, node name and web browser options. (NO BLANK SPACES)

Returns: none

See Also: <GOTO>URL=webctrl:, <GOTO>URL=daq:

Examples: <GOTO>URL=daq:video=tw_highway.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0

Changes display camera configured for a SCADA node in the same project node. If target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. Same a <GOTO>URL=webctrl:


11.1.58 <GOTO>URL=daq:webctrl=

Description: Connects to Video camera configured for the SCADA Node.

Syntax: <GOTO>URL=daq:webctrl=videofile.vdo#proj=projectname&node=nodename^target=name^replace=option^style=option^settings=option

Arguments: GOTO command, project name, node name and web browser options. (NO BLANK SPACES)

Returns: none

See Also: <GOTO>URL=webctrl:, <GOTO>URL=daq:

Examples: <GOTO>URL=daq:webctrl=tw_highway.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0

Changes display camera configured for a SCADA node in the same project node. If target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. Same as <GOTO>URL=video:


11.1.59 <GOTO>URL=mailto:

Description: Opens email program with address specified as Send To address.

Syntax: <GOTO>URL=mailto:emailaddress

Arguments: email address

See Also: <C_F10>

Examples: <GOTO>URL=mailto:info@Advantech.com

This is supported by Browser based client and ViewDAQ. A default email program properly configured to mail server, account and password must be on the client.


11.1.60 <GOTO>URL=vdo

11.1.60 <GOTO>URL=vdo(Not supported by WinCE Edition(WebView &WebLink ))

Description: Connects to IP enabled Video camera filling the web browser window. Optionally open a new window using target name.

Syntax: <GOTO>URL=vdo:cameratype#ip=address&options^target

Arguments: Window is the user defined name given the Video Display Window. Video type is named after the Advantech WebAccess camera Driver. Address is an IP address, URL or network name. Options include paths to CGI scripts and port numbers. Target gives a name for a new web browser window.

Returns: none

See Also: <GOTO>URL=webctrl:, <GOTO>URL=daq:,<GOTO>VIDEO=, <SENDVDO>, <DIALOG>VIDEO

Examples: <GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0
<GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2^height=400^width=450^left=470^status=0^toolbar=0
<GOTO>URL=mplayer#ip=67.94.27.161.130&port=8080


11.1.61 <GOTO>USRPRG

Description: Changes display in current window to the User Program Status Display showing status of user configured programs.

Syntax: <GOTO>USRPRG

Arguments: none

See Also: <C_F10>

Examples: <GOTO>USRPRG

Same as the <CTL_F10> keymacro shortcut and pressing the Ctrl + F10 function keys on the keyboard.


11.1.62 <GOTO>VIDEO

11.1.62 <GOTO>VIDEO(Not supported by WinCE Edition(WebView &WebLink ))

Description: Changes display in current window to full size Video Group (i.e. Camera) specified in the argument.

Syntax: <GOTO>VIDEO=videoname.vdo

Arguments: video group with file extension (*.vdo)

See Also: <F10>, <DIALOG>VIDEO, <GOTO>URL=,<GOTO>URL=vdo:, <GOTO>URL=daq:video

Examples: <GOTO>VIDEO=BW_USA.VDO

<GOTO>VIDEO=group.vdo opens Video Camera window, replacing the current display. The Video Camera window fills the entire graphic display area. The Video Group must be configured in Project Manger.

Alternatives to <GOTO>VIDEO are:

1) <GOTO>URL to open a Web Browser Popup using in a keymacro file (because of length).

<GOTO>URL=http:// 67.94.27.161/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&tool=0&stat=1&goto=webctrl=bw_office.vdo^target=video1^height=400^width=450^left=20^status=0^toolbar=0

OR

<GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2^height=400^width=450^left=470^status=0^toolbar=0

2) <DSPPOPUP>@ or <DSPPOPUPDEP>@ to open a ViewDAQ display Group with as a Popup with the Window pre-sized and positioned and the Video Group saved as default display for the Display Group.

3) <GOTO>GRAPH= with a user-built display having small video windows built using the Dynamic->Video Display.


11.1.63 <GOTO@TAG>

Description: Changes display in current window to a display containing the referenced tag. Similar to the "Point GOTO Dialog Box" in Advantech WebAccess.

Syntax: <GOTO@tag>tagname=display_type

Argument: tagname, display type, (no blank spaces)

See Also: <GOTO>, <GOTOALMGRA>, <DIALOG>POINTGOTO, <DIALOG>POINTINFO

Examples: example 1 - call first display using tag FAN_START101

<GOTO@TAG>FAN_START101=graph

example 2 - if tag is on the alarm summary, then

display the alarm summary

<GOTO@TAG>SPEED=almsummary

example 3 - got to display and tag referenced in IO tags

<GOTO@TAG >@text50=@text70

Changes the display in the current display window to a display using the referenced tag. This command provides the functions of the "Point GOTO Dialog Box" in Advantech WebAccess. It allows a user to call up a display, not knowing its name, but only knowing it displays the tag.

IF THE TAG IS NOT ON THE DISPLAY TYPE REFERENCED, THE CALL DOES NOT CHANGE THE DISPLAY.

If tag is in multiple displays of same type (e.g. multiple *.bgr), then the first display alphabetically will be displayed. The OPTIONS are not case sensitive.

It will works in both Browser and ViewDAQ (local) clients.

GOTO@TAG Options: Display Types

ALMGROUP

ALMSUMMARY

BLOCKDTL

DLOGTRD

DLOGXYP

FPLGROUP

GRAPH

OVERVIEW

POINTDTL

REALTRD

REALXYP

RECIPE


11.1.64 <GOTOALMGRA>

Description: Changes display in current window to the display assigned as the Alarm Graphic the tag listed as the most recent alarm in the alarm summary..

Syntax: <GOTOALMGRA>

Argument: none

See Also: <GOTO>, <GOTO>ALMGRAPH=

Examples: <GOTOALMGRA>

Changes display in current window to the display assigned as the Alarm Graphic for the most recent alarm. It allows a user to call up a display, not knowing its name, but only a tag is in alarm a. If there is no alarm graphic assigned for the most recent tag, the command does not change the display.


11.1.65 <HISBACK>

Description: Changes display in current window to the previous display in the display stack.

Syntax: <HISBACK>

Argument: none

See Also: <HISFORW>, <DAQPREV>, <GOTO>, 11.1.47.2 GOTO HISTORY

Examples: <HISBACK>

Changes display in current window to the previous display in stack. If there is no graphic in the stack or the current pointer is at the beginning of the display stack, the command does not change the display. The display stack has a maximum of 100 displays. Restarting the Advantech WebAccess Client or ViewDAQ clears the stack. This keymacro will interact with the <HISFORW> keymacro, the similar toolbar keymacros and the screen script commands HISBACK and HISFORW.


11.1.66 <HISFORW>

Description: Changes display in current window forward in the display stack retracing a series of HISBACK commands.

Syntax: <HISFORW>

Argument: none

See Also: <HISBACK>, <DAQPREV>, <GOTO>

Examples: <HISFORW>

Changes display in current window forward in the display stack retracing a series of HISBACK commands. At least one HISBACK command must have been issued. If there is no graphic in the stack or the current pointer is at the end of the display stack, the command does not change the display. The display stack has a maximum of 100 displays. Restarting the Advantech WebAccess Client or ViewDAQ clears the display history stack. This keymacro will interact with the <HISBACK> keymacro, the similar toolbar keymacros and the screen script commands HISBACK and HISFORW.


11.1.67 <LOGACT>

Description: Makes an entry in the Action Log with user defined text.

Syntax: <LOGACT>text string

Argument: text string

See Also: <LOGALM>, </LOGACT>

Examples: <LOGACT>The LogAction button on KeyMacros.bgr was pressed
<LOGACT>Keymacro File LOGACT.MCR executed</LOGACT>

Places Time Stamp, Date and Text string in the Action Log. Time and Date is when keymacro executed.


11.1.68 </ LOGACT >

Description: Delimit a <LOGACT> keymacro when multiple keymacros used on one line.

Syntax: <LOGACT>text string </LOGACT>,<keymacro>

Arguments: <LOGACT>text string

See Also: <LOGACT>, </LOGALM>

Example: <LOGACT>Shutdown Unit 5 </LOGACT>,<SETVAL>tag2=1

Delimit a <LOGACT> keymacro when multiple keymacros used on one line and the <LOGACT> uses blank spaces.


11.1.69 <LOGALM>

Description: Makes an entry in the Alarm Log with user defined text.

Syntax: <LOGALM>text string

Argument: text string

See Also: <LOGACT>, </LOGALM>

Examples: <LOGALM> LogALM button on KeyMacros.bgr was pressed
<LOGALM>Keymacro File LOGALM.MCR executed</LOGALM>

Places Time Stamp, Date and Text string in the Alarm Log (does not make entry in alarm summary). Time and Date is when keymacro executed. Priority is 0.


11.1.70 </ LOGALM >

Description: Delimit a <LOGALM> keymacro when multiple keymacros used on one line.

Syntax: <LOGALM>text string </LOGALM>,<keymacro>

Arguments: <LOGALM>text string

See Also: <LOGALM>, </LOGACT>

Example: <LOGALM>Shutdown Unit 5 </LOGALM>,<SETVAL>tag2=1

Delimit a <LOGALM> keymacro when multiple keymacros used on one line and the <LOGALM> uses blank spaces.


11.1.71 <MAIL>

11.1.71 <MAIL>(Not supported by WinCE Edition(WebView &WebLink ))

Description: SMTP client package for sending text email via a local or remote SMTP-compliant mail server.

Syntax: <MAIL>HOST=mailserver</MAIL>
<MAIL>PORT=25</MAIL>
<MAIL>SUBJECT=PUT SUBJECT HERE</MAIL>
<MAIL>FROM=valid email address</MAIL>
<MAIL>TO=recipient@compay.com</MAIL>
<MAIL>TO_ADD=anotherrecipient@company.com</MAIL>
<MAIL>CC=anotherrecipient@company.com</MAIL>
<MAIL>CC_ADD=anotherrecipient@company.com</MAIL>
<MAIL>BCC=anotherrecipient@company.com</MAIL>
<MAIL>BCC_ADD=recipient@company.com</MAIL>
<MAIL>BODY= Put message here. </MAIL>
<MAIL>BODY_ADD=Another Line for message. </MAIL>
<MAIL>SEND</MAIL>

Argument: Host name, Port, Subject, To, From, CC, BCC, Body, Send,
</MAIL> not needed for Keymacro file

See Also: </MAIL>

Examples: Sample Keymacro File
<MAIL>host=Advantech.com
<MAIL>from=Advantech WebAccess SCADA Node
<MAIL>subject=Alarm notification.
<MAIL>to=info@Advantech.com
<MAIL>to_add=support@Advantech.com
<MAIL>body=First \"a\" Line.
<MAIL>body_add=First Line also.\n
<MAIL>body_add=Second Line.\n\n
<MAIL>body_add=Tom
<MAIL>send

Examples: Sample series of Pushbutton Keymacros
<MAIL>HOST=Advantech.com</MAIL>
<MAIL>FROM=Advantech WebAccess SCADA Node</MAIL>
<MAIL>SUBJECt=Alarm notification. </MAIL>
<MAIL>TO=info@Advantech.com</MAIL>
<MAIL>TO_ADD=support@Advantech.com</MAIL>
<MAIL>BODY=First Line. </MAIL>
<MAIL>BODY_ADD=First Line also. </MAIL>
<MAIL>BODY_ADD=Second Line. </MAIL>
<MAIL>BODY_ADD=Tom </MAIL>
<MAIL>SEND </MAIL>

The <MAIL> keymacro (and the equivalent Action Command in scripts) provide an easy interface for sending email messages a Advantech WebAccess SCADA Node via a network conversation with a local or remote SMTP-compliant mail server. This package was written to be as portable as possible and is known to work on Windows systems. Email is sent from the SCADA Node, even if from a pushbutton on a Web Client.

This <MAIL> package provides only the text transport mechanism -- no provisions have been made for attachments or other fancier email features. SMTP is supported. MIME and attachments are not supported. <MAIL> keymacros attempt to be as RFC-compliant as possible.

The <MAIL> keymacro commands put a simple interface around mail sending, requiring options for specifying the host (mail server), port, From, TO and SUBJECT. A Body option specifies the body of the message directly. One or more recipient email addresses should be specified using the to, cc, or bcc respective list-oriented options.

The Advantech WebAccess SCADA node will send an email through an existing SMTP compatible mail server. By default, this is the Project Node with mail.Advantech.com configured as the Smart Host. If the Project node is part of a domain, sending email to other users within the same domain does not usually require any changes to the mail server (the host). If mail must be sent outside of the mail server's domain, then the Project Node (or SCADA Node) must be added to the list of IP Addresses that can "relay" email through a Smart Host mail server.

By default, Advantech WebAccess will send mail from the Project Node (which has an SMTP Server as part of Internet Services Manager) to the mail.Advantech.com Smart Host. During software installation on the Project Node, the user can specify a Smart Host that is usually the company's email server.

An SMTP Server option in Internet Information Server (IIS) must be installed on the Project Node to use the default settings. If SMTP server is not installed on the project node, you will have to use the <MAIL>HOST=yourSMTPserver before each <MAIL>SEND command.


11.1.71.1 <MAIL>HOST=

11.1.71.1 <MAIL>HOST=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Specifies an email Server other than the Project Node. By default, the Project Node is the SMTP Server for all SCADA Nodes. Host should specify the TCP/IP host name or IP address of the SMTP mail server to use for sending email. The name of the corporate network's SMTP server is most common.

Syntax: <MAIL>HOST=mailserver</MAIL>
<MAIL>HOST=mailserver

Argument: Host name
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>

Examples: <MAIL>HOST=Advantech.com</MAIL>
<MAIL>HOST=67.94.27.200
<MAIL>HOST=mail.cwo.com

Specifies an email Server other than the default (the Project Node is usually the default SMTP server). By default, the Project Node is the SMTP Server for all SCADA Nodes. Any Windows 2000 or XP Professional PC that has SMTP installed (see Internet Services Manager) can be specified. The Project Node uses "Relaying" to send the email to a "Smart Host". Typically, the Smart Host is your corporate email server. The default setting during Advantech WebAccess Installation is to set mail.Advantech.com as the smart host.

The Advantech WebAccess Project node will send an email through an existing SMTP compatible mail server. If the SCADA node is part of a domain, sending email to other users within the same domain does not usually require any changes to the mail server ( a smart host is not needed). If mail must be sent outside of the mail server's domain, then the SCADA Node must be added to the list of IP Addresses that can "relay" mail through the mail server or a "Smart Host" must be configured for SMTP server of the SCADA node.

Using the <MAIL>HOST=scadanode_ip is a way to have the mail come from the specific SCADA Node rather than the Project Node.

Smart Host

In order for the Project Node to send emails outside of you local domain, it must relay messages to a computer that is part of the Internet, a so-called "Smart Host". Typically, this would be your company's email SMTP server or your Internet Service Provider' s (ISP). The Project Node (or what ever host you are using) must be enabled to relay messages on the Smart Host.

The Smart Host is specified during Installation on the Project Node. The default setting is mail.Advantech.com. If you would like to change the Smart Host used by the Project Node to send email, you can do this from the Internet Services Manager on the Project Node.
Assuming the EMAIL server is Microsoft, to add the SCADA Nodes IP address to the Mail Server list of nodes allowed to "Relay" messages

1. Start-> Settings-> Control Panel-> Administrative Tools-> Internet Service Manager

2. Select the name of the mail server computer to expand the tree (FTP Service, Web Service, SMTP, etc)

3. Right Click on SMTP

4. Select Properties

5. Select the Delivery Tab

6. Select Advances button

7. Under Smart Host, type the address of your SMTP mail server.

This can be an IP Address or the url (e.g. mail.company.com). You will need to get the exact name from your System Administrator. This is usually the same name used to setup an ordinary email account.

8. Select OK

9. Select OK a second time to close the default SMTP Server applet.

Relay Messages

Many Smart Hosts enable all addresses to relay messages through them. If for some reason your emails are not relayed by your "Smart Host", the system administrator may have restricted who can relay email messages through hi SMTP Server. The Project Node probably needs to be added to the list of IP addresses that can relay messages through your SMTP Smart Host.

In order for the Project Node to send emails outside of your local domain, it must be recognized by a computer that is part of the Internet, a so-called "Smart Host". Typically, this would be your company's email SMTP server or your Internet Service Provider (ISP). The Project Node (or what ever host you are using) must be enabled to relay messages on the Smart Host.

Assuming the EMAIL server is Microsoft, to add the SCADA Nodes IP address to the Mail Server list of nodes allowed to "Relay" messages

1. Start-> Settings-> Control Panel-> Administrative Tools-> Internet Service Manager

2. Select the name of the mail server computer to expand the tree (FTP Service, Web Service, SMTP, etc)

3. Right Click on SMTP

4. Select Properties

5. Select the Access Tab

6. Select Relay

7. Select ADD

8. Enter the IP Address of the SCADA Node

9. Select OK


11.1.71.2 <MAIL>PORT=

11.1.71.2 <MAIL>PORT=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Port specifies either a TCP port number or service name (like SMTP) upon which to perform the SMTP conversation with the server. Default port for most mail servers is port 25.

Syntax: <MAIL>PORT=port</MAIL>
<MAIL>PORT=port

Argument: port number or service name
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>

Examples: <MAIL>PORT=25</MAIL>
<MAIL>PORT=2

Even if the mail server uses the default, port 25, the port must be specified in the series of keymacros following HOST. Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>PORT entry.


11.1.71.3 <MAIL>SUBJECT=

11.1.71.3 <MAIL>SUBJECT=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Subject is a single-line subject to be sent as a "Subject header" in the outgoing email.

Syntax: <MAIL>SUBJECT=text</MAIL>
<MAIL> SUBJECT =text

Argument: text string
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>

Examples: <MAIL>SUBJECT=ALARM Notification /MAIL>
<MAIL>SUBJECT=High Temperature in Unit 7

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>SUBJECT entry.


11.1.71.4 <MAIL>FROM=

11.1.71.4 <MAIL>FROM=(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address should specify the email address that mail will be From, in a form like sender@company.com or "Advantech WebAccess <node1@mycompany.com>".

Syntax: <MAIL>FROM=sender@mailserver.com</MAIL>
<MAIL>FROM=sender@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>

Examples: <MAIL>FROM=Advantech WebAccess2@Advantech.com</MAIL>
<MAIL>FROM=Process2

A valid email address should specify the email address that mail will be `From', in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>".

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>FROM entry.


11.1.71.5 <MAIL>TO=

11.1.71.5 <MAIL>TO=(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address that mail will be sent to, in a form like recipient@company.com

Syntax: <MAIL>TO=recipient@mailserver.com</MAIL>
<MAIL>TO=recipient@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>,<MAIL>CC, <MAIL>BCC

Examples: <MAIL>TO=Advantech WebAccess@Advantech.com</MAIL>
<MAIL>TO=Supervisor1 <Supervisor@Advantech.com>

A valid email address should specify the email address that mail will be `TO', in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>". The address is added to the "To:" header and to the list of recipients.

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>TO entry.


11.1.71.6 <MAIL>TO_ADD=

11.1.71.6 <MAIL>TO_ADD=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds another email address that the mail will be sent to, in a form like recipient@company.com

Syntax: <MAIL>TO_ADD=recipient2@mailserver.com</MAIL>
<MAIL>TO_ADD=recipient2@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>, <MAIL>CC, <MAIL>BCC

Examples: <MAIL>TO=Advantech WebAccess1@Advantech.com</MAIL>
<MAIL>TO=Supervisor1 <Supervisor@Advantech.com>

A valid email address should specify the email address that mail will be `TO', in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>". The address is added to the "To:" header and to the list of recipients. Can be repeated as many times as required to build a list of multiple recipients

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>TO_ADD entry.


11.1.71.7 <MAIL>CC=

11.1.71.7 <MAIL>CC=(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address that mail will be sent as "carbon copy", in a form like recipient@company.com

Syntax: <MAIL>CC=recipient@mailserver.com</MAIL>
<MAIL>CC=recipient@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>,<MAIL>TO_ADD, <MAIL>BCC

Examples: <MAIL>CC=Advantech WebAccess2@Advantech.com</MAIL>
<MAIL>CC=Supervisor1 <Supervisor@Advantech.com>

A valid email address should specify the email address that mail will be sent as`CC', in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>". The address is added to the "CC:" header and to the list of recipients.

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>CC entry.


11.1.71.8 <MAIL>CC_ADD=

11.1.71.8 <MAIL>CC_ADD=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds another email address that the mail will be sent as "carbon copy", in a form like recipient@company.com

Syntax: <MAIL>CC_ADD=recipient2@mailserver.com</MAIL>
<MAIL>CC_ADD=recipient2@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>, <MAIL>TO_ADD, <MAIL>BCC

Examples: <MAIL>CC=Advantech WebAccess3@Advantech.com</MAIL>
<MAIL>CC=Supervisor1 <Supervisor@Advantech.com>

A valid email address should specify the email address that mail will be sent as`CC', in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>". The address is added to the "CC:" header and to the list of recipients. Can be repeated as many times as required to build a list of multiple recipients

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>CC_ADD entry.


11.1.71.9 <MAIL>BCC=

11.1.71.9 <MAIL>BCC=(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address that mail will be sent as "carbon copy", in a form like recipient@company.com

Syntax: <MAIL>BCC=recipient@mailserver.com</MAIL>
<MAIL>BCC=recipient@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>,<MAIL>CC, <MAIL>TO_ADD

Examples: <MAIL>BCC=Advantech WebAccess4@Advantech.com</MAIL>
<MAIL>BCC=Supervisor1 <Supervisor@Advantech.com>

A valid email address should specify the email address that mail will be sent as `BCC', in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>". The address is added to the "BCC:" header and to the list of recipients.

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>BCC entry.


11.1.71.10 <MAIL>BCC_ADD=

11.1.71.10 <MAIL>BCC_ADD=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds another email address that the mail will be sent as "carbon copy", in a form like recipient@company.com

Syntax: <MAIL>BCC_ADD=recipient2@mailserver.com</MAIL>
<MAIL>BCC_ADD=recipient2@mailserver.com

Argument: valid email address
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>, <MAIL>CC, <MAIL>BCC

Examples: <MAIL>BCC=Advantech WebAccess5@Advantech.com</MAIL>
<MAIL>BCC=Supervisor1 <Supervisor@Advantech.com>

A valid email address should specify the email address that mail will be sent as "BCC", in a form like carter@Advantech.com or -from "Tom Carter <carter@Advantech.com>". The address is added to the "BCC:" header and to the list of recipients. Can be repeated as many times as required to build a list of multiple recipients

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>BCC_ADD entry.


11.1.71.11 <MAIL>BODY=

11.1.71.11 <MAIL>BODY=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds first line of text to the "Body" of this email message.

Syntax: <MAIL>BODY=text line 1</MAIL>
<MAIL>BODY= text line 1

Argument: text string, text string, new line character (/n)
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>, <MAIL>BODY_ADD

Examples: <MAIL>BODY=This is first line of message </MAIL>
<MAIL>BODY=High Temperature Alarm in Reactor 1A \n

The text value should be one line of text. It is optionally separated by newline (\n) characters from any following lines added with <MAIL>BODY_ADD. User must perform all line wrapping. The text will be sent verbatim. Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>BODY entry.


11.1.71.12 <MAIL>BODY_ADD=

11.1.71.12 <MAIL>BODY_ADD=(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds text to the "Body" of this email message.

Syntax: <MAIL>BODY_ADD=text line 2</MAIL>
<MAIL>BODY_ADD= text line 2

Argument: text string, new line character (/n)
</MAIL> not needed for Keymacro file

See Also: <MAIL>, </MAIL>, <MAIL>BODY

Examples: <MAIL>BODY_ADD=This is second line of message </MAIL>
<MAIL>BODY=High Temperature Alarm in Reactor 1A \n

Follows a <MAIL>BODY keymacro to add additional text to the original BODY of the message. The text value should be one line of text. It is optionally separated by newline (\n) characters from any following lines added with <MAIL>BODY_ADD. The user must perform all line wrapping. The text will be sent verbatim, line-by-line, except if longer than 998 characters. Lines longer than 998 characters will be split, not necessarily at word boundaries, to comply with RFC 821, so it's a really good idea to do line wrapping using the new line characters /n, before passing your text.

Must be specified before each <MAIL>SEND command. <MAIL>SEND clears the buffer of any previous <MAIL>BODY and <MAIL>BODY_ADD entries.


11.1.71.13 <MAIL>SEND

11.1.71.13 <MAIL>SEND(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends text email, built using series of <MAIL> keymacros, via a local or remote SMTP-compliant mail server. Clears all <MAIL> buffers

Syntax: <MAIL>SEND</MAIL>
<MAIL>SEND

Argument: none
</MAIL> not needed for Keymacro file

See Also: </MAIL>

Examples: Sample Keymacro File
<MAIL>host=Advantech.com
<MAIL>from=Advantech WebAccess SCADA Node
<MAIL>subject=Alarm notification.
<MAIL>to=info@Advantech.com
<MAIL>to_add=support@Advantech.com
<MAIL>body=First \"a\" Line.
<MAIL>body_add=First Line also.\n
<MAIL>body_add=Second Line.\n\n
<MAIL>body_add=Tom
<MAIL>send

Examples: Sample series of Pushbutton Keymacros
<MAIL>HOST=Advantech.com</MAIL>
<MAIL>FROM=Advantech WebAccess SCADA Node</MAIL>
<MAIL>SUBJECt=Alarm notification. </MAIL>
<MAIL>TO=info@Advantech.com</MAIL>
<MAIL>TO_ADD=support@Advantech.com</MAIL>
<MAIL>BODY=First Line. </MAIL>
<MAIL>BODY_ADD=First Line also. </MAIL>
<MAIL>BODY_ADD=Second Line. </MAIL>
<MAIL>BODY_ADD=Tom </MAIL>
<MAIL>SEND </MAIL>

The <MAIL>SEND keymacro (and the equivalent Action Command in scripts) sends an email built using the related <MAIL> keymacros (HOST, PORT, TO, FROM, SUBJECT, TO, CC, BCC, BODY). Email is sent from the SCADA Node, even if from a pushbutton on a Web Client.

This <MAIL> package provides only the text transport mechanism -- no provisions have been made for attachments or other fancier email features. SMTP is supported. MIME and attachments are not supported. <MAIL> keymacros attempt to be as RFC-compliant as possible.

The <MAIL> keymacro commands put a simple interface around mail sending, requiring options for specifying the host (mail server), port, From, TO and SUBJECT. A Body option specifies the body of the message directly. One or more recipient email addresses should be specified using the to, cc, or bcc respective list-oriented options.

The Advantech WebAccess SCADA node will send an email through an existing SMTP compatible mail server. If the SCADA node is part of a domain, sending email to other users within the same domain does not usually require any changes to the mail server (the host). If mail must be sent outside of the mail server's domain, then the SCADA Node must be added to the list of IP Addresses that can "relay" mail through the mail server.


11.1.72 </ MAIL >

11.1.72 </ MAIL>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Delimit a <MAIL> keymacro when multiple keymacros used on one line.

Syntax: <MAIL>options=text string </MAIL>,<keymacro>

Arguments: <MAIL>options

See Also: <MAIL>

Examples: <MAIL>HOST=Advantech.com</MAIL>
<MAIL>FROM=Advantech WebAccess SCADA Node</MAIL>
<MAIL>SUBJECt=Alarm notification. </MAIL>
<MAIL>TO=info@Advantech.com</MAIL>
<MAIL>TO_ADD=support@Advantech.com</MAIL>
<MAIL>BODY=First Line. </MAIL>
<MAIL>BODY_ADD=First Line also. </MAIL>
<MAIL>BODY_ADD=Second Line. </MAIL>
<MAIL>BODY_ADD=Tom </MAIL>
<MAIL>SEND </MAIL>

Delimit a <MAIL> keymacros when multiple keymacros used on one line and the <MAIL> uses blank spaces.


11.1.73 <MCISEND>

11.1.73 <MCISEND>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends an MCI command string to multimedia devices including waveaudio, Voice, MIDI, and Video. Downloads MCI file to client if not found in local client project directory.

Syntax: <MCISEND>mc_ command device arguments

Argument: MCI command string, no space before command, spaces allowed as part of the command string.

See Also: Screen script MCISEND

Examples: example 1 - two buttons

Button 1 -  open thank you wave file

<MCISEND>open thankyou.wav type WaveAudio alias wave wait

Button 2 -  play thank you wave file

<MCISEND>play wave from 1

example 2 - two buttons

button 1 - open clap wave and play it

<MCISEND>open waveaudio!clap.wav alias wave wait

button 2 - play clap

<MCISEND>play wave from 1

example 3 - open and play a MIDI file

<MCISEND>open applause.mid type sequencer alias midi wait

<MCISEND>play midi

example 4 - close open file

<MCISEND>close wave

Sends an MCI command string to multimedia devices including waveaudio, Voice, MIDI, and Video. The MCI files should be located in project root directory (not bgr). The recommended location is:
drive:\WebAccess\node\config\projectname_nodename

Media Files requested by the "open" command will be downloaded to the client if it does not exist in the local client project directory. The Media file must have a file extension in order for the parser to determine it is a file. (A dot or period is needed by the parser to distinguish the media file name). The source file must be in the project root directory of the SCADA node.

WARNING - large media files can require long time to download and can effectively lock-up your client while the download takes place. Be careful of using large media files.

Device Driver must be installed on Client

The client must have the appropriate Media Player device driver installed. Advantech WebAccess is only sending a command to the media player (and will download the media data file). For example, to play a sound wave file (*.wav), a sound card and speaker(s) must be installed on the client computer. Advantech WebAccess will not use the default speaker to play wave files (unless the waveaudio driver installed on the client supports it). Similarly, Advantech WebAccess will not play MIDI sounds (*.mid) unless a MIDI sequencer and speaker(s) are installed on the client . Some example device drivers are:

  cdaudio        MCICDA.DRV

  MMMovie        MCIMMP.DRV

  sequencer      MCISEQ.DRV

  videodisc      MCIPIONR

        waveaudio      MCIWAVE.DRV

Device names supported by MCI command

There are several device types that are supported in the MCI standard. The devices are

cdaudio - CD Audio player

dat - Digital audio tape player

digitalvideo - Digital video in a window, not GDI based

MMMovie - Multimedia Movie Player

other - Undefined MCI device

overlay - Overlay device e.g. analogue video in a window

scanner - Image scanner

sequencer - MIDI sequencer

vcr - Videotape player or recorder

videodisc - Videodisc player

waveaudio - Audio device that plays digitized waveform files e.g. soundblaster card.

Example of MCI commands.

A device needs to be opened before it will accept any other commands and it must be closed after you have finished with it. With some devices it is necessary to stop the device before closing it e.g. with authorware you can close the cdaudio and will continue to play unless you stop it from playing first.
A typical use of MCI in a program will have lines similar to the following:

<MCISEND> open cdaudio

<MCISEND> play cdaudio

<MCISEND> stop cdaudio

<MCISEND>close cdaudio

Obviously there is a need to have a pause between the first two and the last two commands here! If the stop command or close command is issued immediately after the play command, nothing happens. It is possible to give a device an alias in the open command string and then use this alias in all the other commands e.g.

 <MCISEND>open applause.wav type WaveAudio alias wave wait

        <MCISEND>play wave
The wait flag

Normally MCI functions return control to the user immediately, even if the command takes several minutes to complete the action e.g. a tape starts to rewind but control is returned before the rewinding finishes which continues in the background. Adding the option wait to a command string tells MCI to wait until the requested action is complete e.g.

<MCISend>play z wait

will play the whole CD before returning control to the application.

Using all as a device name

It is possible to use all as the device name for any command that does not return data. The most common use would probably be:

<MCISend>close all

The <MCISEND> keymacro will interact with the MCISEND action command used in screen scripts.

See also %TMCIERROR, MCISEND, <MCISEND>, Play a wav file catch and display errors.


11.1.74 <MCREXEC>@

Description: Execute a keymacro MACRO file. Downloads the file if it does not exist or a newer version exists on SCADA node.

Syntax: <MCREXEC>@ filename.mcr

Argument: file name, no spaces

See Also: SCREXEC

Examples: MCREXEC thankyou.mcr

If the keymacro file is not found on the client, it will be downloaded from the SCADA node. If the <MCREXEC> is associated with the button down field, the keymacro file is executed as soon as the button is pressed down. If the <MCREXEC> is associated with the button up, the keymacro file is executed as soon as the button is released.

The keymacro file can be multi-line and up to 1000 characters per line. The Keymacro file is usually created using the keymacro file button in the graphics builder or from the menu bar (Tools->Macro file).

Keymacros files are used for large series of commands to change displays, acknowledge alarms, call up dialog boxes and other "pushbutton" functions


11.1.75 <P_DN>

Description: Pages Down to the DOWN LINK Graphic specified in Set Graph Parameters of this display.

Syntax: <P_DN>

Argument: none

See Also: <P_UP>

Examples: <P_DN>

Same as the Page Down and Pg Dn keys on the keyboard. <P_DN> is used in conjunction with the uplink and downlink in Set Graph Parameters allowing you to build Browse Sequences for your Graphic Displays and to link multi-page Block Detail displays.

1. Open Set Graph Parameter Dialog Box (File -> Set Graph Parameter)

2. In the Down Link field enter the name of the next graphic display (e.g. Display2.bgr, Blocktype1.bd2)

3. Click OK

4. Add a Pushbutton with Keymacro <P_DN> to the Display.

The PgDn key on the keyboard will execute this Keymacro also.


11.1.76 <P_UP>

Description: Pages UP to the UP LINK Graphic specified in Set Graph Parameters of this display.

Syntax: <P_UP>

Argument: none

See Also: <P_UP>

Examples: <P_UP>

Same as the Page Up and Pg Up keys on the keyboard. <P_UP> is used in conjunction with the uplink and downlink in Set Graph Parameters allowing you to build Browse Sequences for your Graphic Displays and to link multi-page Block Detail displays.

1. Open Set Graph Parameter Dialog Box (File -> Set Graph Parameter)

2. In the UP Link field enter the name of the next graphic display (e.g. Display1.bgr, Blocktype1.bd1)

3. Click OK

4. Add a Pushbutton with Keymacro <P_UP> to the Display.

The PgUP key on the keyboard will execute this Keymacro also.


11.1.77 <PRINT>

Description: Prints the current display to paint.exe or directly to printer depending on system settings.

Syntax: <PRINT>

Argument: none

See Also: <ALMLOGP>,<ACTLOGP>, 23.6 BWCLIENT.INI, 10.10 Printing Graphic Displays

Examples: <PRINT>

Prints the current display to paint.exe or directly to printer depending on system settings. The default is to print to the Paint.exe, which will popup, displaying a copy of the current display (similar to using Alt-PrtScrn, starting Paint.exe and Ctrl-V). The user can print from paint.

The BWCLIENT.INI can be modified as follows to allow printing directly to a printer (the system default printer).


11.1.78 <RCPCLOSE>

Description: Closes a recipe opened with the <RCPOPEN> keymacro.

Syntax: <RCPCLOSE>

Argument: none

See Also: <RCPOPEN>, <RCPDOWNLOAD>

Examples: <RCPCLOSE>

Closes any Recipe File opened with the <RCPOPEN> keymacro. Intended for use on user built displays. Intended to prevent accidental downloads with the <RCPDOWNLOAD> keymacro by closing any open recipe file. Will close the Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.


11.1.79 _RCPDOWNLOAD

11.1.79 <RCPDOWNLOAD>@

Description: Downloads the specified Recipe or Downloads an open recipe if no recipe file is specified

Syntax: <RCPDOWNLOAD>@
<RCPDOWNLOAD>@RecipeFile.RCP^UnitName^Recipe

Argument: Recipe File, Unit Name, Recipe Name

Examples: <RCPDOWNLOAD>@PAINT.RCP^Mixer1^SkyBlue
or
<RCPOPEN>@PAINT.RCP^Mixer1^SkyBlue
<RCPDOWNLOAD>@
<RCPCLOSE>

Downloads to the specified Unit, the Recipe from the Recipe File. If no Recipe File specified, downloads the recipe opened with the <RCPOPEN> keymacro. Intended for use on user built displays. Will download the Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.

Similar to Shift_F1 and <S_F1> on Recipe Display

%TRCP2FILE, %TRCP2RECIPE, %TRCP2UNIT, %TRCP2DESC are associated with user-built displays and can be used to display the opened recipe file, recipe, recipe description and unit.

See Also: <S_F1>, <RCPOPEN>, <RCPCLOSE>, <RCPUPLOAD>, <DIALOG>RECIPE, <GOTO>RECIPE=


11.1.80 <RCPOPEN>@

Description: Opens the specified Recipe from a User Built Display. Allows recipe to be modified prior to download.

Syntax: <RCPOPEN>@RecipeFile.RCP^UnitName^Recipe

Argument: Recipe File, Unit Name, Recipe Name

See Also: <RCPDOWNLOAD>, <RCPCLOSE>, <DIALOG>RECIPE, <GOTO>RECIPE=

Examples: <RCPOPEN>@PAINT.RCP^Mixer1^SkyBlue
<RCPSCALE>1.2
<RCPDOWNLOAD>@
<RCPCLOSE>

Opens the Recipe File and the specified Unit and the Recipe. Allows recipe to be modified prior to download using <RCPSCALE> keymacro or changing the %TRCP2() system tag. Intended for use on user built displays. Will close any other Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.


11.1.80.1_RCPSAVE

11.1.80.1 <RCPSAVE>@

Description: Saves the opened recipe file and recipe or the specified recipe file and recipe from a User Built Display. Allows recipe to be uploaded, modified and saved in runtime. New recipe files can be created also. It is recommended to use 8-character file names (8-byte) when creating new recipe files.

Syntax: <RCPSAVE>@
<RCPSAVE>@RecipeFile.RCP^Recipe

Argument: Recipe File, Recipe Name

Examples: <RCPOPEN>@PAINT.RCP^SkyBlue
<RCPUPLOAD>
<RCPSAVE>@
<RCPCLOSE>

Saves the opened Recipe File and Recipe <RCPSAVE>@. Or saves the specified Recipe file and the Recipe <RCPSAVE>@RecipeFile.RCP^Recipe. Intended for use on user built displays. No Unit is specified because the Recipe can be re-directed to any Unit.

<RCPSAVE>@ without arguments saves to the Recipe File and Recipe opened with <RCPOPEN> keymacro or RCPOPEN Action command (tcl script).

Similar to Shift_F4 and <S_F4> on Recipe Display

%TRCP2FILE, %TRCP2RECIPE, %TRCP2UNIT, %TRCP2DESC are associated with user-built displays and can be used to display the opened recipe file, recipe, recipe description and unit.

It is recommended to use 8-character file names (8-byte) when creating new recipe files (e.g. R2345678.RCP). The recipe name is a maximum of 12-charcaters.

See Also: <S_F4>, <RCPOPEN>, <RCPUPLOAD>,<RCPDOWNLOAD>, <RCPCLOSE>, <DIALOG>RECIPE, <GOTO>RECIPE=,


11.1.81 <RCPSCALE>

Description: Scales entire recipe by a multiplier prior to download from a User Built Display. Recipe is that opened with <RCPOPEN> keymacro.

Syntax: <RCPSCALE>number

Argument: multiplier

Examples: <RCPOPEN>@PAINT.RCP^Mixer1^SkyBlue
<RCPSCALE>1.2
<RCPDOWNLOAD>@
<RCPCLOSE>

Scales an Open Recipe by a Multiplier. Allows recipe to be modified prior to download. Intended for use on user built displays. Will scale the Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.

Similar to Shift_F3 and <S_F3> on Recipe Display

%TRCP2FILE, %TRCP2RECIPE, %TRCP2UNIT, %TRCP2DESC are associated with user-built displays and can be used to display the opened recipe file, recipe, recipe description and unit.

See Also: <S_F3>, <RCPOPEN>, <RCPDOWNLOAD>, <RCPCLOSE>, <DIALOG>RECIPE, <GOTO>RECIPE=


11.1.81.1_RCPUPLOAD

11.1.80.1 <RCPUPLOAD>

Description: Uploads current value of tags to the recipe from the opened Unit. Allows recipe to be uploaded, modified and saved in runtime.

Syntax: <RCPUPLOAD>

Argument: none

Examples: <RCPOPEN>@PAINT.RCP^SkyBlue
<RCPUPLOAD>
<RCPSAVE>@
<RCPCLOSE>

Uploads the current value of tags from the opened Unit to the PRESET values for the opened Recipe . Intended for use on user built displays. Unit and recipe are opened using <RCPOPEN> keymacro or RCPOPEN Action command (tcl script).

Similar to Shift_F2 and <S_F2> on Recipe Display

%TRCP2FILE, %TRCP2RECIPE, %TRCP2UNIT, %TRCP2DESC are associated with user-built displays and can be used to display the opened recipe file, recipe, recipe description and unit.

See Also: <S_F2>, <RCPOPEN>, <RCPSAVE>,<RCPDOWNLOAD>, <RCPCLOSE>, <DIALOG>RECIPE, <GOTO>RECIPE=


11.1.82 <SCANSCREEN>

Description: (Supported by only some device Types including: LANSTAR I) Updates all constant scan IO tags on current display. Interrupts normal scanning by communications driver to include immediate request for update of tags on current display. This replaces the "spacebar update" from StarView. Note that Display Scan tags are updated when screen is called or refreshed.

Syntax: <SCANSCREEN>

Argument: none

See Also: <SCANTAG>

Example: <SCANSCREEN>


11.1.83 <SCANTAG>

Description: (Supported by only some device Types including: LANSTAR I) Updates selected constant scan IO tag. Interrupts normal scanning by communications driver to include immediate request for update the selected tag. Note that Display scan tags are updated when screen is called or refreshed.

Syntax: <SCANTAG> tagname

Argument: none

See Also: <SCANSCREEN>

Example: <SCANTAG>01_DO_03

<SCANTAG>@%TPICKTAG

The tagname can be specified in order to only update that one tag. Use the %TPICKTAG tag to allow a single button for use with all tags on the screen. Any text type tag can be used to contain the name of the tag using the @ sign.


11.1.84 <SCREXEC>@

Description: Execute a Advantech WebAccess screen script. Downloads the file if it does not exist or a newer version exists on SCADA node.

Syntax: <SCREXEC>@ filename.scr

Argument: file name, path

See Also: <MCREXEC>,<SCRLOOP>

Examples: <SCREXEC>@userp.scr

<SCREXEC> will download the called script file if it does not exist, then perform the source command in Tcl. This command takes the contents of the specified file or resource and passes it to the Tcl interpreter as a text script.


11.1.85 <SCRLOOP>@

Description: Execute a Advantech WebAccess script repeatedly (loop). Downloads the file if it does not exist or a newer version exists on SCADA node. Script will repeat until SCRSTOP.

Syntax: <SCRLOOP>@ filename.scr

<SCRLOOP>@ filename, frequency, repeats

<SCRLOOP>@ filename, frequency, 0

<SCRLOOP>@ filename, 0.0, repeats

<SCRLOOP>@filename, frequency, repeats</SCRLOOP>,<keymacro>

Argument: file name, path, frequency, repeats
frequency range (0.025 - 400 seconds) , 0.0 uses default script frequency = 0.5 sec.
repeats = 0 is forever until SCRSTOP

See Also: </SCRLOOP>, <SCREXEC>, <MCREXEC>

Examples: #example 1 - repeat forever at default frequency (0.5 seconds)

<SCRLOOP>@playwarning.scr

#example 2 - loop script every 3 seconds until scrstop

<SCRLOOP>@playwarning.scr,3.0,0

#example 2 - loop script every 3 seconds, repeat 20 times

<SCRLOOP>@playwarning.scr,3.0,20

<SCRLOOP> will download the called script file if it does not exist, then enter the script into the program queue for that display to repeat continuously (loop) until the number of repeats is reached or until SCRSTOP command. If repeats =0 or no repeat specified, script will loop forever or until SCRSTOP. SCRLOOP does not execute immediately. Instead, it is placed in the program queue, then executed after the script ends. If the called script is not found on the client, it will be downloaded from the SCADA node.

The called script will begin to loop after the calling script ends. Only a <SCRSTOP> command will terminate the looping script if a number of repeats was not specified. The keymacro <SCRSTOP> will stop the loop, as well as the SCRSTOP command executed from any script from any display within the calling task (i.e. client window).

Only one script can loop per program space (i.e. per client window or display group task).

If no arguments are specified, then the script will loop at the default script frequency until SCRSTOP. The default script frequency is 0.5 seconds.

The playwarning.scr script called in example 1 above:

catch {

MCISEND {close all}

}

catch {

MCISEND {open autodest.wav type WaveAudio alias wave wait}

}

MCISEND {play wave from 1}

#countdown

set x [GETVAL analog1]

<SETVAL>analog1=[expr $x - 3]

If the looping script uses local screen tags not found on the new display, changing displays will seemingly stop the script from looping temporarily until you return to the display. (For example if analog1 in the above example is a screen tag, not a constant point). But, upon return to the display, the called script will continue to repeat without additional SCRLOOP commands since the local screen tags will become available to the script.


11.1.86 </SCRLOOP>

Description: Delimit a SCRLOOP keymacro when multiple keymacros used on one line.

Syntax: <SCRLOOP>@filename,frequency,repeats</SCRLOOP>,<keymacro>

Arguments: <SCRLOOP>@, filename, commas, frequency, repeats

See Also: < SCRLOOP>

Example: Use multiple keymacros on one pushbutton, to loop script every 3 seconds, repeat 20 times, acknowledge all current alarms.

<SCRLOOP>@playwarning.scr,3.0,20<\SCRLOOP>,<ALMACK>

This command marks the end of a <SCRLOOP> keymacro when multiple keymacros are used on one line of a pushbutton. There are no spaces in the command.


11.1.87 <SCRSTOP>

Description: Stops any looping script called by the SCRLOOP command.

Syntax: <SCRSTOP >

Argument: none

See Also: <SCRLOOP >

Example: <SCRSTOP >

<SCRSTOP> will stop any looping script called by <SCRLOOP> in the current task (i.e. client window). The script action command SCRSTOP will perform the same function. . The <SCRSTOP> keymacro can be executed from any display within the calling task (i.e. client window). Only one script can loop in any task (i.e. client window or display group window). <SCRSTOP> will stop the looping script called by the Script Action command SCRLOOP also, if the script was run from the same task (i.e. client window or display group window).


11.1.88.1 <SENDCMD>

11.1.88 <SENDCMD>

Description: Send macro commands to other ViewDAQs or View clients.

Syntax: <SENDCMD>=macro</SENDCMD>

Argument: To send macro to all ViewDAQs with dspname as the display group name, set dest as dspname. To send macro to all ViewDAQs with dspname as the display group name and daqname as the ViewDAQ name, set dest as dspname:daqname. To send macro to all ViewDAQs with daqname as the ViewDAQ name, set dest as :daqname. To send macro to all ViewDAQs, set dest as an empty string (e.g., <SENDCMD>=macro</SENDCMD>).

The SENDCMD feature also allows users to control local ViewDAQs using Global Scripts..

See Also: SENDCMD, SENDVDO, SENDPTZ, <DIALOG>VIDEO, GOTO URL=vdo, <GOTO>URL=vdo,<GOTO>VIDEO,<GOTO>WEBCTRL,
17.2.3.1 Video Popup Key Macro <GOTO>URL
17.2.3 Draw Video in User Graphic Display

Examples:


11.1.88.2 <SENDPTZ>

11.1.88.1 <SENDPTZ>

Description: Sends Point Tilt Zoom command (PTZ) to Video Cameras

Syntax: <SENDPTZ>window=videotype#ip=address&options

Argument: Window is the user defined name given the Video Display Window. Video type is named after the Advantech WebAccess camera Driver. Address is an IP address, URL or network name. Options include paths to CGI scripts, port numbers, trim, and flag. Many options are camera dependent and are strings required by the specific manufacturer and model.

&cgi= used to specify a cgi script or path

&flag= used <SENDVDO>daq command to set toolbar, status bar, Title bar and ViewDAQ options.
&flag=2147519873 will remove the Title bar, Menu Bar, Toolbar, status bar and display only the Graphic Display.

#ip= specifies the IP Address, URL, HOST Name or other valid network address to the camera. #ip=67.94.27.161 uses the IP address. #ip=sprout.warwick.ac.edu uses a url.

&port= is used to specify a TCP or UDP port to the camera. &port=8080 will use port 8080.

See Also: SENDVDO, <DIALOG>VIDEO, GOTO URL=vdo, <GOTO>URL=vdo,<GOTO>VIDEO,<GOTO>WEBCTRL,
17.2.3.1 Video Popup Key Macro <GOTO>URL
17.2.3 Draw Video in User Graphic Display

Examples: The canon video camera handles preset functions. The following syntax can also be used in scripts and key macros to switch the Canon camera to its preset positions.

<SENDPTZ>v1=canonvc#ip=ip_address&port=port_num&cgi=-wvhttp-01-/OperateCameraPreset&cmd=value=preset_num

Send commands to View in Graph

SENDPTZ can send commands to View in Graph. SENDCMD can be used to send macro commands to View/ViewDAQ but not View in Graph. In order to let users to send macro commands to View in Graph, we implemented an enhancement for SENDPTZ. The syntax is:

Macro: <SENDPTZ>name=daq#macro

Tcl Script: SENDPTZ name=daq#macro

VB Script: SENDPTZ "name=daq#macro"

JAVA Script: SENDPTZ("name=daq#macro");

Where name is the name of Video Display and macro is the macro commands intended for View contained in the Video Display.

To send macro commands to View in View/ViewDAQ which is usually invoked using “<GOTO>URL=daq: … ”, please use the same SENDPTZ syntax without name. That is:

Macro: <SENDPTZ>=daq#macro

Tcl Script: SENDPTZ =daq#macro

VB Script: SENDPTZ "=daq#macro"

JAVA Script: SENDPTZ("=daq#macro");

View in Graph is where a window is created inside a bgr using “Draw Video”. Then use a uti:daq command to call a graphic display rather than a video camera. See 4.5-2005.07.05 notes for more information about view in graph.

Please note that neither View in Graph nor the enhancement for SENDPTZ is officially supported.


11.1.88.2.1 SENDPTZ to Flash Movies

11.1.88.1.1 <SENDPTZ> to Flash Movies

Description: Macromedia Flash Movie can be used and displayed with Advantech WebAccess. Users can display and communicate with a Flash Movie in View/ViewDAQ. A Flash Movie in View/ViewDAQ can take up extra resources from computers. It is up to users to decide to what extent they want to use this feature.

Syntax: <SENDPTZ>video_name=swflash#movie=swf_file&play=play_flag&loop=loop_flag&menu=menu_flag&flashvars=value_listns

Arguments:

swf_file is the name for Flash Movie files. We suggest that Flash Movie files are put in config\pname_nodename directory on the project node and then downloaded to pname_nodename directory on the SCADA node. In this case, please specify swf_file as the Flash Movie file name. For example, if my.swf is on pname_nodename directory, swf_file should be set as my.swf. There is no need to copy Flash Movie files to client computers. Advantech WebAccess Client will download the Flash Movie files automatically if necessary. Another approach is to put Flash Movie files on Web Servers that can be accessed by SCADA nodes and client computers. In this case, please specify swf_file as the full URL to the Flash Movie. For example, if my.swf is on wwwroot directory of a Web Server which IP address is my_ip, swf_file should be set as http://my_ip/my.swf.

play_flag can be true or where false to play or stop Flash Movie.

loop_flag can be true or false to specify whether to loop Flash Movie.

menu_flag can be true or false to specify whether to have the context menu in the right-click Flash Movie popup menu. Please note that this option can not prevent a Flash Movie popup menu from displaying. To disable the Flash Movie popup menu, please use the popmenu option.

popmenu_flag can be true or false to specify whether to have the right-click Flash Movie popup menu.

value_list is a list of values to be passed into variables in Flash Movie. For example, if there are variables v1, v2, v3 in Flash Movie, to set these variables to 5.0, 3.0, 1.0, respectively, please set value_list as v1=5.0%26v2=3.0%26v3=1.0.

left_clip, right_clip, top_clip, and bottom_clip are percentages of clipping on the left, right, top, and bottom of Flash Movie, respectively.

video_name is the name of Video Display. For Flash Movie in View/ViewDAQ, set video_name as an empty string.

Examples:

One way to control Flash Movie in Video Display or in View/ViewDAQ, the syntax is:

<SENDPTZ>video_name=swflash#cmd=movie&value=swf_file

<SENDPTZ>video_name=swflash#cmd=play&value=play_flag

<SENDPTZ>video_name=swflash#cmd=loop&value=loop_flag

<SENDPTZ>video_name=swflash#cmd=menu&value=menu_flag

<SENDPTZ>video_name=swflash#cmd=flashvars&value=value_list

Alternatively, users can put any combination of above commands into one singe command. By doing this, the overhead associated with multiple SENDPTZ can be reduced. The syntax is:

<SENDPTZ>video_name=swflash#movie=swf_file&play=play_flag&loop=loop_flag&menu=menu_flag&flashvars=value_list

To display Flash Movie in graph, use the following syntax in Video Display:

swflash#movie=swf_file&play=play_flag&loop=loop_flag&menu=menu_flag&popmenu=popmenu_flag&flashvars=value_list&lc=left_clip&rc=right_clip&tc=top_clip&bc=bottom_clip

To display Flash Movie in View/ViewDAQ, use the following syntax:

<GOTO>URL=vdo:swflash#movie=swf_file&play=play_flag&loop=loop_flag&flashvars=value_list&lc=left_clip&rc=right_clip&tc=top_clip&bc=bottom_clip

To switch Flash Movie in Video Display or in View/ViewDAQ, use the following syntax:

<SENDVDO>video_name=swflash#movie=swf_file&play=play_flag&loop=loop_flag&menu=menu_flag&flashvars=value_list&lc=left_clip&rc=right_clip&tc=top_clip&bc=bottom_clip

Part I – for all users

To display Flash Movie in graph, use the following syntax in Video Display:

swflash#movie=swf_file&play=play_flag&loop=loop_flag&menu=menu_flag&popmenu=popmenu_flag&flashvars=value_list&lc=left_clip&rc=right_clip&tc=top_clip&bc=bottom_clip

To display Flash Movie in View/ViewDAQ, use the following syntax:

<GOTO>URL=vdo:swflash#movie=swf_file&play=play_flag&loop=loop_flag&flashvars=value_list&lc=left_clip&rc=right_clip&tc=top_clip&bc=bottom_clip

To switch Flash Movie in Video Display or in View/ViewDAQ, use the following syntax:

<SENDVDO>video_name=swflash#movie=swf_file&play=play_flag&loop=loop_flag&menu=menu_flag&flashvars=value_list&lc=left_clip&rc=right_clip&tc=top_clip&bc=bottom_clip

Part II – for advanced users

To communicate with View/ViewDAQ from within Flash Movie, use the following syntax in ActionScript inside Flash Movie.

To send Macro to View/ViewDAQ:

fscommand("SENDCMD", "Macro");

To set Value to Tag in View/ViewDAQ:

fscommand("SETVAL", "Tag=Value");

To get value from Tag in View/ViewDAQ into Variable in Flash Movie:

fscommand("GETVAL", "Variable=Tag");

If Tag is invalid, Variable will be set to "%T-2L$NA". If Tag is bad, Variable will be set to "%T-1L$BAD". Therefore, please make sure that Variable can handle "%T-2L$NA" and "%T-1L$BAD" in ActionScript.


11.1.88.3 <SENDVDO>

11.1.88.2 <SENDVDO>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends Video Camera image to a Video Display Window drawn on the Display. Video Display Window is drawn from the Dynamic Menu pick in DRAW.

Syntax: <SENDVDO>window=videotype#ip=address&options

Argument: Window is the user defined name given the Video Display Window. Video type is named after the Advantech WebAccess camera Driver. Address is an IP address, URL or network name. Options include paths to CGI scripts, port numbers, trim, and flag. Many options are camera dependent and are strings required by the specific manufacturer and model.

&cgi= used to specify a cgi script or path

&flag= used <SENDVDO>daq command to set toolbar, status bar, Title bar and ViewDAQ options.
&flag=2147519873 will remove the Title bar, Menu Bar, Toolbar, status bar and display only the Graphic Display.

#ip= specifies the IP Address, URL, HOST Name or other valid network address to the camera. #ip=67.94.27.161 uses the IP address. #ip=sprout.warwick.ac.edu uses a url.

&port= is used to specify a TCP or UDP port to the camera. &port=8080 will use port 8080.

Examples: <SENDVDO>a1=atoplc#ip=67.94.27.161&port=0

<SENDVDO>a1=mplayer#ip=67.94.27.161.130&port=8080

<SENDVDO>a1=axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi
<SENDVDO>m1=videooff#msg=Press 'Camera x' button to show video.

goto string

A goto string can also be used in <SENDVDO>. In addition to the regular goto strings, users can now use "gototag=tag=where" as GOTO_STRING. The valid values for where are overview, fplgroup, realtrd, realxyp, almgroup, dlogtrd, dlogxyp, graph, blockdtl, pointdtl, and recipe. An example is:

<SENDVDO>v1=daq:gototag=t2=almgroup

will make the Video Display v1 to switch to the Alarm group which contains tag t2.

See Also: SENDVDO, <DIALOG>VIDEO, GOTO URL=vdo, <GOTO>URL=vdo,<GOTO>VIDEO,<GOTO>WEBCTRL,
17.2.3.1 Video Popup Key Macro <GOTO>URL
17.2.3 Draw Video in User Graphic Display

ACTIVECAM (Active Imaging Server)
<SENDVDO>a1=activecam#img=http://arachne.berkeley.edu:3001/push.jpg&lc=0&rc=0&tc=0&bc=0

AXIS Camera:
<SENDVDO>a1=axiscam#ip=aucam.dyndns.biz&port=80&cgi=axis-cgi/mjpg/video.cgi&cam=camera=1%26resolution=352x240

CANON:
<SENDVDO>a1=canonvc#ip=208.177.138.207&port=80&cgi=-wvhttp-01-&cam=&lc=0&rc=0&tc=0&bc=0

CEC:
<SENDVDO>a1=cecndvw#ip=nd-vw02.cec.co.jp&port=7778&cam=camera=1%26size=0%26compress=0&lc=0&rc=0&tc=0&bc=1

CELL VISION:
<SENDVDO>a1=cellvision#ip=210.22.135.194&port=8481&cam=device=CameraServer00FF41AE1735asaasa&lc=0&rc=0&tc=0&bc=0

CONVISION VIDEO SERVER:
<SENDVDO>a1=convision#ip=195.37.51.120&port=80&cam=camera=1%26size=fullsize&lc=0&rc=0&tc=1&bc=1

ELMO:
<SENDVDO>a1=elmo#ip=209.137.143.52&port=80&cgi=cgi-bin/nph-pushl.cgi&lc=0&rc=0&tc=0&bc=0

FLEXWATCH:
<SENDVDO>a1=flexwatch#ip=210.138.117.93&port=80&cam=ServerId=0%26CameraId=1&lc=0&rc=0&tc=0&bc=0

GEOVISION GV-Series:
<SENDVDO>a1=geovision#ip=43.244.37.129&port=5550&cam=Camera=2%26AudioPort=0%26CommandPort=4550&user=1111&pass=1111&lc=0&rc=0&tc=0&bc=12

JPEG snapshot cameras:
<SENDVDO>a1=snapshot#img=http://www.westland.net/photo/file001.jpg&timer=60&bc=4
<SENDVDO>a1=snapshot#img=http://weather.kron4.com/images/cam2_2.jpg&timer=60&tc=8
<SENDVDO>a1=snapshot#img=http://66.185.38.9/~mediamate/capture.jpg&timer=60

JPEG Server Push:
<SENDVDO>a1=serverpush#img=http://67.94.27.130:8888/video/push&lc=0&rc=0&tc=0&bc=0

JVC:
<SENDVDO>a1=jvcvn#ip=192.217.138.153&port=80&cgi=java.jpg&lc=0&rc=0&tc=0&bc=0

MEDIA PLAYER (Windows Media Player / Encoder):
<SENDVDO>a1=mplayerurl#img=http://www.earthcam.com/usa/newyork/timessquare/asx/tsq_stream.asx&lc=1&rc=1&tc=1&bc=1

Message - Display a message in the Video Window:
<SENDVDO>a1=videooff#msg=Loading...

PANSONIC Camera:
<SENDVDO>a1=panasonic#ip=cam2.h555.net&cam=Resolution=320x240%26Quality=Standard

PIXORD
<SENDVDO>a1=pixord#ip=61.219.192.210&port=80&cam=camera=3%26fmt=sif&user=hunt&pass=hunt&sndcgi=&lc=0&rc=0&tc=0&bc=0

SITECAM:
<SENDVDO>a1=sitecam#ip=128.104.181.37&port=80&cam=med&sndcgi=&lc=0&rc=0&tc=0&bc=0

SONY Network Camera:
<SENDVDO>a1=sonync#ip=209.192.83.9&port=8096&cam=speed=0

VIVOTEK:
<SENDVDO>a1=vivotek#ip=demo:demo@61.220.127.162&port=80&cam=cam=2%26quality=3%26size=2&lc=0&rc=0&tc=7.5&bc=0

Advantech WebAccess Display in View - Open Advantech WebAccess VIEW in Video Window:

<SENDVDO>a1=daq:overview=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:fplgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:realtrd=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:dlogtrd=2#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:almsummary=time#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:almgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:recipe=startup.rcp^ahu1^maintenance#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:graph=car.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:graph=2ductahu.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:station#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:alarmlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:actionlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

<SENDVDO>a1=daq:graph=fouttrendingraph.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

WebEye:
webeye#ip=130.191.117.248&port=8080&cam=VS=0%26IR=2&user=guest&pass=guest&lc=2&rc=2&tc=2&bc=2

WebCam - WebCame32 Server Push
webcam32#ip=67.94.27.110&port=8888&sndcgi=audio/low&lc=0&rc=0&tc=0&bc=0

Where to find the Video String

You can find the video string to use in Draw Video by configuring a camera in Advantech WebAccess Project Manager, then copying the string at the bottom of the Update Video page. (see 17.1.2 Advantech WebAccess Video configuration).


11.1.89 <SETVAL>

Description: Sets value of a tag. Special keywords can modify <SETVAL>to provide looping or other functions.

Syntax: <SETVAL>tag=value
<SETVAL>tag=@tag2
<SETVAL>tag=option argument?

<SETVAL>tag=option argument?</SETVAL>,<keymacro>

Argument: tagname of analog, digital or text type tag, a value, options, arguments for options

See Also:

Examples: <SETVAL>sp1=75.3
<SETVAL>AO101=@AO102

<SETVAL>textag1=Hello

<SETVAL>text=@text50

<SETVAL>PumpStart=%REVERSE

<SETVAL>counter=%PLUS 1

<SETVAL>analogtag=%MINUS 10%

<SETVAL>motiontag=%LOOPPLUS 5

<SETVAL>position=%LOOPMINUS 5

<SETVAL>tag1=%ROTATEPLUS @speed <SETVAL>tag2=%ROTATEMINUS 5%

Remember! - There are no spaces in the command, except for the space before the last argument:

<SETVAL>PUMPSTART=%REVERSE there are no spaces.

<SETVAL>counter=%PLUS 1 one space before the 1.

SETVAL OPTIONS


11.1.89.1 %REVERSE

Will flip the state of a tag. Intended for use with digital tags, but will work with analog tags. Used with SETVAL. If digital state is 0 and is a two state digital, %REVERSE will flip state from 0 to 1. If analog tag, %REVERSE will flip it based on percent of span. If current value is 25% of span, %REVERSE will make it 75% of SPAN.

<SETVAL>PumpStart=%REVERSE      # will reverse state of PumpStart

#  from On to OFF or from OFF to on


11.1.89.2 %PLUS

Increment tag by specified amount, percentage , tag value or script variable

<SETVAL>counter=%PLUS 1 # increments tag named counter by 1.

<SETVAL>tag2=%PLUS 1%    # increments tag2 by 1 percent of span.

<SETVAL>tag2=%PLUS @tag1 #  increments tag2  by  value of tag1


11.1.89.3 %MINUS

Decrement tag by specified amount, percentage , tag value or script variable.

# subtracts 1 from the value of tag named counter.

<SETVAL>counter=%MINUS 1

# decreases tag2  by 1 percent of output span.

<SETVAL>tag2=%MINUS 1%

#  decrements tag2  by  value of tag1

<SETVAL>tag2=%MINUS @tag1


11.1.89.4 %LOOPPLUS

Increment tag by specified amount, percentage , tag value or script variable until OutpHi (output high span) reached then resets counter to OutpLo (output low span). Repeats . Similar to RotatePlus, but when OutpHi reached, next value is exactly OutpLo.

<SETVAL>counter=%LOOPPLUS 1        # increments tag named counter by 1

# until OutpHi  reached

# then resets counter to OutpLo.

# Repeats.

<SETVAL>tag2=%LOOPPLUS 1%          # increments tag2  by 1 percent of output

# span until  OutpHi reached

# then resets counter to OutpLo.

# Repeats.

<SETVAL>tag2=%LOOPPLUS @tag1      # increments tag2  by  value of tag1

# until OutpHi reached

# then resets counter to OutpLo.

# Repeats .


11.1.89.5 %LOOPMINUS

Decrements tag by specified amount, percentage , tag value or script variable until OUTPLO (output low span) reached then resets counter to OUTPHI (output high span). Repeats continuously. Similar to RotatePlus, but when OutpLo reached, next value is OutHi.

<SETVAL>counter=%LOOPPLUS 1       # increments tag named counter by 1

# until OutpLo reached

# then resets counter to OUTH.

# Repeats .

<SETVAL>tag2=%LOOPPLUS 1%                        # increments tag2  by 1 percent of output

# span until  OutpLo reached

# then resets counter to OutH.

#  Repeats.

<SETVAL>tag2=%LOOPPLUS @tag1    # increments tag2  by  value of tag1

# until OutpLo reached

# then resets counter to OutH.

                # Repeats.


11.1.89.6 %ROTATEPLUS

11.1.89.6 <SETVAL> =%ROTATEPLUS

Description: Increment tag by specified amount, percentage , tag value or script variable until OutpHi (output high span) reached then resets counter to OutpLo (output low span) plus the delta of the last increment above OutpHi. It carries over and difference between OutpHi and the last increment calculation. Repeats continuously. Similar to LOOPPLUS, but when OutpHi reached, next value is exactly is not necessarily equal to OutpLo. This makes for smother animation of rotation if the increment is not an even multiple of the output span.

Syntax: <SETVAL>tagname=%ROTATEPLUS arg

Arguments: number or tagname

Examples:

<SETVAL>counter=%ROTATEPLUS 1                  # increments tag named counter by 1 until

# OutpHi reached then resets counter to

# OutpLo plus whatever remainder there

# was in the increment above OutpHi.

# Repeats.

<SETVAL>tag2=%ROTATEPLUS 1%                   # increments tag2  by 1 percent of output.

# span until OutpHi reached

# then resets counter to OutpLo

# plus whatever remainder there was in the

# increment above OutpHi. Repeats.

<SETVAL>tag2=%ROTATEPLUS @tag1               #  increments tag2  by  value of tag1

# until OutpHi reached

# then resets counter to OutpLo

# plus whatever remainder there was in the

#  increment above OutpHi. Repeats.


11.1.89.7 %ROTATEMINUS

11.1.89.7 <SETVAL> =%ROTATEMINUS

Description: Decrements (decreases) tag by specified amount, percentage , tag value or script variable until OUTPLO (output low span) reached then resets counter to OUTPHI (output high span) minus the delta of the last increment above OutpLo. It carries over and difference between OutpLo and the last increment calculation. Repeats continuously. Similar to LOOPMINUS, but when OutpLo reached, next value is exactly is not necessarily equal to OutpHi. This makes for smother animation of rotation if the increment is not an even multiple of the output span.

Syntax: <SETVAL>tagname=%ROTATEMINUS arguementr

Arguments: number or tagname

Examples:

<SETVAL>counter=%ROTATEMINUS 1                # decrements tag named counter by 1

# until OutpLo reached

# then resets counter to OutpHi

# minus whatever remainder there was in the

# decrement below OutpLO. Repeats.

<SETVAL>tag2=%ROTATEMINUS 1%                    # decrements tag2  by 1 percent of output

# span until OutpLO reached

# then resets counter to OutpHI

# minus whatever remainder there was in the

# decrement below OutpHi. Repeats.

<SETVAL>tag2=%ROTATEMINUS @tag1           #  decrements tag2  by  value of tag1

# until OutpLO reached

# then resets counter to OutpHI

# minus whatever remainder there was in the

# decrement below OutpLO. Repeats.


11.1.89.8 SETVAL to other VIEWS or ViewDAQs

11.1.89.8 <SETVAL> to other VIEWS/ViewDAQs

Description: SETVAL tags in other Views/ViewDAQs (on the same computer). Although this enhancement can be applied to any tags, it makes sense only to use with local tags or DaqTags. The application is when multiple VIEW web browser windows are opened on the same, Display groups with multiple ViewDAQs and View in Graph (where Draw Video is used to create a window within a BGR to display another occurrence of VIEW).

Syntax: <SETVAL>tagname,dest=value</SETVAL>

Argument: tagname of analog, digital or text type tag, a value, options, arguments for options.

dest is name of the dspname:daqname

To SETVAL to tagname in all Views/ViewDAQs with dspname as the display group name and daqname as the ViewDAQ name, set dest as dspname:daqname.

To SETVAL to tagname in all Views/ViewDAQs with dspname as the display group name, set dest as dspname.

To SETVAL to tagname in all Views/ViewDAQs with daqname as the ViewDAQ name, set dest as :daqname.

To SETVAL to tagname in all Views/ViewDAQs, set dest as an empty string.

To SETVAL to tagname in all View in Graph with name as the name of Video Display, set dest as daq#name. To SETVAL to tagname in View in View/ViewDAQ, set dest as daq#.

%REVERSE, %PLUS, %MINUS, %LOOPPLUS, %LOOPMINUS, %ROTATEPLUS, and %ROTATEMINUS can not be part of the string in SETVAL when tagname,dest is used.


11.1.90 </SETVAL>

Description: Delimit a <SETVAL> keymacro when multiple keymacros used on one line.

Syntax: <SETVAL> tag=option argument?</SETVAL>,<keymacro>

Arguments: <SETVAL> tagname, options, arguments

See Also: < SETVAL>

Example: <SETVAL>tag2=%ROTATEMINUS 1%<\SETVAL>,<ALMACK>

Delimit a <SETVAL> keymacro when multiple keymacros used on one line and the SETVAL uses blank spaces.


11.1.91 <SHIFTDTRD>LEFT

Description: Used on Data Log Trend Display. Shifts displayed Data to left (back in time).

Syntax: <SHIFTDTRD>LEFT

Arguments: none

Examples: <SHIFTDTRD>LEFT


11.1.92 <SHIFTDTRD>LEFTMOST

Description: Used on Data Log Trend Display. Shifts displayed Data to leftmost position (back in time) to earliest record in recorded.

Syntax: <SHIFTDTRD>LEFTMOST

Arguments: none

Examples: <SHIFTDTRD>LEFTMOST


11.1.93 <SHIFTDTRD>RIGHT

Description: Used on Data Log Trend Display. Shifts displayed Data to right (forward in time).

Syntax: <SHIFTDTRD>RIGHT

Arguments: none

Examples: <SHIFTDTRD>RIGHT


11.1.94 <SHIFTDTRD>RIGHTMOST

Description: Used on Data Log Trend Display. Shifts displayed Data to right most position (forward in time) to the most current record (now).

Syntax: <SHIFTDTRD>RIGHTMOST

Arguments: none

Examples: <SHIFTDTRD>RIGHTMOST


11.1.95 <SLEEP>

Description: Suspend Script and Task space processing for specified seconds.

Syntax: <SLEEP>seconds

Arguments: seconds (no blank spaces)

Examples: <SLEEP>10

Suspends processing the Advantech WebAccess Client or ViewDAQ task, and all processes in current task space (i.e. window) for specified number of seconds. During SLEEP, no pushbuttons or display updates happen. It may be better to use a script with an IF-THEN test or a While loop instead of <SLEEP> if you need to introduce a delay in processing keymacros.


11.1.96 <SQLDIRECT>

11.1.96 <SQLDIRECT>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Execute SQL command line. Executes an SQL command that is one line long.

Syntax: <SQLDIRECT>sql command line </SQLDIRECT>

Arguments: one line SQL command

See Also: <SQLPREPARE>,<SQLEXECUTE >

Examples: <SQLDIRECT>DECLARE C1 CURSOR FOR SELECT * FROM Table1 WHERE data1=1000

<SQLDIRECT>FETCH NEXT C1 INTO text1, text2, text3, text4

example 2 - a Level 1 command (e.g. Access)

<SQLDIRECT>INSERT INTO Table1 VALUES ('DEC-31-2222', '15:58:23', 2 , 3)

example 3 - a Level 2 command (e.g. SQL Server)

<SQLDIRECT>INSERT INTO Table1 VALUES (?, ?,?,?) USING tag1, tag2, tag3, tag4

This command is used to execute an SQL command that is one line long and forms a complete SQL syntax. On a pushbutton, this limit is 75 characters. If using a keymacro file, the line limit to 1000 characters.

For longer than the 75 or 1000 characters limit in a single SQL command line, use <SQLPREPARE> and <SQLEXECUTE> or a Advantech WebAccess script.

<SQLDIRECT> will interact with the related script Action commands SQLPREPARE, SQLDIRECT and SQLEXECUTE allowing a script to initialize or open an SQL session and user keymacro commands to enter data.

Advantech WebAccess supports both Level 1 and Level 2 SQL statement. SQL is an acronym for Structured Query Language. Please refer to an SQL manual for complete syntax of the SQL language.

The Level 1 versus Level 2 is a significant issue. For example, the Access Database program supports only Level 1 commands. This will not allow you to insert the value of a Tag using a keymacro. You must use a script with the GETVAL command.

These commands are used to interact with a Database file like Access or SQL Server through an ODBC DSN. For a complex series of SQL commands, a script may be easier to implement.


11.1.97 </SQLDIRECT>

11.1.97 </SQLDIRECT>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Delimit a < SQLDIRECT > keymacro when multiple keymacros used on one line.

Syntax: <SQLDIRECT>sql command line </SQLDIRECT>,<keymacro>

Arguments: <SQLDIRECT> sql command line

See Also: <SQLDIRECT>

Example: <SQLDIRECT>DISCONNECT SESSION 1 </SQLDIRECT>,<HISBACK>


11.1.98 <SQLEXECUTE>

11.1.98 <SQLEXECUTE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Executes a complete SQL command line placed in the buffer by a series of <SQLPREPARE> commands.

Syntax: <SQLEXECUTE>

Arguments: none

See Also: <SQLDIRECT>, <SQLPREPARE>

Examples: # WebDATA is an ODBC DSN attached to an Access Database or SQL Server DB

# COMPARE with SQLDIRECT entry

<SQLPREPARE>CONNECT SESSION 1 TO WebDATA

<SQLEXECUTE>

<SQLPREPARE>USE SESSION 1

<SQLEXECUTE>

#Insert data into table

#For ODBC Databases that do not support level 2 commands (e.g. Access)

# break into two lines using SQL prepare

<SQLPREPARE>INSERT INTO Table1 VALUES (@%TTMDATE,

<SQLPREPARE>@ %TTMTIME, @AMPLITUDE,

<SQLPREPARE>@TIMER)

<SQLEXECUTE>

This command is used to execute an SQL command that is more than one line long. An <SQLPREPARE> command must be used to form a complete SQL command line before an <SQLEXECUTE> . <SQLEXECUTE> clears the buffer. SQLPREPARE and SQLEXECUTE allow a single large SQL command to be written using multiple lines in a script.

SQLPREPARE with a SQLEXECUTE is the equivalent of a single SQLDIRECT command. However, the Script editor effectively limits an SQLDIRECT command to 1000 characters. For longer than 1000 characters on one SQL command line, use SQLPREPARE and SQLEXECUTE. SQLPREPARE has a 16,000 (16k) character buffer limit.

<SQLEXCUTE> will interact with the related script Action commands SQLPREPARE, SQLDIRECT and SQLEXECUTE allowing a script to initialize or open an SQL session and user keymacro commands to enter data. For a complex series of SQL commands, a script may be easier to implement.

Advantech WebAccess supports both Level 1 and Level 2 SQL statement. SQL is an acronym for Structured Query Language. Please refer to an SQL manual for complete syntax of the SQL language. These commands are used to interact with a Database file like Access or SQL Server through an ODBC DSN


11.1.99 <SQLPREPARE>

11.1.99 <SQLPREPARE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Places part of an SQL command line into buffer to make a single SQL command line from multiple pushbuttons or keymacro.

Syntax: <SQLPREPARE>partial sql command line

Arguments: incomplete SQL command line

See Also: <SQLDIRECT>, <SQLEXECUTE>

Examples: <SQLPREPARE>INSERT INTO Table1 VALUES ('DEC-31-2222'

<SQLPREPARE>, '12:59:59', 1000, 9000)

<SQLEXECUTE>

This command is used to execute an SQL command that is more than one line long. An <SQLEXECUTE> must be used when a complete SQL command is formed. <SQLPREPARE> allows a single large SQL command to be written across multiple lines in a script.

<SQLPREPARE> with a <SQLEXECUTE> is the equivalent of a single <SQLDIRECT>. However, the Script editor effectively limits an SQLDIRECT command to 1000 characters.

On a pushbutton, on SQLPREPARE is limited to 75 characters. If using a keymacro file, the line limit to 1000 characters. SQLPREPARE has a 16,000 (16k) character buffer limit.

<SQLPREPARE> will interact with the related script Action commands SQLDIRECT and SQLEXECUTE allowing a script to initialize or open an SQL session and user keymacro commands to enter data.

Advantech WebAccess supports both Level 1 and Level 2 SQL statement. SQL is an acronym for Structured Query Language. Please refer to an SQL manual for complete syntax of the SQL language. These commands are used to interact with a Database file like Access or SQL Server through an ODBC DSN. For a complex series of SQL commands, a script may be easier to implement.


11.1.100 </SQLPREPARE>

11.1.100 </SQLPREPARE>(Not supported by WinCE Edition(WebView &WebLink ))

Description: Delimit a < SQLPREPARE > keymacro when multiple keymacros used on one line.

Syntax: <SQLPREPARE>sql command line </SQLPREPARE>,<keymacro>

Arguments: <SQLPREPARE> partial sql command line

See Also: <SQLPREPARE>

Example: <SQLPREPARE>9000) </SQLPREPARE>,<HISBACK>


11.1.101 <USERLOGIN>

Description: Change current login user

Syntax: <USERLOGIN>username=password

Arguments: username, password (no blank spaces)

See Also: <USERLOGOUT>,<USERPUSH>, <USERPOP>

Examples: # login user tom, password please

<USERLOGIN>tom=please

# login admin (no password)

<USERLOGIN>admin

<USERLOGIN> changes the current user login in ViewDAQ. The Area and Level of the user changes immediately in ViewDAQ. <USERLOGIN> is ignored in VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user all cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

See USERLOGOUT for an example of new user login through a web browser.


11.1.102 <USERLOGOUT>

Description: Logout current user

Syntax: <USERLOGOUT>

Arguments:

See Also: <USERLOGIN>,<USERPUSH>, <USERPOP>

Examples: #1 Logout on Shift Change on a pushbutton

<USERLOGOUT>

#2 a keymacro file to Force new user login in web browser

<GOTO>URL=http://www.advantech.com.cn/eAutomation/WebAccess/index.asp)

<USERLOGOUT> changes the current user login in ViewDAQ. The Area and Level of the user changes immediately in ViewDAQ. <USERLOGOUT> is ignored in VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user are cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

In example 2 above, the pushbutton on the display executes a keymacro file. This opens a new web browser window, which forces the user to login with a username and password. In example 2, opening a new window (target=pop1) also refreshes the display list using the <GOTO>URL= keymacro.


11.1.103 <USERPOP>

Description: Return to the user login last pushed user onto the stack by <USERPUSH>.

Syntax: <USERPOP>

Arguments: none

See Also: <USERLOGIN>, <USERPUSH>

Examples: <USERPOP >

<USERPOP> returns to the previous user login at the last <USERPUSH> keymacro or USERPUSH script command in ViewDAQ. <USERPUSH> are used together to temporarily login as another user, then return to the original user login. A <USERLOGIN> command or the Login from a Display (File->Login) must precede a <USERPUSH>. This command interacts with script commands USERPUSH and USERPOP used in the same display window or task window.

<USERPOP> is ignored in VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user all cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

See USERLOGOUT for an example of new user login through a web browser.


11.1.104 <USERPUSH>

Description: Pushes name and password of current login user onto stack for use by <USERPOP>.

Syntax: <USERPUSH>

Arguments: none

See Also: <USERPOP>, <USERLOGIN>

Examples: # 1 - press this button to login user tom, password please

<USERLOGIN>tom=please

# 2 - press this button to push onto stack

<USERPUSH>
# 3 - press this button to login admin

<USERLOGIN>admin

# 4 - pressing this button should return to user named tom

<USERPOP>

<USERPUSH> stores the login information of the current user for use with a <USERPOP> keymacro or USERPOP command in ViewDAQ. These commands are used together to temporarily login as another user, then return to the original user login. A <USERLOGIN> keymacro, USERLOGIN command or the Login from a display menu bar (File->Login) must precede a <USERPUSH>. Used in screen scripts. Not supported by global scripts. This command interacts with script commands USERPUSH and USERPOP used in the same display window or task window.

<USERPUSH> is ignored in VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user all cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

See USERLOGOUT for an example of new user login through a web browser.


11.1.105 <WINEXEC>

Description: Executes a program from the Windows Shell command. Command executes on client.

Syntax: <WINEXEC>program arguments

<WINEXEC>path\\program

Arguments: path, program name (no blank spaces before program name), arguments accepted by program

Returns: popup dialog box if error.

See Also: <SCREXEC>

Examples: # press this button to open notepad program to edit file name oplog.txt

<WINEXEC>notepad.exe oplog.txt

<WINEXEC> executes a Windows program file (*.exe, *.bat, other executable) in the Windows 95, 98, ME, 2003, 2000 and XP environment. If program file is in the path declared by the windows environment, then it will execute. Otherwise, path must be specified. The program file is not downloaded to the client if it does not exist.

A popup dialog box appears if there is an error:

"VIEWDAQ - create process error 2"  - file does not exist or can not be found

HINT

If the <WINEXEX> creates a file (for example <WINEXEC> notepad.exe text.txt), the root path is the project_node subdirectory on each client or node. Note that ViewDAQ, VIEW and global script will have different root paths on each client or node.

On a Client (View), it is drive:\\WebAccess\Client\project_node

On the Node (ViewDAQ), it is drive:\\WebAccess\Node\project_node

This is different than the built-in tcl commands used in scripts. The root for tcl commands for local scripts is the bgr subdirectory of the above paths.

To create a file readable using a <WINEXEC> program created by a Tcl script use:

<WINEXEC>Notepad.exe ReportClient2.txt

and

set fileid [open "../ReportClient2.txt" a+]

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL TIMER] "

close $fileid


11.1.106 <ZOOM>

Description: Zooms display to magnification and position specified or resets to original zoom.

Syntax: <ZOOM>x y size

<ZOOM>RESET

Arguments: x, y, size

all are fractions (range 0 to 1)

x is the horizontal position (left-right position) as a fraction of 1.

x=1 is right side of screen
y is the vertical position (up-down position) as a fraction of 1.

y=1 is top of screen.

size is a fraction of full size. size=1 is full size.

size=.5 is twice (2x) magnification

RESET returns to full size.

See Also: <DIALOG>ZOOM

Examples: # example 1 - zoom 2x at center of screen

<ZOOM>.5 .5 .5

# example 2 - zoom 3x at top right of screen

<ZOOM>.68 .9 .33

# example 3 - RESET to full size

<ZOOM> RESET

Zooms display to magnification and position specified or resets to original zoom.

x - axis is the horizontal (left - right) position expressed as a fraction between 0 and 1. 0 is the left side of the screen, 1 is the right side.

y - axis is the vertical (up - down) position expressed as a fraction between 0 and 1. 0 is the bottom of the screen, 1 is the top.

size is a fraction of full size. 1 is full size, 0.5 is 2x magnification, 0.33 is 3x magnification, etc.

The ZOOM Dialog Box may be easier to use. See <DIALOG>ZOOM


11.2 Keyboard Function Keys and Keymacro Shortcuts

These commands are the same as pressing the Function keys on the Keyboard of the PC (F1 through F10) and the Ctrl and the Shift keys.

The Keymacro shortcuts are based on an abbreviation of the Function Key F1, F2, Shift and Ctrl then delimited with <>. All these keymacro shortcuts (<F1>, <F2>, etc.) can be used on a Toolbar.

Almost all these keymacro shortcuts can be used on any graphic pushbutton instead the full macro command. The exceptions are <F7>, <S_F7>, <CTL_F2>, and <CTL_F3>. An equivalent keymacro is listed for all the keymacro shortcuts in the Summary of Keyboard Shortcuts table below.


Summary of Keyboard Shortcuts

Keyboard | Shortcut | Description | Equivalent Keymacro
F1 | <F1> | Overview Display | <GOTO>OVERVIEW=1
F2 | <F2> | Faceplate Group List | <DIALOG>FPLGROUP
F3 | <F3> | Real Time Trend List | <DIALOG>REALTRD
F4 | <F4> | Data Log Trend List | <DIALOG>DLOGTRD
F5 | <F5> | Alarm Summary | <GOTO>ALMSUMMARY
F6 | <F6> | Alarm Group List | <DIALOG>ALMGROUP
F7 | <F7> Toolbar Only | Block Detail Display | <GOTO>BLOCKDTL=@%TPICKTAG
F8 | <F8> | Recipe List | <DIALOG>RECIPE
F9 | <F9> | Graphic List | <DIALOG>GRAPH
F10 | <F10> | Video List | <DIALOG>VIDEO
Shift + F1 | <S_F1> Recipe Display, Data Log Trend and Data Log XY Plot | Download Recipe from Recipe Display Open Calendar to jump to new date on Data Log Trend and Data Log XY Plot |
Shift + F3 | <S_F3> Recipe Display Only | Scale Recipe from Recipe Display |
Shift + F7 | <S_F7> Toolbar Only | Point Detail Display | <GOTO>POINTDTL=@%TPICKTAG
Ctrl + F1 | <CTL_F1> | Acknowledge Screen | <ALMACK>
Ctrl + F2 | < CTL_F2> Toolbar Only | Acknowledge Point | <ALMACKS>@%TPICKTAG 0 0
Ctrl + F3 | < CTL_F3> Toolbar Only | Change Point | <DIALOG>TAGVALCHG=@%TPICKTAG
Ctrl + F5 | < CTL_F5> | Point Info List | <DIALOG>POINTINFO
Ctrl + F6 | < CTL_F6> | Global Script Status | <GOTO>GSCRIPT
Ctrl + F7 | < CTL_F7> | Station Status | <GOTO>STATION
Ctrl + F8 | < CTL_F8> | Alarm Log | <GOTO>ALARMLOG
Ctrl + F9 | < CTL_F9> | Action Log | <GOTO>ACTIONLOG
Ctrl + F10 | < CTL_F10> | User Programs | <GOTO>USRPRG
Alt + F4 | <ALT_F4> | Close selected ViewDAQ Display Group Windows. Keyboard will close Web Browser. Web Browser ignore keymacro. | <CLOSEDSP>@%TDAQDSPNAME
Page Down | <P_DN> | Calls Down Link Graphic |
Page Up | <P_UP> | Calls Up Link Graphic |
Esc | <ESC> | Calls Main graphic Display | <GOTO>Graph=Main.bgr


11.2.1 <F1>

Description: Overview Display

Equivalent

Keymacro: <GOTO>OVERVIEW=1

Changes the display in the current display window to Overview Display. Ignored if no overview displays exist. Same as pressing the F1 function key on keyboard. See <GOTO>OVERVIEW for complete description.


11.2.2 <F2>

Description: Faceplate Group List

Equivalent

Keymacro: <DIALOG>FPLGROUP

Pops up a list of Faceplate Group Displays. Ignored if no Faceplate Groups are configured. Same as pressing the F2 function key on keyboard. See <DIALOG>FPLGROUP for complete description.


11.2.3 <F3>

Description: Real Time Trend List

Equivalent

Keymacro: <DIALOG>REALTRD

Pops up a list of Real Time Trend Groups. Ignored if no Real Time Trend Groups are configured. Same as pressing the F3 function key on keyboard. See <DIALOG>REALTRD for complete description.


11.2.4 <F4>

Description: Data Log Trend List

Equivalent

Keymacro: <DIALOG>DLOGTRD

Pops up a list of Data Log Trend Groups. Ignored if no Data Log Trend Groups are configured. Same as pressing the F4 function key on keyboard. See <DIALOG>DLOGTRD for complete description.


11.2.5 <F5>

Description: Alarm Summary

Equivalent

Keymacro: <GOTO>ALMSUMMARY

Changes the display in the current display window to the Alarm Summary Display. Same as pressing the F5 function key on keyboard. See <GOTO>ALMSUMMARY for complete description.


11.2.6 <F6>

Description: Alarm Group List

Equivalent

Keymacro: <DIALOG>ALMGROUP

Pops up a list of Alarm Groups. Ignored if no Alarm Groups are configured. Same as pressing the F6 function key on keyboard. See <DIALOG>ALMGROUP for complete description.


11.2.7 <F7>

Description: Point Detail Display

Equivalent

Keymacro: <GOTO>BLOCKDTL=@%TPICKTAG

Works only on Toolbar. Changes the display in the current display window to the Block Detail Display for the currently selected tag. Ignored if selected tag is not a Block type tag or no Block Detail display exists for the block type of tag. Same as pressing the F7 function keys on keyboard. See <GOTO>BLOCKTDTL= for complete description.


11.2.8 <F8>

Description: Recipe List

Equivalent

Keymacro: <DIALOG> RECIPE

Pops up a list of user-built Recipes. Same as pressing the F8 function key on keyboard. See <DIALOG>RECIPE for complete description.


11.2.9 <F9>

Description: Graphic Display List

Equivalent

Keymacro: <DIALOG>GRAPH

Pops up a list of user-built Graphic Displays. Only displays with the BGR file extension are listed. Same as pressing the F9 function key on keyboard. See <DIALOG>GRAPH for complete description.


11.2.10 <F10>

Description: Video Camera List

Equivalent

Keymacro: <DIALOG>VIDEO

Pops up a list of IP-enabled Video Cameras configured for this SCADA node. Same as pressing the F10 function key on keyboard. See <DIALOG>VIDEO for complete description.


11.2.11 <S_F1>

Description: Recipe Download (Recipe Display Only) or DataLog Calender (DataLOg Trend and XY Plot Only)

Equivalent

Keymacro:

Recipe Display

On Recipe Display, downloads the current recipe to the current Unit if Logged in User has download security level assigned to recipe; if not,. Pops up a Password Dialog Box. Recipe Download is called up by Shift+F1 or from the Right-Click Edit Menu.

Same as pressing the Shift + F1 function keys on keyboard (with Recipe Display open). See <RCPDOWNLOAD>@ and Recipe Display for complete description.

Data Log Trend

On DataLog Trend and Data Log XY Plot Display (dlogtrd.bxx, dlogtrd.dxx, dlogxyp.bxx and dlogxyp.dxx) opens a Calendar dialog Box to allow jumping to another date.


11.2.11.1_S_F2

11.2.11.1 <S_F2>

Description: Recipe Upload (Recipe Display Only)

Equivalent

Keymacro: <RCPUPLOAD>

Works only on Recipe Display. Uploads the current recipe to the current Recipe File if Logged in User has recipe upload security level assigned to recipe; if not, Pops up a Password Dialog Box. Recipe Upload is called up by Shift+F2 or from the Right-Click Edit Menu.

Does not overwrite the Recipe File. User must use Recipe Save <S_F4>, to write data to the recipe file on the Hard Drive and Project Node.

Same as pressing the Shift + F2 function keys on keyboard (with Recipe Display open). See <RCPUPLOAD> and Recipe Display for complete description.


11.2.12 <S_F3>

Description: Recipe Scale (Recipe Display Only)

Equivalent

Keymacro: <RCPSCALE>

Works only on Recipe Display. Recipe Scale allows a fraction or multiplier to be applied to all values in a recipe (for example, download only ½ of each preset value). Recipe Scale is called up by Shift+F3 or from the Right->Click Edit Menu. Pops up a Dialog Box to enter Scale Number if logged in user has download security level assigned to recipe; if not, Pops up a Password Dialog Box.

Same as pressing the Shift + F3 function keys on keyboard (with Recipe Display open). See <RCPSCALE> and Recipe Display for complete description.


11.2.12.2_S_F4

11.2.12.2 <S_F4>

Description: Recipe Save (Recipe Display Only)

Equivalent

Keymacro: <RCPSAVE>@%TRCPFILE^@%TRCPUNIT^@%TRCPRECIPE

Works only on Recipe Display. Saves the current recipe to the current Recipe File if Logged in User has recipe Save Recipe security level assigned to recipe; if not, Pops up a Password Dialog Box. Same as pressing the Shift + F4 function keys on keyboard (with Recipe Display open).

Usually a recipe is uploaded before it is saved. Recipe Upload is called up by Shift+F2 or from the Right->Click Edit Menu.

Overwrite the Recipe Files. Recipe Save is called up by Shift+F4 or from the Right-Click Edit Menu. User must use Recipe Save <S_F4>, to write data to the recipe file on the Hard Drive and Project Node.

See <RCPSAVE> and Recipe Display for complete description.


11.2.13 <S_F7>

Description: Point Detail Display

Equivalent

Keymacro: <GOTO>POINTDTL=@%TPICKTAG

Works only on Toolbar. Changes the display in the current display window to the Point Detail Display for the currently selected tag. Same as pressing the Shift + F7 function keys on keyboard. See <GOTO>POINTDTL= for complete description.


11.2.14 <CTL_F1>

Description: Acknowledge Screen

Equivalent

Keymacro: <ALMACK>

Acknowledges alarm state of all tags on current display. Same as pressing the Ctrl + F1 function keys on keyboard. See <ALMACK> for complete description.


11.2.15 <CTL_F2>

Description: Acknowledge Point

Equivalent

Keymacro: <ALMACKS>@%TPICKTAG 0 0

Acknowledges alarm state of currently selected tag. Same as pressing the
Ctrl + F2 function keys on keyboard. See <ALMACKS> for complete description.


11.2.16 <CTL_F3>

Description: Change Point

Equivalent

Keymacro: <DIALOG>TAGVALCHG=@%TPICKTAG

Works only on Toolbar. Pops up a Change Dialog Box to allow operator to change the value of selected tag. Similar to double clicking on a pick-able tag. Same as pressing the Ctrl + F3 function keys on keyboard. See <DIALOG>TAGVALCHG for complete description.


11.2.16.1_CTL_F4

11.2.16.1 <CTL_F4>

Description: Export Trend Data (Trend Display Only)

Equivalent

Keymacro:

Exports Trend data to a HTML report in a Pop-up window. File can be saved or copy and pasted to EXCEL, email and other programs. Works in Real Time Trend and Data Log Trend Displays only. Does not work in a Trend inside a user built Graphic (*.bgr). See 6.2.5 Export Data Log Trend and 6.3.3 Export Data from a Real Time Trend for complete description.


11.2.17 <CTL_F5>

Description: Point Info List (Tag List)

Equivalent

Keymacro: <DIALOG>POINTINFO

Pops up a list of all Tags. Same as pressing the Ctrl + F5 function keys on keyboard. See <DIALOG>POINTINFO for complete description.


11.2.18 <CTL_F7>

Description: Station Status

Equivalent

Keymacro: <GOTO>STATION

Changes the display in the current display window to the Station Status Display. Same as pressing the Ctrl + F7 function keys on keyboard. See <GOTO>STATION for complete description.


11.2.19 <CTL_F8>

Description: Alarm Log

Equivalent

Keymacro: <GOTO>ALARMLOG

Changes the display in the current display window to the Alarm Log Display. Same as pressing the Ctrl + F8 function keys on keyboard. See <GOTO>ALARMLOG for complete description


11.2.20 <CTL_F9>

Description: Action Log

Equivalent

Keymacro: <GOTO>ACTIONLOG

Changes the display in the current display window to the Action Log Display. Same as pressing the Ctrl + F9 function keys on keyboard. See <GOTO>ACTIONLOG for complete description


11.2.21 <CTL_F10>

Description: Opens User Program Status Display

Equivalent

Keymacro: <GOTO>USRPRG

Changes the display in the current display window to the User Programs Status Display. Same as pressing the Ctrl + F10 function keys on keyboard. See <GOTO>USRPRG for complete description


11.2.22 <ALT_F4>

Description: Close current Advantech WebAccess Windows and all Dependent Windows opened with ViewDAQ. Will close the Display Group this pushbutton is inside. Logged in user must have password level to close DAQ Window.

Equivalent

Keymacro: <CLOSEDSP>@%TDAQDSPNAME

<ALT_F4> will close the current Display Group. It will also close all the "Child" Dependant Windows opened from this Display Group. The <ALT_F4> pushbutton is inside the display group to be closed. The intent is to close only a Dependant Child or Group and leave other ViewDAQ windows open. Will Leave Parent open.

The user must have a Security Level greater than or equal to the "Exit Password Level configured for the Display Group. If not, a popup dialog box will opened to prompt the user to login as a new user.

The pushbutton keymacro <ALT_F4> is for ViewDAQ only. Web browser clients using VIEW will ignore <ALT_f4>

The keyboard keys ALT + F4 is a windows keymacro shared by Advantech WebAccess. The key strokes ALT + F4 will close any selected window, including a web browser client using VIEW. The keymacro <ALT_F4> in a display is ignored by VIEW (i.e. web browser clients.) But, the keyboard stroke ALT + F4 will close VIEW.

<ALT_F4> is a Pushbutton keymacro frequently used in a Dependent Display to close only the child (in local ViewDAQ). For example, assume you are looking for the Key Macro for use inside a Child (Dependent) Display group to close only that Child (Dependent) and leave the parent open. If you have a button inside the child, you should use <ALT-F4> to close only the child (dependent) display group. If you have a button inside the Parent, you should use <CLOSEDEP>childname. By contrast, <CLOSECUR>, will close this window, all "child" dependant and the Parent Display Group.


11.2.23 <P_DN>

Description: Calls Down Link Graphic

Equivalent

Keymacro:

Changes the display to display configured as downlink graphic in Up Link Graph and Down Link Graph of Set Graph Parameters in DRAW. Same as pressing the PgDn key on keyboard.


11.2.24 <P_UP>

Description: Calls Up Link Graphic

Equivalent

Keymacro:

Changes the display to display configured as uplink graphic in Up Link Graph and Down Link Graph of Set Graph Parameters in DRAW. Same as pressing the PgUP key on keyboard.


11.2.25 <ESC>

Description: Calls Main graphic display (Main.bgr)

Equivalent

Keymacro: <GOTO>GRAPH=Main.bgr

Changes the display to Main.bgr. Same as pressing the Esc key on keyboard.


11.3.4 Create a KeyMacro File

11.3.4 Create a KeyMacro File(Not supported by WinCE Edition(WebView &WebLink ))

1. From DRAW, Click the KeyMacro File icon [image] from the upper toolbar.

Hint - If you pause the pointer over the icon a tooltip opens describing the button .

2. The Macro File Configuration editor dialog box opens.

3. Enter the following Key Macro command. This will pop-up a new web browser window with Advantech WebAccess Help file describing Keymacros.

<GOTO>URL=uti:engman/11._Pushbutton_Key_Macros.htm#^target=help1

4 Enter a name for the Key Macro. For example, KeyMacro_Help.

5. Press Exit when done (or Save and Exit).

6. Draw Text to act as a descriptor. For example, draw HELP.

7. Draw a Pushbutton with the keymacro:

<MCREXEC>@KeyMacro_Help.mcr

Important!- add the .mcr extension to the file name.

8. Save the Graphic (the bgr and drw).

9. Download the Graphic to the SCADA node.


11.3.1 EMAIL SEND macro file

11.3.1 EMAIL SEND macro file(Not supported by WinCE Edition(WebView &WebLink ))

--- Sample mcr to send email (do the same thing as the script about)

<MAIL>host=Advantech.com

<MAIL>from=Tom Hwang

<MAIL>subject=This is a subject.

<MAIL>to=tomh@Advantech.com

<MAIL>to_add=kathyl@Advantech.com

<MAIL>cc=

<MAIL>bcc=

<MAIL>body=First \"a\" Line.

<MAIL>body_add=First Line also.\n

<MAIL>body_add=Second Line.\n\n

<MAIL>body_add=Regards,\n\n

<MAIL>body_add=Tom

<MAIL>send


11.3.2 Popup new browser Client and force new login

11.3.2 Popup new browser Client and force new login(Not supported by WinCE Edition(WebView &WebLink ))

<GOTO>URL=http://67.94.27.175/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&goto=graph=aporsche.bgr^target=pop1


11.3.3 Play recorded message

11.3.3 Play recorded message(Not supported by WinCE Edition(WebView &WebLink ))

<MCISEND>close wave

<MCISEND>open thankyou.wav type WaveAudio alias wave wait

<MCISEND>play wave


11.4 Key Mapping

Function Keys on Keyboards and Panels can be assigned any keymacro command by the user. The keymacro can call another KeyMacro file or Script.

The keyboard keys can be mapped using a subset of keymacro command functions. The F1 through F10 function keys on Windows standard Keyboards along with the Control-key (CTRL), Shift-key (Shift) and Alternate-key (Alt) in combination with Alphabetic keys can be used to execute keymacro commands. The keys that can be mapped to a KeyMacro commands are

<TAB>,<S_TAB>, <LS>,<RS>, <S_LS>, <S_RS>, <CTL_LS>, <CTL_RS>, <UP>, <DN>, <S_UP>, <S_DN>, <HOME>, <END>, <CR>, <ESC>, <F1> to <F10>, <S_F1> to <S_F10>,<ALT_F1> to <ALT_F10>, <ALT_A> to <ALT_Z>, <ALT_1> to <ALT_9>, <ALT_0>, <CTL_F1> to <CTL_F10>, <CTL_A> to <CTL_Z>, <F1>.

A user pressing one of the mapped keys will execute the assigned Keymacro (for example, pop-up a Help file).

Keymapping can be Global (for all Graphic Displays) or keymapping can apply to a single graphic display.


11.4.1 Key Mapping Global

Keymapping for that applies to all graphic displays, all VIEW clients and all ViewDAQ is implemented from the Keymapping link on SCADA node properties.

1. From the Project Manager, select your SCADA Node.

2. From SCADA Node properties page, select the KeyMapping hyperlink.

3. The Key Mapping List page opens.

Figure 11.4.1 - Key Mapping List

4. Select Add New Key Mapping.

5. Select the Key from the Pulldown list next to Key Template. In the example, select the UP key (the arrow up on most keyboards).

6. Enter the Key Macro command in the Key Mapping field.. In the example enter:

<GOTO>GRAPH=MAIN.BGR

7. Optionally, add a description that will remind you and others of the function.

8. Press Submit when done (or Save and Exit).

9. There are two ways to download these changes to the SCADA Node:

9a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

9b. Use the Download hyperlink on the Key Mapping List Page (figure 11.4.1 above). This will download changes to the Key Mapping without stopping the SCADA node.

If a local key mapping table is defined, both local and global key mapping will be performed. To turn off/on local or global key mapping functions for each individual View/ViewDAQ, please set %DKEYMAPFILE (local) or %DKEYMAPPING (global) to 0/1.


11.4.2 Key Mapping for a Graphic

11.4.1 Key Mapping Global

In addition to global key mapping, which defines a key mapping table for all Views and ViewDAQs, users can specify a local key mapping table for each individual graph.

Keymapping a single graphic display applies to all VIEW clients and all ViewDAQ

Keymapping a graphic display is implemented from the KeyMapping section of "Set Graph Parameters" in DRAW or DrawDAQ .

To define a local key mapping table:

1) In Draw or DrawDAQ, call up "Set Graph Parameters" dialog box.

2) In the Key Mapping File field, select or enter a key mapping file. To create or modify key mapping file, please click the Edit button right next to the field.

3) Save and Exit.

4) Download graph.

If a local key mapping table is defined, both local and global key mapping will be performed. To turn off/on local or global key mapping functions for each individual View/ViewDAQ, please set %DKEYMAPFILE (local) or %DKEYMAPPING (global) to 0/1.


12. Scripts

*****************************************************************************************************************************************
*Note: For WinCE edition, only TCL Script is supported.
 ******************************************************************************************************************************************

Welcome to Scripts in Advantech WebAccess!

Scripts are simple programs used to customize your displays screens and SCADA system with user built calculations and logic. The most common use of scripts is advanced animation. Scripts in Advantech WebAccess are powerful enough to create reports, communicate with other programs and do control. Scripts are programmed in a computer languages similar to BASIC.

They are called scripts, because they are not compiled, the script programs are "interpreted", as soon as you save and download your source file, it is ready to run. The source file is in simple text format.

There are three scripting languages supported by Advantech WebAccess.

Tcl (pronounced as "tea sea el" or "tickle"). If you have any programming experience, you can be writing scripts in 30 minutes. Tcl is an industry standard taught in many schools. You can download Tcl programs and tutorials from the Internet. There are many examples in this Advantech WebAccess Engineering Manual also. There is a complete guide to Tcl in this Engineering manual. Advantech WebAccess client and SCADA node include the Tcl script engine (version 8.0). Tcl script will run on any client or SCADA node except those using Windows CE.

VB Script (pronounced as 'vee bee script') is provided for advanced users already familiar with VB Script used for many web sites. This the version of Visual Basic used on the world wide web and many web sites. This is well documented on the web. This engineering manual doe snt go into detail on VB Script commands and assumes the user is already familiar with VB Script. To interact with Advantech WebAccess tags and graphic displays, VB Script uses ACTION commands similar to those used with TCL. VB script uses the script engine installed as part of the Microsoft Operating system. VB Scripts should run on most all clients and SCADA nodes unless VB Script is disabled or not installed in the Microsoft Operating System. Windows CE is not supported by Advantech WebAccess scripts.

For more information on VB Script, please visit:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/vtoriVBScript.asp

JScript (pronounced as 'jay script') is also provided for advanced users already familiar with Java Script used for many web sites. It is indirectly related to Java. This is well documented on the web. This engineering manual doesn't go into detail on J Script commands and assumes the user is already familiar with JScript. To interact with Advantech WebAccess tags and graphic displays, JScript uses ACTION commands similar to those used with Tcl. JScript uses the script engine installed as part of the Microsoft Operating system. JScripts should run on most all clients and SCADA nodes unless J Script is disabled or not installed in the Microsoft Operating System. Windows CE is not supported by Advantech WebAccess scripts. For more information on JScript, please visit:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/js56jsoriJScript.asp

There are two types of scripts:

· Local Scripts - also called Screen Scripts - run on a client.

· Global Scripts - run on the SCADA node.

Local Scripts (Screen Scripts)

Local Scripts run only run when the associated Screen is displayed or called by a Pushbutton on a Screen. Local Scripts are also referred to as Screen Scripts. Local Scripts run on the Client in either View (web browser) or ViewDAQ. Local scripts are downloaded to a web client when the display is called up. The script runs on the remote client independent of other clients. Local Scripts run at the frequency specified by the Graphic Parameters (Set Graph Param) as fast as every 25 milliseconds.

Local scripts are assigned to a graphic display with one of three options:

Run Once when display first opened.

Run continuously while display is open by user.

Run Once when display closed.

Local scripts can also be called by a Pushbutton a graphic display (<SCREXEC>) or called by another local script (SCREXEC).

A single local script can loop repeatedly in a client, regardless of the graphic display, using the <SCRLOOP> keymacro to SCRLOOP Action command.

Local Scripts (Screen Scripts) can be downloaded from the project node to the SCADA node using the download Graph Only command that can be performed without stopping the SCADA node.

Local scripts are downloaded to the Client from the SCADA node when the display using the script is opened. The Client will have to refresh the screen that uses a new version of Local Screen Script.

Local scripts are also downloaded to the client from the SCADA node when it is called by another script with the SCREXEC command.

Global Scripts (SCADA node Scripts)

Global System Scripts run on the SCADA Node, independent of any Display. Global Scripts can be configured to run in one of three modes:

Run Continuously at user specified frequency (as fast as 25 milliseconds).

Once at Start-up or Restart

Once at Shutdown (or restart).

Global Scripts can also be run by user command using the Global Script System Display. If it has been configured in GlobalScript Configuration page or specified in the SCADA script initialization file (BWSCRRDT.INI).

Global scripts can also be called by other global scripts.

Global scripts run a subset of ACTION commands. Most commands that interact with a display screen are ignored by SCADA scripts (for example, GOTO GRAPH, GOTO URL, POPUP a dialog box).

Global Scripts are usually written using the Script Editor in DRAW. The Global Script Configurator in SCADA Node properties, has a pull down list of files with the *.scr, *.js and *.vbs extensions in the node's \bgr subdirectory on the Project node.

Global Scripts are stored in the \bgr directory. The same script can be used as both a Global script and a Local script (note that not all commands are supported by Global scripts).

Global Scripts must be downloaded from the Project Node to the SCADA node using the Download or Graph Only command without stopping the SCADA node.

The Global Script configuration can also be downloaded to the SCADA node without stopping the SCADA node using the Download link on the GlobalScript configuration page.


12.1.1 Start Script Editor from DRAW

12.1.1 Start Script Editor from graphics builder - DRAW

There are two ways to start the script editor:

  • From Set Graph Parameters. This will allow you have access to Local Tag File while editing your script. This is the recommended method.

  • From the Right Click Menu in DRAW or the upper menu bar in DrawDAQ.

12.1.1.1 Script Editor from Set Graph Parameters

1. Start the Graphics Builder by clicking the Start Draw hyperlink in the Project Manager

2. Select the Set Graph Parameter icon [image] on the Toolbar or from the File Menu

Figure 12.1 Set Graph Parameters - assign Script to a Graphic Display

3. Inside the Set Graph Parameter Dialog Box, place the cursor with a Click inside the field next to On Entry, While Showing or On Exit.

Note: The Edit Button becomes active only if the field next to it is selected.

4. Click the Edit Button.

5. The Script Editor Dialog Box opens.

Figure 12.2 Script Editor - DRAW and DrawDAQ

Note - This will associate the Script with the Graphic Display. If a local Tag File is assigned to the graphic, the Local Tag file can be browsed in the Script Editor using this method.

5. Select the type of script you want to create: Tcl, VB Script or JScript .

OR

Select the name of an existing script from the Script File: pull down menu

12.1.1.2 Start Script Editor from Right Click Menu - DRAW

1. Start the Graphics Builder by clicking the Start Draw hyperlink in the Project Manager

2. Right Click the mouse.

3. Select Tools -> Script File.

4. The Script Editor Dialog Box opens.

5. Select the type of script you want to create: Tcl, VB Script or JScript .

OR

Select the name of an existing script from the Script File: pull down menu

note - Using the Right Click Menu in DRAW or the upper menu brain DrawDAQ to start the Script editor will make the Script independent of the Graphic Display and any Local Tag files. You will not be able to browse Local Tags using this method (LocTag is grayed out).


12.1.2 Script Components

The components of a Advantech WebAccess Script are grouped into five Areas. These major components are grouped under “pushbuttons” in the Screen Script Editor and SCADA System Script Editor.

· ACTION – these are commands specific to Advantech WebAccess. They are usually similar to pushbutton keymacro commands. They address the need for scripts to interact with automation systems, real-time data, controls, IO and users. Examples include Alarm Acknowledge, GO TO a Graphic Display, Set a Value. ACTION commands enhance the standard Tcl, VB Script and Java script commands. The ACTION commands are essentially identical between all three scripting languages.

· KEYWORD - The keyword are the one of the three languages of Advantech WebAccess scripts: Tcl, VB Script or Java scrip. a scripting language commonly used for hardware-control programs. Tcl, VB Script and Java Script are open source language; you can find examples and tutorials on the Internet. They are taught at many colleges and universities. They are the If, THEN, ELSE of Advantech WebAccess. A typical Advantech WebAccess script will include both KEYWORD command and ACTION commands.

The Keywords change depending on which language you select for your script (a single script can only use one language).

If you select TCL, then select the Keyword button you see the most commonly used tcl commands listed in the pane on the right. Tcl is commonly pronounced as "tickle".

If you select VBScript, then select the Keyword button you see the most commonly used VB Script commands listed in the pane on the right.

If you select JScript, then select the Keyword button you see the most commonly used JAVA Script commands listed in the pane on the right. Tcl is commonly pronounced as "tickle".

Double-clicking on a command will insert the entire command into the script. You must add local tags, or other features for the command to actual execute (this is just a handy syntax guide). You could also type the command string.

Note - there are many more commands support in Tcl, VB Script and J Script than listed in the dialog box. See 12.5 Tcl KEYWORD commands (built-in Tcl) for a larger list of Tcl commands. See an on-line tutorial for all commands supported by Tcl, VB Script and J Script.

· FUNCTIONS – these are mostly the advanced arithmetic functions (sine, cosine, rounding, logarithmic functions)

· OPERATORS – are simpler math operators (multiply, divide, addition, greater than, equal to, etc) and grouping characters (parenthesis, square brackets etc.)

Additional components of Advantech WebAccess are the Tags (the real-time data) that Advantech WebAccess reads from Automation Equipment and internal tags describing Advantech WebAccess:

· IO TAGS – this is the real-time data collected from Automation Equipment such as PLCs, Controllers, VAVs, OPC Servers, etc. This also includes the globally available internal tags (Calculation Tags, Accumulation Tags and Constant Tags). Constant Tags are frequently used to display the results of script programs or enter data for use by scripts.

· FIELD – these are Fields associated with IO TAGS, for example description, High Span, Alarm Limits, Alarms States etc.

· Daq TAG – these are internal system tags that describe the state Advantech WebAccess , for example Serial Number, Last Button Pushed, communication port status.

· LOCAL TAG – These are user defined “screen tags” internal to Advantech WebAccess and commonly used for display animation or reformatting data before presentation. Local Tags are frequently used the results of script programs to display or enter data for use by scripts. This button will be "gray" and un-pickable if there is no Local Tag file assigned to the display.


12.1.3 SAVE Scripts using Advantech WebAccess Script Editor required!

You can use Notepad or other programs to create your script. But, YOU MUST SAVE SCRIPTS USING THE Advantech WebAccess SCRIPT EDITOR. Notepad (and other Windows text editors) add additional CR and linefeeds that will confuse the Script interpreter.

If you use Notepad or other text editor, you should copy and paste into the Advantech WebAccess Script editor.

The Advantech WebAccess script editor will parse your script and remove redundant linefeeds.

The most common error caused by scripts executed directly from a Notepad saved file is that multi-line commands (using the backslash \) fail (because Notepad added redundant CR or linefeed).


12.1.4 Notepad and Text Editors

You can copy and paste Scripts to NotePad.exe or other Text editor to create Scripts in Advantech WebAccess, as long as you copy and paste them to back into the Script Editor. Tcl Scripts use a UNIX convention for line feeds and carriage returns that is different than the LF and CR in Windows Text editors.


12.1.5 Files and Location

Advantech WebAccess script files have the *.SCR extension.

Screen Scripts

Screen Scripts are located in the \bgr subdirectory.

On the project node, this is typically located at:
C:\WebAccess\Node\config\projectname_nodename\bgr

On the SCADA node, this is typically located at:
C:\WebAccess\Node\ projectname_nodename\bgr

On a Client node, this is typically located at:
C:\WebAccess\Client\ projectname \cbgr

System Scripts

System Scripts and initialization file (bwscrrdt.ini) are located in the project root directory:

On the project node, this is typically located at:
C:\WebAccess\Node\config\projectname_nodename

On the SCADA node, this is typically located at:
C:\WebAccess\Node\ projectname_nodename


12.2 Tcl Features

12.2 Features of Tcl language

Tcl is a very simple programming language.

If you have programmed before, you can learn enough to write Tcl programs within an hour. Jump to the Example Scripts at the end of this Help Book for some realistic applications. You can copy and paste into the Advantech WebAccess Script editor.

Tcl is a high-level scripting language.

Tcl is simple to use, but powerful in capabilities. You will write a lot less code to get the job done, especially when compared to C applications. It is similar in power to C applications. There are email programs and web servers written in Tcl.

Tcl is interpreted.

You execute your code directly, without compiling and linking. You do have to "Download" your script to the SCADA node. If using a screen script on a client, the client has to also refresh his page.

Tcl is an open source standard.

You can get the sources of sample programs for free over the Internet. You can browse the Internet and find many more examples, user guides, etc.

Tcl is a standard programming language

It is not unique to Advantech WebAccess. You can re-use what you learn here. There may be users in your organization already familiar with Tcl.


12.2.1 What's Different in Advantech WebAccess vs. other Tcl

Advantech WebAccess is based on Tcl version 8.4 Built-in Commands. There are some differences from other implementations of Tcl found in schools, universities and other systems.

No Command Line

Advantech WebAccess uses only scripts files placed in the program queue and executed. There is no command line for entering one command at a time.

No standard IO (stdio)

To enter data and display the results of scripts, most users will use the ACTION commands, GETVAL and SETVAL, display the results of scripts and send data to Controllers, IO and Automation equipment or retrieve the value of Advantech WebAccess Tags.

Advantech WebAccess tags can be IO tags, internal tags or local screen tags. IO tags are connected to PLCs and controllers. The globally available internal tags are Constant, Calculation and Accumulation tags.

Users can use the "open" command to define IO. This includes COM ports, TCP sockets, a command pipeline channel and files. This would be for sophisticated programs, like the email program downloaded from the Internet.

Note- stdio is the most common item that must be replaced when porting Tcl Programs to Advantech WebAccess.

To replace the stdio

gets and puts require user defined IO

GETVAL and SETVAL essentially replace gets and puts. Since there is no standard IO (stdio), if you use puts or gets, you have to create the IO channel. This will affect many Tcl Scripts that you copy from freeware and Internet sites. Tcl Scripts from other applications will work in Advantech WebAccess if you review the script for gets and puts, especially looking for gets and puts to stdio. Defining a text or analog type tag, and replacing the gets and puts with GETVAL and SETVAL will enable these scripts to work in Advantech WebAccess (with appropriate halts in logic to allow data entry). The gets and puts to IO defined by the program should work unchanged in Advantech WebAccess (assuming they are developed for the Windows platform and not UNIX or Mac). We have tested many Tcl scripts from the Internet (e.g. email client) and they have worked with modifications to stdio and command line instructions.

ACTION Commands augment Tcl

Advantech WebAccess has added command functions to enable users to more easily interface with their control system. In fact, most users will only need to use Advantech WebAccess ACTION commands with just a few if-then commands to meet all their needs.

Many ACTION commands will download a file to the client then perform the Tcl command it replaces. Examples include:

SCREXEC replaces source

SCRLOOP replaces source and looping logic

@tag

The $variable notation is still used for script variables. But to evaluate a Advantech WebAccess tag, the @tag notation is used. For more information see Command substitution @

Scripts use *.SCR extension

Traditionally Tcl scripts use the *.TCL extension. Advantech WebAccess uses the *.scr extension


12.3 Tcl Command syntax

12.3 Command syntax

As a scripting language, Tcl has a simple syntax. Either a New Line or a semicolon separates each Tcl command (;). Semicolons allow multiple commands on a single line. Keyword commands can be lower or upper case. ACTION commands are CAPITALIZED.

Tcl Commands have the basic form:

command arg arg arg

Tcl commands consist words separated by spaces. The first word is the name of the command, and the remaining words are arguments to the command. An example is

expr 2000 + 2

This command computes the sum of 2000 and 2 and returns the result, 2002.

In the above example there are four words: expr, 2000, +, and 2. The first word is the name of a command and the other words are arguments to that command.

The expr command uses all arguments together as an arithmetic expression. The result of that expression is a string (i.e. text). In the expr command, the division into words isn't significant: you could just as easily have invoked the same command as expr 2+2000 (two words).

However, for most commands the word structure is important, with each word used for a distinct purpose.

All Built-In Tcl KEYWORD commands return results. If a KEYWORD command has no meaningful result then it returns an empty string as its result. Most ACTION commands do not return a result.


12.3.1 Brackets [ ]

Square brackets execute a nested command. For example, if you want to pass the result of one command as the argument to another, you use this syntax. In this example, the nested command is clock seconds, which gives the current time in seconds.

set a 2

set b [expr $a*16]

SETVAL tag1=[GETVAL tag2]

When a square bracket [ appears in a command, Tcl treats everything between it and the matching end bracket ] as a nested command. Tcl evaluates the nested command and substitutes its result into the enclosing command in place of the bracketed text. In the above example, b = 65536 .

For the example,
SETVAL tag1=[GETVAL tag2]
the value of tag1 is set equal to current value of tag2. Tags2 is read, then passed to SETVAL ACTION command for tag1.

For the example,

set delta [expr "$time2 - $time1"]

the value of local variables time2 and time1 are evaluated as part of an expression.


12.3.2 Quotes " "

Double quotation marks (" ") group words as a single argument to a command. Dollar signs and square brackets are interpreted (i.e. updated or evaluated) inside double quotation marks. When in doubt, use Quotes.

Double-quotes allow you to specify words that contain spaces. For example:

set x 88
set y 11
set z "$x + $y is [expr $x + $y]"

After these three commands are evaluated, variable z will be a text string:

88 + 11 is 99.

Everything between the quotes is passed to the set command as a single word. Command and variable substitutions are performed on the text between the quotes. The quotes themselves are not passed to the command. If the quotes were not present, the set z command would have received 6 arguments, which would have caused an error.


12.3.3 Curly braces { }

Curly braces { } provide another way of grouping information into words. They are different from quotes in that no substitutions are performed on the text between the curly braces:

set z {$x + $y is [expr $x + $y]}

This above example sets variable z to the value "$x + $y is [expr $x + $y]".

Curly braces also group words into a single argument. In this case, however, elements within the braces are not interpreted. Braces can speed up the execution of your code. If a command statement does not update as expected, try switching to Quotes.


12.3.3.1 Braces or Quotes

12.3.3.1 Braces or Quotes or Brackets

Use Curly braces when the argument contains fixed information. ACTION commands normally need only a single argument enclosed in curly braces. Nesting an ACTION command inside another ACTION command requires the use of Square Brackets. Use Quotes to force the evaluation of a local variable. Brackets are also used to enclose expressions.

For the example,
SETVAL {rotatefan103=%ROTATEPLUS 12}
the tag name, the options don't change in the above example.

For the example,
SETVAL "position=%ROTATEPLUS $dx"
the speed of rotation changes as the variable dx changes.

For the example,
SETVAL tag1=[GETVAL tag2]
the value of tag1 is set equal to current value of tag2. Tags2 is read, then passed to SETVAL ACTION command for tag1.

For the example,

set deltat [expr $time2 - $time1]

the value of local variables time2 and time1 are evaluated as part of an expression.

For the example,
set x 1
set y 2

set z "$x + $y is [expr $x + $y]."

the value of local variable z is set to a text string that reads: 1 + 2 is 3.


12.3.4 Backslash \

The backslash (\) is used to quote special characters. For example, \n generates a new line. The backslash also is used to "turn off" the special meanings of the dollar sign, quotation marks, square brackets, and curly braces.


12.3.5 Variables in Tcl Scripts

The set command is used to write and read variables. Tcl creates the variable with the set command. Variables allow you to store values for use later or in other commands. They exit only inside the script and only for as long as the script runs. These script variables exist only inside the script and are not available to Advantech WebAccess displays or tags unless you use the BINDVAR or SETVAL or GETVAL commands to pass the value of the script variable to a Advantech WebAccess TAG (or read the value of the tag into the variable). For example, the following command modifies the variable x to hold the value 73:

set x 73

You don't declare variables in Tcl: a variable is created automatically the first time it is set. Tcl variables don't have types: any variable can hold any value.

To use the value of a variable in a command, use variable substitution as in the following example:

expr $x*3

When a $ appears in a command, Tcl treats the letters and digits following it as a variable name, and substitutes the value of the variable in place of the name. In this example, the actual argument received by the expr command will be 32*3 (assuming that variable x was set as in the previous example). You can use variable substitution in any word of any command, or even multiple times within a word:

set cmd expr

set x 10

$cmd $x*$x

For example, the following set of commands modifies the variable x2 to hold the value of tag4 where tag4 is an IO Tag.

BINDVAR x2 tag4
Set x2 10

SETVAL tag4=10

The set x2 11 is equivalent to SETVAL tag4=11


12.3.6 Command substitution

You can use the result of one command as an argument to another command. This is called command substitution:

For Local variables (i.e. variable used inside scripts) examples are:

set a 2

set b [expr $a*16]

set deltat [expr $time2 - $time1]

In the above a and b are not a tags.  They are local variables used inside a script.

For Tags (i.e. IO Tags, Bock:parameters, constant Tags, Calculation Tags, Accumulation Tags, System Tags, local tags and %DAQ tags) examples are:

S ETVAL tag1=@ tag2

S ETVAL tag1={GETVAL tag2}

S ETVAL tag1=[GETVAL tag2]

SETVAL anatag1=[expr [GETVAL anatag2] * 10]

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL tag2] ]

set deltat [expr [GETVAL tag1]+[GETVAL tag2] ]

In the above example, Tag1, tag2, anatag1, anatag2 are all Tags. deltat is a local variable.

When a square bracket [ appears in a command, Tcl treats everything between it and the matching end bracket ] as a single command. Tcl evaluates the nested command and substitutes its result into the enclosing command in place of the bracketed text.

Quotes " " also force command substitution.

See 12.3.3.1 Braces or Quotes or Brackets

and 12.10 Example Scripts


12.3.7 $

Description: Supplies value of a script variable. This is a TCL language command. Used to return the value of script variable. Analogous to GETVAL and @, but applied to variables declared inside the script.

Syntax: $variable

Argument: variable declared within a script analog, digital or text type

Returns: Analog, digital or text value of a declared variable within a script

Description: Contents of a script variable.

See Also: @, GETVAL, SET

Examples: set dx 5

SETVAL "x=%LOOPPLUS $dx"


12.4 ACTION commands

ACTION commands are specific to Advantech WebAccess and address the needs of scripts to interact with real time data and user. ACTION commands are similar to pushbutton keymacros. For example, Alarm Acknowledge, GO TO a Graphic Display, Set a Value.

ACTION commands enhance the standard Tcl, VB and JAVA script commands. ACTION commands are CAPITALIZED. The built-in Tcl, VBScript and JScript commands are usually lower case.

The options to ACTION commands are strings (i.e. text). The major difference in using Action commands in Tcl, JScript and VB script are the differences in how strings are handled by the three script languages.

  • Tcl assumes everything is a string, so string delimiters are needed only if you have blank spaces. Tcl has an assortment of string delimiters.

  • JScript and VB script use "double quotes" for string delimiters. Otherwise, JScript and VB script will interpret your string as a script variable.

  • JScript requires the (); parentheses for functions and a semi-colon to terminate most functions.

The most common usage is to pass a literal string to an Action Command directly.

Tcl scripts uses delimiters only if there are blank spaces in the option.

ACTION option

#TCL

GOTODAQ GRAPH=main.bgr

SETVAL {rotatefan102=%LOOPPLUS 36}

JScript encloses options in parenthesis, double quotes and terminates with semicolon. ACTION("option");

// JScript

GOTODAQ("GRAPH=main.bgr");

SETVAL("rotatefan102=%LOOPPLUS 36");

VB Script encloses options in double quotes.

ACTION "option"

Rem VB Script

GOTODAQ "GRAPH=main.bgr"

SETVAL "rotatefan102=%LOOPPLUS 36"

From a programming perspective, the ACTION commands will also evaluate a script variable to get the string needed for an option:

Tcl: ACTION $variable

#TCL

set string1 "GRAPH=main.bgr"

GOTODAQ $string1

JScript: ACTION(variable);

// JScript

var string1 = "GRAPH=main.bgr";

GOTODAQ(string1);

VB Script: ACTION variable

Rem VB Script

Dim string1

string1 = "GRAPH=main.bgr"

GOTODAQ string1

Regarding tags, ACTION commands will also evaluate a tag to get the string needed for an option using the @ sign.

Tcl: ACTION @tagname

#TCL - records contents of TEXTAG1 to Action Log

LOGACT @TEXTTAG1

JScript: ACTION("@tagname");

// JScript - records contents of TEXTAG1 to Action Log

LOGACT("@TEXTTAG1");

VB Script: ACTION "@tagname"

Rem VB Script - records contents of TEXTAG1 to Action Log

LOGACT "@TEXTAG1"

Note about math (use GETVAL not @):

Math is part of the script language itself. ACTION commands do not have imbedded math. If you are using math, then you will have to use GETVAL instead of @, because @ can't be interpreted by Tcl, JScript or VB Script engines. For example to set a tag to 1/2 the value of another:

# tcl

SETVAL AO101=[expr [GETVAL AO102] * 0.5]

// JScript

var value1

value1 = GETVAL("AO102") * 0.5;

SETVAL("AO101=" + value1);

Rem VB Script

Dim value1

value1 = GETVAL("AO102") * 0.5

SETVAL "AO101=" & value1


12.4.1 @

Description: Returns contents of a tag. Works only with ACTION commands. Mostly commonly used to pass the value of a tag to another command. @ is similar to GETVAL.

Syntax:

Tcl: ACTION Command @tagname

JScript: ACTION Command("@tagname");

VB Script: ACTION Command "@tagname"

Argument: tagname

Returns: Value of an analog, digital or text IO tag, Constant Point Tag, Calculation Tag, Accumulation Tag, local Screen Tag or Daq Tag.

See Also: GETVAL

The @ is a shortcut for GETVAL used with ACTION commands only. (Hint - If the command selected from the script dialog box is in CAPITALS, then @ will work.)

The @ does not work with tcl, JScript or VB Script keywords alone (i.e. built-in tcl commands like expr). The @ must be combined with an ACTION command if used with a tcl, JScript or VB Script. (Hint - If the command selected from the script dialog box is in lower-case, you must use [GETVAL ].)

Examples:

# tcl

LOGACT @Textag1

SETVAL AO101=@AO102

SETVAL {tag1=%ROTATEPLUS @speed}

// JScript

LOGACT("@Textag1");

SETVAL("AO101=@AO102");

Rem VB Script

LOGACT "@Textag1"

SETVAL "AO101=@AO102"

See 12.10.1 Transfer the value of a tag to another tag

12.10.5 Perform math on Tags

Note about math (use GETVAL not @):

If you are using math, then you will have to use GETVAL instead of @, because @ can't be interpreted by Tcl, JScript or VB Script. The math is part of the script language. For example to Set a tag to 1/2 the value of another:

# tcl

SETVAL AO101=[expr [GETVAL AO102] * 0.5]

// JScript

var value1

value1 = GETVAL("AO102") * 0.5;

SETVAL("AO101=" + value1);

Rem VB Script

Dim value1

value1 = GETVAL("AO102") * 0.5

SETVAL "AO101=" & value1


12.4.1 ALMACK

12.4.2 ALMACK

Description: Acknowledge all alarms.

Syntax:

Tcl & VB: ALMACK

JScript: ALMACK();

Arguments: none

Returns: none

See Also: ALMACKS

ALMACK will acknowledge the alarm state for all tags on all SCADA nodes.

Examples: ALMACK


12.4.2 ALMACKS

Description: Acknowledge alarms for tag specified or multiple tags described in array.

Syntax:

Tcl & VB: ALMACKS "tagname 0 0"

ALMACKS "arraytag first last"

ALMACKS stringvariable

JScript : ALMACKS("tagname 0 0");

ALMACKS("arraytag first last");

ALMACKS(stringvariable);

Arguments: string containing tagname, tag containing tag name, array tag containing list of tag names, start element in array, last element in array

Returns: none

See Also: ALMACK

ALMACKS will acknowledge alarm state of specified tag(s). Must use dummy start and end numbers even if only one tag is specified. Use @ if tag contains name of tag(s). Multiple tags can be acknowledged if they are listed in an array text-type tag or variable.

Examples:

#tcl - ack tag ZT-184

ALMACKS "ZT-184 0 0"

#tcl example 2 - ack tag ZT-187

SETVAL text50=ZT-187

ALMACKS "@text50 0 0"

#tcl example 3 - ack first tag in alarm summary

ALMACKS "@%TALMLAST 0 0"

#example 4 - ack first 8 alarms on alarm summary page

#ALMACKS "@%TALMSUM4 0 7"

// JScript - almacksZT184.js

ALMACKS("ZT-184 0 0");  // Must use dummy start and end numbers even if only one tag is specified.

Rem - VB Script - almacksZT184

ALMACKS "ZT-184 0 0"

Rem - VB Script - Alternative method

Dim tagname1

tagname1 = "ZT-184"

BWSPOOL "tagname1 =" & tagname1

ALMACKS tagname1 & " 0 0"


12.4.3 BINDVAR

Description: Binds value of tag or tag field to a script variable. Tcl only.

Syntax: BINDVAR scriptvariable tagname

BINDVAR scriptvariable tagname.field

BINDVAR scriptvariable blockname:parameter.field

Arguments: variable name, tag name

Returns: Analog, digital or text value of a declared tag

See Also: @, GETVAL, SET, SETVAL, variable, global

Examples: BINDVAR value tag4

                                BINDVAR hilimit tag4.outph

Used in Tcl scripts only. Binds the Value of a Tag, DaqTag, or Screen Tag to a script variable. A tag can be an IO Tag, an IO Block, Calculation, Accumulation or Constant Tag. BINDVAR is used to return the value of Tag whenever the script variable is used. Similar in use to GETVAL and @. Used to replace having to type full tagname or tagname.field in a script. Tags include IO Tags, Blocks, DaqTags, Screen Tags, constant, calculation and accumulation tags, and analog, digital or text type.


12.4.3.1 BWSPOOL

Description: Sends a text message from a script to the BWSPOOL.EXE message window.

Syntax:

Tcl: BWSPOOL "textstring"

BWSPOOL $variable

BWSPOOL {textstring1 textstring2 $variable1 $variable2}

JScript : BWSPOOL("textstring");

BWSPOOL(variable);

BWSPOOL("textstring1" + " textstring2" + variable1 + variable2);

VB Script: BWSPOOL "textstring"

BWSPOOL variable

BWSPOOL "textstring1" & "textstring2" & variable1 & variable2

Arguments: Textstring

Returns: Sends a text to the BWSPOOL.EXE message window.

See Also: catch

BWSPOOL can be used to send text messages from a script to a message spooler window (BWSPOOL.exe). It can be inserted into a script to send a simple text message or the intermentiate value of a stirng.

Use BWSPOOL with a "catch command" to trap errors. Use a "calling" script to call the script to be debugged as in the example below. The "calling script" catches any errors returned by the script you want debugged. To see this error, you should use the catch (Tcl), On Error (VB Script), or try catch (JScript) commands. Note that ACTION commands do not return errors other than syntax.

Warning - if an error occurs before the BWSPOOL command, then no message is sent to the message spooler window because the script fails and BWSPOOL never runs.

BWSPOOL.exe can be used to debug both local scripts (screen scripts) and global scripts. BWSPOOL.exe resides on both the Clients and SCADA nodes. BWSPOOL.exe can receive messages locally (either from VIEW, ViewDAQ or the SCADA node kernel. Remote Clients can only debug local scripts running in a BGR in the local web browser (i.e. clients can not debug global scripts running on a remote SCADA node).

BWSPOOL.exe can be found at

drive:\WebAccess\Client\bwspool.exe
drive:\WebAccess\Node\bwspool.exe

The BWSPOOL.exe must be run by the user (i.e. by double-clicking on it or Right click -> Open) or called using the WINEXEC.

This example wants to debug a script names arctan.scr. Two BWSPOOL commands are inserted, the first to make sure the script runs, then second to see if it runs to completion. The name of the script is also included in the message so we know where the message is coming from.

arctan.scr

BWSPOOL {- arctan.scr step 1 -}

set x [expr [GETVAL slope]/100]

set y [expr atan($x)]

SETVAL arctan=$y

SETVAL degrees=[expr $y/0.0175]

# SETVAL degrees=[expr $y/0]

SETVAL radians=$y

SETVAL radians=$ynot

SETVAL degrees=[expr $y*180/3.14159265]

BWSPOOL {- arctan.scr last line -}

To get the most out of this tcl script, we use the catch command to catch any error generate by the arctan.scr. We do this by using a calling script to call arctan.scr. The example uses a script named Debugarct.scr to call arctan and catch any error messages. Note that both scripts can send messages to the message spooler (BWSPOOL.exe).

Debugarct.scr

catch {SCREXEC arctan.scr} err

BWSPOOL [concat debugactan.scr $err {- -}]

The output of the BWSPOOL.exe after several runs or catching and correcting errors looks like:

Example error messages returned by catch include:

invalid command name "SETVALUE"

divide by zero

binding tag invalid

can't read "ynot": no such variable.

Examples:

# Tcl

BWSPOOL {- arctan.scr step 1 -}

BWSPOOL $err

BWSPOOL [concat debugactan.scr $err {- -}]

BWSPOOL "[GETVAL TestScriptname] ... File not found."

BWSPOOL "\r\n" # print carriage return and line feed

// JScript

BWSPOOL("Try to run ");

BWSPOOL(filespec);

BWSPOOL("\r\n"); // print carriage return and line feed

Rem VB Script

BWSPOOL "Error # " & CStr(Err.Number) & " " & Err.Description

rem print carriage return and line feed

BWSPOOL VbCrLf

BWSPOOL "No reported errors "

BWSPOOL filespec

BWSPOOL VbCrLf

Debug Tcl Script Example:

# DebugTclScript.scr - a Tcl script

# Open Message spooler window

WINEXEC BWSPOOL.EXE

# Exit if it calls itself, it will loop endlessly

# trim blank characters

set scriptname [string trim [GETVAL TestScriptname]]

BWSPOOL "Requested script is "

BWSPOOL $scriptname

BWSPOOL "\r\n" #print Carriage return and line feed

if {$scriptname == "DebugTclScript.scr"} then {

BWSPOOL "don't call itself. Will create an endless loop."

return

}

# Run the script put errors in err

catch "SCREXEC [GETVAL TestScriptname]" err

if {[file exists [GETVAL TestScriptname]]} then {

#figure out if blank - No errors

set msglength [string length $err]

if {$msglength <= 0} then {

set err "No reported errors."

}

BWSPOOL $err

} else {

BWSPOOL "[GETVAL TestScriptname] ... File not found."

}

BWSPOOL "\r\n"

Debug JScript Example:

// DebugJScript.js - a JScript

// open the spooler window to print the file

WINEXEC("BWSPOOL.EXE");

BWSPOOL("\r\n"); //print a carriage return and line feed

var e, fso, f, s, filespec, ForReading;

ForReading = 1, s = "", e = "No reported errors.";

// get the name of the file to run from a text tag

filespec = GETVAL("TestScriptname");

// Run the script and catch any errors.

try {

SCREXEC(filespec);

BWSPOOL("Try to run ");

BWSPOOL(filespec);

BWSPOOL("\r\n");

// Test if it exists

s = filespec;

fso = new ActiveXObject("Scripting.FileSystemObject");

if (fso.FileExists(filespec)) {

s += " found.";

}

else

{

s += " file not found.";

e = " file not found.";

}

BWSPOOL(s);

BWSPOOL("\r\n");

} catch (e) {

// print any errors

BWSPOOL(e);

} finally {

}

if (e == "No reported errors.")

 BWSPOOL(e);

Debug VB Script Example:

Rem DebugVBScript.vbs - a VB Script

Rem to print errors of other VB scripts.

Dim fso, filespec, msg

Set fso = CreateObject("Scripting.FileSystemObject")

filespec = GETVAL("TestScriptName")

On Error Resume Next

SCREXEC filespec

WINEXEC "BWSPOOL.EXE"

If (fso.FileExists(filespec)) Then

msg = filespec & " exists."

BWSPOOL msg

BWSPOOL VbCrLf

If Err.Number <> 0 Then

rem print error number and description

BWSPOOL "Error # " & CStr(Err.Number) & " " & Err.Description

SETVAL "ERROR=" & CStr(Err.Number) & " " & Err.Description

rem print carriage return and line feed

BWSPOOL VbCrLf

Else

BWSPOOL "No reported errors "

BWSPOOL filespec

BWSPOOL VbCrLf

End If

Else

msg = filespec & " doesn't exist."

rem print carriage return and line feed

BWSPOOL msg

BWSPOOL VbCrLf

End If

Print a file - Tcl Script Example 2:

# Tcl Script - viewFile.scr

WINEXEC bwspool.exe

set filename1 [GETVAL texttag]

BWSPOOL "File requested is: "

BWSPOOL $filename1

BWSPOOL "\r\n"

set linefromfile "ViewScript initialized."

# Try not to create the file if it does not exist. User r option. Not a+

set fileid [open $filename1 r]

set returncount 0

seek $fileid 0 start

while {$returncount != -1} {

set returncount [gets $fileid linefromfile]

BWSPOOL $linefromfile

BWSPOOL "\r\n"

}

close $fileid

Print File - JScript Example 2:

/* ViewFile.js - a JScript

open the spooler window to print the file */

WINEXEC("BWSPOOL.EXE");

BWSPOOL("\r\n"); //print a carriage return and line feed

var fso, f, s, filespec, ForReading;

ForReading = 1, s = "";

// get the name of the file to read from a text tag

filespec = GETVAL("TestScriptname");

BWSPOOL("requested file is: ");

BWSPOOL(filespec);

BWSPOOL("\r\n");

// open the file and read each line

fso = new ActiveXObject("Scripting.FileSystemObject");

f = fso.OpenTextFile(filespec, ForReading, false);

while (!f.AtEndOfStream)

{

s = f.ReadLine( );

BWSPOOL(s);

BWSPOOL("\r\n");

}

f.Close( );

Print File - VB Script example 2:

Rem - ViewFile.vbs - reads an entire text file.

Dim fso2, theFile, retstring

filename2 = GETVAL("Texttag")

WINEXEC "BWSPOOL.EXE"

BWSPOOL "Requested file is " & filename2 & VbCrLf

Const ForReading = 1

Set fso2 = CreateObject("Scripting.FileSystemObject")

Set theFile = fso2.OpenTextFile(filename2, ForReading, False)

Do While theFile.AtEndOfStream <> True

retstring = theFile.ReadLine

BWSPOOL retstring & VbCrLf

Loop

BWSPOOL VbCrLf

theFile.Close


12.4.4.1 CLOSETOP

Description: Close topmost Display groups and topmost ViewDAQs opened with <DSPPOPUPTOP> key macro and DSPPOPUPTOP Action command. Leaves other Display Groups that are not opened as Topmost open.

Syntax:

Tcl: CLOSETOP

JScript: CLOSETOP();

VB Script: CLOSETOP

Arguments: none

See Also: <CLOSETOP>, <DSPPOPUPTOP>. DSPPOPUPTOP, <ALT_F4>, >,<CLOSEDEP>, <CLOSEALL>, <CLOSEDSP>,<CLOSEOTH>, CLOSEURL, DSPPOPUP, DSPPOPUPDEP, DSPNEW, GOTODAQ

Example: CLOSETOP

CLOSETOP will close the Close topmost Display groups and topmost ViewDAQs opened with <DSPPOPUPTOP> key macro and DSPPOPUPTOP Action command.

This Action command is available on VIEW clients and SCADA nodes running ViewDAQ.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


12.4.4.2 CLOSEURL

12.4.4 CLOSEURL(Not supported by WinCE Edition(WebView &WebLink ))

Description: Closes the web browser popup window "named" opened using GOTO URL with the "named" target option.

Syntax:

Tcl: CLOSEURL targetname

JScript: CLOSEURL("targetname");

VB Script: CLOSEURL "targetname"

Arguments: target name

See Also: GOTO URL, <CLOSEURL>

Example:

# Tcl

CLOSEURL target1

CLOSEURL targetname will close a Web Browser window opened with the "target name" option of the <GOTO>URL keymacro ( or GOTODAQ URL Action command in a script). CLOSEURL will close all Web Browser windows with the same name. If more than one window is opened using the same target name, then all those browser windows will be closed.

For example, if a browser connection is opened with the following screen script:

GOTO URL=http://67.94.27.175/^target=pop1

the browser window could be closed with the following screen script:

CLOSEURL pop1


12.4.5 DAQPOP

Description: Calls display on top of current display stack, the display last "pushed".

Syntax:

Tcl: DAQPOP

JScript: DAQPOP();

VB Script: DAQPOP

Arguments: none

Returns: none

See Also: DAQPREV, DAQPUSH, HISFORW, HISBACK

Example: DAQPOP

DAQPOP changes the current display to the display last saved using the DAQPUSH command. DAQPUSH and DAQPOP commands are used together to temporarily change displays, then return to the original display. A DAQPUSH command must precede a DAQPOP. Used in screen script. Not supported by global scripts. These commands will interact with similar <DAQPOP> and <DAQPUSH> keymacros.


12.4.6 DAQPREV

Description: Switches to the previous display.

Syntax:

Tcl: DAQPREV

JScript: DAQPREV();

VB Script: DAQPREV

Arguments: none

See Also: DAQPUSH, DAQPOP, <HISBACK>, <HISFORW>

Examples: DAQPREV

DAQPREV changes the display to the previous display.


12.4.7 DAQPUSH

Description: Pushes name of current display onto stack.

Syntax:

Tcl: DAQPUSH

JScript: DAQPUSH();

VB Script: DAQPUSH

Arguments: none

Returns: none

See Also: DAQPREV, DAQPUSH, DAQPOP

Examples: DAQPUSH

DAQPUSH remembers the name of the current display for use with a DAQPOP command. These commands are used together to temporarily change displays, then return to the original display. A DAQPUSH command must precede a DAQPOP. Used in screen script. Not supported by global scripts. These commands will interact with similar <DAQPOP> and <DAQPUSH> keymacros.


12.4.8 DDEEXECUTE

12.4.8 DDEEXECUTE(Not supported by WinCE Edition(WebView &WebLink ))

Description: Send a command string to a DDE server application

Syntax:

Tcl: DDEEXECUTE "Server|topic!item=command string"

JScript: DDEEXECUTE("Server|topic!item=command string");

VB Script: DDEEXECUTE "Server|topic!item=command string"

Arguments: DDE Servername, DDE topic name, command string

Returns: none

See Also: DDEREQUEST, DDEPOKE

Sends a command string from to the DDE-aware application.. You must know the DDESERVER name, the Topic Name and the Item name used in the DDE Server application. The DDE server application must be running. The command string is very dependent on the DDE application you are communicating .

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test or train or simulate with DDE.


12.4.9 DDEPOKE

12.4.9 DDEPOKE(Not supported by WinCE Edition(WebView &WebLink ))

Description: Send value to a DDE server application

Syntax:

Tcl: DDEPOKE "Server|topic!item=value"

JScript: DDEPOKE("Server|topic!item=value");

VB Script: DDEPOKE "Server|topic!item=value"

Arguments: DDE Server name, DDE topic name, DDE item name, value

Returns: none

See Also: DDEREQUEST, DDEEXECUTE

Examples: # Example 1 - Send value of Text50 to EXCEL
# spreadsheet cell named REALDATA

# EXCEL must be running and a single Workbook opened.

set x [GETVAL text50]

DDEPOKE "EXCEL|Sheet1!REALDATA=$x"

                                #Example 2 - Send value of tag analog1 to EXCEL

# WORKBOOK NAMED Book1.xls, cell named REALDATA

                                set x [GETVAL analog1]

DDEPOKE "EXCEL|Book1.xls:Sheet1!REMOTESP=$x"

The DDEPOKE command sends data to a DDE application. You must know the DDESERVER name, the Topic Name and the Item name used in the DDE Server application. The DDE server application must be running. If the DDE server is not available, the tag's value will not be changed.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test or train or simulate with DDE.

Excel example - send data to Excel

DDEPOKE "EXCEL|sheet!cellname=value"

DDEPOKE "EXCEL|Book.xls:sheet!cellname=value"

Server is EXCEL

Topic is the name of the sheet. Default for Sheet1 is Sheet1. If you rename the sheet, the topic must match. If you have only one workbook open, then only the sheet name is needed.

If you have more than one workbook then item is in form |Book.xls:Sheetname!

Item is the name of the cell. You must rename the cell in EXCEL for this to work. for example, B10 won't work, but if you rename B10 to REALDATA, it will work fine.


12.4.10 DDEREQUEST

12.4.10 DDEREQUEST(Not supported by WinCE Edition(WebView &WebLink ))

Description: Requests the value of item from a DDE-aware application and sends the data to the Advantech WebAccess tag.

Syntax:

Tcl: DDEREQUEST "tag=Server|topic!item"

JScript: DDEREQUEST("tag=Server|topic!item");

VB Script: DDEREQUEST "tag=Server|topic!item"

Arguments: tagname, DDE Server name, DDE topic name, DDE item name, value

Returns: value of item to tag

See Also: DDEPOKE, DDEEXECUTE

Examples: # TCL Example 1 - Get value from EXCEL spreadsheet

# from cell named REALSP

# EXCEL must be running and a single Workbook opened.

DDEREQUEST "text70=EXCEL|Sheet1!REMOTESP"

# TCL Example 2 Get value from EXCEL spreadsheet

# from cell named REALSP

# WORKBOOK NAMED Book1.xls

DDEREQUEST "text70=EXCEL|Book1.xls:Sheet1!REMOTESP"

The DDEREQUEST command gets data from a DDE application. You must know the DDESERVER name, the Topic Name and the Item name used in the DDE Server application. The DDE server application must be running.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note The DDE Server and DDE client is disabled without the Hardkey. You cannot test or train or simulate with DDE.

Excel example - read data from spreadsheet

DDEREQUEST "tagname=EXCEL|Sheet!cellname"

DDDEREQUEST "tagname=EXCEL|Book.xls:Sheet!cellname"

Server is EXCEL. EXCEL must be running.

Topic is the name of the sheet. Default for Sheet1 is Sheet1. If you rename the sheet, the topic must match. If you have only one workbook open, then only the sheet name is needed.

If you have more than one workbook then item is in form |Book.xls:Sheetname!

Item is the name of the cell. You must rename the cell in EXCEL for this to work. for example, B10 won't work, but if you rename B10 to REALSP, it will work fine.


12.4.11 DSPNEW

Description: Closes the current ViewDAQ display window, task or display group and pops up a new display window, task or display group.

Syntax:

Tcl: DSPNEW displaygroupname.dsp

JScript: DSPNEW("displaygroupname.dsp");

VB Script: DSPNEW "displaygroupname.dsp"

Arguments: display group name with dsp file extension (no blank spaces allowed in file name).

Returns: none

See Also: DSPPOPUP, DSPPOPUPDEP, DSPPOPUPTOP

Examples:

#tcl
DSPNEW main.dsp

//JScript

DSPNEW("main.dsp");

Display Groups are a Windows Management feature allowing users to open multiple windows of Advantech WebAccess with a single button click.

DSPNEW closes the current ViewDAQ display windows, task or group and pops up a new display group. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. Each display group is considered a separate task by the Windows operating system. The default ViewDAQ display group is named "main.dsp". An incorrect or invalid display group name will result in default display group (main.dsp).

This ACTION command is available to local scripts (i.e. screen scripts) on web browser client VIEW and ViewDAQ running on a SCADA node. It is not supported for use in Global Scripts.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


12.4.12 DSPPOPUP

Description: Pops up a new display window or display group without closing the current display group(s) in ViewDAQ.

Syntax:

Tcl: DSPPOPUP displaygroupname.dsp

JScript: DSPPOPUP("displaygroupname.dsp");

VB Script: DSPPOPUP "displaygroupname.dsp"

Arguments: display group name with dsp file extension (no blank spaces allowed in file name).

Returns: none

See Also: DSPPOPUPDEP, DSPNEW, DSPPOPUPTOP

Examples: # Tcl - Popup a Display window named dual

DSPPOPUP dual.dsp

// JScript

DSPPOPUP("main.dsp");

Pops up a new display group without closing the current ViewDAQ display group. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. The default ViewDAQ display group is named "main". An incorrect or invalid display group name will result in default display group (main.dsp).

This ACTION command is available to screen scripts on web browser client VIEW and ViewDAQ running on a SCADA node.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


12.4.13 DSPPOPUPDEP

Description: Pops up a new display window or display group without closing the current display group(s) in ViewDAQ. The new Display window or group is Dependant on the calling display group, always on top of the parent and closing when the parent closes.

Syntax:

Tcl: DSPPOPUPDEP displaygroupname.dsp

JScript: DSPPOPUPDEP("displaygroupname.dsp");

VB Script: DSPPOPUPDEP "displaygroupname.dsp"

Arguments: display group name with dsp file extension (no blank spaces allowed in file name).

Returns: none

See Also: DSPPOPUP, DSPNEW, DSPPOPUPTOP

Examples: # Example 1 - Popup a Display window named small2 (the default display group)

                                DSPPOPUPDEP small2.dsp

DSPPOPUPDEP pops up a "child" display window or display group without closing the current ViewDAQ display window. The new display group will close when the parent window is closed. This is considered to be "dependant" on calling display window. The dependant window is always on top of its parent. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. The default ViewDAQ display group is named "main". An incorrect or invalid display group name will result in default display group (main.dsp).

This ACTION command is available to screen scripts on web browser client VIEW and ViewDAQ running on a SCADA node.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


12.4.13.1 DSPPOPUPTOP

Description: Popup ViewDAQs in a display group as the topmost window. These ViewDAQs will stay above all non-topmost windows, even when these ViewDAQs are deactivated (i.e. the mouse clicks on another window).

Syntax:

Tcl: DSPPOPUPTOP displaygroupname.dsp

JScript: DSPPOPUPTOP("displaygroupname.dsp");

VB Script: DSPPOPUPTOP "displaygroupname.dsp"

Arguments: display group name with dsp file extension (no blank spaces allowed in file name)

See Also: CLOSETOP, DSPPOPUP. DSPPOPUPDEP, DSPNEW, <CLOSETOP>, <DSPPOPUP>, <DSPPOPUPTOP>, <ALT_F4>, <DSPNEW>
<CLOSEALL>,<CLOSECUR>,<CLOSEDEP>,<CLOSEDSP>,
<CLOSEOTH>,<CLOSEURL>,<GOTO>URL

Examples: # Tcl - Popup a Display window named small3

DSPPOPUPTOP small3.dsp

Pops up a new display window or display group as the topmost window without closing the current ViewDAQ display window. These ViewDAQs will stay above all non-topmost windows, even when these ViewDAQs are deactivated (i.e. the mouse clicks on another window). The new display group will close when the parent window is closed. This is considered to be "dependant" on calling display window. The dependant window is always on top of its parent. A display group consists of multiple ViewDAQ windows (i.e. as if ViewDAQ were started from taskbar menu multiple times). The windows will appear in the size and positioned saved using the Display Group commands in ViewDAQ. The default ViewDAQ display group is named "main". An incorrect or invalid display group name will result in default display group (main.dsp).

This ACTION command is available to screen scripts on web browser client VIEW and ViewDAQ running on a SCADA node.

VIEW is the web browser version of the Advantech WebAccess client.

ViewDAQ is a non-web browser version of VIEW that runs on a local SCADA node intended for standalone architecture and control room type users.

Display Groups allow multiple display windows to be opened with a single mouse click. Users can save multiple windows, size, position and default display as a display group, then re-open this group from a menu list or pushbutton. Other features of display groups include hide menu bar, no resize and exit password level to close Advantech WebAccess. Display Groups are a Windows management tool.


12.4.14 GETVAL

Description: Gets value of a tag. Mostly commonly used to pass the value of a tag to script variable or to test the value of a tag in a script.

Syntax:

tcl GETVAL tagname

GETVAL tagname.field

JScript GETVAL("tagname");

GETVAL("tagname.field");

VB Script GETVAL "tagname"

GETVAL "tagname.field"

Argument: tagname and optionally .tagfield of an IO tag, Local Screen Tag or DaqTag.

Returns: Value of the analog, digital or text tag.

See Also: @, SETVAL

Gets the value of a Tag. A tag can be any IO tag, Constant Point, Calculation Point, Accumulation Point, DAQ Tag or screen tag (local tag). GETVAL essentially replaces the standard input in Tcl, JScript and VB Script languages. Similar to @tag used with ACTION commands.

Examples:

# Tcl - set script variable x to value of TI101

set x [GETVAL TI101]

# tcl - set AO101 to 1/2 of AO102

SETVAL AO101=[expr [GETVAL AO102] * 0.5]

# tcl - rotate fan if tag FANSTART is on

if {[GETVAL FAN_START102] != 0} then {

SETVAL {rotatefan102=%LOOPPLUS 36}

}

// JScript - set script variable x to value of TI101

var x

x = GETVAL("TI101");

// JScript - set AO101 to 1/2 of AO102

var value1

value1 = GETVAL("AO102") * 0.5;

SETVAL("AO101=" + value1);

// JScript - rotate fan if tag FANSTART is on

if (GETVAL("FAN_START101") == 1) {

SETVAL("rotatefan101=%ROTATEPLUS 16");

}

Rem VB Script - set script variable x to value of TI101

Dim x

x = GETVAL("TI101")

Rem VB Script - set AO101 to 1/2 of AO102

Dim value1

value1 = GETVAL("AO102") * 0.5

SETVAL "AO101=" & value1

Rem VB Script - rotate fan if tag FANSTART is on

If GETVAL("FAN_START103") = 1 Then

SETVAL "rotatefan103=%LOOPMINUS 12"

E nd If

# tcl - set script variable xsetpoint to value of TIC101:SP

set xsetpoint [GETVAL TIC101:SP]

# tcl - set script variable xalarm to Hi Alarm limit of TIC101:MEAS

set xalarm [GETVAL TIC101:MEAS.ALMHI]


12.4.14.1 GETVAL from other VIEWS or ViewDAQs

12.4.14.1 GETVAL from other VIEWS/ViewDAQs

Description: GETVAL of tags in other Views/ViewDAQs (on the same computer). Although this enhancement can be applied to any tags, it makes sense only to use with local tags or DaqTags. The application is when multiple VIEW web browser windows are opened on the same, Display groups with multiple ViewDAQs and View in Graph (where Draw Video is used to create a window within a BGR to display another occurrence of VIEW).

Syntax:

Tcl: GETVAL “tagname,dest=value”

JScript: GETVAL(“tagname,dest=value”);

VB Script: GETVAL “tagname,dest=value”

Arguments: tagname of analog, digital or text type tag, a value, options, arguments for options.

dest is name of the dspname:daqname

To GETVAL to tagname in all Views/ViewDAQs with dspname as the display group name and daqname as the ViewDAQ name, set dest as dspname:daqname.

To GETVAL to tagname in all Views/ViewDAQs with dspname as the display group name, set dest as dspname.

To GETVAL to tagname in all Views/ViewDAQs with daqname as the ViewDAQ name, set dest as :daqname.

To GETVAL to tagname in all Views/ViewDAQs, set dest as an empty string.

To GETVAL to tagname in all View in Graph with name as the name of Video Display, set dest as daq#name.

To GETVAL to tagname in View in View/ViewDAQ, set dest as daq#.


12.4.15 GOTO

Description: (tcl only). Changes display in current window. Same as GOTOTAG. Not supported by JScript or VBScript.

Syntax: GOTO standard_display
GOTO display_type=argument
GOTO option=argument

Argument: display name, number, tagname, or URL

Returns: none

See Also: GOTODAQ, GOTOTAG, GOTO@TAG, GOTOALMGRA

Examples: # example 1

GOTO ALMSUMMARY

#example 2 - change to main.bgr

GOTO GRAPH=main.bgr

GOTO changes the display in the current display window. It will work in both Browser and ViewDAQ (local) clients.

To implement VBScript and JScript, the ACTION Command GOTO was changed to GOTODAQ. GOTO is still supported in Tcl Scripts only. GOTODAQ is recommended.


12.4.15.1 GOTO ACTIONLOG

Description: Changes display Action Log.

Syntax: GOTO ACTIONLOG

Argument:

See Also: Restricted User and General User Security

The Logged in User's security access may prevent this command from changing the display


12.4.15.2 GOTO ALARMLOG

Description: Changes display Alarm Log.

Syntax: GOTO GRAPH=display_name.bgr

Argument:

See Also: GOTO ALMSUMMARY, GOTO ALMGROUP

The Logged in User's security access may prevent this command from changing the display


12.4.15.3 GOTO ALMGRAPH

Description: Changes display to user built graphic display (*.bgr) assigned as the ALARM GRAPHIC for the tag. The Tag must be in alarm for this command to execute/

Syntax: GOTO ALMGRAPH=tagname

Argument: tagname

See Also: GOTO@TAG

Examples: GOTO ALMGRAPH=ZT-101

Changes the display in the current display window to a user built graphic assigned as the ALARM Graphic for this tag. The Tag must be in Alarm for this function to execute. The Alarm Graphic is defined for each Tag in the Project Manager. The ALARM Graphic is intended to help operators quickly identify the cause of alarms.


12.4.15.4 GOTO ALMGROUP

Description: Changes display to Alarm Group Display

Syntax: GOTO ALMGROUP=group_number

Argument: display_name.bgr

See Also: GOTO@TAG, GOTO ALMSUMMARY, GOTO ALARMLOG

Examples: GOTO ALMGROUP=1

Changes the display in the current display window to the Alarm Group Display for the alarm group number. Alarm Group is a Template Display of Tags and there alarm state. Alarm Groups are configured in the Project Manager. Alarm Groups are most commonly used to disable or enable alarming for a large number of tags. For example, when a unit is shutdown for service, an alarm group allows all alarms for that unit to be disabled.


12.4.15.5 GOTO ALMSUMMARY

Description: Changes display to Alarm Summary Display

Syntax: GOTO ALMSUMMARY

Argument:

See Also: GOTO@TAG, GOTO ALMSUMMARY, GOTO ALARMLOG

Examples: GOTO ALMSUMMARY

Changes the display in the current display window to the Alarm Summary. The Alarm SUMMARY is a Template Display showing Tags currently in the alarm state.


12.4.15.6 GOTO BLOCKDTL

Description: Changes display to Block Detail display for the referenced tag.

Syntax: GOTO BLOCKDTL=tagname

Argument: tagname

See Also: GOTO@TAG

Examples: GOTO BLOCKDTL=TIC101

The Block Detail display name must match the block type (blocktype.bd1). The Block Detail Display is a user built Template Display. The Block Detail allows many tags to be viewed using this one Template. Some Drivers come with default Blocks and associated Block Detail display. This command is ignored for single point type tags.


12.4.15.7 GOTO DLOGTRD

12.4.15.7 GOTO DLOGTRD= group_number

Description: Changes display to Data Log Trend Display

Syntax: GOTO DLOGTRD=group_number

Argument: number

See Also: GOTO DLOGXYP, GOTO REALTRD

Examples: GOTO DLOGTRD=1

Changes the display in the current display window to a DATA LOG TREND Display for the group number specified. DATA LOG trends are HISTORICAL Trends. Up to 12 Tags can be added or removed without loosing historical data for other tags. DATA LOGGING is enabled for each tag in the Project Manager. A DATA LOG TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.15.8 GOTO DLOGXYP

12.4.15.8 GOTO DLOGXYP= group_number

Description: Changes display to Data Log Trend Display in an XY Plot format

Syntax: GOTO DLOGXYP=group_number

Argument: number

See Also: GOTO DLOGTRD, GOTO REALTRD

Examples: GOTO DLOGXYP=1

Changes the display in the current display window to a DATA LOG TREND in an XY PLOT format Display for the group number specified. DATA LOG trends are HISTORICAL Trends. Up to 12 Tags can be added or removed without loosing historical data for other tags. DATA LOGGING is enabled for each tag in the Project Manager. A DATA LOG TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.15.9 GOTO FPLGROUP

Description: Changes display to Faceplate Display for the group number

Syntax: GOTO FPLGROUP=group_number

Argument: number

See Also: GOTO@TAG, GOTO OVERVIEW

Examples: GOTO FPLGROUP=1

Changes the display in the current display window to the Faceplate Display for the Faceplate group number. Faceplate Groups are configured in the Project Manager. Faceplate Displays are most commonly used quickly view large numbers of Blocks in using a single template type display. Faceplates are used primarily for Blocks, but single point type tags can also be viewed.


12.4.15.10 GOTO GRAPH

Description: Changes display to user built graphic display (*.bgr).

Syntax: GOTO GRAPH=display_name.bgr

Argument: display_name.bgr

Returns: none

See Also: GOTO@TAG

Examples: GOTO GRAPH=main.bgr

Changes the display in the current display window to a user built graphic. User built graphic must have the BGR file extension


12.4.15.11 GOTO OVERVIEW

Description: Changes display to Overview Display for the group number

Syntax: GOTO OVERVIEW=group_number

Argument: number

See Also: GOTO@TAG, GOTO FPLGROUP

Examples: GOTO OVERVIEW=1

Changes the display in the current display window to the Overview Display for the overview group number. The Overview Display is a Template Display of Tags and there alarm state. Every 4 Faceplate Groups is an Overview Group. Faceplate Groups are configured in the Project Manager. Overview Groups are generated automatically from Faceplate Groups. Overview Displays are most commonly used quickly view large numbers of tags in text-based displays and to manage Faceplate Groups.


12.4.15.12 GOTO POINTDTL

12.4.15.12 GOTO POINTDTL= tagname

Description: Changes display in current window to Point Detail Display for the tag.

Syntax: GOTO POINTDTL=tagname

GOTO POINTDTL=@tagname

GOTO POINTDTL=$variable

Argument: tagname

Returns: none

See Also: GOTO@TAG, GOTO BLOCKDTL

Examples: #example 1change to point detail of tag ZT-184

GOTO POINTDTL=ZT-184

# example 2 - change to currently selected tag

#(same as Shift plus F7)

GOTO POINTDTL=@%TPICKTAG

Changes the display in the current display window to the Point Detail Display for the specified tag. The Point Detail will match the point type: Analog, Digital or Text.

The Point Detail Display are Template Displays that allow all tags in the system to be viewed without building a graphic display for them. These three default Point Detail displays are supplied with all Advantech WebAccess Systems. They can be modified by users by editing the analog.dxx, digital.dxx or text.dxx source files and resaving them with the *.BPD extension.

Users can build user defined point detail displays for each Parameter Type (tagname.PNAME). These user defined Point Detail Displays should be saved using the Parameter Name (PNAME ) with the *.BPD extension. For example, for the default Modbus Parameters, any tag built using the AI parameter could have a user defined Point Detail Display , named AI.BPD, appear instead of the ANALOG.BPD.


12.4.15.13 GOTO REALTRD

12.4.15.13 GOTO REALTRD= group_number

Description: Changes display to Real Time Trend Display

Syntax: GOTO REALTRD=group_number

Argument: number

See Also: GOTO DLOGTRD, GOTO REALXYP

Examples: GOTO REALTRD=1

Changes the display in the current display window to a REAL-TIME TREND Display for the group number specified. Real Time trends are temporary Trends. The data is lost once it scrolls off the screen or the display is closed. Real-time trends are used primarily for Tuning and other short-term trending needs where data storage is not needed or disk space is limited. Use DATA LOG Trends if you need trend data written to hard drive. A Real-time TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.15.14 GOTO REALXYP

12.4.15.14 GOTO REALXYP=group_number

Description: Changes display to Real Time Trend Display in XY Plot format

Syntax: GOTO REALXYP=group_number

Argument: number

See Also: GOTO DLOGXYP, GOTO REALTRD

Examples: GOTO REALXYP=1

Changes the display in the current display window to a REAL-TIME Trend in XY PLOT format. Real Time trends are temporary Trends. The data is lost once it scrolls off the screen or the display is closed. Real-time trends are used primarily for Tuning and other short-term trending needs where data storage is not needed or disk space is limited. Use DATA LOG Trends if you need trend data written to hard drive. A Real-time TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.15.15 GOTO RECIPE

12.4.15.15 GOTO RECIPE= recipename

Description: Changes display in current window to the Recipe Display of the specified Recipe File. Optionally calls up Recipe Name and Unit Name from within a multiple Recipe file.

Syntax: GOTODAQ RECIPE=Recipefile.rcp^Unit^Recipe
GOTODAQ RECIPE=

Arguments: recipe file name, unit name, recipe name

See Also: <DIALOG>RECIPE, <DIALOG>RCPVALCHG=, <RCPDOWNLOAD>@, <RCPOPEN>@,
13. Recipes

Examples: GOTODAQ RECIPE=PAINT.rcp
GOTODAQ RECIPE=PAINT.RCP^Mixer2^Sunorange
GOTODAQ RECIPE=PAINT.RCP^Mixer2
GOTODAQ RECIPE=PAINT.RCP^^SkyBlue

Changes the display in the current display window to the RECIPE display for the Recipe File, Unit and Recipe within that file. This a pre-built system display (see section 13. Recipes for more information). The system template recipe display is used (RECIPE.BXX). Users can modify the template (RECIPE.DXX). Also allows the specific Recipe Name and Unit Name to be called up. If no unit or recipe name is specified in multiple recipe or multiple unit recipe file, the first recipe name and/or unit is called up.


12.4.15.16 GOTO STATION

Description: Changes display to Station Display (communication status).

Syntax: GOTO STATION

Argument:

See Also: Restricted User and General User Security

The Logged in User's security access may prevent this command from changing the display


12.4.15.17 GOTO USRPRG

Description: Changes display to User Program Status Display.

Syntax: GOTO USRPRG

Argument:

See Also: Restricted User and General User Security

The Logged in User's security access may prevent this command from changing the display.


12.4.15.18 GOTO URL http

12.4.15.18 GOTO URL=http://URL

Description: Opens calls the URL or web page.

Syntax: GOTO URL=http://URL^target=name^replace=option^style=option^settings=option

GOTO URL=http://URL

GOTO URL=http://URL^target=name

Arguments: URL or Web page address and options to adjust appearance of browser. (NO BLANK SPACES)

Returns: none

See Also:

Examples:         GOTO URL=http://yahoo.com

GOTO URL=67.94.27.175^target=pop^height=200^top=20^width=400

Changes display to a new HTML or other Web Page. If target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. If connecting to the same Advantech WebAccess project and used from a Web Browser Client, the new window does not require a new login. Used from ViewDAQ, a new user login to the Advantech WebAccess web browser client is required. The delimiter is the carrot ^ typed by pressing Shift 6.

Arguments for GOTO URL

URL Also known as a web address. Can be a URL, IP Address, name in Hosts file or Network name. Can include options associated with the URL including ASP options and Advantech WebAccess options.
example: GOTO URL=http://www.Advantech.com

Target Name defines a Target window name with feature options specified. Can be any name. Optional, if no name specified, will open a new window popup. If a window with same name is already open, loads URL document into the named window. Using a target window name allows use of CLOSEURL command. The CLOSEURL command requires a target window name. No target name is equivalent to _blank and will open new window that cannot be closed using CLOSEURL command. The default window names used by HTML code are not supported (_blank, _parent, _search, _self, _top, _media). NO BLANK SPACES.
Syntax: target=name
example: GOTO URL=http://www.Advantech.com^target=pop

replace Options are (yes=1 no=0). Replace History Entry. When the URL is loaded into same window, this BOOLEAN parameter specifies whether the URL creates a new entry or replaces current entry in the windows history list. Optional. NO BLANK SPACES. Boolean values accepted ( 0 1 yes no ).
Syntax: replace=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^replace=1

style Options 0,1,2. Window Title Bar options. Similar to Display Groups in ViewDAQ.
(0 = Overlapped Window with Title, 1= Popup with Title, 2 =Popup without Title) . The Popup windows do not have Minimize, Maximize or Close controls preventing user from easily closing, the window. NO BLANK SPACES. Style is a number between 0 and 2.
Syntax: style=number
example: GOTO URL=http://67.94.27.175^target=pop^style=2

settings for GOTO URL

These settings used to control window size and position. They are similar to replace and style above. Each setting option is delimited with the carrot ^ (typed shift 6). NO BLANK SPACES.

fullscreen

Display Browser in full-screen mode. The default is no. Use full-screen mode carefully because this mode hides the browser's title bar and menus. You should always provide a button or other clue to help the user close the window. ALT+F4 closes the new window. Boolean values accepted ( 0 1 yes no ).
Syntax: fullscreen=Boolean
example: GOTO URL=http://67.94.27.175^target=pop^fullscreen=yes

height Height of the browser window, in pixels. The minimum value is 100.
Syntax: height=number
example: GOTO URL=http://67.94.27.175^target=pop^height=200^width=400

left Left position of the browser window, in pixels. The value is relative to the upper -left corner of screen.
Syntax: left=number
example: GOTO URL=http://67.94.27.175^target=pop^height=200^width=400^left=20

location

Display the address bar in web browser (URL input field). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: location=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^location=no

menubar

Display the menu bar in web browser (File Edit View Favorites Tools). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: menubar=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^location=0^menbar=0

resizable

Display the resize handles at the corners of the window. The default is yes.
Boolean values accepted ( 0 1 yes no ).
Syntax: resizable=Boolean
example: GOTO URL=http://yahoo.com^target=pop^location=0^menbar=0^resizable=0

status Display the status bar at bottom of browser window. The default is yes.
Boolean values ( 0 1 yes no ).
Syntax: status=Boolean
example: GOTO URL=http://yahoo.com^target=pop^menubar=0^status=0

titlebar Display the title bar in web browser. This setting is ignored unless the calling application is an HTML application or a trusted dialog box. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: menubar=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^titlebar=0

toolbar Display the tool bar in web browser with the button BACK, FORWARD and STOP. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: toolbar=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^toolbar=0

top Top position of the browser window, in pixels. The value is relative to the upper -left corner of screen.
Syntax: top=number
example: GOTO URL=67.94.27.175^target=pop^height=200^width=400^left=20^top=20

width Width of the browser window, in pixels. The minimum value is 100.
Syntax: top=number
example: GOTO URL=67.94.27.175^target=pop^height=200^left=20^top=20^width=400


12.4.15.19 GOTO URL mailto

12.4.15.19 GOTO URL=mailto:emailaddress(Not supported by WinCE Edition(WebView &WebLink ))

Description: Opens email program with address specified as Send To address.

Syntax: GOTO URL=mailto:emailaddress

Arguments: email address

See Also: <GOTO>URL=mailto:info@Advantech.com>

Examples: GOTO URL=mailto:info@Advantech.com

This is supported by Browser based client and ViewDAQ. It will open the default mail client. A default email client (like Outlook or Outlook Express) must be on the client and be properly configured to a mail server, with account and password .


12.4.15.20 GOTO URL vdo:

12.4.15.20 GOTO URL=vdo:(Not supported by WinCE Edition(WebView &WebLink ))

Description: Connects to IP enabled Video camera filling the web browser window. Optionally open a new window using target name.

Syntax: GOTO URL=vdo:cameratype#ip=address&options^target

Arguments: Window is the user defined name given the Video Display Window. Video type is named after the Advantech WebAccess camera Driver. Address is an IP address, URL or network name. Options include paths to CGI scripts and port numbers. Target gives a name for a new web browser window.

Returns: none

See Also: GOTO URL=webctrl:, <GOTO>URL=daq:,<GOTO>VIDEO=, <SENDVDO>, <DIALOG>VIDEO

Examples: {GOTO URL=vdo:camviewlc#ip=210.128.176.51}
GOTO URL=vdo:atoplc#ip=67.94.27.161&port=0
{GOTO URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2^height=400^width=450^left=470^status=0^toolbar=0}
GOTO URL=mplayer#ip=67.94.27.161.130&port=8080

For more example scripts see Video Script Examples


12.4.16 GOTODAQ

Description: Changes display in current window.

Syntax:

Tcl: GOTODAQ argument
GOTODAQ $variable

JScript: GOTODAQ("argument");
GOTODAQ(variable);

VB Script: GOTODAQ "argument"
GOTODAQ variable

Argument: many listed in this subsection including ActionLog, AlarmLog, AlmGraph, AlmSummary, "Blockdetail=", "DLogTrd=", "Graph=", etc.
The argument string is not case sensitive.

Returns: none

See Also: GOTO, GOTOTAG, GOTO@TAG, GOTOALMGRA, SENDCMD, the following sections including: GOTODAQ ALMSUMMARY, GOTODAQ GRAPH, GOTODAQ DLOGTRD, GOTO URL daq

GOTODAQ changes the display in the current display window. It will work in both Browser and ViewDAQ (local) clients. It is supported by tcl, JScript and VBScript.

To implement VBScript and JScript, the ACTION Command GOTO was changed to GOTODAQ. GOTO is still supported in Tcl Scripts only. GOTODAQ is recommended.

Examples:

# Tcl

GOTODAQ ALMSUMMARY

GOTODAQ GRAPH=main.bgr

// JScript

GOTODAQ("ALMSUMMARY");

GOTODAQ("GRAPH=main.bgr");

Rem VB Script

GOTODAQ "ALMSUMMARY"

GOTODAQ "GRAPH=main.bgr;

GOTODAQ "URL=daq:dlogtrd=1#proj=LIVEDEMO&node=SCADANode1^target=pop1"

# tcl

set string1 "ALMSUMMARY"

GOTODAQ $string1

// JScript

var string1 = "GRAPH=main.bgr";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=daq:dlogtrd=1#proj=LIVEDEMO&node=SCADANode1^target=pop1"

GOTODAQ string1

#TCL

SETVAL {textag1=main.bgr}

GOTODAQ GRAPH=@texttag1

// JScript

SETVAL{"textag1=main.bgr"};

GOTODAQ("GRAPH=@texttag1");

Rem VB Script

SETVAL "textag1=main.bgr"

GOTODAQ "GRAPH=@texttag1"


12.4.16.1 GOTODAQ ACTIONLOG

Description: Changes the display to the Action Log.

Syntax:

Tcl: GOTODAQ ACTIONLOG

JScript: GOTODAQ("actionlog");

VB Script: GOTODAQ "ACTIONLOG"

Argument: "ACTIONLOG" is not case sensitive.

See Also: Action Log, Restricted User and General User Security

Changes the display in the current display window to the Action Log. The Logged in User's security access may prevent this command from changing the display.


12.4.16.2 GOTODAQ ALARMLOG

Description: Changes the display to the Alarm Log.

Syntax:

Tcl: GOTODAQ ALARMLOG

JScript: GOTODAQ("ALARMLOG");

VB Script: GOTODAQ "ALARMLOG"

Argument: "ALARMLOG" is not case sensitive.

See Also: Alarm Log, GOTODAQ ALMSUMMARY, GOTODAQ ALMGROUP,
<GOTO ALARMLOG>

Changes the display in the current display window to the Alarm Log. The Logged in User's security access may prevent this command from changing the display.


12.4.16.3 GOTODAQ ALMGRAPH

Description: Changes the display to user the built graphic display (*.bgr) assigned as the ALARM GRAPHIC for the tag. The Tag must be in alarm for this command to execute.

Syntax:

Tcl: GOTODAQ ALMGRAPH=tagname

JScript: GOTODAQ("ALMGRAPH=tagname");

VB Script: GOTODAQ "ALMGRAPH=tagname"

Argument: "ALMGRAPH=tagname" is not case sensitive.

See Also: GOTODAQ, GOTOTAG, GOTOALMGRA

Changes the display in the current display window to a user built graphic assigned as the Alarm Graphic for this tag. The Tag must be in Alarm for this function to execute. The Alarm Graphic is defined for each Tag in the Project Manager. The ALARM Graphic is intended to help operators quickly identify the cause of alarms. If no Alarm Graphic is assigned or the tag is not in alarm, then the display does not change.

Tcl example: GOTODAQ ALMGRAPH=ZT-101


12.4.16.4 GOTODAQ ALMGROUP

Description: Changes the display to the Alarm Group Display.

Syntax:

Tcl: GOTODAQ ALMGROUP=group_number

JScript: GOTODAQ("ALMGROUP=group_number");

VB Script: GOTODAQ "ALMGROUP=group_number"

Argument: "ALMGROUP=group_number" is not case sensitive.

See Also: Alarm Groups, GOTODAQ, GOTOTAG, GOTODAQ ALMSUMMARY, GOTODAQ ALARMLOG

Changes the display in the current display window to the Alarm Group Display for the alarm group number. Alarm Group is a Template Display of Tags and there alarm state. Alarm Groups are configured in the Project Manager. Alarm Groups are most commonly used to disable or enable alarming for a large number of tags. For example, when a unit is shutdown for service, an alarm group allows all alarms for that unit to be disabled.

Tcl example: GOTODAQ ALMGROUP=1


12.4.16.5 GOTODAQ ALMSUMMARY

Description: Changes the display to the Alarm Summary Display.

Syntax:

Tcl: GOTODAQ ALMSUMMARY

JScript: GOTODAQ("ALMSUMMARY");

VB Script GOTODAQ "ALMSUMMARY"

Argument: "ALMSUMMARY" is not case sensitive.
ALMSUMMARY=time(p^c000000000000000000000000)
ALMSUMMARY=priority(p^a000000000000000000000000)
ALMSUMMARY=priority(p^e0000ffffffffffffffffffff)
ALMSUMMARY=name(p^9000000000000000000000000)
ALMSUMMARY=time(ack^p^8800000000000000000000000)
ALMSUMMARY=time(unack^p^8400000000000000000000000)
ALMSUMMARY=time(remote^ack^p^8200000000000000000000000)
ALMSUMMARY=time(local^unack^p^8100000000000000000000000)

See Also: Alarm Summary, GOTODAQ, GOTOTAG, <GOTO>ALMSUMMARY, GOTODAQ ALARMLOG

Changes the display in the current display window to the Alarm Summary. The Alarm Summary is a System template Display showing Tags currently in the alarm state.

Examples:

# tcl

GOTODAQ ALMSUMMARY

// JScript

GOTODAQ("ALMSUMMARY");

Rem VB Script

GOTODAQ "ALMSUMMARY"

# TCL

set string1 "ALMSUMMARY"

GOTODAQ $string1

// JScript

var string1 = "ALMSUMMARY";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "ALMSUMMARY"

GOTODAQ string1

To determine the options to filter alarms, use the ADVANCED button in the alarm summary (sometimes labelled ALARM FILTER) and view the caption bar in VIEW.


12.4.16.6 GOTODAQ BLOCKDTL

Description: Changes display to the Block Detail display for the referenced tag.

Syntax:

Tcl: GOTODAQ BLOCKDTL=tagname

JScript: GOTODAQ("BLOCKDTL=tagname");

VB Script: GOTODAQ "BLOCKDTL=tagname"

Argument: "BLOCKDTL=tagname" is not case sensitive

See Also: Block Detail, GOTOTAG, GOTODAQ,

Tcl example: GOTODAQ BLOCKDTL=TIC101

The Block Detail display name must match the block type (blocktype.bd1) of the tag. The Block Detail Display is a user built Template Display. The Block Detail allows many tags to be viewed using this one Template. Some Drivers come with default Blocks and associated Block Detail display. This command is ignored for single point type tags.


12.4.16.7 GOTODAQ DLOGTRD

Description: Changes the display to the Data Log Trend Display.

Syntax:

Tcl: GOTODAQ DLOGTRD=group_number

JScript: GOTODAQ("DLOGTRD=group_number");

VB Script: GOTODAQ "DLOGTRD=group_number"

Argument: "DLOGTRD=group_number" is not case sensitive.

See Also: Data Log Trend Display, GOTODAQ, GOTODAQ DLOGXYP,
GOTODAQ REALTRD

Tcl example: GOTODAQ DLOGTRD=1

Changes the display in the current display window to a DATA LOG TREND Display for the group number specified. DATA LOG trends are HISTORICAL Trends. Up to 12 Tags can be added or removed without loosing historical data for other tags. DATA LOGGING is enabled for each tag in the Project Manager. A DATA LOG TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.16.8 GOTODAQ DLOGXYP

Description: Changes display to Data Log Trend Display in an XY Plot format.

Syntax:

Tcl: GOTODAQ DLOGXYP=group_number

JScript: GOTODAQ("DLOGXYP=group_number");

VB Script: GOTODAQ "DLOGXYP=group_number"

Argument: "DLOGXYP=group_number" is not case sensitive.

See Also: Data Log Trend Display, GOTODAQ, GOTODAQ DLOGTRD,
GOTODAQ REALTRD

Tcl example: GOTODAQ DLOGXYP=1

Changes the display in the current display window to a DATA LOG TREND in an XY PLOT format Display for the group number specified. DATA LOG trends are HISTORICAL Trends. Up to 12 Tags can be added or removed without loosing historical data for other tags. DATA LOGGING is enabled for each tag in the Project Manager. A DATA LOG TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.16.9 GOTODAQ FPLGROUP

Description: Changes display to Faceplate Display for the group number

Syntax:

Tcl: GOTODAQ FPLGROUP=group_number

JScript: GOTODAQ("FPLGROUP=group_number");

VB Script: GOTODAQ "FPLGROUP=group_number"

Argument: "FPLGROUP=group_number" is not case sensitive.

See Also: Faceplate Display, Faceplate Groups, GOTOTAG, GOTODAQ,
GOTODAQ OVERVIEW

Changes the display in the current display window to the Faceplate Display for the Faceplate group number. Faceplate Groups are configured in the Project Manager. Faceplate Displays are most commonly used quickly view large numbers of Blocks in using a single template type display. Faceplates are used primarily for Blocks, but single point type tags can also be viewed.

Examples: GOTODAQ FPLGROUP=1


12.4.16.10 GOTODAQ GRAPH

Description: Changes the display to the user built graphic display (*.bgr).

Syntax:

Tcl: GOTODAQ GRAPH=display_name.bgr

JScript: GOTODAQ("GRAPH=display_name.bgr");

VB Script: GOTODAQ "GRAPH=display_name.bgr"

Argument: display_name.bgr

Returns: none

See Also: GOTO, GOTOTAG, GOTODAQ, GOTODAQ URL=daq:, SENDCMD

Changes the display in the current display window to a user built graphic. User built graphic must have the BGR file extension.

Examples:

#TCL

GOTODAQ GRAPH=main.bgr

// JScript

GOTODAQ("GRAPH=main.bgr");

Rem VB Script

GOTODAQ "GRAPH=main.bgr"

#TCL

set string1 "GRAPH=main.bgr"

GOTODAQ $string1

// JScript

var string1 = "GRAPH=main.bgr";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "GRAPH=main.bgr"

GOTODAQ string1

#TCL

SETVAL {textag1=main.bgr}

GOTODAQ GRAPH=@texttag1


12.4.16.11 GOTODAQ OVERVIEW

Description: Changes the display to the Overview Display for the group number

Syntax:

Tcl: GOTODAQ OVERVIEW=group_number

JScript: GOTODAQ("OVERVIEW=group_number");

VB Script: GOTODAQ "OVERVIEW=group_number"

Argument: "OVERVIEW=group_number" is not case sensitive.

See Also: Overview Display, Faceplate Groups, GOTODAQ, GOTODAQ FPLGROUP, GOTO, GOTOTAG, GOTO@TAG

Tcl example: GOTODAQ OVERVIEW=1

Changes the display in the current display window to the Overview Display for the overview group number. The Overview Display is a Template Display of Tags and there alarm state. Every 4 Faceplate Groups is an Overview Group. Faceplate Groups are configured in the Project Manager. Overview Groups are generated automatically from Faceplate Groups. Overview Displays are most commonly used quickly view large numbers of tags in text-based displays and to manage Faceplate Groups.


12.4.16.12 GOTODAQ POINTDTL

12.4.16.12 GOTODAQ POINTDTL= tagname

Description: Changes display in current window to Point Detail Display for the tag.

Syntax:

Tcl: GOTODAQ POINTDTL=tagname

GOTODAQ POINTDTL=@tagname

GOTODAQ POINTDTL=$variable

JScript: GOTODAQ("BLOCKDTL=tagname");

VB Script: GOTODAQ "BLOCKDTL=tagname"

Argument: "POINTDTL=tagname" is not case sensitive

Argument: tagname

Returns: none

See Also: Point Detail Display, Point Info Dialog Box, GOTOTAG, GOTODAQ BLOCKDTL

Changes the display in the current display window to the Point Detail Display for the specified tag. The Point Detail will match the point type: Analog, Digital or Text.

The Point Detail Display are Template Displays that allow all tags in the system to be viewed without building a graphic display for them. These three default Point Detail displays are supplied with all Advantech WebAccess Systems. They can be modified by users by editing the analog.dxx, digital.dxx or text.dxx source files and resaving them with the *.BPD extension.

Users can build user defined point detail displays for each Parameter Type (tagname.PNAME). These user defined Point Detail Displays should be saved using the Parameter Name (PNAME ) with the *.BPD extension. For example, for the default Modbus Parameters, any tag built using the AI parameter could have a user defined Point Detail Display , named AI.BPD, appear instead of the ANALOG.BPD.

Examples:

#Tcl example 1 - change to point detail of tag ZT-184

GOTODAQ POINTDTL=ZT-184

#Tcl example 2 - change to currently selected tag

#(same as Shift F7)

GOTODAQ POINTDTL=@%TPICKTAG


12.4.16.14 GOTODAQ REALXYP

12.4.16.14 GOTODAQ REALXYP=group_number

Description: Changes display to Real Time Trend Display in XY Plot format

Syntax:

Tcl: GOTODAQ REALXYP=group_number

JScript: GOTODAQ("REALXYP=group_number");

VB Script: GOTODAQ "REALXYP=group_number "

Argument: number

See Also: GOTODAQ DLOGXYP, GOTODAQ REALTRD

Tcl example: GOTODAQ REALXYP=1

Changes the display in the current display window to a REAL-TIME Trend in XY PLOT format. Real Time trends are temporary Trends. The data is lost once it scrolls off the screen or the display is closed. Real-time trends are used primarily for Tuning and other short-term trending needs where data storage is not needed or disk space is limited. Use DATA LOG Trends if you need trend data written to hard drive. A Real-time TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.16.13 GOTODAQ REALTRD

12.4.16.13 GOTODAQ REALTRD= group_number

Description: Changes display to Real Time Trend Display

Syntax:

Tcl: GOTODAQ REALTRD=group_number

JScript: GOTODAQ("REALTRD=group_number");

VB Script: GOTODAQ "REALTRD=group_number "

Argument: number

See Also: GOTODAQ DLOGTRD, GOTODAQ REALXYP

Tcl example: GOTODAQ REALTRD=1

Changes the display in the current display window to a REAL-TIME TREND Display for the group number specified. Real Time trends are temporary Trends. The data is lost once it scrolls off the screen or the display is closed. Real-time trends are used primarily for Tuning and other short-term trending needs where data storage is not needed or disk space is limited. Use DATA LOG Trends if you need trend data written to hard drive. A Real-time TREND Group is a collection of tags configured in the Project Manager. If the specified Trend Group does not exist, the command will be ignored.


12.4.16.15 GOTODAQ RECIPE

Description: Changes display in current window to the Recipe Display of the specified Recipe File. Optionally calls up Recipe Name and Unit Name from within a multiple Recipe file.

Syntax:

Tcl: GOTODAQ RECIPE=Recipefile.rcp^Unit^Recipe

JScript: GOTODAQ("RECIPE=Recipefile.rcp^Unit^Recipe");

VB Script: GOTODAQ "RECIPE=Recipefile.rcp^Unit^Recipe"

Arguments: recipe file name, unit name, recipe name

See Also: <DIALOG>RECIPE, <DIALOG>RCPVALCHG=, <RCPDOWNLOAD>@, <RCPOPEN>@, 13. Recipes

Tcl examples: GOTODAQ RECIPE=PAINT.rcp
GOTODAQ RECIPE=PAINT.RCP^Mixer2^Sunorange
GOTODAQ RECIPE=PAINT.RCP^Mixer2
GOTODAQ RECIPE=PAINT.RCP^^SkyBlue

Changes the display in the current display window to the RECIPE display for the Recipe File, Unit and Recipe within that file. This a pre-built system display (see section 13. Recipes for more information). The system template recipe display is used (RECIPE.BXX). Users can modify the template (RECIPE.DXX). Also allows the specific Recipe Name and Unit Name to be called up. If no unit or recipe name is specified in multiple recipe or multiple unit recipe file, the first recipe name and/or unit is called up.


12.4.16.16 GOTODAQ STATION

Description: Changes display to Station Display (communication status).

Syntax:

Tcl: GOTODAQ STATION

JScript: GOTODAQ("STATION");

VB Script: GOTODAQ "STATION"

Argument: "STATION"

See Also: Restricted User and General User Security

The Logged in User's security access may prevent this command from changing the display to the Station Display (communication status).


12.4.16.17 GOTODAQ USRPRG

Description: Changes display to User Program Status Display.

Syntax:

Tcl: GOTODAQ USRPRG

JScript: GOTODAQ("USRPRG");

VB Script: GOTODAQ "USRPRG"

Argument: "USRPRG"

See Also: Restricted User and General User Security

The Logged in User's security access may prevent this command from changing the display .


12.4.16.18_GOTODAQ_URL_daq:

12.4.16.18 GOTODAQ URL=daq:

Description: Connects to another SCADA Node.

Syntax:

Tcl: GOTODAQ URL=daq:gotocommad#proj=projectname&node=nodename&flag=number^target=name^replace=option^style=option^settings=option

JScript: GOTODAQ(" URL=daq:gotocommad#proj=projectname&node=nodename&flag=number^target=name^replace=option^style=option^settings=option");

VB Script: GOTODAQ "URL=daq:gotocommad#proj=projectname&node=nodename&flag=number^target=name^replace=option^style=option^settings=option"

Arguments: GOTO command, project name, node name and web browser options. (NO BLANK SPACES)

Returns: none

See Also: bwViewPg, <GOTO>URL=daq:, <GOTO>URL=video:, GOTODAQ http://, GOTODAQ GRAPH=

Changes web browser VIEW display to another SCADA Node from the same project node, if no project specified.

If ^target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients (VIEW) and the local ViewDAQ. In ViewDAQ, this will open VIEW in a web browser. Project and Node must be specified if new target window named. For information on the ^target, ^replace, ^style options see GOTODAQ URL http. The delimiter is the carrot ^ typed by pressing Shift 6.

For project &options= see 16.1.2.9 Combine bwViewPg_options with &.

The Goto commands are the same as the corresponding <GOTO> keymacro options. These can be viewed from a web client using Right Click -> View -> History or in the upper CAPTION if the web browser:

actionlog, alarmlog, almgraph=, almgroup=, almsummary, blockdtl=, dlogtrd=, dlogxyp=, fplgroup=, graph=, gscript, overview=, pointdtl=, realtrd=, realxyp=, recipe=, station, tool=

If ^target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients (VIEW) and the local ViewDAQ. Project and Node must be specified if new target window named. For information on the ^target, ^replace, ^style options see GOTODAQ URL http.

&Flag enables new window to have VIEW properties described (e.g. toolbars, status bas, et al). This avoids double toolbars, double status bars in ViewDAQ or cascaded VIEW. These are similar to using the project &options bwViewPg.

& Flag format:

flag = popm_flag + scrb_flag*2 + tool_flag*128 + 5*256 + stat_flag*2048 + goto_flag*32768 + alog_flag*2147483648

where : popm_flag -> 0 : popup menu enabled, 1: popup menu disabled

scrb_flag -> 0 : scroll bar enabled, 1: scroll bar disabled

tool_flag -> 0 : tool bar enabled, 1: tool bar disabled

stat_flag -> 0 : status bar enabled, 1: status bar disabled

goto_flag -> 0 : goto function enabled, 1: goto function disabled

alog_flag -> 0 : enter/exit log enabled, 1: enter/exit log disabled

& FLAG example:

GOTODAQ URL=daq:graph=main.bgr#capt=0&flag=2147519873

This will display main.bgr of current project_node with popup menu, tool bar, status bar, goto function, and enter/exit log disabled.

Examples:

#tcl

GOTODAQ URL=daq:graph=page2.bgr#proj=LIVEDEMO&node=SCADANode1^target=pop1

GOTODAQ URL=daq:graph=main.bgr#capt=0&flag=2147519873

// JScript

GOTODAQ("URL=daq:almsummary#proj=LIVEDEMO&node=SCADANode1^target=pop1");

GOTODAQ("URL=daq:graph=main.bgr#capt=0&flag=2147519873");

Rem VB Script

GOTODAQ "URL=daq:dlogtrd=1#proj=LIVEDEMO&node=SCADANode1^target=pop1"

GOTODAQ "URL=daq:graph=main.bgr#capt=0&flag=2147519873"

Alternatives:

# tcl

set string1 "URL=daq:graph=main.bgr#proj=LIVEDEMO&node=SCADANode1^target=pop1"

GOTODAQ $string1

// JScript

var string1 = "URL=daq:graph=main.bgr#capt=0&flag=2147519873";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=daq:dlogtrd=1#proj=LIVEDEMO&node=SCADANode1^target=pop1"

GOTODAQ string1

goto string

A goto string can be used in <GOTO>url, daq and, <SENDVDO>. In addition to the regular goto strings, users can also use "gototag=tag=where" . The valid values for where are overview, fplgroup, realtrd, realxyp, almgroup, dlogtrd, dlogxyp, graph, blockdtl, pointdtl, and recipe. Examples are:

1) GOTO url=daq:gototag=t1=dlogtrd

Used in a Video Display will create a View in Graph to display the Datalog Trend group which contains tag t1. (Note, a View in Graph window is created using Draw Video).

2) GOTO url=daq:gototag=t3=graph

Will create a View inside View/ViewDAQ to display the Graph file which contains tag t3.


12.4.16.19_GOTODAQ_URL=daq:video=

Description: Connects to Video camera configured for the SCADA Node using the video file name (*.vdo) of the configured device. Same as GOTO URL=daq:webctrl.

Syntax:

Tcl: GOTO URL=daq:video=videofile.vdo#proj=projectname&node=name^target=name^replace=option^style=option^settings=option

JScript: GOTODAQ("URL=daq:video=videofile.vdo#proj=name&node=name^target=name^replace=option^style=optio n^settings=option");

VB Script: GOTODAQ "URL=daq:video=videofile.vdo#proj=name&node=name^target=name^replace=option^style=option^settings=option"

Arguments: GOTO command, project name, node name and web browser options. (NO BLANK SPACES).

Videofile.vdo is the user-assigned name for a configured camera (see 17.1 Configure a Video Camera connection).

Target gives a name for a new web browser window. If used in ViewDAQ, will open IE 6.0 web browser window. For information on the ^target, ^replace, ^style options see GOTODAQ URL http.

For project &options see 16.1.2.9 Combine bwViewPg_options with &.

Returns: none

See Also: GOTODAQ URL=daq:vdo, <GOTO>URL=webctrl:, <GOTO>URL=daq:vdo, GOTODAQ URL=daq:webctrl, SENDVDO

Changes web browser VIEW display to a camera configured for a SCADA node in the named project. If project node not named, then uses existing project.

If ^target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window.

Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0, 7.0, or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. Same a <GOTO>URL=webctrl:

The GOTODAQ URL=vdo command uses the camera driver name (Cameratype): a camera does not have to be configured elsewhere. This GOTODAQ URL=daq:vdo requires a camera to be configured in 17.1 Configure a Video Camera connection and uses the user assigned name for that camera.

If called from ViewDAQ, user login will be required using this command unless &user and &pass options are used. VIEW will open using the existing web user login. See 16.1.2.9 Combine bwViewPg_options with &.

Same as GOTODAQ URL=daq:webctrl.

Examples:

#tcl

GOTO URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0

GOTO URL=daq:video=AxisCameraUK.vdo#proj=LIVEDEMO&node=SCADANode1&user=tom&pass=tom&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0

//JScript

GOTODAQ("URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0");

Rem VB Script

GOTODAQ "URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0"

Alternatives:

# tcl

set string1 "URL=daq:video=AxisCameraUK.vdo#proj=LIVEDEMO&node=SCADANode1&user=tom&pass=tom&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0"

GOTODAQ $string1

// JScript

var string1 = "URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0"

GOTODAQ string1


12.4.16.20_GOTO_URL=daq:webctrl

12.4.16.20 GOTODAQ URL=daq:webctrl=

Description: Connects to Video camera configured for the SCADA Node using the video file name (*.vdo) of the configured device. Same as GOTO URL=daq:video.

Syntax:

Tcl: GOTO URL=daq:webctrl=videofile.vdo#proj=projectname&node=name^target=name^replace=option^style=option^settings=option

JScript: GOTODAQ("URL=daq:webctrl=videofile.vdo#proj=name&node=name^target=name^replace=option^style=optio n^settings=option");

VB Script: GOTODAQ "URL=daq:webctrl=videofile.vdo#proj=name&node=name^target=name^replace=option^style=option^settings=option"

Arguments: GOTO command, project name, node name and web browser options. (NO BLANK SPACES).

videofile.vdo is the User assigned name for a configured camera (see 17.1 Configure a Video Camera connection).

Target gives a name for a new web browser window. If used in ViewDAQ, will open IE 6.0 web browser window.

For information on the ^target, ^replace, ^style options see GOTODAQ URL http.

For project &options see 16.1.2.9 Combine bwViewPg_options with &.

Returns: none

See Also: <GOTO>URL=webctrl:, <GOTO>URL=daq:video, GOTODAQ URL=daq:video, <GOTO>URL=video:

Changes display camera configured for a SCADA node in the same project node. If target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0, 7.0, or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. Same as GOTODAQ URL=daq:video.

The GOTO URL=vdo command uses the camera driver name (Cameratype): a camera does not have to be configured elsewhere.

This GOTO URL=daq:webctrl requires a camera to be configured in 17.1 Configure a Video Camera connection and uses the user assigned name for that camera.

If called from ViewDAQ, user login will be required using this command unless &user and &pass options are used. VIEW will open using the existing web user login. S ee 16.1.2.9 Combine bwViewPg_options with &.

Examples:

#tcl

GOTO URL=daq:webctrl=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0

GOTO URL=daq:webctrl=AxisCameraUK.vdo#proj=LIVEDEMO&node=SCADANode1&user=tom&pass=tom&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0

//JScript

GOTODAQ("URL=daq:webctrl=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0");

Rem VB Script

GOTODAQ "URL=daq:webctrl=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0"

Alternatives:

# tcl

set string1 "URL=daq:video=AxisCameraUK.vdo#proj=LIVEDEMO&node=SCADANode1&user=tom&pass=tom&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0"

GOTODAQ $string1

// JScript

var string1 = "URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=daq:video=BW_office.vdo#proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0^target=video1^height=400^width=450^left=20^status=0^toolbar=0"

GOTODAQ string1


12.4.16.21 GOTODAQ URL http

12.4.16.21 GOTODAQ URL=http://URL

Description: Opens the URL or web page.

Syntax:

Tcl: GOTODAQ URL=http://URL^target=name^replace=option^style=option^settings=option

JScript: GOTODAQ("URL=http://URL^target=name^replace=option^style=option^settings=option");

VB Script: GOTODAQ "URL=http://URL^target=name^replace=option^style=option^settings=option"

Arguments: URL or Web page address and options to adjust appearance of browser. (NO BLANK SPACES)

Returns: none

See Also: GOTODAQ URL=vdo:, GOTODAQ URL=webctrl:, <GOTO>URL=daq:

Changes display to a new HTML or other Web Page. If ^target is specified, opens in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0, 7.0, or later must be installed on client PC. This is supported by Browser based clients (VIEW) and the local ViewDAQ. In ViewDAQ, this will open VIEW in a web browser. Project and Node must be specified if new target window named.

The delimiter is the carrot ^ typed by pressing Shift 6.

Arguments for GOTO URL

URL Also known as a web address. Can be a URL, IP Address, name in Hosts file or Network name. Can include options associated with the URL including ASP options and Advantech WebAccess options.
example: GOTO URL=http://www.Advantech.com

Target Name defines a Target window name with feature options specified. Can be any name. Optional, if no name specified, will open a new window popup. If a window with same name is already open, loads URL document into the named window. Using a target window name allows use of CLOSEURL command. The CLOSEURL command requires a target window name. No target name is equivalent to _blank and will open new window that cannot be closed using CLOSEURL command. The default window names used by HTML code are not supported (_blank, _parent, _search, _self, _top, _media). NO BLANK SPACES.
Syntax: target=name
example: GOTO URL=http://www.Advantech.com^target=pop

replace Options are (yes=1 no=0). Replace History Entry. When the URL is loaded into same window, this BOOLEAN parameter specifies whether the URL creates a new entry or replaces current entry in the windows history list. Optional. NO BLANK SPACES. Boolean values accepted ( 0 1 yes no ).
Syntax: replace=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^replace=1

style Options 0,1,2. Window Title Bar options. Similar to Display Groups in ViewDAQ.
(0 = Overlapped Window with Title, 1= Popup with Title, 2 =Popup without Title) . The Popup windows do not have Minimize, Maximize or Close controls preventing user from easily closing, the window. NO BLANK SPACES. Style is a number between 0 and 2.
Syntax: style=number
example: GOTO URL=http://67.94.27.175^target=pop^style=2

settings for GOTO URL

These settings used to control window size and position. They are similar to replace and style above. Each setting option is delimited with the carrot ^ (typed shift 6). NO BLANK SPACES.

fullscreen

Display Browser in full-screen mode. The default is no. Use full-screen mode carefully because this mode hides the browser's title bar and menus. You should always provide a button or other clue to help the user close the window. ALT+F4 closes the new window. Boolean values accepted ( 0 1 yes no ).
Syntax: fullscreen=Boolean
example: GOTO URL=http://67.94.27.175^target=pop^fullscreen=yes

height Height of the browser window, in pixels. The minimum value is 100.
Syntax: height=number
example: GOTO URL=http://67.94.27.175^target=pop^height=200^width=400

left Left position of the browser window, in pixels. The value is relative to the upper -left corner of screen.
Syntax: left=number
example: GOTO URL=http://67.94.27.175^target=pop^height=200^width=400^left=20

location

Display the address bar in web browser (URL input field). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: location=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^location=no

menubar

Display the menu bar in web browser (File Edit View Favorites Tools). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: menubar=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^location=0^menbar=0

resizable

Display the resize handles at the corners of the window. The default is yes.
Boolean values accepted ( 0 1 yes no ).
Syntax: resizable=Boolean
example: GOTO URL=http://yahoo.com^target=pop^location=0^menbar=0^resizable=0

status Display the status bar at bottom of browser window. The default is yes.
Boolean values ( 0 1 yes no ).
Syntax: status=Boolean
example: GOTO URL=http://yahoo.com^target=pop^menubar=0^status=0

titlebar Display the title bar in web browser. This setting is ignored unless the calling application is an HTML application or a trusted dialog box. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: menubar=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^titlebar=0

toolbar Display the tool bar in web browser with the button BACK, FORWARD and STOP. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: toolbar=Boolean
example: GOTO URL=http://www.Advantech.com^target=pop^toolbar=0

top Top position of the browser window, in pixels. The value is relative to the upper -left corner of screen.
Syntax: top=number
example: GOTO URL=67.94.27.175^target=pop^height=200^width=400^left=20^top=20

width Width of the browser window, in pixels. The minimum value is 100.
Syntax: top=number
example: GOTO URL=67.94.27.175^target=pop^height=200^left=20^top=20^width=400

Examples:

# tcl

GOTODAQ URL=http://yahoo.com

GOTODAQ URL=67.94.27.175^target=pop^height=200^top=20^width=400

// JScript

GOTODAQ("URL=http://yahoo.com");

GOTODAQ("URL=67.94.27.175^target=pop^height=200^top=20^width=400");

Rem VB Script

GOTODAQ "URL=http://yahoo.com"

GOTODAQ "URL=67.94.27.175^target=pop^height=200^top=20^width=400"

Alternatives:

# tcl

set string1 "URL=67.94.27.175^target=pop^height=200^top=20^width=400"

GOTODAQ $string1

// JScript

var string1 = "URL=67.94.27.175^target=pop^height=200^top=20^width=400";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=67.94.27.175^target=pop^height=200^top=20^width=400"

GOTODAQ string1


12.4.16.22 GOTODAQ URL mailto

12.4.16.22 GOTODAQ URL=mailto:emailaddress

Description: Opens email program with address specified as Send To address.

Syntax:

Tcl: GOTODAQ URL=mailto:emailaddress

JScript: GOTODAQ("URL=mailto:emailaddress");

VB Script: GOTODAQ "URL=mailto:emailaddress"

Arguments: email address

See Also: <GOTO>URL=mailto:info@Advantech.com>, MAIL

This is supported by Browser based client, VIEW, and ViewDAQ. It will open the default mail client. A default email client (like Outlook or Outlook Express) must be on the client and be properly configured to a mail server, with account and password .

Examples:

# tcl

GOTODAQ URL=mailto:info@Advantech.com

// JScript

GOTODAQ("URL=mailto:info@Advantech.com");

Rem VB Script

GOTODAQ "URL=mailto:info@Advantech.com"

Alternatives:

# tcl

set string1 "URL=mailto:info@Advantech.com"

GOTODAQ $string1

// JScript

var string1 = "URL=mailto:info@Advantech.com";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=mailto:info@Advantech.com"

GOTODAQ string1


12.4.16.20 GOTODAQ URL vdo:

12.4.16.23 GOTODAQ URL=vdo:

Description: Connects to IP enabled Video camera filling the web browser window (VIEW) or local ViewDAQ window. Optionally open a new window using target name.

Syntax:

Tcl: GOTODAQ URL=vdo:cameratype#ip=address&options^target

JScript: GOTODAQ ("URL=vdo:cameratype#ip=address&options^target");

VB Script: GOTODAQ "URL=vdo:cameratype#ip=address&options^target"

Arguments: Cameratype is named after the Advantech WebAccess camera Driver (see 17.1 Configure a Video Camera connection).
Address is an IP address, URL or network name.
Options include paths to CGI scripts and port numbers.
Target gives a name for a new web browser window. If used in ViewDAQ, will open IE web browser window. For information on the ^target option see GOTODAQ URL http.

Returns: none

See Also: GOTODAQ URL=webctrl:, <GOTO>URL=daq:,<GOTO>VIDEO=, <SENDVDO>, <DIALOG>VIDEO

This GOTO URL=vdo command uses the camera driver name (Cameratype): a camera does not have to be configured elsewhere. The GOTO URL=daq:vdo requires a camera to be configured in 17.1 Configure a Video Camera connection and uses the user assigned name for that camera.

Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients (VIEW) and the local ViewDAQ. In ViewDAQ, this will open VIEW in a web browser. Project and Node must be specified if new target window named.

Examples:

# tcl

GOTODAQ URL=vdo:camviewlc#ip=210.128.176.51

GOTODAQ URL=vdo:atoplc#ip=67.94.27.161&port=0

GOTODAQ  URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2^height=400^width=450^left=470^status=0^toolbar=0
GOTODAQ URL=vdo:axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi&cam=resolution=352x240&bc=1

// JScript

GOTODAQ("URL=vdo:axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi&cam=resolution=352x240&bc=1");

Rem VB Script

GOTODAQ "URL=vdo:activecam#ip=http://arachne.berkeley.edu:3001/push.jpg^target=Video2"

Alternatives:

# tcl

set string1 "URL=vdo:axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi&cam=resolution=352x240&bc=1"

GOTODAQ $string1

// JScript

var string1 = "URL=vdo:axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi&cam=resolution=352x240&bc=1";

GOTODAQ(string1);

Rem VB Script

Dim string1

string1 = "URL=vdo:axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi&cam=resolution=352x240&bc=1"

GOTODAQ string1

For more example scripts see Video Script Examples


12.4.17 GOTO@TAG

Description: (tcl only). Changes display in current window to a display containing the referenced tag. Similar to "Point GOTO Dialog Box" in Advantech WebAccess. Same as GOTOTAG. Not supported by JScript or VBScript, use GOTOTAG instead. Same as GOTOTAG.

Tcl Syntax: GOTO@tag tagname=display_type

Argument: tagname, display type

Returns: none

See Also: GOTOTAG, GOTODAQ, GOTO, GOTOALMGRA

Examples: # example 1 - call first display using tag FAN_START101

GOTO@TAG FAN_START101=graph

#example 2 - if tag is on the alarm summary,  then

# display the alarm summary

GOTO@TAG FAN_START101=almsummary

Changes the display in the current display window to a display using the referenced tag. This command provides the functions of the "Point GOTO Dialog Box" in Advantech WebAccess. It allows a user to call up a display, not knowing its name, but only knowing it displays the tag.

IF THE TAG IS NOT ON THE DISPLAY TYPE REFERENCED, THE CALL DOES NOT CHANGE THE DISPLAY.

If tag is in multiple displays of same type (e.g. multiple *.bgr), then the first display alphabetically will be displayed. The OPTIONS are not case sensitive.

This command is available in screen scripts only . It will work in both Browser and ViewDAQ (local) clients.

Options: Display Types

ALMGROUP

ALMSUMMARY

BLOCKDTL

DLOGTRD

DLOGXYP

FPLGROUP

GRAPH

OVERVIEW

POINTDTL

REALTRD

REALXYP

RECIPE


12.4.18 GOTOTAG

Description: Changes display in current window to a display containing the referenced tag. Similar to "Point GOTO Dialog Box" in Advantech WebAccess. Same as GOTO@TAG.

Syntax:

Tcl: GOTOTAG tagname=display_type

JScript: GOTOTAG ("tagname=display_type");

VB Script: GOTOTAG "tagname=display_type"

Argument: tagname, display type

Returns: none

See Also: GOTODAQ, GOTO, GOTOALMGRA

Changes the display in the current display window to a display using the referenced tag. This command provides the functions of the "Point GOTO Dialog Box" in Advantech WebAccess. It allows a user to call up a display, not knowing its name, but only knowing it displays the tag.

IF THE TAG IS NOT ON THE DISPLAY TYPE REFERENCED, THE CALL DOES NOT CHANGE THE DISPLAY.

If tag is in multiple displays of same type (e.g. multiple *.bgr), then the first display alphabetically will be displayed. The OPTIONS are not case sensitive.

This command is available in screen scripts only . It will work in both web browser VIEW and ViewDAQ (local) clients.

Options: Display Types

ALMGROUP

ALMSUMMARY

BLOCKDTL

DLOGTRD

DLOGXYP

FPLGROUP

GRAPH

OVERVIEW

POINTDTL

REALTRD

REALXYP

RECIPE

Examples:

# tcl

# example 1 - call first display using tag FAN_START101

GOTOTAG FAN_START101=graph

# tcl

# example 2 - if tag is on the alarm summary,

# then display the alarm summary

GOTOTAG FAN_START101=almsummary

// JScript

// example 1 - call first display using tag FAN_START101

GOTOTAG("FAN_START101=graph");

Rem VB Script

Rem example 1 - call first display using tag FAN_START101

GOTOTAG "FAN_START101=graph"

Alternatives:

# tcl

set string1 "FAN_START101=graph"

GOTODAQ $string1

// JScript

var string1 = "FAN_START101=graph";

GOTOTAG(string1);

Rem VB Script

Dim string1

string1 = "FAN_START101=graph"

GOTODAQ string1


12.4.19 GOTOALMGRA

Description: Changes display in current window to the display assigned as the Alarm Graphic for the most recent alarm.

Syntax:

Tcl: GOTOALMGRA

JScript: GOTOALMGRA();

VB Script: GOTOALMGRA

Argument: none

Returns: none

See Also: GOTO, GOTO ALMGRAPH=

Changes display in current window to the display assigned as the Alarm Graphic for the most recent alarm. It allows a user to call up a display, not knowing its name, but only that a tag is in alarm.

If there is no alarm graphic assigned for the most recent alarm tag, the command does not change the display.

Examples: #tcl

GOTOALMGRA

// JScript

GOTOALMGRA();

Rem VB Script

GOTOALMGRA


12.4.20 HISBACK

Description: Changes display in current window to the previous display in the display stack.

Syntax:

Tcl: HISBACK

JScript: HISBACK();

VB Script: HISBACK

Argument: none

Returns: none

See Also: HISFORW, DAQPREV, GOTODAQ, GOTODAQ ALMGRAPH=, <GOTO>HISTORY

Changes display in current window to the previous display in stack. If there is no graphic in the stack or the current pointer is at the beginning of the display stack, the command does not change the display. The display stack has a maximum of 100 displays. Restarting the Advantech WebAccess Client or ViewDAQ clears the alarm stack. This command will interact with the keymacros <HISFORW> and <HISBACK> and the similar tool bar keymacros.

Examples: # tcl or VB

HISBACK

// JScript

HISBACK();


12.4.21 HISFORW

Description: Changes display in current window forward in the display stack retracing a series of HISBACK commands.

Syntax:

Tcl: HISFORW

JScript : HISFORW();

VB Script: HISFORW

Argument: none

Returns: none

See Also: HISBACK, DAQPREV, GOTODAQ, GOTODAQ ALMGRAPH=, <GOTO>HISTORY

Changes display in current window forward in the display stack retracing a series of HISBACK commands. At least one HISBACK command must have been issued. If there is no graphic in the stack or the current pointer is at the end of the display stack, the command does not change the display. The display stack has a maximum of 100 displays. Restarting the Advantech WebAccess Client or ViewDAQ clears the display history stack. This command will interact with the keymacros <HISFORW> and <HISBACK> and the similar tool bar keymacros.

Examples: # tcl or VB

HISFORW

// JScript

 HISFORW();


12.4.21.1 LOGACT

Description: Makes an entry in the Action Log with user defined text.

Syntax:

Tcl: LOGACT {text string}

LOGACT @tag
LOGACT $script_variable

JScript: LOGACT("string");

LOGACT("@tag");
LOGACT(script_variable);

VB Script: LOGACT "string"

LOGACT "@tag"
LOGACT script_variable

Argument: text string

See Also: <LOGACT>, LOGALM

Places Time Stamp, Date and Text string in the Action Log. Time and Date is when keymacro executed.

Examples:

# tcl

LOGACT {The LogAct Tcl button was pressed}

// JScript

LOGACT("The LOGACT JScript button was pressed");

Rem VB Script

LOGACT "The LOGACT VB Script button was pressed"

# tcl

#records contents of TEXTAG1 to Action Log

LOGACT @TEXTTAG1

# declares variable string1 to pass message

set string1 {The LOGACT tcl script ran to completion}

LOGACT $string1

// JScript

// records contents of TEXTAG1 to Action Log

LOGACT("@TEXTTAG1");

// declares variable string1 to pass message

var string1 = "The LOGACT JScript ran to completion";

LOGACT(string1);

Rem VB Script

LOGACT "@AC3_LABZAT1"

Rem declares variable string1 to pass message

Dim string1

string1 = "The LOGACT VB Script ran to completion"

LOGACT string1

Example Script:

# tcl Global Script to write change from user program to action log

# user program must update WriteActionLog to 1

# and user program enters text to be written in WriteText2ActionLog

# to get columns to align, use at least 22 spaces from tagname

if { [GETVAL WriteActionLog] == 1 } then {

LOGACT @WriteText2ActionLog

SETVAL WriteActionLog=0

}


12.4.21.2 LOGALM

12.4.21.1 LOGALM

Description: Makes an entry in the Alarm Log with user defined text.

Syntax:

Tcl: LOGALM {text string}

LOGALM @tag
LOGALM $script_variable

JScript: LOGALM("string");

LOGALM("@tag");
LOGALM(script_variable);

VB Script: LOGALM "string"

LOGALM "@tag"
LOGALM script_variable

Argument: text string

See Also: LOGACT, <LOGALM>

Places Time Stamp, Date and Text string in the Alarm Log (does not make entry in alarm summary). Time and Date is when keymacro executed. Priority is 0.

Examples:

# tcl

LOGALM {USER ALARM LOG ENTRY}

// JScript

LOGACT("USER ALARM LOG ENTRY");

Rem VB Script

LOGACT "USER ALARM LOG ENTRY"

# tcl

#records contents of TEXTAG1 to Action Log

LOGACT @TEXTTAG1

# declares variable string1 to pass message

set string1 {The LOGALM tcl script ran to completion}

LOGALM $string1

// JScript

// records contents of TEXTAG1 to Action Log

LOGALM("@TEXTTAG1");

// declares variable string1 to pass message

var string1 = "The LOGALM JScript ran to completion";

LOGALM(string1);

Rem VB Script

LOGALM "@AC3_LABZAT1"

Rem declares variable string1 to pass message

Dim string1

string1 = "The LOGALM VB Script ran to completion"

LOGALM string1


12.4.22 MAIL

12.4.22 MAIL(Not supported by WinCE Edition(WebView &WebLink ))

Description: SMTP client package for sending text email via a local or remote SMTP-compliant mail server.

Syntax:

Tcl: MAIL {argument string}

MAIL $stringvariable

JScript: MAIL("argument string");

MAIL(stringvariable);

VB Script: MAIL "argument string"

MAIL stringvariable

Arguments:

"host=mailserver"
"port=port"
"subject=PUT SUBJECT HERE"
"from=valid email address"
"to=recipient@compay.com"
"to_add=anotherrecipient@company.com"
"cc=anotherrecipient@company.com"
"cc_add=anotherrecipient@company.com"
"bcc= anotherrecipient@company.com "
"bcc_add=recipient@company.com "
"body= Put message here. "
"body_add=Another Line for message. "
"send"

See Also: <MAIL> keymacro, GOTODAQ URL mailto

The MAIL Action Commands (and the equivalent keymacros) provide an easy interface for sending email messages from a Advantech WebAccess via a local or remote SMTP-compliant mail server. This package was written to be as portable as possible and is known to work on Windows systems. Email is sent from the Project Node, even if sent by a Web Client.

Special formatting characters are:

\n - starts a new line
\t - tabs the line
\\ - includes a single back slash \ in the message
\{ - includes a single curly bracket { in the message
\} - includes a single curly bracket } in the message

This MAIL package provides only the html and text transport mechanism -- no provisions have been made for attachments or other fancier email features. Text is the default. SMTP is supported. MIME and attachments are not supported. MAIL attempts to be as RFC-compliant as possible.

The MAIL Action commands put a simple interface around mail sending, requiring options for specifying the host (mail server), port, From, TO and SUBJECT. A Body option specifies the body of the message directly. One or more recipient email addresses should be specified using the to, cc, or bcc respective list-oriented options.

Advantech WebAccess SCADA nodes and Clients will send an email through an SMTP compatible mail server. By default, this is the Project Node. If the Project node is part of a domain, sending email to other users within the same domain does not usually require any additions. If mail must be sent outside of the mail server's domain, then the Project Node must connect to a computer that is part of the Internet, a so-called "Smart Host". During software installation on the Project Node, the user can specify a Smart Host that is usually the company's email server. By default, the Smart Host is mail.Advantech.com. This is set during software installation.

You can use any Smart Host with the MAIL "host=" command. You can change the default Smart Host from Internet Services Manager. See MAIL "host=" for more information. to the list of IP Addresses that can "relay" mail through the mail server.

An SMTP Server option in Internet Information Server (IIS) must be installed on the Project Node to use the default settings. If SMTP server is not installed on the project node, you will have to use the MAIL "host=yourSMTPserver" before each MAIL send command.

Troubleshooting

There is an error message log on the SCADA node at:
drive:\WebAccess\Node\project_scadanode\bwmail.log

TCL

In Tcl, it is recommended to use the curly brackets {} if possible to avoid interpreter from misunderstanding punctuation. If the contents must be evaluated by Tcl, like $variable or [GETVAL tagname], then double quote marks "" should be used as the delimiter.

Examples: #Tcl

MAIL host=67.94.27.200

MAIL port=25

MAIL {subject=PUT SUBJECT HERE}

MAIL subject=@SUBJECTTAG

MAIL to=recipient@compay.com

MAIL to_add=anotherrecipient@company.com

MAIL cc=anotherrecipient@company.com

MAIL cc_add=anotherrecipient@company.com

MAIL bcc=anotherrecipient@company.com

MAIL "bcc_add=$stringvariable"

MAIL {body= Put message here. }

MAIL "body_add=Another Line for message. "

MAIL {body_add=@ZT-184.ENUNIT}

MAIL "body_add= at [GETVAL %TTMTIME] on [GETVAL %TTMDATE]."

MAIL send

// JScript

MAIL("host=mailserver");

MAIL("port=25");

MAIL("subject=PUT SUBJECT HERE");

MAIL("from=valid email address");

MAIL("to=recipient@compay.com");

MAIL("to_add=anotherrecipient@company.com");

MAIL("cc=anotherrecipient@company.com");

MAIL("cc_add=anotherrecipient@company.com");

MAIL("bcc=anotherrecipient@company.com ");

MAIL("bcc_add=recipient@company.com ");

MAIL("body= Put message here. ");

MAIL("body_add=Another Line for message. ");

MAIL("send");

Rem VB Script

MAIL "host=mailserver"

MAIL "port=25"

MAIL "subject=PUT SUBJECT HERE"

MAIL "from=valid email address"

MAIL "to=recipient@compay.com"

MAIL "to_add=anotherrecipient@company.com"

MAIL "cc=anotherrecipient@company.com"

MAIL "cc_add=anotherrecipient@company.com"

MAIL "bcc=anotherrecipient@company.com "

MAIL "bcc_add=recipient@company.com "

MAIL "body= Put message here. "

MAIL "body_add=Another Line for message. "

MAIL "send"

Script Examples:

#Tcl Sample scr to send email

MAIL host=mail.Advantech.com

MAIL port=25

MAIL from=@FROMWHOTAG

MAIL from=carter@Advantech.com

MAIL subject=@SUBJECTTAG

MAIL to=@TOWHOtag

MAIL cc=tom@Advantech.com

MAIL bcc=infoe@Advantech.com

MAIL {body=Hello from Advantech WebAccess! }

MAIL {body_add=\nStart New Line. Then add text. }

MAIL {body_add=Add Text. Then start new line\n}

MAIL {body_add=\tSecond Line starts with a Tab. Start two new lines\n\n}

MAIL {body_add=Add a Slash to start\\stop.\n}

MAIL {body_add=\n}

MAIL {body_add=Add curly brackets for \{info\}\n\n}

MAIL {body_add=@MESSAGE1}

MAIL {body_add=\nThis is the current value of Tag ZT-184:}

MAIL {body_add=@ZT-184 }

MAIL {body_add=@ZT-184.ENUNIT}

MAIL "body_add= at [GETVAL %TTMTIME] on [GETVAL %TTMDATE]."

MAIL {body_add= \n\n}

MAIL {body_add=Regards,\n\n}

MAIL {body_add=\tTom Carter}

MAIL {body_add=\n\tAdvantech Automation Corp.}

MAIL send


12.4.22.1 MAIL host

12.4.22.1 MAIL host(Not supported by WinCE Edition(WebView &WebLink ))

Description: Optional. Specify a host other than the project node. Host should specify the host name, IP address, or domain name of the SMTP mail server to use for sending email. The name of the corporate network's SMTP server is most common.

Syntax:

tcl: MAIL host=address

JScript: MAIL("host=address");

VB Script: MAIL "host=address"

Argument: "Host=", Host name, IP address, full qualified domain name

See Also: MAIL

Examples: MAIL host=mail.Advantech.com
MAIL {host=67.94.27.200}
MAIL "host=mailserver.yourcompany.com"

Specifies an email Server other than the Project Node.

If no HOST is specified, the Email is sent the Outgoing SMTP Email Server specified in SCADA Node properties, even if from a script on a Web Client.

By default, the Project Node is the SMTP Server for all SCADA Nodes. Any Windows 2000 or XP Professional PC that has SMTP installed (see Internet Services Manager) can be specified. Of course, an SMTP service needs to be running on the Project Node to work.

The Project Node uses "Relaying" to send the email to a "Smart Host". Typically, the Smart Host is your corporate email server.

During Advantech WebAccess Installation, the SMART HOST for the Project Node is to set either the Mail Server entered (or mail.Advantech.com as the default smart host).

The Advantech WebAccess Project node will send an email through an existing SMTP compatible mail server. If the SCADA node is part of a domain, sending email to other users within the same domain does not usually require any changes to the mail server ( a smart host is not needed). If mail must be sent outside of the mail server's domain, then the SCADA Node must be added to the list of IP Addresses that can "relay" mail through the mail server or a "Smart Host" must be configured for SMTP server of the SCADA node.

Using the MAIL "host=scadanode_ip" is a way to have the mail come from the specific SCADA Node rather than the Project Node.

Troubleshooting

There is an error message log on the SCADA node at:
drive:\WebAccess\Node\project_scadanode\bwmail.log

Smart Host

In order for the Project Node to send emails outside of you local domain, it must relay messages to a computer that is part of the Internet, a so-called "Smart Host". Typically, this would be your company's email SMTP server or your Internet Service Provider' s (ISP). The Project Node (or what ever host you are using) must be enabled to relay messages on the Smart Host.

The Smart Host is specified during Installation on the Project Node. The default setting is mail.Advantech.com. If you would like to change the Smart Host used by the Project Node to send email, you can do this from the Internet Services Manager on the Project Node.

Modify Smart Host (Email Server) to accept messages from Advantech WebAccess

Assuming the EMAIL server is Microsoft, to add the SCADA Nodes IP address to the Mail Server list of nodes allowed to "Relay" messages, open Internet Services Manager on the Project Node

1. Start-> Settings-> Control Panel-> Administrative Tools-> Internet Service Manager

2. Select the name of the mail server computer to expand the tree (FTP Service, Web Service, SMTP, etc)

3. Right Click on SMTP

4. Select Properties

5. Select the Delivery Tab

6. Select Advances button

7. Under Smart Host, type the address of your SMTP mail server.

This can be an IP Address or the url (e.g. mail.company.com). You will need to get the exact name from your System Administrator. This is usually the same name used to setup an ordinary email account.

8. Select OK

9. Select OK a second time to close the default SMTP Server applet.

Relay Messages

Many Smart Hosts enable all addresses to relay messages through them. If for some reason your emails are not relayed by your "Smart Host", the system administrator may have restricted who can relay email messages through hi SMTP Server. The Project Node probably needs to be added to the list of IP addresses that can relay messages through your SMTP Smart Host.

In order for the Project Node to send emails outside of your local domain, it must be recognized by a computer that is part of the Internet, a so-called "Smart Host". Typically, this would be your company's email SMTP server or your Internet Service Provider (ISP). The Project Node (or what ever host you are using) must be enabled to relay messages on the Smart Host.

Assuming the EMAIL server is Microsoft, to add the SCADA Nodes IP address to the Mail Server list of nodes allowed to "Relay" messages

To Modify Email Server (Relay) after Installation of Advantech WebAccess

1. Start-> Settings-> Control Panel-> Administrative Tools-> Internet Service Manager

2. Select the name of the mail server computer to expand the tree (FTP Service, Web Service, SMTP, etc)

3. Right Click on SMTP

4. Select Properties

5. Select the Access Tab

6. Select Relay

7. Select ADD

8. Enter the IP Address of the SCADA Node

9. Select OK


12.4.22.2 MAIL port

12.4.22.2 MAIL port(Not supported by WinCE Edition(WebView &WebLink ))

Description: Optional. Specifies a TCP port number other than 25 or service name on which to perform the SMTP conversation with the server. Default port for most mail servers is port 25.

Syntax:

Tcl: MAIL port=number

JScript: MAIL("port=number");

VB Script: MAIL "port=number"

Argument: "port=", port number or service name

See Also: MAIL

Examples: MAIL "port=25"
MAIL port=23

Optional. If not specified the default port 25 is used. If the mail server uses other than the default, port 25, the port must be specified in the series.


12.4.22.3 MAIL subject

12.4.22.3 MAIL subject(Not supported by WinCE Edition(WebView &WebLink ))

Description: Subject is a single-line subject to be sent as a "Subject header" in the outgoing email.

S yntax:

Tcl: MAIL {subject=text}

JScript: MAIL("subject=text");

V B Script: MAIL "subject=text"

Argument: "subject=", text string, stringvariable

See Also: MAIL

Examples: MAIL {subject=ALARM Notification}
MAIL {subject=High Temperature in Unit 7}

MAIL {subject=@tag1}

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "subject=" entry.


12.4.22.4 MAIL from

12.4.22.4 MAIL from(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address should specify the email address that mail will be From, in a form like sender@company.com or "Advantech WebAccess <node1@mycompany.com>".

S yntax:

Tcl: MAIL {from=sender@mailserver.com}

JScript: MAIL("from=sender@mailserver.com");

V B Script: MAIL "from=sender@mailserver.com"

Argument: "from=", valid email address

See Also: MAIL

Examples: MAIL {from=Advantech WebAccess@Advantech.com}

MAIL from=Advantech WebAccess@Advantech.com
MAIL {from=@tag2}

MAIL "from=$variable"

A valid email address should specify the email address that mail will be `From', in a form like tcarter@Advantech.com or - from "Tom Carter <tcarter@Advantech.com>".

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "from=" entry.


12.4.22.5 MAIL to

12.4.22.5 MAIL to(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address that mail will be sent to, in a form like recipient@company.com

S yntax:

Tcl: MAIL {to=recipient@mailserver.com}

JScript: MAIL("to=recipient@mailserver.com");

V B Script: MAIL "to=recipient@mailserver.com"

Argument: "to=", valid email address

See Also: MAIL, MAIL "cc=", MAIL "bcc="

Examples: MAIL {to=Advantech WebAccess@Advantech.com}
MAIL "to=Supervisor1 <info@Advantech.com>"

MAIL to=Advantech WebAccess@Advantech.com
MAIL {to=@tag2}

MAIL "to=$variable"

A valid email address should specify the email address that mail will be `TO', in a form like tcarter@Advantech.com or -from "Tom Carter <tcarter@Advantech.com>". The address is added to the "To:" header and to the list of recipients.

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "to=" entry.


12.4.22.6 MAIL to_add

12.4.22.6 MAIL to_add(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds another email address that the mail will be sent to, in a form like recipient@company.com

S yntax:

tcl: MAIL {to_add=recipient2@mailserver.com}

JScript: MAIL("to_add=recipient2@mailserver.com");

V B Script: MAIL "to_add=recipient2@mailserver.com"

Argument: "to_add=", valid email address

See Also: MAIL, MAIL "cc=", MAIL "bcc="

Examples: MAIL {to_add=Advantech WebAccess@Advantech.com}

MAIL to_add=Advantech WebAccess@Advantech.com
MAIL "to_add=Supervisor1 <info@Advantech.com>"

MAIL {to_add=@tag2}

MAIL "to_add=$variable"

A valid email address should specify the email address that mail will be `TO', in a form like tcarter@Advantech.com or -from "Tom Carter <tcarter@Advantech.com>". The address is added to the "To:" header and to the list of recipients. Can be repeated as many times as required to build a list of multiple recipients

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "to_add" entry.


12.4.22.7 MAIL cc

12.4.22.7 MAIL cc(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address that mail will be sent as "carbon copy", in a form like recipient@company.com

S yntax:

tcl: MAIL {cc=recipient@mailserver.com}

JScript: MAIL("cc=recipient@mailserver.com");

V B Script: MAIL "cc=recipient@mailserver.com"

Argument: "cc=", valid email address

See Also: MAIL, MAIL "to_add", MAIL "bcc="

Examples: MAIL cc_add=Advantech WebAccess@Advantech.com
MAIL "cc_add=Advantech WebAccess@Advantech.com"
MAIL {cc_add=Supervisor1 <info@Advantech.com}

MAIL {cc=@tag2}

MAIL "cc=$variable"

A valid email address should specify the email address that mail will be sent as`CC', in a form like tcarter@Advantech.com or -from "Tom Carter <tcarter@Advantech.com>". The address is added to the "CC:" header and to the list of recipients.

Must be specified before each MAIL "send' command. MAIL "send" clears the buffer of any previous MAIL "cc" entry.


12.4.22.8 MAIL cc_add

12.4.22.8 MAIL cc_add(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds another email address that the mail will be sent as "carbon copy", in a form like recipient@company.com

S yntax:

tcl: MAIL {cc_add=recipient2@mailserver.com}

JScript: MAIL("cc_add=recipient2@mailserver.com");

V B Script: MAIL "cc_add=recipient2@mailserver.com"

Argument: "Chad", valid email address

See Also: MAIL, MAIL "to_add", MAIL "bcc"

Examples: MAIL cc_add=Advantech WebAccess2@Advantech.com
MAIL "cc_add=webacces2@Advantech.com"
MAIL {cc_add=Supervisor1 <info@Advantech.com}

MAIL {cc_add=@tag2}

MAIL "cc_add=$variable"

A valid email address should specify the email address that mail will be sent as`CC', in a form like tcarter@Advantech.com or -from "Tom Carter <tcarter@Advantech.com>". The address is added to the "CC:" header and to the list of recipients. Can be repeated as many times as required to build a list of multiple recipients

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "cc_add" entry.


12.4.22.9 MAIL bcc

12.4.22.9 MAIL bcc(Not supported by WinCE Edition(WebView &WebLink ))

Description: A valid email address that mail will be sent as "blind carbon copy", in a form like recipient@company.com. This address will be hidden from other recipients.

S yntax:

Tcl: MAIL {bcc=recipient@mailserver.com}

JScript: MAIL("bcc=recipient@mailserver.com");

V B Script: MAIL "bcc=recipient@mailserver.com"

Argument: "bcc=", valid email address

See Also: MAIL, MAIL "cc", MAIL "to_add"

Examples: MAIL bcc=Advantech WebAccess@Advantech.com
MAIL {bcc=Supervisor1 <info@Advantech.com>}

MAIL {bcc=@tag2}

MAIL "bcc=$variable"

A valid email address should specify the email address that mail will be sent as `BCC', in a form like tcarter@Advantech.com or -from "Tom Carter <tcarter@Advantech.com>". The address is added to the "BCC:" header and to the list of recipients.

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "bcc" entry.


12.4.22.10 MAIL bcc_add

12.4.22.10 MAIL bcc_add(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds another email address that the mail will be sent as "carbon copy", in a form like recipient@company.com This address will be hidden from other recipients.

S yntax:

tcl: MAIL {bcc_add=recipient@mailserver.com}

JScript: MAIL("bcc_add=recipient@mailserver.com");

V B Script: MAIL "bcc_add=recipient@mailserver.com"

Argument: "bcc_add=", valid email address

See Also: MAIL, MAIL "cc", MAIL "bcc"

Examples: MAIL bcc_add=Advantech WebAccess2@Advantech.com
MAIL {bcc_add=Supervisor2 <info@Advantech.com>}

MAIL {bcc_add=@tag2}

MAIL "bcc_add=$variable"

A valid email address should specify the email address that mail will be sent as "BCC", in a form like tcarter@Advantech.com or -from "Tom Carter <tcarter@Advantech.com>". The address is added to the "BCC:" header and to the list of recipients. Can be repeated as many times as required to build a list of multiple recipients

Must be specified before each MAIL "SEND command. MAIL "SEND clears the buffer of any previous MAIL "BCC_ADD entry.


12.4.22.11 MAIL body

12.4.22.11 MAIL body(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds first line of text to the "Body" of this email message.

S yntax:

Tcl: MAIL {body=text line 1}

JScript: MAIL("body=text line 1");

V B Script: MAIL "body=text line 1"

Argument: "body=", text string

See Also: MAIL, MAIL body_add

Examples: MAIL {body=Hello from Advantech WebAccess }
MAIL "body= ZT-184 alarm [GETVAL ZT-184] Degf at [GETVAL %TTMTIME]."

The text of the message. It is optionally separated by newline (\n) characters from any following lines added with MAIL "body_add=". User must perform all line wrapping. The text will be sent verbatim. Must be specified before each MAIL "send" command. MAIL "send "clears the buffer of any previous MAIL "body" entry.

It is recommended to use the curly brackets {} if possible avoid interpreter from misunderstanding punctuation. If the contents must be evaluated by Tcl, like $variable or [GETVAL tagname], then quote marks "" should be used as the delimiter.

This MAIL package provides only the html and text transport mechanism -- no provisions have been made for attachments or other fancier email features. Text is the default. SMTP is supported. MIME and attachments are not supported. MAIL attempts to be as RFC-compliant as possible.


12.4.22.12 MAIL body_add

12.4.22.12 MAIL body_add(Not supported by WinCE Edition(WebView &WebLink ))

Description: Adds text to the "Body" of this email message.

S yntax:

Tcl: MAIL {body_add=text line 2}

JScript: MAIL("body_add=text line 2");

V B Script: MAIL body_add=text line 2"

Argument: "body_add=", text string, new line character (/n)

See Also: MAIL, MAIL "body"

Examples: MAIL {body_add=\nAdvantech WebAccess TCL Script example. \n}

MAIL {body_add=\nStart New Line. Then add text. }

MAIL {body_add=Add Text. Then start new line\n}

MAIL {body_add=\tSecond Line starts with a Tab. Start two new lines\n\n}

MAIL {body_add=Add a Slash to start\\stop.\n}

MAIL {body_add=\n}

MAIL {body_add=Add curly brackets for \{info\}\n\n}

MAIL {body_add=@MESSAGE1}

MAIL {body_add=\nThis is the current value of Tag ZT-184:}

MAIL {body_add=@ZT-184 }

MAIL {body_add=@ZT-184.ENUNIT}

MAIL {body_add=@ZT-184.ENUNIT}

MAIL "body_add= at [GETVAL %TTMTIME] on [GETVAL %TTMDATE]."

MAIL {body_add= \n\n}

MAIL {body_add=Regards,\n\n}

MAIL {body_add=\tTom Carter}

MAIL {body_add=\n\tAdvantech Technology Inc.}

Follows a MAIL "body=" command to add additional text to the original BODY of the message. The text value should be one line of text. It is optionally separated by newline (\n) characters from any following lines added with MAIL "body_add=". The user must perform all line wrapping. The text will be sent verbatim, line-by-line, except if longer than 998 characters. Lines longer than 998 characters will be split, not necessarily at word boundaries, to comply with RFC 821, so it's a really good idea to do line wrapping using the new line characters /n, before passing your text.

Must be specified before each MAIL "send" command. MAIL "send" clears the buffer of any previous MAIL "body=" and MAIL "body_add" entries.

It is recommended to use the curly brackets {} if possible avoid interpreter from misunderstanding punctuation. If the contents must be evaluated by Tcl, like $variable or [GETVAL tagname], then quote marks "" should be used as the delimiter.

Special formatting characters are:

\n - starts a new line
\t - tabs the line
\\ - includes a single back slash \ in the message
\{ - includes a single curly bracket { in the message
\} - includes a single curly bracket } in the message

This MAIL package provides only the html and text transport mechanism -- no provisions have been made for attachments or other fancier email features. Text is the default. SMTP is supported. MIME and attachments are not supported. MAIL attempts to be as RFC-compliant as possible.


12.4.22.13 MAIL send

12.4.22.13 MAIL send(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends text email, built using series of MAIL Action Commands, via a local or remote SMTP-compliant mail server. Clears all MAIL buffers

Syntax:

Tcl: MAIL SEND

JScript: MAIL("SEND");

VB Script: MAIL "SEND"

Argument: "SEND"

See Also: MAIL

Examples: MAIL SEND

The MAIL "send" command (and the equivalent Keymacro commands) sends an email built using the related MAIL commands: host, port, to, from, subject, to, cc, bcc, and body.

If no HOST is specified, the Email is sent from the Outgoing SMTP Email Server specified in SCADA Node properties, even if from a script on a Web Client.

This MAIL package provides only the text transport mechanism -- no provisions have been made for attachments or other fancier email features. SMTP is supported. MIME and attachments are not supported. MAIL attempts to be as RFC-compliant as possible.

The MAIL commands put a simple interface around mail sending, requiring options for specifying the host (mail server), port, From, TO and SUBJECT. A Body option specifies the body of the message directly. One or more recipient email addresses should be specified using the to, cc, or bcc respective list-oriented options.

The Advantech WebAccess SCADA node will send an email through an existing SMTP compatible mail server. If the SCADA node is part of a domain, sending email to other users within the same domain does not usually require any changes to the mail server (the host). If mail must be sent outside of the mail server's domain, then the SCADA Node must be added to the list of IP Addresses that can "relay" mail through the mail server.


12.4.22.14 MAIL type

12.4.22.14 MAIL type(Not supported by WinCE Edition(WebView &WebLink ))

Description: Optionally, specifies Text or HTML type format of email.

Syntax:

Tcl: MAIL type=number

JScript: MAIL("type=number");

VB Script: MAIL " type=number"

Argument: "type=",
0 = text (default)
1 = html

See Also: MAIL

Examples:

#TCL

 MAIL {type=1}

// JScript

 MAIL("type=1");

Rem VB Script

 MAIL "type=1"

The MAIL type is optional and by default is text-type format for your email message. MAIL "type" is used to specify an HTML format to your email. If using HTML type, your script must contain all the html tags and formatting.


12.4.23 MCISEND

12.4.23 MCISEND(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends an MCI command string to multimedia devices including wave audio, Voice, MIDI, and Video. Downloads MCI file to client, if not found in local client directory.

Syntax:

Tcl: MCISEND {mci command device arguments}

MCISEND "mci command device arguments"

JScript: MCISEND ("mci command device arguments");

VB Script: MCISEND "mci command device arguments"

Argument: MCI command string

Returns: none

See Also:

Examples: # Tcl example 1 -  play thank you wave file

MCISEND {close wave}

MCISEND {open thankyou.wav type WaveAudio alias wave wait}

MCISEND {play wave}

# Tcl example 2 - open clap wave and play it

MCISEND "open waveaudio!clap.wav alias wave wait"

MCISEND "play wave"

# Tcl example 3 - open and play a MIDI file

MCISEND "open applause.mid type sequencer alias midi wait"

MCISEND "play midi"

MCISEND sends an MCI command string to multimedia devices including wave audio, Voice, MIDI, and Video. The MCI files should be located in project root directory (not bgr). The recommended location is:
drive:\WebAccess\node\config\projectname_nodename

Media Files requested by the "open" command will be downloaded to the client if it does not exist in the local client project directory. The Media file must have a file extension in order for the parser to determine it is a file. (actually, a dot or period is needed by the parser to distinguish the media file name). The source file must be in the project root directory of the SCADA node.

WARNING - large media files can require long time to download and can effectively lock-up your client while the download takes place. Be careful of using large media files.

Device Driver must be installed on Client

The client must have the appropriate Media Player device driver installed. Advantech WebAccess is only sending a command to the media player (and will download the media data file). For example, to play a sound wave file (*.wav), a sound card and speaker(s) must be installed on the client computer. Advantech WebAccess will not use the default speaker to play wave files (unless the wave audio driver installed on the client supports it). Similarly, Advantech WebAccess will not play MIDI sounds (*.mid) unless a MIDI sequencer and speaker(s) are installed on the client . Some example device drivers are:

cdaudio MCICDA.DRV

MMMovie MCIMMP.DRV

sequencer MCISEQ.DRV

videodisc MCIPIONR

waveaudio MCIWAVE.DRV

Device names supported by MCI command

There are several device types that are supported in the MCI standard. The devices are

cdaudio - CD Audio player

dat - Digital audio tape player

digitalvideo - Digital video in a window, not GDI based

MMMovie - Multimedia Movie Player

other - Undefined MCI device

overlay - Overlay device e.g. analogue video in a window

scanner - Image scanner

sequencer - MIDI sequencer

vcr - Videotape player or recorder

videodisc - Videodisc player

waveaudio - Audio device that plays digitized waveform files e.g. soundblaster card.

Example of MCI commands.

A device needs to be opened before it will accept any other commands and it must be closed after you have finished with it.
A typical use of MCI in a script will have lines similar to the following:

# Tcl

MCISEND {open cdaudio}

MCISEND {play cdaudio}

MCISEND {stop cdaudio}

MCISEND {close cdaudio}

Obviously there is a need to have a pause between the first two and the last two commands here! If the stop command or close command is issued immediately after the play command, nothing happens. It is possible to give a device an alias in the open command string and then use this alias in all the other commands, for example:

# Tcl

MCISEND {open applause.wav type WaveAudio alias wave wait}

MCISEND {play wave}

The wait flag

Normally MCI functions return control to the user immediately, even if the command takes several minutes to complete the action e.g. a tape starts to rewind but control is returned before the rewinding finishes which continues in the background. Adding the option wait to a command string tells MCI to wait until the requested action is complete e.g.

# Tcl

MCISend {play z wait}

will play the whole CD before returning control to the application.

Using all as a device name

It is possible to use all as the device name for any command that does not return data. The most common use would probably be:

MCISend {close all}

The MCISEND action command will interact with the <MCISEND> keymacro assigned to pushbuttons on displays. For example, a script might load the MCI file and wait for the pushbutton keymacro to play the MCI file.

See also %TMCIERROR, MCISEND, <MCISEND>, Play a wav file catch and display errors.


12.4.24 MCREXEC

Description: Execute a KEY MACRO file. Downloads the file if it does not exist or a newer version exists on SCADA node.

Syntax:

Tcl: MCREXEC filename.mcr

JScript: MCREXEC("filename.mcr");

VB Script: MCREXEC "filename.mcr"

Argument: file name

Returns: none

See Also: SCREXEC, Keymacros Commands

Tcl Example: MCREXEC shutdown.mcr

These are the same pushbutton keymacro commands used on displays. To execute very long keymacro commands, a file is used. MCREXEC does not execute immediately. Instead, it is placed in the keymacro queue, then executed after the script ends. If the keymacro file is not found on the client, it will be downloaded from the SCADA node. This command is supported by screen scripts only.

The keymacro file can be multi-line and up to 1000 characters per line. The Keymacro file is usually created using the keymacro file button in the graphics builder or from the menu bar (Tools->Macro file).

Keymacros commands are used to change displays, acknowledge alarms, and call up dialog boxes and other "pushbutton" functions. Common key macros include <GOTO>GRAPH=, <ALMACK>, and <DIALOG>POINTINFO.


12.4.25 RCPCLOSE

Description: Closes a recipe opened with the RCPOPEN command.

Syntax:

Tcl: RCPCLOSE

JScript: RCPCLOSE();

VB Script: RCPCLOSE

Argument: none

See Also: RCPOPEN, RCPDOWNLOAD

Tcl or VB Example: RCPCLOSE

Closes any Recipe File opened with the RCPOPEN command. Intended for use on user built displays. Intended to prevent accidental downloads with the RCPDOWNLOAD keymacro by closing any open recipe file. Will close the Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.


12.4.26 RCPDOWNLOAD

Description: Downloads the specified Recipe or downloads an open recipe if no recipe file is specified

Syntax:

Tcl: RCPDOWNLOAD
RCPDOWNLOAD RecipeFile.RCP^UnitName^Recipe

JScript: RCPDOWNLOAD();
RCPDOWNLOAD("RecipeFile.RCP^UnitName^Recipe");

VB Script: RCPDOWNLOAD
RCPDOWNLOAD "RecipeFile.RCP^UnitName^Recipe"

Argument: Recipe File, Unit Name, Recipe Name

See Also: RCPOPEN, RCPCLOSE, <DIALOG>RECIPE, <GOTO>RECIPE=

Examples:

# Tcl

RCPDOWNLOAD PAINT.RCP^Mixer1^SkyBlue

# Tcl example 2
RCPOPEN PAINT.RCP^Mixer1^SkyBlue
RCPDOWNLOAD
RCPCLOSE

Downloads to the specified Unit, the Recipe from the Recipe File. If no Recipe File specified, downloads the recipe opened with the RCPOPEN command. Intended for use on user built displays. Will download the Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.


12.4.27 RCPOPEN

Description: Opens the specified Recipe from a User Built Display. Allows recipe to be modified prior to download.

Syntax:

Tcl: RCPOPEN RecipeFile.RCP^UnitName^Recipe

JScript: RCPOPEN("RecipeFile.RCP^UnitName^Recipe");

VB Script: RCPOPEN "RecipeFile.RCP^UnitName^Recipe"

Argument: Recipe File, Unit Name, Recipe Name

See Also: RCPDOWNLOAD, RCPCLOSE, <DIALOG>RECIPE, <GOTO>RECIPE=

Examples:

# Tcl

RCPOPEN STARTUP.RCP^AHU1^Startup1

RCPSCALE 1.2

RCPDOWNLOAD

RCPCLOSE

Opens the Recipe File and the specified Unit and the Recipe. Allows recipe to be modified prior to download using <RCPSCALE> keymacro or changing the %TRCP2() system tag. Intended for use on user built displays. Will close any other Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.


12.4.28 RCPSCALE

Description: Scales entire recipe by a multiplier prior to download from a User Built Display. Recipe is that opened with RCPOPEN.

Syntax:

Tcl: RCPSCALE number

JScript: RCPSCALE("number");

VB Script: RCPSCALE "number"

Argument: multiplier

Returns: none

See Also: RCPOPEN, RCPDOWNLOAD, Recipes

Examples:

# Tcl

set x1 [GETVAL FACTOR1]
RCPSCALE $x1

Scales an open Recipe by a multiplier. Allows recipe to be modified prior to download. Intended for use on user built displays. Will scale the Recipe opened with <RCPOPEN> keymacro executed from any display or a script using the RCPOPEN Action Command.

If recipe is in batch units, scale represents total batch size.


12.4.29  SCANSCREEN

Description: (Supported by only some device types including: LANSTAR I) Updates all constant scan IO tags on current display. Interrupts normal scanning by communications driver to include immediate request for update of tags on current display. This replaces the "spacebar update" from StarView. Note that Display Scan tags are updated when screen is called or refreshed.

Syntax:

Tcl: SCANSCREEN

JScript: SCANSCREEN();

VB Script: SCANSCREEN

Argument: none

See Also: SCANTAG

Example: SCANSCREEN


12.4.30 SCANTAG

Description: (Supported by only some device types including: LANSTAR I) Updates selected constant scan IO tag. Interrupts normal scanning by communications driver to include immediate request for update the selected tag. Note that Display scan tags are updated when screen is called or refreshed.

Syntax:

Tcl: SCANTAG tagname

JScript: SCANTAG("tagname");

VB Script: SCANTAG "tagname"

Argument: none

See Also: SCANSCREEN

Examples:

# Tcl

SCANTAG 01_DO_03

SCANTAG @%TPICKTAG

The tagname can be specified in order to only update that one tag. Use the %TPICKTAG tag to allow a single button for use with all tags on the screen. Any text type tag can be used to contain the name of the tag using the @ sign.


12.4.31 SCREXEC

Description: Execute an external script. Downloads the file if it does not exist or if a newer version exists on SCADA node. Performs the script commands found in the file SCREXEC should be used instead of the "source" command in Tcl. Assumes script is of same type (e.g. Tcl can only call another Tcl, JScript can call only another JScript, VB Script can only call another VB Script).

Syntax:

Tcl: SCREXEC filename

JScript: SCREXEC("filename");

VB Script: SCREXEC "filename"

Argument: file name, optionally path

Returns: error or return defined in script

See Also: catch, source, MCREXEC, SCRLOOP

SCREXEC will download the called script file if it does not exist, then execute the Script.

The script must of same type (e.g. Tcl can only call another Tcl, JScript can call only another JScript, VB Script can only call another VB Script).

SCREXEC replaces the source command in standard Tcl . It is recommended to use the SCREXEC instead of source. The limitation of the source command is that it will not download the source file to the client.

This command takes the contents of the specified file or resource and passes it to the script interpreter as a text script. The return value from source is the return value of the last command executed in the script. If an error occurs in evaluating the contents of the script then the SCREXEXC action will return that error. If a return command is invoked from within the script, then the remainder of the file will be skipped and the SCREXEC action will return normally with the result from the return command. SCREXEC will return the value of any returns in the source script.

The most common error is :
couldn't read file "filename": no such file or directory .

To see this error, you should use the catch (Tcl), On Error (VB Script), or try catch (JScript) commands. Note that ACTION commands do not return errors other than syntax.

The SCREXEC action can be used like the include command in c programs. It is most commonly used to call an external script. The external script can be a set of procedures. SCREXEC is most commonly used for large complex procedures or subroutines that do not need to be modified, but are called in a simple smaller script. If the called script contains declaration of global variables, that script needs to run only once each time the script environment starts ( for example as long as the window is running for a screen script or the system is running for a global script). See global for more description.

In Advantech WebAccess, SCREXEC can be used in lieu of the package command found in other scripting implementations. The method would be implemented using a start-up script and declaring global variables and procedures.

Examples:

# Tcl example 1

SCREXEC sourcein.scr

# Tcl example 2 - relative path

SCREXEC ../bgr/sourcein.scr

# Tcl example 3 - absolute path

SCREXEC c:/webacccess/LiveDEMO_SCADAnode1/bgr/sourcein.scr

# Tcl example 4 - runs script source.scr - traps and displays if error

# occurs- Failed. couldn't read file "sourcein.scr": no such file

# or directory (assuming text and text50 are tags on a display)

if {[catch [list SCREXEC sourcein.scr] err]} {

   SETVAL "text=Failed. $err "

   SETVAL text50=[string range $err 61 112]

   }

Rem DebugVBScript.vbs - a VB Script

Rem to print errors of other VB scripts.

Dim fso, filespec, msg

Set fso = CreateObject("Scripting.FileSystemObject")

filespec = GETVAL("TestScriptName")

On Error Resume Next

SCREXEC filespec

WINEXEC "BWSPOOL.EXE"

If (fso.FileExists(filespec)) Then

msg = filespec & " exists."

BWSPOOL msg

BWSPOOL VbCrLf

If Err.Number <> 0 Then

rem print error number and description

BWSPOOL "Error # " & CStr(Err.Number) & " " & Err.Description

SETVAL "ERROR=" & CStr(Err.Number) & " " & Err.Description

rem print carriage return and line feed

BWSPOOL VbCrLf

Else

BWSPOOL "No reported errors "

BWSPOOL filespec

BWSPOOL VbCrLf

End If

// DebugJScript.js - a JScript

// open the spooler window to print the file

WINEXEC("BWSPOOL.EXE");

BWSPOOL("\r\n"); //print a carriage return and line feed

var e, fso, f, s, filespec, ForReading;

ForReading = 1, s = "", e = "No reported errors.";

// get the name of the file to run from a text tag

filespec = GETVAL("TestScriptname");

// Run the script and catch any errors.

try {

SCREXEC(filespec);

BWSPOOL("Try to run ");

BWSPOOL(filespec);

BWSPOOL("\r\n");

// Test if it exists

s = filespec;

fso = new ActiveXObject("Scripting.FileSystemObject");

if (fso.FileExists(filespec)) {

s += " found.";

}

else

{

s += " file not found.";

e = " file not found.";

}

BWSPOOL(s);

BWSPOOL("\r\n");

} catch (e) {

// print any errors

BWSPOOL(e);

} finally {

}

if (e == "No reported errors.")

BWSPOOL(e);

# DebugTclScript.scr - a Tcl script

# Open Message spooler window

WINEXEC BWSPOOL.EXE

# Exit if it calls itself, it will loop endlessly

# trim blank characters

set scriptname [string trim [GETVAL TestScriptname]]

BWSPOOL "Requested script is "

BWSPOOL $scriptname

BWSPOOL "\r\n" #print Carriage return and line feed

if {$scriptname == "DebugTclScript.scr"} then {

BWSPOOL "don't call itself. Will create an endless loop."

return

}

# Run the script put errors in err

catch "SCREXEC [GETVAL TestScriptname]" err

if {[file exists [GETVAL TestScriptname]]} then {

#figure out if blank - No errors

set msglength [string length $err]

if {$msglength <= 0} then {

set err "No reported errors."

}

BWSPOOL $err

} else {

BWSPOOL "[GETVAL TestScriptname] ... File not found."

}

BWSPOOL "\r\n"

SETVAL ERROR=$err

SETVAL ERRORL2=[string range $err 71 140]


12.4.32 SCRLOOP

Description: Execute an external script repeatedly (loop). Downloads the file if it does not exist or a newer version exists on SCADA node. Script will repeat until SCRSTOP.

Syntax:

Tcl: SCRLOOP filename

SCRLOOP path/filename

SCRLOOP filename,frequency,repeats

SCRLOOP filename,frequency,0

SCRLOOP filename, 0.0, repeats

SCRLOOP {filename, frequency, repeats}

JScript: SCRLOOP("filename");

SCRLOOP("filename,frequency,repeats");

VB Script: SCRLOOP "filename"

SCRLOOP "filename,frequency,repeats"

Argument: file name, path, frequency, repeats
frequency range (0.025 - 400 seconds) , 0.0 uses default script frequency = 0.5 sec.
repeats = 0 is forever until SCRSTOP

Returns: none

See Also: SCREXEC, source, MCREXEC

Examples:

#Tcl example 1 - repeat forever

SCRLOOP playwarning.scr

#Tcl example 2 - loop script every 3 seconds until scrstop

SCRLOOP playwarning.scr,3.0,0

#Tcl example 3 - loop script every 3 seconds, repeat 20 times

SCRLOOP playwarning.scr,3.0,20

SCRLOOP will download the called script file if it does not exist, then enter the script into the program queue for that display to repeat continuously (loop) until the number of repeats is reached or until SCRSTOP command. If repeats = 0 or no repeat specified, script will loop forever or until SCRSTOP. SCRLOOP does not execute immediately. Instead, it is placed in the program queue, then executed after the script ends. If the called script is not found on the client, it will be downloaded from the SCADA node. This command is supported by screen scripts only.

The called script will begin to loop after the calling script ends. Only a SCRSTOP command will terminate the looping script permanently. The keymacro <SCRSTOP> will stop the loop also, as well as the SCRSTOP command executed from any script from any display within the calling task (i.e. client window).

Only one script can loop per program space (i.e. per client window).

If no arguments are specified, then the script will loop at the default script frequency until SCRSTOP. The default script frequency is 0.5 seconds. If spaces are used in the argument string then curly brackets {} or quotes"" are required.

The playwarning.scr script called in example 1 above:

# Tcl countdown

MCISEND {play warn from 1}

set x [GETVAL analog1]

SETVAL analog1=[expr $x - 3]

If the looping script uses local screen tags not found on the new display, changing displays will temporarily stop the script from looping. (For example if analog1 in the above example is a screen tag, not a constant point). But, upon return to the display, the called script will continue to repeat without additional SCRLOOP commands since the local screen tags will become available to the script.


12.4.33 SCRSTOP

Description: Stops any looping script called by the SCRLOOP command..

Syntax:

Tcl: SCRSTOP

JScript: SCRSTOP();

VB Script: SCRSTOP

Argument: none

Returns: none

See Also: SCRLOOP, <SCRSTOP>,<SCRLOOP>

Examples: SCRSTOP

SCRSTOP will stop any looping script called by SCRLOOP in the current task (i.e. client window). The keymacro <SCRSTOP> will perform the same function. The SCRSTOP command can be executed from any script from any display within the calling task (i.e. client window). Only one script can loop in any task (i.e. client window or display group window). SCRSTOP will not halt a looping script running in a separate display window or separate client window. SCRSTOP will stop a script called by the keymacro <SCRLOOP> if executed in the same task or client window.


12.4.34.1 SENDCMD

12.4.34 SENDCMD

Description: Send macro commands to other ViewDAQs or View clients.

Syntax:

Tcl: SENDCMD dspname:daqname=<keymacro>string

JScript SENDCMD("dspname:daqname=<keymacro>string");

VBScript SENDCMD "dspname:daqname=<keymacro>string"

Argument: "Display_Group_Name:ViewDAQ_Name=<keymacro><keymacro2>"

See Also: Pushbutton Key Macros, Display Group Name, <SENDCMD>, SENDVDO, SENDPTZ, <DIALOG>VIDEO, GOTO URL=vdo, <GOTO>URL=vdo,<GOTO>VIDEO,<GOTO>WEBCTRL,
17.2.3.1 Video Popup Key Macro <GOTO>URL

The SENDCMD feature also allows users to control local ViewDAQs using Scripts, both Local Scripts and Global scripts. Sends keymacro commands to all ViewDAQs with the Display Group Name and the ViewDAQ Name, set as dspname:daqname.

The ViewDAQ Name (daqname) is optional. Will send keymacro commands to all ViewDAQs with dspname as the Display Group Name if daqname is omitted.

To send macro to all ViewDAQs, set dspname:daqname as an empty string (e.g., SENDCMD=<macro>).

Examples:

// JScript - DLOGlist.js

var groupnumber

groupnumber = GETVAL("group");

SENDCMD("main:untitled=<GOTO>DLOGTRD=" + groupnumber);


12.4.34.2 SENDPTZ

12.4.34.1 SENDPTZ(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends Point Tilt Zoom command (PTZ) to Video Cameras

Syntax:

Tcl: SENDPTZ window=videotype#ip=address&options

JScript: SENDPTZ("window=videotype#ip=address&options");

VB Script: SENDPTZ "window=videotype#ip=address&options"

Argument: Window is the user defined name given the Video Display Window. Video type is named after the Advantech WebAccess camera Driver. Address is an IP address, URL or network name. Options include paths to CGI scripts, port numbers, trim, and flag. Many options are camera dependent and are strings required by the specific manufacturer and model.

&cgi= used to specify a cgi script or path

&flag= used <SENDVDO>daq command to set toolbar, status bar, Title bar and ViewDAQ options.
&flag=2147519873 will remove the Title bar, Menu Bar, Toolbar, status bar and display only the Graphic Display.

#ip= specifies the IP Address, URL, HOST Name or other valid network address to the camera. #ip=67.94.27.161 uses the IP address. #ip=sprout.warwick.ac.edu uses a url.

&port= is used to specify a TCP or UDP port to the camera. &port=8080 will use port 8080.

See Also: SENDVDO, <DIALOG>VIDEO, GOTO URL=vdo, <GOTO>URL=vdo,<GOTO>VIDEO,<GOTO>WEBCTRL,
17.2.3.1 Video Popup Key Macro <GOTO>URL
17.2.3 Draw Video in User Graphic Display

Examples:

The canon video camera handles preset functions. The following can be used to switch the Canon camera to its preset positions. (Tcl or VB Script):

SENDPTZ "v1=canonvc#ip=ip_address&port=port_num&cgi=-wvhttp-01-/OperateCameraPreset&cmd=value=preset_num"

Send commands to View in Graph

SENDPTZ can send commands to View in Graph. SENDCMD can be used to send macro commands to View/ViewDAQ but not View in Graph. In order to let users to send macro commands to View in Graph, we implemented an enhancement for SENDPTZ. The syntax is:

Macro: <SENDPTZ>name=daq#macro

Tcl Script: SENDPTZ name=daq#macro

VB Script: SENDPTZ "name=daq#macro"

JAVA Script: SENDPTZ("name=daq#macro");

Where name is the name of Video Display and macro is the macro commands intended for View contained in the Video Display.

To send macro commands to View in View/ViewDAQ which is usually invoked using “<GOTO>URL=daq: … ”, please use the same SENDPTZ syntax without name. That is:

Macro: <SENDPTZ>=daq#macro

Tcl Script: SENDPTZ =daq#macro

VB Script: SENDPTZ "=daq#macro"

JAVA Script: SENDPTZ("=daq#macro");

View in Graph is where a window is created inside a bgr using “Draw Video”. Then use a uti:daq command to call a graphic display rather than a video camera. See 4.5-2005.07.05 notes for more information about view in graph.

Please note that neither View in Graph nor the enhancement for SENDPTZ is officially supported.


12.4.34.3 SENDVDO

12.4.34.2 SENDVDO(Not supported by WinCE Edition(WebView &WebLink ))

Description: Sends Video Camera image to a Video Display Window drawn on the Display. Video Display Window is drawn from the Dynamic Menu pick in DRAW.

Syntax:

Tcl: SENDVDO window=videotype#ip=address&options

JScript: SENDVDO("window=videotype#ip=address&options");

VB Script: SENDVDO "window=videotype#ip=address&options"

Argument: Window is the user defined name given the Video Display Window.
Video type is named after the Advantech WebAccess camera Driver.
Address is an IP address, URL or network name.
Options include paths to CGI scripts, port numbers, trim, and flag. Many options are camera dependent and are strings required by the specific manufacturer and model.

&cgi= used to specify a cgi script or path

&flag= used SENDVDO daq command to set toolbar, status bar, Title bar and ViewDAQ options.
&flag=2147519873 will remove the Title bar, Menu Bar, Toolbar, status bar and display only the Graphic Display.

#ip= specifies the IP Address, URL, HOST Name or other valid network address to the camera. #ip=67.94.27.161 uses the IP address. #ip=sprout.warwick.ac.edu uses a url.

&port= is used to specify a TCP or UDP port to the camera. &port=8080 will use port 8080.

See Also: <SENDVDO>, <DIALOG>VIDEO, GOTO URL=vdo, <GOTO>URL=vdo,<GOTO>VIDEO,<GOTO>WEBCTRL
17.2.3 Draw Video in User Graphic Display

Examples: For more examples, see 17.2.5.3 Rotate Multiple Cameras.
#Tcl

{SENDVDO a1=axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi}

{SENDVDO a1=mplayer#ip=67.94.27.130&port=8080}

{SENDVDO a1=atoplc#ip=202.178.230.25&port=0}

{SENDVDO "a1=videooff#msg=Press Rotate Cameras button to rotate thru cameras."}

Where to find the Video String

You can find the video string to use in Draw Video by configuring a camera in Advantech WebAccess Project Manager, then copying the string at the bottom of the Update Video page. (see 17.1.2 Advantech WebAccess Video configuration).

Video Commands for Cameras

# ACTIVECAM (Active Imaging Server)Tcl

SENDVDO a1=activecam#img=http://arachne.berkeley.edu:3001/push.jpg&lc=0&rc=0&tc=0&bc=0

# AXIS Camera (Tcl)
SENDVDO a1=axiscam#ip=aucam.dyndns.biz&port=80&cgi=axis-cgi/mjpg/video.cgi&cam=camera=1%26resolution=352x240

# CANON
SENDVDO a1=canonvc#ip=208.177.138.207&port=80&cgi=-wvhttp-01-&cam=&lc=0&rc=0&tc=0&bc=0

# CEC:
SENDVDO a1=cecndvw#ip=nd-vw02.cec.co.jp&port=7778&cam=camera=1%26size=0%26compress=0&lc=0&rc=0&tc=0&bc=1

# CELL VISION:
SENDVDO a1=cellvision#ip=210.22.135.194&port=8481&cam=device=CameraServer00FF41AE1735asaasa&lc=0&rc=0&tc=0&bc=0

# CONVISION VIDEO SERVER:
SENDVDO a1=convision#ip=195.37.51.120&port=80&cam=camera=1%26size=fullsize&lc=0&rc=0&tc=1&bc=1

#ELMO:
SENDVDO a1=elmo#ip=209.137.143.52&port=80&cgi=cgi-bin/nph-pushl.cgi&lc=0&rc=0&tc=0&bc=0

# FLEXWATCH:
SENDVDO a1=flexwatch#ip=210.138.117.93&port=80&cam=ServerId=0%26CameraId=1&lc=0&rc=0&tc=0&bc=0

# GEOVISION GV-Series:
SENDVDO a1=geovision#ip=43.244.37.129&port=5550&cam=Camera=2%26AudioPort=0%26CommandPort=4550&user=1111&pass=1111&lc=0&rc=0&tc=0&bc=12

# JPEG snapshot cameras:
SENDVDO a1=snapshot#img=http://www.westland.net/photo/file001.jpg&timer=60&bc=4
SENDVDO a1=snapshot#img=http://weather.kron4.com/images/cam2_2.jpg&timer=60&tc=8
SENDVDO a1=snapshot#img=http://66.185.38.9/~mediamate/capture.jpg&timer=60

# JPEG Server Push:
SENDVDO a1=serverpush#img=http://67.94.27.130:8888/video/push&lc=0&rc=0&tc=0&bc=0

# JVC:
SENDVDO a1=jvcvn#ip=192.217.138.153&port=80&cgi=java.jpg&lc=0&rc=0&tc=0&bc=0

# MEDIA PLAYER (Windows Media Player / Encoder):
SENDVDO a1=mplayerurl#img=http://www.earthcam.com/usa/newyork/timessquare/asx/tsq_stream.asx&lc=1&rc=1&tc=1&bc=1

# Message - Display a message in the Video Window:
SENDVDO a1=videooff#msg=Loading...

# PANASONIC Camera:
SENDVDO a1=panasonic#ip=cam2.h555.net&cam=Resolution=320x240%26Quality=Standard

# PIXORD
SENDVDO a1=pixord#ip=61.219.192.210&port=80&cam=camera=3%26fmt=sif&user=hunt&pass=hunt&sndcgi=&lc=0&rc=0&tc=0&bc=0

# SITECAM:
SENDVDO a1=sitecam#ip=128.104.181.37&port=80&cam=med&sndcgi=&lc=0&rc=0&tc=0&bc=0

# SONY Network Camera:
SENDVDO a1=sonync#ip=209.192.83.9&port=8096&cam=speed=0

# VIVOTEK:
SENDVDO a1=vivotek#ip=demo:demo@61.220.127.162&port=80&cam=cam=2%26quality=3%26size=2&lc=0&rc=0&tc=7.5&bc=0

# Advantech WebAccess Display in View - Open Advantech WebAccess VIEW in Video Window:

SENDVDO a1=daq:overview=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:fplgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:realtrd=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:dlogtrd=2#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:almsummary=time#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:almgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:recipe=startup.rcp^ahu1^maintenance#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:graph=car.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:graph=2ductahu.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:station#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:alarmlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:actionlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

SENDVDO a1=daq:graph=fouttrendingraph.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

# WebEye:
SENDVDO a1=webeye#ip=130.191.117.248&port=8080&cam=VS=0%26IR=2&user=guest&pass=guest&lc=2&rc=2&tc=2&bc=2

# WebCam - WebCame32 Server Push
SENDVDO a1=webcam32#ip=67.94.27.110&port=8888&sndcgi=audio/low&lc=0&rc=0&tc=0&bc=0

goto string

A goto string can also be used in <SENDVDO>. In addition to the regular goto strings, users can now use "gototag=tag=where" as GOTO_STRING. The valid values for where are overview, fplgroup, realtrd, realxyp, almgroup, dlogtrd, dlogxyp, graph, blockdtl, pointdtl, and recipe. An example is:

SENDVDO v1=daq:gototag=t2=almgroup

will make the Video Display v1 to switch to the Alarm group which contains tag t2.


12.4.35 SETVAL

Description: Sets value of a tag. Mostly commonly used to pass the value of a tag to another. Special keywords can modify SETVAL to provide looping or other functions.

Syntax:

Tcl: SETVAL tagname=value
SETVAL tagname=argument

JScript: SETVAL("tagname=value");
SETVAL("tagname=argument");

VB Script: SETVAL "tagname=value"
SETVAL "tagname=argument"

Argument: tagname, @tag (analog, digital or text type tag), %REVERSE, %PLUS, %MINUS, %LOOPPLUS, %LOOPMINUS, %ROTATEPLUS, %ROTATEMINUS

Returns: Analog, digital or text value of a Tag, local Screen Tag or DaqTag

See Also: @, $, GETVAL, set

Examples:

# Tcl

SETVAL sp1=75.3

SETVAL sp1=@sp2

SETVAL "sp1=$variable"

SETVAL textag1=Hello

SETVAL {texttag2=There are blanks in this string}

SETVAL {blanktag= }

SETVAL PumpStart=%REVERSE

SETVAL {counter=%PLUS 1}

SETVAL {analogtag=%MINUS 10%}

SETVAL {motiontag=%LOOPPLUS 5}

SETVAL {position=%LOOPMINUS 5}

SETVAL {tag1=%ROTATEPLUS @speed}

SETVAL "tag2=%ROTATEPLUS $var"

SETVAL tag2=%ROTATEMINUS 5%

// JScript

SETVAL("rotatefan102=%LOOPPLUS 36");

SETVAL("ZT-184=0");

Rem VB Script

SETVAL "rotatefan102=%LOOPPLUS 36"

SETVAL "ZT-184=0"

// tangent.js -- a JScript

var x, y, percenty, tagnvalue;

x = GETVAL("degrees") * 3.14159265 / 180;

y = Math.tan(x)

tagnvalue = "radians=";

tagnvalue += x;

SETVAL(tagnvalue);

Rem tangent.vbs - a VB Script

Dim x, y, percenty

rem x = CDbl(GETVAL("degrees")) * 3.14159265 / 180

x = GETVAL("degrees") * 3.14159265 / 180

y = Tan(x) ' angle is in radians

percenty = y * 100

SETVAL "radians=" & Cstr(x)

SETVAL "slope=" & Cstr(percenty)


12.4.35.1 %REVERSE

Will flip the state of a tag. Intended for use with digital tags, but will work with analog tags. Used with SETVAL. If digital state is 0 and is a two state digital, %REVERSE will flip state from 0 to 1. If analog tag, %REVERSE will flip it based on percent of span. If current value is 25% of span, %REVERSE will make it 75% of SPAN.

Examples:

# Tcl - will reverse the state of PumpStart

# from On to OFF or from OFF to on

SETVAL PumpStart=%REVERSE

// JScript

SETVAL("PumpStart=%REVERSE");

Rem VB Script

SETVAL "PumpStart=%REVERSE"


12.4.35.2 %PLUS

Increment tag by specified amount, percentage, tag value or script variable

Examples:

# Tcl

SETVAL {counter=%PLUS 1} # increments tag named counter by 1.

SETVAL {tag2=%PLUS 1%}   # increments tag2 by 1 % of output span.

SETVAL "tag2=%PLUS $var" # increments tag2 by value of variable
                         # named var. double quotes evaluates var

SETVAL {tag2=%PLUS @tag1} #  increments tag2  by  value of tag1

# equivalent to the expression

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL tag2] ]

# Tcl

SETVAL "tag2=%PLUS $x"

# increments tag2 by value of script

# variable named x

# until OutpHi reached.

# double quote forces evaluation

# of $x.

Rem VB Script

Dim x

SETVAL "tag2=%PLUS " & Cstr(x)

// JScript

var x, tagnvalue

tagnvalue = "tag2=%PLUS ";

tagnvalue += x;

SETVAL(tagnvalue);


12.4.35.3 %MINUS

Decrement tag by specified amount, percentage , tag value or script variable

# Tcl

SETVAL {counter=%MINUS 1} # subtracts 1 from the value counter.

SETVAL {tag2=%MINUS 1%} # decreases tag2 by 1 percent of output span.

SETVAL "tag2=%MINUS $var" # decrements tag2 by value of script variable

# named var. double quotes evaluates var

SETVAL {tag2=%MINUS @tag1} # decrements tag2 by value of tag1

# equivalent to the expression

SETVAL tag2=[expr [GETVAL tag1]-[GETVAL tag2] ]

# Tcl

SETVAL "tag2=%MINUS $x"

# increments tag2 by value of script

# variable named x

# until OutpHi reached then

# resets counter to OutpLo.

# Repeats.

# double quote forces evaluation

# of $x.

Rem VB Script

Dim x

SETVAL "tag2=%MINUS " & Cstr(x)

// JScript

var x, tagnvalue

tagnvalue = "tag2=%MINUS ";

tagnvalue += x;

SETVAL(tagnvalue);


12.4.35.4 %LOOPPLUS

Increment tag by specified amount, percentage, tag value or script variable until OutpHi (output high span) reached then resets counter to OutpLo (output low span). Repeats . Similar to RotatePlus, but when OutpHi is reached, the next value is exactly OutpLo.

Examples:

#Tcl

SETVAL {counter=%LOOPPLUS 1}

# increments tag named counter by 1

# until OutpHi  reached

# then resets counter to OutpLo.

# Repeats.

SETVAL {tag2=%LOOPPLUS 1%}# increments tag2 by 1 % of output

# span until  OutpHi reached

# then resets counter to OutpLo.

# Repeats.

SETVAL {tag2=%LOOPPLUS @tag1}

# increments tag2 by value of tag1

# until OutpHi reached

# then resets counter to OutpLo.

# Repeats.

# Tcl

SETVAL "tag2=%LOOPPLUS $x"

# increments tag2 by value of script

# variable named x

# until OutpHi reached then

# resets counter to OutpLo.

# Repeats.

# double quote forces evaluation

# of $x.

Rem VB Script

Dim x

SETVAL "tag2=%LOOPPLUS " & Cstr(x)

// JScript

var x, tagnvalue

tagnvalue = "tag2=%LOOPPLUS ";

tagnvalue += x;

SETVAL(tagnvalue);


12.4.35.5 %LOOPMINUS

Decrements tag by specified amount, percentage , tag value or script variable until OUTPLO (output low span) reached then resets counter to OUTPHI (output high span). Repeats continuously. Similar to RotatePlus, but when OutpLo reached, next value is OutpHi.

SETVAL {counter=%LOOPPLUS 1} # increments tag named counter by 1

# until OutpLo reached

# then resets counter to OUTH.

# Repeats .

SETVAL {tag2=%LOOPPLUS 1%} # increments tag2 by 1 % of output

# span until  OutpLo reached

# then resets counter to OutH.

#  Repeats.

SETVAL {tag2=%LOOPPLUS @tag1} # increments tag2 by value of tag1

# until OutpLo reached

# then resets counter to OutH.

# Repeats.

SETVAL "tag2=%LOOPPLUS $var" #increments tag2 by value of

#  variable named  var

# until OutpLo reached

# then resets counter to OutpH.

# Repeats.


12.4.35.6 %ROTATEPLUS

Increment tag by specified amount, percentage , tag value or script variable until OutpHi (output high span) reached then resets counter to OutpLo (output low span) plus the delta of the last increment above OutpHi. It carries over and difference between OutpHi and the last increment calculation. Repeats continuously. Similar to LOOPPLUS, but when OutpHi reached, next value is not necessarily equal to OutpLo. This makes for smother animation of rotation if the increment is not an even multiple of the output span.

SETVAL {counter=%ROTATEPLUS 1} # increments tag named counter by 1 until

# OutpHi reached then resets to

# OutpLo plus whatever remainder

# in the increment above OutpHi.

# Repeats.

SETVAL {tag2=%ROTATEPLUS 1%} # increments tag2 by 1 percent of output.

# span until OutpHi reached

# then resets counter to OutpLo

# plus whatever remainder in the

# increment above OutpHi. Repeats.

SETVAL {tag2=%ROTATEPLUS @tag1} # increments tag2 by value of tag1

# until OutpHi reached

# then resets counter to OutpLo

# plus whatever remainder in the

#  increment above OutpHi. Repeats.

SETVAL "tag2=%ROTATEPLUS $var" # increments tag2 by value of script

#  variable named var until OutpHi

# then resets counter to OutpLo

# plus remainder in the

# increment above OutpHi. Repeats.

# double quotes forces valuation

# of variable var

# Tcl

SETVAL "tag2=%ROTATEPLUS $x"

Rem VB Script

Dim x

SETVAL "tag2=%ROTATEPLUS " & Cstr(x)

// JScript

var x, tagnvalue

tagnvalue = "tag2=%ROTATEPLUS ";

tagnvalue += x;

SETVAL(tagnvalue);


12.4.35.7 %ROTATEMINUS

Decrements (decreases) tag by specified amount, percentage , tag value or script variable until OUTPLO (output low span) reached then resets counter to OUTPHI (output high span) minus the delta of the last increment above OutpLo. It carries over and difference between OutpLo and the last increment calculation. Repeats continuously. Similar to LOOPMINUS, but when OutpLo reached, next value is not necessarily equal to OutpHi. This makes for smother animation of rotation if the increment is not an even multiple of the output span.

SETVAL {counter=%ROTATEMINUS 1} # decrements tag named counter by 1

# until OutpLo reached

# then resets counter to OutpHi

# minus whatever remainder there was in the

# decrement below OutpLO. Repeats.

SETVAL {tag2=%ROTATEMINUS 1%} # decrements tag2 by 1 percent of output

# span until OutpLO reached

# then resets counter to OutpHI

# minus whatever remainder there was in the

# decrement below OutpHi. Repeats.

SETVAL {tag2=%ROTATEMINUS @tag1} # decrements tag2 by value of tag1

# until OutpLO reached

# then resets counter to OutpHI

# minus whatever remainder there was in the

# decrement below OutpLO. Repeats.

SETVAL "tag2=%ROTATEMINUS $var" # decrements tag2 by value of script

# variable named var

# until OutpLO reached

# then resets counter to OutpHI

# minus whatever remainder there was in the

# decrement below OutpLO. Repeats.

# Tcl

SETVAL "tag2=%ROTATEMINUS $x"

Rem VB Script

Dim x

SETVAL "tag2=%ROTATEMINUS " & Cstr(x)

// JScript

var x, tagnvalue

tagnvalue = "tag2=%ROTATEMINUS ";

tagnvalue += x;

SETVAL(tagnvalue);

Illegal SETVAL expressions:

SETVAL tag2=@tag1+@rotatefan101 # this won't work.

# What will work is:

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL rotatefan101] ]

SETVAL tag2=@tag1+@tag2 # this won't work.

#What will work are:

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL tag2] ]

# or

SETVAL {tag2=%PLUS @tag1}

#or

SETVAL "tag2=%PLUS @tag1"

# this won't work

set dx [expr [GETVAL r]*[GETVAL da]/180.0*3.1415926]

SETVAL {x=%LOOPPLUS $dx}

#What will work are:

set dx [expr [GETVAL r]*[GETVAL da]/180.0*3.1415926]

SETVAL "x=%LOOPPLUS $dx"

# double quotes needed to force evaluation of dx


12.4.35.8 SETVAL to other VIEWS or ViewDAQs

12.4.35.8 SETVAL to other VIEWS/ViewDAQs

Description: SETVAL tags in other Views/ViewDAQs (on the same computer). Although this enhancement can be applied to any tags, it makes sense only to use with local tags or DaqTags. The application is when multiple VIEW web browser windows are opened on the same, Display groups with multiple ViewDAQs and View in Graph (where Draw Video is used to create a window within a BGR to display another occurrence of VIEW).

Syntax:

Tcl: SETVAL “tagname,dest=value”

JScript: SETVAL(“tagname,dest=value”);

VB Script: SETVAL “tagname,dest=value”

Arguments: tagname of analog, digital or text type tag, a value, options, arguments for options.

dest is name of the dspname:daqname

To SETVAL to tagname in all Views/ViewDAQs with dspname as the display group name and daqname as the ViewDAQ name, set dest as dspname:daqname.

To SETVAL to tagname in all Views/ViewDAQs with dspname as the display group name, set dest as dspname.

To SETVAL to tagname in all Views/ViewDAQs with daqname as the ViewDAQ name, set dest as :daqname.

To SETVAL to tagname in all Views/ViewDAQs, set dest as an empty string.

To SETVAL to tagname in all View in Graph with name as the name of Video Display, set dest as daq#name. To SETVAL to tagname in View in View/ViewDAQ, set dest as daq#.

%REVERSE, %PLUS, %MINUS, %LOOPPLUS, %LOOPMINUS, %ROTATEPLUS, and %ROTATEMINUS can not be part of the string in SETVAL when tagname,dest is used.


12.4.36 SLEEP

Description: Not recommended. This will stop the client from processing any commands or functions. It suspends Scripts and Task space processing for specified seconds. Trends will not update, etc.

Syntax:

Tcl: SLEEP seconds

JScript: SLEEP("seconds");

VB Script: SLEEP "seconds"

Arguments: seconds

Returns: none

See Also: after, if, while

Examples: #example 1 - sets text70 equal to 10

set time1 [clock seconds]

SLEEP 10

set time2 [clock seconds]

set deltat [expr "$time2 - $time1"]

SETVAL text70=$deltat

Don't use this command unless you thoroughly understand it. It suspends processing the current script, and all processes in current task space (i.e. window) for specified number of seconds. Trends won't update and displays will freeze if called from a local script.

It is usually better to use an IF or While loop instead of SLEEP.

For a Local Script (e.g. a graphic Display), during SLEEP, no pushbuttons or display updates happen.

For a Global Script, SLEEP will block the script and in turn delay other scripts. This is because all Global Scripts on the same SCADA node run sequentially inside bwscrp.exe.


12.4.37 SQLDIRECT

12.4.37 SQLDIRECT(Not supported by WinCE Edition(WebView &WebLink ))

Description: Execute SQL command line. Executes an SQL command that is one line long.

Syntax:

Tcl: SQLDIRECT "sql command line"

JScript: SQLDIRECT("sql command line");

VB Script: SQLDIRECT "sql command line"

Arguments: one line SQL command

Returns: none

See Also: SQLPREPARE, SQLEXECUTE

Examples:

# Tcl -  MYDATA is an ODBC DSN attached to an Access

# Database or SQL Server DB

SQLDIRECT "CONNECT SESSION 1 TO MYDATA"

SQLDIRECT "USE SESSION 1"

# Tcl Insert data into table

#For ODBC Databases that do not support level 2 commands (e.g. Access)

# break into two lines using SQL prepare

SQLPREPARE "INSERT INTO Table1 VALUES ('[GETVAL %TTMDATE]',"

SQLPREPARE "'[GETVAL %TTMTIME]', [GETVAL AMPLITUDE],"

SQLPREPARE " [GETVAL TIMER])"

SQLEXECUTE

# Tcl - Declare a pointer to newest data just entered

# break command into multiple lines

SQLPREPARE "DECLARE C1 CURSOR FOR SELECT '[GETVAL %TTMDATE]',"

SQLPREPARE "'[GETVAL %TTMTIME]', [GETVAL AMPLITUDE], "

SQLPREPARE "[GETVAL TIMER] FROM Table1"

SQLEXECUTE

SQLPREPARE "OPEN C1"

SQLEXECUTE

SQLDIRECT "FETCH NEXT C1 INTO text1, text2, text3, text4"

SQLDIRECT "CLOSE C1"

SQLDIRECT "DISCONNECT SESSION 1"

This command is used to execute an SQL command that is one line long and forms a complete SQL syntax. SQLDIRECT has no line limit, although the editor effectively limits an SQLDIRECT command to 1000 characters. For longer than 1000 characters in a single SQL command line, use SQLPREPARE and SQLEXECUTE.

SQLDIRECT will interact with the related keymacro commands <SQLPREPARE and <SQLEXECUTE> allowing a script to initialize or open an SQL session and user keymacro commands to enter data.

SQLDIRECT is recommended for the following SQL commands:

CONNECT

USE

OPEN

CLOSE

DISCONNECT

Advantech WebAccess supports both Level 1 and Level 2 SQL statement. SQL is an acronym for Structured Query Language. Please refer to an SQL manual for complete syntax of the SQL language. These commands are used to interact with a Database file like Access or SQL Server through an ODBC DSN.

You can only FETCH and INSERT using IO Tags, Internal Tags and Local Screen Tags. FETCH and INSERT do not support local Tcl variables.


12.4.38 SQLEXECUTE

12.4.38 SQLEXECUTE(Not supported by WinCE Edition(WebView &WebLink ))

Description: Executes a complete SQL command line placed in the buffer by a series of SQLPREPARE commands.

Syntax:

Tcl: SQLEXECUTE

JScript: SQLEXECUTE();

VB Script: SQLEXECUTE

Arguments: none

Returns: none

See Also: SQLDIRECT, SQLPREPARE

Examples:

# Tcl - WebDATA is an ODBC DSN attached to an Access Database

# COMPARE with SQLDIRECT entry

SQLDIRECT "CONNECT SESSION 1 TO WebDATA"

SQLDIRECT "USE SESSION 1"

# Tcl - Insert data into table

#For ODBC Databases that do not support level 2 commands (e.g. Access)

# break into two lines using SQL prepare

SQLPREPARE "INSERT INTO Table1 VALUES ('[GETVAL %TTMDATE]',"

SQLPREPARE "'[GETVAL %TTMTIME]', [GETVAL AMPLITUDE], [GETVAL TIMER])"

SQLEXECUTE

# Tcl - declare a pointer to newest data just entered

SQLPREPARE "DECLARE C1 CURSOR FOR SELECT '[GETVAL %TTMDATE]',"

SQLPREPARE "'[GETVAL %TTMTIME]', [GETVAL AMPLITUDE], "

SQLPREPARE "[GETVAL TIMER] FROM Table1"

SQLEXECUTE

SQLPREPARE "OPEN C1"

SQLEXECUTE

SQLPREPARE "FETCH NEXT C1 INTO text1, text2, text3, text4"

SQLEXECUTE

SQLDIRECT "CLOSE C1"

SQLPREPARE "DISCONNECT SESSION 1"

SQLEXECUTE

This command is used to execute an SQL command that is more than one line long. An SQLPREPARE command must be used to form a complete SQL command line before an SQLEXECUTE. SQLEXECUTE clears the buffer. SQLPREPARE and SQLEXECUTE allow a single large SQL command to be written using multiple lines in a script.

SQLPREPARE with a SQLEXECUTE is the equivalent of a single SQLDIRECT command. However, the Script editor effectively limits an SQLDIRECT command to 1000 characters. For longer than 1000 characters on one SQL command line, use SQLPREPARE and SQLEXECUTE. SQLPREPARE has a 16,000 (16k) character buffer limit.

SQLEXCUTE will interact with the related keymacro commands <SQLPREPARE> and <SQLDIRECT> allowing a script to initialize or open an SQL session and user keymacro commands to enter data..

Advantech WebAccess supports both Level 1 and Level 2 SQL statement. SQL is an acronym for Structured Query Language. Please refer to an SQL manual for complete syntax of the SQL language. These commands are used to interact with a Database file like Access or SQL Server through an ODBC DSN


12.4.39 SQLPREPARE

12.4.39 SQLPREPARE(Not supported by WinCE Edition(WebView &WebLink ))

Description: Places part of an SQL command line into buffer to make a single SQL command line from multiple lines in the script. Used with SQLEXECUTE.

Syntax:

Tcl: SQLPREPARE "partial sql command line"

JScript: SQLPREPARE("partial sql command line");

VB Script: SQLPREPARE "partial sql command line"

Arguments: incomplete SQL command line

Returns: none

See Also: SQLDIRECT, SQLEXECUTE

Examples:

# WebDATA is an ODBC DSN attached to an Access Database

 # COMPARE with SQLDIRECT entry

SQLPREPARE "CONNECT SESSION 1 TO WebDATA"

SQLEXECUTE

SQLPREPARE "USE SESSION 1"

SQLEXECUTE

# WebSQLdata is an ODBC DSN attached to an SQL Server RDBS

# it needs a user and password

# COMPARE with SQLDIRECT entry

SQLDIRECT "CONNECT SESSION 1 TO WebSQLdata, tomc, mypassword"

SQLDIRECT "USE SESSION 1"

#Insert data into table

#For ODBC Databases that do not support level 2 commands (e.g. Access)

# break into two lines using SQL prepare

SQLPREPARE "INSERT INTO Table1 VALUES ('[GETVAL %TTMDATE]',"

SQLPREPARE "'[GETVAL %TTMTIME]', [GETVAL AMPLITUDE], [GETVAL TIMER])"

SQLEXECUTE

# declare a pointer to newest data just entered and retrieve newest data

SQLPREPARE "DECLARE C1 CURSOR FOR SELECT '[GETVAL %TTMDATE]',"

SQLPREPARE "'[GETVAL %TTMTIME]', [GETVAL AMPLITUDE], "

SQLPREPARE "[GETVAL TIMER] FROM Table1"

SQLEXECUTE

SQLPREPARE "OPEN C1"

SQLEXECUTE

SQLPREPARE "FETCH NEXT C1 INTO text1, text2, text3, text4"

SQLEXECUTE

SQLPREPARE "CLOSE C1"

SQLEXECUTE

SQLPREPARE "DISCONNECT SESSION 1"

SQLEXECUTE

# Get newest 12 records from ODBC database

# WebDATA is an ODBC DSN attached to an Access Database on SCADA Node

SQLDIRECT "CONNECT SESSION 3 TO WebDATA"

SQLDIRECT "USE SESSION 3"

# DECLARE A POINTER TO NEWEST DATA JUST ENTERED

SQLPREPARE "DECLARE C3 CURSOR FOR "

SQLPREPARE "SELECT * FROM Table1 "

SQLPREPARE "ORDER BY Date DESC, Time DESC"

SQLEXECUTE

SQLDIRECT "OPEN C3"

for {set Z 1} {$Z<=12} {incr Z} {

SQLDIRECT "FETCH NEXT C3 INTO text1, text2, text3, text4, text5"

set str1 "[GETVAL text1] [GETVAL text2] [format %9.1f [GETVAL text3]] [format %7.1f [GETVAL text4]] [GETVAL text5]"

set x $Z

array set Array1 [list $Z $str1]

}

SQLDIRECT "CLOSE C3"

SQLDIRECT "DISCONNECT SESSION 3"

This command is used to execute an SQL command that is more than one line long. An SQLEXECUTE must be used when a complete SQL command is formed. SQLPREPARE allows a single large SQL command to be written across multiple lines in a script.

SQLPREPARE with a SQLEXECUTE is the equivalent of a single SQLDIRECT command. However, the Script editor effectively limits an SQLDIRECT command to 1000 characters. For longer than 1000 characters on one SQL command line, use SQLPREPARE and SQLEXECUTE. SQLPREPARE has a 16,000 (16k) character buffer limit.

SQLPREPARE will interact with the related keymacro commands <SQLDIRECT> and <SQLEXECUTE> allowing a script to initialize or open an SQL session and user keymacro commands to enter data.

Advantech WebAccess supports both Level 1 and Level 2 SQL statement. SQL is an acronym for Structured Query Language. Please refer to an SQL manual for complete syntax of the SQL language. These commands are used to interact with a Database file like Access or SQL Server through an ODBC DSN.

You can only FETCH and INSERT using IO Tags, Internal Tags and Local Screen Tags. FETCH and INSERT do not support local Tcl variables


12.4.40 USERLOGIN

Description: Log in as different user

Syntax:

Tcl: USERLOGIN username=password

JScript: USERLOGIN("username=password");

VB Script: USERLOGIN "username=password"

Arguments: username, password

Returns: none

See Also: USERPUSH, USERPOP

Examples: # Tcl - login user tom, password tom

                                USERLOGIN tom=tom

                                # Tcl - login admin (no password)

                                USERLOGIN admin

USERLOGIN changes the current user login in ViewDAQ. The Area and Level of the user changes immediately.

Supported by screen scripts. Not supported by global scripts. In the local ViewDAQ, this change is immediate and makes a permanent change to user login.

USERLOGIN is ignored in web browser VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user all cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

See USERLOGOUT for an example of new user login through a web browser.

ViewDAQ supports a User Logout feature on its menu bar.


12.4.41 USERLOGOUT

Description: Logout current user. Recognized by ViewDAQ only.

Syntax:

Tcl: USERLOGOUT

JScript: USERLOGOUT();

VB Script: USERLOGOUT

Arguments: none

See Also: <USERLOGOUT>,USERLOGIN, USERPUSH, USERPOP

Examples:

# Tcl

USERLOGOUT

USERLOGOUT logs out the current user in ViewDAQ. USERLOGOUT is ignored in VIEW. The Area and Level security of the user changes immediately in ViewDAQ to 0.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user are cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.


12.4.42 USERPOP

Description: Return to the user login last pushed user onto the stack by the userpush command. Recognized by ViewDAQ only.

Syntax:

Tcl: USERPOP

JScript: USERPOP();

VB Script: USERPOP

Arguments: none

Returns: none

See Also: USERLOGIN, USERPUSH

Examples:                # Tcl example

# login user tom, password tom

                                USERLOGIN tom=tom

                                # push must precede pop (remember tom)

                                USERPUSH

#login admin (no password)

                                USERLOGIN admin

                                # logout admin, return to last user tom

                                USERPOP

USERPOP returns to the previous user login at the last USERPUSH command or <USERPUSH> keymacro in ViewDAQ. These commands are used together to temporarily login as another user, then return to the original user login. A USERLOGIN command or the Login from a Display (File->Login) must precede a USERPUSH. Used in screen scripts. Not supported by global scripts. This command interacts with keymacros <USERPUSH> and <USERPOP> used in the same display window or task window.

USERPOP is ignored in VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user all cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

See USERLOGOUT for an example of new user login through a web browser.


12.4.43 USERPUSH

Description: Pushes name of current login user onto stack for use by USERPOP command. Recognized by ViewDAQ only.

Syntax:

Tcl: USERPUSH

JScript: USERPUSH();

VB Script: USERPUSH

Arguments: none

Returns: none

See Also: USERPOP, USERLOGIN

Examples: # login user tom, password tom, push onto stack,

# return to user named tom

                                                USERLOGIN tom=tom

                                                USERPUSH

                                                USERLOGIN admin

                                                USERPOP

USERPUSH remembers the name of the current user for use with a USERPOP command in ViewDAQ. USERPUSH is ignored in web browser VIEW. These commands are used together to temporarily login as another user, then return to the original user login. A USERLOGIN command or the Login from a Display (File->Login) must precede a USERPUSH. Used in screen scripts. Not supported by global scripts. This command interacts with keymacros <USERPUSH> and <USERPOP> used in the same display window or task window.

USERPUSH is ignored in VIEW.

Note that a "restricted user" is limited to viewing displays specified during configuration through a Web Browser client. A "restricted user" login does not limit display access in a local ViewDAQ task. General users are restricted from viewing system displays.

The Web Browser Window must be closed or another Web Browser Window Opened to Login as another user. This is because the displays available to an Administrator, Power or General user all cached. The Browser Window must be closed to allow a new cache to be built appropriate to the user type.

See USERLOGOUT for an example of new user login through a web browser.


12.4.44 WINEXEC

Description: Executes a program from the Windows program. Command executes a windows program on client if called as Local Script. Executes on SCADA node if called as a Global Script.

Syntax:

Tcl: WINEXEC program_name

WINEXEC path\\program_name

JScript: WINEXEC("program_name");

WINEXEC("path\\program_name");

VB Script: WINEXEC "program_name"

WINEXEC "path\\program_name";

Arguments: Windows program name, path

Returns:

See Also: SCREXEC, source

Examples: # Tcl open notepad program

WINEXEC notepad.exe

// JScript

WINEXEC("BWSPOOL.EXE");

Rem VB Script

WINEXEC "BWSPOOL.EXE"

WINEXEC executes a Windows program file (*.exe, *.bat, other executable) in the Windows 95, 98, ME, 2003, 2000 and XP environment. If program file is in the path declared by the windows environment, then it will execute. Otherwise, path must be specified. The program file is not downloaded to the client if it does not exist.

A popup dialog box sometimes appears if there is an error:

"VIEWDAQ - create process error 2" - file does not exist or can not be found


12.4.45 ZOOM

Description: Zooms display to magnification and position specified or resets to original zoom.

Syntax:

Tcl: ZOOM {x y size}

ZOOM RESET

JScript: ZOOM(" x y size");

ZOOM("RESET");

VB Script: ZOOM " x y size"

ZOOM "RESET"

Arguments: x, y, size, RESET

all are fractions (range 0 to 1)

x is the horizontal position (left-right position) as a fraction of 1. x = 1 is right side of screen
y is the vertical position (up-down position) as a fraction of 1.
y = 1 is top of screen.

size is a fraction of full size. 1=full size

Returns: popup dialog box if error.

Examples: # example 1 - zoom 2x at center of screen

                                ZOOM {.5 .5 .5}

                                # example 2 - zoom 3x at top right of screen

                                ZOOM {.68 .9 .33}

                                # example 3 - RESET to full size

                                ZOOM RESET

Zooms display to magnification and position specified or resets to original zoom.

X - axis is the horizontal (left - right) position expressed as a fraction between 0 and 1. 0 is the left side of the screen, 1 is the right side.

Y - axis is the vertical (up - down) position expressed as a fraction between 0 and 1. 0 is the bottom of the screen, 1 is the top.

SIZE is a fraction of full size. 1 is full size, 0.5 is 2x magnification, 0.33 is 3x magnification, etc.

ZOOM coordinates X, Y and SIZE


12.5 Tcl KEYWORD commands (built-in Tcl)

12.5 KEYWORD commands (built-in Tcl )

The language of Advantech WebAccess scripts is derived from TCL, a scripting language commonly used for hardware-control programs. Tcl is an open source language; you can find examples and tutorials on the Internet. It is taught at many colleges and universities. It is the If, THEN, ELSE of Advantech WebAccess. All KEYWORD commands are based on the Tcl programming language. The Advantech WebAccess enhancements to Tcl are referred to as ACTION commands. A typical TCL script will include both KEYWORD command and ACTION commands.

The KEYWORD commands follow are essentially identical to version 8.4 of other Tcl implementations. For a description of the major differences, please see What's Different in Advantech WebAccess vs. other Tcl in Section 12.2.1


12.5.1 append

Description: Append a text string to a variable

Syntax: append varName ?string string string ...?

Argument: variable name, a list of strings

Returns: text string of values

See Also: foreach, lappend, concat, list

Examples:

# Trim any leading/trailing spaces and add computer name

set text25 [string trim $text]

    if {[string length $text25)] > 0} {

        append text25 [info hostname]

    }

Appends all of the sting values to the variable varName. If varName doesn’t exist, it is created with a value equal to the concatenation of all the value arguments. Usually the command is used to build long variables incrementally.

For example, ‘‘append a $b $c’’ is the same as ‘‘set a $a$b$c’’, just shorter. The result of append is usually treated as a string. Use lappend to create a list of values.


12.5.2 array

Description: Creates and sets the values of one or more elements in an array. Performs other actions on existing arrays

Syntax: array option arrayName ?arg arg ...?

Arguments: action option, arrayname, arguments

Returns: Tcl error codes

See Also: set, SETVAL, @, BINDVAR, GETVAL, $, append, lappend, string

Example:

# Build an array of IO Tag names

array set array1 [list \

1 {48ExServ_Fl_1001} \

2 {48ExServ_Fl_101} \

3 {48ExServ_Fl_1101} \

4 {48ExServ_Fl_1201} \

5 {48ExServ_Fl_1301} \

6 {48ExServ_Fl_1402} \

7 {48ExServ_Fl_1501} \

8 {48ExServ_Fl_1601} \

9 {48ExServ_Fl_1701} \

10 {48ExServ_Fl_1801} \

11 {48ExServ_Fl_1901} \

12 {48ExServ_Fl_2001} \

13 {48ExServ_Fl_201} \

14 {48ExServ_Fl_22} ]

# Get value of each tag and sum together

catch {

for {set i 1; set sum1 0} {$i <= 14} {incr i} {

set x [GETVAL $array1($i)]

set sum1 [expr "$sum1 + $x"]

}

}

# Pass value of sum to Constant Tag

SETVAL %DALOGSTATUS=0

SETVAL CALC49=$sum1

SETVAL %DALOGSTATUS=1

array set arrayName list

Creates an array and sets the values of elements. The list command must consist of an even number of element pairs. Each pair consists of the index (the position number) in the array and the value for that element. The Odd-numbered element in the list is the index within array. The following even element in list is used as the value. In the example above, then numbers 1, 2, 3, etc are the index and 4SEXServ_FL_1001 are the values at each position in the array.

If the variable arrayName does not already exist and list is empty, arrayName is created with an empty array value.

array size arrayName

Returns a decimal string giving the number of elements in the array. If arrayName isn’t an array, then 0 is returned.


12.5.3 break

Description: Causes the current script to be aborted out to the innermost containing loop command, which then aborts its execution and returns normally.

Syntax: break

Argument:

Returns: 3 = TCL_BREAK code

See Also: break, continue, and loop

Examples:

This command is typically invoked inside the body of a looping command such as for or foreach or while. It returns a TCL_BREAK code, which causes a break exception. The exception causes the current script to be aborted out to the innermost containing loop command, which then aborts its execution and returns normally. Break exceptions are also handled in a few other situations, such as the catch command and the outermost scripts of procedure bodies.


12.5.4 catch

Description: prevent errors from aborting entire script or command.

Syntax: catch {script expression}

catch {tag}

catch {variable}

Arguments: expression, tag or variable

Returns: error message

See Also: error, 12.10.8 Trap and display errors (Debug a Script).

Examples: # Example 1
catch {

if {[GETVAL FAN_START101] >= 0.5} then {

SETVAL {rotatefan101=%ROTATEPLUS 12} #this works

} }

# Example 2 - debug a script with catch and Text Tags

# pass error to text tag named text 70 and ERRORL2

# note that maximum text tag length is 70 characters

catch {SCREXEC rotate.scr} err

SETVAL text70==$err
SETVAL ERRORL2=[string range $err 71 140]

# Example 3 - debug a script using BWSPOOL

# BWSPOOL.exe must be running

# it is found in drive\WebAccess\node and :\drive\WebAccess\client

catch {SCREXEC rotate.scr} err

# BWSPOOL $err
BWSPOOL [concat rotate.scr $err {- -}]

The catch command may be used to prevent errors from aborting command interpretation. Catch calls the Tcl interpreter recursively to execute script, and always returns a TCL_OK code, regardless of any errors that might occur while executing script. The return value from catch is a decimal string giving the code returned by the Tcl interpreter after executing script. This will be 0 (TCL_OK) if there were no errors in a script; otherwise, it will have a non-zero value corresponding to one of the exceptional return codes (see Tcl command returns for the definitions of code values). If the varName argument is given, then it gives the name of a variable; catch will set the variable to the string returned from script (either a result or an error message). Note that catch catches all exceptions, including those generated by break and continue as well as errors.

The BWSPOOL Action Command can be used to send text messages from a script to a message spooler window (BWSPOOL.exe). A text message can be inserted into a script and displayed in the message spool window when the BWSPOOL command is reached.

Better use is to use BWSPOOL with "catch command" to trap errors. Use a second script to call the script to be debugged as in the example 3 above. See section 12.4.3.1 BWSPOOL for a complete debugger example.

Example error messages returned by catch include:

invalid command name "SETVALUE"

divide by zero

binding tag invalid

can't read "ynot": no such variable


12.5.5 clock

Description: Obtain and manipulate time.

Syntax: clock format clockValue ?-format string? ?-gmt boolean

Argument: formatting options

Returns: Time

See Also: Advantech WebAccess system tags (DAQ tags) %TTMDATE, %TTMTIME, %TTMMONTH,%TTMTIME, %TTMWDAY, %ATMHOUR, %ATMMDAY, %ATMMINUTE, %ATMMONTH, %ATMSECOND, %ATMWDAY, %ATMYDAY, %ATMYEAR

Examples:

# example 1 - returns Mon Jan 07 13:46:35 Pacific
# Standard Time 2002

set time1 [clock seconds]

set displayt [clock format $time1]

SETVAL CONST_TEXT1=$displayt

# example 2 - returns " 13:54:52"

set time1 [clock seconds]

set displayt [clock format $time1 -format %T]

SETVAL CONST_TEXT1=$displayt

# example 3 - clock scan converts a time to seconds

# for example if %TMTIME = 16:57:45 on Sep 13 2004

# clockscantime = 1095119865

# note that if no date is specified todays date is assumed

# the clockscan will wrap around days and months

set time1 [GETVAL %TTMTIME]

SETVAL "clockscantime=[clock scan $time1]"

# example 4 - clock seconds shows current time in seconds

# if screen script this is local time of client

SETVAL "seconds1=[clock seconds]"

set time2 [clock seconds]

# example 5 - clock format reformats the time. Here it is converted back to HH:MM:SS format

SETVAL "minutes1=[clock format $time2 -format %H:%M:%S]"

Advantech WebAccess has it own clock and provides access to time using DAQ tags: %TTMDATE, %TTMTIME, %TTMMONTH,%TTMTIME, %TTMWDAY, %ATMHOUR, %ATMMDAY, %ATMMINUTE, %ATMMONTH, %ATMSECOND, %ATMWDAY, %ATMYDAY, %ATMYEAR

Most user will want to use clock seconds to get the local time on the client or SCADA node. Run from a screen script (local script), clock seconds returns the time on the client. Run in a Global Script, it returns time on the SCADA node. This will return the local time in seconds from a reference date (Queen Victoria's birthday or the Day Microsoft was incorporated or some other rumored landmark). For example. on September 14, 2004 at 11:04:15 am clock seconds returns a value of 1095185055.

Most users will want to use clock scan to convert a text string into a format similar to clock seconds. Use clock scan to compare a time to clock seconds. For example, on Sept. 13 2004, [clock scan 16:57:45] returns a value of 1095119865.

Use clock format, to convert clock seconds into a traditional time format. For example, [clock format 1095119865 -format %H:%M:%S] returns a text string of 16:57:45.


12..5.5.1 clock options

This Time command provides additional formatting options to display time in various formats. The option argument determines what action is carried out by the command to format the time string it returns. The legal options (which may be abbreviated) are:

clock clicks

Return a high-resolution time value as a system-dependent integer value based on CPU cycle counter. This value should only be used for the relative measurement of elapsed time.

clock format

clock format clockValue ?-format string? ?-gmt boolean?

Converts an integer time value, typically returned by clock seconds, clock scan, or the atime, mtime, or ctime options of the file command, to human-readable form. If the -format argument is present the next argument is a string that describes how the date and time are to be formatted.

Format string descriptors consist of a % followed by a format descriptor character. All other characters are copied into the result.

Format descriptors

Valid Format descriptors are:

%% Insert a %.

%a Abbreviated weekday name (Mon, Tue, etc.).

%A Full weekday name (Monday, Tuesday, etc.).

%b Abbreviated month name (Jan, Feb, etc.).

%B Full month name.

%c Locale specific date and time.

%d Day of month (01 - 31).

%H Hour in 24-hour format (00 - 23).

%I Hour in 12-hour format (00 - 12).

%j Day of year (001 - 366).

%m Month number (01 - 12).

%M Minute (00 - 59).

%p AM/PM indicator.

%S Seconds (00 - 59).

%U Week of year (01 - 52), Sunday is the first day of the week.

%w Weekday number (Sunday = 0).

%W Week of year (01 - 52), Monday is the first day of the week.

%x Locale specific date format.

%X Locale specific time format.

%y Year without century (00 - 99).

%Y Year with century (e.g. 1990)

%Z Time zone name.

If the -format argument is not specified, the format string used is:
"%a %b %d %H:%M:%S %Z %Y"

If the -gmt argument is present the next argument must be a boolean which if true will format time as Greenwich Mean Time. If false then the local time zone will be used as defined by the Windows operating environment.

# example - clock format reformats the time. Here it is converted back to HH:MM:SS format

set time2 [clock seconds]

SETVAL "minutes1=[clock format $time2 -format %H:%M:%S]"

clock scan

clock scan dateString ?-base clockVal? ?-gmt boolean?

Convert dateString to an integer clock value (see clock seconds). This command will convert any standard date and time string including standard time zone abbreviations. If only a time is specified, the current date is assumed. If the string does not contain a time zone mnemonic, the local time zone is assumed. The -gmt argument overrides this setting to Greenwich Mean Time.

If the -base flag is specified, the next argument must contain an integer clock value. Only the date in this value is used, not the time. This is useful for determining the time on a specific day.

Date String

The dateString consists of zero or more specifications of the following form:

time Time of day, which is of the form: hh?:mm?:ss?? ?meridian? ?zone? or hhmm ?meridian?

?zone? If no meridian is specified, hh is interpreted on a 24-hour clock.

date Month and day with optional year. The acceptable formats are mm/dd?/yy?, monthname dd ?, yy?, dd monthname ?yy? and day, dd monthname yy. The default year is the current year. If the year is less than 100, we treat the years 00-68 as 2000-2068 and the years 69-99 as 1969-1999.

relative time A specification relative to the current time.

Acceptable units are year, month, week, day, hour, minute (or min), and second (or sec). The units can be specified as a singular or plural, as in 3 weeks. These modifiers may also be specified: tomorrow, yesterday, today, now, last, this, next, ago.

# example3 - clock scan converts a time to seconds

# for example if %TMTIME = 16:57:45 on Sep 13 2004

# clockscantime = 1095119865

# note that if no date is specified todays date is assumed

# the clockscan will wrap around days and months

set time1 [GETVAL %TTMTIME]

SETVAL "clockscantime=[clock scan $time1]"

clock seconds

Returns the current date and time as an integer value of seconds. The value is usually defined as total elapsed time from an ‘‘epoch’’ used by the Windows Operating System. You shouldn’t assume the value of the epoch will be the same or synchronized on all clients or nodes. For example on September 14, 2004 at 11:04:15 am clock seconds returns a value of 1095185055. In the example below, time2 = 1095185055 on Sept. 14, 2004.

# example - clock seconds shows current time in seconds

# if screen scrip,t this is local time of client

SETVAL "seconds1=[clock seconds]"

set time2 [clock seconds]


12.5.6 close

Description: closes an open file, channel, port or socket.

Syntax: close channelid

Argument: channel ID (handle)

Returns: empty string, errors

See Also: open

Examples: set fileid [open "../Report1.txt" a+]

                                puts $fileid "[GETVAL %TTMTIME]  [GETVAL AMPLITUDE]"

                                close $fileid

Closes the channel given by channelId. The Channel Id must be a channel identifier (also called a 'handle") such as the return value from a previous open command. Channels are automatically closed when the calling program exists (i.e. the Client for Screen Scripts and the SCADA node Kernel for Global Scripts).

The command returns an empty string usually, and may generate an error if an error occurs while flushing output.


12.5.7 concat

Description: Join lists together.

Syntax: concat ?arg arg ...?

Argument: lists, elements, data,

Returns: string containing list of arguments separated by spaces

See Also: lappend, list, append

Examples: concat a b {c d e} {f {g h}}

The Concat command concatenates the arguments into a single list. It also eliminates leading and trailing spaces in the arg’s and adds a single separator space between arg’s. If no args are supplied, the result is an empty string.


12.5.8 continue

Description: Skip to the next iteration of a loop.

Syntax: continue

Argument: none

Returns: 4 = TCL_CONTINUE code

See Also: break, loop

Examples:

The continue command is invoked inside the body of a looping command such as for or foreach or while. It returns a TCL_CONTINUE code, which causes a continue exception to occur. The exception causes the current script to be aborted out to the innermost containing loop command, which then continues with the next iteration of the loop.


12.5.9 else

Description: The else command body will be executed when the if statement is false.

Syntax: if expr1 then body1 else bodyN

if expr1 then body1 elseif expr 2 then body2 else bodyN

Argument: command or body of commands

Returns: The return value from the command is the result of the body script that was executed.

See Also: if, elseif, Calculation Tag

Examples:

catch {

if {[GETVAL AMPLITUDE] < [GETVAL AMPLITUDE.OUTPHI]} then {

SETVAL {AMPLITUDE=%LOOPPLUS @tag1} } else {

SETVAL {AMPLITUDE=@AMPLITUDE.OUTPLO}

}

}

# same as above but with indenting

catch {

if {[GETVAL AMPLITUDE] < [GETVAL AMPLITUDE.OUTPHI]

} then {

SETVAL {AMPLITUDE=%LOOPPLUS @tag1}

} else {

SETVAL {AMPLITUDE=@AMPLITUDE.OUTPLO}

}

}

This else command is used with if statement and invoked at end of an if command. The else command expression will be executed when the if statement is false. Else can be omitted from if statement if the bodyN command is omitted.

Tcl is very picky about spaces and line breaks. The if-then-else statements seem to work best when if and then are on same line, and the else is on same line as the then command body.

if {} then {

} else {

}

Hint: if you use the script editor dialog box keywords, and double click on if, then double click on else (or elseif), it will position the if, then else with line breaks appropriately so they always work.


12.5.10 elseif

Description: The elseif command expression will be executed when the if statement is false and the elseif statement is true..

Syntax: if expr1 then body1 elseif expr2 then body2

if expr1 then body1 elseif expr2 then body2 else bodyN

If expr1 then body1 elseif expr2 then body2 elseif …

Argument: logical expression and command

Returns: The return value from the command is the result of the body script that was executed.

See Also: if, else

Examples:

catch {

if {[GETVAL AMPLITUDE] < 0} then {

SETVAL {AMPLITUDE=%LOOPPLUS 10}

} elseif {[GETVAL AMPLITUDE] < [GETVAL AMPLITUDE.OUTPHI]} then {

SETVAL {AMPLITUDE=%LOOPPLUS @tag1}

} else {

SETVAL {AMPLITUDE=@AMPLITUDE.OUTPLO}

}

}

# ramps value up to output high limit. if value less than 0, increase by 10, else increase by value of tag1 until output high limit reached, then reset to output low limit.

This command is used with if statement to produce nested if commands. The elseif command expression will be executed when the if statement is false and the elseif statement is true. Else can be omitted from if statement if the bodyN command is omitted.

Tcl is very picky about spaces and line breaks. The if-then-else statements seem to work best when if and then are on same line, and the else is on same line as the then command body.

if {} then {

} elseif {} then {

} else {

}

Hint - If you use the script editor dialog box keywords, and double click on if, then double click on elseif, it will position the if, then elseif with line breaks appropriately so they always work.


12.5.11 error

Description: Creates a user defined error

Syntax: error message ?info? ?code?

Argument: message, info, code

Returns: The return value from the expression

See Also: catch, 12.10.8 Trap and display errors (Debug a Script).

Examples: #example1

if {[lsearch $swl $sw] == -1} {

                                error "invalid config option, must be one of $swl"

The error command creates a user defined error code. It also returns a TCL_ERROR code that causes command interpretation to be unwound.

Message

Message is a string that is returned to the application to indicate what went wrong.

Info

If the info argument is present the command containing the error command will not appear in errorInfo, the global variable. errorInfo is used to accumulate a trace of what was in progress when an error occurred. Normally, as commands execute, the Tcl interpreter adds information to errorInfo. Using this option, the error will be placed in info. This feature is most useful in conjunction with the catch command: if a caught error cannot be handled successfully, info can be used to return a stack trace reflecting the original point of occurrence of the error:

catch {...} errMsg

set savedInfo $errorInfo

...

error $errMsg $savedInfo

Code

If the code argument is present, its value is stored in the errorCode global variable. This variable holds a machine-readable description of the error.

See the tclvars manual for information on the proper format for the variable. If the code argument is not present, then errorCode is automatically reset to ‘‘NONE’’ by the Tcl interpreter as part of processing the error generated by the command.

See also 12.10.8 Trap and display errors (Debug a Script).


12.5.11.1 Display Errors from a script

The following is a method to display an error in Advantech WebAccess scripts

# runs script source.scr - traps and displays if error

# Failed. couldn't read file "sourcein.scr": no such file or directory

# it splits the error in to two tags  using the strung command.  Errors can be longer than 70 charcaters, the maximum text tag length.

if {[catch [list SCREXEC sourcein.scr] err]} {

   SETVAL "text=Failed. $err "

   SETVAL text50=[string range $err 61 112]

}

Another version allows you to enter the name of the Script to be tested in a Text-type tag.

# This script calls whatever script is entered in text tag named SCRname

# the scr extension should be added

# SCRERR displays the error on a Display named ScriptTest.bgr

catch {

SCREXEC [GETVAL SCRname]

} err

SETVAL SCRERR=$err


12.5.12 expr

Description: Evaluate an expression

Syntax: expr argument number expression tag variable

Argument: logical expression, arithmetic expression including numbers, tags, variables and strings

Returns: The return value from the expression

See Also: Calculation Tags

Examples:

Addition

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL tag2] ]
set sum [expr $x + $x1 +$X2]

Multiplication

SETVAL anatag1=[expr [GETVAL anatag2] * 10]
set GroupEnd [expr $GroupStart * 3]

Trigonometric Functions

set x [expr [GETVAL slope]/100]

set y [expr atan($x)]

SETVAL radians=$y

SETVAL degrees=[expr $y*180/3.14159265]

Evaluate an expression. Concatenates arguments (adding separator spaces between them), evaluates the result as a Tcl expression, and returns the value. Expressions almost always yield numeric results (integer or floating-point values).

For example, the expression expr 8.2 + 6 evaluates to 14.2.

Tcl expressions support non-numeric operands and string comparisons.

A Tcl expression consists of a combination of operands, operators, and parentheses. A blank space may be used between the operands and operators and parentheses; it is ignored by the expression’s instructions. Where possible, operands are interpreted as integer values. Integer values may be specified in decimal (the normal case), in octal (if the first character of the operand is 0), or in hexadecimal (if the first two characters of the operand are 0x). If an operand does not have one of the integer formats given above, then it is treated as a floating-point number if that is possible. Floating-point numbers may be specified in any of the ways accepted by an ANSI-compliant C compiler (except that the f, F, l, and L suffixes will not be permitted in most installations). For example, all of the following are valid floating-point numbers: 2.1, 3., 6e4,7.91e+16. If no numeric interpretation is possible, then an operand is left as a string (and only a limited set of operators may be applied to it).

Operands may be specified in any of the following ways:

As a numeric value, either integer or floating-point.

As a Tcl variable, using standard $ notation. The variable’s value will be used as the operand.

As a string enclosed in double-quotes "". The expression parser will perform backslash, variable, and command substitutions on the information between the quotes, and use the resulting value as the operand

As a string enclosed in braces { }. The characters between the open brace and matching close brace will be used as the operand without any substitutions.

As a Tcl command enclosed in brackets [ ]. The command will be executed and its result will be used as the operand.

As a mathematical function whose arguments have any of the above forms for operands, such as sin($x) .

For a list of defined functions see section

Where substitutions occur above (e.g. inside quoted strings), they are performed by the expression’s instructions. However, the command parser may already have performed an additional layer of substitution before the expression processor was called. As discussed below, it is usually best to enclose expressions in braces to prevent the command parser from performing substitutions on the contents.

For some examples of simple expressions, the command on the left side of each of the lines below will produce the value on the right side of the line:

set a 3 # evaluates to 3

expr 3.1 + $a # evaluates to 6.1

expr 2 + "$a.$b" # evaluates to 5.6

expr 4*[llength "6 2"] # evaluates to 8

For a list of all expressions and more detail, please see Sections 12.6 OPERATORS and 12.7 MATH FUNCTIONS

See also 12.10.5 Perform math on Tags

and 12.10 Example Scripts


12.5.13 file

Description: Manipulate files, file names and attributes

Syntax: file option name ?arg arg ...?

Argument: action, option, file names, directory name

Returns: see below

See Also:

Examples:

#example 1

file delete -force {c:\WebAccess\node\temp.bat}

# example 2
# Report1 is a Text File used for report data

# Test if ReportClient2 files exists,

# enter a row of time stamped data

# if not, create it with header lines

if {[file exists "../ReportClient2.txt"]} then {

set fileid [open "../ReportClient2.txt" a+]

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL AMPLITUDE] [GETVAL TIMER] "

close $fileid

} else {

set fileid [open "../ReportClient2.txt" a+]

seek $fileid 0 start

puts $fileid "----- Water Use Report-------\nPage 1"

#Insert data into table

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL AMPLITUDE] [GETVAL TIMER] "

close $fileid

}

This command provides several operations on a file’s name or attributes.

Name is the name of a file; if it starts with a tilde, then tilde substitution is done before executing the command.

Option indicates what to do with the file name. Any unique abbreviation for option is acceptable. The valid options are:

Options

file atime name

Returns a decimal string giving the time at which file name was last accessed. The time is measured in the standard POSIX fashion as seconds from a fixed starting time (often January 1, 1970).

If the file doesn’t exist or its access time cannot be queried then an error is generated.

file attributes name

file attributes name ?option?

file attributes name ?option value option value...?

This subcommand returns or sets Windows (Win95, 98, ME, 2003, 2000, XP) platform specific values associated with a file. The first form returns a list of the platform specific flags and their values. The second form returns the value for the specific option. The third form sets one or more of the values. The values are as follows:

-archive gives the value or sets or clears the archive attribute of the file.

-hidden gives the value or sets or clears the hidden attribute of the file.

-longname will expand each path element to its long version. This attribute cannot be set.

-readonly gives the value or sets or clears the read only attribute of the file.

-shortname gives a string where every path element is replaced with its short (8.3) version of the name. This attribute cannot be set.

-system gives or sets or clears the value of the system attribute of the file.

file copy ?-force? ?--? source target

file copy ?-force? ?--? source ?source ...? targetDir

Copy a file or directory from source under the pathname target. If target is an existing directory, then makes a copy inside targetDir of each source file listed. If a directory is specified as a source, then the contents of the directory will be copied into targetDir. Existing files will not be overwritten unless the

-force option is specified. Trying to overwrite a non-empty directory, overwrite a directory with a file, or a file with a directory will all result in errors even if -force was specified. Arguments are processed in the order specified, halting at the first error, if any.

-- (double dashes) mark the end of switches; the argument following the -- will be treated as a source even if it starts with a -.

file delete ?-force? ?--? pathname ?pathname ... ?

Deletes the file or directory specified by each pathname argument. Non-empty directories will be removed only if the -force option is specified. Trying to delete a non-existent file is not considered an error. Trying to delete a read-only file will cause the file to be deleted, even if the -force flag is not specified. Arguments are processed in the order specified, halting at the first error, if any.

-- (double dashes) mark the end of switches; the argument following the -- will be treated as a pathname even if it starts with a - (dash).

file dirname name

Returns the directory path to the named file. If name is a relative file name and only contains one path element, then returns ‘‘.’’ If name refers to a root directory, then the root directory is returned. For example,

file dirname c:/

returns c:/.

Note that tilde substitution will only be performed if it is necessary to complete the command. For example,

file dirname ˜/src/foo.c

returns ˜/src, whereas

file dirname ˜

returns /home (or something similar).

file executable name

Returns 1 if file name is executable by the current user, 0 otherwise.

file exists name

Returns 1 if file name exists and the current user has search privileges for the directories leading to it, 0 otherwise.

file extension name

Returns all of the characters after and including the last dot name. If there is no dot, returns the empty string.

file isdirectory name

Returns 1 if name is a directory, 0 otherwise.

file isfile name

Returns 1 if name is a regular file, 0 otherwise.

file join name ?name ...?

Constructs a valid pathname from multiple elements, using the correct path separator. For example,

file join /node bgr

returns /node/bgr.

file lstat name varName

if name refers to a symbolic link the information returned in varName is for the link rather than the file it refers to. On systems that don’t support symbolic links this option behaves exactly the same as the stat option.

file mkdir dir ?dir ...?

Makes the directory specified, for each pathname dir specified. This command will create all non-existing parent directories. If an existing directory is specified, then no action is taken and no error is returned. Trying to overwrite an existing file with a directory will result in an error. Arguments are processed in the order specified, halting at the first error, if any.

file mtime name

Returns the time at which file name was last modified (in seconds) from a fixed starting time (usually January 1, 1970).

If the file doesn’t exist or its modified time cannot be queried then an error is generated.

file nativename name

Returns the platform-specific name of the file. This is useful if the filename is needed to pass to a platform-specific call, such as exec under Windows 98 or Windows 2003 or Windows 2000 or Windows XP.

file owned name

Returns 1 if file name is owned by the current user, 0 otherwise.

file pathtype name

Returns absolute, relative, or volume relative. If name refers to a specific file on a specific volume, the path type will be absolute. If name refers to a file relative to the current working directory, then the path type will be relative. If name refers to a file relative to the current working directory on a specified volume, or to a specific file on the current working volume, then the file type is volumerelative.

file readable name

Returns 1 if file name is readable by the current user, 0 otherwise.

file rename ?-for ce? ?--? source target

file rename ?-for ce? ?--? source ?source ...? targetDir

Renames the file or directory specified by source and renames it to target. Moves the file if the pathname target specifies a name in a different directory.

Existing files will not be overwritten unless the -force option is specified. Trying to overwrite a non-empty directory, overwrite a directory with a file, or a file with a directory will result in errors. Arguments are processed in the order specified, halting at the first error.

-- (double dashes) mark the end of switches; the argument following the -- will be treated as a source even if it starts with a - (dash).

file rootname name

Returns file name stripped of its extension: all of the characters in name up to but not including the last ‘‘.’’ character in name.

file size name

Returns a string giving the size of file name in bytes. If the file doesn’t exist or its size cannot be queried then an error is generated.

file split name

Returns a list of the path components in name. The first element of the list will have the same path type as name. All other elements will be relative. Path separators will be discarded unless they are needed ensure that an element is unambiguously relative.

file stat name varName

Invokes the stat kernel call on name, and uses the variable given by varName to hold information returned from the kernel call. VarName is treated as an array variable, and the following elements of that variable are set: atime, ctime, dev, gid, ino, mode, mtime, nlink, size, type, uid. Each element except type is a decimal string with the value of the corresponding field from the stat return structure; see the manual entry for stat for details on the meanings of the values. The type element gives the type of the file in the same form returned by the command file type. This command returns an empty string.

file tail name

Returns all of the characters in name after the last directory separator. If name contains no separators then returns name.

file type name

Returns a string giving the type of file name, which will be one of file, directory, characterSpecial, blockSpecial, fifo, link, or socket.

file volume

Will return a list of the available local drives (e.g. {a:/ c:/}).

file writable name

Returns 1 if file name is write-able by the current user, 0 otherwise.


12.5.14 for

Description: ‘‘For’’ loop, Iterate body of commands until test fails

Syntax: for start test next body

Argument: start value, logical test expression, and variable to be incremented, command body

Returns: empty string

See Also: SCRLOOP, while, foreach, break, continue

Examples: #example 1 - will ramp the value of tag2 from 0 to 9

for {set x 0} {$x<10} {incr x} {

SETVAL "tag2 = $x"

}

For is a looping command that runs until the test is false. The body of the command will execute until the test becomes false. Commands in the script that follow the For Loop will not execute until the For Loop ends.

Next is used to increment a variable used in the test. The start, next, and body arguments must be Tcl command strings, and test is an expression string. The for command repeatedly evaluates test as an expression; if the result is non-zero it executes the command body, then executes the next statement, then repeats the loop. The command terminates when test evaluates to 0 (false). If a continue command is invoked within body then any remaining commands in the current execution of body are skipped; processing continues by invoking the Tcl interpreter on next, then evaluating test, and so on. If a break command is invoked within body or next, then the for command will return immediately. for returns an empty string.

Note: the test expression should almost always be enclosed in braces. If not, variable substitutions will be made before the for command starts executing, which means that variable changes made by the loop body will not be considered in the expression. This is likely to result in an infinite loop. If test is enclosed in braces, variable substitutions are delayed until the expression is evaluated (before each loop iteration), so changes in the variables will be visible


12.5.15 foreach

Description: Iterate over all elements in one or more lists

Syntax: foreach varname list body

foreach varlist1 list1 ?varlist2 list2 ...? body

Argument: variable name, a list of variable, command body

Returns: empty string

See Also: While, for, break, continue

Examples:

#The following loop uses i and j as loop variables to iterate over #pairs of elements of a single list.

set x {}

foreach {i j} {a b c d e f} {

lappend x $j $i

}

SETVAL text1=$x

# The value of x and tag text1 is "b a d c f e"

# There are 3 iterations of the loop.

The next loop uses i and j to iterate over two lists in parallel.

set x {}

foreach i {a b c} j {d e f g} {

lappend x $i $j

}

SETVAL text1=$x

# The value of x and text1 is " a d b e c f {} "

# There are 4 iterations of the loop.

The two forms are combined in the following example.

set x {}

foreach i {a b c} {j k} {d e f g} {

lappend x $i $j $k

SETVAL text1=$x

}

# The value of x and text1 is " a d e b f g c { "

# There are 3 iterations of the loop.

The foreach command implements a loop where the loop variable takes on values from a list.

Usually there is one loop variable, varname, and one list, which is a set of values to assign to varname. There can be multiple lists and list variables used by the command.

Hint The list is recommended to build the list using lappend or similar command. Use lindex to test your list.

The body argument is a Tcl script. For each element of list (in order from first to last), foreach assigns the contents of the element to varname, then calls the Tcl interpreter to execute body.

To use more than one list (e.g., list1, list2) each list can be associated with a loop variable (e.g., varlist1 and varlist2). During each iteration, the loop variables of each varlist are assigned from the corresponding list.

Values in each list are used once in order from first to last. The number of loop iterations depends on the number of elements in the list.

If using multiple lists, if a value list does not contain enough elements for each of its loop variables in each iteration, empty values are used for the missing elements.

The break and continue statements may be invoked inside body, with the same effect as in the for command. Foreach returns an empty string.


12.5.16 format

Description: Format a string

Syntax: format formatString ?arg arg ...?

format "%type $position +form fieldwidth.precision bit conversion" variable1? variable2? …?

Argument: string, a list of arguments

Returns: formatted text string

See Also: scan, append, lappend

Examples:

set variable 255

SETVAL text50=[format "The number %d is equal to 0x%02X" $variable $variable]

#The number 255 is equal to 0xFF

set FmtPrf  [format "%8.2f" $Prf]

This command generates a formatted string. FormatString indicates how to format the result, using % conversion format specifiers similar to the sprintf command in C. The additional arguments, if any, provide values to be substituted into the result.

format Type specifiers:

%s String

%d Decimal integer

%f Real number

%e Real number in mantissa-exponent form

%x Hexadecimal

%c Character

The command scans formatString from left to right. Each character from format string is appended to a result string.

If the character is a % then it is not copied to the result string. Instead, the characters following the % character are treated as a format specifier. The format specifier controls the conversion of the next successive arg to a particular format and the result is appended to the result string in place of the format specifier.

If there are multiple format specifiers in the format string, then each one controls the conversion of one additional arg. The format command must be given enough args to meet the needs of all of the format specifiers in formatString.

A format specifier may contain up to six different parts:

position, form flags, minimum field width, precision, bit length, and conversion character. Any of these fields may be omitted except for the conversion character. The fields that are present must appear in the order given above.

Position

If the % is followed by a decimal number and a $, as in ‘‘%2$d’’, then the value to convert is not taken from the next sequential argument. Instead, it is taken from the argument indicated by the number, where 1 corresponds to the first arg. If the conversion specifier requires multiple arguments because of * characters in the specifier then successive arguments are used, starting with the argument given by the number. If there are any positional specifiers in formatString then all of the specifiers must be positional.

Form Flags

The second portion of a conversion specifier may contain any of the following flag characters, in any order:

- Specifies that the converted argument should be left justified in its field (numbers are normally right-justified with leading spaces if needed).

+ Specifies that a number should always be printed with a sign, even if positive.

space Specifies that a space should be added to the beginning of the number if the first character isn’t a sign.

0 Specifies that the number should be padded on the left with zeroes instead of spaces.

# Requests an alternate output form. For o and O conversions it guarantees that the first digit is always 0. For x or X conversions, 0x or 0X (respectively) will be added to the beginning of the result unless it is zero. For all floating-point conversions (e, E, f, g, and G) it guarantees that the result always has a decimal point. For g and G conversions it specifies that trailing zeroes should not be removed.

minimum field width

The third portion of a conversion specifier is a number giving a minimum field width for this conversion. It is typically used to make columns line up in tabular printouts. If the converted argument contains fewer characters than the minimum field width then it will be padded so that it is as wide as the minimum field width.

Padding normally occurs by adding extra spaces on the left of the converted argument, but the 0 and - flags may be used to specify padding with zeroes on the left or with spaces on the right, respectively. If the minimum field width is specified as * rather than a number, then the next argument to the format command determines the minimum field width; it must be a numeric string.

Precision

The fourth portion of a conversion specifier is a precision, which consists of a period followed by a number. The number is used in different ways for different conversions. For e, E, and f conversions it specifies the number of digits to appear to the right of the decimal point. For g and G conversions it specifies the total number of digits to appear, including those on both sides of the decimal point (however, trailing zeroes after the decimal point will still be omitted unless the # flag has been specified). For integer conversions, it specifies a minimum number of digits to print (leading zeroes will be added if necessary). For s conversions it specifies the maximum number of characters to be printed; if the string is longer than this then the trailing characters will be dropped. If the precision is specified with * rather than a number then the next argument to the format command determines the precision; it must be a numeric string.

Bit Length

The fifth part of a conversion specifier is a bit length modifier, which must be h or l. If it is h it specifies that the numeric value should be truncated to a 16-bit value before converting. This option is rarely useful. The l modifier is ignored.

Conversion

The last thing in a conversion specifier is an alphabetic character that determines what kind of conversion to perform. The following conversion characters are currently supported:

%d Convert integer to signed decimal string.

%u Convert integer to unsigned decimal string.

%i Convert integer to signed decimal string; the integer may either be in decimal, in octal (with a leading 0) or in hexadecimal (with a leading 0x).

%o Convert integer to unsigned octal string.

%x or %X Convert integer to unsigned hexadecimal string, using digits ‘‘0123456789abcdef’’ for x and ‘‘0123456789ABCDEF’’ for X).

%c Convert integer to the 8-bit character it represents.

%s No conversion; just insert string.

%f Convert floating-point number to signed decimal string of the form xx.yyy, where the number of y’s is determined by the precision (default: 6). If the precision is 0 then no decimal point is output.

%e or %E Convert floating-point number to scientific notation in the form x.yyye±zz, where the number of y’s is determined by the precision (default: 6). If the precision is 0 then no decimal point is output. If the E form is used then E is printed instead of e.

%g or %G If the exponent is less than -4 or greater than or equal to the precision, then convert floating point number as for %e or %E. Otherwise convert as for %f. Trailing zeroes and a trailing decimal point are omitted.

% No conversion: just insert %.

For the numerical conversions the argument being converted must be an integer or floating-point string; format converts the argument to binary and then converts it back to a string according to the conversion specifier.

The return value from format is the formatted string.

DIFFERENCES FROM ANSI SPRINTF

The format command is the same as the ANSI C sprintf procedure except for the following differences:

[1] %p and %n specifiers are not currently supported.

[2] For %c conversions the argument must be a decimal string, which will then be converted to the corresponding character value.

[3] The l modifier is ignored; integer values are always converted as if there were no modifier present and real values are always converted as if the l modifier were present (i.e. type double is used for the internal representation). If the h modifier is specified then integer values are truncated to short before conversion.


12.5.17 gets

Description: Read a line from an IO channel. Replaced by GETVAL for most applications.

Syntax: gets channelId ?varName?

Argument: open channel ID, variable names to place result

Returns: text string

See Also: GETVAL

Examples:

namespace eval ::ezsmtp {

global env tcl_platform

}

GETVAL replaces gets in Advantech WebAccess Scripts. It is recommended to use GETVAL instead of gets. GETVAL reads values from Tags. The IO tags in Advantech WebAccess are updated by communications drivers reading field equipment. . Most users will only need the GETVAL action command to read values stored in tags

The gets command is supported only for advanced users needing to customize Advantech WebAccess using scripts. For most users, it is RECOMMENDED TO USE GETVAL.

gets

The gets command reads the next line from a user defined IO channel. This command would be used in Advantech WebAccess for extremely advanced applications. Gets reads the user defined IO, channelId, returns everything in the line up to (but not including) the end-of-line character(s), and discards the end-of-line character(s). If varName is omitted the line is returned as the result of the command. If varName is specified then the line is placed in the variable and the return value is a count of the number of characters returned.

If end of file occurs before an end of line, the command returns whatever input is available up to the end of file. If channelId is in nonblocking mode and there is not a full line of input available, the command returns an empty string and does not consume any input. If varName is specified and an empty string is returned in varName because of end-of-file or because of insufficient data in nonblocking mode, then the return count is -1. Note that if varName is not specified then the end-of-file and no-full-line-available cases can produce the same results as if there were an input line consisting only of the end-of-line character(s). The eof and fblocked commands can be used to distinguish these three cases.


12.5.18 global

Description: declare or access global variables

Syntax: global varname ?varname ...?

Argument: variable name(s )

Returns: text string with a list of values, with spaces between elements

See Also: namespace, proc, variable

Examples:

namespace eval ::ezsmtp {

global env tcl_platform

}

This command is ignored unless a Tcl procedure is being interpreted. If so then it declares the given varname’s to be global variables rather than local ones. Global variables are variables in the global namespace. For the duration of the current procedure (and only while executing in the current procedure), any reference to any of the varnames will refer to the global variable by the same name.


12.5.19 if

Description: Execute scripts conditionally.

Syntax: if expr1 ?then? body1 elseif expr2 ?then? body2 elseif ... ?else? ?bodyN?

if expr1 body1

if expr1 then body1

if expr1 then body1 else bodyN

if expr1 then body1 elseif expr 2 then body2

if expr1 then body1 elseif expr 2 then body2 else bodyN

Argument: logical expression and command

Returns: The return value of the body of the script that was executed.

See Also: else, elseif

Examples:

catch {

if {[GETVAL AMPLITUDE] < 0} then {

SETVAL {AMPLITUDE=%LOOPPLUS 10}

} elseif {[GETVAL AMPLITUDE] < [GETVAL AMPLITUDE.OUTPHI]} then {

SETVAL {AMPLITUDE=%LOOPPLUS @tag1}

} else {

SETVAL {AMPLITUDE=@AMPLITUDE.OUTPLO}

}

}

# ramps value up to output high limit. if value less than 0, increase by 10, else increase by value of tag1 until output high limit reached, then reset to output low limit.

The if command tests for True or False. It will execute a command if the test is true. Optionally it will provide alternate tests and alternate commands to perform.

If evaluates expr1 as an expression the same way that expr would evaluate it. The value of the expression must be a Boolean (a numeric value, where 0 is false and anything is true, or a string value such as true or yes for true and false or no for false); if it is true then body1 is executed by passing it to the Tcl interpreter. Otherwise expr2 is evaluated as an expression and if it is true then body2 is executed, and so on. If none of the expressions evaluates to true then the else bodyN is executed. The then and else arguments are optional ‘‘noise words’’ to make the command easier to read.

There may be any number of elseif clauses, including zero. BodyN may also be omitted as long as else is omitted too. The return value from the command is the result of the body script that was executed, or an empty string if none of the expressions was non-zero and there was no bodyN.

Tcl is very picky about spaces and line breaks. The if-then-else statements seem to work best when if and then are on same line, and the else is on same line as the then command body.

if {} then {

} elseif {} then {

} else {

}

Hint If you use the script editor dialog box keywords, and double click on if, then double click on elseif, it will position the if, then elseif with line breaks appropriately so they always work.

Then and else are optional. For example

if {$var == 1} {SETVAL tag1=100}

works just like if {$var == 1} then {SETVAL tag1=100}

AND

if {$var == 1} {SETVAL tag1=100} {SETVAL tag1=0}

works just like

if {$var == 1} then {SETVAL tag1=100} else {SETVAL tag1=100}


12.5.20 incr

Description: Increment the value of a variable

Syntax: incr varName ?increment?

Argument: variable, increment amount (default is 1)

Returns: value of variable plus increment

See Also: variable

Examples: incr int 1

Increments the value of variable varName. The value of the variable must be an integer. If increment is supplied then its value (which must be an integer) is added to the value of variable varName; otherwise 1 is added to varName. The new value is stored in variable varName and also returned as result.


12.5.21 info

Description: Return information about the state of the Tcl interpreter and variables

Syntax: info option ?arg arg ...?

Argument: option, tclvars, variables, namespace, global variables

Returns: 0 or 1

See Also: namespace, procedure, variable, tclvars, global

Examples: #example 1

if {[info exists tcl_platform(user)]} {

     set user $tcl_platform(user)

} elseif {[info exists env(USERNAME)]}  {

     set user $env(USERNAME)

} else   {set user {}}

This command provides information about various internals of the Tcl interpreter. The option’s (which may be abbreviated) are:

info args procname

Returns a list of the arguments to procedure procname. Procname must be a Tcl command procedure.

info body procname

Returns the body of procedure procname.

info cmdcount

Returns a count of the total number of commands that have been invoked in this interpreter.

info commands ?patter n?

If pattern isn’t specified, returns a list of names of all the Tcl commands in the current namespace, including both the built-in commands and the command procedures defined using the proc command. If pattern is specified, only those names matching pattern are returned. Matching is determined using the same rules as for string match. It may specify a particular namespace using a sequence of namespace names separated by ::s, and may have pattern matching special characters at the end to specify a set of commands in that namespace. If pattern is a qualified name, the resulting list of command names has each one qualified with the name of the specified namespace.

info complete command

Returns 1 if command is a complete Tcl command in the sense of having no unclosed quotes, braces, brackets or array element names, If the command doesn’t appear to be complete then 0 is returned. This command is typically used in line-oriented input environments to allow users to type in commands that span multiple lines; if the command isn’t complete, the script can delay evaluating it until additional lines have been typed to complete the command.

info default procname arg varname

Procname must be the name of a Tcl command procedure and arg must be the name of an argument to that procedure. If arg doesn't’t have a default value then the command returns 0. Otherwise it returns 1 and places the default value of arg into variable varname.

info exists varName

Returns 1 if the variable named varName exists in the current context (either as a global or local variable), returns 0 otherwise.

info globals ?patter n?

If pattern isn’t specified, returns a list of all the names of currently defined global variables. Global variables are variables in the global namespace. If pattern is specified, only those names matching pattern are returned. Matching is determined using the same rules as for string match.

info hostname

Returns the name of the computer on which this invocation is being executed.

info level ?numbe r?

If number is not specified, this command returns a number giving the stack level of the invoking procedure, or 0 if the command is invoked at top-level. If number is specified, then the result is a list consisting of the name and arguments for the procedure call at level number on the stack. If number is positive then it selects a particular stack level (1 refers to the top-most active procedure, 2 to the procedure it called, and so on); otherwise it gives a level relative to the current level (0 refers to the current procedure, -1 to its caller, and so on). See the uplevel command for more information on what stack levels mean.

info library

Returns the name of the library directory in which standard Tcl scripts are stored. This is actually the value of the tcl_library variable and may be changed by setting tcl_library. See the tclvars manual for more information.

info locals ?patter n?

If pattern isn’t specified, returns a list of all the names of currently defined local variables, including arguments to the current procedure, if any. Variables defined with the global and upvar commands will not be returned. If pattern is specified, only those names matching pattern are returned. Matching is determined using the same rules as for string match.

info nameofexecutable

Returns the full path name of the binary file from which the application was invoked. If Tcl was unable to identify the file, then an empty string is returned.

info patchlevel

Returns the value of the global variable tcl_patchLevel; see the tclvars manual entry for more information.

info procs ?patter n?

If pattern isn’t specified, returns a list of all the names of Tcl command procedures in the current namespace. If pattern is specified, only those procedure names in the current namespace matching pattern are returned. Matching is determined using the same rules as for string match.

info script

If a Tcl script file is currently being evaluated (i.e. there is a call to Tcl_EvalFile active or there is an active invocation of the source command), then this command returns the name of the innermost file being processed. Otherwise the command returns an empty string.

info tclversion

Returns the value of the global variable tcl_version; see the tclvars manual for more information.

info vars ?patter n?

If pattern isn’t specified, returns a list of all the names of currently visible variables. This includes locals and currently visible globals. If pattern is specified, only those names matching pattern are returned. Matching is determined using the same rules as for string match. pattern can be a particular namespace using a sequence of namespace names separated by ::s, and may have pattern matching special characters at the end

to specify a set of variables in that namespace. If pattern is a qualified name, the resulting list of variable names has each matching namespace variable qualified with the name of its namespace.


12.5.22 lappend

Description: Append list elements onto a variable

Syntax: lappend varName ?value value value ...?

Argument: variable name, a list of values

Returns: text string with a list of values, with spaces between elements

See Also: foreach, append, concat, list, llength, lindex

Examples:

set x {}

foreach {i j} {a b c d e f} {

lappend x $j $i

}

SETVAL text1=$x

# The value of x and tag text1 is "b a d c f e"

This command treats the variable given by varName as a list and appends each of the value arguments to that list as a separate element, with spaces between elements. If varName doesn’t exist, it is created as a list with elements given by the value arguments. Lappend is similar to append except that the values are appended as list elements rather than raw text. This command provides a relatively efficient way to build up large lists. For example, ‘‘lappend a $b’’ is much more efficient than
‘‘set a [concat $a [list $b]]’’

if $a contains a long list.


12.5.23 lindex

Description: Retrieve an element from a list

Syntax: lindex list index

Argument: list, position in list

Returns: element from a list of values, with spaces between elements

See Also: list, llength, lappend, foreach, append, concat

Examples: SETVAL text50=[lindex $listonames 3]

This command treats list as a Tcl list and returns the index’th element from it (0 refers to the first element of the list). In extracting the element, lindex observes the same rules concerning braces and quotes and backslashes as the Tcl command interpreter; however, variable substitution and command substitution do not occur. If index is negative or greater than or equal to the number of elements in value, then an empty string is returned. If index has the value end, it refers to the last element in the list.


12.5.24 linsert

Description: Insert elements into a list

Syntax: linsert list index element ?element element ...?

Argument: list, index, element(s)

Returns: a list of values, with spaces between elements

See Also: list, llength, lappend, foreach, append, concat

Examples: linsert mylist  3 "third choice"

# insert "third choice" as a single element

# in the third position of mylist

Inserts all of the element arguments just before the indexth element of list. Creates list if it does not exist. Each element argument will become a separate element of the new list. If index is less than or equal to zero, then the new elements are inserted at the beginning of the list. If index has the value end, or if it is greater than or equal to the number of elements in the list, then the new elements are appended to the list.

.


12.5.25 list

Description: Create a list of values separated by spaces

Syntax: list ?arg arg ...?

Argument: variable name, a list of values, commands

Returns: text string with a list of values, with spaces between elements

See Also: lappend, llength, lindex, lsearch, split, foreach, append, concat

Examples: #example 1

set x [list {a b c d e f}] {

SETVAL text1=$x

# The value of x and tag text1 is "a b c d e f"

#example 2 -  display error if it occurs

if {[catch [list SCREXEC sourcein.bad] err]} {

   SETVAL "text=Failed. $err "

   }

Returns a list comprised of all the args. An empty string if no args are specified. Braces and backslashes get added as necessary, so that the index command may be used on the result to re-extract the original arguments.

eval may also be used to execute the resulting list, with arg1 comprising the command’s name and the other args comprising its arguments. List produces slightly different results than concat. concat removes a level of grouping. list works directly from the original arguments.


12.5.26 llength

Description: Count the number of elements in a list

Syntax: llength list

Argument: a list

Returns: length

See Also: lappend, list, length

Examples: #example 1

if {[llength $things)] > 2} {

append things "a b c d e f g"

}

Returns the number of elements list. List must be created using a list command (list, lappend, etc.)

# example 2

# split value into lines, trimming leading and trailing

# space.

 set value2 {}

 foreach ln [split $value \n] {

       set ln [string trim $ln]

       if {[string length $ln] > 65} {

       SETVAL "text50=line longer than 65 chars"

       }

       lappend value2 $ln

 }


12.5.27 lsearch

Description: See if a list contains a particular element

Syntax: lsearch ?mode? list pattern

Argument: mode, list , search pattern

Returns: 1 or 0

See Also: lappend, list, length, lindex

Examples: #example 1

if {[lsearch $swl $v] == -1} {

                                set error "invalid config option, must be one of: $swl"

                                }

This command searches the elements of list to see if one of them matches pattern. If so, the command returns the index of the first matching element. If not, the command returns -1. The mode argument indicates how the elements of the list are to be matched against pattern and it must have one of the following values:

-exact The list element must contain exactly the same string as pattern.

-glob Pattern is a glob-style pattern that is matched against each list element using the same rules as the string match command. If mode is omitted then it defaults to -glob

-regexp

Pattern is treated as a regular expression and matched against each list element using the same rules as the regexp command.

.


12.5.28 namespace

Description: namespace - create and manipulate contexts for commands and variables

Syntax: namespace ?option? ?arg ...?

Argument: options, variable names, command arguments

Returns: text string with a list of values, with spaces between elements

See Also: global, variable, source, SCREXEC

Examples:

namespace eval ::ezsmtp {

    global env tcl_platform

    variable mail

# Global variables that may be altered through ezsmtp::config.

set mail(vars) [list verbose mailhost port from strictaddr]

set mail(verbose) 0                 ;# No logging output

set mail(mailhost) localhost        ;# Host with smtp daemon

set mail(port) 25                   ;# port for smtp daemon

}

The namespace command lets you create, access, and destroy separate contexts for commands and variables. See the section WHAT IS A NAMESPACE? below for a brief overview of namespaces. The legal options are listed below.

namespace children ?namespac e? ?pattern?

Returns a list of all child namespaces that belong to the namespace namespace. If namespace is not specified, then the children are returned for the current namespace. This command returns fully qualified names, which start with :: (double colons). If the optional pattern is given, then this command returns only the names that match the glob-style pattern. A pattern that starts with :: (double colons) is used directly, otherwise the namespace namespace is added to the beginning of the pattern (added as a prefix).

namespace code script

Captures the current namespace context for later execution of the script. It returns a newscript in which script has been wrapped in a namespace code command. The new script has two important properties. First, it can be evaluated in any namespace and will cause script to be evaluated in the current namespace (the one where the namespace code command was invoked). Second, additional arguments can be appended to the resulting script and they will be passed to script as additional arguments.

For example, suppose the command

set script [namespace code {unitone}] is invoked in namespace ::a::b. Then eval "$script x y" can be executed in any namespace

(assuming the value of script has been passed in properly) and will have the same effect as the command namespace eval ::a::b {unit one x y}.

namespace current

Returns the name for the current namespace. The actual name of the global namespace is ‘‘’’ (i.e., an empty string), but this command returns :: for the global namespace as a convenience to programmers.

namespace delete ?namespace namespace ...?

namespace is deleted and all variables, procedures, and child namespaces contained in the namespace are deleted. If a procedure is currently executing inside the namespace, the namespace will be kept alive until the procedure ends; however, the namespace is marked to prevent other code from looking it up by name. If a namespace doesn’t exist, this command returns an error.

namespace eval namespace arg ?arg ...?

Activates a namespace and evaluates code in arg. If the namespace does not already exist, it is created. If more than one arg argument is specified, the arguments are concatenated together with a space between each one in the same fashion as the eval command, and the result is evaluated.

If namespace has leading namespace qualifiers and any leading namespaces do not exist, they are automatically created.

namespace export ?-cle ar? ?pattern pattern ...?

Specifies which commands are exported from a namespace. The exported commands are those that can be later imported into another namespace using a namespace import command. Both commands defined in a namespace and commands the namespace has previously imported can be exported by a namespace. The commands do not have to be defined at the time the namespace export command is executed. Each pattern may contain glob-style special characters, but it may not include any namespace qualifiers. That is, the pattern can only specify commands in the current (exporting) namespace. Each pattern is appended onto the namespace’s list of export patterns.

If the -clear flag is given, the namespace’s export pattern list is reset to empty before any pattern arguments are appended. If no patterns are given and the -clear flag isn’t given, this command returns the namespace’s current export list.

namespace forget ?pattern pattern ...?

Removes previously imported commands from a namespace. Each pattern is a qualified name such as foo::x or a::b::p*. Qualified names contain ::s and qualify a name with the name of one or more namespaces. Each pattern is qualified with the name of an exporting namespace and may have glob-style special characters in the command name at the end of the qualified name. Glob characters may not appear in a namespace name. This command first finds the matching exported commands. It then checks whether any of those commands were previously imported by the current namespace. If so, this command deletes the corresponding imported commands. In effect, this un-does the action of a namespace import command.

namespace import ?-for ce? ?pattern pattern ...?

Imports commands into a namespace. Each pattern is a qualified name that includes the name of an exporting namespace and may have glob-style special characters in the command name at the end of the qualified name. Glob characters may not appear in a namespace name. All the commands that match a pattern string and which are currently exported from their namespace are added to the current namespace. This is done by creating a new command in the current namespace that points to the exported command in its original namespace; when the new imported command is called, it invokes the exported command. This command normally returns an error if an imported command conflicts with an existing command. However, if the -force option is given, imported commands will silently replace existing commands. The namespace import command has snapshot semantics: that is, only requested commands that are currently defined in the exporting namespace are imported. In other words, you can import only the commands that are in a namespace at the time when the namespace import command is executed. If another command is defined and exported in this namespace later on, it will not be imported.

namespace inscope namespace arg ?arg ...?

Executes a script in the context of a particular namespace. This command is not expected to be used directly by programmers; calls to it are generated implicitly when applications use namespace code commands to create callback scripts that the applications then register with. The namespace inscope command is much like the namespace eval command except that it has lappend semantics and the namespace must already exist. It treats the first argument as a list, and appends any arguments after the first onto the end as proper list elements..

namespace origin command

Returns the fully qualified name of the original command to which the imported command refers. When a command is imported into a namespace, a new command is created in that namespace that points to the actual command in the exporting namespace. If a command is imported into a sequence of namespaces a, b,...,n where each successive namespace just imports the command from the previous namespace, this command returns the fully-qualified name of the original command in the first namespace, a. If command does not refer to an imported command, the command’s own fully qualified name is returned.

namespace parent ?namespac e?

Returns the fully qualified name of the parent namespace for namespace namespace. If namespace is not specified, the fully qualified name of the current namespace’s parent is returned.

namespace qualifiers string

Returns any leading namespace qualifiers for string. Qualifiers are namespace names separated by ::s. This command is the complement of the namespace tail command. Note that it does not check whether the namespace names are, in fact, the names of currently defined namespaces.

namespace tail string

Returns the simple name at the end of a qualified string. Qualifiers are namespace names separated by ::s. This command is the complement of the namespace qualifiers command. It does not check whether the namespace names are, in fact, the names of currently defined namespaces.

namespace which ?-comma nd? ?-variable? name

Looks up name as either a command or variable and returns its fully qualified name. For example, if name does not exist in the current namespace but does exist in the global namespace, this command returns a fully qualified name in the global namespace. If the command or variable does not exist, this command returns an empty string. If no flag is given, name is treated as a command name. See the section NAME RESOLUTION below for an explanation of the rules regarding name resolution.

WHAT IS A NAMESPACE?

A namespace is a collection of commands and variables. It encapsulates the commands and variables to ensure that they won’t interfere with the commands and variables of other namespaces. Tcl has always had one such collection, which we refer to as the global namespace. The global namespace holds all global variables and commands. The namespace eval command lets you create new namespaces. For example,

namespace eval Counter {

namespace export Bump

variable num 0

proc Bump {} {

variable num

incr num

}

}

creates a new namespace containing the variable num and the procedure Bump. The commands and variables in this namespace are separate from other commands and variables in the same program. If there is a command named Bump in the global namespace, for example, it will be different from the command Bump in the Counter namespace.

Namespace variables resemble global variables in Tcl. They exist outside of the procedures in a namespace but can be accessed in a procedure via the variable command, as shown in the example above. Namespaces are dynamic. You can add and delete commands and variables at any time, so you can build up the contents of a namespace over time using a series of namespace eval commands. For example, the following series of commands has the same effect as the namespace definition shown above:

namespace eval Counter {

variable num 0

proc Bump {} {

variable num

return [incr num]

}

}

namespace eval Counter {

proc test {args} {

return $args

}

}

namespace eval Counter {

rename test ""

}

Note that the test procedure is added to the Counter namespace, and later removed via the rename command. Namespaces can have other namespaces within them, so they nest hierarchically. A nested namespace is encapsulated inside its parent namespace and cannot interfere with other namespaces.


12.5.29 open

Description: Open a file or command pipeline channel or IO channel

Syntax: open fileName

open fileName access

open fileName access permissions

Argument: filename access permissions

Returns: channel identifier of file or port ("handle")

See Also: file, seek, close, filename, gets, puts

Example:

set fileid [open "../Report1.txt" a+]

seek $fileid 0 start

puts $fileid "----- Water Use Report-------\nPage 1"

#Insert data into table

puts $fileid "[GETVAL %TTMDATE]  [GETVAL %TTMTIME]  [GETVAL AMPLITUDE]  [GETVAL TIMER] "

close $fileid

The open command opens a file, serial port, or command pipeline and returns a channel identifier (a handle) that may be used in future invocations of commands like read, puts, and close. As a result, open is usually used with a set command to store the "handle" for future use. A good practice is to use the close command to allow the file to be opened later by other scripts or other instances of your script.

The access argument, if present, indicates the way in which the file (or command pipeline) is to be accessed or created. In the first form access may have any of the following values:

r Open the file for reading only; the file must already exist. This is the default value if access is not specified.

r+ Open the file for both reading and writing; the file must already exist.

w Open the file for writing only. Truncate it if it exists. If it doesn’t exist, create a new file.

w+ Open the file for reading and writing. Truncate it if it exists. If it doesn’t exist, create a new file.

a Open the file for writing only. The file must already exist, and the file is positioned so that new data is appended to the file.

a+ Open the file for reading and writing. If the file doesn’t exist, create a new empty file. Set the initial access position to the end of the file.

HINT

The root for built-in tcl commands used in scripts is the bgr subdirectory for Clients. .

On a Client (View), the root path for tcl is drive:\WebAccess\Client\project_node/bgr

On the Node (ViewDAQ) for tcl and Global scripts, the root path is drive:\WebAccess\Node\project_node/bgr

Note that tcl on VIEW has a root path different that ViewDAQ or Global Scripts on each client or node.

This is also different than the root used to create a file readable using a <WINEXEC> keymacro. If the <WINEXEX> creates a file (for example <WINEXEC> notepad.exe text.txt), the root path is the project_node subdirectory on each client or node. To create and read files using tcl and WINEXEC try:

<WINEXEC>Notepad.exe ReportClient2.txt

and

set fileid [open "../ReportClient2.txt" a+]

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL TIMER] "

close $fileid


12.5.30 proc

Description: Create a Tcl procedure (e.g. a subroutine)

Syntax: proc name args body

Argument: name args body

Returns: procedure’s return value is the value specified in a return command

See Also: While, foreach, for,

Example:

proc power {base p} {

    set result 1

    while {$p > 0} {

        set result [expr $result * $base]

        set p [expr $p - 1]

    }

    return $result

}

SETVAL tag1=[power 2 6]

SETVAL answr=[power [GETVAL basetag] [GETVAL pwrtag]]

SETVAL answr2=[power [GETVAL btag2] [GETVAL ptag2]]

The proc command creates a new Tcl procedure named name, replacing any existing command or procedure there may have been by that name. Whenever the new command is invoked, the Tcl interpreter will execute the contents of body. Normally, name is unqualified (does not include the names of any containing namespaces), and the new procedure is created in the current namespace. If name includes any namespace qualifiers, the procedure is created in the specified namespace. Args specifies the formal arguments to the procedure. It consists of a list, possibly empty, each of whose elements specifies one argument. Each argument specifier is also a list with either one or two fields. If there is only a single field in the specifier then it is the name of the argument; if there are two fields, then the first is the argument name and the second is its default value.

When name is invoked a local variable will be created for each of the formal arguments to the procedure; its value will be the value of corresponding argument in the invoking command or the argument’s default value. Arguments with default values need not be specified in a procedure invocation. However, there must be enough actual arguments for all the formal arguments that don’t have defaults, and there must not be any extra actual arguments. There is one special case to permit procedures with variable numbers of arguments. If the last formal argument has the name args, then a call to the procedure may contain more actual arguments than the procedure has formals. In this case, all of the actual arguments starting at the one that would be assigned to args are combined into a list (as if the list command had been used); this combined value is assigned to the local variable args.

When body is being executed, variable names normally refer to local variables, which are created automatically when referenced and deleted when the procedure returns. One local variable is automatically created for each of the procedure’s arguments. Global variables can only be accessed by invoking the global command or the upvar command. Namespace variables can only be accessed by invoking the variable command or the upvar command.

The proc command returns an empty string. When a procedure is invoked, the procedure’s return value is the value specified in a return command. If the procedure doesn’t execute an explicit return, then its return value is the value of the last command executed in the procedure’s body. If an error occurs while executing the procedure body, then the procedure-as-a-whole will return that same error.


12.5.31 puts

Description: Write to an IO channel ( Com. port, TCP socket, file or command pipe). Replaced by SETVAL for most applications

Syntax: puts ?-nonewline? ?channelId? string

Argument: option, IO channel

Returns:

See Also: SETVAL, file, filevent,

Examples: #  example 1
# Sends a line of text to the server socket

# Arguments:

# s                           Open socket to server.

# line                       Line of text to be sent to the server.

# Results:

# Closes socket $s and un-sets variables.

proc send_line {s  line} {

                                puts $s $line

                                 flush $s

}

# Example 2

# Report1 is a Text File used for report data

set fileid [open "../ReportClient2.txt" a+]

seek $fileid 0 start

puts $fileid "----- Water Use Report-------\nPage 1"

# Insert data into table

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL AMPLITUDE] [GETVAL TIMER] "

close $fileid

SETVAL recommended interface for most Advantech WebAccess Scripts. SETVAL can change the value of a specific tag in an established communications driver.

The puts command is maintained to support imported Tcl scripts to customize Advantech WebAccess (for example sending email). The user must define and open an IO channel. There is no standard IO (stdout) in Advantech WebAccess. For most users, IT IS NOT RECOMMENDED TO USE puts.

The puts command writes the characters given by string to the channel given by channelId. ChannelId must be a channel identifier such as returned from a previous invocation of open or socket. It must have been opened for output.

Puts normally outputs a newline character after string, but this feature may be suppressed by specifying the -nonewline switch. Newline characters in the output are translated by puts to platform-specific end-of-line sequences according to the current value of the -translation option for the channel (for example, on PCs newlines are normally replaced with carriage-return-linefeed sequences).

Tcl buffers output internally, so characters written with puts may not appear immediately on the output file or device; Tcl will normally delay output until the buffer is full or the channel is closed. You can force output to appear immediately with the flush command.

When the output buffer fills up, the puts command will normally block until all the buffered data has been accepted for output by the operating system. If channelId is in nonblocking mode then the puts command will not block even if the operating system cannot accept the data. Instead, Tcl continues to buffer the data and writes it in the background as fast as the underlying file or device can accept it. The application must use the Tcl event loop for nonblocking output to work; otherwise Tcl never finds out that the file or device is ready for more output data. It is possible for an arbitrarily large quantity of data to be buffered for a channel in nonblocking mode, which could consume a large quantity of memory. To avoid wasting memory, nonblocking I/O should normally be used in an event-driven fashion with the fileevent command (don’t invoke puts unless you have recently been notified via a file event that the channel is ready for more output data).


12.5.32 pwd

Description: please what directory.

Syntax: pwd

Argument: none

Returns: path name of the current working directory.

See Also: file

Examples: SETVAL text=[pwd]

This command is used to get the current working directory of the Tcl script. Typically either replies:

Drive:/WebAccess\Node/projectname_NODE

Drive:/WebAccess\Client/projectname_NODE

Notice that it returns the UNIX style slash (forward slash) even on a Windows PC.


12.5.33 return

Description: Return from a procedure

Syntax: return ?-code code? ?-errorinfo info? ?-errorcode code? ?string?

Argument: code, errorcodes, user assigned value

Returns: return value is the value specified in a return command

See Also: proc, break, continue

Examples:

proc power {base p} {

    set result 1

    while {$p > 0} {

        set result [expr $result * $base]

        set p [expr $p - 1]

    }

    return $result

}

SETVAL tag1=[power 2 6]

SETVAL answr=[power [GETVAL basetag] [GETVAL pwrtag]]

SETVAL answr2=[power [GETVAL basetag2] [GETVAL pwrtag2]]

Return immediately from the current procedure (or top-level command or source command), with string as the return value. If string is not specified then an empty string will be returned as result.

Exceptional returns

In the usual case where the -code option isn’t specified the procedure will return normally (its completion code will be TCL_OK). However, the -code option may be used to generate an exceptional return from the procedure. Code may have any of the following values:

ok Normal return: same as if the option is omitted.

error Error return: same as if the error command were used to terminate the procedure, except for handling of errorInfo and errorCode variables (see below).

return The current procedure will return with a completion code of TCL_RETURN, so that the procedure that invoked it will return also.

break The current procedure will return with a completion code of TCL_BREAK, which will terminate the innermost nested loop in the code that invoked the current procedure.

continue The current procedure will return with a completion code of TCL_CONTINUE, which will terminate the current iteration of the innermost nested loop in the code that invoked the current procedure.

value Value must be an integer; it will be returned as the completion code for the current procedure.

The -code option is rarely used. It is provided so that procedures that implement new control structures can reflect exceptional conditions back to their callers.

Two additional options, -errorinfo and -errorcode, may be used to provide additional information during error returns. These options are ignored unless code is error.

The -errorinfo option specifies an initial stack trace for the errorInfo variable; if it is not specified then the stack trace left in errorInfo will include the call to the procedure and higher levels on the stack but it will not include any information about the context of the error within the procedure. Typically the info value is supplied from the value left in errorInfo after a catch command trapped an error within the procedure. If the -errorcode option is specified then code provides a value for the errorCode variable. If the option is not specified then errorCode will default to NONE.


12.5.34 scan

Description: Parse string using conversion specifiers . Extracts elements from a string.

Syntax: scan string format varName ?varName ...?

scan string format format format…? varName ? varname? varName ...?

Argument: string, multiple format command, multiple variables

Returns: elements extracted from string

See Also: format, string

Examples:

#example 1

set list1 {}

lappend list1 77.1 87.2 10

catch {

SETVAL analog1=[scan $list1 "%f"]

}

catch {

scan $list1 "%1\$f %2\$f %3\$f" num1 num2 num3

SETVAL analog2=$num2

SETVAL analog3=$num3

}

# analog1=77.1, analog2=87.3 and analog3=10

#example 2

set x "SSN# 123456789"

catch {

scan $x "%2\$s %1\$s" ssn ssn2

SETVAL text1=$ssn

}

catch {

scan $x "%s" ssn5

SETVAL text5=$ssn5

}

catch {

scan $x "%1\$s %2\$s" ssn3 ssn4

SETVAL text3=$ssn3

SETVAL text4=$ssn4

SETVAL analog3=$ssn4

}

# text1=123456789 text2=SSN#

# text5 = SSN#

# text 3 = SSN# text4=123456789

# analog3=123456789.00

The scan command is used extract data from a string or a list. Common uses are to test if the string is empty, force a string into a specific format, or extract individual data elements (e.g. get the second number from a list of numbers). You must know the position of the string you are to extract. A blank space is a delimiter for elements in a string.

%s String

%d Decimal integer

%f Real number

%e Real number in mantissa-exponent form

%x Hexadecimal

%c Character

This command parses fields from an input string and returns a count of the number of conversions performed, or -1 if the end of the input string is reached before any conversions have been performed. String gives the input to be parsed and format indicates how to parse it, using % conversion specifiers as in sscanf. Each varName gives the name of a variable; when a field is scanned from string the result is converted back into a string and assigned to the corresponding variable. If no varName variables are specified, then scan works in an inline manner, returning the data that would otherwise be stored in the variables as a list. In the inline case, an empty string is returned when the end of the input string is reached before any conversions have been performed.

Scan operates by scanning string and format together. If the next character in format is a blank or tab then it matches any number of white space characters in string (including zero). Otherwise, if it isn't a % character then it must match the next character of string. When a % is encountered in format, it indicates the start of a conversion specifier. A conversion specifier contains up to four fields after the %: a *, which indicates that the converted value is to be discarded instead of assigned to a variable; a XPG3 position specifier; a number indicating a maximum field width; and a conversion character. All of these fields are optional except for the conversion character. The fields that are present must appear in the order given above.

When scan finds a conversion specifier in format, it first skips any white-space characters in string (unless the specifier is [ or c). Then it converts the next input characters according to the conversion specifier and stores the result in the variable given by the next argument to scan.

If the % is followed by a decimal number and a $, as in ``%2$d'', then the variable to use is not taken from the next sequential argument. Instead, it is taken from the argument indicated by the number, where 1 corresponds to the first varName. If there are any positional specifiers in format then all of the specifiers must be positional. Every varName on the argument list must correspond to exactly one conversion specifier or an error is generated, or in the inline case, any position can be specified at most once and the empty positions will be filled in with empty strings.

The following conversion characters are supported:

%d

The input field must be a decimal integer. It is read in and the value is stored in the variable as a decimal string.

%o

The input field must be an octal integer. It is read in and the value is stored in the variable as a decimal string. If the value exceeds MAX_INT (017777777777 on platforms using 32-bit integers), it will be truncated to a signed integer. Hence, 037777777777 will appear as -1 on a 32-bit machine.

%x

The input field must be a hexadecimal integer. It is read in and the value is stored in the variable as a decimal string. If the value exceeds MAX_INT (0x7FFFFFFF on platforms using 32-bit integers), it will be truncated to a signed integer. Hence, 0xFFFFFFFF will appear as -1 on a 32-bit machine.

%u

The input field must be a decimal integer. The value is stored in the variable as an unsigned decimal integer string.

%i

The input field must be an integer. The base (i.e. decimal, octal, or hexadecimal) is determined in the same fashion as described in expr. The value is stored in the variable as a decimal string.

%c

A single character is read in and its binary value is stored in the variable as a decimal string. Initial white space is not skipped in this case, so the input field may be a white-space character. This conversion is different from the ANSI standard in that the input field always consists of a single character and no field width may be specified.

%s

The input field consists of all the characters up to the next white-space character; the characters are copied to the variable.

%e or %f or g

The input field must be a floating-point number consisting of an optional sign, a string of decimal digits possibly containing a decimal point, and an optional exponent consisting of an e or E followed by an optional sign and a string of decimal digits. It is read in and stored in the variable as a floating-point string.

[chars]

The input field consists of any number of characters in chars. The matching string is stored in the variable. If the first character between the brackets is a ] then it is treated as part of chars rather than the closing bracket for the set. If chars contains a sequence of the form a-b then any character between a and b (inclusive) will match. If the first or last character between the brackets is a -, then it is treated as part of chars rather than indicating a range.

[^chars]

The input field consists of any number of characters not in chars. The matching string is stored in the variable. If the character immediately following the ^ is a ] then it is treated as part of the set rather than the closing bracket for the set. If chars contains a sequence of the form a-b then any character between a and b (inclusive) will be excluded from the set. If the first or last character between the brackets is a -, then it is treated as part of chars rather than indicating a range.

%

No input is consumed from the input string. Instead, the total number of chanters scanned from the input string so far is stored in the variable.

The number of characters read from the input for a conversion is the largest number that makes sense for that particular conversion (e.g. as many decimal digits as possible for %d, as many octal digits as possible for %o, and so on). The input field for a given conversion terminates either when a white-space character is encountered or when the maximum field width has been reached, whichever comes first. If a * is present in the conversion specifier then no variable is assigned and the next scan argument is not consumed.

Differences from ansi sscanf

The behavior of the scan command is the same as the behavior of the ANSI C sscanf procedure except for the following differences:

[1] %p conversion specifier is not currently supported.

[2] For %c conversions a single character value is converted to a decimal string, which is then assigned to the corresponding varName; no field width may be specified for this conversion.

[3] The l, h, and L modifiers are ignored; integer values are always converted as if there were no modifier present and real values are always converted as if the l modifier were present (i.e. type double is used for the internal representation).

[4] If the end of the input string is reached before any conversions have been performed and no variables are given, and empty string is returned


12.5.34.1 seek

Description: Change the access position for an open channels and files.

Syntax: seek channelId offset ?origin?

Argument: option, IO channel

Returns:

See Also: puts, file, gets, open

Examples: # Example 1

# Report1 is a Text File used for report data

set fileid [open "../ReportClient2.txt" a+]

seek $fileid 0 start

puts $fileid "----- Water Use Report-------\nPage 1"

# Insert data into table

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL AMPLITUDE] [GETVAL TIMER] "

close $fileid

Changes the current access position for channelId. ChannelId must be a channel identifier such as returned from a previous invocation of open or socket. The offset and origin arguments specify the position at which the next read or write will occur for channelId. Offset must be an integer (which may be negative) and origin must be one of the following:

start The new access position will be offset bytes from the start of the underlying file or device.

current The new access position will be offset bytes from the current access position; a negative offset moves the access position backwards in the underlying file or device.

end The new access position will be offset bytes from the end of the file or device. A negative offset places the access position before the end of file, and a positive offset places the access position after the end of file.

The if no origin specified, command uses default start.

This command returns an empty string. An error occurs if this command is applied to channels whose underlying file or device does not support seeking.


12.5.35 set

Description: Sets a script variable value.

Syntax: SET variable value

Arguments: variable and value analog, digital or text type

Returns:

See Also: SETVAL, @, BINDVAR, GETVAL, $, append, lappend

Examples: set temp 5

set dx [expr [GETVAL r]*[GETVAL da]/180.0*3.1415926]

SETVAL x=$dx

set str6 "[GETVAL text1] [GETVAL text2] [GETVAL text3]"

Sets a script variable value. This is a TCL language command. If script variable is bound to a tag or tag field, will set value of tag or tag field.


12.5.36 source

Description: call an external script file and execute it.

Replaced by SCREXEC ACTION command

Syntax: source filename

source path/filename?

Argument: file name, path

Returns: error or return defined in script

See Also: SCREXEC, proc, global, namespace, variable

Examples:

#example 1

source sourcein.scr

#example 2 - relative path

source ../bgr/sourcein.scr

#example 3 - absolute path

source c:/Advantech WebAccess/projectnode/bgr/test1.scr

#example 4 - runs script source.scr - traps and displays if error

# Failed. couldn't read file "bgt/sourcein.scr": no such file or

#  directory

if {[catch [list source sourcein.scr] err]} {

   SETVAL "text=Failed. $err "

   SETVAL text50=[string range $err 61 112]

   }

This command does not work on the browser-based client. It is recommended to use the SCREXEC instead.

The limitation of source is that it will not download the source file to the client. Consequently, it does not work on the client unless the source file is manually copied to the client in some way. It works well on the local SCADA node.

This command takes the contents of the specified file or resource and passes it to the Tcl interpreter as a text script. The return value from source is the return value of the last command executed in the script. If an error occurs in evaluating the contents of the script then the source command will return that error. If a return command is invoked from within the script then the remainder of the file will be skipped and the source command will return normally with the result from the return command.

The source command can be used like the include command in c programs. It is most commonly used to call an external script. The external script can be a set of procedures. The source is most commonly used for large complex procedures or subroutines that do not need to be modified, but are called in a simple smaller script. If the source script contains declaration of global variables, that source needs to run only once each time the script environment starts ( for example as long as the window is running for a screen script or the system is running for a global script). See global for more description.

The most common error is :
couldn't read file "filename": no such file or directory .

Source will return the value of any returns in the source script.

In Advantech WebAccess, SCREXEC can be used in lieu of package, package require commands in other Tcl implementations by implementing a start-up script and declaring global variables and procedures.


12.5.37 split

Description: Split a string into a proper Tcl list

Syntax: split string ?splitChars?

Argument: string, characters

Returns: list

See Also: lappend, list, length, append, lsearch, lindex, string

Examples: #example 1

split "www.Advantech.com" .

returns "www Advantech com"

#example 2

split "Hello world" {}

returns "H e l l o { } w o r l d".

#example3

# split value into lines, trimming leading and trailing

# space.

    set value2 {}

    foreach ln [split $value \n] {

        set ln [string trim $ln]

        if {[string length $ln] > 65} {

        SETVAL "text50=line longer than 65 chars"

        }

        lappend value2 $ln

    }

Split returns a list created by splitting string at each character that is in the splitChars argument. Each element of the result list will consist of the characters from string that lie between instances of the characters in splitChars. Empty list elements will be generated if string contains adjacent characters in splitChars, or if the first or last character of string is in splitChars. If splitChars is an empty string then each character of string becomes a separate element of the result list. SplitChars defaults to the standard blank characters.

.


12.5.38 string

Description: Manipulate and compare strings

Syntax: string option arg ?arg ...?

Argument: search or conversion option, string variables

Returns: elements extracted from string

See Also: format, scan, list

Examples:

SETVAL text1=[string index "See Spot run." 4]

#S

SETVAL text2=[string range "See Spot run." 4 8]

# Spot

SETVAL text3=[string range "See Spot run." 4 end]

# Spot run.

Search and compare strings. Search for a sub string with first or last returns the position of the first character of the sub string. The search begins at 0 for the first character in the input string. Returns -1 if no match was found.

SETVAL analog1=[string first th "The trains were thirty minutes late this past week"]

# analog1=16

SETVAL analog2=[string last th "The trains were thirty minutes late this past week"]

# analog2=36

Compare returns 0 if the strings match, -1 if the first string sorts before the second, and 1 if the first string sorts after the second.

SETVAL digital1=[string compare twelve thirteen]

# digital1=1

SETVAL digital2=[string compare twelve twelve

# digital2=0

Length, case conversion, and trimming

catch {

SETVAL text4=[string length "not too long"]

# text4=12

}

catch {

SETVAL text5=[string toupper "Hello World!"]

# text5=HELLO WORLD!

}

catch {

SETVAL text6=[string tolower "You are lucky winner 13!"]

# text6= you are lucky winner 13!

}

catch {

SETVAL text7=[string trim abracadabra abr]

# text7= cad

}

Note - a comma in the text string will cause string command to fail. For example, "Hello, World!" would not work.

string trim takes a string to trim and an optional set of trim characters and removes all instances of the trim characters from both the beginning and end of its argument string, returning the trimmed string as result. trimleft and trimright options work in the same way except they only remove the trim characters from the beginning or end of the string. The trim commands are mostly commonly used to remove excess white space; if no trim characters are specified, they default to the white space characters (space, tab, newline, carriage return, and form feed).

OPTIONS

String performs one of several string operations, depending on option. The options are:

string compare string1 string2

Perform a character-by-character comparison of strings string1 and string2. Return -1, 0, or 1, depending on whether string1 is lexicographically less than, equal to, or greater than string2.

string first string1 string2

Search string2 for a sequence of characters that exactly match the characters in string1. If found, return the index of the first character in the first such match within string2. If not found, return -1.

string index string charIndex

Returns the charIndex’th character of the string argument. A charIndex of 0 corresponds to the

first character of the string. If charIndex is less than 0 or greater than or equal to the length of the string then an empty string is returned.

string last string1 string2

Search string2 for a sequence of characters that exactly match the characters in string1. If found, return the index of the first character in the last such match within string2. If there is no match, then return -1.

string length string

Returns a decimal string giving the number of characters in string.

string match pattern string

See if pattern matches string; return 1 if it does, 0 if it doesn’t. Matching is done in a fashion similar to that used by the C-shell. For the two strings to match, their contents must be identical except that the following special sequences may appear in pattern:

* Matches any sequence of characters in string, including a null string.

? Matches any single character in string.

[chars] Matches any character in the set given by chars. If a sequence of the form x-y appears in chars, then any character between x and y, inclusive, will match.

\x Matches the single character x.

string range string first last

Returns a range of consecutive characters from string, starting with the character whose index is first and ending with the character whose index is last. An index of 0 refers to the first character of the string. An index of end (or any abbreviation of it) refers to the last character of the string. If first is less than zero then it is treated as if it were zero, and if last is greater than or equal to the length of the string then it is treated as if it were end. If first is greater than last then an empty string is returned.

string tolower string

Returns a value equal to string except that all upper case letters have been converted to lower case.

string toupper string

Returns a value equal to string except that all lower case letters have been converted to upper case.

string trim string ?char s?

Returns a value equal to string except that any leading or trailing characters from the set given by chars are removed. If chars is not specified then white space is removed (spaces, tabs, newlines, and carriage returns).

string trimleft string ?char s?

Returns a value equal to string except that any leading characters from the set given by chars are removed. If chars is not specified then white space is removed (spaces, tabs, newlines, and carriage returns).

string trimright string ?char s?

Returns a value equal to string except that any trailing characters from the set given by chars are removed. If chars is not specified then white space is removed (spaces, tabs, newlines, and carriage returns).

string wordend string index

Returns the index of the character just after the last one in the word containing character index of string. A word is considered to be any contiguous range of alphanumeric or underscore characters, or any single character other than these.

string wordstart string index

Returns the index of the first character in the word containing character index of string. A word is considered to be any contiguous range of alphanumeric or underscore characters, or any single character other than these.


12.5.39 switch

Description: Execute a command if Evaluate a string, compare to one or more string patterns, execute command if it matches a given string pattern

Syntax: switch -options string pattern body pattern body… default body

switch -options string {pattern body pattern body ... }

Argument: options, string, string patterns, commands if pattern match, default if no match

Returns: command. Blank string if no match and no default

See Also: if, then, for, foreach

Examples:

#example 1

set z ZERO

set x2 [GETVAL text5]

switch $x2 \

"$z" {set txt2 {text5 matches z}; set txt1 0 } \

"ONE" {set txt2 {text5 is ONE}; set txt1 1 } \

"TWO" {set txt2 {text5 is TWO}; set txt1 2 } \

"THREE" {set txt2 {text5 is THREE}; set txt1 3 } \

"default" {set txt2 {text5 has NO MATCH};}

SETVAL text50=$txt2

SETVAL analog3=$txt1

# If text5="ZERO" then text50="text 5 matches z" and analog3=0

# If text5="ONE" then text50="text 5 is ONE" and analog3=1

# If text5="TWO" then text50="text 5 is TWO" and analog3=2

# If text5="THREE" then text50="text 5 is THREE" and analog3=3

# else text50=" text5 has NO MATCH"

#example 2

catch {

switch $x "ONE" {SETVAL text6=1} "TWO" {SETVAL text6=2} "default" {SETVAL text6=none}

}

The switch command matches its string argument against each of the pattern arguments in order. As soon as it finds a pattern that matches string it evaluates the following body argument by passing it recursively to the Tcl interpreter and returns the result of that evaluation. If the last pattern argument is default then it matches anything. If no pattern argument matches string and no default is given, then the switch command returns an empty string.

If the initial arguments to switch start with - then they are treated as options. The following options are supported:

-exact Use exact matching when comparing string to a pattern. This is the default.

-glob When matching string to the patterns, use glob-style matching (i.e. the same as implemented by the string match command).

-regexp When matching string to the patterns, use regular expression matching (i.e. the same as implemented by the regexp command).

-- (double dashes) Mark the end of options. The argument following this one will be treated as string even if it starts with a - (dash).

Two syntax are provided for the pattern and body arguments. The first uses a separate argument for each of the patterns and commands; this form is convenient if substitutions are desired on some of the patterns or commands. The second form places all of the patterns and commands together into a single argument; the argument must have proper list structure, with the elements of the list being the patterns and commands.

The second form makes it easy to construct multi-line switch commands, since the braces around the whole list make it unnecessary to include a backslash at the end of each line. Since the pattern arguments are in braces in the second form, no command or variable substitutions are performed on them; this makes the behavior of the second form different than the first form in some cases.

If a body is specified as ‘‘-’’ it means that the body for the next pattern should also be used as the body for this pattern (if the next pattern also has a body of ‘‘-’’ then the body after that is used, and so on). This feature makes it possible to share a single body among several patterns.


12.5.40 upvar

Description: Create link to variable in a different stack frame

Syntax: upvar ?level? otherVar myVar ?otherVar myVar ...?

Argument: level, upper variable, new local variable

Returns:

See Also: proc, namespace

Examples:

#example 1

# Arguments:

# var Variable name for associative array in the calling

# proc containing the specification for this send.

#

proc smtp_begin {s var} {

upvar 1 $var cur

}

This command arranges for one or more local variables in the current procedure to refer to variables in an enclosing procedure call or to global variables. Level may have any of the forms permitted for the uplevel command, and may be omitted if the first letter of the first otherVar isn’t # or a digit (it defaults to 1). For each otherVar argument, upvar makes the variable by that name in the procedure frame given by level (or at global level, if level is #0) accessible in the current procedure by the name given in the corresponding myVar argument. The variable named by otherVar need not exist at the time of the call; it will be created the first time myVar is referenced, just like an ordinary variable. There must not exist a variable by the name myVar at the time upvar is invoked. MyVar is always treated as the name of a variable, not an array element. Even if the name looks like an array element, such as a(b), a regular variable is created. OtherVar may refer to a scalar variable, an array, or an array element. Upvar returns an empty string.


12.5.41 variable

Description: create and initialize a namespace variable

Syntax: variable ?name value...? name ?value?

Argument: variable name, value

Returns:

See Also: proc, upvar, set, namespace

Examples:

#example 1

namespace eval ::ezsmtp {

global env tcl_platform

variable mail

}

#example 2

SETVAL text="start1"

proc smtp_begin {s var} {

variable mail

}

This command is normally used within a namespace eval command to create one or more variables within a namespace. Each variable name is initialized with value. The value for the last variable is optional.

If a variable name does not exist, it is created. In this case, if value is specified, it is assigned to the newly created variable. If no value is specified, the new variable is left undefined. If the variable already exists, it is set to value if value is specified or left unchanged if no value is given. Normally, name is unqualified (does not include the names of any containing namespaces), and the variable is created in the current namespace. If name includes any namespace qualifiers, the variable is created in the specified namespace.

If the variable command is executed inside a Tcl procedure, it creates local variables linked to the corresponding namespace variables. In this way the variable command resembles the global command, although the global command only links to variables in the global namespace. If any values are given, they are used to modify the values of the associated namespace variables. If a namespace variable does not exist, it is created and optionally initialized.

A name argument cannot reference an element within an array. Instead, name should reference the entire array, and the initialization value should be left off. After the variable has been declared, elements within the array can be set using ordinary set or array commands.


12.5.42 while

Description: Execute script repeatedly as long as a condition is met

Syntax: while test body

Argument: test, body of commands

Returns:

See Also: if, foreach, , for, SCRLOOP

Examples:

#example 1

while {$i < $rcptlen} {

set e [expr {$i+$cur(batchsize)-1}]

if {$e >= $rcptlen} {

set e [expr {$rcptlen-1}]

}

#example 2 counts 0 to 9

set x 0

while {$x<10} {

SETVAL tagx=$x

incr x

}

The while command evaluates test as an expression (in the same way that expr evaluates its argument).

The value of the expression must a proper boolean value; if it is a true value then body is executed by passing it to the Tcl interpreter. Once body has been executed then test is evaluated again, and the process repeats until eventually test evaluates to a false boolean value. Continue commands may be executed inside body to terminate the current iteration of the loop, and break commands may be executed inside body to cause immediate termination of the while command. The while command always returns an empty string.

Note: test should almost always be enclosed in braces. If not, variable substitutions will be made before the

while command starts executing, which means that variable changes made by the loop body will not be considered in the expression. This is likely to result in an infinite loop. If test is enclosed in braces, variable substitutions are delayed until the expression is evaluated (before each loop iteration), so changes in the variables will be visible.


12.6 Tcl OPERATORS

12.6 OPERATORS

The valid operators are listed below, grouped in decreasing order of precedence:

Operators Description

+ Unary Addition

~ Bit-wise NOT (valid for integer operands only)

! Logical NOT

* Multiplication

/ Division

% Remainder

+ Addition

- Subtraction

<< Shift Left (bit-wise)

>> Shift Right (bit-wise)

> Greater than

>= Greater than or equal to

< Less than

<= Less than or equal to

== Logical Equal to

!= Not equal to

& Bit-wise AND (valid for integer operands only)

^ Bit-wise Exclusive OR (valid for integer operands only)

| Bit-wise OR (valid for integer operands only)

&& AND

|| OR (Valid for boolean integers or floating-point operands only)

Exp1?Exp2:Exp3 Conditional expression where Exp 1, 2 and 3 are math and/or logic expressions. Exp 1 is evaluated first. If it is non-zero (true), the tag uses the value of Exp 2 as its output. Otherwise, Exp 3 is used for the tag output.

An example is C>0?A*B/C:1 If C is greater than 0, the tags value will be A*B/C. If C is Not greater that 0, then output of the calculation is 1.


12.6.1 − + ˜ !

Unary minus, unary plus, bit-wise NOT, logical NOT. None of these operands may be applied to string operands, and bit-wise NOT may be applied only to integers.


12.6.2 * / %

Multiply, divide, remainder. None of these operands may be applied to string operands, and remainder may be applied only to integers. The remainder will always have the same sign as the divisor and an absolute value smaller than the divisor.

Examples are:

set deltat [expr $time2 / $time1]

set msglength [expr $msglength*2]


12.6.3 + −

Add and subtract. Valid for any numeric operands.

Examples are:

set deltat [expr $time2 - $time1]

set msglength [expr $msglength+1]


12.6.4 << >>

Left and right shift. Valid for integer operands only. A right shift always propagates the sign bit. Left shift is equivalent to multiply by 2. Right shift is equivalent to divide by 2.


12.6.5 < > <= >=

Boolean less, greater, less than or equal, and greater than or equal. Each operator produces 1 if the condition is true, 0 otherwise. These operators may be applied to strings as well as numeric operands, in which case string comparison is used.

An example is:

if {$msglength > 0} then {

if { [string first , $idtext]<=0 } then {

append idtext ","

set msglength [expr $msglength+1]

}

}


12.6.6 = = !=

Boolean equal and not equal. Each operator produces a zero/one result. Valid for all operand types.

Example:

if {[GETVAL DevId]!=0 && [GETVAL TagCount]==0 && [GETVAL DigTag]==0 } then {

SETVAL "ERROR2= No Tags found with this address $idtext"

}


12.6.7 &

Bit-wise AND. Valid for integer operands only.


12.6.9 |

12.6.8 |

Bit-wise OR. Valid for integer operands only.

Typed with the Shift and \ keys.


12.6.10 &&

12.6.9 &&

Logical AND. Produces a 1 result if both operands are non-zero, 0 otherwise. Valid for boolean and numeric (integers or floating-point) operands only.

An example of a logical AND is:

if {[GETVAL %ATMHOUR]==16 && [GETVAL %ATMMINUTE]==47} then {

SETVAL TAG1=[GETVAL TAG2]

}


12.6.11 ||

12.6.10 ||

Logical OR. Produces a 0 result if both operands are zero, 1 otherwise. Valid for boolean and numeric (integers or floating-point) operands only. Typed with the Shift + \ keys also called the 'pipe' symbol (double pipe).

An example of a logical OR is:

if {[GETVAL %ATMHOUR]==4 || [GETVAL %ATMHOUR]==16} then {

SETVAL TAG1=[GETVAL TAG2]

}


12.6.12 x?y:z

If-then-else. If x evaluates to non-zero, then the result is the value of y. Otherwise the result is the value of z. The x operand must have a numeric value.

All of the binary operators group left-to-right within the same precedence level. For example, the command

expr 4*2 < 7

returns 0.

The &&, ||, and ?: operators have ‘‘lazy evaluation’’, just as in C, which means that operands are not evaluated if they are not needed to determine the outcome. For example, in the command

expr {$v ? [a] : [b]}

only one of [a] or [b] will actually be evaluated, depending on the value of $v. Note, however, that this is only true if the entire expression is enclosed in braces; otherwise the Tcl parser will evaluate both [a] and [b] before invoking the expr command.


12.7 Tcl MATH FUNCTIONS

12.7 MATH FUNCTIONS

Tcl supports the following mathematical functions in expressions:

Operators Description

+ Addition

- Subtraction

* Multiplication

/ Division

sin( ) Sine function; format is sin(A) where A is in radians

cos( ) Cosine function; format is cos(A) where A is in radians

tan( ) Tangent function. Converts radians to slope. Format is tan(A) where A is in radians. Returns a value less than 1.
example:

set x [expr [GETVAL degrees]*3.14159265/180]

set y [expr tan($x)]

SETVAL radians=[expr [GETVAL degrees]*3.14159265/180]

SETVAL slope=[expr $y]

atan( ) Arctangent function. Converts slope to radians. Format is atan(A) where A is the slope. Atan returns a value in radians.
Example:

set x [expr [GETVAL slope]]

set y [expr atan($x)]

SETVAL radians=$y

SETVAL degrees=[expr $y*180/3.14159265]

sqrt( ) Square root; format is sqrt(A) where A is in radians

pow(A ,B) Power; format is pow(A,B) for A to the power of B

log( ) Natural logarithm; format is log(A)

log10( ) Logarithm base 10; format is log10(A)

( ) Precedence operator. Perform calculation inside parentheses before any operators outside parentheses

ceil(A) Smallest integer >= A

floor(A) Largest integer <= A

int(A) Integer part of A

fmod(A,n) Remainder A/n

acos

asin

atan2

sinh

cosh

hypot

tanh

Note - the Trigonometric functions (sin, cos, tan, etc) use RADIANS as the output or expected input (not degrees).

To convert radians to degrees, multiply by 57.2957795

or multiply by 180/3.14159265.

To convert degrees to radians, multiply by 0.0175

or multiply by 3.14159265/180.

Example:

set x [expr [GETVAL slope]/100]

set y [expr atan($x)]

SETVAL radians=$y

SETVAL degrees=[expr $y*180/3.14159265]


12.7.1 abs(arg)

Returns the absolute value of arg. Arg may be either integer or floating-point, and the result is returned in the same form.


12.7.2 double(arg)

If arg is a floating value, returns arg, otherwise converts arg to floating and returns the converted value.


12.7.3 int(arg)

If arg is an integer value, returns arg, otherwise converts arg to integer by truncation and returns the converted value.


12.7.4 rand()

Returns a floating point number from zero to just less than one or, in mathematical terms, the range [0,1). The seed comes from the internal clock of the machine or may be set manual with the srand function.


12.7.5 round(arg)

If arg is an integer value, returns arg, otherwise converts arg to integer by rounding and returns the converted value.


12.7.6 srand(arg)

The arg, which must be an integer, is used to reset the seed for the random number generator. Returns the first random number from that seed. Each interpreter has it’s own seed.


12.7.7 TYPES, OVERFLOW, AND PRECISION

All internal computations involving integers are done with the C type long, and all internal computations involving floating-point are done with the C type double. When converting a string to floating-point, exponent overflow is detected and results in a Tcl error. For conversion to integer from string, detection of over-flow depends on the behavior of some routines in the local C library, so it should be regarded as unreliable.

In any case, integer overflow and underflow are generally not detected reliably for intermediate results. Floating-point overflow and underflow are detected to the degree supported by the hardware, which is generally pretty reliable.

Conversion among internal representations for integer, floating-point, and string operands is done automatically

as needed. For arithmetic computations, integers are used until some floating-point number is introduced, after which floating-point is used. For example,

expr 5 / 4

returns 1,

while

expr 5 / 4.0

expr 5 / ( [string length "abcd"] + 0.0 )

both return 1.25.

Floating-point values are always returned with a ‘‘.’’ or an e so that they will not look like integer values. For example,

expr 20.0/5.0

returns 4.0, not 4.


12.8 Tcl STRING OPERATIONS

12.8 STRING OPERATIONS

String values may be used as operands of the comparison operators, although the expression evaluator tries to do comparisons as integer or floating-point when it can. If one of the operands of a comparison is a string and the other has a numeric value, the numeric operand is converted back to a string using the C sprintf format specifier %d for integers and %g for floating-point values. For example, the commands

expr {"0x03" > "2"}

expr {"0y" < "0x12"}

both return 1. The first comparison is done using integer comparison, and the second is done using string comparison after the second operand is converted to the string 18. Because of Tcl’s tendency to treat values as numbers whenever possible, it isn’t generally a good idea to use operators like = = when you really want string comparison and the values of the operands could be arbitrary; it’s better in these cases to use the string compare command instead.


12.8.1 PERFORMANCE CONSIDERATIONS

Enclose expressions in braces {} for the best speed and the smallest storage requirements. This allows the Tcl byte code compiler to generate the best code.

As mentioned above, expressions are substituted twice: once by the Tcl parser and once by the expr command. For example, the commands

set a 3

set b {$a + 2}

expr $b*4

return 11, not a multiple of 4. This is because the Tcl parser will first substitute $a + 2 for the variable b, then the expr command will evaluate the expression $a + 2*4.

Most expressions do not require a second round of substitutions. Either they are enclosed in braces or, if not, their variable and command substitutions yield numbers or strings that don’t themselves require substitutions.

However, because a few un-braced expressions need two rounds of substitutions, the byte code compiler must emit additional instructions to handle this situation. The most expensive code is required for un-braced expressions that contain command substitutions. These expressions must be implemented by generating new code each time the expression is executed.


1.6.3 Secure Your Clients

12.8.2 Text with 2-byte characters (Chinese, Korean, Japanese)

some TCL built-in functions may fail to handle texts containing 2-byte characters for JPN/CHN/TWN/KOR versions. Those built-in functions in TCL can only take texts in the UTF8 format. WebAccess handles texts in native code pages. Since UTF8 and native formats for the texts containing characters whose ASCII codes are less than 128 are identical, there should be no issues for those texts. However, errors may occur when texts containing 2-byte characters are passed into those built-in functions. In order for users to work around this issue, we added two ACTION commands, TOUTF8 and TONATIVE, to WebAccess TCL script engine. Please note that there should be no issues arising when VB script and Java script are used to handle texts containing 2-byte characters.

The following example illustrate how to deal with 2-byte characters in TCL script for TWN version of WebAccess. The equivalent versions of VB script and Java script are also illustrated below for comparison. As you can see in these examples, it is more straightforward to handle 2-byte characters using VB script or Java script than TCL script.

TCL script:

# use TOUTF8 to convert text in native code page to UTF8

# before passing into built-in string function

# and pass the returning result (which is 10) directly to

# ACTION command BWSPOOL

BWSPOOL [string length [TOUTF8 {1234567壓力值}]]

# use TOUTF8 to convert text in native code page to UTF8

# before passing into built-in string function

# and use TONATIVE to convert returning text back to native

# code page (which is 4567壓力值) for ACTION command BWSPOOL

BWSPOOL [TONATIVE [string range [TOUTF8 {1234567壓力值}] 3 end]]

# pass text in native code page directly to ACTION command

# SETVAL

SETVAL {t1=1234567壓力值}

VB script:

BWSPOOL Len("1234567壓力值")

BWSPOOL Mid("1234567壓力值", 4)

SETVAL "t1=1234567壓力值"

Java script:

BWSPOOL("1234567壓力值".length.toString());

BWSPOOL("1234567壓力值".substring(3));

SETVAL("t1=1234567壓力值");


12.9 Tcl Command Returns

Only the Tcl keyword commands (Built-in commands) return an error. Most ACTION commands do not. When a TCL command returns, the interpreter contains a result from the command. These returns can be modified by user-defined messages (using the return command).

TCL_OK Command completed normally; the interpreter's result contains the command's result.

TCL_ERROR The command couldn't be completed successfully the interpreter's result describes what went wrong.

TCL_RETURN The command requests that the current procedure return the interpreter's result contains the procedure's return value.

TCL_BREAK The command requests that the innermost loop be exited; the interpreter's result is meaningless.

TCL_CONTINUE Go on to the next iteration of the current loop the interpreter's result is meaningless.

TCL_OK 0

TCL_ERROR 1

TCL_RETURN 2

TCL_BREAK 3

TCL_CONTINUE 4


12.10 Example Scripts

This section includes real life examples of TCL scripts in Advantech WebAccess.


12.10.1 Transfer the value of a tag to another tag

# Tcl Transfer tag2 value to tag1 if they differ by more that 0.1

#(similar to DATA Transfer function).

# catch isolates error,

# allows next statement to execute rather than stopping entire script

catch {

if {[expr abs([GETVAL sp1]-[GETVAL sp2])] >= 0.1} then {

SETVAL sp1=@sp2} }

# abs is absolute value - either .1 more or .1 less

# @ sign refers to the contents of tag named sp2

# repeat for next set of tags

catch {

if {[expr abs([GETVAL sp1]-[GETVAL sp2])] >= 0.1} then {

SETVAL sp3=@sp4} }

The catch command “catches” errors, allowing the rest of the script to run. Without the catch, if there where in error in the last statement, for example tags sp3 did not exist, then the whole script would fail.


12.10.2 Rotate Fans on Start-Stop

12.10.2 Rotate Fans on Start-Stop - Tcl

catch {

if {[GETVAL FAN_START101] >= 0.5} then {

SETVAL {rotatefan101=%ROTATEPLUS 12} #fan 101 uses rotateplus

}}

# fan 102 uses loopplus to be different

catch {

if {[GETVAL FAN_START102] >= 0.5} then {

SETVAL {rotatefan102=%LOOPPLUS 12}

}}

catch {

if {[GETVAL FAN_START103] >= 0.5} then {

SETVAL {rotatefan103=%LOOPMINUS 12} # loopminus reverses direction

}}

Change speed of Rotation

# dx is a TCL variable that must be evaluated by TCL.

# Expression inside double quotes is evaluated.

# radius, speed, position and rotatewheel are IO tags.

# The value of these IO tags are passed to TCL and do not need to

# be evaluated.

# The IO tags are treated like constant string by TCL.

# Curly bracket treated a constant string.

set dx [expr [GETVAL radius]*[GETVAL speed]/180.0*3.1415926]

SETVAL "position=%LOOPPLUS $dx"

SETVAL {rotatewheel=%ROTATEPLUS @speed}


12.10.3 GetVal and SetVal

# GETVAL and SETVAL.scr - a Tcl Script

# A simple script to Get the value of a Tag.

# add one to it.

# Set the value of the tag to the new value.

set value1 [expr [GETVAL SPEED] + 1]

SETVAL SPEED=$value1


12.10.4 Set a Text Value

12.10.4 Set a Text Value - Tcl

SETVAL hellotag=hello

SETVAL {text50=Please enter an number less than 100}

SETVAL "texttag1=Value of Albert's analog tag is [GETVAL analogtag1]"

catch {

SETVAL "texttag1=Value of Albert's analog tag is [GETVAL analogtag1]"

} err

SETVAL errortext=$err

set scriptvariable1 "No errors"

set scriptvariable2 $scriptvariable1


12.10.5 Perform math on Tags

12.10.5 Perform arithmetic on Tags and Variables

Addition

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL tag2] ]
set sum [expr $x + $x1 +$X2]

Multiplication

SETVAL anatag1=[expr [GETVAL anatag2] * 10]
set GroupEnd [expr $GroupStart * 3]

Trigonometric Functions

set x [expr [GETVAL slope]/100]

set y [expr atan($x)]

SETVAL radians=$y

SETVAL degrees=[expr $y*180/3.14159265]

The expr command is required to do math.

SETVAL anatag1=[expr [GETVAL anatag2] * 10]

SETVAL anatag1=[expr $scriptvariable2 * 10]

set scriptvariable1 [expr [GETVAL anatag2] * 10]

set scriptvariable1 [expr $scriptvariable2 * 10]

1) Math in tcl requires the use of the expr command enclosed in [ ] or " ".

2) GETVAL is required by the tcl 'keywords' (i.e. built-in tcl commands like expr) to get the value of a Advantech WebAccess TAG.

The @ does not work with tcl 'keywords' (i.e. built-in tcl commands like expr).The @ is a shortcut for ACTION commands. If the command is in CAPITALS then @ will work. If the command is lower-case, you must use [GETVAL ].

3) $ is required by the tcl 'keywords' to return the value of a local script variable (e.g. a variable created with the "set" command).

4) Tcl uses a syntax that interprets spaces as end of a command unless a delimiter is used. A delimiter can be curly brackets { }, square brackets [ ] or quotes " ". The delimiters are evaluated differently.

Square brackets [ ] are usually used with the expr command.

Curly Brackets { } are evaluated as literal command with no substitution.

12.3 Command syntax

12.3.1 Brackets [ ]

12.3.2 Quotes " "

12.3.3 Curly braces { }

12.3.3.1 Braces or Quotes or Brackets

5) Trigonometric functions (sin, cos, tan, etc.) use RADIANS as there output or expected input (not degrees). To convert radians to degrees, multiply by 57.2957795 (which is 360 divided by 2 pi).


12.10.6 Compare Tag value to Tag Field

# AMPLITUDE is an analog IO tag

# OUTPHI is the high output limit for the IO TAG

# if AMPLITUDE is equal to high output limit, add tag1 to tag2

if {[GETVAL AMPLITUDE] == [GETVAL AMPLITUDE.OUTPHI]} then {

SETVAL tag2=[expr [GETVAL tag1]+[GETVAL tag2] ]

}


12.10.7 Send an email

12.10.7 Send an email - Tcl

# Tcl example scr to send email

MAIL "host=Advantech.com"

MAIL "port=25"

MAIL "subject=This is a subject."

MAIL "from=support1@Advantech.com"

MAIL "to=info2@Advantech.com"

MAIL "to_add=support3@Advantech.com"

MAIL "cc="

MAIL "bcc="

MAIL "body=First \\\"a\\\" Line. "

MAIL "body_add=First Line also.\\n"

MAIL "body_add=Second Line.\\n\\n"

MAIL "body_add=Regards,\\n\\n"

MAIL "body_add=Tom"

MAIL "send"


12.10.8 Display errors (Debug a Tcl Script)

Debug Tcl Script Example 1.

This script is used to debug an Tcl Script and print errors to BWSPOOL message window. You to enter the name of the Script to be tested in a Text-type tag named TestScriptname. Note that ACTION commands do not usually return errors. The catch commands displays errors by the built-in Tcl KEYWORD commands. Note that a Tcl script can debug only another Tcl script. Tcl can not debug VB Script or JScript.
The JScript version is at 12.14.8 Display errors (Debug a JScript).
The VB Script version is at 12.17.8 Display errors (Debug a VB Script)

# DebugTclScript.scr - a Tcl script

# Open Message spooler window

WINEXEC BWSPOOL.EXE

# Exit if it calls itself, it will loop endlessly

# trim blank characters

set scriptname [string trim [GETVAL TestScriptname]]

BWSPOOL "Requested script is "

BWSPOOL $scriptname

BWSPOOL "\r\n" #print Carriage return and line feed

if {$scriptname == "DebugTclScript.scr"} then {

BWSPOOL "don't call itself. Will create an endless loop."

return

}

# Run the script put errors in err

catch "SCREXEC [GETVAL TestScriptname]" err

if {[file exists [GETVAL TestScriptname]]} then {

#figure out if blank - No errors

set msglength [string length $err]

if {$msglength <= 0} then {

set err "No reported errors."

}

BWSPOOL $err

} else {

BWSPOOL "[GETVAL TestScriptname] ... File not found."

}

BWSPOOL "\r\n"

Debug Tcl Script Example 2

The following script calls your script (by replacing yourscript.scr with the name of your actual script. You will also need to create a Graphics Display with:

· Text Type Screen Tag, 70 characters long named:
text70.

· Rtext field on your graphic display connected to text70.

· A pushbutton with the keymacro <SCREXEC>@debug1.scr

· Name this script debug1.scr

Calls script yourscript.scr to be debugged with SCREXEC.
Traps errors with catch and displays if error updates variable err
Sets text values to error message for display

catch {SCREXEC yourscript.scr } err

SETVAL text70=$err

Debug Tcl Script Example 3

The following is another method to display an error in Advantech WebAccess scripts

# runs script source.scr - traps and displays if error

# Failed. couldn't read file "sourcein.scr": no such file or directory

# it splits the error in to two tags  using the strung command.  # Errors can be longer than 70 characters,

# the maximum text tag length.

if {[catch [list SCREXEC sourcein.scr] err]} {

   SETVAL "text=Failed. $err "

   SETVAL text50=[string range $err 61 112]

}

Debug Tcl Script Example 4

Another third version allows you to enter the name of the Script to be tested in a Text-type tag.

# This script calls whatever script is entered in text tag named SCRname

# the scr extension should be added

# SCRERR displays the error on a Display named ScriptTest.bgr

catch {

SCREXEC [GETVAL SCRname]

} err

SETVAL SCRERR=$err


12.10.9 Play a Wave File every 3 seconds for 1 minute

Two Scripts:

One closes if already open, initializes and calls SCRLOOP command.

# Script One

catch {MCISEND {close warn}

}

MCISEND "open autodest.wav type WaveAudio alias warn wait"

SCRLOOP playwarning3.scr,3.0,20

# initialize count down

SETVAL analog1=60

Second script plays the wave and counts down.

# Script Two - playwarning.scr

MCISEND {play warn from 1}

#countdown

set x [GETVAL analog1]

SETVAL analog1=[expr $x - 3]


12.10.10 If statement to test difference in time

set now [GETVAL %ATMSECOND]

set lastplay [GETVAL analog1]

# issue keymacro to play if 3 seconds since last

if {[expr $now - $lastplay] >= 3} then {

SETVAL analog1=$now

MCISEND {play warn from 1}

}

# reset analog1 if seconds > 60

if { $now <= 1 } then {

SETVAL analog1=$now

}


12.10.11 Read database into an Array for Display with SQL

This script gets the last 16 records from ODBC database. WebDATA is an ODBC DSN to an Access Database on SCADA Node.

# initialize an array

array set Array1 [list 4 x 5 x 6 x 7 x 8 x 9 x 10 x 11 x \

12 x \

13 x \

14 x \

15 x \

16 x]

SQLDIRECT "CONNECT SESSION 3 TO WebDATA"

SQLDIRECT "USE SESSION 3"

# DECLARE A POINTER TO NEWEST DATA JUST ENTERED

SQLPREPARE "DECLARE C3 CURSOR FOR "

SQLPREPARE "SELECT * FROM Table1 "

SQLPREPARE "WHERE Date='[GETVAL %TTMDATE]' "

SQLPREPARE "ORDER BY Time DESC"

SQLEXECUTE

SQLDIRECT "OPEN C3"

for {set Z 4} {$Z<=16} {incr Z} {

SQLDIRECT "FETCH NEXT C3 INTO text1, text2, text3, text4"

set str1 "[GETVAL text1] [GETVAL text2] [format %9.1f [GETVAL text3]] [format %7.1f[GETVAL text4]] [GETVAL text5]"

array set Array1 [list $Z $str1]

}

SQLDIRECT "CLOSE C3"

SQLDIRECT "DISCONNECT SESSION 3"

SETVAL text=$Array1(4)

SETVAL text5=$Array1(5)

SETVAL text6=$Array1(6)

SETVAL text7=$Array1(7)

SETVAL text8=$Array1(8)

SETVAL text9=$Array1(9)

SETVAL text10=$Array1(10)

SETVAL text11=$Array1(11)

SETVAL text12=$Array1(12)

SETVAL text13=$Array1(13)

SETVAL text14=$Array1(14)

SETVAL text50=$Array1(15)

SETVAL text70=$Array1(16)


12.10.12 Write data into an ODBC database with SQL

12.10.12 Write data into an ODBC database

This script Writes a time stamped row of data to an ODBC database.
WebDATA is an ODBC DSN to an Access Database on SCADA Node.
Table1 is the name of a Data Table in the Access database.

%TTMDATE and %TTMTIME are text type data and enclosed in single quotes.

AMPLITUDE and TIMER are numeric data and are not in quotes.
The data types have to match the database.

SQLDIRECT "CONNECT SESSION 1 TO WebDATA"

SQLDIRECT "USE SESSION 1"

# For ODBC Databases that do not support level 2 commands

# (e.g. Access) data ordered as it appears in data table

SQLPREPARE "INSERT INTO Table1 VALUES (

SQLPREPARE '[GETVAL %TTMDATE]','[GETVAL %TTMTIME]',

SQLPREPARE [GETVAL AMPLITUDE], [GETVAL TIMER])"

SQLEXECUTE

SQLDIRECT "CLOSE C1"


12.10.13 Read values from DataLog DB with SQL

12.10.13 Read value for Tags from DataLog DB with SQL

This Script reads the last value for all 600 Analog Tags from the DataLog Access Database on the Project Node :

# Get Last Value for 600 Analog Tags from Data Log to ODBC

# SETVAL to last value recorded in DataLog

# Important to turn Action Log off to make

#script run faster - else each SETVAL

# will require a write to the Action Log text file

#and possibly ODBC

SETVAL %DALOGSTATUS=0

# bwPDATAaccess is an ODBC DSN attached to an Access Database on Project Node

SQLDIRECT "CONNECT SESSION 3 TO bwpdata_ACCESS"

SQLDIRECT "USE SESSION 3"

# DECLARE A POINTER TO NEWEST DATA JUST ENTERED

#SQLPREPARE "SELECT TagName, LogDate, LogTime, LastValue "

SQLPREPARE "DECLARE C3 CURSOR FOR "

SQLPREPARE "SELECT DISTINCT TagName, LogDate, LogTime, LastValue "

SQLPREPARE "FROM bwAnalogTable "

SQLPREPARE "ORDER BY LogDate DESC, LogTime DESC"

SQLEXECUTE

SQLDIRECT "OPEN C3"

#This does the Work

# Text1, text2, text3, text4 are Text-type Constant Tags

# that act as temporary holders

# SQL commands return to Tags only (not variables)

# Loops thru

for {set Z 5} {$Z<=16} {incr Z} {

SQLDIRECT "FETCH NEXT C3 INTO text1, text2, text3, text4"

set tagnm [GETVAL text1]

set lastval [format %4.2f [GETVAL text4]]

SETVAL $tagnm=$lastval

}

SQLDIRECT "CLOSE C3"

SQLDIRECT "DISCONNECT SESSION 3"

SETVAL %DALOGSTATUS=1


12.10.14 Write data to Text file

12.10.14 Write data to a Text file

ReportNode2.txt is a Text File used for report data. The script first runs a Test if the file exists. if not, create it with header lines, then enter a row of time stamped data.

# Txtcreate.scr

# ReportNode2.txt is a Text File used for report data

# Test if ReportNode2.txt files exists,

# enter a row of time stamped data

# if not, create it with header lines

if {[file exists "ReportNode2.txt"]} then {

set fileid [open "ReportNode2.txt" a+]

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL AMPLITUDE] [GETVAL TIMER] "

close $fileid

} else {

set fileid [open "ReportNode2.txt" a+]

seek $fileid 0 start

puts $fileid "----- Water Use Report-------\nPage 1"

#Insert data into table

puts $fileid "[GETVAL %TTMDATE] [GETVAL %TTMTIME] [GETVAL AMPLITUDE] [GETVAL TIMER] "

close $fileid

}


12.10.15 Loop to change Arrayed Text Constant Tags

This Script "loops" through a Text Array type constant Point. Text Arrays are processed faster than individual Tags allowing scripts to run faster. This script uses a GETVAL and SETVAL to two 1000 element text arrays (1000 GETVAL and 1000 SETVAL). The time to process is about 2 seconds, about ¼ the time as 200 tags. This is because the there are only 2 tag ids that must be found with the two text arrays and there are 200 tag ids that must be found for the 200 individual tags.

It is important to turn Action Log Off: each SETVAL writes to Action Log file and possibly to Action Log ODBC database. Turn off Action log to make scripts faster.

# important to turn Action Log off

SETVAL %DALOGSTATUS=0

# analog1 is Screen Tag to allow users to adjust how many tags  are read

set loops [GETVAL analog1]

# This reads tags from TextArryB and writes tags to TextArryA

# TextArryA and TextArryB  are both Constant Tag Text Array

# of 1000 elements, 70 characters each element

for {set Z 0} {$Z<$loops} {incr Z} {

      SETVAL "TextArryA($Z)=[GETVAL TextArryB($Z)]"

}

SETVAL %DALOGSTATUS=1


12.10.16 Calculate time to run a Script

It is important to turn Action Log Off: each SETVAL writes to Action Log file and possibly to Action Log ODBC database. Turn off Action log to make scripts faster.

# text10 is screen tag displays start time

set startime [clock seconds]

SETVAL text10=$startime

# important to turn Action Log off

SETVAL %DALOGSTATUS=0

# This reads tags from TextArryB and writes tags to TextArryA

# of 1000 elements, 70 characters each element

for {set Z 0} {$Z<$1000s} {incr Z} {

      SETVAL "TextArryA($Z)=[GETVAL TextArryB($Z)]"

}

# text11 & txt12 are screen tags to  display stop time and elapsed time for this script

set stoptime [clock seconds]

SETVAL text11=$stoptime

set delta [expr $stoptime - $startime]

SETVAL text12=$delta

The time to process is about 2 seconds, about ¼ the time as 200 tags. This is because the there are only 2 tag ids that must be found with the two text arrays and there are 200 tag ids that must be found for the 200 individual tags.


12.10.17 Trim and extract characters from string

Script to extract character from 3rd position of 5 character ID string contained in a larger string.

set idtext1 [GETVAL ID_TEXT]

# trim blank characters

   set idtext [string trim $idtext1]

#figure out how long it is, also if blank

   set msglength [string length $idtext]

# figure out message start and end positions

   set msgstart [expr $msglength-5]

   if {$msgstart < 0} then {

         set msgstart 0

   }

   set idstart [expr $msgstart+2]

   set idend $idstart

if {$msglength > 0} then {

    set optext [string range $idtext $msgstart $msglength]

    set opid [string range $idtext $idstart $idend]

    SETVAL "OPERATOR_TEXT=$optext"

    SETVAL "OPERATOR_ID=$opid"

    } else {

       SETVAL {OPERATOR_TEXT= }

       SETVAL {OPERATOR_ID=0}

       }


12.10.18 Test if Integer Number

Test if tag input is a decimal integer (i.e. a positive number with no decimal places).

# Following Test in NOT NECESSARY if ANALOG TAGS are used

# following code requires input be a

# number with 0 to 9, no decimal, no - minus sign etc.

set arg1 [GETVAL tag1]

SETVAL {Txt= }

set comparison1 [string compare "9" $arg1]

set comparison [string compare $arg1 "0"]

  if {$comparison && $comparison1} {

   set {errTxt=Entry is a positive integer number}

    } else {

    set {errTxt=Please enter a positiveinteger}

    }


12.10.19 Insert Data into a CSV file

This is essentially the same as the example above to insert data into a text file. There have been many inquiries, so here is an explicit example.

# Report3 creates a CSV File (comma separated values)

# used for report data in Excel

# It first Tests if ReportClient3.csv file exists,

# then enters a row of time stamped data

# if not, create the csv with column header row

if {[file exists "../ReportClient3.csv"]} then {

set fileid [open "../ReportClient3.csv" a+]

puts $fileid "[GETVAL %TTMDATE],[GETVAL %TTMTIME],[GETVAL AMPLITUDE],[GETVAL TIMER] "

close $fileid

} else {

set fileid [open "../ReportClient3.csv" a+]

seek $fileid 0 start

# Column Headers - optional

puts $fileid "DATE, TIME, AMPLITUDE, TIMER"

#Insert data into table

puts $fileid "[GETVAL %TTMDATE],[GETVAL %TTMTIME],[GETVAL AMPLITUDE],[GETVAL TIMER] "

close $fileid

}

If you need a report of values that can be imported to Excel (the common use for CSV files), then you should also look at the Scheduled Reports feature in Advantech WebAccess and the Analog Tag log; both create HTML formatted reports that can be copied to EXCEL. Scheduled reports can be emailed to end users who can then copy them into and EXCEL spreadsheet using copy-paste.


12.10.20 Play a Wave File if UNACK Alarm (Global Script)

This script is designed to run as a Global Script with an interval every 5 seconds.

catch {MCISEND {close warn}

}

MCISEND "open autodest.wav type WaveAudio alias warn wait"

if {[GETVAL %AALMGLOBAL] == 1} then {

MCISEND {play warn from 1}

}

The Wave file should be copied to drive:\WebAccess\Node\Projectname_Nodename on the Project Node

The %AALMGLOBAL is one of the few %DAQ tags that can be read by a Global Script. Most Global scripts require a System Point Tag instead.

Advantech WebAccess normally Beeps the System Speaker if there is an UNACKNOWLEDGED Alarm. Some Sound cards support the system speaker, others do not. If the sound card does not support the system speaker and you do not want to use the Text-to-Speech Alarm annunciator, playing a wave file using this script as a global script is another alternative.


12.11 Global Scripts

Global Scripts run on the SCADA Node, independent of any Display. Global Scripts can be configured to run in one of three modes:

· Run Continuously at user specified frequency (as fast as 25 milliseconds) Termed While Running Script.

· Once at Start-up or Restart

· Once at Shutdown (or restart).

The Shutdown Script runs when the SCADA Node is stopped using either bwkCTRL, the task bar menu or Project Manager.

Global scripts run a subset of ACTION commands. Most commands that interact with a display screen are ignored by SCADA scripts (for example, GOTO GRAPH, GOTO URL, POPUP a dialog box). Screen tags are not available to Global Scripts. When converting a Screen Script to use as a Global Script, it is recommended to replace the Local Screen Tags with Constant Tags.

A Global Script is like a Screen Script except it runs on the SCADA Node only (not the clients) and runs regardless of what display is showing. In contrast, a Screen Script runs on a VIEW Client or in a ViewDAQ window, it runs only runs when the associated display is called up, or when the SCRLOOP command is used.

Global Scripts are built using the Script Editor in DRAW.

To view the runtime status, or to enable or disable global scripts in runtime manually use the Global Script System Display. Scripts and Keymacros can also disable or enable global scripts in runtime using %DGSST.

See also 12.11.1 Global Script Configuration and 12.1 Script Editor.


12.11.1 Global Script Configuration

A Global Script is like a Screen Script only it runs, no matter what display is showing. The Global Script runs on the SCADA node (not the client).

Global Scripts are built using the Script Editor in DRAW. The Global script is then scheduled using the Global Script in Project Manager. There is a maximum of 8 global script groups, with a start script, stop script and while running script. Scripts can call other scripts (using SCREXEC), so you use these scheduled scripts to call other scripts to increase this to a number above 8.

Figure 12.1.1 - Global Script configuration

Global Script Configuration:

1. Connect to Advantech WebAccess Project Node.

2. Start Configuration.

3. Select SCADA node.

4. Select Global Script hyperlink in Project Manager Node Properties.

5. The Global Script configuration page appears ( Figure 12.1.1 above).

6. Description is any user-defined description for this group of scripts.

7. Click Start Script if you want a script to run when the SCADA node starts. This script will run once when the SCADA node starts or restarts.

Use the pull down menu to the right of Script File List to select the name of the script. This file must be located in the project root directory, typically c:\WebAccess\node\config\projectname\bgr.

Scripts are built using the Script Editor in DRAW.

8. Click Stop Script to specify a script to run when the SCADA node is stopped or stopped as part of a restart. This acts as a Shutdown Script. The Stop script runs when the SCADA Node is stopped using either bwkCTRL, the task bar menu or Project Manager.

9. Click While Running Script if you want a script to run repeatedly at specified Interval while the SCADA node is running . The While Running Script runs continuously on the SCADA Node ( as long as the kernel is running).

Use the pull down menu to the right of Script File List to select the name of the script.

10. Type an Interval for the While Running Script. These are in 25 millisecond intervals. 10 = 0.25 sec = ¼ second
2400 = 60 sec = 1 minute

11. Select ENABLE for the STATUS.

12. There are two ways to download these changes to the SCADA Node:

12a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

12b. Use the Download hyperlink on the Global Script C0nfiguration Page (figure 12.11.1 above). This will download changes to the Global Scripts without stopping the SCADA node.

Global Script Display

This data can also be viewed in runtime using the Global Script System Display or %DGSST, %TGSSCRPT1, %TGSSCRPT2 and %TGSSCRPT3.

Global Script INI file

This information is stored in a Global Script Initialization file which is downloaded to the SCADA node. You can view this file a drive:\WebAccess\Node\config\Project_Node\BWSCRRDT.INI on the Project Node or drive:\WebAccess\Node\Project_NodeBWSCRRDT.INI on the SCADA node

[ssnumber] A group of three scripts: Start, While Running and Stop controlled by same STATUS flag.

DESCRIPTION - Any user description for the group of three scripts

Start Script Optionally, this Script runs only once on START of the SCADA node. It will run once if the STATUS=1=ENABLE. This defines the name of the script file (the script.scr).

This file must be located in the project root directory, typically C:\WebAccess\Node\config\projectname\bgr

Stop Script Optionally, this Script runs only once on STOP of the SCADA node. It will run once if the STATUS=1=ENABLE. This defines the name of the script file (the script.scr).

This file must be located in the project root directory, typically C:\WebAccess\Node\config\projectname\bgr

Running Script - This Script Runs Continuously. This defines the name of the script file (the script.scr).

This file must be located in the project root directory, typically C:\WebAccess\Node\config\projectname\bgr

INTERVAL The frequency it runs at (in 25 milliseconds, 0.025 seconds, 20 = once every 1/2 second, 40 = once every 1 seconds, 240=6 seconds, 400 = once every 10 seconds, 1200=30 seconds, 2400=every 21 minutes)

STATUS Enables of Disables the entire block of System Scripts. 0=all three scripts Startup, While Running and Shutdown are disabled (will not run).

1= enables the SCADA System Scripts in this block (i.e. all scripts defined under the [ssnumber} tag).


12.11.2 Global Script Monitor

12.11.1 Global Script Monitor

You can monitor, disable, enable, and run global scripts configured in Project Manager Node Properties from the Global Script Display (see 9.3.10 Global Script Display).

Note - you can not monitor Global Scripts by email from this display.


12.11.3 Global Script by email

12.11.1 Global Script by email

Global Scripts are commands send to the SCADA Node via email. Commands are in the form below using standard Scripts (tcl, VB Script or J Script) and ACTION commands:

To send Tcl, use:

%script_begin_securitycode%

TclScript code

…

…

%script_end%

To send VBScript, use:

%vbscript_begin_securitycode%

VBScript code

…

…

%vbscript_end%

To send JScript, use:

%jscript_begin_securitycode%

JScript code

…

…

%jscript_end%

For example, to Change the Value of Tag SP-184 to 75 and reverse the state of FAN101 using ACTION commands and Tcl:

%script_begin_1111%
TclScript code

SETVAL SP-184=75

SETVAL FAN101=%REVERSE

%script_end%

There can be only one SCRIPT per email, but multiple commands per script. Change the Value of Tags and Tag fields, execute other scripts, download recipes, and any command a global script can execute, both ACTION Commands , built-in Tcl, VB Script and J Script.

Global Script via Email must be enabled in SCADA Node Properties. (section 3.2.15 ). An incoming Email Server (POP3) (section 3.2.16), Account Name and Password must be configured for Global Script via email to work. Also the incoming email must match the configure Global Script Security Code (section 3.2.15.1). The script will run once after it is received. An appropriate frequency to Check Email must also be used (too fast and your ISP may block the SCADA node from checking the POP3 server). this display.


21.4.2 Event Triggered Scripts

The Event Logging feature in Advantech WebAccess can be used to trigger a script to run based on a tag value or change of state. An event log is configured as before specifying a Tag to trigger the event and the type of event:
(Tag > = Value, Tag <= Value,
Tag >= reference Tag,
Tag <= reference Tag,
or record every sample interval.

The name(s) of the script(s) to run are specified in the “Tags to Log” section (the second page of event logging opened by the button at the bottom of the first page).

A user defines a script name in the “Tags to Log” configuration. Tag names to be logged can be specified also. The names with extensions ".SCR", ".JS" or ".VBS" are treated as a script file names. When the event is triggered, the script(s) will be executed and a value "0" will be recorded in event log. The scripts should be located in the \bgr subdirectory for the project and node.


12.12 JScript

12.12 JScript (Not supported by WinCE)

JScript (pronounced "Jay Script") is also provided for advanced users already familiar with Java Script used for many web sites. It is indirectly related to Java. This is well documented on the Microsoft website and user guides. This engineering manual doesn't go into detail on JScript commands and assumes the user is already familiar with JScript. JScript is augmented using the ACTION commands similar to those used with TCL.

Advantech WebAccess uses the JScript engine that is part of the Windows Operating system. On the SCADA Node this affects Global Scripts and local scripts used in ViewDAQ. If JScripts are somehow disabled on the SCADA Node, Global Scripts and local scripts in ViewDAQ won't run.

If JScripts are somehow disabled on the client, JScripts won't run as Local Scripts.

Note that the Tcl engine is installed as part of the Client Plug-in (Active X control). Advantech WebAccess does not install a JScript engine.

JScript requires (); Parentheses for functions and a semi-colon to terminate most expressions.

For more information on JScript, please visit:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/js56jsoriJScript.asp


12.13 JScript KEYWORD commands

Advantech WebAccess uses the JScript engine that is part of the Windows Operating system.

For more information on JScript, please visit the Microsoft JScript User Guides at:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/js56jsoriJScript.asp


12.14.1 Transfer the value of a tag to another tag

12.14.1 Transfer the value of a tag to another tag- JScript

SETVAL("AO101=@AO102");


12.14.2 Rotate Fans on Start-Stop

12.14.2 Rotate Fans on Start-Stop - JScript

// BAFANdisp.js - a JScript

if (GETVAL("FAN_START101") == 1) {

SETVAL("rotatefan101=%ROTATEPLUS 16");

}

if (GETVAL("FAN_START102") == 1) {

SETVAL("rotatefan102=%LOOPPLUS 36");

}

if (GETVAL("FAN_START103") == 1) {

SETVAL("rotatefan103=%LOOPMINUS 12");

}


12.14.3 GetVal and SetVal

/* GETVALandSETVAL.js - a JScript

A simple script to Get the value of a Tag.

add one to it.

Set the value of the tag to the new value.*/

/* The type of the expressions determines the behavior

of the + operator in JScript.

If Both expressions are numeric or Boolean Then Addition.

If Both expressions are strings Then Concatenate

If One expression is numeric and the other is a string Then Concatenate

GETVAL returns even numbers as a STRING.

I used multiplication to force evaluation as of the GETVAL as

a number and hence use addition and not concatenation

*/

var value1;

value1 = GETVAL("SPEED") * 1.0 + 1;

SETVAL("SPEED=" + value1);


12.14.5 Perform math on Tags

12.14.4 Perform arithmetic on Tags and Variables - JScript

Addition

x = GETVAL("SLOPE") + 100.0;

sum = x + x1 + X2;

Multiplication

var x;

x = GETVAL("degrees") * 3.14159265 / 180;

Trigonometric Functions

var x, y, degrees1, tagnvalue;

y = Math.atan(x)

tagnvalue = "radians=";

tagnvalue += y;

SETVAL(tagnvalue);

/* arctan and, and string concatenation are explained under

MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > JScript > Reference > Methods >

in JAVA help at:

http://msdn.microsoft.com/library/en-us/script56/html/js56jsmthatan.asp

http://msdn.microsoft.com/library/en-us/script56/html/js56jsmthconcatstring.asp

"add equal" += is under MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > JScript > Reference -> "Operators" at:

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/js56jsopraddequ.asp

*/

/* tan and add equal are explained under

MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > JScript > Reference > Methods >

in JAVA help at:

http://msdn.microsoft.com/library/en-us/script56/html/js56jsmthatan.asp

http://msdn.microsoft.com/library/en-us/script56/html/js56jsmthconcatstring.asp

"add equal" += is under MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > JScript > Reference -> "Operators" at:

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/js56jsopraddequ.asp

*/


12.14.8 Display errors (Debug a JScript)

12.14.5 Display errors (Debug a JScript)

Debug JScript Example.

This script is used to debug an JScript and print errors to BWSPOOL message window. You to enter the name of the Script to be tested in a Text-type tag named TestScriptname. Note that ACTION commands do not usually return errors. The catch commands displays errors by the JScript KEYWORD commands. Note that a JScript can debug only another VB Script. A JScript can not debug Tcl Script or VB Script.
The Tcl Script version is at 12.10.8 Display errors (Debug a Tcl Script).
The VB Script version is at 12.17.8 Display errors (Debug a VB Script).

// DebugJScript.js - a JScript

// open the spooler window to print the file

WINEXEC("BWSPOOL.EXE");

BWSPOOL("\r\n"); //print a carriage return and line feed

var e, fso, f, s, filespec, ForReading;

ForReading = 1, s = "", e = "No reported errors.";

// get the name of the file to run from a text tag

filespec = GETVAL("TestScriptname");

// Run the script and catch any errors.

try {

SCREXEC(filespec);

BWSPOOL("Try to run ");

BWSPOOL(filespec);

BWSPOOL("\r\n");

// Test if it exists

s = filespec;

fso = new ActiveXObject("Scripting.FileSystemObject");

if (fso.FileExists(filespec)) {

s += " found.";

}

else

{

s += " file not found.";

e = " file not found.";

}

BWSPOOL(s);

BWSPOOL("\r\n");

} catch (e) {

// print any errors

BWSPOOL(e);

} finally {

}

if (e == "No reported errors.")

BWSPOOL(e);

/* The FileExists method is at

MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > Script Runtime > FileSystemObject Object > Reference > Methods

http://msdn.microsoft.com/library/en-us/script56/html/jsmthFileExists.asp

The Try Catch is at

MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > JScript > Reference > Statements

http://msdn.microsoft.com/library/en-us/script56/html/js56jsstmtrycatch.asp

*/

The Tcl version is at 12.10.8 Display_errors(Debug_a_Tcl Script)


12.14.14 Write data to Text file

12.14.6 Write data to a Text file - JScript

ReportNode4.txt is a Text File used for report data. The script first runs a Test if the file exists. if not, create it with header lines, then enter a row of time stamped data.

// Txtcreate.js - A JScript

// ReportNode4.txt is a Text File used for report data

// First, test if ReportNode4.txt file exists,

// then enter a row of time stamped data.

// if not, create it with header lines.

var fso, f, s, filename, ForWriting, ForAppending, OldFile, NewFile, LineofText;

s = "", ForWriting = 2, ForAppending = 8;

filename = "ReportNode4.txt";

// Test if file exists

fso = new ActiveXObject("Scripting.FileSystemObject");

if (fso.FileExists(filename)) {

// Use the WriteLine method to write a newline character or a string that ends with a newline character.

OldFile = fso.OpenTextFile(filename, ForAppending, false);

LineofText = GETVAL("%TTMDATE") + " " + GETVAL("%TTMTIME") + " " + GETVAL("AMPLITUDE") + " " + GETVAL("TIMER");

OldFile.WriteLine(LineofText);

OldFile.Close();

}

else

{

// Create the file since it doesn't exist

// option false is do not overwrite file if it exists, which it shouldn't

// and the false option is CASE SENSITIVE

NewFile = fso.CreateTextFile(filename, false);

// add a header

NewFile.WriteLine("----- Power Usage Report------- Page 1");

NewFile.WriteLine("Date-------Time-------Amplitude-----Timer----");

// write Advantech WebAccess tag data

LineofText = GETVAL("%TTMDATE") + " " + GETVAL("%TTMTIME") + " " + GETVAL("AMPLITUDE") + " " + GETVAL("TIMER");

NewFile.WriteLine(LineofText);

NewFile.Close();

}

// JScript Help has more information on working with files at:

// MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > Script Runtime > FileSystemObject Object > FileSystemObject Basics

// http://msdn.microsoft.com/library/en-us/script56/html/sgWorkingWithFiles.asp


12.15 VB Script

12.15 VB Script (Not supported by WinCE)

VBScript (pronounced "Vee Bee Script") is provided for advanced users already familiar with VB Script used for many web sites. This engineering manual doesn't go into detail on VB Script commands and assumes the user is already familiar with VB Script. VB Script is augmented using ACTION commands similar to those used with Tcl.

Advantech WebAccess uses the VB Script engine that is part of the Windows Operating system. The Windows OS on the SCADA Node affects Global Scripts and ViewDAQ. If VB scripting is somehow disabled on the SCADA node, VB Scripts won't run as Global scripts or Local Scripts in ViewDAQ.

The Windows OS the Client (web browser) affects VB Script running in VIEW. If VB scripting is somehow disabled on the client, VB Scripts won't run as Local Scripts in VIEW.

Note that the Tcl engine is installed as part of the Client Plug-in (Active X control). Advantech WebAccess does not install a VB script engine.

For more information on VBScript, please visit:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/vtoriVBScript.asp


12.15.1 Multiple Language support - VB Script

12.15.1 Non-USA English B Language Support - VB Script

VB Scripts using String to number conversions in some languages require special consideration when handling numbers. (e.g. French, German and others that use commas as decimal delimiter).

Microsoft’s VB engine is used for VB Scripts in Advantech WebAccess. Internally, Microsoft VB Scripts use periods (.) as the decimal delimiter. Declaring a number using a comma as the decimal delimiter is handled by the Microsoft VB scripts:

rem In French version of Windows,

rem the following works with no error in VB Script

A = 34.6

rem bad expression to express a number in VB

A = 34,6

There is a problem with string to number conversions in some languages (French, German and others that use the comma as the decimal delimiter).

rem Good conversion of string to number in French

a = CDbl("34,6")

rem In French version of Windows,
rem the following generates an error in a VB Script

a = CDbl("34.6")

One workaround is to force the use of decimals and force the Scripting engine to use decimals by declaring the local to be English US with:

rem force using us standard for decimal delimiter in strings

b = setLocale("en-us")

a = CDbl("34.6)

rem set back to local standard (for example french)

setLocale(b)


12.16 VB Script_KEYWORD_commands

Advantech WebAccess uses the VB Script engine that is part of the Windows Operating system.

For more information on VBScript, please visit the Microsoft VB Script User Guides at:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/vtoriVBScript.asp


12.17.1 Transfer the value of a tag to another tag

12.17.1 Transfer the value of a tag to another tag- VB Script

SETVAL "AO101=@AO102"


12.17.2 Rotate Fans on Start-Stop

12.17.2 Rotate Fans on Start-Stop - VB Script

rem BAFANdisp.vbs - a VB Script

If GETVAL("FAN_START101") = 1 Then

SETVAL "rotatefan101=%ROTATEPLUS 16"

End If

If GETVAL("FAN_START102") = 1 Then

SETVAL "rotatefan102=%LOOPPLUS 36"

End If

If GETVAL("FAN_START103") = 1 Then

SETVAL "rotatefan103=%LOOPMINUS 12"

End If


12.17.3 GetVal and SetVal

Rem GETVAL and SETVAL.vbs - a VB Script

Rem A simple script to Get the value of a Tag.

Rem add one to it.

REM Set the value of the tag to the new value.

Dim value1

value1 = GETVAL("SPEED") + 1

SETVAL "SPEED=" & value1


12.17.5 Perform math on Tags

12.17.4 Perform arithmetic on Tags and Variables - VB Script

Addition

Dim x, x1, X2

x = GETVAL("SLOPE") + 100.0

sum = x + x1 + X2

Multiplication

Dim x

x = GETVAL("degrees") * 3.14159265 / 180

Trigonometric Functions

Dim x, y

x = GETVAL("SLOPE") / 100.0

y = Atn(x)

SETVAL "radians=" & Cstr(y)

SETVAL "degrees=" & Cstr(y * 180 / 3.14159265)

Rem Atn function is under

Rem MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > VBScript > Reference > Functions

Rem at http://msdn.microsoft.com/library/en-us/script56/html/vsfctAtn.asp


12.17.8 Display errors (Debug a VB Script)

12.17.5 Display errors (Debug a VB Script)

Debug VB Script Example.

This script is used to debug an VB Script and print errors to BWSPOOL message window. You to enter the name of the Script to be tested in a Text-type tag named TestScriptname. Note that ACTION commands do not usually return errors. The catch commands displays errors by the VB Script KEYWORD commands. Note that a VB script can debug only another VB Script. A VB Script can not debug Tcl Script or JScript.
The JScript version is at 12.14.8 Display errors (Debug a JScript).
The Tcl Script version is at 12.10.8 Display errors (Debug a Tcl Script).

Rem DebugVBScript.vbs - a VB Script

Rem to print errors of other VB scripts.

Dim fso, filespec, msg

Set fso = CreateObject("Scripting.FileSystemObject")

filespec = GETVAL("TestScriptName")

On Error Resume Next

SCREXEC filespec

WINEXEC "BWSPOOL.EXE"

If (fso.FileExists(filespec)) Then

msg = filespec & " exists."

BWSPOOL msg

BWSPOOL VbCrLf

If Err.Number <> 0 Then

rem print error number and description

BWSPOOL "Error # " & CStr(Err.Number) & " " & Err.Description

SETVAL "ERROR=" & CStr(Err.Number) & " " & Err.Description

rem print carriage return and line feed

BWSPOOL VbCrLf

Else

BWSPOOL "No reported errors "

BWSPOOL filespec

BWSPOOL VbCrLf

End If

Else

msg = filespec & " doesn't exist."

rem print carriage return and line feed

BWSPOOL msg

BWSPOOL VbCrLf

End If

Rem OnError statement is found at

Rem MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > VBScript > Reference > Statements

Rem http://msdn.microsoft.com/library/en-us/script56/html/vsstmOnError.asp

Rem The Error object "Err" is found at:

Rem MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > VBScript > Reference > Objects and Collections

Rem http://msdn.microsoft.com/library/en-us/script56/html/vsobjErr.asp

Rem The FileExists method is at

Rem MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > Script Runtime > FileSystemObject Object > Reference > Methods

Rem http://msdn.microsoft.com/library/en-us/script56/html/jsmthFileExists.asp


12.17.14 Write data to Text file

12.17.6 Write data to a Text file - VB Script

ReportNode3.txt is a Text File used for report data. The script first runs a Test if the file exists. If not, create it with header lines, then enter a row of time stamped data.

Rem Txtcreate.vbs - A VB Script

Rem ReportNode3.txt is a Text File used for report data

Rem First, test if ReportNode3.txt files exists,

Rem then enter a row of time stamped data.

Rem if not, create it with header lines.

Dim fso, filename

Set fso = CreateObject("Scripting.FileSystemObject")

filename = "ReportNode3.txt"

If (fso.FileExists(filename)) Then

Rem BWSPOOL filename & " exists."

Rem Specified strings are written to the file with no intervening spaces or characters between each string.

Rem Use the WriteLine method to write a newline character or a string that ends with a newline character.

Const ForReading = 1, ForWriting = 2, ForAppending = 8

Dim Oldfile

Set Oldfile = fso.OpenTextFile(filename, ForAppending, False)

OldFile.WriteLine( GETVAL("%TTMDATE") & " " & GETVAL("%TTMTIME") & " " & GETVAL("AMPLITUDE") & " " & GETVAL("TIMER") )

OldFile.Close

Else

Rem BWSPOOL filename & " doesn't exist. New file created."

Dim NewFile

Rem option false is do not overwrite file if it exists, which it shouldn't

Set NewFile = fso.CreateTextFile(filename, False)

NewFile.WriteLine("----- Power Usage Report------- Page 1")

NewFile.WriteLine("Date--------------Time-------Amplitude-----Timer----")

NewFile.WriteLine( GETVAL("%TTMDATE") & " " & GETVAL("%TTMTIME") & " " & GETVAL("AMPLITUDE") & " " & GETVAL("TIMER") )

NewFile.Close

End If

Rem VB Help has more information on working with files at:

Rem MSDN Home > MSDN Library > Web Development > Scripting > Windows Script Technologies > Script Runtime > FileSystemObject Object > FileSystemObject Basics

Rem http://msdn.microsoft.com/library/en-us/script56/html/sgWorkingWithFiles.asp


13. Recipes

13. Recipes (Not supported by XP Standard)

************************************************************************************************************************************************
*Note:
 For XP Professional edition, the quantity of Files and Units are unlimited, the quantity of Items is limited to 999.
 For WinCE edition, the quantity of Files and Units are 100, the quantity of Items is limited to 999.
 *************************************************************************************************************************************************

A Recipe allows an Operator or User to change the value of many tags with a single pushbutton.

The Recipe function is similar in concept to a "recipe" used in cooking food. A Recipe is a collection of pre-set values or setpoints for multiple ingredients. Engineers configure a recipe (like writing a cook book) in the Project Manager. During Run-time, Operators and Users can download the recipe using a single pushbutton. Dozens or hundreds of values can be changed with a single pushbutton.

Common uses for recipes include setting up machines and manufacturing tools for a "new run" or a different product. Recipes are also used to enable shutdown settings or startup settings.

A recipe is a collection of Setpoint or preset values for multiple items (ingredients). A given recipe can be used with several different “units”, although each “unit” must have similar equipment lineups (e.g. tag types). A unit consists of a group of tagnames associated with an item (ingredient). For example, all Air Handling Units, (AHU's) have an Exhaust Fan, Supply Fan, Pre-Heat Controls, Cooling Controls and secondary fans. Air Handler 1 (AHU1) is shown below. The Exhaust Fan for Air Handler 1 is EF-12, the Supply Fan is FAN_START101. The Preset values for the Startup recipe are RUN, Auto and non-zero setpoints (see figure below).

Figure 13.1 Recipe Display

A recipe file can consist of multiple processing Units (for example, continuing the Air Handler example above): Air Handler Unit 1, Air Handler Unit 2 and Air Handler Unit 3). Any recipe can be downloaded to any unit: startup, shutdown, and maintenance mode.

Figure 13.2 Recipe Display for Unit AHU2, Startup1 recipe.

Operators select the Recipe File, Recipe and Unit from the Recipe List Dialog Box called from the toolbar icon [image] or from user-built pushbuttons.

Figure 13.3 Recipe List to select Recipe Name and Unit Name

The concept of Recipes and Units comes from Gasoline Blending where there are multiple recipes for blending gasoline (regular gas, premium gas, summer grade regular, winter grade regular, etc). Any recipe can be downloaded to any blending unit. For example, the premium gas recipe can be downloaded to Blender1, while the regular gas recipe is downloaded to Blender 2.

Operators download the recipes from the Recipe Display using a single pushbutton or the Shift-F1 keys or the right Click Menu ->Edit ->Download Recipe.

Figure 13.4 - Download Recipe

Recipe configuration consists of following steps:

1. Define a Recipe File. A recipe file contains a collection of multiple recipes and multiple process units.

2. Define a Unit (or multiple Units). A Unit is a collection of Tag names. Some people call this an Equipment Lineup or a Process Unit. The Unit can be any name, but usually corresponds to a physical device (for example Tank1, Tank2, Tank 3 etc.) The tagnames assigned to the "Unit" provides the link to the physical world.

3. Define a Recipe Name (or multiple recipes). Operators and users during run-time will select the desired recipe to download. A recipe contains the list or pre-set values defined by an engineer that will be downloaded using a single button push. This allows dozens or hundreds of tags to be changed with a single button push.

4. Define Item Names. These are the ingredient names. They are a description and can be any user-defined text. They are to make it easier for Engineers and Operators understand the values.

5. Define Tag names. These physical IO tags are associated with the process Unit. For example, if the Unit were Tank1, then all the tags would be associated with Tank1.

6. Define Preset Values. These are the numbers and text to be downloaded. The preset values are associated with a given recipe within the recipe file.

Advantech WebAccess provides a pre-built recipe template display for run-time. All recipes can be viewed in runtime without any display building. Advantech WebAccess also provides a pop-up dialog box in runtime to allow Operators and Users to select the recipe file, Unit and recipe.

Only Admin, Power Users and General Users can access Recipe Displays and Recipe Dialog Boxes in VIEW.

Restricted Users, using VIEW, can not access standard recipe displays or recipe dialog boxes.

*Note: This function is not supported by XP Standard Edition.


13.1 Recipe Features

To configure or build a recipe, select Recipe from the SCADA Node in Project Manager.

Recipes should be configured on the SCADA Node that is directly connected to the Field Device. It is recommended to avoid using Global Tags in recipes.

Figure 13‑5 Project Manager -Update Recipe File


13.1.1 Recipe File

The Recipe File is a group of recipes and Units associated with those recipes. This is an organizational feature. You can group all of your recipes into a single recipe file or spread them over multiple recipe files. The recipe file consists of a specific file downloaded to the hard drive of the SCADA node.

All the "units" and "recipes" within a given recipe file must have the same number of "items".


13.1.2 Tolerance

Tolerance is used to report errors on the Recipe Display. If the difference between the Preset Value and the Tags current value is greater than the Tolerance, an error is reported (a red e at the bottom left of the status bar) and the Preset Value is in RED and the Tag value is White.

Tolerance is in % of full scale (SpanHi - SpanLo). A zero value means that the tag must match the preset exactly.

Tolerance is used to account for the variation in the representation of numbers in the field device (e.g. 12-bit devices), the accuracy of IO and the conversion to/from engineering units.


13.1.3 Edit Security

Edit Security is the Area and Level required of a User to change a preset value in this recipe. Read Only prevents all users from changing the preset values in a recipe. Read Only allows users and operators to download the recipe, but not edit it. This applies to all recipes in this recipe file.


13.1.3.1 Read Only

Operators can not edit this recipe. They can download and scale the recipe. The Edit Security Area and Level are ignored. Read Only prevents all users from changing the preset values in a recipe. This applies to all recipes in this recipe file.


13.1.4 Download Security

Download Security is the Area and Level required of a User to download this recipe to field device. This applies to all recipes in this recipe file.


13.1.5 Unit Name

A Unit is a group of Tags. The Unit can be any name, but usually corresponds to a physical device (for example MixTank1, MixTank2, MixTank3 etc.) Equipment Lineup and Process Unit are other terms for Unit. The tagnames assigned to the "Unit" provides the link to the physical world.

By defining multiple Units, the same recipe can be downloaded to different groups of tags by operators and users. In selecting a recipe, operators select the recipe and unit to download.


13.1.6 Recipe Name

A recipe is a group of Preset Values. This allows dozens or hundreds of tags to be changed with a single button push. These can be numbers or text. Operators and users during run-time will select the desired recipe to download. A recipe contains the list or pre-set values defined by an engineer that will be downloaded using a single button push.

Multiple recipes are the most common usage. For example, if you are mixing paint, each recipe might represent a different color of paint. The Pre-set Values will be the quantity of each component color used to make the final color.


13.1.7 Number of Items

13.1.7 Number of Items (Limited to 999)

The number of items (e.g. tags) in this recipe. The default is 5, allowing you to enter 5 items (and 5 tags). If you increase this number, and press submit, you will see the table expand to allow more items (and tags) to be specified per recipe. This number affects this recipe file only. It is recommended to keep this small to minimize file sizes. You can increase this number at any time without loosing data. To add more Items to your recipe, increase this number and press submit.


13.1.8 Item Name

A user defined name to help understand the tags in the recipe. Item names are usually ingredient names. Tag names are usually structured (like FI101:SP). Item Names are usually descriptive (Flour, Water, Blue Dye, Red Dye, etc). These can be any user-defined name.

The item names remain the same for all recipes in a recipe file. The tag names will change depending on the Unit selected. The pre-set values will change depending on the Recipe selected.

The Item Name will appear on the system Recipe Display (Recipe.bxx). The Item Name is the same for all Recipes within the same Recipe File.


13.1.8.1 Tag Name

These physical IO tags are associated with this recipe process Unit. For example, if the Unit is Tank1, then all the tags would normally be associated with Tank1.

These can be Analog, Discrete or Text tags, IO tags, Block Tags, Constant Tags even calculation or accumulation tags. For Block tags, the full name must be specified (Blockname:Parameter).


13.1.9 Preset Value

This is the recipe's value that will be downloaded to the tag for the selected unit.

The Pre-set value should match the Tag type (don't download a text value to an analog or discrete. Entering a text value as the Pre-set for an analog or discrete, will result in a 0 (zero).

Discrete values should have a 0, 1, 2, 3, 4, 5, 6 or 7 entered as the preset in the project configuration manager. The State Descriptor will appear on the Run-time View display (e.g. run, stop, true, false). For a 2-state discrete, any value greater than one will be treated as a 1. Similarly, for 4, 6 and 8 state discrete tags: any value greater than the maximum state will be treated as the maximum state.

Text Tags can have Text as the preset value. This would allow a Text Message to be downloaded.


13.1.10 Recipe List Dialog Box

The Recipe List Dialog Box is a popup in VIEW that allows Operators to:

Figure 13.6 Recipe List Dialog Box

· Select a Recipe File

· Select a Unit (if there are multiple process units or equipment that a recipe could be sent to)

· Select a Recipe (if there are multiple recipes within the Recipe File)

The toolbar icon [image], the F8 key and <DIALOG>RECIPE pushbutton keymacros will call up the Recipe Dialog Box allowing operators and users to select a recipe file, recipe and unit.

Figure 13.7 Single Recipe File with multiple Recipe Names and Units

The Recipe List is generated automatically by Advantech WebAccess and allows you to easily implement recipes that can be downloaded for multiple equipment line-ups, different batch recipes for the same equipment including blending, start-up and shutdown procedures, equipment turnarounds and other process control applications.

Each time an operator opens a recipe to Download, an entry is made in the Action Log.

Operators and Users must have the appropriate Area and Level Security to download.


13.1.11 Recipe Display

No display building is required to for Advantech WebAccess recipes. A pre-built template display (recipe.bxx) allows all recipes to be viewed in run-time using this single display. Engineers and technicians can customize this display in the display builder (recipe.dxx).

Shift+F1 keys will download a recipe to current Unit if logged in user has security level greater or equal to download security level assigned to recipe; if not, a Password Dialog box pops up..

The Right-Click Edit Menu also provides a Recipe Download menu item.

Figure 13-8 Right Click Edit Menu - Recipe Display

Recipe Scale allows a fraction or multiplier to be applied to all values in a recipe (for example, download only ½ of each preset value). Recipe Scale is called up by Shift+F3 or from the Right-Click Edit Menu. . Pops up a Dialog Box to enter Scale Number if logged in user has download security level assigned to recipe; if not, Pops up a Password Dialog Box.

Figure 13-9 Recipe Scale dialog Box

Change Preset pushbutton allows Operators and Users to change an individual preset value (if enabled in configuration) before downloading the recipe.

Figure 13-10 Recipe Display – Right Click Edit Menu to Download or Scale recipe

V - is a Verification Error associated with Recipes. This will appear only if you are viewing a Recipe Display and there is a mismatch between a recipe Preset Value and the corresponding Tag's value. If you are not viewing a Recipe Display, this window is Blank (no V).

WHITE Text

White Number or Text for Current Value does not equal the recipe preset value after a download. It is outside the "Tolerance" specified for the recipe by the engineer.

Red Text is an Alarm

Alarms are shown, just like in an Alarm Group display or Alarm Summary.

Change Preset

The Change Preset pushbutton at the bottom of Recipe Display allows you to Change the Preset Value of before downloading the Recipe.

1. Click a Tagname on the Display

2. Click Change Preset pushbutton

3. The Change Value Dialog Box Opens.

If the user does not have the Area and Level Security required by the tag, a Login Dialog Box opens.

If Read Only was configured in the Project Manger for this recipe, than an Action beep is heard and the Operator or User cannot Change the Preset Value

Acknowledge Point

The Acknowledge Point Pushbutton acknowledges the Action for a selected Tag.

Acknowledge Recipe

Acknowledges alarms on all Tags in this Recipe. If there are multiple alarms for a single tag, then the next alarm will be indicated.


13.2 Add a Recipe

From the Project Manager

1. Select your Project and the SCADA Node.

Figure 13-11 Recipe configuration - SCADA Node main page

2. Click the Recipe hyperlink from the SCADA Node main page (bwMain.asp).

3. The Recipe List page opens.

Figure 13-12 Recipe List - Project Manager

4. Select either Add Recipe File or Update.

5. The Add/Update Recipe page opens.

Figure 13-13 -ADD/Update Recipe

6. Recipe File Name. Enter a name that will appear in dialog boxes and displays in run-time View.

7. Tolerance. Enter a numeric value (in % of full scale) that will generate a recipe error after download. Tolerance is in % of full scale (SpanHi - SpanLo). A zero value means that the tag must match the preset exactly. Tolerance is used to account for the variation in the representation of numbers in the field device (e.g. 12-bit devices), the accuracy of IO and the conversion to/from engineering units. For example, if you download a 1.9 to some devices, round-off or other representation errors will result in a 2.0 reported.

8. Edit Security. Enter the Area and Level required of a User to change a preset value in this recipe. Read Only prevents all users from changing the preset values in a recipe. Read Only allows users and operators to download the recipe, but not edit it. This applies to all recipes in this recipe file.

9. Download Security. Enter the Area and Level required of a User to download this recipe to field device. This applies to all recipes in this recipe file.

10. Unit Name. The Unit can be any name, but usually corresponds to a physical device (for example MixTank1, MixTank2, MixTank3 etc.) Equipment Lineup and Process Unit are other terms for Unit. The Unit will consist of a group of tags. When Operators or Users select the Unit in Run-time, the Tags to be downloaded will change to those associated with this unit. There can be multiple units assigned to the same recipe file allowing the same recipe to be used by different groups of tags. By defining multiple Units, the same recipe can be downloaded to different groups of tags by operators and users. In selecting a recipe, operators select the recipe and unit to download.

11. Recipe Name. A recipe is a group of Preset Values. This allows dozens or hundreds of tags to be changed with a single button push. These can be numbers or text. Operators and users during run-time will select the desired recipe to download. A recipe contains the list or pre-set values defined by an engineer that will be downloaded using a single button push.

Multiple recipes are the most common usage. For example, if you are mixing paint, each recipe might represent a different color of paint. The Pre-set Values will the amounts of each component color used to make the final color.

12. Number of Items. The number of items in the recipes and units in this recipe file. To add more Items to your recipe, increase this number and press submit.

13. Item Name. Enter a descriptive name to help understand the tags in the recipe. Item names are usually ingredient names. Tag names are usually structured (like FI101:SP). Item Names are usually descriptive (Flour, Water, Blue Dye, Red Dye, etc). The item names remain the same for all recipes in a recipe file. The tag names will change depending on the Unit selected. The pre-set values will change depending on the Recipe selected.

14. Tag Name. These are the physical IO tags that are associated with this recipe process Unit. For example, if the Unit is Tank1, then all the tags would normally be IO tags associated with Tank1 in the field.

These can be Analog, Discrete or Text tags, IO tags, Block Tags, Constant Tags even calculation or accumulation tags. For Block tags, the full name must be specified (Blockname:parameter).

15. Tag List - Tag Names can be selected from a Pull Down List or typed.

16. Preset Value. Enter the value that will be downloaded to the tag for the selected unit.

The Pre-set value should match the Tag type (don't download a text value to an analog or discrete. Entering a text value as the Pre-set for an analog or discrete will result in a 0 (zero).

Discrete values should have a 0, 1, 2, 3, 4, 5, 6 or 7 entered as the preset in the project configuration manager. The State Descriptor will appear on the Run-time View display (e.g. run, stop, true, false). For a 2-state discrete, any value greater than one will be treated as a 1. Similarly, for 4, 6 and 8 state discrete tags: any value greater than the maximum state will be treated as the maximum state.

17. Submit. Press submit to enter the data changes. Press cancel to abort any changes. Delete will delete the entire recipe file including all units and all recipes in that file.

18. There are two ways to download these changes to the SCADA Node (this will not download to the PLC or field device):

Note - a User in VIEW or ViewDAQ must download the Recipe to the PLC or Field device.

18a. Download and Restart the SCADA node from the SCADA Node properties page. If you have never downloaded the SCADA node before, then this is required. This will temporarily stop the SCADA node (if it is running).

OR

18b. Use the Download hyperlink on the Recipe List Page (figure 13.12 above). This will download changes to the Key Mapping without stopping the SCADA node.


13.3 Add or copy a Unit or Recipe Name

To add another Recipe Name or Unit Name to a Recipe File, just type a new Name for the Recipe or Unit. This will actually make a copy of the original Unit or Recipe that was selected.

For a new Unit, edit the Tag Names.

For a new Recipe Name, edit the Preset Values.

Remember to press 'Submit" when you are done.


13.4 Rename a Unit or Recipe Name.

You actually make a copy of the Unit or Recipe Name with the new name. Just select the Unit or Recipe, type a new name then press "Submit".

You must use Delete Unit Name or Delete Recipe Name from the Recipe List page if you want to remove the old Unit or Recipe Name from Recipe Lists.


13.5 Delete a Unit or Recipe

To Delete a Unit or a Recipe from within a Recipe File, use the Delete Unit Name or Delete Recipe Name from the Recipe List page.

Figure 13‑14 Recipe List - Project Manager - Delete or Update Recipe File

You will be given a list of each Unit in every Recipe File or a list of Each Recipe Name in every Recipe File.

Figure 13‑15 Delete Unit Name from Recipe File


14. Realtime Data Exchange

14. Realtime Data Exchange(Not supported by WinCE)

There are multiple ways to exchange data with Advantech WebAccess in real-time:

· Data Transfer will read data from one PLC or Controller and write it to another. This allows data exchange between PLCs and Controllers using different communications protocols.

· DDE will exchange data with most Microsoft Office applications (EXCEL, WORD, ACCESS) and many 3rd Party software packages. Advantech WebAccess can be both a DDE Server and a DDE Client. These applications can read and write data to the Advantech WebAccess SCADA nodes.

· OPC will exchange data with 3rd Party Software / OPC Servers. Advantech WebAccess is an OPC Client. Many Process Control and Building Automation vendors provide an OPC Server interface to their automation systems.

· User Programs & API interface allows Visual C and Visual Basic programs to read and write data to Advantech WebAccess SCADA node.


14.1 Data Transfer

The DATA Transfer function used to transfer data from one PLC or automation device to another. This is especially useful in single-master protocols or to exchange data between devices that have different communication protocols and are unable to communicate with each other directly.

The Data Transfer function allows you to designate pairs of tags in the Advantech WebAccess to "transfer" data from the source to the target tag. With Data Transfer feature configured, the Advantech WebAccess SCADA node "reads" data from the source tag, then "writes" this data to the Target tag. The Data Transfer function saves the user the effort to write scripts to do the same thing.

Each tag pair consists of a source tag and a target tag such that the value of the source tag is automatically transferred to the target tag. The values of the two tags are compared against a deadband. If the difference in values exceeds the deadband, the target tag is updated. This minimizes traffic on the network. The frequency of checking is set from 500 milliseconds to 60,000 milliseconds (½ second to 1 hour) for each tag pair.

With the Data Transfer, both points must reside on the same SCADA node.


14.1.1 Configure Data Transfer

From the Project Manager

1. Select your Project and the SCADA Node.

2. Click the Data Transfer hyperlink.

This opens the Data Transfer page, shown in below

Add Data Transfer

Node : LiveDEMO • SCADAnode1

Source Tag | Target Tag | Check Time | Dead Band | Update | Delete
EF-13 | EF-12 | 60000 | 0 | Update | Delete
SP2 | SP1 | 500 | 0.1 | Update | Delete

3. Select either Add Data Transfer or Update.

This opens the Create Data Transfer or Update Data Transfer page shown below.

Figure 14-1 Data Transfer configuration

4. Source Tag. Enter the tagname that contains the value to be transferred.

5. Target Tag. Enter the tagname of the Destination Tag. This tag will receive the value from the source tag.

6. Check Time. This is the frequency of checking the two tags in milliseconds (500 to 60,000 milliseconds or ½ second to 1 hour).

7. Dead Band (%). This is the difference in value (in percent of full scale) between the two tags that will result in a data transfer from the source to the target. A large deadband will minimize communications traffic. A smaller deadband will increase communications and accuracy.

8. Press Submit when you are finished entering data.

9. You can use update or delete to correct any errors later.


14.1.1.1 Script equivalent of Data Transfer

The following is an example of a Tcl script, which is equivalent to the Data Transfer function in Advantech WebAccess:

catch {

if { \

[expr abs([GETVAL source]-[GETVAL target])] >= $deadband} \

then {SETVAL target=@source}

}


14.1.2 Connection Transfer Limits

14.1.3 Connection Transfer Limits

These following limits include data-transfer between SCADA nodes, all client requests and all user-program requests. If all requests are over the limit, the user will see '#' as the value of the tag in displays and dialog boxes.

The SCADA NODE connection tag transfer limits to:

Total License Tag Count Tag Transfer Limit

1-512 512

513-5000 1024

5001-10000 2048

10001-20000 4096

20001-up 6144

See also TagLimit, 1.5.3.1 IO Tags limited by License and 1.5.3.2 Internal Tags limited by license.


14.2 DDE

Dynamic Data Exchange.

Advantech WebAccess is a DDE Client and a DDE Server. The SCADA node is a DDE Server and DDE Client. Advantech WebAccess Clients can only trigger DDE commands to occur on the SCADA node.

Both DDE Server and DDE Clients act through the SCADA node. A script or keymacro running in a Web Browser will trigger the SCADA node to perform the DDE actions. For example, a script executes a command to read an EXCEL spreadsheet: the spreadsheet must be on the SCADA node and EXCEL must be running on the SCADA node, even if the command is executed by a Web Browser Client on a remote PC.

A 3rd party DDE Client application must have access to the Advantech WebAccess SCADA node: the DDE Client application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Similarly, Advantech WebAccess DDE Script commands and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note that the DDE Server and DDE client is disabled without the Hardkey. You cannot test or train in simulation mode using DDE.

The bwDDE device driver (for an API COM Port) allows Tags to be read from a DDE Server. This allows 3rd Party Device Drivers to be used with Advantech WebAccess.


14.2.1 Advantech WebAccess SCADA Node as DDE Server

Advantech WebAccess SCADA Node acts as a DDE Server. 3rd Part DDE client applications typically access a DDE Server using the following convention:

=application|topic!item

= bwddexe|topic!tagname

Advantech WebAccess Server's application name: bwddexe

Advantech WebAccess Server's topic: topic

Advantech WebAccess Server's item: tagname

A pipe character (|) separates the application name, "bwddexe", from the topic. The topic is always topic in Advantech WebAccess. An exclamation point (!) separates the topic name from the tagname.

Tagname is the Tag you want, for example TIC101, ZT-106, speed, etc.

The DDE Client application must have access to the Advantech WebAccess SCADA node. The DDE Client application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Most 3rd Party DDE Clients will make a request to start the Advantech WebAccess DDE server when they start.


14.2.1.1 Read a Advantech WebAccess DDE Server Tag from a DDE client

To read data from Advantech WebAccess SCADA node into a spreadsheet or similar DDE Client application, use the following format:

=bwddexe|topic!tagname

=bwddexe|topic!tagname.field

=bwddexe|topic!BLOCK:PARAMETER

=bwddexe|topic!BLOCK:PARAMETER.field

For example,

To read the value of the tag named speed: =bwddexe|topic!SPEED

To read the Hi Span of a tag name speed: =bwddexe|topic!SPEED.SPANHI

To read the engineering units of speed: =bwddexe|topic!SPEED.ENUNIT


14.2.1.2 EXCEL formula to read tags from Advantech WebAccess

The EXCEL application must have access to the Advantech WebAccess SCADA node. EXCEL must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

In EXCEL, the formula has three parts: the name of the application (bwdde); the file name or topic always topic for Advantech WebAccess); and the cell range, value, field, or data that's referred to (the tagname). The following illustration shows the parts of a remote reference formula and the required separator characters.

A pipe character (|) separates the program name from the document or topic name. An exclamation point (!) separates the document or topic name from the cell range, value, field, or data referred to.

The general format of EXCEL formula to read data from Advantech WebAccess is:

=bwddexe|topic!tagname

=bwddexe|topic!tagname.field

=bwddexe|topic!BLOCK:PARAMETER

=bwddexe|topic!BLOCK:PARAMETER.field

For example,

To read the value of the tag named speed:
=bwddexe|topic!SPEED.NAME

To read the Hi Span of a tag name speed:
=bwddexe|topic!SPEED.SPANHI

To read the engineering units of TIMER
: =bwddexe|topic!TIMER.ENUNIT

When to use single quotation marks In EXCEL, if the name of the tag item contains spaces, begins with a number or contains characters such as underscore (_), colons (:) or minus signs ( – ) or contains characters that have special uses in a formula, or if a name resembles a cell reference, enclose the name in single quotation marks.
For example,
=bwddexe|topic!'1Z_1_TEXT'


14.2.1.3 EXCEL Macro to Write tags to Advantech WebAccess via DDEPOKE

14.2.1.3 EXCEL macro to Write to tags in Advantech WebAccess via DDEPOKE

The EXCEL can write to Advantech WebAccess using the DDEPOKE command. In EXCEL 2000 and later, this requires the use of a macro, usually written in Visual Basic. Below is an example of the code for a Visual Basic Macro in EXCEL to write the contents of Cell 'C2' into a tag named 'speed'.

Visual Basic macro for DDEPOKE

Sub PokeAdvantech WebAccess()

' Dimension a variable.

Dim Chan As Integer

' Initiate a channel to Advantech WebAccess DDE server bwddexe and its only topic.

Chan = DDEInitiate("bwddexe", "topic")

' Poke the data in cell C2 into tag named speed in Advantech WebAccess.

DDEPoke Chan, "speed", Sheets("Sheet1").Range("C2")

' Terminate the DDE channel.

DDETerminate Chan

End Sub

The spreadsheet uses a button to run the macro. This button can be created by drawing a rectangle around a cell and attaching the run macro function. An example screen shot is:

Screenshot of EXCEL with DDEPOKE to write data to Advantech WebAccess

Figure 14.2.1.3 - EXCEL using DDEPOKE to write to tag in Advantech WebAccess


14.2.2 Scripts and Keymacros as a DDE Client

Advantech WebAccess can be a DDE Client. Actually, the SCADA node can act as a DDE Client. Advantech WebAccess Clients can only trigger DDE commands to occur on the SCADA node using Script or Keymacro Commands.

A script or keymacro running in a Web Browser will trigger the SCADA node to perform the DDE actions. For example, a script executes a command to read an EXCEL spreadsheet: the spreadsheet must be on the SCADA node and EXCEL must be running on the SCADA node, even if the command is executed by a Web Browser Client on a remote PC.

Advantech WebAccess DDE Script and keymacro commands (which act as DDE Clients) must have access to the DDE Server they are reading or writing; the 3rd Party DDE Server application must be running on the SCADA Node PC or have a Network DDE connection (NetDDE) to the SCADA node.

Note that the DDE client is disabled without the Hardkey.


14.2.3 DDE Keymacros

The DDE Keymacros send or read data from 3rd Party DDE Servers:

<DDEREQUEST> Requests the value of item from a DDE-aware application and writes the data to the Advantech WebAccess tag. Syntax: <DDEREQUEST>tag=Server|topic!item

<DDEPOKE> Send value to a DDE server application.
Syntax: <DDEPOKE>Server|topic!item=@tag

<DDEEXECUTE> Send a command string to a DDE server application
Syntax:
<DDEEXECUTE>Server|topic!item=command

These keymacro can be added to pushbuttons. The Keymacros allow users and operators to read or write data to other 3rd Party applications that are DDE Servers. EXCEL is a DDE Server application.

Long Commands are best implemented using a Keymacro File and then triggering the keymacro file with the <MCREXEC>@ keymacro.

Please refer to the Keymacro section for a complete description of these keymacros.


14.2.3.1 DDE Keymacro Examples

Example 1 - Send value of Text50 to EXCEL spreadsheet cell named REALDATA. EXCEL must be running and the Workbook opened.

<DDEPOKE>EXCEL|Sheet1!REALDATA=@text50

Example 2 - Send value of analog1 to EXCEL workbook named Book1.xls, cell named REALDATA.

<DDEPOKE>EXCEL|Book1.xls:Sheet1!REMOTESP=@analog1

Example 3 - Get value from EXCEL spreadsheet from cell named RSP. EXCEL must be running and a single Workbook opened.

<DDEREQUEST>text70=EXCEL|Sheet1!RSP

Example 4 - Get value from EXCEL spreadsheet from cell named RSP in workbook namedBook1.xls

<DDEREQUEST>text70=EXCEL|Book1.xls:Sheet1!REMOTESP


14.2.4 DDE Script Action commands

The DDE commands used in Scripts send or read data from 3rd Party DDE Servers:

DDEREQUEST Requests the value of item from a DDE-aware application and writes the data to the Advantech WebAccess tag. Syntax: DDEREQUEST "tag=Server|topic!item"

DDEPOKE Send value to a DDE server application.
Syntax DDEPOKE "Server|topic!item=value"

DDEEXECUTE Send a command string to a DDE server application
Syntax:
DDEEXECUTE "Server|topic!item=command string"

These keymacro can be added to pushbuttons. The Keymacros allow users and operators to read or write data to other 3rd Party applications that are DDE Servers. EXCEL is a DDE Server application.

Long Commands are best implemented using a Keymacro File and then triggering the keymacro file with the <MCREXEC> keymacro.

Please refer to the Keymacro section for a complete description of these keymacros.


14.2.4.1 DDE Script Examples

Example 1 - Send value of tag named Text50 to EXCEL spreadsheet cell named REALDATA, EXCEL must be running and a single Workbook opened.

set x [GETVAL text50]

DDEPOKE "EXCEL|Sheet1!REALDATA=$x"

Example 2 - Send value of analog1 to EXCEL workbook named Book1.xls, cell named REALDATA.

set x [GETVAL analog1]

DDEPOKE "EXCEL|Book1.xls:Sheet1!REMOTESP=$x"

Example 3 - Get value from EXCEL spreadsheet from cell named RSP. EXCEL must be running and a single Workbook opened.

DDEREQUEST "text70=EXCEL|Sheet1!REMOTESP"

Example 4 - Get value from EXCEL spreadsheet from cell named RSP in workbook namedBook1.xls

DDEREQUEST "text70=EXCEL|Book1.xls:Sheet1!REMOTESP"


14.2.5 DDE interface to other SCADA / HMI

You can use the DDE Interface to exchange data with other HMI packages. There are three methods:

1. Advantech WebAccess Client Interface (through scripts and keymacros)

2. Advantech WebAccess DDE Driver

3. Advantech WebAccess DDE Server

SCADA

Wonderware

Intellution

RSView

Micronet DDE

Citect

Lookout

Excel

Application

view

(local) dmdde

(net) \\machine name\ndde$

rtdata

micronet

citect

lookout

Excel

Topic

tagname

data

dmdata

<user defined>

<folder name

micronet

variable

<user defined>

< file name>

<name of spreadsheet>

Item

<user defined>

<user defined>

<user defined>

<user defined>

<user defined>

<user defined>

<user defined>

<name of cell: R1C1>


14.2.6 NetDDE

Use of NetDDE requires the proper settings of DDE Share on all nodes with which Advantech WebAccess will be interfacing. NetDDE relies on Windows Security. The logged on Windows User on the Client must be recognized user by the Net DDE Server computer (i.e. must be a user on both machines with the same user name and password). For a first time developing a NetDDE application, it is recommended to log on with the same user name and password on both the NetDDE Server PC and the Client.

Note- NetDDE is not reliable and frequently will not reconnect after a computer reboot or other error. NetDDE is particularly difficult to connect in Windows XP.


14.2.6.1 DDE Share on SCADA Node

In this example, we will setup a DDE Share for Advantech WebAccess (the DDE Server), to use with the NetDDE connection in an EXCEL spreadsheet (the NetDDE Client) on a remote computer in the next section. This example works for Windows 2000 and Windows XP Professional.

On the Advantech WebAccess SCADA Node, setup the DDE Share:

1. Run the DDE Share program.

Start -> Run

Type DDESHARE in the text box.

Clicking OK ,the operating system will start the NetDDE Service.

2. From the DDE Share menu, select

Shares -> DDE Shares…

The DDE Shares sheet appears.

3. Click the Add a Share… button.

The Share Properties sheet opens.

Figure 14.2 - Net DDE Share for Advantech WebAccess bwddexe

4. Enter the Share name.
In this example, type Advantech WebAccess .

5. Enter the Application Name.
For Advantech WebAccess, use the same entry for all three styles (Old, New and Static): bwddexe .

Old Style: bwddexe

New Style: bwddexe

Static: bwddexe

6. Enter the topic.
For Advantech WebAccess, use the same entry for all three styles (Old, New and Static): topic.

Old Style: topic

New Style: topic

Static: topic

7. Allow start Application check box is checked. (Starting bwddexe alone will not work. The Advantech WebAccess kernel must be running. The kernel will start automatically if you set it up in Project Manager. Bwddexe will not start the SCADA Node (kernel).

8. The is service check box is unchecked.

9. In the Item Security section, select the grant access to all items radio button.

10. Select the Permissions… button. The DDE Share Name Permissions sheet appears.

11. Highlight Everyone in the Name box. (Or select those users that will connect as clients).

12. Select the Type of Access pull-down menu .

13. Select Full Control.

14. Click OK to return to the DDE Share Properties sheet.

15. Click OK again to get back to the main DDE Shares list where you should now see webaccess share listed.

16. Highlight the Advantech WebAccess share by single-clicking on it.

17. Select the Trust Share… button to bring up the Trusted Shares Properties sheet.

18. Select the Start Application Enable and Initiate to Application Enable check boxes.

19. Click Set.

20. Click OK.

21. Start or Restart Advantech WebAccess SCADA Node Kernel.

Note – it is sometimes necessary to restart the Windows 2000 or XP operating system

22. At this time you should be able to access the Advantech WebAccess Tag data from across the network using NetDDE using the following syntax:
’\\COMPUTERNAME\NDDE$’|Advantech WebAccess!tagname

The computer name must be the Net BIOS name (i.e. the Microsoft computer name).


14.2.6.2 NetDDE client connection in EXCEL

In this example, we will setup NetDDE connection in an EXCEL spreadsheet (the NetDDE Client) to read tags from a remote Advantech WebAccess SCADA node (the DDE Server) using the DDE Share configured in the previous section. This example works for Windows 2000 and Windows XP Professional.

1. Log on the Client Windows Operating System with a user name and password that is recognized by the SCADA Node Windows Security. This can be either a Domain User common to both PCs or a user account created on both PCs with the same user name and password.

2. Start EXCEL

3. Select a Cell.

4. Enter a formula with the following format:

=’\\remoteCOMPUTERNAME\NDDE$’|sharename!item

To read data using the Advantech WebAccess example in the previous section:

=’\\remoteCOMPUTERNAME\NDDE$’|Advantech WebAccess!tagname

If the computer name is DEMO and the tagname is SPEED

=’\\DEMO\NDDE$’|Advantech WebAccess!SPEED

Notice that there is a single quote ( ‘ ) between the equal sign (=) and the double backslash (||). There is also a single quote after NDDE$. EXCEL is very fussy about this. The two single quotes enclose ‘\\COMPUTER\NDDE$’.

Figure 14.3 - NetDDE connection to Advantech WebAccess in Excel

Note – in Windows XP it seems necessary to Save the Spreadsheet, close, then reopen it to force the NetDDE links to become active.

5. Save the Workbook.

6. Close the Workbook.

7. Reopen the Work book.

8. EXCEL will ask if you want to update Links? Select YES.


14.2.6.3 Troubleshooting NetDDE Connection

If the Client can not connect to the DDE server via NetDDE, try using the DDEShare manager on the Client to connect to the DDE Server (the SCADA node in the example in the previous section).

Generally, if you can not modify the properties of the share on the Server from the Client, then the client cannot read data either. This is usually a sign of a security problem, with either mismatched user passwords or a Windows User on the client that is unrecognized by the server computer. You should try logging on with the same user name and password on both the Client and NetDDE server.

If you can modify properties of the Share on the server from the Client, then either you have typed the link in wrong into EXCEL (watch those single quotes) or have mis-configured the DDE Share.

To View or Modify the Share Properties on the DDE Server from a remote client:

1. Run the DDE Share program.

Start -> Run

Type DDESHARE in the text box.

Clicking OK ,the operating system will start the NetDDE Service.

2. From the DDE Share menu, select

Shares -> Select Computer…

3. Select the name of the remote DDE Server computer from the list.

4. Select OK.

5. From the DDE Share menu, select

Shares -> DDE Shares…

The DDE Shares sheet appears.

6. You should see the name of the share you are trying to connect with. In the above examples for Advantech WebAccess SCAD Node, you should see Advantech WebAccess .

7. Highlight the share to select it (click on Advantech WebAccess).

8. Click the Trust Share… button to bring up the Trusted Shares Properties sheet.

9. Click Set.

10. If you get an error (or the system does not respond) then the security settings between the Client and Server mismatch and will probably not allow real time data to be accessed. Try logging on as the same user with the same password on both the Client and Server as a start to straighten out the Windows Security issues.

11. Click OK.


14.3 OPC

OPC is an acronym for OLE for Process Control. It is an industry standard introduced by Microsoft based on DCOM. If there is not a “Genuine WebAccess Driver” for your automation device, then you should see if the manufacturer (or a 3rd Party like Kepware) supplies an OPC Server for the device. WebAccess can be both an OPC Client and as an OPC Server.

WebAccess as an OPC Server

WebAccess is an OPC Server. The tags in WebAccess can by browsed by an OPC Browser and read by other OPC Clients. The name is Broadwin.BWOPCServerDA.1.

All the IO Tags and Blocks are available. As long as the Kernel is running. Also, if there are multiple projects downloaded to the SCADA node, only the tags in the Project that is running will be available. The OPC server (BwOPCServer.exe) will connect on request any time regardless whether Datacore.exe is running or not. If Datacore.exe is not running, the WebAccess OPC server will still connect but all the values for the valid tags will be returned as bad values.

The BwOpcServer.ini, used in earlier versions, is no longer needed when the SCADA node acts as an OPC server.

WebAccess as an OPC Client (OPC configured as a Device)

The WebAccess OPC Device driver is an OPC Client. Hardware manufactures typically supply an OPC Server to provide access to real-time data. Most OPC Servers allow tags to be "browsed" and "imported". WebAccess provides an OPCTool.exe that allows tags to be "imported" after you have configured an OPC Comport and at least one OPC Device.

WebAccess OPC client supports OPC 2.0 and 3.0.

The third-party OPC Server software is usually is installed on the SCADA node (a Local OPC Server).

The OPC Server software can also be installed on another PC (a Remote OPC Server) that is not the SCADA Node. A TCP/IP network connection (usually a LAN or Intranet) is used to communicate to the "remote" OPC Server from the SCADA Node. The remote OPC Server must have either WebAccess Project Node software or OPC Service installed. WebAccess provides a set of pre-built communication “drivers” that enable engineers and technicians to easily establish communications to automation devices including PLCs, controllers, DCS, DDC systems, other software packages, recorders, RTUs, IO, smart transmitters and other automation hardware.

The steps to configure the OPC driver are:

1. Start Internet Explorer Web Browser.

2. Enter IP address of the Project Node.

3. Use Advantech WebAccess Configuration.

4. Open or Create a Project.

5. Configure a SCADA node (the PC that will connect to the automation hardware).

6. Configure a Comport for the SCADA Node that is an OPC type Comport. Assign an OPC Server to this Comport.

7. Configure an OPC Device (determines the communications Protocol or Device Driver).

8. Start the OPCtool.exe on the Project Node.

9. Import Tags using the OPC Tool, Import/Add Tags and the Browse feature.

10. Optionally apply Tag name conversion rules before importing tags.

11. Edit Tags in Project Manager to assign Alarms, Scaling, Engineering Units, Description and other features.

There are drawbacks to using an OPC Server:

· You must maintain two (2) communications databases, the OPC tag configuration and the Web Access Tag configuration. If you change the Tag name in OPC Server, you must change the OPC Tag address in Advantech WebAccess to match the new name.

· Technicians must translate the OPC Tag name to the device address when troubleshooting or identifying IO.

· Most OPC Servers do not support remote configuration. Most OPC Servers require configuration to be performed locally on the OPC Server Node (usually the SCADA Node).

· In version 4.0, the Advantech WebAccess OPC Tool (the Import Tool) must be run locally on the Project Node.

Note – If you know the OPC Tag addressing, you can type it into the Advantech WebAccess Address field. This works well for small changes or additions.

· The OPC Software is a second set of software programs that must be maintained and monitored.

Generally, it is best to use a Advantech WebAccess Driver specific for your device when considering remote configuration.

Note - If you can supply the device driver protocol documentation (typically a manual, in English), Advantech will consider developing a Genuine Driver to communicate directly to the device or automation network.


14.3.1 OPC Comport Properties

The OPC Comport is associated with one OPC Server. If you have multiple OPC Servers, you must configure an OPC Comport to each Server. All OPC Devices on the same Comport are associated with one OPC Server.

OPC is an acronym for OLE for Process Control. It is an industry standard introduced by Microsoft based on DCOM. The Advantech WebAccess Device driver is an OPC Client. Hardware manufactures typically supply an OPC Server to provide access to real-time data. Most OPC Servers allow tags to be "browsed" and "imported". Advantech WebAccess provides an OPCTool.exe that allows tags to be "imported" after you have configured an OPC Comport and at least one OPC Device.

The OPC Server software is usually is installed on the SCADA node (a Local OPC Server).

The OPC Server software can also be installed on another PC (a Remote OPC Server) that is not the SCADA Node. A TCP/IP network connection (usually a LAN or Intranet) is used to communicate to the "remote" OPC Server from the SCADA Node. The remote OPC Server must have either Advantech WebAccess Project Node software or OPC Service installed.

Figure 14.4 OPC Comport properties


14.3.1.1 Comport Number

In the OPC port properties, this is a Virtual number used for reference. The Comport can be any number. The only consideration might be to avoid conflicts with another device driver (i.e. a Serial Comport) which requires the comport number to match that of the physical interface.

The connection from the OPC Server to the PLC or automation device may be a Serial Port, TCP/IP or proprietary network card. Hence, it is possible to have a Serial connection to the device, but use the OPC Port type in Advantech WebAccess. Allen-Bradley RS-LINX with the Data Highway protocol is an example.

If the OPC Server uses a Serial Comport, it is okay to use that same number as the OPC Comport number; this has the added advantage of reducing confusion. If the OPC Server is remote, it is best to pick a comport number above 4 (since most PC support 4 comports) and this will help prevent future conflicts.


14.3.1.2 Auto Recover Time

Auto Recover Time is the Time to wait before attempting to re-establish communications with the OPC Server. It is recommended to accept the default of 60 seconds. If communications to the OPC Server is unusually slow due to software, communications or network issues, you might consider increasing this value. If communications to the OPC Server fails frequently, you may want to decrease this number in order to have Advantech WebAccess try to re-establish communications sooner.

If communications to the Server Fails (i.e. exceeds Timeout for a remote OPC Server or drops in a Local Server) Advantech WebAccess will wait the Auto Recover Time before trying to re-establish communications. Advantech WebAccess will drop any "open handles" and re-establish new "software links" to the OPC Server. Advantech WebAccess will try to restart the OPC Server if the OPC Server is not running.


14.3.1.3 Description

User defined field for reference. This appears only in Project Manager.


14.3.1.4 Scan Time

When Sync Only is chosen as the Communications Mode, the Advantech WebAccess SCADA node will use the Scan Time to read data from the OPC Server. If Sync and Async is chosen, the SCAN time is ignored and Advantech WebAccess waits for the OPC Server to “advise” the SCADA Node of changes in the values of tags.

The Scan Time is in Milli-seconds (1/1000ths of a second). 1000ms = 1 sec.


14.3.1.5 OPC Server Type

This describes the physical location of the OPC Server software in relation to the SCADA Node. It is recommended to use either Local or Remote OPC Server choice. The In Process Server is a special type of Local OPC Server.

Local

Local OPC Server Type is OPC Server software installed on the SCADA Node. This is the most common choice. It is recommended to use a Local OPC Server. You will be able to import tags from the Local OPC Server if the SCADA Node software is installed on the SCADA Node. If Local is chosen, then the "Browse OPC Sever" button will update the "List of OPC Servers" named at the bottom of the page with Local OPC Servers.

InProcess

InProcess OPC Server Type is a special application of a Local OPC Server running in the same Process as the Client. There are many special requirements for an In Process Server (for example the Process must be registered, the DLL must be available to the Client, etc). It is recommended to use the Local OPC server if possible. Please refer to your OPC Server Guide for more information.

Remote

Remote OPC Server Type is an OPC Server software running on a computer that is NOT this SCADA node. To configure a Remote OPC server will need to specify the address of the computer running the OPC Server Software in the Field labeled "Remote OPC Server IP Address/Node Name" and the TCP Port used by the OPC Server (if any).

If Remote is chosen, then the data fields in PINK are used to connect with the Remote OPC server.

If Remote is chosen, then the "Browse OPC Sever" button will update the "List of OPC Servers" named at the bottom of the page with Servers from the Remote Computer described in Remote OPC Server IP Address/Node Name.

The Advantech WebAccess OPC Service must be installed on the remote computer in order to import tags from the Remote OPC Server using OPCTool.exe.


14.3.1.6 Communication Mode

OPC Servers can be “polled” by the clients (synchronous communication). Most OPC servers also can “advise” the clients when a value has changed (asynchronous communication). Use “Sync and Async” if possible; this will reduce network load (why read data that has not changed?).

When Sync Only is chosen, the Advantech WebAccess SCADA node will use the Scan Time to read data from the OPC Server. If Sync and Async is chosen, the SCAN time is ignored and Advantech WebAccess waits for the OPC Server to “advise” the SCADA Node of changes in the values of tags.

Almost all OPC Severs support “synchronous” polling by clients. If your OPC Sever does not support Asynchronous Mode (report by exception), then you should use Synch Only. Otherwise, the OPC Server may not understand the Advise request for Asynchronous mode and hang.

The * (8000) error in Point Info Dialog box is typical of communications to an OPC Server that does not support the Asynch mode. Try “Synch Only” if you get the *(8000) error.

Sync Only

Almost all OPC Severs support “synchronous” polling by clients. The OPC Server responds only if the Client asks for the data (polls). When Sync Only is chosen, the Advantech WebAccess SCADA node will use the Scan Time to read data from the OPC Server.

If your OPC Sever does not support Asynchronous Mode (report by exception), then you should use Synch Only.

KMC Controls is an example of an OPC Server that uses Synch Only (synchronous only) mode.

Sync and Async

Many newer OPC Servers support asynchronous communications mode where the OPC Server “advises” the Client when a value has changed. Advantech WebAccess will also poll periodically to ensure communications exists. Asynchronous reporting by exception can reduce communication load on the server and networks.

If Sync and Async is chosen, the SCAN Time is ignored and Advantech WebAccess waits for the OPC Server to “advise” the SCADA Node of changes in the values of tags.

The * (8000) error in Point Info Dialog box is typical of communications to an OPC Server that does not support the Asynch mode.

Cimetrics Bacnet OPC Server, Kepware and LANSTAR II are examples of OPC Servers that support Asynch & Sync Modes.


14.3.1.7 Remote OPC Server

IP Address/Node Name

This is the address of the PC with the Remote OPC Server. Use this field if you are using a Remote OPC server. A Remote OPC Server is any OPC Software that is not installed on this SCADA Node.

This address can be a Network Node Name (Microsoft Network Name), a URL or an IP Address. A Remote Server is any PC other than the SCADA node you are configuring.

Unlike other OPC Clients, Web Access can use TCP/IP and IP addresses to access data from a Remote OPC Server. If the Remote OPC Server is not installed on a SCADA Node or Project Node, then the Advantech WebAccess OPC Service must be installed on the Remote OPC Server PC for tags to be imported and for real-time data to be exchanged. The Remote OPC Service can be installed from the Advantech WebAccess Installation CD-ROM.

Remote Port Number

This is the Primary TCP Port used by the Remote Advantech WebAccess SCADA Node or Remote Advantech WebAccess OPC Service. This is determined during installation of the Advantech WebAccess software on the Remote Node. (The default, 0 = Port 4592).

If the Remote OPC Server is not installed on a SCADA Node or Project Node, then the Advantech WebAccess OPC Service must be installed on the Remote OPC Server PC for tags to be imported and for real-time data to be exchanged. The Remote OPC Service can be installed from the Advantech WebAccess Installation CD-ROM.

Remote Port TimeOut

The OPC Remote Port Time Out is the time (in second) waited before re-sending a communications packet that did not have a reply. Specifies how long the software waits for a response to a data request, specifically, to wait for a reply from one packet.

For OPC Remote Port Timeout, 0 = default = 15 seconds.

If communications to the Server Fails (i.e. exceeds Time Out for a remote OPC Server after three retires) Advantech WebAccess will wait the Auto Recover Time before trying to re-establish communications. Advantech WebAccess will drop any "open handles" and re-establish new "software links" to the OPC Server. Advantech WebAccess will try to restart the OPC Server if the OPC Server is not running

Remote Access Code

This is the Remote Access Code established during installation of the Advantech WebAccess software (SCADA Node, Project Node or OPC Service) on the OPC Server computer. The access code you enter here must match the Remote Access Code established during installation on the OPC Server. This prevents unauthorized users from accessing the OPC Server data using the Advantech WebAccess OPC Service.


14.3.1.8 OPC Server

This is the name of an OPC Server to be used. This can be either a Remote or Local OPC Server.

It is recommended to use the "Browser OPC Server" button and then select the name of the OPC Server you want to use from the OPC Server List. This ensures proper spelling and syntax.

To enter the OPC Server:

5) Select Local or Remote OPC Server Type. Local is an OPC Server installed on the SCADA node.

6) If using Remote OPC, enter

i. The IP Address or Computer name of the Remote OPC Server.

ii. The primary TCP Port of the remote OPC Service (0 = default).

iii. The Remote Access Code of the remote OPC Service.

7) Press the "Browse OPC Server Names" button.

8) Select the desired server from the OPC Server List. This will enter the OPC Sever name in the OPC Server field.

You can also type the name of the OPC Server, if you know the registered name. It is recommended to use the "Browse OPC Sever" button and select the OPC Server from the list to avoid spelling and syntax errors.

OPC Server List

This is a list of local OPC Servers on the local Project/SCADA node or a list of OPC Servers on the Remote OPC Server. It is recommended to use this list to update the OPC Server field. This list is updated by pressing the Browse OPC Server Names button.

It is recommended to use the "Browser OPC Server" button in order to update this entry. This ensures proper spelling and syntax.

To update the OPC Server List:

1. Select Local or Remote OPC Server Type. Local is an OPC Server installed on the SCADA node.

2. If using Remote OPC, enter

i. The IP Address or Computer name of the Remote OPC Server.

ii. The primary TCP Port of the remote OPC Service (0 = default).

iii. The Remote Access Code of the remote OPC Service.

3. Press the "Browse OPC Server Names" button.

4. Select the desired server from the OPC Server List. This will enter the OPC Sever name in the OPC Server field.

Browse OPC Server Names

If OPC Server Type is Local, this updates the OPC Server List by browsing local OPC Servers on the SCADA node.

If OPC Server Type is Remote, this updates the OPC Server List by browsing remote OPC Servers specified in Remote OPC Server Address.


14.3.2 OPC Device Properties

The Devices on an OPC Comport are "virtual" devices. You can use Device as an organizational tool (i.e. to represent process units, equipment, areas of a plant) or lump all the Tags into one Device.

The OPC Comport is associated with one OPC Server. If you have multiple OPC Servers, you must configure an OPC Comport to each Server. The OPC Device represents a "virtual'" device. All OPC Devices on the same Comport are associated with one OPC Server.

OPC is an acronym for OLE for Process Control. The manufacture (or a 3rd party) supplies an OPC Server. The Advantech WebAccess driver is an OLE Client. The OPC Device is a connection to software and is often a "virtual device" which may include many physical devices in the field.

The OPC Server is software usually is installed on the SCADA node. The OPC Server software can be installed on another PC; a TCP/IP network connection (usually a LAN or Intranet) is used to communicate to the "remote" OPC Server.

The connection from the SCADA node to the PLC or automation device may be a Serial Port, TCP/IP or proprietary network card. Hence, it is possible to have a Serial connection to the device, but use the OPC Port type in Advantech WebAccess. Allen-Bradley RS-LINX and the Data Highway protocol is an example.

For More information on OPC type Com Ports see OPC Comport Properties.

Add your device to the OPC Port, by selecting the OPC Port you have configured, then select Add Device.

To modify an existing Device, Select Device Properties. The Device Properties Page for an OPC Type Device appears.

Figure 14.5 OPC Device Property

Device Name is any user-defined name. See Device Name for more information.

Description is a user defined. See Description for more information.

Unit Number, for most OPC interfaces, this is a "virtual number" and does not correspond to the actual Unit Number used in the protocol addressing. See Unit Number for more information.

The Device Type lists OPCBw for the Advantech Advantech WebAccess OPC Client driver. Only an OPC Device can be used on an OPC Comport.

If you want to change the Device Type, you need to delete the Device and Comport (it is probably safer to add a new Comport and Device until you are sure you want to delete this one). You can change the Comport Number of your OPC Comport.

See Device Type for more information.

Not all OPC Servers follow the OPC standards in the same way. The OPCBW device type is tested with LANSTAR II, KMC Controls, Cimetrics Bacnet Server and most KEPWARE OPC servers.

See the Device Driver Guide for your device type for detailed information.


14.3.3 OPCTool - Import Tags

The Advantech WebAccess OPC Tool (OPCTool.exe) allows you to import tags from a Local or Remote OPC Server into Advantech WebAccess. The features of this tool include:

· Browse the "Tree" of OPC Items

· Browse the OPC Data points within each OPC Item

· Convert OPC Tag names (i.e. rename automatically)

o Convert to Short Tag name

o Convert by Renaming Rules

o Convert to Sequential Tag numbers

· Append Prefix to OPC Tag Names

· Filter OPC Data Points by Data Type or Name

· Import only Selected Items

· Import All Items

· Import from Local OPC Server (Local to Project Node)

· Import from a Remote OPC Server (Remote to Project Node).

· Import to multiple Projects, Nodes, and Devices

The OPC Tool must be run on the Project Node. The OPC Server and the SCADA node can both be remote to the Project Node. However, the OPC Tool works on a Advantech WebAccess Database directly (bwcfg.mdb) and, consequently, the OPCTool.exe must be run on the Project Node.

When using the OPC Tool a Local OPC Server is Local to the Project Node. A Remote OPC Server is remote to the Project Node. This is in contrast to the SCADA node. You may have configured your SCADA node to use a Local OPC Server, but when using the OPC Tool, that OPC Server might be remote (if the SCADA node and Project node are on separate nodes). The only time both the OPC Tool and SCADA node uses a Local OPC Server is if the SCADA Node and Project Node are the same PC.

Before using the OPC Tool to import, you must configure an OPC Comport, at least one OPC Device.

The OPC Tool will start the OPC Server if it is not running. However, it is recommended that you manually start the OPC Server and run through any procedure needed to connect to the automation devices (for example in the Kepware Modbus and Cimetrics Bacnet OPC Servers both start with no devices connected and require that you select a device or network to communicate).


14.3.3.1 Start the OPC Tool

The easiest way to run the OPC Tool is:

1. Go to the Project Node.

2. Select START button from the Task Bar.

3. Select Run.

4. Enter OPCTool.

5. Select OK.

6. The OPC Tool Client opens (Figure 14.7) . It will be blank until you connect to a Server.

The OPC Tool is program located in the Advantech WebAccess Node directory (typically C:\WebAccess\Node\OPCTool.exe) on the Project Node. As an alternate to using the Start button and RUN, you can double click on the OPCTool.exe icon in Windows Explorer.

Figure 14.6 OPCTool.exe Icon and path

Before using the OPC Tool to import, you must configure an OPC Comport, at least one OPC Device. In case you forgot to configure an OPC Comport and Device in your Advantech WebAccess Database, you can do so without closing the OPC Tool.


14.3.3.2 Connect to OPC Server with OPC Tool

Figure 14.7 OPCTool.exe - Start

1. To connect the OPC Tool an OPC Server select either the connect icon [image] or from the menu bar select OPC - > Connect OPC Server from the OPC Tool Client.

2. The Advantech WebAccess Connect OPC Server Dialog box opens.

Figure 14.8 OPCTool - Local Server List

3. Under Server Type, select either Local (i.e. this computer, the Project Node) or Remote (another computer).

3a. If you select Local, a list of all installed OPC Servers on this local computer appears. (i.e. the OPC Servers installed on the Project Node or Combined Project / SCADA node).

Figure 14.9 OPCTool - Remote Server List

3b. If you select Remote:

3.b.1 Enter the IP Address or Computer name of the remote computer with the desired OPC Server.

3.b.2 Press the Get Server List button

3.b.3 A list of all OPC Servers on the Remote Computer appears.

4. Select the server from the OPC Server List

5. Select the Connect OPC Server button.

The OPC Tool will start the OPC Server if it is not running. However, it is recommended that you manually start the OPC Server and run through any procedure needed to connect to the automation devices (for example in the Kepware Modbus and Cimetrics Bacnet OPC Servers both start with no devices connected and require that you select a device or network to communicate).

6. The OPC Tool Client appears with the toolbar icons enabled, including the following

Disconnect OPC Server

OPC Status

Import / Add Item

Figure 14.10 OPCTool toolbar Icons

7. Select the Import/Add Item icon [image] or from the menu bar
select OPC -> Import/Add Items

Figure 14.11 OPCTool - Import/Add Item menu bar

8. The OPC Item Browse/Import Dialog Panel appears (Figure 14.12).


14.3.3.3 OPC Item Import

To open the OPC Item /Browse import

1. Start the OPC Tool

2. Connect to OPC Server

3. Select Item / Browse icon

4. The OPC Item Browse / Import Dialog Panel opens.

Figure 14.12 OPCTool - Item Browse / Import

5. Select the desired Project from the pull down list (if you have more than one Project). The first project, listed alphabetically, is selected by default.

6. Select the SCADA node from the list (if you have multiple SCADA Nodes). This is the SCADA node that will collect data from the OPC Server. The SCADA node must have an OPC Comport and Device configured before you can import.

Figure 14.13 OPCTool Pull-down menu - Select SCADA Node

7. Select the Comport configured to this OPC Server.

The OPC Server and Server Type will change to reflect the configuration of the Comport. If the selected Comport is configured for an OPC Server, the OPC Server named and OPC Server Node type appears.

Figure 14.14 ComPort with Cimetrics Bacnet OPC Server

Figure 14.15 Comport with no OPC Server configured (OPC Server is blank
and OPC Server Node is blank)

8. Confirm that the SCADA Node / Comport you have selected is configured for the OPC Server you have connected the OPC Tool.

Figure 14.16 OPC Server Names should match for COMPORT and Connected

The COM Port’s OPC Server is listed under the Advantech WebAccess Project information area below the Comport and Device Name.

The Connect OPC Server area, at the Top Right, shows the OPC Server that the OPC Tool is currently connected to.

Figure 14.17 OPC Tool Connected to this OPC Server

9. Select the Type of Tag Conversion Type (Tag Name Type). Advantech WebAccess Tag names are limited to 15 characters and the OPC Item names are often much longer.

Figure 14.18 OPCTool - Tag Name conversion Type

a. Short Tagname will use the OPC Data Point name (the Panel on Right) as the Tag Name. If the same Data Point has already been selected from another item, Advantech WebAccess will append a sequential number to the tag name.

b. Convert Tagname will use both the Item Name and Data Point Name plus conversion rules create a Tag Name. The conversion rules are described in the OPCTol.ini file. The Convert Tag Name will give you the greatest control in creating tag names automatically. Please see section OPC TOOL INI file of Conversion Rules, section 3.5.3.1

c. Sequential Tagname will number the tag consecutively: Tag1, Tag2, etc. If you modify the Tagname field (i.e. replace TAG), the tool will append a number to the name you enter and track the number of previous tag name roots.

d. ItemID will use the OPC Item Name (from the Panel on Left) for any Data Point selected (from Panel on Right). This is typically used when the same Data Point (e.g. present value) is selected for all Items and the Item Name is the desired Tag. Sequential Numbering of the Tag Name will occur if multiple Data Points are selected from the same Item (e.g. device_1967__analog_I, device_1967__analog01, device_1967__analog02).

Underscores (_) will replace Blanks (white spaces) in OPC Item and Data Point names.

10. Add a Prefix, if desired. Prefix is limited to 2 characters max.

This prefix will be the leading characters of the Advantech WebAccess Tag Name. For example, Prefix "49" will yield 49TIC101, 49PIC202, 49YS333 etc.

The Prefix is commonly used to help users distinguish between multiple process units that have identical OPC naming conventions inside each process unit (for example 10 Air Handlers, all with identical control databases and OPC data point names).

11. Data Type Filter - new users are recommended to select Native Type (the default) and use the wildcard (*) for the Filter.

Figure 14.19 OPCTool - Data Type Filter

The Data Type Filter will limit the Data Points listed to only the Data Type selected (Boolean, Long Integer, etc).

11a. Filter is an OPC server specific filter string. Not all OPC Servers support Item Filter. This is entirely free format. Although the valid criteria are vendor specific, a typical filter is T* where all tags beginning with "T" are displayed (e.g. TI100, TI101, TC102). The wildcard (*) is recommended for new users.

12. Select an OPC Item (Panel on Left) under Browse Items.

Figure 14.20 OPCTool example of OPC Tag Items

13. Select a Data Point (Panel on Right) associated with the selected OPC Item. Notice that the List of Data Points (Right Panel) changes as you select different Browse Items (Left Panel).

Note that each Item in an OPC Server can have multiple data points associated with it.

14. The proposed TAGNAME appears in the Tagname field (less any Prefix). Modify the Tagname if desired.

Figure 14.21 OPCTool example of OPC Item ID and Advantech WebAccess Tagname

15. Item ID (Address) describes the addressing that will be used to read data from the OPC Server. It is recommended to accept this without modification.

16. Click the Import Selected Items button.

17. Select another OPC Item, and repeat steps 9 to 15 until all desired tags are imported.

18. Select OK to confirm the Import of tags to Advantech WebAccess.

If you press Cancel, all tags imported since your first started the Add/Import Tags will be aborted.

19. The OPC Tool Client will list the Tag Names imported and the OPC Item addresses. The Advantech WebAccess Tag names are listed on the left (under Tag Name) and the OPC Items are listed on the right (under ItemID).

Figure 14.22 OPCTool - Imported Tagname and OPC Items

20. You can have the Advantech WebAccess Project Manager open while using the OPC Tool to import Tags.

Figure 14.23 OPC Tagnames in Advantech WebAccess Project Manager

By closing and opening the OPC Port Icon, in the Project Manager, you will refresh the tag list and see the Tags that you have imported. Once Imported, you can rename these tags, assign alarms, etc. You can also Delete imported tags and then re-import them allowing you to experiment with naming conversions, etc.

OPC TOOL INI file of Conversion Rules

The Convert Tagname will convert OPC Item and Data Point names into Advantech WebAccess Tag names using conversion rules. The Convert Tagname will use the Item Name appended to Data Point Name plus the conversion rules in the OPCTol.ini file.

Users can modify this file to create Name conversion rules

The OPCTol.ini is located on the Project Node, typically at C:\WebAccess\Node\OPCTol.ini

A sample of the Version 3.0 OPC Tool INI file for the Barrington OPC Server is listed below.

Each Section must be preceded by the official OPC Name in square brackets []. For example, the Barrington OPC Server is named BarSys.OPCServer. The Section describing conversion rules for the Barrington OPC Server are in a section labeled [BarSys.OPCServer]

The rules are simple.  Text String OPC = Text String in Tagname.  For example, Digital Output.Channel=DO means convert the string "Digital Output.Channel" into a tag name with DO.

It may take an experimental or test database where you import OPC Items and Data Points unchanged, then create rules to automatically shorten them.

[TAGNAME_TYPE]

//0: Leaf as TagName

//1: Custom Conversion

//2: Sequential

//3: TagName same as ItemID

BarSys.OPCServer=1

Matrikon.OPC.Simulation=1

ThinknDo.TnDOPC.1=0

RW.FASERVER.3=2

KEPware.KEPServerEx.V4=2

Cimetrics.BACnetOPCserver=1

[BarSys.OPCServer]

Digital Output.Channel=DO

Digital Input.Channel=DI

Analog Input=AI

Analog Output=AO

Channel=Ch

Communication=Comm

Extend_Service.Extend_Flag=ExHours

Flag_Schedule.Schedule=Z

Flag_Status.Flag=Occupancy

Sub_Schedule=SubSch

Start_Date=StrtD

Start_Time=Start

Stop_Date=StopD

Stop_Time=Stop

Holiday_Flag=HFlag

MF_Weekday_Flag=MF_WkFlag

Schdule_Serial=Sch_Serial

Schedule_Name=Sch_Name

Weekday_Flag=Wk_Flag

Monday_Friday=Mon_Fri

Weekday.Monday=Mon

Weekday.Tuesday=Tue

Weekday.Wednesday=Wed

Weekday.Thursday=Thu

Weekday.Friday=Fri

Weekday.Saturday=Sat

Weekday.Sunday=Sun


14.4 User Programs & API

User Programs are custom programs written in Visual C++ or Visual Basic using Microsoft Development tools. These use the Applications Programming Interface (API) supplied with Advantech WebAccess. The API makes calls to the SCADA Node and these user programs must run on the SCADA node.

Note – there is a scripting language in Advantech WebAccess based on Tcl, which can accomplish most tasks. See Scripts for more information on Screen Scripts and Global Scripts..

User Programs using the API are recommended only for experienced Visual C++ or Visual Basic developers with Microsoft Certification.

Most users should use Scripts in Advantech WebAccess.

You must use a tag ID number to get information from Advantech WebAccess SCADA Node using the API calls. All calls use the Tag ID number only. You build a list of Tag ID numbers using the GetId call and the tag name. Note that changes to the Advantech WebAccess Database will change the association of Tag ID and Tag name. Every time you start your User Program or Advantech WebAccess Restarts, you should rebuild you Tag ID list.

VdBroadwinGetId( &tag_id, tagname )

This call places the Tag ID in the variable tag_id for the tagname contained in tagname.

Tagname must be an char data (character data).

Tag_id is usually struct data or int data. (integer)

Tagname can include field parameters. "TIMER.SPANHI"

VdBroadwinGetValue( &tag_id, &tag_value, &tag_Action);

This call places the reads the SCADA node and places the current value of tag in Tag_Value and current Action state in Tag_Action.

Tag_id is int data (integer).

Tag_id should have been updated using VdBroadwinGetId.

tag_textvalue is fl data (floating point)

tag_Action is int data (integer)

The return value of VdBroadwinGetValue() is an integer.

1 or -1 means the tag type is analog.

2 and -2 means the tag type is discrete.

3 and -3 means the tag type is text.

A Positive value means the return data is current value of the tag (i.e. communications to field device is good). A Negative value means the tag's value is BAD (i.e. communications is BAD).

Analog and discrete tags can be read using VdBroadwinGetValue() to get the numeric value in union fl. The .fval in the union stores the tag's value in 'double' format.

All tag types can also be read using VdBroadwinGetValueText() to read data in text format.

Note - Users should not use other members of union fl.

VdBroadwinGetValueText( &tag_id, &tag_textvalue, &tag_Action);

This call places the reads the SCADA node and places the current value of tag in Tag_TextValue and current Action state in Tag_Action.

Tag_id is int data (integer).

Tag_id should have been updated using VdBroadwinGetId.

tag_textvalue is char data (character data)

tag_Action is int data (integer)

The return value of VdBroadwinGetValueText() is an integer.

1 or -1 means the tag type is analog.

2 and -2 means the tag type is discrete.

3 and -3 means the tag type is text.

A Positive value means the return data is current value of the tag (i.e. communications to field device is good). A Negative value means the tag's value is BAD (i.e. communications is BAD).

All tag types can be read using VdBroadwinGetValueText() to read data in text format. Analog and discrete tags can also be read using VdBroadwinValue() to get the numeric value in union fl. The .fval in the union stores the tag's value in 'double' format.

Note - Users should not use other members of union fl.

VdBroadwinSetValue( &tag2_id, &tag2_value)

This changes the value of the tag in the SCADA node. The tag must be write able (i.e. not read only).

Tag_id is int data (integer). Tag_id should have been updated using VdBroadwinGetId.

tag_value is fl data (floating point)

Example:

struct VIEWDLL_ID tag_id={0};
union fl tag_value;
int tag_Action;
char pbuf[120];

int APIENTRY WinMain(HINSTANCE hInstance,
HINSTANCE hPrevInstance,
LPSTR lpCmdLine,
int nCmdShow)
{
char buf[64], *tagname;
int rc;

tagname = "TIMER";

rc =VdBroadwinKrlInit();

if ( rc == 0 ) return 0;

   rc = VdBroadwinGetId(
 &tag_id, tagname );
if ( tag_id.id386.id ) VdBroadwinGetValue(
 &tag_id, &tag_value, &tag_Action);
sprintf( buf, "Value=%.2f", tag_value.fval
 );
MessageBox( NULL, buf, tagname, MB_OK );

rc = VdBroadwinGetId(
 &tag_id, "TIMER.SPANHI" );
if ( tag_id.id386.id ) VdBroadwinGetValue(
 &tag_id, &tag_value, &tag_Action);
sprintf( buf, "Span High=%.2f", tag_value.fval
 );
MessageBox( NULL, buf, tagname, MB_OK );

VdBroadwinKrlFree();
return 0;
}

The above example uses the default Tag Group 0 which is sufficient for most applications. If no 'Tag Group' is 'Set Active", then Tag Group 0 is active.

Note - The struct VIEWDAQ_ID is intended for Advantech WebAccess View client to read the SCADA node kernel (i.e. intended for Advantech WebAccess internal use only). Users should treat the VIEWDAQ_ID struct as a data storage.


14.4.1 Advanced API Calls

Bwdllobj (an Atl COM Dll) or viewdll.dll (a Win32 Dll)

Visual C, Visual Basic users can develop their own interface to Advantech WebAccess using our Bwdllobj or viewdll.dll .

Bwdllobj also supports VB 6.0, VBScript, JScript, and VB.NET.

Note - JScript and VB Script are also supported by ACTION Commands used by Local Scripts and Global Scripts in Advantech WebAccess.

Visual C and Visual Basic use these Applications Programming Interfaces as the API for User-developed programs. The following commands are not needed for most applications. A User programs make calls to the viewdll.lib.

The viewdll.h, viewdll.lib, viewdll.dll, and webvsid.dll are located in the WebAccess\node directory.

In order to resolve “stack overflow” issue when VB programs are used to call viewdll.lib, a new COM object is added to Advantech WebAccess. The functions defined in the new viewdll.bas illustrate how to use this new object. To use this viewdll.bas directly, please add this file into VB project and call the functions directly.

14.4.1.1 Tag Groups

Users may want to create different Tag Groups (for example, for use with Display Scan tags that are only scanned when a Display is called that uses the tag). Users may create up to 32 Tag Groups.

When a Tag Group is made Active, the Get ID, Get Value and Set Value commands apply to the new Tag Group. Other Tag Groups are unaffected.

Please note that all functions in viewdll.lib except VdBwSpool and VdIsKrlRunning must be called between VdAdvantechKrlInit and VdAdvantechKrlFree.

VdAdvantechGetId( &tag_id, tagname )

This call places the Tag ID in the variable tag_id for the tagname contained in tagname.

Tagname must be an char data (character data).

Tag_id is usually struct data or int data. (integer)

Tagname can include field parameters. "TIMER.SPANHI"

VD_API VdAdvantechInitTagGroup()

This creates a new Tag Group with the identified by the logical number returned as integer (int) . You cannot specify a group number.

VD_API VdAdvantechSetActiveTagGroup(int gpno);

This changes the 'Active' Tag group to the number specified by gpno.

gpno is int. (integer)

VD_API VdAdvantechGetActiveTagGroup()

This returns the number of the 'Active Tag Group as int (integer).

VD_API VdAdvantechFreeTagGroup(int gpno);

This frees the Tag Group. It destroys the group.

gpno is int. (integer).

VdBwSpool

VdBwSpool can be used to dump messages into bwspool.exe (located at drive:\WebAccess\Node and drive:\WebAccess\Client). Please note that all functions in viewdll.lib except VdBwSpool and VdIsKrlRunning must be called between VdAdvantechKrlInit and VdAdvantechKrlFree.

VdAdvantechKrlStatus

VdAdvantechKrlStatus can be used to check if the Kernel, which VdAdvantechKrlInit connects to, is still running or not. In contrast to VdAdvantechKrlStatus, VdIsKrlRunning can only be used to check if there is any running Kernel. Please note that all functions in viewdll.lib except VdBwSpool and VdIsKrlRunning must be called between VdAdvantechKrlInit and VdAdvantechKrlFree.

VdIsKrlRunning()

Detect if the Kernel is running. The new function is VdIsKrlRunning(), and the return value is non-zero if and only if Kernel is running. A call to this function is more efficient than a call to FindWindow("Advantech Advantech WebAccess Server", NULL). We suggest that all user programs interacting with the Kernel call this function every 2 seconds to detect if Kernel is still running.

14.4.1.2 Mutex

_BWIN_KRLAPI_MUTEX

The "_BWIN_KRLAPI_MUTEX" is for access to DataLog Trend files.


14.4.2 User Program Configuration

The SCADA node can call a custom User Program or any third party program including *.exe and *.bat files. These 3rd party programs are called when the SCADA Node starts.

You can use Scripts to schedule User Programs based on calendar or time-of-day or events using the WINEXEC Action Command.

User Program Configuration

Figure 14.4.2 - User Program Configuration

1. Connect to Advantech WebAccess Project Node.

2. Start Configuration.

3. Login to Project Manager

4. Select the SCADA node.

4. Select User Program hyperlink in Project Manager Node Properties.

5. The User Program configuration page appears ( Figure 14.4.2 above).

6. Enter the full path and program name.

Note - if you copy your User Program to C:\WebAccess\Node\config\Projectname_Nodename , you do not need to enter the full path here.

7. Click Enable if you want the program to run when the SCADA node starts.

User Program Display

The User Program can be started or stopped from the User Program System Display. Scripts and Pushbuttons can run or stop the User Program using the %DUSRST and %TUSRPN.


14.4.3 VB.NET

In addition to Visual C, Visual Basic, VB 6.0, VBScript and JScript, Bwdllobj supports VB.NET. A sample project for VB 6.0 is available from Advantech Automation Corp. San Ramon Office. To test Bwdllobj on VB.NET, please install the latest version of Advantech WebAccess Node on the SCADA nodes and then upgrade the sample VB project using VB.NET upgrade wizards.


14.4.4 C# and Visual C Sharp

C# and Visual C#.NET (C Sharp user programs).

We do not know if Bwdllobj (an Atl COM Dll) or viewdll.dll (a Win32 Dll) can be used with C# directly. If they can not be used with C# directly, users can always develop their own interface using our Bwdllobj or viewdll.dll. We think this is a C# developing issue not a Advantech WebAccess supporting issue. The following information may help users to decide how to use Bwdllobj or viewdll.dll with C#. Please note that we do not have any C# experience. The contents listed below are from http://blogs.msdn.com/deeptanshuv/archive/2005/06/26/432870.aspx.

Managed Exe calling Native Dll

(a) Create an Atl COM Dll from wizard say Atl Dll

(b) Add an ATL Simple Object AtlObj

(c) Add a method to AtlObj say factorial(), you will need to add it to the .idl file to expose it from the COM object

(d) Create a C# console app

(e) project->right click->Add Reference

(f) In the add reference dialog, select the COM tab, find your COM component and add the reference to it

(g) You can now create the AtlObj object as of any other class and call its methods.

You can also accomplish this without using COM by simply using exports/imports.

Managed Exe calling Native Dll using import

(a) Create a Win32 Dll that exports symbols, you can do this from the wizard, just make sure the "export symbols" checkbox is checked.

(b) You need to put extern "C" {} around the definition & declaration of the exported function say fnWin32Dll()

(b) Now create your C# Exe, add using

System.Runtime.InteropServices;

(c) add code

[[DllImport("Win32 Dll.dll")]

public static extern int fnWin32Dll(); ' this is the C++ function exposed by the dll

(d) Now you can just call the function in your code

int var = fnWin32Dll();

Note that your C# Exe needs to be able to find the Dll. You can copy the Dll next to the C# Exe and it will run just fine. .


14.4.5 OCX as an Interface to VIEW and ViewDAQ

A Microsoft Active-X Control ( OCX ) can be used as an Application Programming Interface to VIEW clients and ViewDAQ. This is for Advanced users.

User programs can use a “GetValue”, “SetValue” and “SendCmd” to interface with VIEW and ViewDAQ, when bwocxrun.ocx is embedded in a web page contained by View/ViewDAQ.

The bwocxrun.ocx is described as below:

CLSID: 5C2A52BD-2250-4F6B-A4D2-D1D00FCD748C

METHOD: BSTR GetValue(LPCTSTR Tag);

DESCRIPTION: Get value from Tag in View/ViewDAQ.

RETURN VALUE: value of Tag.

Return value is "%T-2L$NA", if Tag is invalid.

Return value is "%T-1L$BAD", if Tag is bad.

METHOD: void SetValue(LPCTSTR Tag, LPCTSTR Value);

DESCRIPTION: Set value of Tag in View/ViewDAQ to Value.

METHOD: void SendCmd(LPCTSTR Cmd);

DESCRIPTION: Send macro Cmd to View/ViewDAQ.

Please refer to swflash.htm as an example how this OCX can be used in a web page (located at drive:\WebAccess\Node). Please do not modify swflash.htm directly. It is a web page required to invoke Shockwave Flash Object for use in displaying Macromedia Flash movies.


14.4.6 User-defined DLL compatible with VIEW&ViewDAQ

Users can call a user-defined function located inside a DLL from within ViewDAQ/View Client. The user-defined function can be, for example, a customized dialog box. The syntax is of the Key Macro is:

<DLLEXEC>MyFunction^data@MyDLL.dll

MyFunction residing in MyDLL.dll must have the prototype as follows:

#ifdef MYDLL_EXPORTS

#define MY_API __declspec(dllexport)

#else

#define MY_API __declspec(dllimport)

#endif

#ifdef __cplusplus

extern "C" {

#endif /* __cplusplus */

void MY_API MyFunction(HWND hWnd_main, const char *data);

#ifdef __cplusplus

}

#endif

Please note that the execution flow of ViewDAQ/View Client will be blocked. Therefore, we also provide a function -- VcViewTimerCallback()-- to be used with MyFunction to prevent from blocking the execution flow. Users must implement a 25 msec timer to call this function and take actions according the return value. The following is an example of how this can be done.

void CMyFunction::OnTimer(UINT nIdEvent)

{

If (nIdEvent == FG_UPDATE_TIMER) {

LRESULT dlgState = VcViewTimerCallback();

if (dlgState == DAQDLG_QUIT)

OnCancel();

else if (dlgState == DAQDLG_HIDE) {

ShowWindow(SW_HIDE);

}

else if (dlgState == DAQDLG_SHOW) {

ShowWindow(SW_SHOWNA);

}

}

}

We also provide three more functions for users to GetValue from, SetValue to, and SendCmd to ViewDAQ/View client that invokes MyFunction: They are:

char VC_API * VcViewGetValue(LPCTSTR Tag);

void VC_API VcViewSetValue(LPCTSTR Tag, LPCTSTR Value);

void VC_API VcViewSendCmd(LPCTSTR Cmd);

There are four functions for users to create their URL displays inside dialog boxes in the user-defined DLL. They are:

void VC_API VcCreateWebBrowser(HWND hWndParent, RECT Rect, const char *UrlString);

void VC_API VcUpdateWebBrowser(const char *UrlString);

void VC_API VcResizeWebBrowser(RECT Rect);

void VC_API VcDeleteWebBrowser();

Where UrlString can be any ordinary URLs or in the format of UTI:/DAQ:/VDO: syntax. Please note that only one URL display is allowed in a dialog box. Please also make sure that the dialog box has the WS_CLIPCHILDREN attribute to avoid redrawing issues.

A sample MyDLL project exists to demonstrate how to use these APIs is available from Broadwin’s Milpitas office. To test MyDLL.dll, please copy MyDLL.dll to WebAccess\Node directory and use MyDLL.bgr the call up the sample dialog box.

The required header file and library file for these functions are located in WebAccess/node directory. Please note that MyDLL.dll must be put in WebAccess/node directory. When calling up MyFunction from with View client, MyDLL.dll will be automatically downloaded from the SCADA node to client computers.

See also, 11.1.34.1 DLLEXEC.


14.4.7 Flash as an Interface to VIEW and ViewDAQ

ActionScript 3.0 in Flash is now supported. There are many incompatible issues between ActionScript 2.0 and 3.0. When setting values to variables of AcrionScript 3.0 in Flash with flashvars=your_flash_variable... from within ViewDAQ/View client or fscommand(“GETVAL”, “your_flash_variable=your_webaccess_tag”);, root.loaderInfo.parameters. your_flash_variable must be used to retrieved the values in ActionScript 3.0. The following sample script written in ActionScript 3.0 illustrates how this can be done.

function WaitGetValue():void {

fscommand("GETVAL","pv=%ANUMRAND");

pv=root.loaderInfo.parameters.pv;
 // This statement is not required and not allowed when using ActionScript
 2.0;

if (pv != pv_old) {

pv_old = pv;

tbox.text=pv;

}

}

var sid;

var pv;

var pv_old;

pv = "";

pv_old = pv;

tbox.text=pv;

sid = setInterval(WaitGetValue, 500);


14.5 SCADA Node as Modbus Slave Device

14.5 SCADA Node as Modbus Slave

The SCADA node, including Windows CE version, will act as a Modbus Ethernet Slave Device (i.e. look like a PLC). This device emulation feature is usually used to:

  • communicate to older existing automation systems (for example an existing DCS which acts as a Modbus Master)

or

  • for remote sites using telemetry, radio or dial-up communications to slow to support TCP/IP communications between nodes.

MODDEF.INI

By creating a MODDEF.INI file in the \WebAccess\node\Project_SCADANode\ folder, the SCADA node will respond to Modbus Master requests. (If this file is created on the project Node under \WebAccess\node\config\Project_SCADANode, it can be downloaded to the SCADA node during the next download).

The user must map tags to Modbus addresses in the MODDEF.INI.

An example MODDEF.INI is as follows:

[MOD_DEF]

LISTEN_PORT=504

TOTAL_TAG=7

TAG1=40001,TM_65,0

TAG2=40002,SIN_65,4

TAG3=40004,F65_CA01,4

TAG4=40014,F65_CA06,1

TAG5=30001,MD30001,0

TAG6=00001,F65_CD01,0

TAG7=10003,F65_CD_02_ALARM,0

Format Description of MODDEF.INI

LISTEN_PORT = port number for TCP/IP, must match Advantech WebAccess device configuration, Default:504

TOTAL_TAG = Total tags to be read

TAGn=ModBus_Address,Advantech WebAccess_TagName,Type

n= 1 to total_tag

ModBus_Address = 0xxxx, 1xxxx, 3xxxx, 4xxxx

Advantech WebAccess_TagName = Point(Tag) Name in Local SCADA node

Type 0 = Unsigned 16-bit integer

Type 1 = Signed 16-bit integer

Type 2 = Unsigned 32-bit integer

Type 3 = Signed 32-bit integer

Type 4 = 32-bit Floating points.


14.6 SCADA Node from another Project

The SCADA nodes can communicate to SCADA nodes in another project using a device driver (the WASADA device). This is similar to the Modbus Slave communications, but uses the Advantech WebAccess Tag name instead of a Modbus Address. No address mapping is required.

The Moddef.ini file is optional, if no Moddef.ini is on the SCADA node, port 504 is used. If the Moddef.ini exists on the SCADA node acting as the device, then the port specified will be used in the Moddef.ini.

This interface is compatible with the Modbus Slave interface (i.e. both interfaces can run on the same SCADA node). But both will use the same Moddef.ini

This driver treats other Advantech WebAccess SCADA nodes as a device and allows access by tagname. Previously, users would have to use a Modbus address and driver to have similar functionality. Now, one SCADA node can monitor other SCADA node's tags without have all SCADA nodes residing in the same project. This will eliminate unnecessary node-to-node traffic. Additionally, this allows users to keep some data in the SCADA node hidden from the remote node.

Be sure to open a TCP Port through a firewall or )Windows Firewall if running Windows XP or 2003) on the Device Node.

MODDEF.INI

Optionally create a MODDEF.INI file on the SCADA node acting as a Device in the \WebAccess\node\Project_SCADANode\ folder. The device SCADA node will respond to request from the WASCADA driver on another SCADA node. If this file is created on the project Node under \WebAccess\node\config\Project_SCADANode, it can be downloaded to the SCADA node during the next download.

An example MODDEF.INI is as follows:

[MOD_DEF]

LISTEN_PORT=504

Format Description of MODDEF.INI

LISTEN_PORT = port number for TCP/IP, must match Advantech WebAccess device configuration, Default:504

WASCADA Device

The WASCADA device resides on a TCP/IP Port configured in Advantech WebAccess.

Unit Number

This can be any number an affects only the order of devices listed in the configurator and used by system tags to monitor the device.

IP Address

This is the IP Address of the remote SCADA node acting as a device.

Port

The default port is 504. Other wise the port must match that specified in the remote (device) SCADA node's Moddef.ini.

Device Address

This is not used.

Sync. Remote Alarm

If alarms are configured for both tags (i.e. the source tag on the remote SCADA Node and this SCADA node) then acknowledgement of the Alarms are synchronized. Acknowledging the alarm one SCADA node also acknowledges the on the other SCADA node.

Tag Field Synchronization

WSCADA driver has a runtime tag field synchronization feature. User can have option to synchronize tag fields (e.g. Description, Alarm Limits, etc.) between 2 SCADA nodes. The only exception is the Associate alarm tag name field cannot be sync'd.

WASCADA Tag addresses

The WASCADA device uses the Tagname on the remote SCADA node as the address.


15. Display Groups & ViewDAQ

***********************************************************************************************************
*Note: For WinCE edition, four layers can be displayed at the most.
 ************************************************************************************************************

ViewDAQ is a local, non-web browser version on VIEW that runs on the SCADA Node. This provides a non-web version of Advantech WebAccess similar to traditional HMI & SCADA. ViewDAQ is intended for 'stand-alone' and control room applications.

Displays Groups allow multiple windows to 'pop-up' with a single button click. Both VIEW and ViewDAQ users can open Display Groups. Only ViewDAQ can create, modify and save Display Groups. Web browser users can only view Display Groups.

Display Groups also allow engineers to customize the ‘look’ of ViewDAQ by hiding toolbars and requiring passwords. Custom pop-ups and dialog boxes can also be created with Display Groups.

Figure 15 -1Display Group with multiple windows.


15.1 Display Groups

Display Groups allows users to open multiple VIEW and ViewDAQ windows at the same time. Display Groups are a type of Windows-Management that allow an operator or user to open multiple Windows with one button click.

Engineers, users & operators can create new Display groups using ViewDAQ (with the right password level). The web browser VIEW can only open Display Groups; web browser VIEW clients can not create, modify or save Display Groups.

Figure 15.1 -Display Group with multiple windows.

Display Groups also allow engineers and integrators to pre-define windows for size, position, scale, scroll bars (clipping), and to restrict resize, move and closing the window.

Display Groups create dependencies between multiple ViewDAQ windows. For example, when a user closes or minimizes the "parent" window, the "dependent" windows are also closed or minimized. Dependent windows always stay on top of the parent window. "Independent" windows can be placed anywhere.


15.1.1 Display Group features

Display functions include:

· Open multiple ViewDAQ and VIEW windows from a single Button click (for example, a trend window, an alarm window and a display window).

· Exit Password Level (ViewDAQ only) can be defined to prevent users from closing the ViewDAQ display window and stopping Advantech WebAccess SCADA node. If at least one ViewDAQ window is open, the "kernel" can not be stopped locally if ViewDAQ is running. The Project Manager can always stop the kernel. Web browser VIEW clients can always be closed by the user.

· User-defined MAIN page that opens when Advantech WebAccess. Each Display group can have a different opening page. This can be a user-built display, alarm summary, trend display or any display in the system.

· Pop-up Windows including Pop-ups that are always on top and any size.

· Prevent users from resizing, moving or minimizing the ViewDAQ window or web browser VIEW window.

· Add your company name or other description to the Title Bar.

· Hide the Menu Bar, Toolbar, Status Bar and Scroll Bar.


15.1.2 Display Group Terminology & Concepts

Display Group - a group of tasks consisting of a parent and its dependents. Each Display Group has a Display Group Name. The Display Group name appears in the Title bar of each windows. MAIN is the default display group. Others are named when the display group is created.

Task - a ViewDAQ window. The ViewDAQ program can run multiple times simultaneously in Windows. Each task has a ViewDAQ Name. " Untitled"is the default name. Others are named when the display group is created.

Dependent - a ViewDAQ window that has a dependency relationship with another task. A dependent task is opened from another ViewDAQ window (the parent). The dependent will close if the parent is closed. A dependent window or group is always on top of its parent.

Independent task - a ViewDAQ task that is independent of other tasks.

Popup Display Group - a ViewDAQ task window (or group or windows) that opens without closing the original ViewDAQ window. The Parent task is always Independent.

Popup Dependent Display Group - a ViewDAQ task window (or group or windows) that opens without closing the original ViewDAQ window. The Parent task (and any dependents) become Dependent on the original ViewDAQ window.

New Display Group- a ViewDAQ task window (or group or windows) that replaces the existing Display Group by first closing the original window. The Parent task is always Independent.

Scaling is the normal mode: when the window is resized, the images in the window shrink or scale to fit.

Clipping leaves the images and graphics the same size as the window is resized. As the windows is resized smaller, images and information disappear and a "moving window" effect occurs. Scroll Bars allow users and operators to "move" the window over the area of the Graphic Display.


15.1.3 Scroll Bars and Clipping

To create a window for Advantech WebAccess that support Scroll Bars, you need to enable the "Clipping Option". Optionally, you can save this window as a new Display Group for later recall.

Scaling is the normal mode: when the window is resized, the images in the window shrink or scale to fit.

Clipping leaves the images and graphics the same size as the window is resized. As the windows is resized smaller, images and information disappear and a "moving window" effect occurs. Scroll Bars allow users and operators to "move" the window over the area of the Graphic Display.

Figure 15.2 - SCALING Mode

Figure 15.3 - CLIPPING MODE


15.1.3.1 Create a Display Group with Clipping and Scroll Bars

Note - Only ViewDAQ users can create or save a Display Group. Web browsers can only VIEW a display group.

1) Login as Admin or a User with level 127 assigned to ViewDAQ Area.

2) From the Menu bar select

File -> Login

Figure 15.4 - Login from Menu Bar - ViewDAQ

Hint the Default user is: admin

no password

3) Size the Window as full size or larger than your desired size.

4) From Menu bar, enable Clipping Mode

File -> View -> Clipping Mode

Figure 15.5 - enable Clipping Mode - ViewDAQ

5) Resize the window to be smaller, the scroll bars will appear

6) Size the window to the desired size.

7) Save this as a Display Group.


15.1.4 Display Groups in a Web Browser

Display Groups can be opened in a web browser VIEW. Multiple Windows can pop open from a single button Click.

Display Groups in a web browser are opened only KeyMacros associated with a Pushbutton or screen script.

The Title bar and Task bar icon for a Web Browser VIEW Display Group is also different than in ViewDAQ.

Display Group Icon menu

Figure 15.1.4 - Display Group in Web Browser - Pull Down menu from Title Bar Menu

There is a Pull down menu attached to the Display Group Icon [image] in the Title bar. The Title Bar menu always allows web browser users to close the Display Group. Restore, Move, re Size, Minimize and Maximize are available depending on how the Display Group was built (see 15.12 Window Options).

To see the Tile bar pull-down menu (figure 15.1.4) in a web browser VIEW:

1. Open a Display Group window from a pushbutton in a graphic display. The display Group must have a Title Bar (see 15.11 Style Options).

2. The Display Group Icon appears in the Title Bar [image].

3. Click the Display Group Icon [image] once with the mouse.

Display Groups are built using ViewDAQ (the non web browser version of VIEW). Web browser users can not create, modify or save Display Groups.


15.1.5 Default Display Group - Main.dsp

The default Display Group opened when ViewDAQ starts is named MAIN.DSP. You can modify and re-save MAIN.DSP to open any page or have other features when ViewDAQ starts.

Figure - Default Display Group is Main.dsp

The most common edits are to define an Exit Password Level and an opening Graphic Display.


15.2 ViewDAQ - local to SCADA node

ViewDAQ is a non-web browser version of VIEW that allows operators and users to View and Control real-time data and full-animation graphics without a web browser. ViewDAQ runs locally on the SCADA node.

ViewDAQ is typically used in Stand-alone or Control Room applications where a network connection to the SCADA Node is not needed.

ViewDAQ provides all the features found in VIEW and provides operators and general users the ability to VIEW and Control in real-time using full-animation graphics without a web browser.

The Differences between ViewDAQ and VIEW include:

· The Right-Click Menu (VIEW) is replaced with a Menu Bar in ViewDAQ.

· Restricted User and General User types are ignored and treated like Power Users (can View All Displays)

· Users can Login and Log-out without closing ViewDAQ.

· Display Groups allow engineers, technicians and, with the right password level, operators to define popup windows and multiple window groups that will open from a pushbutton or list. VIEW users can only view Display Groups. ViewDAQ users can create, modify and save Display Groups.

· An Exit Password can be defined to prevent ViewDAQ from closing the ViewDAQ window and hence, stopping the SCADA Node locally from the Taskbar Icon. VIEW users can always close the web browser VIEW.

ViewDAQ is started from the green Advantech WebAccess Icon [image] in the taskbar “System Tray” next to the system clock (Start the SCADA Node kernel first).

Figure 15-6 Advantech WebAccess Taskbar Icon

ViewDAQ, Start Kernel and Stop Kernel are accessible by right clicking the Advantech WebAccess Icon in the taskbar next to the system clock.

Figure 15-7 ViewDAQ on SCADA node with Kernel stopped (Red Icon)

ViewDAQ can be started only if the Kernel is Running (a Green Icon). The Kernel will only run if a Project was downloaded to the SCADA node from the Project Manager.

Figure 15-8 Taskbar Menu on combined SCADA/Project Node

Displays Groups are another feature available to ViewDAQ users (but not browser clients). Display Groups provide a Windows Management tool. Display Groups enable operators and users to open multiple windows with a single pushbutton in pre-defined positions and with the desired graphic, trend or alarm display.

Figure 15-9 - Display Group in ViewDAQ


15.3 SCADA Node Kernel

The SCADA node software includes the run-time Kernel (datacore.exe). The Kernel provides real-time data to Clients. The Advantech WebAccess Kernel uses communications drivers to enable a SCADA node to communicate with automation hardware including programmable logic controllers (PLC), IO, controllers, direct digital control systems (DDC) and distributed control systems (DCS).

The Kernel can be started remotely from the Project Manager.

Or locally on the SCADA Node from the taskbar icon [image] located next to the Clock.

The Advantech WebAccess taskbar icon is located in the “System Tray” in the “Taskbar” (in official Microsoft Terminology). The Advantech WebAccess Taskbar Icon appears if Webvrpcs.exe is running. This Advantech WebAccess Taskbar Icon does not appear on Web Browser Clients. The Advantech WebAccess Taskbar Icon appears on the SCADA Node(s) and Project Node.

Figure 15.10 Taskbar Icon - SCADA Node running - mouse hover

The taskbar Icon is color-coded (red stop, green run, yellow fail to start, blue Script or Scheduler engine stopped).

If you “hover” the mouse over the Advantech WebAccess Icon, it will list the version number and the project and SCADA Node name if the Kernel is running

Figure 15.11 Advantech WebAccess Taskbar Menu - SCADA Node only -Start Kernel and ViewDAQ

Click on the Advantech WebAccess Taskbar Icon to open the Menu (Figure 15.11).

The menu list varies depending on if this is a SCADA Node (only) or a combined Project Node / SCADA Node.

The SCADA Node Menu lists Start Kernel, Stop Kernel and ViewDAQ.

A combined Project Node/SCADA Node Menu will list DrawDAQ and Download Graph in addition to Start Kernel and ViewDAQ (Figure 15.12).


15.3.1 Start Kernel from Taskbar Icon

You cannot start the SCADA Node unless a Project has been configured and Downloaded to the SCADA Node.

To Start the SCADA Node kernel locally on the SCADA Node:

7. Click the red Taskbar Icon [image] in the “System Tray”.

Figure 15.13 Taskbar Icon in System Tray

8. The Taskbar Menu appears (Figure 15.14).

9. Move the mouse over Start Kernel.

Figure 15.14 Start SCADA Node Kernel locally from Taskbar

10. Move the mouse over the Project_SCADA Node name (there can be more than one project downloaded to a SCADA Node).

11. Click with the Mouse the Project_SCADAnode name you want to start.

12. The Advantech WebAccess Icon should turn green [image].

The Taskbar Icon is Color Coded to show the State of the SCADA Node Kernel.

Note - If there is no ViewDAQ, no Start Kernel, and no Stop Kernel listed in the menu of your Taskbar Icon, then you are on a Project Node. The Advantech WebAccess Taskbar Icon is always red on the Project Node


15.3.2 Taskbar Icon Color Codes

The Advantech WebAccess Taskbar Icon is color Coded.

If the SCADA Node kernel is Stopped (off, not running) then:

· The Taskbar Icon is RED

· The menu item Stop Kernel is grayed-out (Figure 15‑11)

· The menu item Start Kernel is in black (Figure 15‑12).

If the SCADA Node kernel is Started (i.e. running, on, and communicating) then:

· The Taskbar Icon is Green [image] .

· The Menu Item Stop Kernel is black.

· The menu item Start Kernel is grayed-out

A Blue Icon on bottom with a Green Icon on Top [image] means the Script Engine has failed. This will affect Global Scripts and Email (including Alarm Emails and Pager Notification). It is recommended to Stop and Start the SCADA node.

A Blue Icon on Top with a Green Icon on bottom [image] means the Thin Client Interface has failed. This will affect users of Pocket PCs, PDAs and other Thin Client users. It is recommended to Stop and Start the SCADA node.

Both Screens Blue [image] means both the Thin Client Interface and Script Engine have Failed or have not started. It is common for both to be Blue when the SCADA Node is first started.

A Yellow Icon [image] means the SCADA node Kernel is starting or failed to start (datacore.exe has failed to start).


15.3.3 Stop kernel

As long as there is one ViewDAQ window open, the SCADA Node kernel can not be stopped locally from the Taskbar Icon (SCADA Node can always be stopped from the Project Manager).

If at least one ViewDAQ window is opened, the Stop Kernel menu item will be grayed-out in the Taskbar Menu

Figure 15.15 Stop Kernel Menu - Grayed Out if ViewDAQ open.

To stop the SCADA Node kernel locally:

1. Close all ViewDAQ Windows. An Exit Password Level may be required. If so a Popup Password Dialog box will open to exit any ViewDAQ window if the logged in user does not have the required ViewDAQ security level .

2. Click the Green Advantech WebAccess Taskbar Icon once. (Or Right Click on the Taskbar Icon.)

3. Select Stop Kernel from the menu.

Note- if Stop Kernel is grayed-out, there is still a ViewDAQ window open.

4. The Taskbar Icon should turn RED.


15.4 Start ViewDAQ

You cannot Start ViewDAQ unless a Project has been configured and Downloaded to the SCADA Node AND the SCADA Node Kernel is started.

There are two ways to start ViewDAQ locally on the SCADA Node:

  • Double Click Taskbar Icon

  • Click Taskbar Icon to open a Menu to Start ViewDAQ


15.4.1 Double Click Icon to Start ViewDAQ

1. Start the SCADA Node kernel, if it is not already started.

2. Double Click on the Green Advantech WebAccess Icon [image] in the Taskbar (System Tray) next to the clock to open the Taskbar Icon.

3. Welcome to ViewDAQ appears without Toolbars (Figure 15.16).

4. Press the Enter key or Right Click the mouse to view the Main.bgr and toolbar.


15.4.2 Taskbar Menu to Start ViewDAQ

Taskbar Menu to Start ViewDAQ

1. Start the SCADA Node kernel, if it is not already started.

2. Click the Green WebAccess Icon [image] in the Taskbar (System Tray) next to the clock to open the Taskbar Icon.

Figure 15.17 Start ViewDAQ from Taskbar Menu - Combined Project/SCADA node

3. Move the Mouse to the ViewDAQ menu item.

4. Click once on ViewDAQ.

5. Welcome to ViewDAQ opens without Toolbar (Figure 15-16).

6. Right Click or Press Enter to view the Toolbar and Main.bgr

Note – if the Start-up Option in SCADA Node properties is Start Kernel and View, then ViewDAQ will start when the SCADA Node reboots.

Note 2 - If you have a SCADA node only (i.e. there is no Project node software installed on this PC) then the menu looks slightly different (there is no DrawDAQ or Download Graph). See Figure 15-17a

Figure 15-17a - Start ViewDAQ from Taskbar Menu - SCADA node only

Taskbar Menu items

Start Kernel runs the SCADA node software. See 15.3.1 Start Kernel or 2.1.5.3 Start Kernel remotely via Project Manager. Communications to field IO and controllers begin. This menu option is found on the SCADA node or a combined Project/SCADA node.

Stop Kernel stops the SCADA node software. See 15.3.3 Stop kernel . Communications to field IO and controllers stops. Alarming, data logging and reports stop. This menu option is found on the SCADA node or a combined Project/SCADA node.

ViewDAQ starts a local version of View on the SCADA node. see 15.4.2 Taskbar Menu to Start ViewDAQ. This menu option is found on the SCADA node or a combined Project/SCADA node.

DrawDAQ starts a local version on DRAW on the Project Node. See 10.2.1 Start local graphics builder - DrawDAQ . This menu option is found on the Project node or a combined Project/SCADA node.

Download Graph downloads graphics from the Project Node to SCADA nodes. See 10.2.2.6.1 Download Graphic from Task tray. This menu option is found on the Project node or a combined Project/SCADA node.

Project Home opens Internet Explorer and connects to the Project Node this node is part of using the Project Manager home page. See 2.3.3 Start WebAccess Configuration

Advantech Home opens Internet Explorer and tries to connect to the Advantech home page (www.Advantech.com).


15.5 Exit ViewDAQ

Closing ViewDAQ can be done multiple Ways:

· From File menu on the Menu Bar

· From the Windows Title Bar

· From Keyboard (Alt + F4)

· From a Pushbutton on a Display

Exit View applies only to ViewDAQ, the non-browser based version of VIEW used on the SCADA node. A web browser client can always be closed. The local non-web browser version that runs on the SCADA node can be set up to require a password to close the Advantech WebAccess Display Window.

Display Groups can be configured with an Exit Password Level. This is the Logged In User’s Level required to close VIEWDAQ or to close a Display Group. This feature prevents operators from closing the Control System Window. Further, Advantech WebAccess cannot be shutdown from the local taskbar if at least one ViewDAQ window is open.

If an Exit Password Level is configured for the ViewDAQ Display Group, a pop-up dialog box appears requesting a user name and password, with the security level required to close the ViewDAQ window (The Level is configurable, the Area is always 127).

Figure 15.5 - Password Dialog Box - Exit ViewDAQ
user configurable Security Level (15)

Note - an administrator or user logged in with the security level for ViewDAQ required to close the display window will not be prompted to log in.


15.5.1 Exit from Menu Bar

If the menu bar is enabled, select:

File -> Exit

Figure 15.18 - Exit ViewDAQ from Menu Bar


15.5.2 Exit from Windows Title Bar (Close Window)

If the Windows Title Bar is enabled, click on the X at the top right of the Window.

Figure 15.19 Windows Title Bar CLOSE WINDOW

This is the same way you close windows programs.

It is possible the Display Group is configured to hide the Windows Title Bar (Popup Window Without Title).


15.5.3 Close ViewDAQ Groups

The Display Group menus can also be used to close ViewDAQ.

From Menu Bar or Right Click Menu, select any of the following:

· File -> Close ViewDAQs -> Close All ViewDAQs

· File -> Close ViewDAQs -> Close Current ViewDAQ Group

· File -> Close ViewDAQs -> Close Current ViewDAQ Group and Dependant

Figure 15.20 Close ViewDAQ Groups


15.5.4 Download or Stop from Project Manager

A using Download or Stop in Project Manager will shutdown Advantech WebAccess even if a ViewDAQ window is open that requires an exist password. Only a user assigned the Administrator or Project User can execute a remote Download or Stop.


15.6 Right Click Menu

Right Click (VIEW) = Menu Bar (ViewDAQ)

The biggest difference in ViewDAQ is that the Right Click Menus for Reports, ZOOM, and Printing et al are moved to the Menu Bar.

Figure 15-21 ViewDAQ Menu bar - GOTO

The Toolbar executes similar functions as the Right Click Menu. The Function keys of the Keyboard also execute similar functions. Figure 15-33 shows a Toolbar “mapped” to function keys (Red = Ctrl , Blue = Shift).

Figure 15-34 VIEW Right Click Menu -GOTO

The File submenu allows users to Open a Display Group, Close a Display Group, Print and Exit (i.e. close Internet Explorer).


15.6.1 Right Click (VIEW) = Menu Bar (ViewDAQ)

The biggest difference in ViewDAQ is that the Right Click Menus for Reports, ZOOM, and Printing et al are moved to the Menu Bar.

Figure 15-21 ViewDAQ Menu bar - GOTO


15.6.2 Right Click ViewDAQ = File & View Menus

The Right Click Menu in ViewDAQ is a combination of the File menu and View Menu from the menu bar.

Use the mouse to Right Click anywhere in the main ViewDAQ window.

Figure 15-22 ViewDAQ Right Click Menu

Features are grayed-out if the Logged In user does not have access, the mode is already selected, or there is no history in the Display queue.


15.6.3 Access Display Groups if menu bar hidden

If the menu bar is hidden, the Right Click Menu allows access to Display Groups.

Figure 15-24 Right Click - ViewDAQ


15.6.4 Disable Right Click Menu

15.6.4 Disable Right Click Menu in ViewDAQ & View

To Disable the Right-Click menu in ViewDAQ and or VIEW, you must modify the bwclient.ini file on each PC located at drive:\WebAccess\Client . The following lines should be added:

[popupmenu]

disabled=1

The bwclient.ini must be manually copied to or edited on each Client PC or SCADA Node.

The Right Click Menu in ViewDAQ allows a user to try and close the ViewDAQ window. As long as ViewDAQ is running, the SCADA Node cannot be stopped by the local user. This one reason you may want to Disable the Right Click menu.

The Right Click menu also allows a user to modify the size, clipping mode and open other ViewDAQ or even create them.

Use the mouse to Right Click anywhere in the main ViewDAQ window.

Figure 15-22 ViewDAQ Right Click Menu

The Right Click Menu allows display navigation in VIEW providing a function similar to the Toolbar.

Figure 15-34 VIEW Right Click Menu -GOTO

See also, 15.12.4 Hide Toolbar, 15.12.3 Hide Menu Bar, 15.13.3 Exit Password Level, 16.1.1.2 Toolbar


15.7 Create a new Display Group

Define a new name for the display group:

1. Start ViewDAQ.

2. Login as a Power User or admin. From the Menu bar select

File -> Login

3. Enter User name and password.

4. From Menu bar select

View -> ViewDAQ Options -> ViewDAQ Definition

Figure 15-25 View Menu - ViewDAQ Definition

5. In the dialog Box, give it a new name. Main is the default, if you use main for your new name you will make all windows appear like this.

Figure 15-26 ViewDAQ Definition

6. Enter a Display Group Name.

7. Optionally Enter ViewDAQ Name and Title, these will appear on the Title Bar.

8. Press OK

9. Save this new Display Group

From Menu bar

File -> Save ViewDAQ -> Save ViewDAQ in Display Group

Figure 15-27 File Menu - Save ViewDAQs

Figure 15-28 Save Display Group to defined Name

10. Pick the name of the new display group you just defined. If there is more than one Display Group, the list will be larger.

11. Press OK.

12. Confirm the name of the DSP file.

12. Press OK.

This will now be available to open, in ViewDAQ from the menu bar or from Pushbutton Keymacros.


15.8.1 Open Display Group from Menu Bar

1. From Menu bar, select

File -> Open Display Group -> New Display Group

Figure 15.29 Open New Display Group

Figure 15.30 Open New Display Group List

2. Pick the display group from the List. This will Close your existing Window and open a new Window with the features saved. For the example above, SCROLL.DSP will have a scroll bar don the side.

Note that the other ways to open a Display group is with a user built pushbutton or script or Right Click Menu.


15.8.2 Open Display Group from Right Click Menu

1. Right Click -> Open Display Group -> New Display Group.

2. Display Group List Dialog Box Opens (Figure 15‑30).

3. Select The Display Group.


15.8.3 Open Display Group from Pushbutton

Start DRAW, the graphics builder.

1. Add a pushbutton ( Dynamic -> Pushbutton) to any graphic display.

The Keymacro Command <DSPNEW>@SCROLL.DSP will also open a display group window configured in the above example.

2. Build a Display Group in ViewDAQ

3. Open ViewDAQ (from the Taskbar ICON on the SCADA node)

4. Select the Graphic Display you added the pushbutton to (F9)

5. Press the Pushbutton with the mouse or pointing device.


15.8.4 Popup Display Group

Popup Display Group will open the new display group without closing the original.

The pushbutton keymacro to open a popup is
<DSPPOPUP>@name.DSP


15.8.5 Popup Dependant Display Group

Popup Dependant Display Group will open the new display group without closing the original that is always on top of the original Window. Closing the original window will close the dependant popup also.

A Dependant Display is “Always on Top” of the parent display Window.

The pushbutton keymacro to open a Dependant is <DSPPOPUPDEP>@name.DSP

1. Open a Dependant Window. From menu bar select:

File -> Open Display Group -> Popup Dependant Display Group

2. The Display Group List Opens. Select a Display Group.


15.9 Close ViewDAQ Groups

The Display Group menus can also be used to close ViewDAQ.

From Menu Bar or Right Click Menu, select any of the following:

· File -> Close ViewDAQs -> Close All ViewDAQs

· File -> Close ViewDAQs -> Close Current ViewDAQ Group

· File -> Close ViewDAQs -> Close Current and Dependant ViewDAQs

Figure 15.31 Close ViewDAQ Groups

Close ViewDAQs in Display Group… Pops open a Dialog Box with a List of opened ViewDAQ groups. Allows users to close the ViewDAQ by name.

Close All ViewDAQs This closes all ViewDAQ windows from a single button click.

Close Other ViewDAQ Groups This closes the all other ViewDAQ groups except the one you are using to perform this command.

Close Current ViewDAQ Groups This closes the current “family” of Display Groups from a single button click. Dependants opened will remain open.

Close Current and Dependant ViewDAQs This closes the current “family” of Display Groups from a single button click including. Dependants either saved with the Display grouped or opened using Popup Dependant.

Close Dependant ViewDAQs Use this option to get rid of Windows that are blocking your view. Dependants are “always on top”.

Exit Password Level applies to all except the above except Close Dependant.


15.9.1 Close ViewDAQs in Display Group…

Pops open a Dialog Box with a List of opened Display Groups. Allows you to close the ViewDAQ by name.

Figure 15.32 Display Group List

To close a Display Group by name:

1. Select File from the Menu Bar (Figure 15.31) or Right Click (Figure 15.23)

2. Select Close ViewDAQs -> Close ViewDAQs in Display Group.

3. From the Display Group List (Figure 15.32) select the name of the Display Group to close

4. Select OK.

If two Display Groups with the same name are opened (e.g. main opened multiple times) all ViewDAQ windows with the selected name will be closed. All dependants to the named Display group will be closed (this includes dependants saved with the group and any Display group opened using Open Dependant).

If Exit Password is configured for the selected display group, the Display Group will close only if Logged In user has the ViewDAQ security level greater or equal to that configured for Exit Password Level. Otherwise a popup password dialog box will request new User Name and Password to login with the Security Level required listed.


15.9.2 Close All ViewDAQs

This closes all ViewDAQ windows from a single button click.

To Close All ViewDAQs:

1. Select File from the Menu Bar (Figure 15‑31) or Right Click (Figure 15‑23)

2. Select Close ViewDAQs -> Close All ViewDAQs.

If Exit Password is configured for any opened display group, the Display Group will close only if Logged In user has the ViewDAQ security level greater or equal to that configured for Exit Password Level. Otherwise a popup password dialog box will request new User Name and Password to login with the Security Level required listed.


15.9.3 Close Other ViewDAQ Groups

This closes the all other ViewDAQ groups except the one you are using to perform this command. The current “family” of Display Groups remains open. The current window’s Dependants will remain open (this includes dependants saved with the group and any Display group opened using Open Dependant). Will close another independent Display group with the same name.

To Close Other ViewDAQ Groups:

1. Select File from the Menu Bar (Figure 15‑31) or Right Click (Figure 15‑23)

2. Select Close ViewDAQs -> Close Other ViewDAQ Groups.

If Exit Password is configured for any other opened display group, the Display Group will close only if Logged In user has the ViewDAQ security level greater or equal to that configured for Exit Password Level. Otherwise a popup password dialog box will request new User Name and Password to login with the Security Level required listed.


15.9.4 Close Current ViewDAQ Groups

This closes the current “family” of Display Groups from a single button click. Dependants opened will remain open (this includes dependants saved with the group and any Display group opened using Open Dependant). Will not close another independent Display group with the same name.

To Close Current ViewDAQ Groups:

1. Select File from the Menu Bar (Figure 15‑31) or Right Click (Figure 15‑23)

2. Select Close ViewDAQs -> Close Current ViewDAQ Groups.

If Exit Password is configured for current display, the Display Group will close only if Logged In user has the ViewDAQ security level greater or equal to that configured for Exit Password Level. Otherwise a popup password dialog box will request new User Name and Password to login with the Security Level required listed.


15.9.5 Close Current and Dependant ViewDAQs

This closes the current “family” of Display Groups from a single button click. All dependants to the named Display group will be closed (this includes dependants saved with the group and any Display group opened using Open Dependant). Will not close another independent Display group with the same name.

To Close Current ViewDAQ Groups:

1. Select File from the Menu Bar (Figure 15‑31) or Right Click (Figure 15‑23)

2. Select Close ViewDAQs -> Close Current ViewDAQ Groups.

If Exit Password is configured for current Display group, the Display Group will close only if Logged In user has the ViewDAQ security level greater or equal to that configured for Exit Password Level. Otherwise a popup password dialog box will request new User Name and Password to login with the Security Level required listed..


15.9.6 Close Dependant ViewDAQs

Use this option to get rid of Windows that are blocking your view. Dependants are “always on top”.

This closes only the dependant popups to the current “family” of Display Groups from a single button click. All dependants to the named Display group will be closed (this includes dependants saved with the group and any Display group opened using Open Dependant). Will not close dependant from another independent Display group.

To Close Dependant ViewDAQ Groups:

1. Select File from the Menu Bar (Figure 15‑31) or Right Click (Figure 15‑23)

2. Select Close ViewDAQs -> Close Current ViewDAQ Groups.

Will close all dependents even is Exit Password is Configured for a dependant window.


15.10 Save ViewDAQs

To Save a ViewDAQ (i.e. to create a new Display Group) a user must have the ViewDAQ level of 127 in User Properties. If the user’s ViewDAQ level is less than 127, Save ViewDAQ will be grayed-out in the File Menu.

Note - these commands are available in ViewDAQ, not web browser VIEW.

Figure 15.33 Save ViewDAQ grayed-out if User Security Level, 127 for ViewDAQ

To create a new ViewDAQ Display Group (the most common method):

1. Login as a User with ViewDAQ level=127 (admin has this level).

2. Open and position the Multiple ViewDAQ Windows as desired. Double Click the Taskbar Icon to open a new ViewDAQ window or use Open ViewDAQ from menu bar. Open the appropriate Graphic Display in each.

3. Use Style Options and Window Options to hide menu bars, toolbars, etc.

4. Optionally, use ViewDAQ Options to define exit password level, give new titles and individual names to the windows.

5. Select from the menu bar File-> Save ViewDAQ –> Save All ViewDAQ Groups. (Or Right Click Menu -> Save ViewDAQ –> Save All ViewDAQ).

Figure 15.34 Right Click Menu - Save All ViewDAQs

6. Enter the Name for your Display Group in the popup Dialog Box.

Figure 15.35 Save All ViewDAQ Name Dialog Box

Note- main.dsp is the ViewDAQ that opens when the Node Starts or the Taskbar Icon is double clicked. You will re-define the default window started by Advantech WebAccess if you name your ViewDAQ as Main.dsp. Use this opportunity to rename the display group you are saving if you do not want to redefine the default Window that opens when ViewDAQ starts.

7. Select OK.

The options for Save ViewDAQs:

Modify or Copy an existing Display Group by name, use Save ViewDAQ in Display Group. Use this option when multiple display Groups are opened, but you want to save only one of them.

Save all opened View DAQ windows is the easiest to use: Save All ViewDAQ Groups.

Save every other window except the one window that you are using (Save Other ViewDAQ Groups).

Save the Single Display window you are using, when multiple windows are open: Save Current ViewDAQ Group. This allows you to “break” a window away from a multi-window display group.

Save a Single Display Window and its dependant Windows (Save Current and Dependant ViewDAQs).

Save only the dependant windows of the Current Window (Save Dependant ViewDAQs).

Note - Dependant Windows are those opened using Popup Dependant. These Dependents are always on top of their parent and close when the parent closes.

You can also Save display groups by copying the *.DSP file of an existing display group, renaming it and editing it with notepad. The display groups are files in the C:\Advantech WebAccessNode\project_node subdirectory with the *.DSP file extension (and can be edited with a text editor).


15.10.1 Save ViewDAQ in Display Group

Modify or Copy an Opened Display Group with this option. Also, use this option to save an opened ViewDAQ Display Group by name. A dialog box opens showing opened display groups. Select the Display group to be saved.

This option is used when multiple display groups are opened, but when you want to save changes to only one display group.

This option is also used to Copy a display group, by entering a new name when saving it.

Only Display groups of the selected name are saved. Display Groups defined with other names are ignored.

Caution, all opened display groups with the same name chosen from the list are saved. If multiple windows with the same display group name are opened, the display group is redefined to have multiple windows. (I.e. if Main is opened twice, the new main will include two windows). Dependants of the named window are also saved (if they are open).

“Save ViewDAQ in Display Group” will save position or size of all windows, the display name opened in each window, exit password levels, new titles. Only the opened windows of the original display group are saved.

Note - these commands are available in ViewDAQ, not web browser VIEW.

To Save or Copy a Display Group that is opened on the Screen:

1. Modify the size, position, and displayed graphic in each window.

2. Optionally, use Style Options and Window Options to hide menu bars, tool bars, etc.

3. Optionally, use ViewDAQ Options to define exit password level, give new titles and rename the windows.

4. Login and a user with ViewDAQ Security Level = 127

5. Select from the menu bar File->Save ViewDAQs -> Save ViewDAQ in Display Group…

Figure 15.36 Save or Copy opened ViewDAQ Group by Name

a. (Or from Right Click Menu -> Save ViewDAQs -> Save ViewDAQ in Display Group…)

6. Select the name from the Popup Dialog box of the display group to be saved.

Figure 15.37 Save ViewDAQ Name List

Note – the first time, there will probably be only one display group listed: main.

7. You can optionally rename the display group from this Display Group File Dialog Box.

Figure 15.38 Optionally, Rename the Display Group

Note -main.dsp is the ViewDAQ that opens when the Node Starts or the Taskbar Icon is double clicked. You will re-define the default window started by Advantech WebAccess if you name your ViewDAQ as Main.dsp. Use this opportunity to rename the display group you are saving if you do not want to redefine the default Window that opens when ViewDAQ starts.

8. Select OK to accept the name for Display Group File.

Note -This file name will appear in the C:\Advantech WebAccessNode\project_node subdirectory with the *.DSP file extension (and can be edited with a text editor).

9. If the DSP file exists, a dialog box will open. If you are uncertain, select Cancel.

Figure 15.39 Overwrite appears only if the file already exists on the hard drive.

10. Select OK to overwrite the file.


15.10.2 Save All ViewDAQ Groups

Save All ViewDAQ Groups is the easiest to use and understand. It saves every opened window in the display group you are using or in a new display group by entering a new name for the group.

If you have multiple display groups opened, but want to save them all into one particular display group, execute the Save All ViewDAQ Groups from a window that is part of the display group you want all the windows added to. Alternatively, you can type that name in the Group File Dialog Box.

Note - these commands are available in ViewDAQ, not web browser VIEW.

To create, modify or copy a new ViewDAQ Display Group:

1. Login as a User with ViewDAQ security level=127 (admin has this level).

2. Open and position the Multiple ViewDAQ Windows as desired. Double Click the Taskbar Icon to open a new ViewDAQ window or use Open ViewDAQ from menu bar. Open the appropriate Graphic Display in each.

3. Use Style Options and Window Options to hide menu bars, toolbars, etc.

4. Optionally, use ViewDAQ Options to define exit password level, give new titles and individual names to the windows.

5. Select from the menu bar File-> Save ViewDAQ –> Save All ViewDAQ Groups. (Or Right Click Menu -> Save ViewDAQ –> Save All ViewDAQ).

Figure 15.40 Save All ViewDAQs

6. Enter the Name for your Display Group in the popup Dialog Box.

Figure 15.41 Save All ViewDAQ Name Dialog Box

Note- main.dsp is the ViewDAQ that opens when the Node Starts or the Taskbar Icon is double clicked. You will re-define the default window started by Advantech WebAccess if you name your ViewDAQ as Main.dsp. Use this opportunity to rename the display group you are saving if you do not want to redefine the default Window that opens when ViewDAQ starts.

7. Select OK.

8. If the DSP file exists, a dialog box will open. If you are uncertain, select Cancel.

Figure 15.42 Overwrite appears only if the file already exists on the hard drive.

9. Select OK to overwrite the file.


15.10.3 Save Other ViewDAQ Groups

Save every other window except the one window that you are using with Save Other ViewDAQ Groups.

This option most commonly used to create a multi-window dependant popups. Open and position all the windows to be used as pop-ups in relation to your parent window. The use this option to save just windows to be used as popups.

This option will save position or size of all windows (except the display group you are executing this command from), the display name opened in each window, exit password levels, new titles, etc.

Note - these commands are available in ViewDAQ, not web browser VIEW.

To Save Other ViewDAQ Display Groups opened on the Screen:

1. Open the Parent Window.

2. Open the windows to be used as popups around or over the parent using open Display Group or by double clicking the taskbar icon.

Note – if you use Open Dependant, these are considered part of the parent and not an “other” display group. If you want to save the opened dependants of this group, use either Save Current and Dependant ViewDAQs or Save Dependant ViewDAQs.

3. Modify the size, position and displayed graphic in each window.

4. Optionally, use Style Options and Window Options to hide menu bars, tool bars, etc.

5. Optionally, use ViewDAQ Options to define exit password level, give new titles and rename the windows.

6. Login and a user with ViewDAQ Level = 127

7. From the window that will be the parent, select from the menu bar
File->Save ViewDAQs -> Save Other ViewDAQ Groups

Figure 15.43 Save Other ViewDAQ Groups

a. (Or from Right Click Menu -> Save ViewDAQs -> Save Other ViewDAQ Groups)

8. The name of the last display group opened appears in the Save Other Display Group Dialog Box.

Figure 15.44 Rename and Save Other Display Groups to be used as popups

9. You can optionally rename the display group in this Display Group File Dialog Box.

10. Select OK to accept the name for Display Group File.

11. This file name will appear in the C:\Advantech WebAccessNode\project_node subdirectory with the *.DSP file extension (and can be edited with a text editor).

12. If the DSP file exists, a dialog box will open. If you are uncertain, select Cancel.

13. Select OK to overwrite the file.


15.10.4 Save Current ViewDAQ Group

Save the Single Display window you are using, when multiple windows are open using Save Current ViewDAQ Group. This allows you to “break” a window away from a multi-window display group.

This option will save position or size of one window. The display name opened the window, exit password level, title and other options of only the window you are executing this command from will be saved in a single window display group. Other opened windows are ignored.

Note - these commands are available in ViewDAQ, not web browser VIEW.

To save a single window into a Display Group:

1. Modify the size, position, and displayed graphic in the window.

2. Optionally, use Style Options and Window Options to hide menu bars, tool bars, etc.

3. Optionally, use ViewDAQ Options to define exit password level, give new title and rename the window.

4. Login and a user with ViewDAQ Level = 127

5. Select from the menu bar File->Save ViewDAQs -> Save Current ViewDAQ Group

Figure 15.45 Save Current Display Group creates a single window group

a. Alternatively, from Right Click Menu -> Save ViewDAQs -> Save Current ViewDAQ Group.

6. The name of the Display Group this window is part of appears. If you are changing a multi-window display group into a single window display group, then accept this name. If you do not want to modify the original display group, enter a new name.

Figure 15.46 optionally rename your display group here.

7. You can optionally rename or copy the display group in this Display Group File Dialog Box.

8. Select OK to accept the name for Display Group File.

9. This file name will appear in the C:\Advantech WebAccessNode\project_node subdirectory with the *.DSP file extension (and can be edited with a text editor).

10. If the DSP file exists, a dialog box will open. If you are uncertain, select Cancel.

11. Select OK to overwrite the file.

Note - these commands are available in ViewDAQ, not web browser VIEW.


15.10.5 Save Current and Dependant ViewDAQs

Save a Single Display Window and its opened dependant Windows with Save Current and Dependant ViewDAQs. When this display group is opened, all the dependants will open. When the parent is closed, all dependants will close. This includes the parent that is part of the saved display group. Each dependant can be closed individually.

Note - Dependant Windows are those opened using Popup Dependant. These Dependents are always on top of their parent and close when the parent closes

1. Open the Parent Window. If the parent window already has dependants windows, they will open also.

2. Open the additional dependant windows you want to add to this group using
File -> Open Display Group -> Popup Dependant Display Group.

a. Or Right Click -> Open Display Group -> Popup Dependent Display Group

Note – if you use Open Display Group, these are considered “other” display groups and not dependant.

3. Modify the size, position and displayed graphic in each window.

4. Optionally, use Style Options and Window Options to hide menu bars, tool bars, etc.

5. Optionally, use ViewDAQ Options to define exit password level, give new titles and rename the windows.

6. Login and a user with ViewDAQ Level = 127

7. From the window that will be the parent, select from the menu bar
File->Save ViewDAQs -> Save Current and Dependant ViewDAQs

Figure 15.47 Save Current and Popup Dependants

a. (Or from Right Click Menu -> Save ViewDAQs -> Save Current and Dependant ViewDAQs)

8. The name of the last display group opened appears in the Save Current and Dependant Display Group Dialog Box.

Figure 15.48 Rename and Save Display Groups to be used as popups

9. You can optionally rename the display group in this Display Group File Dialog Box.

10. Select OK to accept the name for Display Group File.

11. This file name will appear in the C:\Advantech WebAccessNode\project_node subdirectory with the *.DSP file extension (and can be edited with a text editor).

12. If the DSP file exists, a dialog box will open. If you are uncertain, select Cancel.

13. Select OK to overwrite the file.

Note - these commands are available in ViewDAQ, not web browser VIEW.


15.10.6 Save Dependant ViewDAQs

Save only the opened dependant windows of the Current Window with Save Dependant ViewDAQs. When this display group is opened, all dependants will open. The dependants can be closed individually.

Note - Dependant Windows are those opened using Popup Dependant. These Dependents are always on top of their parent and close when the parent closes.

1. Open the Parent Window. If the parent window already has dependants windows, they will open also.

2. Open any additional dependant windows you want to add to this group using
File -> Open Display Group -> Popup Dependant Display Group.

a. Or Right Click -> Open Display Group -> Popup Dependent Display Group

Note – if you use Open Display Group, these are considered “other” display groups and not dependant.

3. Modify the size, position and displayed graphic in each window.

4. Optionally, use Style Options and Window Options to hide menu bars, tool bars, etc.

5. Optionally, use ViewDAQ Options to define exit password level, give new titles and rename the windows.

6. Login and a user with ViewDAQ Level = 127

7. From the window that will be the parent, select from the menu bar
File->Save ViewDAQs -> Save Dependant ViewDAQs

Figure 15.49 Save Dependant ViewDAQ Groups

b. (Or from Right Click Menu -> Save ViewDAQs -> Save Dependant ViewDAQs)

8. The name of the last display group opened appears in the Save Current and Dependant Display Group Dialog Box.

9. You can optionally rename the display group in this Display Group File Dialog Box.

10. Select OK to accept the name for Display Group File.

11. This file name will appear in the C:\Advantech WebAccessNode\project_node subdirectory with the *.DSP file extension (and can be edited with a text editor).

12. If the DSP file exists, a dialog box will open. If you are uncertain, select Cancel. Select OK to overwrite the file.

Note - these commands are available in ViewDAQ, not web browser VIEW.


15.11 Style Options

Style Options allow you to control the Minimize, Maximize, Close, Hide and Window Reposition controls including:

· Hide the Minimize, Maximize, and Close buttons
on the top right of the Windows Title Bar (Popup with Title).

· Hide the Windows Title Bar completely (Popup without Title).

· Use standard Windows Title Bar with Minimize, Maximize, Resize and Close buttons [image] (Overlapped Window with Title).

Figure 15.50 Title Bar

The Title Bar is the top most bar on the ViewDAQ Window. At the top left, it has a Title (which can be re-defined using ViewDAQ Definition). The Style Options allow you to hide the buttons and the Title bar itself.

Figure 15.51 Style Options – ViewDAQ

To change the Style Options of a ViewDAQ Window:

1. Login as a user with ViewDAQ Security level of 127.

2. From Menu Bar in ViewDAQ, select View -> Style Options. (Figure 15.51)

3. Select the desired Window Option: Popup with Title or Popup without Title (Note - Overlapped Window with Title is the default setting).

4. To create a new ViewDAQ Group with this Style see Save a new Display Group

5. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this as.


15.11.1.1 Popup with Title

Popup with Title will hide the Minimize, Maximize, and Close buttons on the top right of the Windows Title Bar.

Users will not be able to close the Window using those buttons, but can close the Window using Alt-F4, Exit from the Menu Bar or Right Click Menu.

Use this option to create a Popup Window with an informative Title (or company name) that conveys to users that this is not to be closed.

An Exit Password Level can prevent users from closing the Display Group using Alt-F4 or Exit. To Close a Display Group a user must have a ViewDAQ Security Level equal or greater than the Exit Password Level.

Remember to Save your ViewDAQ Display Group after making a change to the Title.


15.11.1.2 Popup without Title

Popup without Title will hide the Title bar completely, including the Minimize, Maximize, and Close buttons.

Users will not be able to close the Window using those buttons, but can close the Window using Alt-F4, Exit from the Menu Bar or Right Click Menu.

An Exit Password Level can prevent users from closing the Display Group using Alt-F4 or Exit. To Close a Display Group a user must have a ViewDAQ Security Level equal or greater than the Exit Password Level.

Users will be able to Move the window, unless Disable Size and Move is defined.

Remember to Save your ViewDAQ Display Group after making a change to the Title.


15.11.1.3 Overlapped Window with Title

Overlapped Window with Title is the default setting. It is a standard Windows Title bar with the Minimize, Maximize (Resize) and Close buttons.

Users can close the window with the Close button. However, an Exit Password Level can prevent users from closing the Display Group using Alt-F4 or Exit. To Close a Display Group a user must have a ViewDAQ Security Level equal or greater than the Exit Password Level.

Users can move and resize the window, unless Disable Size and Move or Disable Size is defined.

Remember to Save your ViewDAQ Display Group after making a change to the Title.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.


15.12.1 Disable Size

This will prevent the user form resizing the window.

· Minimize Button is disabled.

· Maximize button is disabled.

· “Stretching or shrinking” with the mouse is disabled.

To Disable the ability to resize or minimize the Window:

Figure 15.52 Widows Options - ViewDAQ - Right-Click Menu

1. Login as a user with ViewDAQ Security level of 127.

2. From the Right Click Menu select Window Options -> Disable Size.

3. OR From Menu Bar in ViewDAQ, select
View -> Window Options -> Disable Size.

4. To create a new ViewDAQ Group with this Style see Save a new Display Group

5. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this change.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.

Note - these commands are available in ViewDAQ, not web browser VIEW.


15.12.2 Disable Size and Move

This will prevent the user form resizing the window.

· Minimize Button is disabled.

· Maximize button is disabled.

· “Stretching or shrinking” with the mouse is disabled.

· Move or reposition the Window on the screen

To Disable the ability to move, reposition, resize or minimize the Window:

1. Login as a user with ViewDAQ Security level of 127.

2. From the Right Click Menu select Window Options -> Disable Size and Move (Figure 15‑52).

a. OR From Menu Bar in ViewDAQ, select
View -> Window Options -> Disable Size and Move.

3. To create a new ViewDAQ Group with this Style see Save a new Display Group

4. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this change.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.

Note - these commands are available in ViewDAQ, not web browser VIEW.


15.12.3 Hide Menu Bar

This will Hide the menu bar on the second row of the ViewDAQ window (File Edit View Goto Tools Help).

Figure 15.53 Menu Bar - ViewDAQ

The Right Click menu can still be used to access many of the functions from the menu bar.

To Hide the Menu Bar:

1. Login as a user with ViewDAQ Security level of 127.

2. From the Right Click Menu select Window Options -> Hide Menu Bar (Figure 15.52).

a. OR From Menu Bar in ViewDAQ, select
View -> Window Options -> Hide Menu Bar.

3. To create a new ViewDAQ Group with this Style see Save a new Display Group

4. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this change.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.

Note - these commands are available in ViewDAQ, not web browser VIEW.


15.12.4 Hide Toolbar

This will hide the Toolbar of Pushbuttons on the third row of the ViewDAQ window (F1, F2, F3, F4, etc in the example).

The Function Keys on the keyboard can still be used to access many of the functions from the Tool Bar (F1, F2, Shift+F1, Ctrl + F5, etc.). To disable the Function use Disable Goto.

To Hide the Toolbars:

1. Login as a user with ViewDAQ Security level of 127.

2. From the Right Click Menu select Window Options -> Hide Toolbar (Figure 15‑52).

a. OR From Menu Bar in ViewDAQ, select
View -> Window Options -> Hide Toolbar.

3. To create a new ViewDAQ Group with this Style see Save a new Display Group

4. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this change.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.

Note - these commands are available in ViewDAQ. See 16.1.1 View Property for web browser VIEW.


15.12.5 Hide Status Bar

This will hide the Status Bar at the bottom of the ViewDAQ window including the Status Bar alarms and Mouse Highlight preview of Tag description, span, pushbutton keymacros and trend crosshairs.

The Function Keys on the keyboard can still be used to access many of the functions from the Tool Bar (F1, F2, Shift+F1, Ctrl + F5, etc.). To disable the Function use Disable Goto.

To Hide the Toolbars:

1. Login as a user with ViewDAQ Security level of 127.

2. From the Right Click Menu select Window Options -> Hide Status Bar (Figure 15‑52).

a. OR From Menu Bar in ViewDAQ, select
View -> Window Options -> Hide Status Bar.

3. To create a new ViewDAQ Group with this Style see Save a new Display Group

4. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this change.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.

Note - these commands are available in ViewDAQ. See 16.1.1 View Property for web browser VIEW.


15.13 ViewDAQ Options

ViewDAQ options are used to customize the local, non web browser version. By creating new Display Groups, changing the Title (e.g. add your company name), and prevent ordinary users from closing ViewDAQ display or stopping the kernel locally.


15.13.1 Disable Goto

This will disable the GOTO functions to GOTO another graphic display, trend, alarms summary, display list, et al including:

· Disable the Menu bar GOTO

· Disable the Toolbar Pushbuttons

· Disable the Function Keys on the keyboard (F1, F2, Shift+F1, Ctrl + F5, etc.).

To disable the Toolbars, Menu Bar GOTO, and Function Keys:

1. Login as a user with ViewDAQ Security level of 127.

2. From the Right Click Menu select ViewDAQ Options -> Disable Goto (Figure 15‑52).

a. OR From Menu Bar in ViewDAQ, select
View -> ViewDAQ Options -> Disable Goto.

3. To create a new ViewDAQ Group with this Style see Save a new Display Group

4. Otherwise, to save to an existing ViewDAQ Group:

a. Select File -> Save ViewDAQs in Display Group

b. From Dialog Box, select name of the ViewDAQ to save this change.

These changes apply only to the saved Display Group. You must repeat this procedure for any other display groups you want this change to apply.


15.13.2 ViewDAQ Definition

Use ViewDAQ Definition to add your company name to the Title of the ViewDAQ Window or informative descriptions of the functions of a multiple window Display Group.

The most common use of ViewDAQ Definition is to name a new Display Group as it will appear in Dialog Boxes or to call it with a keymacro before you Save the new Display Group.

Figure 15-54 ViewDAQ Title

Figure 15-55 ViewDAQ Definition

Display Group Name

Display Group Name appears in the Open Display Group Dialog boxes and is used by the <CLOSEDSP> keymacro and <DSPNEW>, <DSPPOPUP> and <DSPOPUPDEP> key macros. The Display Group refers to the group of multiple windows. The %DEFAULT is "untitled".

ViewDAQ Name

The ViewDAQ is an individual window that is part of the group of windows. The ViewDAQ Name is used by the <CLOSEDSP> keymacro. The %DEFAULT is "main".

ViewDAQ Title

ViewDAQ Title is informational only. The %DEFAULT is "Advantech ViewDAQ 001" numbered sequentially if multiple ViewDAQ are opened.

Dynamic Display Name

Dynamic Display Name is used to match one of the special Display Groups ($taghili.dsp, $tagpick.dsp, $blockhili.dsp and $blockpick) to a ViewDAQ window when there are multiple ViewDAQ windows opened.

To Define a Display Group, open that display group or create a display group, then follow these steps.

1. From Menu bar select

File -> View -> ViewDAQ Options -> ViewDAQ Definition

OR

Right Click ->ViewDAQ Options -> ViewDAQ Definition

2. In the dialog Box, enter Display Group Name (SCROLL in the example). Main is the default, if you use main for your new name you will make all windows appear like this new ViewDAQ. In the dialog Box, enter Display Group Name (SCROLL in the example). Main is the default, if you use main for your new name you will make all windows appear like this new ViewDAQ.

3. Optionally Enter ViewDAQ Name and Title, these will appear on the Title Bar.

If there are multiple Windows in the same Display Group, the ViewDAQ Name can be different for each Window.

4. Press OK

5. Save this new Display Group.

From Menu bar:

File -> Save ViewDAQ -> Save ViewDAQ in Display Group…

OR from Right-Click Menu -> Save ViewDAQ in Display Group…

6. Select the name of the Display Group you defined (in the example, SCROLL).

7. Select OK.

Note - these commands are available in ViewDAQ, not in web browser VIEW.


15.13.3 Exit Password Level

Exit Password Level requires the user to have a ViewDAQ Level greater or equal to the Password Level defined here.

The primary use of the Exit Password Level is to:

· Prevent users from closing all control windows (in ViewDAQ only).

· Prevent users from Stopping the SCADA Node Kernel (see 15.3.3 Stop kernel).

If there is at least one ViewDAQ Window open, the user can not stop the kernel locally. (The Project Manager can always stop the SCADA Node).

If a user tries to close a ViewDAQ window with an Exit Password Level higher than the ViewDAQ Level assigned to the user, a Password Dialog Box opens requesting a username and password with the Level required. Level 127 is admin level and can close all ViewDAQ. Lower levels can be assigned.

Note - web browser VIEW clients can always close the web browser VIEW..

1. Login to ViewDAQ as a Power User or admin.

2. From ViewDAQ menu bar, select View -> ViewDAQ Options -> Exit Password Level

3. Select a Password level.

4. Press OK.

5. Save the Display Group.


15.14 'Dynamic Display

The Dynamic Displays are a special group of ViewDAQ windows that will change the display based on the Tag types (i.e. Analog, Discrete or Text) or Block Type (for example PID, VAV, CASCADE).

The 'Dynamic Display Name' field is used to match one of the special Display Groups ($taghili.dsp, $tagpick.dsp, $blockhili.dsp and $blockpick) to a ViewDaq window when there are multiple ViewDAQ windows opened.

The composite screen print below shows four ViewDAQ definitions overlaid over two regular ViewDAQ with two Dynamic Displays on the right (top and bottom).

1. The $taghili was opened, redefined and saved twice (one as top, second time as bottom).

2. These names where entered into the main ViewDAQ as the Dynamic Display name for the View2 and default ViewDAQs. This allows two $taghili to be opened and used simultaneously with different tags displayed in each $taghili.

Without using there Dynamic Display Name, highlighting a tag in one of the main ViewDAQ windows would change to the same tag in both $taghili windows.

 Currently, the user must create graphic in DRAW to use in the Dynamic Display Windows.


16. Web Deployment & VIEW

This section describes how to customize the appearance of Web Browser Clients and how users login. Topics covered include controlling the size of the web browser, allowing users to go directly to View and to a specific node, and one-click logins.


16.1 VIEW Client Options

VIEW is the web browser client that allows user to View real-time data and Control automation devices.

There are three features in Advantech WebAccess and a fourth (HTML option) to customize the appearance and behavior of VIEW in a web browser:

1) VIEW Property Link, at the top of the bwrun.asp (the default VIEW), allows users to hide the Toolbar, Caption and Status bar. View Property also allows users to enable clipping or scaling.

2) BwVIEWpg.asp allows engineers and technicians to create a hyperlink to predefine all the options in View Property, plus “One Click Login”.

BwVIEWpg allows VIEW to be called directly with either a link typed into the address bar or a hyperlink in an email or a hyperlink on an HTML or ASP page on the project node. View options allow:

· One click to connect and Login

· Directly connect to SCADA node

· Login user & password

· GOTO a Graphic Display

· Hide Toolbar

· Hide Status bar

· Hide Navigation Tree

· Hide Caption

· Enable Clipping and Scroll bars

3) GOTO URL options allow you to specify the size, position and other features of the Web Browser Window with bwViewpg.asp using KeyMacrofiles or Scripts to create pop-up windows using a web browser.

4) HTML options allow you to specify the size, position and other features of the Web Browser Window. These can be combined with bwViewpg.asp in hyperlinks on web pages you create. These are essentially the same options used by the GOTO URL Action Command and Keymacro.

The most common uses of bwVIEWpg options are to 1) Connect Directly to a specific SCADA Node in a multinode system 2) automatically login with one click 3) Hide Status Bar, Toolbar or caption.

You need to create this hyperlink somewhere for your users; options include and email, a new web page (html), a new link on a Advantech WebAccess page, or modifying a Advantech WebAccess asp page. You could also just type the address of your project node using the VIEW options below.

An Email with a hyperlink using one of the following View options would allow users to then add this new link to there favorites easily by clicking Favorites and Add to Favorites on the web browser after their first connection.

You could create a new default web page that has one of the hyperlinks with the desired view option.

You could define a new "default" document in your IIS that has a REDIRECT to a bwVIEWpg.asp with the desired options (automatic log-in, size. etc.)

Alternatively, you could modify the Bwroot.asp. Change the hyperlink to a bwViewpg.asp that includes the project name and node name.

The Live Demo shows examples of all the following added to bwroot.asp at http://www.advantech.com.cn/eAutomation/WebAccess/index.asp.


16.1.1 View Property

At the top right of the default VIEW web browser window (bwrun.asp and bwview.asp) there is a hyperlink View Property.

Figure 16.1 View Property dialog box in VIEW

Figure 16.2 Caption, Toolbar and Status Bar in VIEW – scale mode

View Property allows users to:

· Hide the Caption at the top of VIEW

· Hide the Toolbar at the top of VIEW

· Hide the Status bar at the bottom of VIEW

· Change from SCALE or CLIPPING Mode

· Specify a % display size when in Clipping Mode. (Percent of Full Screen)

Note - These are similar the View Options in Display Groups used by ViewDAQ

Figure 16.3 Scroll Bars – Clip Mode, no caption, no toolbar, no status bar - VIEW

Use bwViewpg.asp to open VIEW without the View Property and Home links.


16.1.1.1 Caption

The Caption appears at the Top of VIEW. Caption displays:

· the Project Node Name,

· SCADA Node Name and

· Graphic Display Name.

Figure 16.4 Caption in Advantech WebAccess VIEW Live Demo Project


16.1.1.2 Toolbar

The Toolbar is arrow of Buttons at the top of VIEW. The Toolbar changes for each display the user views based on Display Name or Display Type.

The Toolbar is intended to guarantee that a User or Operator can always navigate to another display and have the Pushbutton functions appropriate for the Display Type.

Engineers and Technicians can build customized Toolbars and Buttons using DRAW, the BBN and Toolbar commands. Icons can be imported to create new toolbars.


16.1.1.3 Status Bar

The Status Bar appears at the bottom of Advantech WebAccess VIEW. Status bar contains:

· Time

· Three Alarm Windows (Process, Communications and Recipe),

· Tag Name of most recent Alarm

· Display name

· Highlighted Pushbutton, Tag or Trend Crosshair Values.

The Status bar content changes based where the cursor is. It will show the Function of a Toolbar Button

Figure 16.5 Status Bar – Recipe Display

the keymacro of a user built pushbutton,

Figure 16.6 Status Bar - Pushbutton Highlighted

the tagname and span of a highlighted tag

Figure 16.7 Status bar - Highlighted Tag

or the values of the crosshairs in a real-time trend.

Figure 16.8 Status Bar - Trend values at crosshair


16.1.1.4 Clipping and Scroll Bars

With the Clip radio button checked, the Web Browser window will “Clip” off the display if it is shrunk.

The normal mode in Advantech WebAccess is SCALE, where the Display “shrinks” or “expands” to fit in the Web Browser Window.

Clipping moves the Web Browser window over the graphic display. As you shrink the web browser window, the user sees less of the Graphic Display.

Clip radio button allows user to specify a Height and Width Scaling. This is the size of the Advantech WebAccess Graphic Display as a percent of Full Screen Size.

Figure 16.9 Scroll Bars – Clip Mode, no caption, no toolbar, no status bar - VIEW


16.1.2 bwViewpg.asp

BwVIEWpg.asp, allows engineers and technicians to create a hyperlink to predefine all the options in View Property, plus “One Click Login”.

BwVIEWpg allows VIEW to be called directly with either a link typed into the address bar or a hyperlink in an email or a hyperlink on an HTML or ASP page on the project node. View options allow:

· One click to connect and Login

· Use only IP Address to connect to SCADA Node

· Directly connect to SCADA node

· Login user with password

· GOTO a Graphic Display

· Hide Toolbar

· Hide Status bar

· Hide Navigation Tree

· Hide Caption

· Enable Clipping Mode with Scroll Bars.

bwViewpg.asp combined with the GOTO URL options, allows you to create pop-up windows, by specifying the size, position and other features of the Web Browser Window using KeyMacro files or Scripts.

You combine bwViewPg options with the ampersand (&). You must specify Project and SCADA node, user and password to use the goto, toolbar, caption, status bar, and scale options.

An example hyperlink using bwViewPg.asp is:

<a href="/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&user=power&pass=power&goto=graph=1welcome.bgr&tool=0&capt=0&stat=0">

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The required options are:

proj=

&node=

&user=

&pass=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

You must specify Project and SCADA node, user and password to use the goto, toolbar, caption, status bar, and scale options.


16.1.2.1 VIEW SCADA node directly no Navigation Tree

One Project & One SCADA node

If there is only One Project and only One SCADA node, selecting VIEW from the bwroot.asp page will take the user directly to the SCADA node login. The other method is to use bwviewpg and define the name of the Project and SCADA Node.

Figure 16.10 VIEW default (bwrun.asp) - One SCADA Node, One Project - No Tree

Multiple Projects or SCADA Nodes

If there are multiple Projects or multiple SCADA nodes, a Navigation Tree appears at the left if connecting with the default VIEW connections (bwrun.asp).

Figure 16.11 VIEW (bwrun.asp) - Project Tree if multiple SCADA Nodes or Projects

To eliminate the Project Tree, used the bwVIEWpg.asp with options in a bookmark, favorite, hyperlink or modifying the default.asp on your Project Node / Web Server.

Figure 16.12 bwVIEWpg.asp - No Tree - One Click Login.

Favorites or Bookmark

Another way to View a node directly without using the navigation tree, is to use the "Favorites" or "Bookmark" feature in the Web browser. If there are multiple SCADA nodes, then this is the easiest solution. Have the user type the IP address and bwViewpg options.

ipaddress/broadweb/system/bwviewpg.asp?proj=PROJECT_NAME&node=NODE&capt=0&stat=0

A similar method is to end an email with a Hyperlink with the bwviewpg and view options. The user could then add this to his Favorites or save as Home Page.

To see an example click the following hyperlink in this email to view the USA demo. You must be on the Internet for the example to work.

http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

Hyperlinks

A third method to take users directly to a SCADA node is to add a hyperlink to a web page.

<a href="/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1">

Assumes your project name is LIVEDEMO
and your node name is SCADANODE1.
Assumes you are modifying an html page or asp page in wwwroot/broadWeb.

There are No Blank Spaces in the option string after the question mark (?).

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

Modify the default page

The fourth method is to modify the web site and create a new Default page in wwwroot with a REDIRECT command to open BWVIEWPG with the desired options. There is a variety of ways, but below is one set of steps to enable the desired VIEW to open by just typing the IP address of the Advantech WebAccess system.


16.1.2.2 IP Address opens VIEW directly - using default.asp

1. Copy Default.asp as View.asp (or any name you want). We recommend using a new name for a default page so that a future installation or update of Advantech WebAccess will not overwrite you new default page.

2. Edit View.asp with Notepad or an html editor

3. Change the redirect to

<%

Session.Timeout = 1440

Response.Redirect("./broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&capt=0&stat=0" )

%>

a. Replace LIVEDEMO with your project name

b. Replace SCADANode1 with your project name

4. The SAVE this View.asp

5. In Internet Service Manager, change the add View.asp to the default document search order (top of the list)

When users enter just an IP address, they will open VIEW connected to the Project and SCADA node you defined in the bwviewpg.asp options.

You must make some provision for engineers. With the above modification, an engineer would need to type ipaddress/default.asp to be able to login.

One alternative is to move the default.asp to a subdirectory in wwwroot called ENGR. Then, edit the redirect for correct path (i.e. add a .. to the redirect).

<%

Session.Timeout = 1440

Response.Redirect("../broadWeb/bwRoot.asp?username=admin")

%>

typing ipaddress/ENGR would allow engineers to see the old login choice.


16.1.2.3 Login to VIEW with “One click”

<a href="">

Assumes your user name is power
and your password is power.

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The options are:

proj=

&node=

&user=

&pass=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

If you specify just Project and SCADA node, the Please Login Page appears prompting user to press the please login button.


16.1.2.4 Open View and go to a Graphic

<a href="">

Assumes graphic name is 1Welcome.bgr

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The required options are:

proj=

&node=

&user=

&pass=

&goto=graph=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

&goto=xxx= specifies the name of the goto keymacro that is executed when the user logins. Goto=overview=, goto=dlogtrd=, goto=graph=, etc. can be specified

You must specify Project and SCADA node, user and password to use the goto option.


16.1.2.5 Open VIEW : Hide Toolbar

The Toolbar appears at the Top of VIEW. It consists of a row of buttons for navigation, alarm acknowledgement and other functions.

An example of a Hyperlink to open View with out he Toolbar is:

<a href="">

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The required options are:

proj=

&node=

&user=

&pass=

&tool=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

&tool=0 hides the toolbar. Tool=1 shows it (the default)

You must specify Project and SCADA node, user and password to use the tool option.


16.1.2.6 Open VIEW : Hide Status Bar

The Status Bar appears at the bottom of Advantech WebAccess VIEW. Status bar contains:

· three Alarm Windows (Process, Communications and Recipe),

· Tag Name of most recent Alarm

· Display name

· Highlighted Pushbutton, Tag or Trend Crosshair Values.

An example Hyperlink is:

<a href="/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&user=power&pass=power&goto=graph=1welcome.bgr&tool=0&capt=0&stat=0">

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The required options are:

proj=

&node=

&user=

&pass=

&status=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

&stat=0 hides the status bar. &stat=1 shows it (the default)

You must specify Project and SCADA node, user and password to use the status bar option.

Figure 16.13 Status Bar - Alarm Window & Cursor Highlight


16.1.2.7 Open VIEW : Hide Caption

The Caption appears at the top of Advantech WebAccess VIEW. The caption contains:

· Project Name

· Node Name

· Display name

An example Hyperlink is:

<a href="/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&user=power&pass=power&goto=graph=1welcome.bgr&tool=0&capt=0">

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The caption is at the top of the display and lists the name of the Project and SCADA Node.

The required options are:

proj=

&node=

&user=

&pass=

&capt=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

&capt=0 hides the caption. &capt=1 shows it (the default)

You must specify Project and SCADA node, user and password to use the caption option.


16.1.2.8 Clipping Mode

The required options are:

proj=

&node=

&user=

&pass=

&scale=0

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

&scale=0 enables clipping. &scale=1 is scale mode (the default)

&h= is a fraction less than 1 ( i.e. 0.5 = 50%) specifying height scale of the display behind the clipped window.

&w = is a fraction less than 1 ( i.e. 0.5 = 50%) specifying width scale of the display behind the clipped window.

You must specify Project and SCADA node, user and password to use the scale option.


16.1.2.9 Combine bwViewPg options with &

You combine bwViewPg options with &. You must specify Project and SCADA node, user and password to use the goto, toolbar, caption, status bar, and scale options.

An example hyperlink is:

<a href="/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&user=power&pass=power&goto=graph=1welcome.bgr&tool=0&capt=0&stat=0">

Click the following link to see an example.
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

The required options are:

proj=

&node=

&user=

&pass=

proj specifies the project name

&node specifies the SCADA Node name

&user specifies the user name

&pass specifies the password for the user

You must specify Project and SCADA node, user and password to use the goto, toolbar, caption, status bar, and scale options.


16.1.3.1 Connect without Web Server

16.1.3.1 BwView.htm - connect without a Web Server

Use BwView.htm to connect Web browser VIEW to a SCADA node without a Web Server or Project Node. This allows a web browser client to connect to the SCADA node if the web server is not available.

This uses a htm file installed as part of the Advantech WebAccess client (bwView.htm) and a project deploy file. The deploy file must be manually copied to the client if the client has never connected to the Project using a Web server.

Assuming Advantech WebAccess Client is installed in c:\WebAccess\Client, project name is ProjectName, and node name is Nodename, use the following URL in IE’s address bar to connect to SCADA node.

drive:\WebAccess\Client\bwview.htm#proj=ProjectName&node=Nodename

or this to work, the project’s dpj file must be placed in WebAccess\Client directory. There are two ways for the project deploy file to get there: 1) the client computer must have connected to the SCADA node at least once through project node or 2) the project’s dpj file must be manually copied into WebAccess\Client directory.

The source of the project deploy file can be found, on the Project Node at:

drive:\Inetput\wwwroot\broadweb\projectname.dpj

For example, to connect to the demo project (assuming the Advantech WebAccess client is installed on your C: drive) connect once using this as the address to get the deploy file on your PC:

http://67.94.27.175/broadweb/bwrun.asp

Then connect a second time using this as the address in Internet Explorer:

c:\WebAccess\Client\bwview.htm#proj=LiveDemo&node=SCADANode1

You can specify more options for the URL. For example, goto=…&user=…&pass=…&…….. similar to bwviewpg.asp (described in the Engineering Manual section 16.1.2). View options allow:

· Login user with password

· GOTO a Graphic Display

· Hide Toolbar

· Hide Status bar

· Hide Navigation Tree

· Hide Caption

· Enable Clipping Mode with Scroll Bars.


16.1.3.2 Connect without Project Node

16.1.3.2 BwView.htm - connect without a Project Node

Use BwView.htm to connect Web browser VIEW to a SCADA node without using the Project Node. This allows a web browser client to connect to the SCADA node if the project node is not available. This also uses the network address of the SCADA node to connect and does not require the manual copying of deploy files.

IIS (Internet Information Server) must be installed on the SCADA Node. This allows a remote web browser client to connect to the SCADA node, using the SCADA nodes IP Address or other network address if IIS (Internet Information Server) is installed on the SCADA Node.

The project’s dpj file and bwview.htm will be copied automatically to drive:\Inetpub\wwwroot\broadweb directory when “download database” or “download graph only” is performed. (Note that the Project Node must be running to do a download).

To connect VIEW Clients directly to SCADA node without connecting to project node, enter the following in the Address field of web browser:

http://SCADANode_ipaddress/broadweb/bwview.htm#proj=projectName&node=Nodename

You can specify more options for the URL. For example, goto=…&user=…&pass=…&…….. similar to bwviewpg.asp (described in the Engineering Manual section 16.1.2).View options allow:

· Login user with password

· GOTO a Graphic Display

· Hide Toolbar

· Hide Status bar

· Hide Navigation Tree

· Hide Caption

· Enable Clipping Mode with Scroll Bars.


16.2 Size and position of Web Browser

The following are standard HTML options that you can use to modify the size of any web browser, its position etc. Advantech WebAccess is compatible with most of these commands, although it has its own version of many.

Advantech WebAccess View does not provide a scroll bar. Advantech WebAccess Displays in a Web Browser are always in SCALE mode (i.e. you will not get a scroll bar). However, if you are looking some other file or location, the GOTO URL will give you a scroll bar if the file is larger than the displayed window (assuming the application you are viewing supports clipping).

Use the GOTO URL keymacro in a keymacro file or a script assigned to a pushbutton.

<GOTO>URL= http://67.94.27.175/text1.txt^target=pop^height=400^width=400

GOTO URL=http://67.94.27.175/ text1.txt ^target=pop^height=200^width=400^left=20

The above examples would have the address of your Advantech WebAccess SCADA node, including project name, graphic name, user login and size of the screen.


16.2.1 GOTO URL=http://url

Description: Opens a new Web Browser window and calls the URL or web page.

Syntax: GOTO URL=http://URL^target=name^replace=option^style=option^settings=option

GOTO URL=http://URL

GOTO URL=http://URL^target=name

Arguments: URL or Web page address and options to adjust appearance of browser
(NO BLANK SPACES)

Returns: none

See Also: CLOSEURL

Examples:

GOTO URL=http://yahoo.com

GOTO URL=67.94.27.175^target=pop^height=200^left=20^top=20^width=400

Opens a new HTML or other Web Page in a new Web Browser pop-up window. If named target is already open, then new URL is opened in existing target window. Will open an IE browser regardless of default browser on PC (always opens Internet Explorer). IE 6.0 or later must be installed on client PC. This is supported by Browser based clients and ViewDAQ. If connecting to the same Advantech WebAccess project and used from a Web Browser Client, the new window does not require a new login. Used from ViewDAQ, a new user login to the Advantech WebAccess web browser client is required. The delimiter is the carrot ^ typed by pressing Shift 6.

Arguments

URL Also known as a web address. Can be a URL, IP Address, name in Hosts file or Network name. Can include options associated with the URL including ASP options and Advantech WebAccess options.
example: GOTO URL=http://www.Advantech.com

Target Name defines a Target window name with feature options specified. Can be any name. Optional, if no name specified, will open a new window popup. If a window with same name is already open, loads URL document into the named window. Using a target window name allows use of CLOSEURL command. The CLOSEURL command requires a target window name. No target name is equivalent to _blank and will open new window that cannot be closed using CLOSEURL command. The default window names used by HTML code are not supported (_blank, _parent, _search, _self, _top, _media). NO BLANK SPACES.

Syntax: target=name
example: GOTO URL=http://www.Advantech.com^target=pop

replace Options are (yes=1 no=0). Replace History Entry. When the URL is loaded into same window, this BOOLEAN parameter specifies whether the URL creates a new entry or replaces current entry in the windows history list. Optional. NO BLANK SPACES. Boolean values accepted ( 0 1 yes no ).
Syntax: replace=boolean

example: GOTO URL=http://www.Advantech.com^target=pop^replace=1

style Options 0,1,2. Window Title Bar options. Similar to Display Groups in ViewDAQ.
(0 = Overlapped Window with Title, 1= Popup with Title, 2 =Popup without Title) . The Popup windows do not have Minimize, Maximize or Close controls preventing user from easily closing, the window. NO BLANK SPACES. Style is a number between 0 and 2.

Syntax: style=number

example: GOTO URL=http://67.94.27.175^target=pop^style=2

settings These settings used to control window size and position. They are similar to replace and style above. Each setting option is delimited with the carrot ^ (typed using shift 6). NO BLANK SPACES.

fullscreen

Display Browser in full-screen mode. The default is no. Use full-screen mode carefully because this mode hides the browser's title bar and menus. You should always provide a button or other clue to help the user close the window. ALT+F4 closes the new window. Boolean values accepted ( 0 1 yes no ).

Syntax: fullscreen=boolean

example: GOTO URL=http://67.94.27.175^target=pop^fullscreen=yes

height Height of the browser window, in pixels. The minimum value is 100.

Syntax: height=number

example: GOTO URL=http://67.94.27.175^target=pop^height=200^width=400

left Left position of the browser window, in pixels. The value is relative to the upper -left corner of screen..

Syntax: left=number

example: GOTO URL=http://67.94.27.175^target=pop^height=200^width=400^left=20

location

Display the address bar in web browser (URL input field). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: location=boolean

example: GOTO URL=http://www.Advantech.com^target=pop^location=no

menubar

Display the menu bar in web browser (File Edit View Favorites Tools). Default value is yes. Boolean values accepted ( 0 1 yes no ).
Syntax: menubar=boolean

example: GOTO URL=http://www.Advantech.com^target=pop^location=0^menbar=0

resizable

Display the resize handles at the corners of the window. The default is yes.

Boolean values accepted ( 0 1 yes no ).
Syntax: resizable=boolean

example: GOTO URL=http://yahoo.com^target=pop^location=0^menbar=0^resizable=0

status Display the status bar at bottom of browser window. The default is yes.

Boolean values ( 0 1 yes no ).
Syntax: status=boolean

example: GOTO URL=http://yahoo.com^target=pop^menubar=0^status=0

titlebar

Display the title bar in web browser. This setting is ignored unless the calling application is an HTML application or a trusted dialog box. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: menubar=boolean

example: GOTO URL=http://www.Advantech.com^target=pop^titlebar=0

toolbar

Display the tool bar in web browser with the button BACK, FORWARD and STOP. Default value is yes. Boolean values ( 0 1 yes no ).
Syntax: toolbar=boolean

example: GOTO URL=http://www.Advantech.com^target=pop^toolbar=0

top Top position of the browser window, in pixels. The value is relative to the upper -left corner of screen..

Syntax: top=number

example: GOTO URL=67.94.27.175^target=pop^height=200^width=400^left=20^top=20

width Width of the browser window, in pixels. The minimum value is 100.

Syntax: top=number

example: GOTO URL=67.94.27.175^target=pop^height=200^left=20^top=20^width=400


16.3 Scroll Bars (clipping) VIEW

Scale Mode. Advantech WebAccess VIEW by default is in SCALE mode in a Web Browser. The Display shrinks and expands to fit the size of the web browser window (this is called “scaling”). If vector based graphics are used in Advantech WebAccess Draw, then users can View at any display resolution and in any size Window.

Clipping Mode and Scroll Bars. Advantech WebAccess also supports “clipping mode” (i.e. &scale=0 in bwviewpgor View Property radio button Clip) in a Web Browser. This is similar to Clipping mode used in Display Groups in ViewDAQ. In Clipping mode, as the web browser window shrinks, the Display stays the same size and users see a window containing part of the Advantech WebAccess Graphic Display. Scroll bars appear at the Bottom and Right side of the Web Browser to allow users to move the “clipped” window across the Graphic. View Property allows users to switch between Scale and Clipping modes. BwViewpg allows engineers to predefine scale or clipping mode.

Scroll Bars within a Advantech WebAccess Graphic Display. The Alarm Summary, and Action Log are examples of Advantech WebAccess Displays with Scroll Bars. These displays consist of rows of Text-type and Analog-type array-type tags that act as temporary holders and a Script or other function to move the data around. You can open the Alarm Log or Alarm Summary source files in the Display Builder to see an Example.


16.3.1.1 Action Log – example of scroll bars within a Display

16.3.1 Action Log – example of scroll bars within a Display

1. Start DrawDAQ.

2. Select Open DRW.

3. Type *.dxx in file name field

Figure 16.14 Open *.dxx - Edit System Template Displays

4.The file lists shows all the pre-built System Displays' source files.

6. Select actlog.dxx

7. Press the Open button.

Alternatively, from DRAW

1. Start DRAW.

2. Select Open DRW.

3. Type ACTLOG.dxx in file name field.

4. Press the Open button.


16.4.1 About Addresses

The first time you connect, you must enter the address of your Advantech WebAccess Project in the Address bar of your Web Browser. Later, you can add this address to your "Favorites". The address can take several forms:

· URL is the Universal Resource Locator, for example http://www.Advantech.com/. If your company has assigned a URL to your Advantech WebAccess Project, enter this in the Address Bar of Internet Explorer. URL also can have similar forms, for example the Advantech WebAccess Live Demo project node can be reached at http://www.advantech.com.cn/eAutomation/WebAccess/index.asp/

· IP Address, Internet Protocol Address. The IP address is a series of 4 numbers separated by periods (e.g. http://67.94.27.175/).

· Computer Name - If you are on an Intranet, you can enter the computer name of the Advantech WebAccess Project Node (for example "Server1"). This can be either a TCP/IP "host name" or the Microsoft Network name.

· Host name – This is like a computer name, but uses a name installed in the HOSTS file of the Client PC. The HOSTS file redefines the IP address and allows different users to use different IP Addresses to access the same SCADA and Project Nodes. This might be required if some users on an Intranet (using private IP address) and others are on the Internet (using Public IP Address) and the router or firewall does allow private users to use the Public IP address to connect to the SCADA node. The localhost name is an example of a HOST name.

· Local PC - If you are on a PC that has the Project Node software installed and a network card, you can use the default localhost address or url:
http://localhost
or
http://127.0.0.1

· No Network - If you are on a standalone PC without a network card, you must use the computer name: (for example "http://mycomputername").


16.4.2 Advantech WebAccess Home Page

Congratulations! You have successfully connected to a Advantech WebAccess Project. It took no special software to connect. No software download was required.

There are two choices on the Advantech WebAccess Home Page (bwroot.asp).

· Advantech WebAccess Configuration

· Advantech WebAccess View


16.4.3 Download and Install Client Plug-in

Advantech WebAccess uses an ActiveX control to display animated Graphics. The first time you connect to Advantech WebAccess, you will need to download and install the client plug-in.

If you have not already installed the Client, you will see a message:
"Please Click here to install Advantech WebAccess Client first".


16.4.3.1 The first time you connect

The first time you try to connect to VIEW or DRAW, you will be prompted to download and install the Client Plugin.

Figure 16.16 - Prompt to download and install Advantech WebAccess Client

If you get this message, just follow the steps to download and install the client. If you need more information about downloading and installing the client plug-in.

Hint - After Downloading Client, close all Web browser windows before running the Client Setup program. If you close all web browser windows, you will not have to reboot your computer.

The Client Plugin is about 4 megabytes and contains the ActiveX control for Internet Explorer (and a Navigator Plugin). The setup file that you download is a self extracting setup program named Advantech WebAccessClientSetup.exe.


16.5 Start Advantech WebAccess VIEW

1. Start Internet Explorer 6.0 [image].

2. Enter the IP Address or network address of the Project Node and press Go.

Hint - you can also choose the project address from "Favorites".

3. Select the Advantech WebAccess View button (Figure 16-15).

4. The Advantech WebAccess View Login Page appears (Figure 16-17).

Figure 16-17 VIEW Login

4a. If there are more than one Project or SCADA node, a Project Tree appears (Figure 16-18).

4b. Select Start View under the SCADA node from the Navigation Tree in the left frame.

Figure 16-18 VIEW Login - multiple Nodes

Hint -Notice that Figure 16‑17 does not show the Navigation Tree in the left frame. If there is only one SCADA Node in the project, the navigation tree is not shown.

5. Click on the Please Login button or field.

6. Enter user name and password in the Login Dialog Box.


16.5.1 Login - Username and Password

Default login is,

User Name: admin

Password: (i.e. a blank password)

1. Click on "Please Login" (Figure 16-17).

2. The Login Dialog Box appears (Figure 16-19).

Figure 16-19 - Login Dialog Box

3. Enter your "User Name" assigned by the engineer or technician who configured the system. Note that you can use either your keyboard or the mouse in the Login dialog box.

Tip - if this is a newly installed system, use the default login username: admin.

4. Enter your "Password".

Default login is,

User Name: admin

Password: (i.e. a blank password)

5. Press the Enter key.

6. The MAIN graphic display for your system appears. The default MAIN graphic supplied with Advantech WebAccess is shown below (Figure 16-20). Yours will probably look different

Figure 16-20 - default Main graphic display

The MAIN graphic display appears with navigation frame on the left if there are multiple SCADA Nodes or multiple Projects.

Figure 16-21 - default Main graphic - multiple Nodes

Main Graphic is a user built display and yours may look different. The Main Graphic in the Advantech WebAccess Live Demo (http://www.advantech.com.cn/eAutomation/WebAccess/index.asp) is shown below.

Figure 16-22 - Main Graphic Advantech WebAccess Live Demo - Power User Login.

Congratulations! You are connected via the Internet to the first fully web-base HMI and SCADA system.


16.5.2 Other ways to start VIEW

There are other ways to start VIEW, that either an engineer creates or that a Client user can create.

VIEW SCADA node directly no Navigation Tree

IP Address opens VIEW directly - using default.asp

Login to VIEW with “One click”

Open View and go to a Graphic


16.5.3 Toolbar

The Toolbar is arrow of Buttons at the top of VIEW. The Toolbar changes for each display the user views based on Display Name or Display Type.

The Toolbar is intended to guarantee that a User or Operator can always navigate to another display and have the Pushbutton functions appropriate for the Display Type.

Engineers and Technicians can build customized Toolbars and Buttons using DRAW, the BBN and Toolbar commands. Icons can be imported to create new toolbars.


16.5.4 Status Bar

The Status Bar appears at the bottom of Advantech WebAccess VIEW. Status bar contains:

· Time

· Three Alarm Windows (Process, Communications and Recipe),

· Tag Name of most recent Alarm

· Display name

· Highlighted Pushbutton, Tag or Trend Crosshair Values.

The Alarm window shows the current alarms. See Status Bar Alarms in the Alarms section for a complete description.

Figure 16.23 Status Bar – Recipe Display

The Status bar content changes based where the cursor is. It will show the Function of a Toolbar Button if the mouse is moved over the toolbar button; it will show the keymacro of a user built pushbutton if the mouse is moved over the pushbutton (and the pushbutton was built with the Highlight option),

Figure 16.24 Status Bar - Pushbutton Highlighted

The tagname, span and description of a highlighted tag will appear

Figure 16.25 Status bar - Highlighted Tag

Or the values of the crosshairs in a real-time trend.

Figure 16.26 Status Bar - Trend values at crosshair


17. Video

17. Video and Google Map

Advantech WebAccess supports the use of live Video camera that are IP enabled (i.e. use the Internet or intranet to send live video images) via an ActiveX control (an OCX). Advantech WebAccess will launch the Active-X control in an Internet Explorer 6.0 web browser. If using ViewDAQ, IE 6.0, 7.0, or later must be installed on the PC in order to view live video.

Advantech WebAccess has a list of Video camera drivers with Active-X controls compatible with VIEW and ViewDAQ.

Advantech WebAccess supports pushbutton keymacros to call up a Video Window and a Video Camera dialog box (F10 key or <F10> keymacro, the [image] toolbar icon and in the right-click Menu as Video). The Video Dialog Box shows a list of configured Cameras for the SCADA node.

Figure 17.1Full Screen Video in Web Browser


17.1 Configure a Video Camera connection

17.1 Configure a Video Camera connection(Not supported by WinCE Edition)

Configuring a Video camera interface is easy. The information needed is:

1. IP address of the video camera.

2. Is IP address accessible by all your Clients (subnet mask, public or private network, Internet or intranet connection, etc.)?

3. Is the Camera on the Advantech WebAccess Driver List?

This section assumes the camera is on-line and functioning. Please refer to the camera manufacturer's documentation on how to start the camera and assign an IP address to it. The Advantech WebAccess Clients communicate directly to the camera. The IP address of the camera must be available to all the Advantech WebAccess clients that are to view the camera.


17.1.1 Video Camera Driver List

17.1.1 Video Camera Driver List(Not supported by WinCE Edition(WebView &WebLink ))

The Video cameras supported by Advantech WebAccess at the time this manual is written is listed below. Please contact Technical Support (info@Advantech.com) or refer to your product sales literature for an updated list of camera drivers. Advantech WebAccess supplies the ActiveX control needed to communicate with these IP-enabled cameras.

Manufacturer | Model | Advantech WebAccess Driver | Description
ATOP Technologies www.atop.com.tw | GW27A | ATOP LAN Camera | LAN camera with RS-232 and twist pair 10Base-T Ethernet
Microsoft Windows Media Encoder |  | mplayer | Works with many IP enabled cameras from many manufactures including LogiTech. Video Capture Cards, etc.
CamView LAN Camera |  | camviewlc | LAN camera 10Base-T Ethernet


17.1.2 Advantech WebAccess Video configuration

17.1.2 Advantech WebAccess Video configuration(Not supported by WinCE Edition)

This section assumes the camera is on-line and functioning. Please refer to the camera manufacturer's documentation on how to start the camera and assign an IP address to it. The Advantech WebAccess Clients communicate directly to the camera. The IP address of the camera must be available to all the Advantech WebAccess clients that are to view the camera.

1. From the Project Manager, Select your Project and the SCADA Node.

2. Click the Video hyperlink.

3. Select Add Video hyperlink.

4. The Add/Update Video page appears.

Figure 17‑2Add / Update Video Camera

5. Select the Video Type from the Pull down list. The Video type matches the camera you are connecting to. These correspond to Active X controls supplied by the camera manufacturer. If your camera's manufacturer is not listed on the pull-down list, it is not supported by Advantech WebAccess.

Some are multi-purpose Video Types: snapshot (JPEG pull), server push (JPEG Image push)
 Most are pre-configured to a demo camera on the Internet.

6. Enter a Video Name that will appear in Dialog Boxes used by operators and users

7. Enter a Description that will appear in the project manager.

8. Video IP Address. Enter the IP address of the camera. This address must be accessible by Advantech WebAccess VIEW clients directly.

9. Port Number. Enter the TCP port assigned to the camera. 0 (zero) is the default port number for most cameras. TCP ports are used with firewalls and enhanced security.

10. Local Tag File. Optionally, screen tags can be associated with the Video. These are a Local Tag file configured DRAW. These allow a screen script to use Local Tags for rotating between video cameras or other customization.

11. Local Script File. Optionally, screen scripts developed in the script editor of DRAW can be used to rotate between video cameras or other customization.

a. On Entry is a screen script that executes once when the Video Display is called in VIEW.

b. On Exit is a screen script that executes once another Display is called and this display is exited.

c. While Showing is a screen script that executes continuously at the specified Interval while this Display is displayed in VIEW.

d. Interval is the frequency the While Showing Script repeats.

12. Press submit.

13. Download to the SCADA node.


17.2 VIEW Video Cameras

17.2 VIEW Video Cameras (Not supported by WinCE Edition(WebView &WebLink ))

In VIEW and ViewDAQ, operators and users can call up a Dialog Box that lists all the cameras configured. Pushbutton Keymacros built by engineers and technicians in DRAW can open a VIDEO camera window.

The Video cameras are viewed in an IE 6.0, 7.0, or later web browser. Even if using ViewDAQ, Internet Explorer must be installed on the clients in order to view cameras. Video requires Internet Explorer 6.0 or later.

Figure 17.3 Goto Video - VIEW


17.2.1 Single Video Display

17.2.1 Single Video Display(Not supported by WinCE Edition)

No display building is required to view a configured Video Window. The Camera will appear full screen if called from the Video List Dialog Box <F10>.

The <F10> key macro and the Menu Item (Right Click -> Goto -Video) display a list of all configured cameras. Pick the desired camera form the list and it will appear in full screen.

Popup Windows can be built using the <GOTO>URL Keymacro.


17.2.1.1 Video Dialog Box - F10

17.2.1.1 Video Dialog Box - F10(Not supported by WinCE Edition)

In VIEW and ViewDAQ, operators and users can call up a Dialog Box that lists all the cameras configured for the SCADA node. There are several methods to call up the Video Dialog box.

F10 function key on keyboard.

<F10> keymacro assigned to a pushbutton on a user built display.

The [image] Video icon on a toolbar.

<DIALOG>VIDEO assigned to a pushbutton on a user built display.

Right Click Menu -> Goto -> Video

Figure 17.4 Video List Dialog Box

The Video List Dialog Box will display the Camera in VIEW or VIEWDAQ window (i.e. full size).


17.2.1.2 Video Popup Key Macro <GOTO>URL

17.2.1.2 Video Popup Key Macro <GOTO>URL(Not supported by WinCE Edition)

To open the Video in a separate Popup window, with the ability to control the size and position, use the <GOTO>URL keymacro. It is recommended to use this in a Keymacro file and then call the keymacro file from a pushbutton.

1. Configure a keymacro file named, HwyCamera2, with the following keymacro:

<GOTO>URL=http://67.94.27.175/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0&goto=webctrl=tw_highway.vdo^target=video2^height=400^width=450^left=470^status=0^toolbar=0

OR

<GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2^height=400^width=450^left=470^status=0^toolbar=0

2. Assign a pushbutton with the keymacro to call the keymacro file:

<MCREXEC>@Hwycamera2.mcr

If you do not need to define the window size of the popup, it is possible to use just a Keymacro on the pushbutton (and the default web browser size will open):

<GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2


17.2.2 Video in a Graphic Display

17.2.2 Video in a Graphic Display(Not supported by WinCE Edition(WebView &WebLink ))

Video can be added to user built Graphic Displays and mixed the real-time data, widgets, trends and animation.

Figure 17-5Live Video mixed with animated graphics, real-time data and trends

Multi-camera Displays, including live tag data and trends are user-built graphic displays. Scripts can rotate between cameras in the same window, pause or jump ahead to another camera with pushbuttons.


17.2.2.1 Draw Video in User Graphic Display

17.2.2.1 Draw Video in User Graphic Display(Not supported by WinCE Edition)

Figure 17-6Video in a user built graphic - VIEW

The *.drw file (DRAW file) of the above graphic is below (see Figure 17-7).

Multi-camera Displays, including live tag data and trends can be built in DRAW using the Dynamic -> Video Display from the toolbar

Figure 17-7 DRAW video in graphic display

To draw the Video Display in a User Built Graphic

1. Right Click the Mouse (DRAW) (or select from Menu Bar (DrawDAQ)) select

2. Dynamic -> Video Display

3. Enter a Name for this Video Window. This will allow scripts and animation to change which camera is displayed in this window. (If you previously edited or drew a Video Display, these fields will have the data from the last Video Display edited).

4. Enter the Video Driver name, the pound sign (#) and the IP address of the Video Camera or PC with Media Player.

5. Enter Additional options for TCP ports, cgi scripts, etc. beginning with the ampersand sign (&) and the option names appended to the IP Address.

For example, for the MI Vision Camera, enter

miwece#ip=220.77.5.242&port=700&cam=camera=0%26audio=1&user=guest&pass=guest&lc=1&rc=1

To explain the above:

miwece is the camera type
ip is the Address of the camera

port is the TCP or UDP port the camera uses

camera is the scaling

audio turns audio on or off

user is the username to access the camera

pass is the password to access the camera

lrc is trim

rc is another trim

Figure 17-7a MI Vision Camera -Draw Video string

You need to enter the actual IP address, port, camera options, username and password for you camera. The above is just an example. You can see examples of these strings by configuring the camera in Advantech WebAccess Configuration Manager (see 17.1.2 Advantech WebAccess Video configuration). There is also a list in the next section.

6. Select OK .

7. Click once to define the start of a rectangle

8. Drag with the mouse to define the size of the Video Window in the Graphic.

9. Click a second time to define the end of the rectangle.

Video Command Strings

Below are some Video command strings for cameras in Advantech WebAccess. Note that these are similar to the SENDVDO keymacro and SENDVDO script command strings.

Note : The number of written characters in Video script command is limited to 120 characters.

ACTIVECAM (Active Imaging Server)
activecam#img=http://arachne.berkeley.edu:3001/push.jpg&lc=0&rc=0&tc=0&bc=0

AXIS Camera:
axiscam#ip=aucam.dyndns.biz&port=80&cgi=axis-cgi/mjpg/video.cgi&cam=camera=1%26resolution=352x240

CANON:
canonvc#ip=208.177.138.207&port=80&cgi=-wvhttp-01-&cam=&lc=0&rc=0&tc=0&bc=0

CEC:
cecndvw#ip=nd-vw02.cec.co.jp&port=7778&cam=camera=1%26size=0%26compress=0&lc=0&rc=0&tc=0&bc=1

CELL VISION:
cellvision#ip=210.22.135.194&port=8481&cam=device=CameraServer00FF41AE1735asaasa&lc=0&rc=0&tc=0&bc=0

CONVISION VIDEO SERVER:
convision#ip=195.37.51.120&port=80&cam=camera=1%26size=fullsize&lc=0&rc=0&tc=1&bc=1

ELMO:
elmo#ip=209.137.143.52&port=80&cgi=cgi-bin/nph-pushl.cgi&lc=0&rc=0&tc=0&bc=0

FLEXWATCH:
flexwatch#ip=210.138.117.93&port=80&cam=ServerId=0%26CameraId=1&lc=0&rc=0&tc=0&bc=0

JPEG snapshot cameras:
snapshot#img=http://www.westland.net/photo/file001.jpg&timer=60&bc=4
snapshot#img=http://weather.kron4.com/images/cam2_2.jpg&timer=60&tc=8
snapshot#img=http://66.185.38.9/~mediamate/capture.jpg&timer=60

JPEG Server Push:
serverpush#img=http://67.94.27.130:8888/video/push&lc=0&rc=0&tc=0&bc=0

JVC:
jvcvn#ip=192.217.138.153&port=80&cgi=java.jpg&lc=0&rc=0&tc=0&bc=0

MEDIA PLAYER (Windows Media Player / Encoder):
mplayerurl#img=http://www.earthcam.com/usa/newyork/timessquare/asx/tsq_stream.asx&lc=1&rc=1&tc=1&bc=1

Message - Display a message in the Video Window:
videooff#msg=Loading...

PANSONIC Camera:
panasonic#ip=cam2.h555.net&cam=Resolution=320x240%26Quality=Standard

PIXORD
pixord#ip=61.219.192.210&port=80&cam=camera=3%26fmt=sif&user=hunt&pass=hunt&sndcgi=&lc=0&rc=0&tc=0&bc=0

SITECAM:
sitecam#ip=128.104.181.37&port=80&cam=med&sndcgi=&lc=0&rc=0&tc=0&bc=0

SONY Network Camera:
sonync#ip=209.192.83.9&port=8096&cam=speed=0

VIVOTEK:
vivotek#ip=demo:demo@61.220.127.162&port=80&cam=cam=2%26quality=3%26size=2&lc=0&rc=0&tc=7.5&bc=0

Advantech WebAccess Display in View - Open Advantech WebAccess VIEW in Video Window: daq:overview=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:graph=2ductahu.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:fplgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:realtrd=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:dlogtrd=2#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:almsummary=time#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:almgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:recipe=startup.rcp^ahu1^maintenance#proj=livedemo&node=scadanode1&capt=0&flag=214751987
daq:graph=car.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:station#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:alarmlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873
daq:actionlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

WebEye:
webeye#ip=130.191.117.248&port=8080&cam=VS=0%26IR=2&user=guest&pass=guest&lc=2&rc=2&tc=2&bc=2

WebCam - WebCame32 Server Push
webcam32#ip=67.94.27.110&port=8888&sndcgi=audio/low&lc=0&rc=0&tc=0&bc=0

Where to find the Video String

You can find the video string to use in Draw Video by configuring a camera in Advantech WebAccess Project Manager, then copying the string at the bottom of the Update Video page. (see 17.1.2 Advantech WebAccess Video configuration).


17.2.3 Web Page in Video window

17.2.3 Web Page in Video window in a User Graphic Display(Not supported by WinCE Edition)

Figure 17-2-3 Web Page in a user built graphic - VIEW

To display a Web Page in a user built graphic display (BGR) use a Video Window with htm: instead of vdo. The window used normally to show a Video camera in a graphic (drw and bgr) can be used to display a web page.

In DRAW use Dynamic -> Video Display. In the Video:field enter the htm: option followed by the link to the web page. For example htm://maps:yahoo.com.

This will display yahoo maps web page in a Advantech WebAccess Bgr. The links will be interactive with the user and the user can click on hyperlinks that will call me pages in the same window. For example, enter the address and call up a map.

The *.drw file (DRAW file) of the above graphic is below .

Figure 17-2-3-1 DRAW video in graphic display

To draw the Video Display in a User Built Graphic

1. Right Click the Mouse (DRAW) (or select from Menu Bar (DrawDAQ)) select

2. Dynamic -> Video Display

3. Enter a Name for this Video Window. This will allow scripts and animation to change which camera is displayed in this window. (If you previously edited or drew a Video Display, these fields will have the data from the last Video Display edited).

4. Enter the htm: and the IP address or URL of the Web Page.

6. Select OK .

7. Click once to define the start of a rectangle

8. Drag with the mouse to define the size of the Video Window in the Graphic.

9. Click a second time to define the end of the rectangle.


10.11.14 LLD - custom Welcome & LOGIN display

17.2.3.1 Video Popup Key Macro <GOTO>URL

To open the Video is a separate Popup window, with the ability to control the size and position, use the <GOTO>URL keymacro. It is recommended to use this in a Keymacro file and then call the keymacro file from a pushbutton.

1. Configure a keymacro file named, HwyCamera2, with the following keymacro:

<GOTO>URL=http://67.94.27.175/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0&goto=webctrl=tw_highway.vdo^target=video2^height=400^width=450^left=470^status=0^toolbar=0

OR

<GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2^height=400^width=450^left=470^status=0^toolbar=0

2. Assign a pushbutton with the keymacro to call the keymacro file:

<MCREXEC>@Hwycamera2.mcr

If you do not need to define the window size of the popup, it is possible to use just a Keymacro on the pushbutton (and the default web browser size will open):

<GOTO>URL=vdo:atoplc#ip=67.94.27.161&port=0^target=video2


17.2.4 Video Screen Capture

17.2.4 Video Screen Capture(Not supported by WinCE Edition)

The Alt-PrtScn (Alt Print Screen Key) does not reliably capture Windows Media Encoder Video images.

To capture a Screen, make it full size then use PrtScrn (Print Screen) key on your keyboard.

Windows Media Player based cameras can not be captured using Screen Print.


17.2.5 Video Script Examples

17.2.5 Video Script Examples(Not supported by WinCE Edition)

Scripts can be built to popup a window, go to a full page or, rotate cameras


17.2.5.1 Open Video Popup script

17.2.5.1 Open Video Popup script(Not supported by WinCE Edition)

The following is a Screen Script associated as the "While Showing" Script for a Video Display. It opens a Video Camera Popup based on a Digital Tag.

if {[GETVAL Digtag] == 1} then {

GOTO URL=vdo:atoplc#ip=202.178.230.25&port=0^target=twn^width=640^height=480^left=100^top=50

}


17.2.5.2 Change cameras every minute

17.2.5.2 Change cameras every minute(Not supported by WinCE Edition)

The following is a Screen Script associated as the "While Showing" Script for a Video Display. It rotates between 3 cameras. It uses a local tag file with screen tag named count.

SETVAL "count=%PLUS 1"

if {[GETVAL count] > 60} then {

SETVAL "page=%LOOPPLUS 1"

switch [GETVAL page] \

"1" {GOTO URL=vdo:camviewlc#ip=210.128.176.51} \

"2" {GOTO URL=vdo:atoplc#ip=67.94.27.161&port=0} \

"3" {GOTO URL=vdo:atoplc#ip=202.178.230.25&port=0} \

"default" {GOTO URL=vdo:atoplc#ip=202.178.230.25&port=0}

SETVAL count=0

}


17.2.5.3 Rotate Multiple Cameras

17.2.5.3 Rotate Multiple Cameras (Not supported by WinCE Edition)

This script is designed to rotate the Cameras displayed in Video Display windows named a1 every 60 seconds. Pushbuttons set Toggle (VideoOff) to turn off the display of video and VideoHold to pause the rotation between cameras. Use Dynamic ->Video and name it a1.

proc switchvideo {arg1} {

   switch $arg1 \

     "1"       {SENDVDO a1=axiscam#ip=sprout.warwick.ac.uk&cgi=cgi-bin/mjpg/video.cgi} \

     "2"       { SENDVDO a1=mplayer#ip=67.94.27.130&port=8080} \

     "3"       { SENDVDO a1=atoplc#ip=67.94.27.161&port=0} \

     "4"       {SENDVDO a1=atoplc#ip=202.178.230.25&port=0} \

     "default" {SENDVDO "a1=videooff#msg=Press Rotate Cameras button to rotate thru cameras."}

}

if {[GETVAL toggle] > 0} then {

   SETVAL "toggle=0"

   if {[GETVAL videooff] == 0} then {

      SETVAL "videooff=1"

      SETVAL "countold=@count"

      SETVAL "pageold=@page"

      SENDVDO "a1=videooff#msg=Press 'Video On' button to show video."

   } else {

      SETVAL "videooff=0"

      SETVAL "count=@countold"

      SETVAL "page=@pageold"

      switchvideo [GETVAL page]

   }

}

if {[GETVAL videooff] == 0 && [GETVAL videohold] == 0} then {

   SETVAL "count=%PLUS 1"

   if {[GETVAL count] > 60} then {

      SETVAL "page=%LOOPPLUS 1"

      switchvideo [GETVAL page]

      SETVAL count=0

   }

}


17.2.5.4 Open Advantech WebAccess VIEW in a Video Window

17.2.5.4 Open Advantech WebAccess VIEW in a Video Window (Not supported by WinCE Edition)

This script is used with a Graphic display to open another Advantech WebAccess VIEW inside a smaller window in the original graphic display. This runs on both ViewDAQ and VIEW, but VIEW is the second occurrence opened. The idea is to have displays rotate using pushbuttons on the side.

Figure 17.2.5.4 - Graphic with Video Window display a second Advantech WebAccess VIEW with the Overview display.

Pressing Button 8 opens the FAN Display (2ductahu.bgr).

Figure 17.2.5.5 - Graphic with Video Window display a second Advantech WebAccess VIEW with the 2ductAHU display.

proc switchvideo {arg1} {

if {$arg1 == 0} then {

SENDVDO a1=daq:overview=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 1} then {

SENDVDO a1=daq:fplgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 2} then {

SENDVDO a1=daq:realtrd=1#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 3} then {

SENDVDO a1=daq:dlogtrd=2#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 4} then {

SENDVDO a1=daq:almsummary=time#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 5} then {

SENDVDO a1=daq:almgroup=3#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 6} then {

SENDVDO a1=daq:recipe=startup.rcp^ahu1^maintenance#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 7} then {

SENDVDO a1=daq:graph=car.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 8} then {

SENDVDO a1=daq:graph=2ductahu.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 9} then {

SENDVDO a1=daq:station#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 10} then {

SENDVDO a1=daq:alarmlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 11} then {

SENDVDO a1=daq:actionlog#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} elseif {$arg1 == 12} then {

SENDVDO a1=daq:graph=fouttrendingraph.bgr#proj=livedemo&node=scadanode1&capt=0&flag=2147519873

} else {

SENDVDO "a1=videooff#msg=Press 'Press To Turn On View' button to show view."

}

}

if {[GETVAL toggle] > 0} then {

SETVAL "toggle=0"

if {[GETVAL videooff] == 0} then {

SETVAL "videooff=1"

SETVAL "countold=@count"

SETVAL "pageold=@page"

switchvideo -1

} else {

SETVAL "videooff=0"

SETVAL "count=@countold"

SETVAL "page=@pageold"

SETVAL "page_press=@page"

switchvideo [GETVAL page]

}

}

if {[GETVAL videooff] == 0} then {

if {[GETVAL page_press] != [GETVAL page]} then {

SETVAL "page=@page_press"

switchvideo [GETVAL page]

if {[GETVAL videohold] == 0} then {

SETVAL "count=0"

} else {

SETVAL "pageold=@page"

}

}

}

if {[GETVAL videooff] == 0 && [GETVAL videohold] == 0} then {

SETVAL "count=%PLUS 1"

if {[GETVAL count] > 480} then {

SETVAL "page=%LOOPPLUS 1"

SETVAL "page_press=@page"

switchvideo [GETVAL page]

SETVAL count=0

}

}


17.2.6 Video Script Commands

17.2.6 Video Script Commands(Not supported by WinCE Edition)

GOTO URL=http:// changes display or opens a pop-up or full-screen web browser window. An example is

<GOTO>URL=http://67.94.27.175/broadWeb/system/bwviewpg.asp?proj=LIVEDEMO&node=SCADANode1&tool=0&stat=0&goto=webctrl=tw_highway.vdo^target=video2^height=400^width=450^left=470^status=0^toolbar=0

GOTO URL=vdo: changes display or opens a pop-up or full screen web browser displaying an IP enabled video camera. Camera does not have to be configured in Advantech WebAccess database.

SENDVDO changes camera displayed in a Advantech WebAccess Graphic Video Display Window. Used for graphics displays with mixed video and animation..


17.2.7 Video KeyMacros

17.2.7 Video KeyMacros(Not supported by WinCE Edition)

<DIALOG>VIDEO – opens a list of configured video cameras for full screen display.

<F10> - same a <DIALOG>VIDEO – opens list of video cameras.

<GOTO>URL= changes display or opens a pop-up or full-screen web browser window

<GOTO>URL=vdo: changes display or opens a pop-up or full screen web browser displaying an IP enabled video camera. Camera does not have to be configured in Advantech WebAccess database.

<GOTO>URL=daq:video= changes display or opens a pop-up or full screen of a configured video camera in both web browser and ViewDAQ.

<GOTO>URL=daq:webctrl= changes display or opens a pop-up or full screen of a configured video camera in both web browser and ViewDAQ.

<GOTO>VIDEO= changes display to a configured Video in full screen web browser.

<MCREXEC>@ executes a KeyMacro file. The KeyMacro file contains a keymacro too big to fit on a pushbutton.

<SENDVDO> changes camera displayed in a Advantech WebAccess Graphic Video Display Window. Used for graphics displays with mixed video and animation.


17.3 Google Map Integration

WebAccess now allows users to create map files that contain markers on Google Map. A marker contains Icons which can be displayed according to the value of a tag. A marker also contains a title and up to three label/value combinations to be displayed as the marker information. And a left-click Macro can also be associated with a marker.

The map list dialog box can be accessed via Map menu item under Tools for map files already created and downloaded to be displayed in ViewDAQ or View Client.


17.3.1 System Features Views

Figure 17.3.1.1 Google Map view

Views- Both Map and Satellite views.

First Location - GMap will apply the first location and ratio if you are first use Google map. If not, the window will show the first map on the saved list.

Drag & Scale – Left click and drag left, right, up and down to find out the direct location. Click the left button to zoom in and zoom out to choose the ratio.

Marker Information

Figure 17.3.1.2 Marker Information configuration

Title: The marker’s name, The marker can’t save without a title.

Lat & Lng : Latitude and Longitude. Choose the location, the Latitude and Longitude of the location will show on the Marker information. If you want to type the correct Latitude and Longitude, follow these rules:

The range of Latitude: -85 ~ 85

The range of Longitude: -180 ~ 180

There is no map out of the range

Tracking Name : User can type Tag Name from GPS driver setting. Marker will follow the GPS tag information on Google Maps when typing Tracking Name. Marker will show with set Latitude and Longitude on Google Maps without typing Tracking Name.

Set As Default Tracking : Chose the Checkbox, screen will move to the center of the Google Map Marker at runtime.

ADD: Choose the image for the marker. You can upload images as icons to the map, and notice that the file image must be less than 10 KB. (Because the image file is PNG, GIF or JPG, not ICO, the window will show the image not an icon.) If you want to delete the image you uploaded, click Remove under the image.

Figure 17.3.1.3 Marker Information configuration-2

Set the number value as follows：

① One or more measured value: Separate by “,”. For example: “1, 2, 3”, when measured value is 1, 2 or 3, the image set value will show on the map.

② One or more measured range: Separated by‘,’. For example :‘(0,5),[10,20]’, when measured value will >0 and <5, the image set value will show on the map. Or when measured value >=10 and <=20, the image set value will show on the map.

③ Mix ① and ② : Separate by‘,’

After setting the value, click OK. Move mouse to the image, the name and value of the image will be shown.

Tagname : Type the Tagname to connect the Web access node, if the name is the same as the tag node. The marker can show the value of the tag node on the map after typing the Tagname.

Left Click Marco : A left-click Macro can be associated with a marker. Left Click Macro define the movement of left-button of mouse during running WebAccess. For example:‘<GOTO>GRAPH=Haidian.bgr’.( refer to the Help 11.1（Key macro Commands）. It makes no difference without typing.


17.3.2 WebAccess Google Map Configuration

1. Log in WebAccess Project management

2. Choose one project and Click Google Map

3. The window will connect and show Google Map

4. Click New to create the new map.

5. Drag the map and Click the left button zoom in and zoom out of Google map to choose the map’s ratio.

6. Choose the location.

7. Click twice on the location to add the Marker Information, and the window will show the configuration tool.

8. Type the title. The marker can’t save without the title.

9. When choosing the location, the Latitude and Longitude of the location will be shown on the Marker information.

10.Go to the Image, click the ADD

11.ADD: you can upload images as icons in the map, the notice is the file of image must be less than 10 KB. If you want to delete the image you uploaded, click Remove under the image.

12.Click ADD: Choose the image you want as a marker, move the mouse to the image and click. You can choose one or more images, but the first image you choose will be the default image of all images.

13.The marker’s image can change with the measure value. First, click the image and give Value to the image. The value can be one or more number, the range and mix the number and range. When running the WebAccess, the tag value get the set value, the image will be shown on the map.

14.Type the Tagname and Left click Macro.

15.Click Save on the Marker Information. The image and title will be shown on the map.

16.Change the marker information. Click the image on the map, and the window of marker information will pop up.

17.Change the location of the marker. Use the mouse to drag the image to new location. Add more marker information. Click More on the Marker information to add three text labels. As for the picture, there are three labels, one Label has one Label name and Tagname.

  • Label Name : The Name of label

  • Tag Name : Type the Tag Name to connect the Web access node, if the name is the same as the tag node. The marker can show the value of the tag node on the map after typing the Tagname.

  • Normal / Alarm / Alarm Ack : Select Colors and blink for Normal, Alarm and Alarm ACK State to display Alarm Status with Tag Name.

Adding two Labels and Tagnames shown on the map :

    • Delete Marker: Click the left button on the icon, then from the popup window click Delete.

    • Setting Marker: On the lower left quarter, click the set marker, the map will move to the location of the marker on the map.

    • Save map: After creating tag locations, click Save on the top bar of Google map. Type the Map Name and click OK. After saving, the coordinate of the center and ration will become the default.

    • Delete Map : Click Delete to cancel the map on the screen and the saved map

    • Download map: Click Download to download the map to the DAQ. View DAQ will update the map.


17.3.3 WebAccess GPS Location Tracker Configuration

17.3.3 WebAccess GPS Location Tracking Configuration

17.3.3.1 GPS information Configuration

The standard of GPS Devices should comply with NMEA018. GPS devices communicate via RS232 with WebAccess GPS driver.

1. Choose Serial Port

See more information about Serial Port Configuration; please link 3.3.3 Serial ComPort Properties

2. Device Configuration ：See 3.4.1 Device Properties for more information

  • Device Type : GPS

  • GPS Init Command: Support GPRMC and GPGGA format. GPRMC is default

3. Choose GMAP for GPS Location tracking function on Google Maps

GMAP Parameter informaiton

  • Tags content：[Longitude],[Latitude],[Altitude],[ Magnetic Variation],[Date],[UTC_Time]

  • Tags Unit：Decimal Degrees format

      • [Longitude Degree], [Latitude Degree], [Meters],[Degree],[YYYYMMDD],[HH:MM:SS]

      • Longitude：“+” means East / “- “means West

      • Latitude：“+” means North / “- “means South

GPS Driver Parameter list

17.3.3.2 GPS information Configuration

1. Open the Google Maps Function

2. Click twice on the location to add the Marker Information, and the window will show the configuration tool.

3. Type the title. The marker can’t save without a title.

4. When choosing the location, the Latitude and Longitude of the location will be shown on the Marker information.

5. Type the Tracking Name if the Marker will connect to the GPS driver setting to find the Marker Location at runtime. The Tracking name is the tag name from GPS driver setting.

6. Choose Set As Default Tracking, and screen will follow the Marker Location in the center of the Marker when Google Maps is running.

7. Image / Tagname / Left Click Marco configuration are the same as Google Maps configuration.

8. Save the Google Maps and download it to SCADA.

9. On the Runtime page, click Tool -> Map and choose the Map File.

Open ViewDAQ. The Marker will be in center of the Map if the user sets the Marker as Default Tracking. Other Markers will be displayed on the location based on current GPS data

  • Change Tracking Marker

There are two ways to change tracking Marker：

  • Double-Click the left mouse button on the Marker you want to track.

  • Click Marker list on the lower left of the page：The choosen Marker will be in the center of the Map. For example : click the lower-left corner of the “Car 2” of Marker list, the Marker of “Car 2” will be in the center.

  • The new function with GPS Location Tracker in Google Maps：

  • Stop Tracking

  • When the user uses a mouse to drag the Map to see the Marker, the marker will move with GPS configuration but there is no Marker tracking in the center of the Map.

  • When the user zooms in and out the Map, the tracking function will stop

Note :

      • GPS Devices need comply with standard regulation : NMEA0183

      • Communication with WebAccess Driver via serial port RS232


17.3.3 Embed Map

17.3.4 Google Maps Display

1. Embed the button on the interface: the button can connect to the map on View DAQ.

The method: Draw DAQ → Dynamic →Push Button

（Name is the name of the Google map）

a) Embed the Google map on Draw DAQ

The first method: Dynamic → Video Display

Name : XXX

Video : daq:tool=Name.map#user=admin&pass=&tool=0&capt=0&stat=0

（Name is the name of Google map）

b) Embed the Google map on the DAQ

The Second method: Dynamic → Video Display

Name : XXX

Video : uti:gmap/gmap.asp?hwnd=%HWND&map=Name&

（Name is the name of Google map）

2. Save DAQ. Download Graph.

3. View DAQ. The image below:


18. Scheduler

*****************************************************************************************************************************************
*Note:
For XP Standard edition, the Scheduler of Holiday/Time/Equipment Group (such as PLC) is not supported.
 For WinCE edition, the quantity of Holiday Group is 10, the quantity of Time/Equipment Group (such as PLC) is 99.
 ******************************************************************************************************************************************

The Scheduler in Advantech WebAccess provides on/off control and setpoint changes based on time-of-day, day of week and the calendar.

The scheduler can turn lights on and off, lower or raise the temperature at night or during the work day, set temperature to normal levels during each work day, reduce temperature to save energy during unoccupied periods, cycle equipment for load balancing, etc.

The typical use of the Scheduler is in Building Automation, where Lights, Fans, and HVAC equipment are turned on and off based on the time of day and day week. The Scheduler is also used in process control and manufacturing applications.

An unlimited number of Circuit Groups and Equipment Groups (i.e. Zone Controls) can be programmed each with its own unique schedule. Multiple Circuits and Equipment Groups can also share a schedule.

The Scheduler runs on the SCADA Node (or redundant SCADA Nodes).

Note - the "PLC Scheduler" provides a similar user interface. The difference is the schedule logic runs in a PLC or remote field controller.

Power Users and the admin account can change a schedule and download schedules from VIEW. The right-click Menu is used to access the Scheduler.

Right Click -> Tools -> Scheduler

Figure 18.1 Right-Click Menu, Scheduler, Power User in VIEW

Figure 18.2 Scheduler Time Group - 3 shifts per day plus default

General Users and Restricted users will see the Scheduler and Logs grayed out and cannot access them from the Web Browser VIEW.

Figure 18.3 General & Restricted Users can not access Scheduler or Logs (VIEW)


18.1 Overview of Scheduler Functions

The scheduler can provide both "On/Off" and Setpoint changes. For example, an "OFF" hours Temperature Setpoint may be "setback" during evening hours to save energy while the "ON" hours Temperature Setpoint may be set for occupant comfort. The On Value and Off value are specified for each Tag (or Circuit). These can be any two values (i.e. not just 0 and 1) to allow setpoint changes and other value changes (included text strings).

The On Values and Off Values are specified for each tag in the Circuit Group. A tag can be viewed as representing a single electrical circuit (for example on/off control of lights). Hence, groups of tags are called "Circuit Groups". A "Circuit Group" can be any group of tags (or even a single tag) that will always share the same schedule.

The Time specifies the Start Time and Stop Time for each day of the Week. Each day of a schedule consists of Normal Hours, two sets of Extra Hours and a Default time period. Separate Start and Stop Time can be defined for Normal Hours, Extra Hours I and Extra Hours II. The Default applies to any time outside of Normal or Extra Hours. The Normal Hours, and Extra Hours, combined with the "Default", allows 4 time periods per day (minimum) to be specified. Additional schedules can be defined if more "periods" per day are required.

A Cycle Time, in 1-minute intervals, can also be specified to allow On/OFF cycling of equipment during the schedule (for example, turn the Fans on for 10 minutes, then off for 20 minutes from 8:00 am to 5:00 pm). The ON CYCLE TIME and OFF CYCLE TIME can be defined for each Normal, Extra Hours and default period of the day. If both ON Cycle = 0 and OFF Cycle=0, then nothing happens, the tags remain unchanged during the time period. If ON Cycle=1 and OFF Cycle=0, then no cycling happens and the tags are set to the ON values for the duration of the Start to Stop time.

Holiday defines calendar-based events. It allows "Holiday Schedules" to be set to account for non-occupancy or special events. The Holiday schedule can be used for any calendar event (based on Month, Day of Month and Year) up to 1 year in the future. Multiple holiday schedules can be configured and assigned to different groups of tags.

There is no limit to the number of Schedules that can be configured. Each schedule has a START TIME, STOP TIME, optional CYCLE time, ON and OFF values for each day of week plus the "Holiday schedule".

An Equipment Group associates a Time Schedule with one or more Circuit Groups . Multiple "Circuit Groups" can be linked to a single "Time Schedule" in an "Equipment Group". For example, the lights for each floor a building might be grouped into a Circuit group each (1stFloorCircuit, 2ndFloorCircuit, 3rdFloorCircuit, … 40thFloorCircuit). Each 'Occupied" floor might be assigned to the "Occupied Equipment Group" with the "Occupied Schedule". If a tenant moves, that floor would be reassigned to the "Unoccupied" Equipment group, which uses the "Unoccupied Schedule".

A MANUAL ON and MANUAL OFF feature allow a schedule to be "overridden" and forced to the ON or OFF values for a Circuit Group. MANUAL ON/OFF is typically used to enable occupancy (i.e. turn on the lights) for non-scheduled events. AUTOMATIC follows the defined schedule when specified in a Circuit Group.

New schedules and changes to schedules will Download to the SCADA node without stopping the SCADA Node.

Power Users can download and Modify Schedules from VIEW (and ViewDAQ) from the Tools menu. Web browser VIEW clients must be log in as Power Users to Download or Modify a Schedule. Any ViewDAQ user can download a schedule.

To access Scheduler from VIEW:
Right Click -> Tools -> Scheduler

To access Scheduler from ViewDAQ:
From the Menu Bar select Tools -> Scheduler

or a pushbutton can be built using <GOTO>tool=bwsch.uti


18.2 Scheduler Configuration

The usual steps to build a set of schedules are:

1) Define Holiday Schedules to handle exceptions to the 7 days per week schedule. The "Holiday" is any unusual event or series of events. The Holiday Schedule can be defined, redefined and assigned at any time, but usually is defined first to allow easy assignment to the Time Schedules as the "exception" to the schedule.

2) Define the Time Schedules. These are the START TIME and STOP TIME for Normal and Extra Hours for a weekly schedule. A single "Holiday Schedule Group" is assigned to each Time Schedule.

3) Define Equipment Groups. One or multiple Circuit Groups and a single Time Schedule are assigned to each Equipment Group. Equipment Groups are groups of Circuits that frequently share the same Time Schedule.

4) Define Circuit Groups. These are "Tags" that will always share the same Schedule.

5) Download the Schedules to the SCADA node. You can download the SCHEDULER without stopping the SCADA node. The new schedule will take effect immediately. If a tag is supposed to be ON, it will be set to the ON value.

Project Users can add, modify and download Schedules from the Project Manager.

Power Users can add, modify and download Schedules from VIEW.


18.2.1 Holiday

18.2.1 Holiday (Not supported by XP Standard and WinCE)

The Holiday schedule can be used for any calendar event or series of events, based on Month, Day of Month and Year, up to 1 year in the future. Multiple holiday schedules can be configured and assigned to different groups of tags.

The typical use is to create "Holiday" schedules to account for non-occupancy of buildings in order to have an "exception" to the normal weekday schedule. A Holiday Schedule can be created for any calendar event, not just holidays, that are based on the Day, Month and Year.

Figure 18.4 Holiday configuration - Scheduler

Holidays and exceptions to normal schedule are shown in RED. Single-click on a date to add / remove it as a "holiday".

Group List (Holiday) - is a List of all configured Holidays.

Group Number (Holiday) - the user defined number for the Holiday Schedule. Entering a New number, not already specified, will create a new Holiday Schedule Group. Entering a number of an existing group will try to over-write or update that Holiday Group.

Group Name (Holiday) - the user defined Name for this Holiday Schedule.

New (Holiday) - creates a new blank Holiday Schedule Group.

Delete (Holiday) - deletes specified holiday schedule, specified in Group Number.

Save (Holiday) - Saves without downloading the currently displayed Holiday Schedule Group, as the group number specified in Group Number. If that Group number does not already exist, this will create a new Holiday Schedule. If that group number does exist, it will try to over-write the existing group with this Holiday Schedule and description.

Save and Download – Saves this Holiday schedule and downloads this and all other changes to Scheduler (including saved changes to Equipment Groups, Circuit Groups and Time Groups).

You can create a very large number of Holiday Schedule Groups. For example, if you have multiple clients in a high rise building, they may each have their own holiday schedule.

Each Time Schedule has one Holiday Schedule Group assigned to it. This Holiday Schedule becomes the "exception" to the normal weekday schedule defined in each Time Schedule. The same Holiday Schedule can be assigned to multiple Time Schedules.

It's probably best to start out with one Holiday Schedule, than as you find exceptions to that Holiday Schedule, create new holiday schedules and assign those the Time Schedules that require a different exception Schedule.


18.2.2 Time

18.2.2 Time (Not supported by XP Standard and WinCE)

The Time Schedule specifies the Start Time and Stop Time for each day of the Week. There is no limit to the number of Schedules that can be configured. Each schedule has a START TIME, STOP TIME, Normal Hours, two sets of Extra Hours, and optional CYCLE time for each day of week plus the "Holiday schedule". The same Time Schedule can be assigned to multiple Equipment Groups.

You can build an unlimited number of Time Schedule Groups. For example, if you have multiple clients in a high rise building, they may each have their own Time schedule.

It's probably best to start out with one or two Time Schedules; then as you find exceptions, create new Time Schedules as needed. For each new Time Schedule you create, you will probably need to create a new Equipment Groups in order to assign that new Time Schedule to the desired Circuit Group(s).

Figure 18.5 Time Group - "the time schedule"

Time Period - Each day of a schedule consist of Normal Hours time period, two sets of Extra Hours time periods and a Default time period. The Normal Hours, Extra Hours and Extra Hours II , combined with the "Default", allows 4 time periods per day (minimum) to be specified.

Normal - is any user defined Time period. Usually it is associated with normal business hours.

Extra Hours I - is any user defined Time period. Usually it is associated with after normal work hours. It is equivalent to Normal; it is a second time period that can be defined.

Extra Hours II - is any user defined Time period. Usually it is associated with after normal work hours. It is equivalent to Normal; it is a third time period that can be defined.

Default - applies to any time outside of Normal, Extra Hours I or Extra Hours II.

Start - defines the beginning of each time period: Normal Hours, Extra Hours I and Extra Hours II. The time can be specified in 5-minute intervals. If both Start=0:00 and Stop=0:00 no action is taken and the period (its undefined).

Stop - defines the end of each time period: Normal Hours, Extra Hours I and Extra Hours II. The time can be specified in 5-minute intervals. If both Start=0:00 and Stop=0:00 no action is taken and the period (its undefined).

Cycle ON - specifies an "ON Cycle Time", in 1-minute intervals, to allow On/OFF cycling of equipment during the schedule (for example, turn the Fans on for 10 minutes, then off for 20 minutes from 8:00 am to 5:00 pm). The ON CYCLE TIME can be defined for each Normal, Extra Hours and default period of the day. For any non-zero value of ON Cycle, if OFF Cycle=0, no cycling occurs. If ON Cycle=1 and OFF Cycle=0, then no cycling happens and the tags are set to the ON values once at the Start Time and set to OFF value ONCE at the Stop time.

If both ON Cycle = 0 and OFF Cycle=0, then nothing happens, the tags remain unchanged during the time period. If ON Cycle=5 and Off Cycle=10, then the equipment will cycle from ON to OFF every 15 minutes: 5 minutes ON and 10 minutes OFF.

Cycle OFF - specifies a "OFF Cycle Time", in 1-minute intervals, to allow On/OFF cycling of equipment during the schedule (for example, turn the Fans on for 10 minutes, then off for 20 minutes from 8:00 am to 5:00 pm). The OFF CYCLE TIME can be defined for each Normal, Extra Hours and default period of the day.

If both ON Cycle = 0 and OFF Cycle=0, then nothing happens, the tags remain unchanged during the time period. For any non-zero value of OFF Cycle, if ON Cycle=0, no cycling occurs. If ON Cycle=1 and OFF Cycle=0, then no cycling happens and the tags are set to the ON values once at the Start Time and set to OFF value ONCE at the Stop time. If ON Cycle=5 and Off Cycle=10, then the equipment will cycle from ON to OFF every 15 minutes: 5 minutes ON and 10 minutes OFF.

Group List (Time Schedule) - a list of all configured Time Schedules.

Sort By (Time Schedule) - Changes how Time Schedule Groups are sorted in the Group List: by Name or Number.

Group Number (Time Schedule) - the user defined number for the Time Schedule. Entering a New number, not already specified, will create a new Time Schedule Group. Entering a number of an existing group will try to over-write or update that Time Schedule.

Group Name (Time Schedule) - - the user defined Name for this Time Schedule.

Holiday Group - Lists all Holiday Groups and assigns a "Holiday Schedule" to this Time Schedule. Each Time Schedule has one Holiday Schedule Group assigned to it. This Holiday Schedule becomes the "exception" to the normal weekday schedule defined in each Time Schedule. The same Holiday Schedule can be assigned to multiple Time Schedules. "Holiday Schedules" are used commonly to account for non-occupancy or special events. The Holiday schedule can be used for any event based on Month, Day of Month and Year, up to 1 year in the future.

Sort By (Holiday Group) - Changes how Holiday Groups are sorted: by Name or Number.

Delete (Time Schedule) - deletes specified Time schedule, specified in Group Number.

Save (Time Schedule) - Saves the currently displayed Time Schedule as the specified Group Number. If that Group number does not already exist, this will create a new Time Schedule. If that group number does exist, it will try to over-write the existing group with this Time Schedule and description.


18.2.3 Circuit Group

A "Circuit Group" can be any group of tags (or even a single tag) that will always share the same schedule. A "Circuit" typically is all the On/OFF relays for the Lights in a given area of the plant.

Multiple "Circuit Groups" can be linked to a single "Time Schedule" in an "Equipment Group". Circuit Groups are easily moved from one Equipment Group to another, thereby changing the Time Schedule that applies to the Circuit Group.

For example, the lights for each floor a building might be grouped into a Circuit group each (1stFloorCircuit, 2ndFloorCircuit, 3rdFloorCircuit, … 40thFloorCircuit). Each "Occupied" floor might be assigned to the "Occupied Equipment Group" with the "Occupied Schedule". If a tenant moves, that floor would be reassigned to the "Unoccupied" Equipment group, which uses the "Unoccupied Schedule".

Figure 18.6 Circuit Group - IO Tags for On/OFF and setpoints and text

Max Tags All Groups - this is the maximum number of Tags that can be specified in any Circuit Group. This applies to all circuit groups. You can change this at any time. Making this larger than necessary will increase file sizes and download times. You can not change this to less than the number of tags in any existing Groups.

Tag List – provides a pull down menu of tag names for easy data entry. Click the fields listed under Tag Name, then open the Tag List by clicking on it. Scroll down to find the tag name. Click once on the tag name to enter it into the selected tag name field.

Tag Name - this column lists the Tags associated with this Circuit group. A tag can be any Analog, Discrete or Text IO Tag, Constant or Calculation Tag. The Tag

On Value - is the value the Tag will be changed to at the Start Time if ON Cycle or OFF Cycle is non-zero for the time period. Applies to Normal, Extra Hours I, Extra Hours II and Default time periods. ON Value can be an analog, discrete or text value. ON Value for a temperature setpoint is any analog value (e.g. 72 ). ON Value for a Text value can be any text string. ON Value for a Digital is usually "1". Digital and Discrete tags must be set to an integer value between 0 and 7 (you can not use the state descriptor for discrete tags).

Off Value - is the value the Tag will be changed to at the Stop Time if ON Cycle or OFF Cycle is non-zero for the time period. Applies to Normal, Extra Hours I, Extra Hours II and Default time periods. OFF Value can be an analog, discrete or text value. OFF Value for a temperature setpoint is any analog value (e.g. 68 ). OFF Value for a Text value can be any text string. OFF Value for a Digital is usually "0". Digital and Discrete tags must be set to an integer value between 0 and 7 (you can not use the state descriptor for discrete tags).

Sort By (Circuit Group) - Changes how Circuit Groups are sorted in the Group List: by Name or Number.

Circuit Group List - a list of all configured Circuit Groups.

Circuit Group Number - the user defined number for the Circuit Group. Entering a New number, not already specified, will create a new Circuit Group. Entering a number of an existing group will try to over-write or update that Circuit Group.

Circuit Group Name - the user defined Name for this Circuit Group.

Equipment Group - Lists all Equipment Groups and assigns this Circuit Group to the specified Equipment Group.

Sort By (Equipment Group) - Changes how Equipment Groups are sorted: by Name or Number.

Workday Mode - specifies the Monday through Sunday schedule mode as either Automatic or Manual. This allows the schedule for the circuit group to be overridden, disabled or enabled. MANUAL ON/OFF means all tags will be manually set by an operator using the "Download to SCADA Node" button. Manual ON/OFF is typically used to enable occupancy (i.e. turn on the lights) for non-scheduled events and to disable automatic scheduling.

AUTOMATIC - follows the defined schedule when specified in a Circuit Group.

MANUAL ON - forces all tags in this Circuit Group to their ON Value at the next Download to SCADA Node. The schedule will be ignored and disabled until reset to automatic.

MANUAL OFF - forces all tags to their OFF Value at the next Download to SCADA Node. The schedule will be ignored and disabled until reset to automatic.

If the MANUAL ON/OFF is temporary, it is recommended to change the Mode back to automatic, and submit the change, after the download. Every Download to SCADA Node will enforce all Manual ON and Manual OFF settings for all Circuit Groups.

Holiday Mode - specifies the Holiday schedule mode as either Automatic or Manual. allows the schedule for the circuit group to be overridden, disabled or enabled. MANUAL ON/OFF means all tags will be manually set by an operator using the "Download to SCADA Node" button. Manual ON/OFF is typically used to enable occupancy (i.e. turn on the lights) for non-scheduled events and to disable automatic scheduling.

AUTOMATIC - follows the defined schedule when specified in a Circuit Group.

MANUAL ON - forces all tags in this Circuit Group to their ON Value at the next Download to SCADA Node. The schedule will be ignored and disabled until reset to automatic.

MANUAL OFF - forces all tags to their OFF Value at the next Download to SCADA Node. The schedule will be ignored and disabled until reset to automatic.

If the MANUAL ON/OFF is temporary, it is recommended to change the Mode back to automatic, and submit the change, after the download. Every Download to SCADA Node will enforce all Manual ON and Manual OFF settings for all Circuit Groups.

Delete (Circuit Group) - deletes specified Circuit Group, specified in Group Number.

Save (Circuit Group) - Saves the currently displayed Circuit Group as the specified Group Number. If that Group number does not already exist, this will create a new Circuit Group. If that group number does exist, it will try to over-write the existing group with the displayed Tags, On Values, Off Values, Modes and description.


18.2.4 Equipment Group

18.2.4 Equipment Group (Only supported by XP Professional)

*****************************************************************************************************************************************
*Note: For XP Professional edition, the quantity of groups is limited to 999.
 ******************************************************************************************************************************************

Equipment Groups associate one or multiple Circuit Groups with a Time Schedule. Equipment Groups allow a single Time Schedule to be assigned to multiple Circuit Groups quickly and reduces the need to re-create the same schedule.

The philosophy in designing an Equipment Groups is to view an Equipment Groups as Tags (Circuits) that frequently share the same Time Schedule. In contrast, Circuit Groups are best viewed as Tags that "always" share the same schedule.

An example of multiple "Circuit Groups" linked to a single "Time Schedule" in an "Equipment Group" are, the lights for each floor a multi-story building. The Lights of each Floor might be grouped into a Circuit group each (1stFloorCircuit, 2ndFloorCircuit, 3rdFloorCircuit, … 40thFloorCircuit). Each "Occupied" floor might be assigned to the "Occupied Equipment Group" with the "Occupied Schedule". If a tenant moves, that floor would be reassigned to the "Unoccupied" Equipment group, which uses the "Unoccupied Schedule".

Figure 18.7 Equipment Group - Link multiple circuit groups to same schedule

Group List (Equipment Group) - a list of all configured Equipment Groups.

Sort By (Equipment Group) - Changes how Equipment Groups are sorted in the Group List: by Name or Number.

Group Number (Equipment Group) - the user defined number for the Equipment Group. Entering a New number, not already specified, will create a new Equipment Group. Entering a number of an existing group will try to over-write or update that Equipment Group.

Group Name - the user defined Name for this Equipment Group.

Time Group - The most important feature. Assigns a Time Schedule to all the Circuit Groups Listed in this Equipment Groups. Also lists all configured Time Schedules (Time Groups).

Sort By (Time Group) - Changes how Time Groups are sorted in the Group List: by Name or Number.

Circuit Group - Lists all Circuit Groups assigned to this Time Group. Note that you assign Circuit Groups to a Time Group from the Circuit Group Configuration page.

Delete (Equipment Group) - deletes specified Equipment Group, specified in Group Number.

Save (Equipment Group) - Saves the currently displayed Equipment Group as the specified Group Number. If that Group number does not already exist, this will create a new Equipment Group. If that group number does exist, it will try to over-write the existing group with displayed Time Group and Name.


18.2.5 Create or Modify a Schedule

Schedules can be created, edited and downloaded from:

· the Project Manager (Project Users and admin)

· VIEW (Power Users and admin)

· ViewDAQ


18.2.5.1 Start Scheduler in Project Manager

1. Login in to Project Manager

2. Select Project and SCADA Node

3. From SCADA Node main page, select Scheduler.

Figure 18.8 Scheduler - Project Manager


18.2.5.2 Start Scheduler in View or ViewDAQ

Start Scheduler from VIEW:

1. Login as a Power User or Admin.

2. Right Click -> Tools -> Scheduler

Figure 18.9 VIEW Scheduler (Right Click Menu)

Start Scheduler from ViewDAQ:

1. From the Menu Bar, select Tools -> Scheduler

Figure 18.10 Scheduler - ViewDAQ


18.2.5.3 Create a Schedule

1. Start Scheduler from Project Manager, VIEW or ViewDAQ.

2. From the Holiday page, create at least one holiday schedule. It can be blank. The Holiday Schedule defines “exceptions” to the 7 day per week schedule. The "Holiday" is any unusual event or series of events. The Holiday Schedule can be defined, redefined and assigned at any time, but usually is defined first to allow easy assignment to the Time Schedules as the "exception" to the schedule.

a. Enter a name for the Holiday Schedule.

b. Enter a Group Number.

c. Press submit.

3. Select Time.

4. On the Time Group page, define the Time Schedules. These are the START TIME and STOP TIME for Normal and Extra Hours for a weekly schedule. A single "Holiday Schedule Group" is assigned to each Time Schedule.

Figure 18.11 Time Group Number, Name and Holiday

a. Enter a Time Group Number.

b. Enter a name the Time Group.

c. From pull down list, select Holiday Schedule.

Figure 18.12 Time Group - Normal Hours

d. Under Normal Hours, use the pull down list to select Start and Stop times (Monday through Sunday and Holiday).

e. Enter 1 under Cycle ON and leave 0 as Cycle Off if value is continuously ON.

f. Repeat for Extra Hours, Extra Hours II and default cycle if there are multiple scheduled per day. (See Time for more detailed information)

g. Press submit.

5. Select Equipment Group.

6. Define Equipment Groups by:

a. Enter Group Number

b. Enter a Name

c. Select a Time Group (a Schedule) from the pull down menu.

d. Press submit.

7. Select Circuit Group

8. Define Circuit Groups. These are "Tags" that will always share the same Schedule.

a. Enter a Name for the Circuit Group.

b. Accept 0 or enter a Circuit Group Number.

c. Select an Equipment Group from the pull down menu. The Equipment Group associates a Time Group (a Schedule) with this Circuit and, optionally, the same time group/schedule with other circuits.

d. Select a field under Tag Name.

e. Select the Tag List.

f. Scroll down list to find desired Tag.

g. Click once on the Tag in Tag List.

h. Repeat for other Tag Names.

i. To increase the number of tags, modify the Max Tags field.

j. Press submit.

9. Download the Schedules to the SCADA node. You can download the SCHEDULER without stopping the SCADA node. The new schedule will take effect immediately. If a tag is supposed to be ON, it will be set to the ON value.


18.2.6 Download to SCADA Node (Scheduler)

A Power User can Down Load Schedules from VIEW (the web browser).

A Project User can Down Load Schedules from the Project Manager (web browser).

Any user can download schedules from ViewDAQ.


18.2.6.1 Download Schedule from Project Manager

Schedule changes will Download to SCADA Node without stopping the SCADA node. This can be done from any configuration page in the Scheduler (Time, Equipment, and Circuit Group).

A dialog box prompts to confirm the Download Schedule to SCADA Node. All "submitted" changes made to the scheduler are downloaded.

All Manual ON or Manual OFF states are also downloaded.

To Download a change to the SCADA node from Project Manager:

1. Login to Project Manager

2. Select Project and SCADA Node.

3. Select Scheduler from SCADA Node main page.

4. Make the desired change in Holiday, Time, Circuit Group, or Equipment Group.

5. Press the "Submit" button

6. Click on Download to SCADA Node.

4. Select OK at the prompt to Download Scheduler.


18.2.6.2 Download Schedule from VIEW

Power Users can download and Modify Schedules from VIEW (and ViewDAQ) from the Tools menu. Web browser VIEW clients must be logged in as a Project Users to Download or Modify a Schedule. Any ViewDAQ user can download a schedule.

To access Scheduler from VIEW:
Right Click -> Tools -> Scheduler

To access Scheduler from ViewDAQ:
From the Menu Bar, select Tools -> Scheduler

Or a pushbutton can be built using <GOTO>tool=bwsch.uti

Schedule changes will Download to SCADA Node without stopping the SCADA node. This can be done from any configuration page in the Scheduler (Time, Equipment, and Circuit Group).

A dialog box prompts to confirm the Download Schedule to SCADA Node. All "submitted" changes made to the scheduler are downloaded.

All Manual ON or Manual OFF states are also downloaded.

To Download a change to the SCADA node from Project Manager:

1. Make the desired change in Time, Holiday, Equipment or Circuit Group.

2. Press the "Submit" button

3. Click on Download to SCADA Node.

4. Select OK at the prompt to Download Scheduler


18.3 Overview of Classroom Scheduler Functions

The Classroom Scheduler is a licensed option. It allows the definition of up to 16 periods per day.

Figure 18.2.1 Classroom Scheduler Class Time Periods

If the SCADA Node has the license, then the Classroom Scheduler shows in the Right Click -> Tools menu in VIEW below the Scheduler and PLC Scheduler.

Figure 18.3.1 Right-Click Tools Menu with Classroom Scheduler

The scheduler can provide both "On/Off" and Setpoint changes. For example, an "OFF" hours Temperature Setpoint may be "setback" during evening hours to save energy while the "ON" hours Temperature Setpoint may be set for occupant comfort. The On Value and Off value are specified for each Tag (or Circuit). These can be any two values (i.e. not just 0 and 1) to allow setpoint changes and other value changes (included text strings).

The On Values and Off Values are specified for each tag in the Circuit Group. A tag can be viewed as representing a single electrical circuit (for example on/off control of lights). Hence, groups of tags are called "Circuit Groups". A "Circuit Group" can be any group of tags (or even a single tag) that will always share the same schedule.

The Time specifies the Start Time and Stop Time for each period of the day, up to 16 periods. (Note that the standard Scheduler allows only time 4 periods per day).

Class Setting enables the ON setting if the time period is set to YES (red color). If the class setting is NO (green color) , then the OFF value is used.

Holiday defines calendar-based events. It allows "Holiday Schedules" to be set to account for non-occupancy or special events. The Holiday schedule can be used for any calendar event (based on Month, Day of Month and Year) up to 1 year in the future. The OFF value is used for Holidays in the CLassroom Scheduler (unlike the Scheduler).

An Equipment Group associates a Time Group with one or more Circuit Groups . Multiple "Circuit Groups" can be linked to a single "Time Schedule" in an "Equipment Group". For example, the lights for each floor a building might be grouped into a Circuit group each (1stFloorCircuit, 2ndFloorCircuit, 3rdFloorCircuit, … 40thFloorCircuit). Each 'Occupied" floor might be assigned to the "Occupied Equipment Group" with the "Occupied Schedule". If a tenant moves, that floor would be reassigned to the "Unoccupied" Equipment group, which uses the "Unoccupied Schedule".

A MANUAL ON and MANUAL OFF feature allow a schedule to be "overridden" and forced to the ON or OFF values for a Circuit Group. MANUAL ON/OFF is typically used to enable occupancy (i.e. turn on the lights) for non-scheduled events. AUTOMATIC follows the defined schedule when specified in a Circuit Group.

New schedules and changes to schedules will Download to the SCADA node without stopping the SCADA Node.

Power Users can download and Modify Schedules from VIEW (and ViewDAQ) from the Tools menu. Web browser VIEW clients must be log in as Power Users to Download or Modify a Schedule. Any ViewDAQ user can download a schedule.

To access Scheduler from VIEW:
Right Click -> Tools -> Classroom Scheduler

To access Scheduler from ViewDAQ:
From the Menu Bar select Tools -> Classroom Scheduler


18.3.1 Class Number and Time

The Class Number and Time Class Number and Time The number of Time Periods in the Days of the week. And it defines the Start Time and Stop Time of each classroom period. Up to 16 classroom periods can be defined. They apply to all days of the week.

Figure 18.4.3 Classroom Periods are defined. Up to 16 per day.


18.3.2 Class Setting

Class Setting is used to set the Occupancy (Yes or No) during each period. The these periods where defined in the Class Number and Time Class Number and Time. Class Setting enables the ON setting if the time period is set to YES (red color). If the class setting is NO (green color) , then the OFF value is used.

Figure 18.4.6 Class Setting used to set the occupancy of for the various Classroom Time Periods

y.


19. Database Utilities

There are several Database Import and Export Utilities in Web Access:

EXCEL OUT - exports a Tag Database to an EXCEL workbook (Spreadsheet) in EXCEL 97 format. It creates worksheets with the correctly labeled fields and data types. It is most commonly used to export a database for editing. Only Tags are exported (no graphics, scripts, macros, recipes, schedules are exported).

EXCEL IN - imports a Tag Database from an EXCEL workbook (Spreadsheet) from EXCEL 97 or 2000 formats. The worksheet names and fields must be in the same format as the EXCEL OUT creates. It is suggested to create a project in Advantech WebAccess with tags of the various Devices, and Types to act as a template, then use EXCEL OUT as a starting Point for creating a spreadsheet for use with EXCEL IN. Only Tags are imported (no graphics, scripts, macros, recipes, schedules are exported).

Import SCADA Node - imports a SCADA node from another Project. (All Tags, Blocks, Graphics, Scripts, Keymacro Files, Recipes, Schedules, etc.) Everything. Import SCADA Node allows you to both Merge Projects and Split projects up.

Related topics in another sections are:

Backup & Restore

Log Data Maintenance

Copying Projects and files

UPDATE


19.1 EXCEL IN & EXCEL OUT

The database export and import to EXCEL (EXCEL IN and EXCEL OUT) allow users to modify Tags and Blocks in EXCEL using copy, paste, edit and other EXCEL tools.

The EXCEL OUT function is used to transfer Tag and Block configuration information to an EXCEL Spreadsheet. EXCEL OUT exports all the Tags and Blocks for one SCADA Node to an EXCEL workbook. After exporting the SCADA Node's Tag database, you can modify the Tags and Blocks by editing the entries or creating additional records (rows).

EXCEL IN imports the modified Tag database back into any SCADA Node in any Advantech WebAccess Project.

The most common use of EXCEL is to copy and paste recurring values to a group of tags (for example, copy DEGF as the EUNIT for all Temperature Tags).

The recommended method of using an EXCEL spreadsheet to edit tags is to first configure tags (and or Blocks) using the standard Advantech WebAccess ASP pages. These will act as "templates" that you can export to EXCEL (EXCEL OUT).

Users can add new Tags and Blocks by copying existing tags or blocks, inserting the copied rows, then editing the copy to make unique tag and block names. The address must also be changed to match the actual address in the field device.

Note also that each EXCEL worksheet has a limit of 65,536 rows (i.e. tags). If your database is large, and any one tag-type exceeds 65,000 (e.g. analog tags exceed 65,000) on one SCADA Node, you might consider working on the Access database directly.

EXCEL IN and EXCEL OUT export and import to the PROJECT NODE. You can initiate EXCEL import/output from any client, but the EXCEL spreadsheet will be created on the Project Node. If you are working from a client, you can download the EXCEL workbook (spreadsheet) using your web browser. To download the EXCEL spreadsheet (workbook) to a client, open a Web Browser and entering the IP address of the Project Node with the broadweb/excel path and the name of the Excel workbook you created. For example, to download from the Live Demo the bwCfgExport.XLS, type:

http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

If you are working from a Client, and would like to copy the modified EXCEL workbook back to the Project Node, you will need access to a shared folder on the project node or FTP should be enabled on the project node with privileges to write to the ftp server. Then, you could use EXCEL IN, browse to the shared folder or FTP server's folder and import the EXCEL spreadsheet using EXCEL IN. EXCEL 97 and EXCEL 2000 are supported by the EXCEL import functions.

EXCEL IN requires the Project Name and SCADA Node name match the target project and node. You must rename the Project and SCADA Node columns in all the sheets (BwAnalog, BwDiscrete, BwAlarmAnalog, etc.) if you are copying a node to a new node name or project.

When importing tags to a SCADA Node, the Comport and Device specified must already exist in the target Node Configuration, EXCEL IN imports only Tags and Blocks, it does not create SCADA Nodes, comports or devices.

CAUTION: BACKUP your PROJECT BEFORE using EXCEL IN! Importing a database to a Advantech WebAccess project will overwrite the configuration data in the original project's SCADA Node. Before you import data to an existing database, be sure you backup your database so that you have the option to restore the database to its original form if required.

When you export, you can define any name and path for your EXCEL Workbook (i.e. spreadsheet). Advantech WebAccess will create a new Workbook with spread sheets named: BwAnalog, BwDiscrete, BwText, BwCalcAnalog, BwCalcDiscrete, BwAcc. BwAlarmAnalog and BwAlarmDiscrete. The utility also creates three blank spreadsheets, sheet1, sheet2, and sheet3 that you can use for any purpose.

BwAnalog - contains all Analog type IO Tags, Analog Block Tags (Parameters) and Constant Tags. Analog tags have real numbers as their value (e.g. 100.1, 0.0, 1955). These are distinguished by the "Tag Type" column:

Tag Type Description

3 Constant Tag - analog type
6 IO Tag - analog type
b Block Tag Parameter - analog type

Constant Tags usually have a blank address fields.

BwDiscrete - contains all Discrete type IO Tags, Discrete Block Tags (Parameters) and Discrete Constant Tags. Discrete tags have integers as their value (0 to 7). Digital tags (ON / OFF, True/False, 0/1) are considered discrete. These are distinguished by the "Tag Type" column:

Tag Type Description

4 Constant Tag - discrete type
7 IO Tag - discrete type
b Block Tag Parameter - discrete type

Constant Tags usually have a blank address fields.

BwText - contains all Text type IO Tags, Text Block Tags (Parameters) and Text Constant Tags. Text tags have text strings as their value (e.g. ASCII strings). Tag Type Description

5 Constant Tag - text type
8 IO Tag - text type
b Block Tag Parameter - text type

Constant Tags usually have a blank address fields.

BwCalcAnalog - contains all Analog-type Calculation Tags. Analog tags have real numbers as their output value.

BwCalcDiscrete - contains all Discrete-type Calculation Tags. Discrete tags have integers as their output value (0 to 7). Digital tags (ON / OFF, True/False, 0/1) are considered discrete.

BwAcc - contains all Accumulation Tags.

BwAlarmAnalog - contains all Alarms for Analog-type tags. The corresponding tag must exist in one of the BwAnalog, BwCalcAnalog or BwAcc worksheets.

BwAlarmDiscrete - contains all Alarms for Discrete-type Tags. The corresponding tag must exist in either the BwDiscrete or BwCalcDiscrete worksheets.

If you use the default path and filename for EXCEL OUT, Advantech WebAccess copies the previous EXCEL spreadsheet that was exported to the backup folder on the Project Node.

To simplify the process of configuring a Advantech WebAccess database, you can use EXCEL IN to export the Tag database to EXCEL, edit the exported file and import it back to any Advantech WebAccess project.

Importing data can only be done if there are valid worksheet names with valid column names. Typically, data is first exported from Advantech WebAccess to an external spreadsheet to create the appropriate worksheets and columns. The data can then be imported back into Advantech WebAccess.


19.1.1 EXCEL OUT Example

19.1.1 EXCEL OUT

EXCEL OUT - exports the Tag Database of a SCADA node to an EXCEL Spreadsheet on the SCADA node, to allow editing of the tags and adding new tags by copying existing tags. EXCEL IN allows those changes to be imported into the Project or another project.

It is recommended to create tags only by copying tags already exported using EXCEL OUT.

EXCEL OUT creates a EXCEL Worksheet on the Project Node. You must be on the Project Node or have access to a Shared Drive or an FTP directory on the Project Node to edit this EXCEL Worksheet.

To export Tags to EXCEL

1. Login to Project Manager

2. Select SCADA Node from the Project Tree at left

3. Select EXCEL OUT hyperlink.

4. Optionally modify the path and file name of the EXCEL Worksheet. (note - this will be located on the Project Node)

5. Press Submit.

6. A Progress Box opens. Press CLOSE to close the box.

7. An ASP Page appears listing Tags exported to Excel.

8. Optionally, Print the list.

9. Press OK when finished.

Open EXCEL on the Project Node to edit the file named in step 4 above.


19.1.2 Edit EXCEL Example

19.1.1 Edit and Create Tags in EXCEL

It is recommended to create tags only by copying tags already exported using EXCEL OUT.

EXCEL OUT creates a EXCEL Worksheet on the Project Node. You must be on the Project Node or have access to a Shared Drive or an FTP directory on the Project Node to edit this EXCEL Worksheet.

To copy Tags to EXCEL

1. Start EXCEL on the Project Node.

Important - EXCEL OUT creates a EXCEL Worksheet on the Project Node. You must be on the Project Node or have access to a Shared Drive or an FTP directory on the Project Node to edit this EXCEL Worksheet

3. Open the Worksheet you exported.

Typically this is located at C:\WebAccess\Node\config\ bwTagExport.XLS.

4. The first three sheets are blank (Sheet1, Sheet2, and Sheet3 are blank and can be erased or used for notes)

5. Select BwAnalog sheet to edit Analog Tags.

6. Insert rows only above the last row.

7. Modify the new rows or existing rows.

8. Select BwDiscrete to modify Discrete Tags.

9. Select BwAlarmAnalog to modify Analog Alarms.

10. Select BwAlarmDiscrete to modify Discrete Alarms.

11. Select BwText to modify Text Tags.

12. Select BwCalcAnalog to modify Analog Calculation Tags

13. Select BwCalcDiscrete to modify Discrete Calculation Tags

14. Select BwAcc to modify Accumulation Tags.

15. Save the EXCEL Worksheet using a different name.

Important - BwTagExport will be overwritten the next time EXCEL Out is used and will erase your work.

Common Errors

A. Do not select an entire Column and paste. This will create 65535 rows of mostly empty data and will result in a very long time to import via EXCEL IN. The web server may timeout resulting in no imported tags.

B. Do not save as bwTagExport. It will be overwritten the next time EXCEL Out is used and will erase your work

C. The worksheet is on the Project Node. If you are on a remote client or remote SCADA node, you will not be able to see the exported worksheet. Contact your system administrator to Map a network drive or have an FTP service set up on the Project node that you can access.


19.1.3 EXCEL IN Example

19.1.3 EXCEL IN

EXCEL IN - imports Tags from EXCEL Spreadsheet. EXCEL IN allows tags to be imported into the Project or another project.

It is recommended to create tags only by copying tags already exported using EXCEL OUT.

EXCEL IN imports an EXCEL Worksheet on the Project Node. You must be on the Project Node or the Project Node must have access to a Shared Drive to import this EXCEL Worksheet.

The Project Name and SCADA Node name for the Tags you want to import from the Worksheet must match the Project and SCADA node you are importing to.

Figure - ProjName and NodeName must match the Project Name and SCADA node name for each tag you are importing to this SCADA node and project.

To import Tags from EXCEL

1. Login to Project Manager

2. Select SCADA Node from the Project Tree at left

3. Select EXCEL IN hyperlink.

4. Optionally modify the path and file name of the EXCEL Worksheet. (note - this must be located on the Project Node).

5. Select No if you want only to insert new tags without overwriting existing tags.

6. Press Submit.

7. A Progress Box opens.

8. An ASP Page appears listing Tags exported to Excel.

9. Optionally, Print the list.

10. Press OK when finished.

The new tags should appear in the Project Under your SCADA node.

Common Errors

A. An entire Column was pasted. This will create 65,535 rows of mostly empty data and will result in a very long time to import via EXCEL IN. The web server may timeout resulting in no imported tags.

B. File name is not correct.

C. The original EXCEL OUT saves as bwTagExport. It will be overwritten the next time EXCEL Out is used and will erase your work

D. The worksheet is on the Project Node. If you are on a remote client or remote SCADA node, you will not be able to see the exported worksheet. Contact your system administrator to Map a network drive or have an FTP service set up on the Project node that you can access.

E. The Project or SCADA node name in the EXCEL spreadsheet does not match the Project or SCADA Node you are importing to.

F. The leading Apostrophe ( ' or single quote) )is omitted from a cell or multiple cells. On newer versions of EXCEL ODBC driver (EXCEL 2000 and later) you can correct this problem by formatting the cells with the missing Apostrophe (') as Text.
Format -> Cells -> Number Tab -> Text.
The ASP page of the EXCEL IN expects data to be formatted as text, including numbers. The leading apostrophe and Format -> Cells -> Text both are interpreted by the ODBC driver a text.


19.2 Import SCADA Node

Import SCADA Node - imports a SCADA node from another Project. All Tags, Blocks, Graphics, Scripts, Keymacro Files, Recipes, Schedules, etc. Everything. Import SCADA Node allows you to both Merge Projects and Split projects up.

To Import SCADA Node

1. Login to Project Manager

2. Select Project from the Project Tree at left

3. Select Import SCADA Node.

4. Enter IP address or URL of remote Project Node.

5. Enter Project Primary TCP Port of remote project.

6. Enter Remote Access Code of remote project.

Note - A Remote Access Code prevents others from copying your SCADA node

7. An ASP Page appears listing SCADA Nodes in the remote project.

8. Optionally, check Import box to import all SCADA nodes.

9. Check the box for each SCADA node to be imported (if you are not importing all SCADA nodes.

10. Optionally Rename the new SCADA Nodes to be imported.

11. Select Submit.

12. An ASP will show progress of the import.

For example:

Import SCADA Node......

Import Primary SCADA Node(SCADAnode1).

Import Comport......

Import Device......

Import Tag......

Import Tag......

Import Device......

Import Tag......

Import Other Data..................

13. A success report should appear

Figure 19‑1 Import SCADA Node – confirmation status


19 4 Import External Data

19.3 Import APAX-5000/6000 Variables

WebAccess supports the importing of Advantech APAX-5000 and 6000 series variables, including Tag names and Tag addresses, from the KW CSV file to the WebAccess database and automatically converts the KW variable address to a Modbus address for runtime exchange real-time data.

Step 1：APAX KW CSV Configuration

When you make all the IO configurations and variable settings, execute the following instructions to export all the variables (Global Variables only):

  • Select File and Export：Export the I/O information to the CSV file from the command line.

Figure 19.4.1：KW page

  • Select Cross reference from the pop-up dialog box and click OK

Figure 19.4.2：KW page－Select Cross reference

  • Save CSV file： Keep the default file type-CSV - and specify the file name and path.

Figure 19.4.2：KW page — Save CSV file

  • The CSV file

Figure 19.4.3：CSV file format

Note：

The following CSV file format limitations applicable when importing APAX-5000/6000 Variables to WebAccess:

  • POU/Worksheet：There are different Configurations in APAX Devices, only Global Variables defined in the Resource menu can be selected and exported into WebAccess.

    • For example：Physical Hardware=> Configuration：ARM_L_40*=> Resources:ADV_ARM*=> Global_Variables*, the POU/Worksheet will show C\Configuration\R\Resource\Global_Variables.VB

  • Blocktype：Must be “VAR_GLOBAL”

  • Datatype：Supports BOOL / BYTE / WORD / DWORD, UINT / USINT / UDINT, REAL / INT / DINT. Other KW special data types such as Structure_Array, OPC_Array, TIME, Extended_Task_Info / String / CON_STRU / CTUD, and user-defined Data Type are not supported in WebAccess.

  • I/O Address:

    • If the Variable is in Share Memory, the opening of I/O Address must be %M_3 Type, like MX3 / %MB3 / %MW3 / %MD3. Other types of I/O Address do not support.

    • If the Variable is Input Tag, the opening of I/O Address must be %IX / %IB / %IW / %ID, like %IX0.1 / %IB0 / %IW0

    • If the Variable is Output Tag, the opening of I/O Address must be %QX / %QB / %QW / %QD, like %QX0.0, %QB3,%QW5

    • APAX Mapping table spec.

Step 2：Import APAX variables from APAX CSV file and get real-time data

    • Open Advantech WebAccess Project Manager Page

    • Open or Create Your Project and SCADA Node

    • Click to select the SCADA node which list in Project/Node tree

    • Choose ImportExternalData in Toolbar

Figure 19.4.4：ImportExternalData Page

  • Choose Import APAX-5000/6000 variables

Figure 19.4.5：ImportExternalData Page

  • Upload the CSV file from KW

Figure 19.4.6：Upload the CSV file

  • Select the Interface type: TCP IP or Serial

    • In TCP IP: Users can in put the port number, device IP, device address

Figure 19.4.7：Configuration Page - TCPIP Port

  • In Serial : Users can input the port number(EX: Serial Port 1), device unit number, baud rate, parity. The default is：9600,Even

Figure 19.4.8：Configuration Page - Serial Port

  • Add prefix: Users can add a prefix of up to 6 characters to the entire tag name to distinguish tag names from different devices. For example, if the CSV data is APAX_5028_BO1C000, the tag name will become 123456_ 5028_BO1C000 after adding the prefix “123456”

  • Submit will upload the configuration data

Figure 19.4.8：Data Import Page

  • Check the import Tag(Variables) in Port/Device list Tree

Figure 19.4.9：Data Import Page-2

Note：

  • The length of the Tag name should be shorter than 21 characters. If the tag name in the APAX is more than 21 characters, WebAccess will only import the first 21 characters of the tag name.

  • WebAccess will check for duplicate tag names before inserting them to the database. If a duplicate name is detected, the tag name will have an extra 4 digits added. For example, if there are three files called “NewVar” in the CSV file, WebAccess will import tag name as NewVar, NewVar0001, and NewVar0002.

Tag name in CSV file | Tag name in webAccess
NewVar | NewVar
NewVar | NewVar0001
NewVar | NewVar0002

If the total character length is greater than 21, the first 17 characters are used and the 4 digit sequence numbers are added to the end.


20. Project Manager

The Project Manager is the configuration tool used by Engineers and Technicians to configure communications, access the graphics builder (DRAW), build tags, alarms, reports and all the features in Advantech WebAccess.

The Project Manager is accessed using a standard ASP enabled Web browser. Internet Explorer 6.0 and 7.0 supports all features in Advantech WebAccess.

The Project Manager uses ASP (Active Server Pages) to access the database on the Advantech WebAccess Project Node.

The advantages of the Advantech WebAccess Project Manager are:

1. Remote configuration and support of the Advantech WebAccess HMI & SCADA software.

2. A web browser is the configuration tool used by engineers and technicians.

3. The engineering tool is independent of the software version installed at the customer site. Engineers & technicians always have the correct version of software needed.

4. Multiple users can access and work on the same project simultaneously.

The Project Manager requires a continuous connection with the Project Node (the web server). This is unlike the VIEW client, which does not require a continuous connection. The number of simultaneous connections to the Project Manager is limited by the version Windows (e.g. Professional or Server) and the license purchased. Windows 2000 Professional and XP Professional are limited to 10 simultaneous connections. Server versions can be unlimited.

The Project Manager is used to:

· Create a Project

· Access the SCADA Node properties in order to:

o Build Tags and Blocks

o Start DRAW (the graphics Builder)

o Enable Trending and Data Logging

o Configure Reports, Recipes, Trend Displays, Schedules, Video, and other features

· Download runtime database and graphics to SCADA Nodes

· Start and Stop SCADA Nodes (the kernel)

· Backup and Restore the configuration database and graphics

· View Reports and central ODBC databases of Historical Data

· Maintain Data Log and ODBC databases of historical data

· Update project Data when changing IP Addresses, remote access codes or TCP Ports

· Create Project User accounts to enable users to access the Project Manager or change the admin password.

To start the Project Manager see 2.3.3 Start Advantech WebAccess Configuration.

For more information see 2.1.1 Project Manager and 2.4 Copying Projects and files.


20.1 Admin / Project User

The Users, Passwords & Security Section discusses Advantech WebAccess user accounts in detail.

In brief, Project Users and the admin account can access the Project Manager. Project Users can not access the SCADA Nodes, unless a second account is created in Users in Project Properties.

The admin account is a special account that can not be erased or renamed. The admin account can access all SCADA Nodes and the Project Manager. The admin account and Project User passwords can be changed in either from the Admin / Project User on the Project Home Page or in Users under Project Properties.

Admin / Project User Properties allows you to modify the Admin account and to create other user accounts with ADMIN like properties to access the Project Manager. Project Users are not assigned VIEW access to runtime SCADA Nodes (unless you create another user account with the same name under SCADA node properties).

Users must "Login" using a Username and password. All users are assigned a User Type. The User Types are administrator, project user, power user, general user and restricted user. Only Admin and Project Users can access the Project Manager.

Please refer to the Users, Passwords & Security for a complete description of security.

User names are not case sensitive. Passwords are case-sensitive.


20.1.1 Project User Types

Project Users and the admin account can access the Project Manager. Project Users can not access the SCADA Nodes using VIEW or ViewDAQ, unless a second account is created in Users (on Project Property Page) with the same user name and password. Similarly, other Users can not access the Project Manager, unless a Project User account is created.

Administrator

· Can use Database Configuration Tool (Project Manager).

· Can use Web DRAW to build and edit graphics.

· Can View all Displays in system through Web Browser (including Action Log, Alarm Log, User Programs and Station Status Displays)

· Access all tags using the Point List Dialog box.

Note - There is only one Administrator account in a project. The default name is admin and can not be renamed

Project User

· Can use Database Configuration Tool (Project Manager).

· Can use Web DRAW to build and edit graphics.

· Can NOT View displays in run-time.

· Can View Reports, System Log, Analog Tag Log, Discrete Tag Log, Alarm Log and Action Log through Project Manager

· Can Create, Modify and Download Schedules through Project Manager.

Note - only Users that are assigned as Project Users can use the Database Configuration Tool (Project Manager) or use web-browser based DRAW.

Note 2 - The Project User can also be assigned as either a power, general or restricted user to enable viewing graphics in run-time View.

A user with all the security features of Admin can be created by creating two accounts with the same name, a Project User and a Power User (with security Level 127 for all Areas, Local Tag, View Tag, etc.).


20.1.2 Create or Update Project User (or admin)

1. Log in to Project Manager

or if already connected, hit HOME link at the top right of most pages.

Figure 20.1 Admin / Project User Property

2. Select Admin / Project User Property on the Project Manager Home Page (Figure 20.1).

3. Project User list appears (Figure 20.2).

Figure 20.2- Project User List

4. Enter User name and password to create a new users account.

5. Enter the password twice to verify correct entry.

6. Press the Submit button

7. Select Update to modify an existing account.

8. The update Project Users page appears (Figure 20.3).

Figure 20.3 - Update Project User

9. Make you changes and press submit.

Note – change then user name renames the existing account (it does not create a copy).

You can create users with all the abilities of an admin by creating Project User account and a User Account with the same name. The user should be given Security level 127 (admin level) for all Areas, Local Tag, View Tag and Exit ViewDAQ.


20.2 Backup & Restore

Advantech WebAccess has Backup and Restore functions that will backup you database, graphics, scripts and other program files to WebAccess\backup folder. This is a one click operation accessed from the first page of the project manager (the Project List). There is a corresponding Restore on the same page.

You can also copy or ZIP the Advantech WebAccess folder using ordinary Windows functions (like copy, WinZip,. etc). To backup, copy or move a project, copy the configuration database (bwCFG.mdb) and project subdirectories to the new Project Node PC. You can use the copy and paste feature in Windows Explorer or use WinZip or other utility. The database contains the information about tags. The subdirectories contain the graphics, scripts and other files.

The BACKUP of the project database and subdirectories on located on the Project Node at

Drive:\WebAccess\node\Backup\bwCFGbackup.mdb

The BACKUP project subdirectories are at

Drive:\WebAccess\node\Backup\projectname_nodename

Note – The actual project database and subdirectories on located on the Project Node at

Dive:\WebAccess\node\config\bwCFG.mdb

The actual project subdirectories are at

Drive:\WebAccess\node\config\projectname_nodename

If you have multiple SCADA nodes in your project, there will be a separate subdirectory for each SCADA node.

The default database is Access 97 or Access 2000. The bwCFG.mdb starts at around 678 Kbytes in size. The actual size depends on how many tags are in your project. If you add and delete tags, the database file size will only get larger. You can use the compact feature in Access 97 or 2000 to reduce the database size. You do not need Access on your Project node in order to use Advantech WebAccess. It is not recommended to edit the bwCFG.mdb directly.

Web Access also provides a backup function.

The Backup and Restore files are created on the Project Node , although they can be executed remotely.


20.2.1 Backup

The Backup function will create a backup of your Database and project subdirectories (graphics, scripts, etc.). The Backup files are created on the Project node. The Backup function is accessed from the Project Manager at the Project List page (bwproj.asp).

To Create a Backup of your project:

1. Start your Web Browser and connect to the Project Node

2. Login to Configuration. If already connected, press the Home link at the top right of most Project Manager pages.

3. The Project Manager Home page opens with the List of projects

Hint - If you are already in the Project Manager, you could hit the Home field found on most pages of the Project Manager.

Figure 20.4 Project Manager Home Page

4. Select Backup hyperlink.

5. The Backup Dialog Box opens asking you to confirm Backup.

6. Select OK

Be prepared to wait. This can take several minutes for the integrity check to run.

7. If this is the first time you have done a backup, a Database integrity check page opens. It will start the Backup in 2 seconds. Or Press Backup Now.

Figure 20.5 Backup Project database Integrity check

8. You will have a second waiting period, while the actual backup takes place. This can take several minutes for a large project. Very large databases may require increasing the Script Time Out on the Project Node (Web Server) in order for the Integrity Check to run to completion

9. A completion Message appears describing the full path to the backup, typically:
C:\WebAccess\Node\backup

Figure 20.6 Backup Project confirmation

10. Close the web browser to return to Project Manager Home page.


20.2.2 Restore

Running restore will erase all changes to the Tags, Reports, Recipes Schedules, Trends, etc. since the last backup. Restore will also overwrite newer versions of Graphic Displays with the Backup version of these displays.

WARNING ! You should run restore only if you have done a backup. If you run restore before doing a Backup, you will erase all the work you have done on all your projects. You will an empty database if you run restore before doing a backup.

Restore is accessed from the Project Manager Home page. All projects will be restored if you have multiple projects in a single database (inside the same bwcfg.mdb file)

To Restore your Project(s)

1. Start your Web Browser and connect to the Project Node

2. Login to Configuration. If already connected, press the Home link at the top right of most Project Manager pages.

3. The Project Manager Home page opens with the List of projects

Hint - If you are already in the Project Manager, you could hit the Home field found on most pages of the Project Manager.

Figure 20.7 Project Manager Home Page

4. Select Restore hyperlink.

5. A warning appears reminding you that restore will delete all database modifications and overwrite all graphics since your last backup.

Figure 20.8 Warning before Restore

6. Select OK to continue with Restore or Cancel to abort.

7. The Restore Integrity Check opens in a new Web Browser Window. This can take several minutes for a large database. Very large databases may require increasing the Script Time Out on the Project Node (Web Server) in order for the Integrity Check to run to completion.

Figure 20.9 Integrity Check before Restore

8. The Confirmation appears confirming restore completion. This can take several minutes for a large database. Very large databases may require changing the script time out set in Project Properties in order for the Integrity Check to run to completion.

Figure 20.10 Restore confirmation

9. Close the web browser to return to Project Manager Home page.


20.3 Home

The Project Manager Home Link is at the top right of most pages in the Project Manager

Figure 20-11 HOME link to Project Manager HOME Page

The Project Manager Home page is used to open a Project, Backup & Restore databases and graphics, modify the Admin and Project User accounts , View ODBC Logs vie HTML reports , Setup automatic Archiving and Deletion of expired Data Log Trend Files and ODBC Data Log records, run a database Integrity Check and UPDATE IP Addresses, remote access codes and TCP Ports.

Figure 20-12 Project Manager Home page – bwproj.asp


20.4 Project Logs (HTML Reports)

The Project Manager allows you to monitor the activity on all your projects and SCADA Nodes, Create new Projects, Modify exiting Projects, BACKUP and RESTORE all of your projects and SCADA Nodes on a Global basis. Logs monitor actions that will affect all Projects, Users and Nodes including:

System Log – Web server logins

Action Log – User Actions in VIEW from all SCADA Nodes

Alarm Log – Alarms from all SCADA Nodes

Analog Tags Data Log – Avg, Min, Max and Last value for Analog tags at the user defined record frequency (from one second to one minute) that exceed a deadband. Used by Scheduled reports also. This is a database version of data in Data Log Trends

Discrete Tags Data Log – The state and time stamp of the change for a discrete. This is a database version of the data in Data Log Trends.

These Logs are HTML Reports generated using menu driven queries for date, time, tag, etc. You can copy and paste these from your web browser into EXCEL, Word, etc.

These reports get data from ODBC-compliant databases on the Project Node. The default is an ACCESS (*.mdb) database. Advantech WebAccess installs these databases during Node Software installation.

These are global to all Nodes in the system. The Action Log, Alarm Log and Data Log are similar to the text based versions on each SCADA Node, but with data from all SCADA nodes merged.

Data from all Nodes with Data Log to ODBC, Alarm Log to ODBC or Action Log to ODBC enabled are recorded to these central databases.

These logs can be viewed from both the Project Manager and VIEW (by power users).

ODBC Data Logs (Not supported by WinCE)

Log to ODBC (Analog Tag Log, Discrete Tag Log, System Log, Action Log and Alarm Log) record data to the hard drive of the Project Node (actually to an ODBC Database, an Access Database by default named BwPData.mdb) The location and file name is on the Project Node drive:\WebAccess\Node\bwPData.mdb

An ODBC DSN is created on the Project Node and used by Advantech WebAccess to read and write data to bwPData.mdb database. The DSN is bwpdata_Access


20.4.1 System Log

The System Log monitors Project Users' Actions in the Project Manager. All actions in the Project Manager are recorded and can be reported.

· Log In

· Log Out

· Start Node

· Stop Node

· Start View

· Start Draw

· Download database to Node

· Download Graphics

· Create or Delete SCADA Node

· Create or Delete a Project

· Log Data Maintenance modification

These can be sorted and filtered by Time, Date, computer, node and IP addresses.

An HTML report is displayed in the Web Browser. This report can be copied and pasted into EXCEL, Word or other office applications.

The System Log allows you to remotely monitor User Login, Start Node, Stop Node, View logins, Draw users, download database to SCADA Node, download Graphics to SCADA node, Restart SCADA node, etc. The System Log monitors connections to the Project Node (Web Server) and actions performed from the Project Manager. These are searchable by date, time, IP Address of the Client, etc. The System Log shows actions by Project Users. (Note – use the System Action Log to monitor Power User, General User, and Restricted User actions on the SCADA node, e.g. setpoint changes, auto/manual, start/stop equipment).

Figure 20.13 System Log Query

By selecting either custom search criteria or All Records, a report is generated (sample report shown below).

Figure 20.14 System Log - HTML Report

The System Log is not accessible in VIEW. The System Log is accessible only from the Project List Page. Only the Admin account and Project Users (who can access the Project Manager) can view the System Log.

To generate a report from the System Log:

System Log can be accessed from three locations:

1) Project Manager Home Page

1. Start Internet Explorer or other compatible Web Browser.

2. Connect to the Project Node.

3. Select Advantech WebAccess Configuration.

4. Login as an admin or a Project User.

5. The Project Manager Opens.

6. Select System Log

(Hint – if already logged in, select Home)

2) VIEW

Power User can also see the System Log from VIEW using the Tools menu:
Right Click -> Tools -> System Log

3) ViewDAQ

All Users can also see the System Log from ViewDAQ using the Tools menu:
Tools -> System Log

7. Select either All Records or Custom Criteria.

8. If "Custom" selected, then select search order, IP addresses, etc.

9. Press Submit.

10. A Report is generated.

Query Criteria - Selecting All Records ignores fields other fields except Page Size. Custom Criteria allows you to use the other fields to limit the records included in the query and report.

Page Size - defines the number of ROWS in each page of the report.

Starting Date - is the Earliest Date the Query will search for records.

Ending Date - is the Most Recent date the Query will search for records.

Project Name -If you have multiple Projects, this will limit the project included. (Note – there is usually only one project in most systems). Use ALL Projects to query records from all projects.

Node Name – is the SCADA Node the query is applied.

User Name – is the Project User. (Note - Only Project Users and admin can access the Project Manager, download, start/stop nodes.)

Action – is the Project Manager actions used to configure tags, reports, build graphics, etc.

Log In – Project User Logins to Project Manager. (Note - see System Action Log for user logins to SCADA Node using VIEW).

Log Out – User logs out of Project Manager

Start Node – Start SCADA Node

Stop Node – Stop SCADA Node

Start View – Use the Start VIEW from Project Manager, SCADA Node Property page (see System Action Log for user logins to SCADA Node using VIEW outside of Project Manager or ViewDAQ).

Start Draw – Start DRAW from Project Manager – SCADA Node Property Page.

Download database to SCADA Node

Download Graphics using Graph Only link in SCADA Node Property

Create or Delete SCADA Node

Create or Delete a Project

Log Data Maintenance modification records Project Users changes to frequency and type of scheduled archive and scheduled data log record deletion.

To print a report is the same as printing a web page in your web browser. From Internet Explorer 6.0 web browser:

· Select File on the menu bar, then select Print (File-> Print)

· Or, select the Print Icon from the Web Browser toolbar

To “Copy and Paste” a report is the same as copying a part of a web page. From Internet Explorer 6.0 web browser:

· Left Click the Mouse on the Start of a Row.

· While holding the mouse button down, drag the cursor to the end of the last row (you can copy all rows or a few)

· Right Click the mouse on the highlighted rows.

· From the pop-up menu, select Copy. Or, select the Edit -> Copy from the Web Browser toolbar

· Select a cell in EXCEL or a Page in WORD. Select Paste from the menu bar in EXCEL, WORD or other office application.


20.4.2 System Action Log

This shows a centralized Action Log for all SCADA Nodes in the project with Action Log to ODBC enabled. This is very similar to the Action Log in VIEW and ViewDAQ, but applied to all SCADA Nodes and Projects. The Action Log monitors Power User, General User, and Restricted User actions on the SCADA node. Action Log To ODBC must be enabled in the SCADA node properties.

The Action Log shows:

· User changes to Tags (e.g. setpoint changes, auto/manual and equipment changes).

· User Log-ins to SCADA Node using VIEW and ViewDAQ

For more information on the Action Log in VIEW, see the System & Template Displays section. For information on Project User logins and database changes, see System Log.

The Action Log can be sorted and filtered by Time, Date, computer, node and IP addresses.

An HTML report is printed.

Power Users can also see this Action Log from VIEW using the Tools menu:
Right Click -> Tools -> System Action Log.

All Users can also see this Action Log from ViewDAQ using the menu bar:
Tools -> Action Log.


20.4.3 System Alarm Log

This shows a centralized Alarm Log for all SCADA Nodes in the project with Alarm Log to ODBC enabled.

These can be sorted and filtered by Time, Date, computer, node and IP addresses.

An HTML report is printed.

For more information, refer to Alarm Login the System & Template Displays section.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> System Alarm Log.

All Users can also see this Log from ViewDAQ using the menu bar:
Tools -> Alarm Log.


20.4.4 Analog Tag Log

This shows a centralized database for all Analog Tags for all SCADA Nodes in the project with Data Log to ODBC enabled.

The individual tags must have both Data Log DB enabled and Log to ODBC Frequency must be greater than zero.

These can be sorted and filtered by Time, Date, and node addresses. An HTML report is displayed which can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> Analog Tag Log.

All Users can also see this Log from ViewDAQ using the menu bar:
Tools -> Analog Tag Log.

Use the CTRL key to select multiple project names.

Use SHIFT key to select a range of project names.


20.4.5 Discrete Tag Log

This shows a centralized database for all Discrete Tags for all SCADA Nodes in the project with Data Log to ODBC enabled.

The individual Tags must have both Log Data enabled and Log to ODBC enabled.

These can be sorted and filtered by Time, Date, and node addresses.

An HTML report is printed.

For more information, refer to Data Log Trend Display in the System & Template Displays section.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> Discrete Tag Log.


20.4.6 Text Tag Log

This shows a centralized database for all Text Tags for all SCADA Nodes in the project with Data Log to ODBC enabled.

The individual Tags must have both Log Data enabled and Log to ODBC enabled.

These can be sorted and filtered by Time, Date, and node addresses.

An HTML report is printed.

For more information, refer to Data Log Trend Display in the System & Template Displays section.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> Discrete Tag Log.


20.5 UPDATE

UPDATE is used to change the IP Address (network addresses), database side remote access codes and TCP Ports used by Project Node and SCADA Nodes.

UPDATE is most frequently used when a project is moved to another PC or the network addresses change.

UPDATE is also used to add a Remote Access Code to your project after you have built (you must also either reinstall software or update the bwserver.ini file to add or change the remote access code) .

UPDATE is accessed from Project Manager Home Page.


20.6 Log Data Maintenance

Advantech WebAccess will automatically archive the Data Log Trend Files and ODBC database records to another drive, network folder or other media (zip drive, tape drive, etc). This prevents the number of files from growing too numerous and consuming disk space.

Advantech WebAccess can also delete Data Log Files and records from the ODBC Logs (System, Analog, Discrete, Alarm and Action Logs) to prevent files from growing to large, slowing response of reports and consuming disk space.

To enable the automatic archiving or deletion of older Trend and Log Data:

1. Login to your Project Node. (If you are already logged in, click Home).

2. Click Log Data Maintenance.

3. The Log Data Maintenance page appears (Figure 20.15).

Figure 20.15 - Log Data Maintenance - automatic archiving and disk clean-up

4. Check ARCHIVE only if you have a fast network hard drive with sufficient capacity. A Zip drive is probably inadequate except for the smallest application (less than 0 tags).

If Archive is selected, but the Archive can not be completed due to an error (the drive is full or folder not available) the Data will not be deleted (if Delete Expired Log is selected).

Warning - Do not archive to the same drive or partition that Advantech WebAccess is installed on. There is no benefit and it more than doubles the ODBC Databases and file sizes. The Archive media should be a second hard drive on the SCADA Node or Project Node, or a network drive. Zip drives are usually too small. Tape Drives are too slow. If want to Archive to tape, it is recommended to Archive to a second drive or network drive, then manually archive to tape.

5. Check Delete Expired Log to prevent your disk space from being consumed.

You can select to delete files and data records without archiving.

DataLog Trend files are deleted as complete files (since a file is created for each daily, monthly and yearly for each tag).

Individual Records are deleted from the ODBC database.

Note -Advantech WebAccess does not compact the BwPdata.mdb database used for ODBC Data logging. The database file size should be monitored (and compacted) if it grows too large.

6. Specify an Expiration Time for data.

7. Specify a Time of Day to perform the Archive and/or Deletion.

Real Time Trends never store data on the hard drive. They are real-time ONLY, and data is lost once it scrolls off the screen.

Data Log Trends create a file a new file for each tag Daily (seconds data), two files Monthly (Minute and Hourly Data) and one file yearly. For Analog Tags, the size of these files is based on the Data Log Deadband (which must be exceeded before a new record is written). A new entry in made at least every minute for every tag. If a tag exceeds the deadband, then the frequency is greater than once/minute and as frequent as once/second. For an estimate of the Size of the Analog Data Log Trend files, see Data Log Trend recording in Section 1.4.5.1.


20.6.1 How Archive and Delete Files Works

Data Log trends files are copied to the Archive Drive and/or deleted as entire files, based on the file type (Seconds, Minute, Hourly and Daily Data). The Archive files remain in the same form as they exist on the SCADA Node. The time when the Archive and/or Deletion occur differs for Seconds, Minute, Hourly and Yearly Data. Seconds data Archive/Delete occurs daily (At user defined time on day after Expiration Day). Minute and Hourly data Archive/Delete occurs monthly (1st of the expiration Month). Daily data Archive/Delete occurs Yearly (1st of Expiration Year). The Archive/Deletion occurs the day after, month after or year after the Expiration Time the user enters (Figure 20‑15) .

ODBC Records are archived by creating a new database in a subdirectory on the Archive Drive named after the Log Type (System, Alarm, Action, Analog, Discrete, Text) and date. Records are then removed from the online database (bwPData.mdb), if Delete Expired Log is checked. The Archive/Deletion occurs Daily if there are any records that exceed the Expiration Time. Unlike Data Log trends, ODBC records are archived and deleted at the expiration day (or month).


20.6.1.1 Data Log Trend Files

Data Log Trends record Data to the Hard Drive of the SCADA Node. The location is:
drive:\WebAccess\Node\Project_NODE\log\tagname

Four files are created for each tag: Second, Minute, Hour and Daily Data.

· A new file is created each Day for Seconds Data.

· A new file is created each Month for Minute and Hourly Data.

· A new File is created each year for Daily Data.

Every day, Advantech WebAccess checks to see if there is an expired data.

· Daily it will copy old seconds data to Archive.

· At the start of the new month, it will copy expired minute and hourly data to archive.

· At the start of the New Year, it will copy expired daily data.

If the SCADA node is not running at the Archive time, it will wait for the next day that it is running to archive and/or delete files.

For example

If Seconds expire in 30 days, on the 31st day it will archive those Data Log trend files to Archive and Delete them.

If Monthly and Hourly data expires in 1 month, and the start of the 3rd Month, the first months data record is archived and/or deleted.

If Daily data expires in 1 year, on Jan 1st of the 3rd year, the first years file will be archived and/or deleted.


20.6.1.2 ODBC Logs

ODBC Records are archived by creating a new database in a subdirectory on the Archive media named after the Log and the Archive Date. Records are then removed from the online database (bwPData.mdb) if Delete Expired Log is checked. Unlike Data Log trends, ODBC records are archived and deleted at the expiration day (or month). There is no seconds data in ODBC, only minute to hourly data (depending on the ODBC record frequency between 1 and 60 minutes)

Daily the Project Node archives and/or deletes records that are more than the expired time.

There are 6 Access Database files (*.mdb) created each day, if there are any records in that table for the day that has “expired” in the online Database (BwPData.mdb).

· BwSysLog_yyyymmdd.mdb,

· BwAction_yyyymmdd.mdb,

· BwAnaTag_yyyymmdd.mdb,

· BwDigTag_yyyymmdd.mdb,

· BwTextTag_yyyymmdd.mdb,

· BwAlarmLog_yyyymmdd.mdb.

For example

If Analog Tag Log expires in 30 days, on the 31st day it will archive those records for the 1st Day to Archive and Delete the first day’s records from the on-line Database. On the 32nd Day, the 2nd days data records are archived to a new subdirectory on the archive media and the 2nd day’s records are deleted form the on-line database.

If the Archive Date is Nov. 20, 2003, and there is data for Nov. 19, 2002 for the System Log, Action Log, Analog Tag Log, Discrete Tag Log, Text Tag Log and Alarm Log, then the following files are created on the Archive Drive:

· BwSysLog_20021119.mdb,

· BwAction_20021119.mdb,

· BwAnaTag_20021119.mdb,

· BwDigTag_20021119.mdb,

· BwTextTag_20021119.mdb,

· BwAlarmLog_20021119.mdb.


20.7 Project Property

The Project Property page is usually accessed to Add or Create new users or specify a non standard HTTP port to use for the Web server pages (including VIEW and Project Manager).

Project Name

Changing Project Name will rename your project. It will not create a second project.

Project Description

This is used for your reference and not seen outside the Project Manager.

Project Node IP Address

It is better to change the IP address using UPDATE from the Project Manager Home.

If you enter a new address for your project here, you will be redirected to the new IP address, after you press submit. The system will try to connect to the new Address.

The IP Address field can be any valid network address including URL, Net Bios Network name (the Microsoft computer Name), IP Address or a HOST name (defined in the HOSTS file of Clients and Nodes).

Project Primary TCP Port

This is the Primary TCP Port used to download files to Clients and back to the Project Node.

0 = default = 4592.

You only need to change the Primary TCP Port is you are dealing with Firewalls, Routers, Gateways and Port Mapping.

HTTP Port

This is the TCP port used by the Web Server (IIS). ASP Pages are served over this port.

0 = default = 80

You need to change this to match the Port used by your Web Server. This may be different than the default (80) if you are using Port Mapping.

You can verify the Port used by IIS on the Project Manager, from Internet Services Manager, Properties, Web Site tab.

Project TimeOut

Project Timeout is the time, in seconds, Project Node (Web Server) to wait before the connection to the SCADA Node or Client is considered.

0 is the default value (15 seconds).

You may need to increase the Project Timeout:

· if you have a very slow connection and are working with DRAW which requires a connection to the Project Node

· The connection between the Project Node and SCADA node is slow and you have a very large database resulting in “Cannot connect to SCADA Node or Project Node” errors.

A related topic involves the Script TimeOut for IIS (the Web Server software).

Remote Access Code

The Remote Access Code is specified during Node Software Installation. This value must match the value specified during software install.

When a new project is created, the Remote Access Code used to install software is inserted in this field. If your Remote Access Code is blank after when you create a new project, then you do not have a Remote Access Code.

This code is to prevent unauthorized users from downloading a project to your Project Node. Without a remote access code, any one can access you Project.

IT IS HIGHLY RECOMMENDED TO USE A REMOTE ACCESS CODE! You can either reinstall Node Software or edit the BWSERVER.INI file on your Project and SCADA Nodes. (then change the value using UPDATE in Project Manager Home page).


20.8 ODBC Log Data Source

20.8 ODBC Log Data Source(Not supported by WinCE Edition(WebView &WebLink ))

Advantech WebAccess can record real-time data to a database (Log to ODBC). A Microsoft Access database is supplied with Advantech WebAccess (bwPdata.mdb) and includes:

· Analog Tag Log

· Discrete Tag Log

· Text Tag Log

· Analog Tag Log

· System Log

· Action Log

· Alarm Logs.

The Data for Scheduled reports are also stored in this database.

The Project Node records data to this database. Multiple Users can view this database using the Project Logs or Scheduled Reports accessible from the Project Manager, VIEW and ViewDAQ. Note than even though Access is a single-user database, multiple users can access the IIS web server making the Access database act like a multi-user database though IIS.

Users may want to relocate this database to another hard drive or use another database. Advantech WebAccess supports the following Databases:

  • Microsoft Access

  • Microsoft SQL Server

  • Oracle

  • MySQL

The ODBC Log Data Source allows users to replace or relocate the Access Database (bwPdata.mdb) that is the default database used for recording Process Data. This is done by creating another ODBC DSN (Data Source Name) that points to the new database and entering that name in the ODBC Log Data Source page in the Project Manager.

For more information on using SQL Server see 23.3 SQL Server 2005

For information on setting using Oracle see 23.4 Oracle


20.8.1 Create an ODBC Log Data Source

20.8.1 Create an ODBC Log Data Source (Not supported by WinCE Edition(WebView &WebLink ))

Log in to Project Manager.

1. Select Home.

2. Select ODBC Log Data Source.

3. The ODBC Log Data Source page opens.

4. Enter the Data Source Name, the ODBC DSN that points to the new database. See Tips & Tricks section 23 on how to Create an ODBC DSN to SQL Server.

Hint - if you followed the SQL SERVER 2005 Native Client DSN example, the DSN in the example is bwSQLData.
If you followed the SQL SERVER DSN example, the DSN in the example is bwSQLPdata.

5. Enter the user name (Data Source Login Name) to log in to SQL Server using SQL Authentication. See Install SQL Server 2005 for more information.

Hint - if you followed the SQL SERVER 2005 Native Client DSN example, the login is sa.

6. Enter the login users' password (Data Source Password)

7. Retype Data Source Password.

8. Optionally enter a Description.

9. Press Submit

10. Select the new ODBC Log Data Source.


20.8.2 Select new ODBC Log Data Source.

20.8.2 Select new ODBC Log Data Source.(Not supported by WinCE Edition(WebView &WebLink ))

1. Log in to Project Manager.

2. Select Home.

3. Select ODBC Log Data Source.

4. The ODBC Log Data Source page opens.

5. Click the Radio Button under Select for the DSN to use.

6. Select OK to confirm the change.

You do not need to download. The change is immediate.


20.8.3 Error Message

20.8.3 Error Message(Not supported by WinCE Edition(WebView &WebLink ))

If you receive the follow error message, when trying to select a new ODBC Data Source in project Manager,

then, you did not correctly configure:

  • the SQL Server Login (i.e. the Login User and password used by the DSN). Try using SQL Server Authentication and use the sa account (or other SQL Server account) and its password.

  • the library used (TCP/IP is recommended)by the DSN.

  • if using a remote SQL Server, the Port by the DSN (1433 is default for SQL Server).

  • if using a remote SQL Server, there maybe a firewall or Windows Firewall on the SQL Server blocking port 14333 or the port used by SQL Server.


20.8.5 Problems Accessing Remote Machines

20.8.4 Problems Accessing Remote Machines(Not supported by WinCE Edition(WebView &WebLink ))


20.8.5.1 Common symptoms

20.8.4.1 Common symptoms(Not supported by WinCE Edition(WebView &WebLink ))

· "Microsoft OLE DB Provider for ODBC drivers error '80004005'" error received when attempting to open an Active Data Objects (ADO) connection.

· ASP code that worked fine when the database was located on the IIS Server no longer works when the Microsoft SQL Server or Microsoft Access database is moved to a remote machine.


20.8.5.2 Workarounds - Accessing Remote Computers

20.8.4.2 Workarounds - Accessing Remote Computers(Not supported by WinCE Edition(WebView &WebLink ))

One of the most common types of problems occurs when ASP attempts to access resources located on remote machines. A good example of this is using ADO to access either Microsoft SQL Server on a remote machine or a Microsoft Access .mdb file located on another Windows machine. The problems stem from the fact that ASP is operating in the context of the IUSR_MACHINE account. On servers that are not primary or backup domain controllers, the IUSR_MACHINE account is a local account. Since this local account is not recognized on the remote machine, access is denied to the database.

The two most common workarounds for this problem are:

1. Change the anonymous logon account on the IIS server from IUSR_MACHINE to a domain account that is recognized by both machines and has sufficient permissions to the resource. In addition, be sure that this account has the log on locally user right on the IIS machine. Recall that the anonymous logon account is configured through Internet Service Manager.

Note If you later decide to change back to the IUSR_MACHINE account, be sure that the password provided in Internet Service Manager matches the password provided for this account in the User Manager tool. If the passwords do not match, you will encounter "Access Denied" errors.

2. Add a local account to the remote machine that exactly matches the username and password of the IUSR_MACHINE account on the IIS machine, and give this account access to the database.

Note This workaround is not recommended because it involves maintaining two separate accounts. If the passwords get “out of sync” at some point in the future, access will be denied to the database, and errors will occur.


21. Reports and Database Logs

21. Reports(Not supported by WinCE Edition(WebView &WebLink ))

This section describes the pre-formatted reports supplied with Advantech WebAccess:

Scheduled Reports are provide Shift Reports, Daily Reports and Monthly reports in a preformatted columnar style. These reports can be scheduled and emailed.

Project Logs provide HTML reports based on Fill-in-the-Blanks Queries.

An on-the-fly report can be created from any Data Log Trends and Real-time Trends.

Users can also create free-format reports using Scripts.


21.1 Scheduled Reports

21.1 Scheduled Reports(Not supported by WinCE Edition(WebView &WebLink ))

Scheduled Reports are automatically generated from the Real-time data. Users & Operators can View the current and previous reports using a web browser. The output of the Scheduled Reports can be copied and pasted into EXCEL, WORD, and other general-purpose office applications as a formatted table or spreadsheet. Scheduled reports are most commonly emailed to users automatically. They can also be printed automatically on the Project Node.

Shift, Daily and Monthly reports that are generated from the Real-time data recorded to central, ODBC-compliant databases on the Project Node. Log to ODBC frequency must be greater than zero if a tag’s data is to be recorded. Users & Operators can View the current and previous reports using their web browser clients. Reports are optionally emailed and printed automatically by the Advantech WebAccess SCADA node.

Only Analog Tags can be used in Scheduled Reports.

Discrete Tags are recorded in a format that is not compatible with the Scheduled Report Engine: Discrete tags have only a Time Stamp and no hourly, minute, or daily records. Use an Analog Calculation Tag to convert the Digital or Discrete to an Analog Type Tag.

Only Power Users and the admin account can access Scheduled Reports from VIEW.

Project Users and admin can see Scheduled reports from the Project Manager.

All users can view Scheduled reports in ViewDAQ.

Scheduled reports can be emailed to anyone with an email account.

The Scheduler can be used to change email recipients of Scheduled reports.


21.1.1 View past or current report

21.1.1 View past or current report(Not supported by WinCE Edition(WebView &WebLink ))

You can View past reports as far back as there are online ODBC Database records. The Data Log Maintenance defines how long records are kept.

If the current Shift, Day or Month is incomplete, then you will see a partial report containing the hours and days so far, with Totals, Averages, Minimums and Maximums reflecting only the data recorded so far.

To see Scheduled Reports using the web browser VIEW,

Right Click -> Tools -> Reports

Figure 21.1 - Right Click -> Tools Menu - Reports, Power User or admin

In ViewDAQ, from the menu bar select Tools -> Reports.

Figure 21.2 - Tools menu not available to General or Restricted Users

If the menu items are grayed-out, then you are not logged in as a Power User. You will have to login as a different user. You must close the Web Browser in order to log in as a different user.

Figure 21.3 - Scheduled Report List - Shift, Daily and Monthly Scheduled reports.

1. From the List of Scheduled reports, select View under the Column for the Report Type and in the Row for the Report Name for the Report desired.

2. Wait. It can take a while for the report to be generated, averages, totals, maximum and minimum values for all recorded data for the period of the report will be calculated. The more columns in the report (tags) and the more data records for each tag (how noisy it is) the longer it will take. Monthly reports can take 5 or 10 minutes to appear (a months worth of minute and hourly records must be read and calculated).

Tip – have your reports emailed to you or a common account. Save them in your email program or as HTML file. It is a faster way to look up past reports.

Tip – You can reduce the time to call up reports by increasing the ODBC Log Frequency; this will reduce the number of records for each tag that must be used to calculate a report. You can also reduce the number of Columns in a report to speed the calculation time.

3. The report for the Current Day appears.

For Shift Reports - The first Shift Report of the current Day appears (Figure 21.4).

For Daily Reports – The current day’s Daily Report appears (Figure 21.5).

For Monthly Reports – The Current Months Report appears (Figure 21.6).

Note -If the current Shift, Day or Month is incomplete, then you will see a partial report containing the hours and days so far, with Totals, Averages, Minimums and Maximums reflecting only the data recorded so far.

4. To navigate to past or future reports

Shift Reports - First Date, Prev Date, Next Shift, Prev Shift and Last Shift (Figure 21.4).

Daily Reports - First Date, Prev Date, Next Date, Last Date

Monthly Reports – First Month, Prev Month, Next Month, Last Month

(Note – Last Month means most recent month on record, usually the current month).

First is always the earliest records in the online database (the oldest)

Last is always the most recent records (usually the current date).

5. To see another report, either:

a. Click New Query (at the upper left)

OR

b. Click a Toolbar Button to return to a Graphic and start at step 1.


21.1.2 Shift Report

21.1.2 Shift Report (Not supported by WinCE)

Figure 21.4 - Shift Report of Energy Usage, central steam plant. - VIEW

The first Shift of the current Day opens first in VIEW and ViewDAQ.

The Shift Report consists rows data for the user defined Shift Period. There can be up to 6 shifts per day.

The each row can represent from 5 minutes to 60 minutes (1 hour) of data. The user should ensure this period is greater or equal to the ODBC record frequency for the tag.

There can be 12 Columns per report (twelve tags). Each “cell” can represent the Average, Last Value, Minimum, Maximum or Total for the time period the row represents (5 minutes to 60 minutes).

Summary Data at the bottom of each Column can be calculated: Maximum, Minimum, Last Value, Average and Total for the column.

If the Shift is not complete, you will see blank rows of data for the future hours. Click Prev Shift or Prev Date to see the most recent complete report if the current shift is not complete.

Emailed Shift Reports appears almost identical, with Magenta and Blue borders.

Shift Report Navigation

First Date is the earliest date on record. Click First Date will re-generate a report for that date. The Date of the report appears at the top right of the report.

Prev Date is the previous Day, earlier than the current report you are viewing. The Date of the report appears at the top right of the report

Prev Shift is a Shift earlier than the current Shift you are viewing.

Next Shift is the Shift after the current Shift you are viewing.

Last Shift is the Last Shift with any data. This is usually the current date and current shift.


21.1.3 Daily Report

21.1.3 Daily Report (Not supported by WinCE)

Figure 21.5 Daily Report - before end of day

The current Day’s Daily report opens first.

The Daily Report consists 24 rows of data for each Hour of the Day.

There can be 12 Columns per report (twelve tags). Each “cell” can represent the Hourly Average, Last Value, Hourly Minimum, Hourly Maximum or Hourly Total of the Tag’s value for the time period the row represents (1 hour).

Summary Data at the bottom of each Column can be calculated: Maximum, Minimum, Last Value recorded, Average and Total the column.

If the Day is not complete, you will see blank rows of data for the future hours. Click Prev Date to see the most recent complete report if the current Day is not complete.

Emailed Daily Reports appears almost identical, with Magenta and Blue borders.

Daily Report Navigation

First Date is the earliest date on record. Click First Date to re-generate a report for that date. The Date of the report appears at the top right of the report.

Prev Date is the previous Day, earlier than the current report you are viewing. The Date of the report appears at the top right of the report

Next Date is the Day after the current report you are viewing.

Last Date is the Last Day with any data. This is usually the current date.


21.1.4 Monthly Report

21.1.4 Monthly Report (Not supported by WinCE)

Figure 21.6 Monthly Report -ViewDAQ

The current Month’s report opens first. Reports can be viewed using VIEW, the Project Manager and ViewDAQ. The Monthly Report consists 28 to 31 rows of data for each Day of the Month. If the month is incomplete (e.g. it’s the 14th day), the report will show summary data based on the days accumulated.

There can be 12 Columns per report (twelve tags). A Cell can represent the Daily Average, Day’s Last Value, Daily Minimum, Daily Maximum or Daily Total of the Tag’s value for the time period the row represents (1 day).

Summary Data at the bottom of each Column can be calculated: Maximum, Minimum, Last Value recorded, Average and Total for the column.

If the Month is not complete, you will see blank rows of data for the future Days. Click Prev Month to see the most recent complete report if the current Month is not complete.

Emailed Monthly Reports appears almost identical, with Magenta and Blue borders.

The report is regenerated each time, so it can take a long time (several minutes) before it is displayed. The larger the database, the more time it will take. Using Log Data Maintenance to delete old data will speed the time of generating reports. In addition, using Email of Scheduled Reports can be used to save old reports and view the report more quickly from the Email Archive Folder.

Monthly Report Navigation

First Month is the earliest date on record. Click First Month to re-generate a report for that date. The Date of the report appears at the top right of the report.

Prev Month is the previous Month, earlier than the report you are viewing. The Date of the report appears at the top right of the report

Next Month is the month after the current report you are viewing.

Last Date is the Last Month with any data. This is usually the current month.


21.1.5 Email Scheduled Reports

21.1.5 Email Scheduled Reports(Not supported by WinCE Edition(WebView &WebLink ))

Figure 21.7 - Email Scheduled Report - Shift Report

Managers, Supervisors, Accountants and anyone with an email account can receive Scheduled reports. The formatted output is in HTML. It is formatted with columns and rows so that the data can be copied and pasted into EXCEL, WORD or other office applications and preserve its formatting of columns and rows, text font and colors.

Scheduled reports can be emailed to anyone with an email account.

Recipients can be specified “Globally” at the SCADA Node (Report Email To and Report Email CC) level to receive all Scheduled Reports from the SCADA Node.

Recipients can also be specified on a per report basis.

The Scheduler can be used to change email recipients of Scheduled reports based on Shift, Day or Week, Holidays, or Day of Year.

Figure 21.8 Email header: From and Subject -Scheduled Reports

To enable email of scheduled reports, an Outgoing Email Server (SMTP) must be configured for the SCADA Node under SCADA Node Properties. Usually the Project Node is configured as the SMTP server. In addition, usually the Project Node has IIS installed with the SMTP service and the Project Node is configured to use a SMART HOST to send email outside your domain.

The report emailed at the end of the Shift, Day or Month. For Shift reports, this is usually 1 minute after the end of the Shift. For Daily and Monthly reports, the email is sent 1 minute after midnight.


21.1.6 Configure Schedule Reports

21.1.6 Configure Schedule Reports(Not supported by WinCE Edition(WebView &WebLink ))

Scheduled reports are configured using a series of “Fill-in-the-Blanks” forms accessed through the Project Manager. Scheduled Reports are configured for a SCADA Node from the Report link in the header on the SCADA Node MAIN page (bwMAIN.asp) (Figure 21‑9).

Only Analog type Tags can be included in Scheduled Reports.

Only Analog Tags that have a Log to ODBC Frequency greater than Zero (0) will show in the pull down menus used to add tags to the reports. You can type or copy-n-paste a tagname into a report field, then change the Log to ODBC frequency of the Tag later.

If the Log to ODBC frequency is zero for a tag in a report when the scheduled report runs, there will be no data for that tag in the report. If the Tag is Digital (Discrete) or Text type, the data for the tag will be blank.

Tags in a report must be “local” to the SCADA node. If you have tags from another SCADA Node, then a Scheduled Report must be configured on that node, or a custom report using TCL scripts should be used.


21.1.6.1 Add Scheduled Report

21.1.6.1 Add Scheduled Report(Not supported by WinCE Edition(WebView &WebLink ))

1. Login to Project Manager and select your Project.

2. Select the SCADA Node that will produce the Scheduled Report.

3. Select Report from the header on the SCADA Node MAIN page (Figure 21.9).

Figure 21.9 Report Configuration Link - SCADA Node MAIN page

4. The Scheduled Report List appears.

Figure 21.10 Schedule Report List

5. Select Add New Scheduled Report from the header in the Scheduled Report List.

6. The Add Scheduled Report page appears (identical to Update Report) (Figure 21.11).

Figure 21.11 Add Scheduled Report

7. Enter a Report Name. This is the name that will appear in the Scheduled Report List. This is a required field.

8. Optionally, fill in the Title for the Report. The Title consists of three (3) lines of text at the Top of the Report. See the Daily Report for an example (Figure 21.5).

9. Optionally enter an Email Subject. This is the subject Line that will appear in Emailed Scheduled Reports. The Date will be “pre-fixed” to this subject when sent (Figure 21.8).

The tags from for the twelve (12) columns the report are entered in the Tag Name area, number 01 to 12.

10. Click on the 01 field.

11. Select the pull down list of tags at the right of Tag List.

Only Analog Tags with Log to ODBC Frequency > 0 appear in the list.

12. Scroll down to the Tag Name to add to column 1.

13. Click on the Tagname from the list. It should appear in the 01 field.

14. Repeat for fields 02 to 12 as desired.

15. Enable or Disable Shift Report, Daily Report and Monthly report by checking the radio button for each (Figure 21.12).

Figure 21.12 - Shift Report configuration

16. If you are using Shift Report,

a. Enter the Shift Count (number of shifts per day).

b. Enter the Start Time for the first Shift (usually 8 hrs 0 minutes in the USA, 8:00 am).

c. Enter a Shift Duration (usually 8 hours if there are 3 shifts per day).

d. Enter a Recording Time Interval. This applies to Shift reports only.

17. For Shift, Daily and Monthly Report:

a. Enter Email addresses of recipients in Email To. This will be combined with the Global Report Email TO in SCADA Node Properties.

b. Enter Email CC (carbon Copy line). This will be combined with the global Report Email CC in SCADA Node Properties.

Hint – Email To and CC fields can be a Text tag that contains the name(s) of email recipients (use @tagname) for use with the Scheduler to schedule who receives the reports by Time of Day, Day of Week, Holiday or calendar.

c. Use the radio buttons (Yes or No) to enable Print to Printer. This will print the scheduled report on the Default Printer of the SCADA Node. The report will print at the end of the shift, day or month.

d. Use the radio buttons (Portrait or Landscape to enable Orientation of reports printed on a printer.

e. Use the pull down menus to select Font Size (Larger, medium, smaller).

f. Enter a value for the Margins (top, left, right and bottom) of printed reports.

If the report will not fit on a single page, Advantech WebAccess will print multiple pages with the Title, Time, and summary data on each page.

All three reports use the same Tags in the same columns. Different calculations (Average, Total, Min, Max, Last Value) can be performed in the Shift, Daily and Monthly Reports. These are specified under the Tag Property Button for each report. The Titles of the Columns for the Reports are specified in the Tag Property for each report (a column represents one Tag’s data). The three reports can have different Titles for each column or share the Titles based on another report (e.g. import Shift Report Titles to Daily, or Daily into Monthly).

18. Enable printing to the default printer on the Project Node by checking the radio button under Print to Printer = Yes.

a. Modify Orientation (Landscape or Portrait)

b. Modify Font Size (uses fonts installed on the Project Node)

c. Modify Margins for the printing to a printer using

19. continue to Shift Tag Property or Daily Report Tag Property or Monthly Tag Property (in the following sections).

20. OR press Submit.

Hint - If you press submit without updating Tag Property for each report type, all values will be Averages and the Titles for each column will be blank.


21.1.7 Shift Report Tag Property

21.1.7 Shift Report Tag Property(Not supported by WinCE Edition(WebView &WebLink ))

Each Column in a Report represents the data from one Analog Tag recorded to the ODBC Analog Tag Log. Shift, Daily and Monthly versions of the report use the same Tags, columns and Data.

Different calculations (Average, Total, Min, Max, Last Value) can be performed in the Shift, Daily and Monthly Reports. These are specified under the Tag Property Button for each report.

The Titles of the Columns for the Reports are specified in the Tag Property for each report (a column represents one Tag’s data). The three reports can have different Titles for each column or share the Titles based on another report (e.g. import Shift Report Titles to Daily, or Daily into Monthly).

To Configure the Shift Report Tag Properties:

1. Add a Scheduled Report or select Update from the Scheduled Report List (Figure 21.10).

2. Click the Tag Property button listed under Shift Report (Figure 21.12).

3. The Shift Report Tag Property page opens.

Figure 21.13 Shift Report Tag Property

4. There can be up to 12 Columns per report (twelve tags).

5. You can import Title information, if another version of this report (Daily or Monthly) has already been configured with Tag Property.

a. From the pull down list next to Title, the choices are

i. User Input - Title information entered or edited manually here.

ii. Import from Daily – will import the Titles from the Daily Report version (if configured).

iii. Import from Monthly – will import the Titles from the Monthly Report version (if configured).

b. You can edit the Titles with Import from Daily or Import from Monthly selected; this will not change the Daily or Monthly reports.

c. Selecting User Input will return to the Titles last saved using the Submit button. Once you press submit, the User Input version becomes the current titles displayed.

d. If you can’t import, then manually enter the Header Title information for each Column of the Report. There are 4 text lines per header on each column. See Shift Report for an example of Column Headers.

6. Display Methods defines a calculation for the data collected the tag (Average, Minimum, Maximum, Last Value or Total). This defines how each “cell” in the report calculated from the records in the ODBC Log database.

a. Average is the simple average of the values (Total / no. of records) for the recording interval this row represent.

b. Maximum and Minimum are for the recording interval this row represents.

c. Total is the simple sum of all records for the recording interval this row represents. You must consider the engineering units of the tag, the Log to ODBC Frequency, the deadband, the number of samples recorded because of the deadband, the Recording Interval for the Shift Report and the Factor for this report to make this a meaningful total.

Average is the easier way to calculate Total. The easiest way to make sure your Totals are meaning full is to use:

Average and a Recording Interval = the time units of Tag’s Engineering Units.

This makes the Total independent of the Log To ODBC frequency, the Deadband for the Tag and the number of sample actually recorded in the ODBC Log.

For example, if the tag’s engineering units are Gallons / Hour, a Recording Interval = 60 minutes results in a Total value if Average is used regardless of the Log to ODBC Frequency. (I.e. the Total Flow over 1 hour period is the same as the Average Flow Rate / Hour for the one hour period).

d. Last Value is the last value recorded for the tag during this recording interval. This is typically used for closing inventory on Tanks or meters.

The calculation for each cell applies to all records found in the ODBC log for the Recording Interval this row represents (5 minutes to 60 minutes). The Recording Interval was defined on the first configuration page of this Shift report (See Add Scheduled Report). The user should ensure this period is greater or equal to the ODBC record frequency for the tag.

7. Factor is a multiplier used for units and time conversion. For example, if the tag engineering units are gallons / per minute and your total is for a one hour interval, you need a multiplier of 0.0167 (1/60). The result of the Average, Minimum, Maximum, Total or Last Value calculation is multiplied by this factor.

8. Decimal Places defines how many digits after the decimal point (e.g. tenths, hundredths, thousandths) will be displayed in the report.

9. Report Summary defines the rows at the bottom of each column. Summary Data at the bottom of each Column can be calculated: Maximum, Minimum, Average, Last Value and Total for the column.

10. Press Submit to save these entries. Download to the SCADA Node to make these changes effective.


21.1.8 Daily Report Tag Property

21.1.8 Daily Report Tag Property(Not supported by WinCE Edition(WebView &WebLink ))

Each Column in a Report represents the data from one Analog Tag recorded to the ODBC Analog Tag Log. Shift, Daily and Monthly versions of the report use the same Tags, columns and Data.

Different calculations (Average, Total, Min, Max, Last Value) can be performed in the Shift, Daily and Monthly Reports. These are specified under the Tag Property Button for each report.

The Titles of the Columns for the Reports are specified in the Tag Property for each report (a column represents one Tag’s data). The three reports can have different Titles for each column or share the Titles based on another report (e.g. import Shift Report Titles to Daily, or Daily into Monthly).

To Configure the Daily Report Tag Properties:

1. Add a Scheduled Report or select Update from the Scheduled Report List (Figure 21.10).

2. Click the Tag Property button listed under Daily Report.

3. The Daily Report Tag Property page opens.

Figure 21.14 Shift Report Tag Property

4. There can be up to 12 Columns per report (twelve tags).

5. You can import Title information, if another version of this report (Shift or Monthly) has already been configured with Tag Property.

a. From the pull down list next to Title, the choices are

i. User Input - Title information entered or edited manually here.

ii. Import from Shift – will import the Titles from the Shift Report version (if configured).

iii. Import from Monthly – will import the Titles from the Monthly Report version (if configured).

b. You can edit the Titles with Import from Shift or Import from Monthly selected; this will not change the Daily or Monthly reports.

c. Selecting User Input will return to the Titles last saved using the Submit button. Once you press submit, the User Input version becomes the current titles displayed.

d. If you can’t import, then manually enter the Header Title information for each Column of the Report. There are 4 text lines per header on each column. See Shift Report for an example of Column Headers.

6. Display Methods defines a calculation for the data collected the tag (Average, Minimum, Maximum, Last Value or Total). This defines how each “cell” in the report calculated from the records in the ODBC Log database.

e. Average is the simple average of the values (Total / no. of records) for the One (1) Hour interval this row represents.

f. Maximum and Minimum are for the One (1) Hour interval this row represents.

g. Total is the simple sum of all records for the One Hour (60 minute) interval this row represents. You must consider the engineering units of the tag, the Log to ODBC Frequency, the deadband, the number of samples recorded because of the deadband, and the Factor for this report to make this a meaningful total.

Average is the easier way to calculate Total. The easiest way to make sure your Totals are meaning full is to use:

Average and a Factor convert the time units of Tag’s Engineering Units to one hour.

This makes the Total independent of the Log To ODBC frequency, the Deadband for the Tag and the number of sample actually recorded in the ODBC Log.

For example, if the tag’s engineering units are Gallons / Minute, a Factor = 1/60 minutes (0.0167) results in a Total value if Average is used, regardless of the Log to ODBC Frequency. (I.e. the Total Flow over 1 hour period is the same as the Average Flow Rate / Hour for the one hour period).

h. Last Value is the last value recorded for the tag during this recording interval. This is typically used for closing inventory on Tanks or meters.

The calculation for each cell applies to all records found in the ODBC log for the One Hour Interval (60 minutes) this row represents. Daily Reports are always a One Hour period for each row of the report. The user should ensure this period is greater or equal to the ODBC record frequency for the tag.

7. Factor is a multiplier used for units and time conversion. For example, if the tag engineering units are gallons / per minute and your total is for a one hour interval, you need a multiplier of 0.0167 (1/60). The result of the Average, Minimum, Maximum, Total or Last Value calculation is multiplied by this factor.

8. Decimal Places defines how many digits after the decimal point (e.g. tenths, hundredths, thousandths) will be displayed in the report.

9. Report Summary defines the rows at the bottom of each column. Summary Data at the bottom of each Column can be calculated: Maximum, Minimum, Average, Last Value and Total for the column.

10. Press Submit to save these entries.

Download to the SCADA Node to make these changes effective.


21.1.9 Monthly Report Tag Property

21.1.9 Monthly Report Tag Property(Not supported by WinCE Edition(WebView &WebLink ))

Each Column in a Report represents the data from one Analog Tag recorded to the ODBC Analog Tag Log. Shift, Daily and Monthly versions of the report use the same Tags, columns and Data.

Different calculations (Average, Total, Min, Max, Last Value) can be performed in the Shift, Daily and Monthly Reports. These are specified under the Tag Property Button for each report.

The Titles of the Columns for the Reports are specified in the Tag Property for each report (a column represents one Tag’s data). The three reports can have different Titles for each column or share the Titles based on another report (e.g. import Shift Report Titles to Daily, or Daily into Monthly).

To Configure the Monthly Report Tag Properties:

1. Add a Scheduled Report or select Update from the Scheduled Report List (Figure 21‑10).

2. Click the Tag Property button listed under Monthly Report.

3. The Monthly Report Tag Property page opens.

4. There can be up to 12 Columns per report (twelve tags).

5. You can import Title information, if another version of this report (Shift or Daily) has already been configured with Tag Property.

a. From the pull down list next to Title, the choices are

i. User Input - Title information entered or edited manually here.

ii. Import from Shift – will import the Titles from the Shift Report version (if configured).

iii. Import from Daily – will import the Titles from the Daily Report version (if configured).

b. You can edit the Titles with Import From Shift or Import from Daily selected; this will not change the Daily or Shift reports.

c. Selecting User Input will return to the Titles last saved using the Submit button. Once you press submit, User Input version becomes the current titles displayed.

d. If you can’t import, then manually enter the Header Title information for each Column of the Report. There are 4 text lines per header on each column. See Shift Report for an example of Column Headers.

6. Display Methods defines a calculation for the data collected the tag (Average, Minimum, Maximum, Last Value or Total). This defines how each “cell” in the report calculated from the records in the ODBC Log database.

a. Average is the simple average of the values (Total / no. of records) for the 24 hour (1 DAY) interval this row represents.

b. Maximum and Minimum are for the 24 hour (1 DAY) interval this row represents.

c. Total is the simple sum of all records for the One Hour (60 minute) interval this row represents. You must consider the engineering units of the tag, the Log to ODBC Frequency, the deadband, the number of samples recorded because of the deadband, and the Factor for this report to make this a meaningful total.

Average is the easier way to calculate Total. The easiest way to make sure your Totals are meaning full is to use:

Average and Factor convert the time units of Tag’s Engineering Units to 24 hour (1 DAY).

This makes the Total independent of the Log To ODBC frequency, the Deadband for the Tag and the number of sample actually recorded in the ODBC Log.

For example, if the tag’s engineering units are Gallons / Hour, a Factor = 1/24 minutes (0.04167) results in a Total value if Average is used, regardless of the Log to ODBC Frequency. (I.e. the Total Flow over 24 hour period is the same as the Average Flow Rate / Day for the 24 hour period).

d. Last Value is the last value recorded for the tag during this recording interval. This is typically used for closing inventory on Tanks or meters.

The calculation for each cell applies to all records found in the ODBC log for the to 24 hour (1 DAY) Interval this row represents. Monthly Reports are always a 24 Hour period for each row of the report.

7. Factor is a multiplier used for units and time conversion. For example, if the tag engineering units are gallons / per hour and your total is for a one day interval, you need a multiplier of 0.04167 (1/24). The result of the Average, Minimum, Maximum, Total or Last Value calculation is multiplied by this factor.

8. Decimal Places defines how many digits after the decimal point (e.g. tenths, hundredths, thousandths) will be displayed in the report.

9. Report Summary defines the rows at the bottom of each column. Summary Data at the bottom of each Column can be calculated: Maximum, Minimum, Average, Last Value and Total for the column.

10. Press Submit to save these entries. Download to the SCADA Node to make these changes effective.


21.2 Project Logs

*********************************************************************************************************
 *Note:
For XP Professional and XP Standard edition, the Max. quantity of running records can be queried is 5000 records per time, for WinCE edition, it is 1000 records per time.
For WinCE edition, the functions of passing Analog Data/Analog change/Digital points/Discrete Data change to project node (ODBC) are not supported:
*********************************************************************************************************

The Project Logs provide HTML Reports based on Fill-in-the-Blanks Queries. Data can be copied an pasted to EXCEL and other Office Applications.

Data is extracted from the central ODBC Database (the default is Microsoft Access) on the Project Node. Tags must have Log to ODBC enabled in order to retrieve data from the Tag Log.

Fig 21. 1 - Analog Tag Log - QUERY form

***************************************************************************************************************************************

Note: For Windows Vista version, Page Size in various Log Displays can be specified as “All” to display the query result in one page. Please make sure that your computer and network bandwidth can handle the “All” option.

 ***************************************************************************************************************************************

Figure 21.2 - Analog Tag Log

***************************************************************************************************************************************

Note: For Windows Vista Version, the query result in various Log Displays can be exported to Microsoft Excel.
For Log Displays in WebAccess Configuration, please click “Export to Microsoft Excel” menu item in right mouse popup menu to export data. A version of Microsoft Excel which supports “Export to Microsoft Excel” must be installed on the computers where IE is run.

***************************************************************************************************************************************


21.2.1 System Action Log

This shows a centralized Action Log for all SCADA Nodes in the project with Action Log to ODBC enabled. This is very similar to the Action Log in VIEW and ViewDAQ, but applied to all SCADA Nodes and Projects. The Action Log monitors Power User, General User, and Restricted User actions on the SCADA node. Action Log To ODBC must be enabled in the SCADA node properties.

The Action Log shows:

· User changes to Tags (e.g. setpoint changes, auto/manual and equipment changes).

· User Log-ins to SCADA Node using VIEW and ViewDAQ

For more information on the Action Log in VIEW, see the System & Template Displays section. For information on Project User logins and database changes, see System Log.

From the Project Manager, Project Users can see the Action Log from the 'Project Home' page.

Power Users can also see this Action Log from VIEW using the Tools menu:
Right Click -> Tools -> System Action Log.

All Users can also see this Action Log from ViewDAQ using the menu bar:
Tools -> System Action Log.

The Action Log can be sorted and filtered by Time, Date, tag, computer, node and IP addresses.

An optional T ag Name Patterns field is to let users search for patterns using wildcard characters when “All Tags” is highlighted. The wildcard characters are database dependent (.e.g Access, SQL Server, Oracle, MySQL) used to store ODBC data. For an Access database, use % (percent symbol) to match any number of characters and _ (underscore) to match any single character.

An HTML report is printed.

The HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Data can be exported to EXCEL (VIEW and ViewDAQ to EXCEL 2000 or later, the Project Manager requires EXCEL 2002 or later). See 21.3.2 Export to EXCEL from ODBC Log

The default number of records per page for log displays is to 600.

The system display used by VIEW and ViewDAQ is bwActlog.uti.

The data is contained on the Project Node at drive:\WebAccess\Node\bwPDATA.mdb

The database table is BwActionTable: User action log table.

a. ProjNodeId : Unique ID for a SCADA node.

b. LogDate : Date of the record was recorded.

c. LogTime : Time of the record was recorded.

d. Priority : Not Used.

e. TagName : Tag name, if it is tag related record.

f. Description : Tag Description

g. Action : Description of the User Action

h. UserName : The user who made the action

i. NodeName : The node that this action happened.

j. NodeIP : The IP address of the node where the action happened.


21.2.1.1 System Log

This shows a centralized Action Log for the Project Node. This is the same as System Log on the Home Page of the Project Manager.

The System Log shows user Actions on the Project:

  • User Login and Logout to the Project Node (i.e. Project Users and admin logging into Configuration Project Manager.

  • Start Node and Stop Node (i.e. SCADA nodes)

  • Start VIEW

  • Start DRAW

  • Download and Download Graph

  • Create or Delete Project

  • Create or Delete SCADA Node.

  • Log Data Maintenance performed by the system

From the Project Manager, Project Users can see the System Log from the 'Project Home' page.

Power Users can also see this Action Log from VIEW using the Tools menu:
Right Click -> Tools -> System Log.

All Users can also see this Action Log from ViewDAQ using the menu bar:
Tools -> System Log.

The System Log can be sorted and filtered by Project, SCADA Node, Time, Date, User, Action and IP addresses.

An HTML report is printed.

An HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

The default number of records per page for log displays is to 600.

The system display used by VIEW and ViewDAQ is bwsyslog.uti.

The data is contained on the Project Node at drive:\WebAccess\Node\bwPDATA.mdb

The database table is BwSysLogTable: User action log table.

a. ProjNodeId : Unique ID for a SCADA node.

b. LogDate : Date of the record was recorded.

c. LogTime : Time of the record was recorded.

d. UserName : The user who made the action

e. Action Type : number corresponding to Action type

f. Action : Description of the User Action

g. SourcePC : host name of PC that made this action (if available).

h. SourceIP : The IP address of the PC that made this action.

j. ProjId : The unique id number of the project affected.

i. ProjName : The name of the project affected.

k. NodeName : The node that this action happened.


21.2.2 System Alarm Log

This shows a centralized Alarm Log for all SCADA Nodes and all projects with Alarm Log to ODBC enabled.

From the Project Manager, Project Users can see the System Alarm Log from the 'Project Home' page.

Power Users can also see this Action Log from VIEW using the Tools menu:
Right Click -> Tools -> System Alarm Log.

All Users can also see this Action Log from ViewDAQ using the menu bar:
Tools -> System Alarm Log.

These can be sorted and filtered by Project, SCADA Node, Date, User Name, computer, Priority, IP address and Tag Name.

An optional T ag Name Patterns field isto let users search for patterns using wildcard characters when “All Tags” is highlighted. The wildcard characters are database dependent (.e.g Access, SQL Server, Oracle, MySQL) used to store ODBC data. For an Access database, use % (percent symbol) to match any number of characters and _ (underscore) to match any single character.

An HTML report is printed.

The HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Data can be exported to EXCEL (VIEW and ViewDAQ to EXCEL 2000 or later, the Project Manager requires EXCEL 2002 or later). See 21.3.2 Export to EXCEL from ODBC Log

The default number of records per page for log displays is to 600.

For more information, refer to Alarm Login the System & Template Displays section.

The system display used in VIEW is bwalmlog.uti

The data is contained on the Project Node at drive:\WebAccess\Node\bwPDATA.mdb

The database table is BwAlarmTable: Alarm log table

a. ProjNodeId : Unique ID for a SCADA node.

b. LogDate : Date of the record was recorded.

c. LogTime : Time of the record was recorded.

d. Priority : Alarm priority.

e. TagName : Tag name.

f. Description : Tag Description

g. Action : Alarm information

h. UserName : User involved in the alarm action.

i. NodeName : SCADA Node

j. NodeIP : Not used.


21.2.3 Analog Tag Log

This shows a centralized database for all Analog Tags for all SCADA Nodes in the project with Data Log to ODBC enabled.

The individual tags must have both Data Log DB enabled and Log to ODBC Frequency must be greater than zero.

These can be sorted and filtered by Time, Date, and node addresses. An HTML report is displayed which can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

From the Project Manager, Project Users can see the Analog Tag Log from the 'Project Home' page.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> Analog Tag Log.

All Users can also see this Log from ViewDAQ using the menu bar:
Tools -> Analog Tag Log.

The Analog Tag Log contains values of all tags on all Project and All SCADA nodes that have log to ODBC enabled for the SCADA node and the tags.

It can be sorted and filtered by Project, SCADA Node, Date, and Tag name.

Use the CTRL key to select multiple project names, nodes or tag names.

Use SHIFT key to select a range of project names, nodes or tag names.

An optional T ag Name Patterns field isto let users search for patterns using wildcard characters when “All Tags” is highlighted. The wildcard characters are database dependent (.e.g Access, SQL Server, Oracle, MySQL) used to store ODBC data. For an Access database, use % (percent symbol) to match any number of characters and _ (underscore) to match any single character.

An HTML report is displayed .

The HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Data can be exported to EXCEL (VIEW and ViewDAQ to EXCEL 2000 or later, the Project Manager requires EXCEL 2002 or later). See 21.3.2 Export to EXCEL from ODBC Log

The reporting period is always one minute.

The number of samples in the reporting period is fixed at one minute. This is the same as the record interval in the bwAnalogTable in the ODBC database (default is bwPDATA.mdb). The number of samples used to make up a record (a one-minute value) is determined by the Tag's configuration of Log to ODBC Frequency. The Maximum, Minimum and Average values are based on how many samples at the Log to ODBC Frequency fit into one minute. If log to ODBC is 1 seconds, then there are 60 samples. If log to ODBC is one minute, then there is one sample. If communications fails or is very slow, there maybe fewer samples (i.e. if communications can not keep up with the Log to ODBC Frequency, then there may be fewer than the requested samples).

The default number of records per page for log displays is to 600.

The display used is bwanalog.uti.

BwAnalogTable : Data log for Analog tag

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. MaxValue: Maximum value of the recording period.

f. AvgValue: Average value of the recording period.

g. MinValue: Minimum value of the recording period.

h. LastValue: The Maximum value of the recording period.

i. Alarm: If the tag is in alarm during the recording period.

-2147483648 (Decimal) or 0x80000000 (HEX) means there is no data during the minute of collection. Otherwise, the value of this field is a LOGICAL OR of all the Alarms that occurred during the interval.

Alarm Code Alarm Code Description
Decimal Hex

-2147483648 0x80000000 no data during the minute of collection.

2 0x02 Acknowledged Alarm

4 0x04 High High Alarm

8 0x08 High Alarm

16 0x10 Low Alarm

32 0x20 Low Low Alarm

64 0x40 Rate of change Alarm

128 0x80 High Deviation Alarm

256 0x100 Low Deviation Alarm


21.2.4 Discrete Tag Log

This shows a centralized database for all Discrete Tags for all SCADA Nodes in the project with Data Log to ODBC enabled.

The individual Tags must have both Log Data enabled and Log to ODBC enabled.

From the Project Manager, Project Users can see the Discrete Tag Log from the 'Project Home' page.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> Discrete Tag Log.

All Users can also see this Log from ViewDAQ using the menu bar:
Tools -> Discrete Tag Log.

The data can be sorted and filtered by Time, Date, and node addresses.

An optional T ag Name Patterns field isto let users search for patterns using wildcard characters when “All Tags” is highlighted. The wildcard characters are database dependent (.e.g Access, SQL Server, Oracle, MySQL) used to store ODBC data. For an Access database, use % (percent symbol) to match any number of characters and _ (underscore) to match any single character.

An HTML report is printed.

The HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Data can be exported to EXCEL (VIEW and ViewDAQ to EXCEL 2000 or later, the Project Manager requires EXCEL 2002 or later). See 21.3.2 Export to EXCEL from ODBC Log

The default number of records per page for log displays is to 600.

The display used in VIEW is bwdislog.uti.

Data is recorded on a change of state basis. If the Discrete tag does not change, no data is recorded. The value of the state may range from 0 to 7 (a 3 bit integer) depending on how the Discrete Tag length is configured. A typical Digital tag will have two states (0 and 1). To evaluate the meaning of the state number, you must reference how the tag is configured for each state descriptor.

Length State Descriptors Used

1-BIT STATE 0 and STATE 1

2-BITS STATE 0, 1, 2, and STATE 3
3-BITS STATE 0 thru STATE 7

For related information, refer to Data Log Trend Display in the System & Template Displays section.

BwDiscreteTable : Data log for Discrete tags

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. LogMilliSecond : The millisecond of the time of the record was recorded

f. LogValue : The value was recorded.

g. Alarm: If the tag is in alarm during the recording period.

-2147483648 (Decimal) or 0x80000000 (HEX) means there is no data during the minute of collection. Otherwise, the value of this field is a LOGICAL OR of all the Alarms that occurred during the interval.

Alarm Code Alarm Code Description
Decimal Hex

-2147483648 0x80000000 no data during the minute of collection.

2 0x02 Acknowledged Alarm

512 0x200 Discrete Alarm


21.2.5 Text Tag Log

This shows a centralized database for all Text Tags for all SCADA Nodes in the project with Data Log to ODBC enabled.

The individual Tags must have both Log Data enabled and Log to ODBC enabled.

From the Project Manager, Project Users can see the Text Tag Log from the 'Project Home' page.

Power Users can also see this Log from VIEW using the Tools menu:
Right Click -> Tools -> Text Tag Log.

All Users can also see this Log from ViewDAQ using the menu bar:
Tools -> Analog Tag Log.

The data can be sorted and filtered by Time, Date, and node addresses.

An optional T ag Name Patterns field isto let users search for patterns using wildcard characters when “All Tags” is highlighted. The wildcard characters are database dependent (.e.g Access, SQL Server, Oracle, MySQL) used to store ODBC data. For an Access database, use % (percent symbol) to match any number of characters and _ (underscore) to match any single character.

An HTML report is printed.

The HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Data can be exported to EXCEL (VIEW and ViewDAQ to EXCEL 2000 or later, the Project Manager requires EXCEL 2002 or later). See 21.3.2 Export to EXCEL from ODBC Log

The default number of records per page for log displays is to 600.

The display used is bwtxtlog.uti.

BwTextTable : Data log for Analog tag

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. TextData : The data recorded.

For related information, refer to Data Log Trend Display in the System & Template Displays section.


21.2.6 Analog Change Log

This shows a centralized database for all Analog Tags, with Analog Change Log enabled, for all SCADA Nodes and all Projects.

The individual tags must have both Analog Change Log enabled and the values must exceed the Analog Change Log Dead Band to be logged.

From the Project Manager, Project Users call the Analog Change Log from the 'Project Home' page.

Power Users can also call this Log from VIEW using the Tools menu:
Right Click -> Tools -> Analog Change Log.

All Users can call this Log from ViewDAQ using the menu bar:
Tools -> Analog Change Log.

The data can be sorted and filtered by Tagname, Date, Project, and SCADA Node.

Use the CTRL key to select multiple project names, nodes or tag names.

Use SHIFT key to select a range of project names, nodes or tag names.

An optional T ag Name Patterns field isto let users search for patterns using wildcard characters when “All Tags” is highlighted. The wildcard characters are database dependent (.e.g Access, SQL Server, Oracle, MySQL) used to store ODBC data. For an Access database, use % (percent symbol) to match any number of characters and _ (underscore) to match any single character.

An HTML report is displayed .

The HTML report displayed can be copied and pasted into EXCEL, WORD and other office applications preserving the cell, column and other formatting.

Data can be exported to EXCEL (VIEW and ViewDAQ to EXCEL 2000 or later, the Project Manager requires EXCEL 2002 or later). See 21.3.2 Export to EXCEL from ODBC Log

The default number of records per page for log displays is up to 600.

The display used is bwchglog.uti.

BwAnaChglog : Data log for Analog tag

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. LogMillisecond: Millisecond of the record.

f. LogValue: Value of the recording period.

g. MinValue: Minimum value of the recording period.

h. Alarm: If the tag is in alarm during the recording period.

-2147483648 (Decimal) or 0x80000000 (HEX) means there is no data during the minute of collection. Otherwise, the value of this field is a LOGICAL OR of all the Alarms that occurred during the interval.

Alarm Code Alarm Code Description
Decimal Hex

-2147483648 0x80000000 no data during the minute of collection.

2 0x02 Acknowledged Alarm

4 0x04 High High Alarm

8 0x08 High Alarm

16 0x10 Low Alarm

32 0x20 Low Low Alarm

64 0x40 Rate of change Alarm

128 0x80 High Deviation Alarm

256 0x100 Low Deviation Alarm


21.2.7 Project Logs Database - bwPdata.mdb

21.2.6 Project Logs Database - bwPdata.mdb

BwPData.mdb definition

1. BwActionTable: User action log table.

a. ProjNodeId : Unique ID for a SCADA node.

b. LogDate : Date of the record was recorded.

c. LogTime : Time of the record was recorded.

d. Priority : Not Used.

e. TagName : Tag name, if it is tag related record.

f. Description : Tag Description

g. Action : Description of the User Action

h. UserName : The user who made the action

i. NodeName : The node that this action happened.

j. NodeIP : The IP address of the node where the action happened.

2. BwAlarmTable: Alarm log table

a. ProjNodeId : Unique ID for a SCADA node.

b. LogDate : Date of the record was recorded.

c. LogTime : Time of the record was recorded.

d. Priority : Alarm priority.

e. TagName : Tag name.

f. Description : Tag Description

g. Action : Alarm information

h. UserName : User involved in the alarm action.

i. NodeName : Not Used.

j. NodeIP : Not used.

3. BwAnalogTable : Data log for Analog tags

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. MaxValue: Maximum value of the recording period.

f. AvgValue: Average value of the recording period.

g. MinValue: Minimum value of the recording period.

h. LastValue: The Maximum value of the recording period.

i. Alarm: If the tag is in alarm during the recording period.

-2147483648 (Decimal) or 0x80000000 (HEX) means there is no data during the minute of collection. Otherwise, the value of this field is a LOGICAL OR of all the Alarms that occurred during the interval.

Alarm Code Alarm Code Description
Decimal Hex

-2147483648 0x80000000 no data during the minute of collection.

2 0x02 Acknowleged Alarm

4 0x04 High High Alarm

8 0x08 High Alarm

16 0x10 Low Alarm

32 0x20 Low Low Alarm

64 0x40 Rate of change Alarm

128 0x80 High Deviation Alarm

256 0x100 Low Deviation Alarm

512 0x200 Discrete Alarm

4. BwDiscreteTable : Data log for Discrete tags

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. LogMilliSecond : The millisecond of the time of the record was recorded

f. LogValue : The value recorded.

g. Alarm: If the tag is in alarm during the recording period.

-2147483648 (Decimal) or 0x80000000 (HEX) means there is no data during the minute of collection. Otherwise, the value of this field is a LOGICAL OR of all the Alarms that occurred during the interval.

Alarm Code Alarm Code Description
Decimal Hex

-2147483648 0x80000000 no data during the minute of collection.

2 0x02 Acknowledged Alarm

512 0x200 Discrete Alarm

5. BwTextTable : Data log for Analog tag

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. LogDate : Date of the record was recorded.

d. LogTime : Time of the record was recorded.

e. TextData : The data recorded.

6. BwLogTag: All the tags with ODBC log enabled

a. ProjNodeId : Unique ID for a SCADA node.

b. TagName : Tag Name.

c. TagType : 1/2/3 for Analog/Discrete/Text tag

d. ProjId : Project ID for the tag.

7. BwLogTblInfo : For internal used only.

8. BwReportTable : For internal used only.

9. BwReportTagTable : For internal used only.

10. BwSysLogTable: System operation log

a. ProjNodeId : Unique ID for a SCADA node.

b. LogDate : Date of the record was recorded.

c. LogTime : Time of the record was recorded.

d. UserName : User name who made the action.

e. ActionType : An action type ID.

f. Action : Text Description of the action.

g. SourcePC : The computer name where the action was originate.

h. SourceIP : IP address of the source computer.

i. ProjId : Unique number for the project involved.

j. ProjName : Project name involved in this action.

k. NodeName : SCADA node name involved in this action.


21.3. Export Trend Data

21.3.1 Export Data - from any Trend Display

An "On the fly" report can be created from any Real-time Trend or DATA Log Trend. A second window pops open with the report.

The data can be copied and pasted into EXCEL, email and other programs.

File->Save and File ->Print commands can be used.

Up to 12 Tags can be exported in a single Data Log Trend Display.

For more information see:

6.2.5 Export Data Log Trend

and

6.3.3 Export Data from Real-time Trend.


1.6.3 Secure Your Clients

21.3.2 Export to EXCEL from ODBC Log

The query result in various Log Displays can be exported to Microsoft Excel.

WebAccess Configuration (Internet Explorer)

For Log Displays in WebAccess Configuration, use the right-click menu. “Export to Microsoft Excel” appears as a menu item by right-clicking the mouse ( a popup menu appears to export data). A version of Microsoft Excel which supports “Export to Microsoft Excel” (e.g. EXCEL 2002 or later) must be installed on the computers where IE is run (i.e. on the client).

ViewDAQ

For Log Displays in WebAccess ViewDAQ, use the “Export to Microsoft Excel” menu item in the Edit submenu to export data. A version of Microsoft Excel which supports “Export to Microsoft Excel” (e.g. EXCEL 2000 or later) must be installed on the computers where ViewDAQ is run (i.e. on the SCADA node).

View client (Internet Explorer)

For Log Displays in WebAccess View client, use the Right-click menu item “Export to Microsoft Excel” to export data. A version of Microsoft Excel which supports “Export to Microsoft Excel” (e.g. EXCEL 2000 or later) must be installed on the computers where View client is run.


21.4. Event Logs

Similar in concept to a Sequence of Events Recorder, The Event log will log user-defined number of sample before the event and after the event. The data is logged to an ODBC database on the Project Node.

Up to 22 Tags can be logged to a single Event Log based on the status of a single tag (the Event Tag). Resolution can be from 1 millisecond to 1 hour. The Actual resolution depends on you computer hardware, network connections and communications to field device (e.g. PLC). Multiple Event Logs can be configured.

Event Types that will trigger logging include:

  • Event Tag >= Reference Value

  • Event Tag <= Reference Value

  • Event Tag >= Reference Tag

  • Event Tag <= Reference Tag

  • Record Every Sample Interval

Event Log

An HTML report is printed.

Project Users can view an Event Log from the Project Manager.

.

Power Users can also see Event Logs from VIEW using the Tools menu:
Right Click -> Tools -> Event Log.

All Users can also see this Action Log from ViewDAQ using the menu bar:
Tools -> Event Log.

The time of "Time” Event Log data (i.e. ‘Record every sample period’) now aligns to 00:00:00 regardless of when the SCADA node started.


21.4.1 Configure Event Log

Event Logs are configured for each SCADA Node from the SCADA Node Properties Page.

figure 21.4.1 SCADA Node Properties Page

Similar in concept to a Sequence of Events Recorder, The Event log will log user-defined number of sample before the event and after the event. The data is logged to an ODBC database on the Project Node.

To configure Event Logging:

1. Log in to the Project Manager.

2. Open the SCADA Node Properties page.

3. Select the Event Log hyperlink (see above figure 21.4.1).

4. The Event Log List opens (it will be empty if this is the first Event Log ).

5. Select Add Event Log
(or select Update to modify an Event Log).

6. The first page of the Event Log opens.

7. Enter an Event Log Name (no blank spaces).

8. Optionally, enter a Description.

9. Click once on the Event Tag field, then use the pull down Tag List to select a tag.

Alternatively, you can type the tag name or copy an paste in a tag name.

The Event Tag is the tag which will cause logging to start. It can be an Analog or Discrete Tag. It can also be a Calculation Tag if you need a complex relationship to start logging.

10. Select the Event Type from the pull down list.

Event Types that will trigger logging include:

  • Event Tag >= Reference Value

  • Event Tag <= Reference Value

  • Event Tag >= Reference Tag

  • Event Tag <= Reference Tag

  • Record Every Sample Interval

11. If Event Tag >= Reference Tag or Event Tag <= Reference Tag is selected, then click once on the Reference Tag field then use the pull down Tag List to select a tag. Alternatively, you can type the tag name or copy an paste in a tag name.

12. Enter a Deadband. This is the Percent of Span that is considered big enough to start logging.

13. Enter a Sample Interval. This is the frequency of logging.

Note - the Sample Interval is a function of this entry and the specified Scan Time for the communication port and the effective Scan Time (e.g. how fast the PLC or IO actually can be polled or scanned).

14. Enter the Number of Sample before the Event to be recorded. This is to see what lead up to the event and helps to diagnose what caused the event.

15. Enter the Number of Samples After the Event to be recorded. Choose Log Continuously to record the event data from the event began until the event ends

16. Select the Tags to Log button. The second page of the Event Log opens (Event Boiler

17. Select the 001 field, then use the pull down Tag List to select a tag. Alternatively, you can type the tag name or copy an paste in a tag name.

18. Repeat step 17 to add more tags.

Note - Optionally, you can also enter the name of a Script to run. This should be used with caution since it can affect system performance if fast recording of live data is also required. The names with extensions ".SCR", ".JS" or ".VBS" are treated as a script file names. When the event is triggered, the script(s) will be executed and a value "0" will be recorded in event log. The scripts should be located in the \bgr subdirectory for the project and node.

19. Use the Max Tags pulldown list to increase or decrease the number of tags from 2 to 240.

Note - Max Size will affect this one Event Log. Changing the Size of this Event Log will result in the data table being re-created to increase the number of columns. This will delete all previous data for this one Event Log the next time the SCADA Node is downloaded and restarted. A dialog box opens to warn you that changing the size of the event log will delete previously logged data.

Up to 22 Tags can be logged to a single Event Log based on the status of a single tag (the Event Tag).

Multiple Event Logs can be configured if you need multiple tags to trigger logging.

Resolution can be from 1 millisecond to 1 hour. The Actual resolution depends on you computer hardware, network connections and communications to field device (e.g. PLC.

The record time of Event Log data (i.e. ‘Record every sample period’) now aligns to 00:00:00 regardless of when the SCADA node started. For example, if you specify recording every 10 seconds, then the data will record on :00, :10, :20, :30, :40 and :50 seconds after the minute for the duration specified.


21.5 Excel Report

WebAccess Excel reports are generated from the historical tag data based on the templates built by the data table and analysis charts as the report format in the WebAccess SCADA Node. Users & Operators can build customized report templates based on EXCEL functions and key words and uploaded in the WebAccess Excel report function to automatically generated daily/weekly/monthly or specific date reports. The function provide extensive analysis and viewing functions for statistical and event data. Reports are built using easy to follow “Report Template Forms” based on Excel format. View immediately in View DAQ via IE or local PC or store as “Predefined Reports” for later use.

Note：

  • Microsoft Excel version up to 2007

  • Windows XP only supports Daily/Weekly/Monthly report types.


21.5.1 EXCEL Report Configuration

1. Start Advantech WebAccess Project Manager.

2. Login with the User Name and Password and select your Project Name.

3. Open the SCADA node.

4. Choose the EXCEL Report in SCADA Node：Go to the EXCEL report list page

21.5.1 Excel report function

5. Click New Report to create NEW EXCEL report

21.5.2 Create new report

6. Configure the Report information

21.5.3 New Report configuration

  • Template：Default has four templates. Users can upload the predefined template to generate the report. Click the icon [image] to preview the template to check the template format.

21.5.4 Pre-view templates

  • Report Name：Define the Report name. The maximum length of the name is 32 alphanumeric characters and it can’t have spaces.

  • Report Type：The data type of report. Users can choose different data time types of report. There are six types, Self-defined, Last day, Last month, Multi-time, Daily Report, Weekly Report, Monthly Report, Yearly Report

  • Start Time：The start time of the data of the report based on the Report type

  • End Time：The end time of the data of the report based on the Report type

  • Time Interval：Data time interval display in Report.

  • Time Unit：The Time unit of the Time interval.

  • Data Type：Choose to show the Last/Maximum/Minimum/Average value of time interval in the report.

7. Submit the New Report

21.5.5 Submit new report

8. Generate the Report：Click Generate to get the Report. If the report has been generated, the report link is shown in the View column.

21.5.6 Generate Report in Report list

21.5.7 View the Report

  • Download：Download the Excel file

  • PDF：Export to PDF file.

  • Print Report：report Print the report directly

9. Update / Delete Report：Click Update and go to the update page

21.5.8 Update / Delete Report

21.5.9 Update Report page

Note：

1. One report can gather a maximum of 32 tags and 3600 records.

2. The report backup is in C:\inetpub\wwwroot\broadweb\WaExlViewer\report


21.5.1.1 Last day Report type

Users can get the report based on the data with the day before the day of the WebAccess system from 0:00 to 24:00. The default start time and end time are already set when user chooses this report type.

21.5.1 .2 Last day Report type


21.5.1.2 Last Month Report type

Users can get the report based on the data with the last month of the WebAccess system. The default start time and end time are already set when the user chooses this report type.

21.5.1 .3 Last Month Report type


21.5.1.3 Multi-Time Reports

Multi-time reports provide users with the option to choose different time periods to generate the report. The Maximum number of time periods is five. Users can define each time period.

  • Report Type：Multi-time.

  • Time Set：Choose Time periods. Maximum is five.

  • Start Time/End time：The start time and end time of the time period.

  • Position offset：The interval of the multi-time data in the report. If the position offset is 3, the first time period data is three lines from second time period data.

  • Time Interval：Time interval of all time periods.

21.5.1 .4 Multi-Time Report type


21.5.1.4 Daily Report

Daily reports are automatically generated based on the defined time period every day. The report list will show each daily report and view the report.

21.5.1 .5 Daily Report

21.5.1 .5.1 Daily Report


21.5.1.5 Weekly Report

Weekly reports are automatically generated based on the defined time period every week. The report list will show each weekly report and view the report.

21.5.1 .6 Weekly Report


21.5.1.6 Monthly Report

Monthly reports are automatically generated based on the defined time period every month. The report list will show each weekly report and view the report.

21.5.1.7 Monthly Report


21.5.1.7 Yearly Report

Yearly reports are automatically generated based on the defined time period every year. The report list will show each yearly report and view the report.

21.5.1.7 Yearly Report type


21.5.2 Build the Template

Users & Operators can build customized report template based on EXCEL functions and key words and upload in WebAccess Excel report function to automatically generated daily/weekly/monthly or the specific date report.

1. Open the Microsoft office EXCEL

2. Rename Sheet 1 to “template”. WebAccess’s Excel Report function identifies the name ”template” as the sheet to be the report template.

21.5.2.1 Build the Template

3. Key in the key words about Time / Tag / Project/Node information. Save the file and the file name will be the name of Template in the WebAccess

4. Upload the template in the system：New Template

21.5.2.2 Upload template

  • Upload Template：Upload the pre-built template.

  • Description：The description of the template

  • Upload Preview：Upload the preview picture. The picture will show up when users create the new report and click the icon to preview the template.

  • Submit：Submit and upload the template.

5. Template list：List all templates. The template list includes four default templates and the new uploaded templates. The template list based on the upload date.

21.5.2.3 Template List

6. Update the template：Click Update in the Template list and change the template information.

21.5.2.5 Update Template


21.5.2.1 Template Key Words

  • Time related Key words

Key words | Description
$starttime | The heading syntax of time related key word
$SingleTimeRow | Display one Time period in single row based on time interval
$SingleTimeCol | Display one Time period in single column based on time interval
$RepeatTimeRows | Repeat displays one Time period in different rows based on the time interval. Use with $tag=$RepeatTagRows and $RepeatInterval to define the repeat interval.
$RepeatTimeCols | Repeat displays one Time period in different columns based on the time interval. Used with $tag=$RepeatTagRows and $RepeatInterval to define the repeat interval.
$title | The title of the column

  • Tag related Key words

Key words | Description
$tag | The heading syntax of tag related key word
$AllTagsRow | In one time period, display all selected Tag Name in one row. The value of tag display vertically under the tag name.
$AllTagsCol | In one time period, display all selected Tag Name in one column. The value of tag display horizontaly under the tag name.
$RepeatTagRows | Repeat display tag data in different rows based on time interval. Use with $tag=$ RepeatTagRows and $RepeatInterval to define the repeat interval.
$RepeatTagCols | Repeat display tag data in different columns based on time interval. Use with $tag=$ RepeatTagCols and $RepeatInterval to define the repeat interval.

  • Graphics related Key words

Key words | Description
$Graph | The heading syntax of Graphics related key word. $ Graph= graphic types ( line, pie, column, bar )
$RepeatGraph | Repeat displays the graphic in a different location. $RepeatInterval defines the repeat interval. The default interval is 15 lines.
$src | The data source of the graphic. If using $RepeatGraph, $src = the cell of $tag If using $Graph, $src = the multi-cells of specific $tag
$width | The width of the graphic. Based on the cell of the keyword, if $ width = 5, it means that the chart width is five times the width of the current cell which includes the keyword.
$height | The height of the graphic. Based on the cell of the keyword, if $height=10, it means that the chart width is ten times the height of the current cell which includes the keyword.

  • Location related Key words

Key words | Description
$RepeatInterval | Key words of Repeat interval of time, tag, and graphic (ex. $RepeatTimeRows, $RepeatTagRows, $RepeatGraph).

  • Other Key words

Key words | Description
$Project | Project Name
Node | Node Name


21.5.2.1.1 $ Project

  • Description：Project Name

  • Template：$ Project


21.5.2.1.2 $ Node

  • Description：Node Name

  • Template：$ Node


21.5.2.1.3 $starttime

  • Description：Display one Time period in a single row based on time interval

  • Keywords：$SingleTime

  • Template：$starttime=$SingleTimeRow;


21.5.2.1.4 $SingleTimeRow

  • Description：Display one Time period in single row based on time interval

  • Keywords：$SingleTimeRow

  • Template：$starttime=$SingleTimeRow;


21.5.2.1.5 $ SingleTimeCol

  • Description：Display one Time period in single column based on time interval

  • Key words：$SingleTimeCol;

  • Template：$starttime=$ SingleTimeCol;


21.5.2.1.6 $RepeatTimeRows

  • Description：Repeat display one Time period in different rows based on the time interval. Use with $tag=$RepeatTagRows and $RepeatInterval to define the repeat interval.

  • Template：$starttime=$RepeatTimeRows;$RepeatInterval=3;


21.5.2.1.7 $RepeatTimeCols

  • Description：Repeat displays one Time period in different columns based on the time interval. Use with $tag=$RepeatTagRows and $RepeatInterval to define the repeat interval.

  • Template：$starttime=$RepeatTimeCols;$RepeatInterval=3;


21.5.2.1.8 $title

  • Description : title of the column

  • Template：$starttime=$RepeatTimeCol;$title=Time;


21.5.2.1.9 $tag

  • Description：The heading syntax of the tag related key word


21.5.2.1.10 $AllTagsRow

  • Description：One time period displays all selected Tag Names in one row. The value of the tag is displayed vertically under the tag name.

  • Template：$tag=$AllTagsRow;


21.5.2.1.11 $AllTagsCol

  • Description：One time period displays all selected Tag Names in one column. The value of the tag is displayed horizontally under the tag name.

  • Template：$tag=$AllTagsCol;


21.5.2.1.12 $RepeatTagRows

  • Description：Repeat displays the tag data in different rows based on the time interval. Use with $tag=$ RepeatTagRows and $RepeatInterval to define the repeat interval.

  • Template：$tag=$RepeatTagRows;$RepeatInterval=3;


21.5.2.1.13 $RepeatTagCols

  • Description：Repeat displays tag data in different columns based on time interval. Use with $tag=$RepeatTagCols and $RepeatInterval to define the repeat interval.

  • Template：$tag=$RepeatTagCols;$RepeatInterval=3;


21.5.2.1.14 $Graph

  • Description：The heading syntax of Graphics related keywords. $Graph= graphic types ( line, pie, column, bar )

  • Template：$Graph=line;$src=A4~A8;$width=4;$height=10;


21.5.2.1.15 $RepeatGraph

  • Description：Repeat displays graphics in different locations. Use $RepeatInterval to define the repeat interval, the default interval is 15 lines.

  • Template：$RepeatGraph=line;$width=4;$height=10;$src=A4;$repeatInterval=13;


21.5.2.1.16 $src

  • Description：The data source of the graphic. If using $RepeatGraph, $src = the cell of $tag. If using $Graph, $src = the multi-cells of specific $tag

  • Template1：$RepeatGraph=line;$width=4;$height=10;$src=A4;$repeatInterval=13;

  • Template2：$Graph=line;$src=A4~A8;$width=4;$height=10;


21.5.2.1.17 $width

  • Description：The width of the graphic. Based on the cell of keyword, if $width = 5, it means that the chart width is five times the width of the current cell which includes the keyword.

  • Template：$RepeatGraph=line;$width=4;$height=10;$src=A4;$repeatInterval=13;


21.5.2.1.18 $height

  • Description：The height of the graphic. Based on the cell of the keyword, if $height=10, it means that the chart width is ten times the height of the current cell which includes the keyword.

  • Template：$RepeatGraph=line;$width=4;$height=10;$src=A4;$repeatInterval=13;


21.5.2.1.19 $RepeatInterval

  • Description：Keywords at Repeat intervals of time, tag, and graphic (ex. $RepeatTimeRows, $RepeatTagRows, $RepeatGraph).

  • Template：$starttime=$RepeatTimeRows;$RepeatInterval=3;


21.5.3 View Report

  • View in Report list

1. Go to Report list.

2. Click Generate to generate and view the report for the new report.

3. Click View link to view the old report.

4. For Daily/Weekly/Monthly/Yearly report, the reports are automatically generated Daily/Weekly/Monthly/Yearly with the file name ”Daily/Weekly/Monthly/Yearly Report_ Date” and list in the View link. Choose one report and click to open.

  • Download the Report

Open the Report and Click Download. The Excel file report will download.

  • View Report in View DAQ

1. Start Kernel and Open ViewDAQ

2. Tools→Excel Report

3. Report list：choose the Excel Report you would like to view.

  • Embed the Excel report

1. Embed the button on the interface: the button can connect to the Report on View DAQ.

  • The method: Draw DAQ → Dynamic →Push Button

  • Button Down Macro：

To Repot list：<GOTO>TOOL=BWEXCELVIEW.UTI

To specific Report：<GOTO>TOOL=BWEXCELVIEW.UTI^REPORT=filename

2. Embed the Report on Draw DAQ：Dynamic → Video Display

  • Name : XXX

  • Video :

To Repot list：uti:../WaExlViewer/WaExlViewer.asp?uti=1&

To Specific Report：uti:../WaExlViewer/WaExlViewer.asp?uti=1&report=filename&


22. WebAccess Dashboard

WebAccess Dashboard Overview

WebAccess 8.0 is the next generation of HMI software and is based on HTML5, JavaScript and CSS technology. Users can create a customized information page by using analysis charts and diagrams called widgets. They can view the data on different platforms, like Explorer, Safari, Chrome, and Firefox for a seamless viewing experience across PCs, Macs, tablets and smartphones.

WebAccess Dashboard consists on an Editor, a Viewer, and built-in Widgets. Users can design their own real-time or historical dashboard content with the widget library that includes analysis and trend charts in the Editor Tool. Use the Web Service and SignalR technology to connect to the WebAccess database and dashboard to get real-time data information. Users can view the data information from any platform and any browser.

WebAccess 8.0 still contains the original HMI functions – DrawDAQ and ViewDAQ, and has added a new HMI function, “Dashboard” to Extend HMI access for mobile engineers or managers and empowered mobile workers to access monitoring information remotely to increase productivity, control, and efficiency whilst at the same time, saving money and resources.

WebAccess Dashboard

Features

The following features make Dashboard an unique system for your application requirements:

  • Full access to WebAccess Tags at anytime and anywhere from any platform and browser

  • Supports all HTML5 compliant browsers

  • Runs on Any platform： Desktop, Laptops, Tablets, Smartphones, Pads

  • Dashboard Editor：Configuration tool for dashboard customization

  • Dashboard Viewer enables users/administrators to see a quick summary of their SCADA system via Dashboard Viewer from wherevere they are.

  • Provides a built-in Widget Library and easy-to-use browser based Dashboard Editor for users to design and build their own dashboards.

  • WebAccess Dashboard is an open platform for third parties to build their own Widgets.

  • WebAccess Dashboard exchanges data via WebAccess RT Communication. WebAccess active updates data to the Dashboard.

  • Seamless integration with WebAccess through Web Service.


22.1.1 System Architecture

WebAccess Dashboard has three main components：

1. Dashboard Editor: It is the configuration page for users to create the dashboard, including Layout, Dashboard Display, Data source mapping, Widget Type, Plugable widget interface, and Widget interaction.

  • Widget Explorer： Widget library, includes widgets such as Line Chart, Bar Chart, Meter,etc

  • Supports drag-and-drop to edit Dashboard：Drag a Widget Explorer icon into the place into the dashboard area.

  • Use Dashboard Editor across browsers.

2. Dashboard Viewer (includes Pad and Mobile Dashboard Viewer): It is the viewing mode of Dashboard and includes Full Screen/Normal mode Layout, Dashboard manipulation, and Data Access / update functions.

3. Built-in Widgets: Built-in standard widgets in the Widgets library for users to design and build their own Dashboard.


22.1.2 WebAccess Dashboard Operating Environment

Server side

  • Up to Windows 7 (not include Win 7 Home Basic ) and Windows Server 2008 R2

  • IIS 7.5 and .Net Framework 4.5

  • WebAccess 8.0

  • WebAccess 8.0 License

Client End

HTML 5 compatible browser including, but not limited to

  • Windows : IE9 or higher, Chrome, Firefox

  • iOS : Safari / Chrome

  • Android : Chrome / Firefox

  • Windows Phone 8 : IE10


22.1.3 Dashboard Project Configuration

1. Open WebAccess Project Home Page

2. Go to Project Management and Login the Account

3. Choose the Project and go to Dashboard Edit

4. Create New Dashboard

5. Drag the Widget Library and Choose widget to edit the Dashboard page in Dashboard Area.

6. Config the page with the right pane Properties

7. Change/Cancel the widget：Click the [image] button on the top of widget to open the widget library and select the replaced widget. is to delete the Widget.

8. Save the Dashboard page

9. Go to dashboard Viewer to view the result

10. Dashboard View


22.2 Dashboard Editor

Dashboard Editor is the main Dashboard editor page and is based on HTML5 and is similar in concept to the Dashboard software. Users can build the real-time and analysis pages used to display the dynamic data and data analysis charts. A Widget library is included to build the Dashboard page to produce graphical representations of the application data analysis for end-users or managers.


22.2.1 Banner

  • Banner

The top picture of Dashboard Editor is called the Banner. Users can modify the Banner to change the pictures or title.

  • Banner Configuration

    • Go to Dashboard Config. in the Menu Bar. Choose the Banner Image setting to change the Banner image and title.

    • Banner Image setting：The image at the top of the Dashboard Editor/Viewer is the Banner. Users can change the Banner image and title in this setting page. The Banner consists of three pictures (left, center and right)click the image to change the pictures.

    • Banner title is the text in the middle of the Banner. Type the Banner title, and set the font to customize the Banner.


22.2.2 Menu Bar

Menu Bar

Menu bar contains the most commonly used tools ie: create new Dashboard, save Dashboard, or go to Dashboard viewer.

1. New Dashboard：Open a new dashboard page

2. Save Dashboard：Save the dashboard page

3. Dashboard Config：Set the preferences for the Dashboard system.

  • Preferences：Change language to English, Traditional Chinese, or Simplified Chinese. Auto logout is the time the system will automatically log out and return to the login page (unit minutes).

  • Menu List Setting：Users can add the Header node and Child node of Dashboard Menu list. Click the Header Child node field to define the name, map the dashboard page and select the icon of the node. Users can change dashboard page through the Function menu in Dashboard view.

4. Preview：Users can preview the Dashboard page in different modes on platforms, including PC/Tablet Mode, Phone Portrait Mode, Phone Landscape Mode. Select a mode to preview the result in Dashboard Viewer. There are preset user-defined sizes for special resolutions.

 | Width | Height
PC (cm) | 1250 | 705
Small portrait(cm) | 282 | 550
Small landscape(cm) | 774 | 398

Preview result in dashboard viewer with Phone Portrait Mode

5. Dashboard Viewer：Go to Dashboard Viewer Page.

6. Logout：Logout of the Dashboard page.


22.2.3 Left Pane - Menu List & Dashboard List Tree

Left Pane - Menu List & Dashboard List Tree

The Left pane integrates two functions - Dashboard list and Menu list - to build the dashboard list tree of different projects. The left pane is an Accordion Menu and can be hidden with this close icon [image] .

Menu list and Dashboard list picture

Dashboard List：The pane shows the saved Dashboard pages and list in alphabetical and numerical order with tree structure.

  • Left click the saved Dashboard in the list ：Open the Dashboard page in the Dashboard area.

  • Right click the saved Dashboard in the list：Rename or delete the dashboard page.


22.2.4 Dashboard Area

Dashboard Area (with tab switch)

The central area of the Dashboard is the Dashboard Area. It is the main editor area of the Dashboard system. Users can build the Dashboard with widgets in this area and View the saved Dashboard in Dashboard viewer.

Dashboard Area provides a way to view different Dashboard pages at the same time.

Dashboard Area


22.2.5 Right Pane - Property Pane

The Property pane is where the properties of the dashboard page or widget are set. The pane is an Accordion Menu and can be hidden with this close icon .

When users click a widget in Dashboard Widget, the property pane will show the properties related to the widget.

When users click Dashboard tab, the Property Pane will show the properties related to the dashboard page.


22.2.6 Widget List Pane

Widget List Pane shows the Widget Explorer and the 10 most recently used Widgets.

Widget Explorer：Users can drag the icon in Dashboard area and pop-up the widget library windows to choose the required widget.

  • Widget List Pane：Shows the 10 most recently used Widgets. Users can drag the used widget to Dashboard area to reuse.


22.3 Dashboard Viewer Overview

Dashboard Viewer displays the previously created Dashboard via the Dashboard Editor. The information page is shown on cross platforms and on HTML5, JavaScript and CSS based browsers. It provides users with real-time data or analysis data in Dashboard project that is created from the Dashboard Editor.

Dashboard Viewer is the view mode of Dashboard. The view modes of Dashboard viewer work in PC/Tablet and Phone mode. The functions of Dashboard Viewer in PC/Tablet mode are include：


22.3.1 Banner

  • Banner

The top picture of Dashboard Editor is called Banner. Users can change the Banner to change the pictures or title.

  • Banner Config

1. Go to Dashboard Config in Menu Bar. Choose the Banner Image setting to change the Banner image and title.

2. Banner Image setting：The image at the top of the Dashboard Editor/Viewer is the Banner. Users can change the Banner image and title in this setting page. The Banner consists of three pictures (left, center and right) click the image to change the pictures.

  • Banner title is the text in the middle of the Banner. Type the Banner title, and set the font to customize the Banner.


22.3.2 Menu Bar

Menu bar is the toolbar used to supply common functions, like previous page, next pages, and Dashboard list. The left pane is an Accordion Menu. After clicking the function icon, the function pane will pop out and can be hidden with this close icon.

Previous Page：Return to the previously viewed Dashboard page. The icon appears after viewing 2 pages.

Next Page：Go to next viewed Dashboard page.

Menu List：Display Menu List that set on Menu List setting pages. Choose the menu to display the mapping Dashboard page.

Dashboard List：Display the Dashboard List saved in Dashboard Editor. Select the created Dashboard page from the list.

Gen URL：Generates a URL and QR-Code of the Dashboard page to be shown on the Dashboard area. Users can copy the URL and QR-Code to other users and engineers or scan the QR-Code directly via a smartphone.

Options：The Preferences of Dashboard Viewer. Users can set the following options：

  • Language：Choose the preferred language, English, Traditional Chinese, or Simplified Chinese

  • System Message：Get a system message from WebAccess

  • Font size：Select the size of the text being displayed.

  • Push Interval：Adjust the screen refresh rate (in seconds) of the Dashboard page. Click default to make this the usual setting.

Logout：Logout of Dashboard Viewer


22.3.3 Dashboard Area

Dashboard area is the main area of information display. Display the saved Dashboard page after editing the project. Widget will connect with WebAccess Tags to show the data information from the WebAccess database.


22.3.4 Dashboard Viewer - Phone mode

Dashboard Viewer (Phone Mode) shows the Viewer page via a generated URL. Users can view the information page on different mobile platforms, like Smartphone, pad, or tablet using the URL generated in the Dashboard Viewer page and is easy to monitor the data information and project situation. Dashboard Viewer(Phone mode) only supports Viewer function.

In Phone mode, widgets are displayed as 100% width in sequence and are arranged vertically from the top of the screen to the bottom. Off Canvas display mode is used to configure the functions in Phone mode. The main features in function pane are as follows:

The Function Menu displays the most commonly used Web Apps off the canvas. The main screen consists of the following panel and is composed of several features:

Dashboard Viewer- Phone mode Configuration

1. Log-in to the Dashboard Viewer: Type the Account name and password

2. Choose the Dashboard project

3. Open the Menu: Click the upper left Function icon and the function list will pop up in left pane. Click the dashboard page, the left pane will be hidden.

4. Menu – Menu list: Display Menu List that set on Menu List setting pages. Choose the menu to display the mapping of the Dashboard page. Widgets are displayed at 100% width in sequence and are arranged vertically from the top to the bottom of the screen.

5. Menu-Dashboard list：Display Dashboard List shows the Dashboards saved in Dashboard Editor. Select the Dashboard page from the menu. Widgets are displayed at 100% width in sequence and can be arranged vertically from the top to the bottom of the screen.

6. Menu-Options：The Preferences of Dashboard Viewer. Users can set the following options：

  • Back to Dashboard：Returns to the Dashboard Viewer page.

  • System Message：Get the system message from WebAccess

  • Options

  • Language：Choose the system language: English, Traditional Chinese, or Simplified Chinese

  • Push Interval (Secs)：Adjust the screen refresh rate (in seconds) of Dashboard page. Click the default button to set this as the usual time.

Note：

1. The rules of default display in Dashboard Viewer (Phone mode)

  • Type the URL or QRcode generated in Dashboard Viewer PC/Tablet mode to show the Dashboard page.

  • Users set the default first display page in the Menu list setting. The default display page is the one after logging in to the Dashboard project.

  • Users don’t set the default first display page in Menu list setting but edit the menu list. The default display page is the first child node in menu list after logging in to the Dashboard project.

  • Users can’t set the first page displayed in the Menu list setting but can edit it in the menu list. The default displayed page is the first child node in the menu list after logging in to the Dashboard project.

  • Users can’t set the first page displayed in the Menu list setting but can edit it in the menu list. The default displayed page is the main Dashboard after logging in to the Dashboard project.


22.4 Dashboard Widget Library

Build-in Widget library. Users have to Drag and drag the widget to dashboard area to open the widget list and choose the widget to use.

Drag the Widget Explorer in Dashboard Area to use Widgets

Widget list will pop up the window after Drag the Widget Explorer in Dashboard Area

Note: For Area and Bar Widget, tag value only can accurate to the first digit after the decimal point, if Tag value between 1 and -1.


22.4.1 Real-time Line Trend

Real-time Line Trend use Line Chart to display the real-time data of WebAccess Tag and trend comparison.

Functions：

  • Support maximum 12 trends in one Trend Group.

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Real-time Line Trend picture

Properties：

  • Preferences：Build the different Properties of Real-time Line Trend widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including line, spline, Stacked line, Full stacked line, Step lineGrid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • Marker Display：Set the Marker Display tag on the trend or hide the marker

  • Mark Option：The option of Mark

  • Mark Size：The size of Mark

  • Dash Style：Set the Dash Style

  • Line Width：Set the Line Width of the trend

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control pane


22.4.2 Real-time Area Trend

Real-time Area Trend use Area Chart to display the real-time data of WebAccess Tag and trend comparison.

Functions：

  • Support maximum 12 trends in one Trend Group.

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Real-time Area Trend Picture

Properties：

  • Preferences：Build the different Properties of Real-time Area Trend widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including line, spline, Stacked line, Full stacked line, Step lineGrid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • Marker Display：Set the Marker Display tag on the trend or hide the marker

  • Mark Option：The option of Mark

  • Mark Size：The size of MarkUser-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.3 Real-time Bar Trend

Real-time Bar Trend use Bar Chart to display the real-time data of WebAccess Tag and trend comparison in one time.

Functions：

  • Support maximum 12 bars in each data time

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Real-time Bar Trend picture

Properties：

  • Preferences：Build the different Properties of Real-time Bar Trend widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including line, spline, Stacked line, Full stacked line, Step lineGrid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

    • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.4 Real-time Bar

Real-time Bar use Bar Chart to display the real-time data of WebAccess Tag. Each bar changes the tag value with time.

Functions：

  • Support maximum 12 bars in one Trend Group.

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Real-time Bar picture

Properties：

  • Preferences：Build the different Properties of Real-time Bar widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend'

  • Commander ：Set the link with Commander widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.8 Real-Time Pie

22.4.5 Real-Time Pie

Real-Time Pie use Pie Chart to display the real-time data of WebAccess Tag in one Widget.

Functions：

  • Support maximum 12 tags in one Trend Group.

  • Support three Pie types：Pie or Doughnut

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Real-Time Pie picture

Properties：

  • Preferences：Build the different Properties of Real-Time Pie widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Legend ：Set the graphic Legend

    • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander Widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag

  • Choose one Tag of the trend

  • Legend Text：The Legend Text of the tag

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.11 Real time Bar Line

22.4.6 Real time Bar Line

Real-time Bar Line use Bar Chart to display real time data of WebAccess Tag and add line trend to display the total/average/maximum/ minimum value in each data time in one Widget.

Functions：

  • Support maximum 12 bar in one data time

  • Support three Bar types：Bar, Full stacked bar, and Stacked bar

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Real-time Bar Line picture

Properties：

  • Preferences：Build the different Properties of Real-time Bar Line widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

    • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • Marker Display：Set the Marker Display tag on the trend or hide the marker

  • Mark Option：The option of Mark

  • Mark Size：The size of Mark

  • Dash Style：Set the Dash Style

  • Line Width：Set the Line Width of the trend

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.5 Real-Time Bar Group Comparison

22.4.7 Real-Time Bar Group Comparison

Real-time Bar Group Comparison use Bar Chart to display the real-time data of WebAccess Tag and compare other trend groups in one Widget. Each bar changes the tag value with data refresh time.

Functions：

  • Support maximum 12 trends in one Trend Group.

  • Support three Bar types：bar, stacked bar, full stacked bar

Real-Time Bar Group Comparison picture

Properties：

  • Preferences：Build the different Properties of Real-time Bar Group Comparison widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Legend ：Set the graphic Legend

    • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander Widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Series and the Tag Group to display comparison and set the properties of the Series

  • Name of Series group

  • Choose one Tag of the trend

  • User-Defined Color：Enable User-Defined Color of the Series

  • Add Group：Add Tag group

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.7 Historical Bar

22.4.8 Historical Bar

Historical Bar use Bar Chart to display the historical data of WebAccess Tag and. Each bar up and down movement changes with the tag value.

Functions：

  • Support maximum 12 bars in one Trend Group.

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support Commander Widget (Date-Time / Date-Time2 ) connections to switch the time period in Dashboard Viewer.

Historical Bar picture

Properties：

  • Preferences：Build the different Properties of Historical Bar widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Legend ：Set the graphic Legend

    • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Time：Choose Start Interval mode and Current Time mode in time setting.

Current time：

  • Before：Set the time before current time, then choose time type.

Start Interval：

  • Time Interval：Set total time interval and type

  • Start Date：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Palette：Set color of each trend

  • Commander：Set the link with Commander widget in the same Dashboard area.

  • Group：Choose one connection to switch Tag group display of the trend

  • Time：Choose one connection to switch and display data value in different data period.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.6 Historical Bar Group Comparison

22.4.9 Historical Bar Group Comparison

Historical Bar Group Comparison use Bar Chart to display the historical data of WebAccess Tag and compare other trend groups in one Widget. Each bar up and down movement changes with the tag value.

Functions：

  • Support maximum 12 trends in one Trend Group.

  • Support three Bar types：bar, stacked bar, full stacked bar

  • Support Commander Widget (Date-Time / Date-Time2) connections to switch the time period in Dashboard Viewer.

Historical Bar Group Comparison picture

Properties：

  • Preferences：Build the different Properties of Historical Bar Group Comparison widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including area, spline area, Stacked area, Full stacked area, Step area

  • Initial Position：Set the data appears direction from right to left or left to right

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

    • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Time：Choose Start Interval mode and Current Time mode in time setting.

Current time：

  • Before：Set the time before current time, then choose time type.

Start Interval：

  • Time Interval：Set total time interval and type

  • Start Date：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Palette：Set color of each trend

  • Commander：Set the link with Commander widget in the same Dashboard area.

  • Group：Choose one connection to switch Tag group display of the trend

  • Time：Choose one connection to switch and display data value in different data period.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.9 Historical Pie

22.4.10 Historical Pie

Historical Pie uses Pie Chart to display last/average/maximum/minimum historical data of WebAccess Tag in a period time in one Widget.

Functions：

  • Support maximum 12 tags in one Trend Group.

  • Support three Pie types：Pie or Doughnut

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support Commander Widget (Date-Time / Date-Time2 ) connections to switch the time in Dashboard Viewer.

Historical Pie picture

Properties：

  • Preferences：Build the different Properties of Historical Pie widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Type：Choose the display Pie type, including Pie or Doughnut

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Data Label : visible or Invisible Label in the Widget

  • Position：Location of the label, outside, inside, or columns.

  • Font Color : Set the Label text color

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander Widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Group Name

  • Choose one Tag of the trend

  • Legend Text：The Legend Text of the tag

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.10 Historical Area

22.4.11 Historical Area Trend

Historical Area use Area Chart to display historical data of WebAccess Tag in a period time in one Widget.

Functions：

  • Support maximum 12 trends in one Trend Group.

  • Support three Area types：Area, Stacked Area, and Full Stacked Area

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support Commander Widget (Date-Time / Date-Time2 ) connections to switch the time in Dashboard Viewer.

Historical Area picture

Properties：

  • Preferences：Build the different Properties of Historical Area Trend widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including area, spline area, Stacked area, Full stacked area, Step area

  • Initial Position：Set the data appears direction from right to left or left to right

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Time：Choose Start Interval mode and Current Time mode in time setting.

Current time：

  • Before：Set the time before current time, then choose time type.

Start Interval：

  • Time Interval：Set total time interval and type

  • Start Date：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Palette：Set color of each trend

  • Commander ：Set the link with Commander widget in the same Dashboard area.

  • Group：Choose one connection to switch Tag group display of the trend

  • Time：Choose one connection to switch and display data value in different data period.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.12 Historical Bar Line

Historical Bar Line use Bar Chart to display historical data of WebAccess Tag and add line trend to display the total/average/maximum/ minimum value in each data time in one Widget.

Functions：

  • Support maximum 12 bar in one data time

  • Support three Bar types：Bar, Full stacked bar, and Stacked bar

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Historical Bar Line picture

Properties：

  • Preferences：Build the different Properties of Historical Bar Line widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including line, Bar, Stacked Bar, Full stacked Bar

  • Initial Position：Set the data appears direction from right to left or left to right

  • Line Setting

  • Line For：Display total/average/maximum/ minimum value in each data time

  • Marker Text：The text of the markers

  • Axis Position：The position of x axis value of Line

  • Axis Title：Type the axis title of the x axis of Line

  • Size：Set Axis Title font size

  • Font：Set Axis Title font type

  • Color：Set Axis Title font color

  • Line：Set line type, such as line, spline, or stepline

  • Line Color：Set line color

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Position：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Size：Set the text size of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Time：Choose Start Interval mode and Current Time mode in time setting.

Current time：

  • Before：Set the time before current time, then choose time type.

Start Interval：

  • Time Interval：Set total time interval and type

  • Start Date：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Palette：Set color of each bar

  • Commander：Set the link with Commander widget in the same Dashboard area.

  • Group：Choose one connection to switch Tag group display of the trend

  • Time：Choose one connection to switch and display data value in different data period.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Group Name：Name of Tag Group

  • Number：The number of tags in a group

  • Choose one WebAccess Tag of the trend

  • Legend Text：The Legend Text of the tag

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.14 Historical Line

22.4.13 Historical Line

Historical Line use Line Chart to display historical data of WebAccess Tag in each data time in one Widget.

Functions：

  • Support maximum 12 line in one data time

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support Commander Widget (Date-Time / Date-Time2) connections to switch the time in Dashboard Viewer.

Historical Line picture

Properties：

  • Preferences：Build the different Properties of Historical Line widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including line, spline, Stacked line, Full stacked line, Step line

  • Initial Position：Set the data appears direction from right to left or left to right

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Position：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Size：Set the text size of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Time：Choose Start Interval mode and Current Time mode in time setting.

Current time：

  • Before：Set the time before current time, then choose time type.

Start Interval：

  • Time Interval：Set total time interval and type

  • Start Date：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Palette：Set color of each bar

  • Commander：Set the link with Commander widget in the same Dashboard area.

  • Group：Choose one connection to switch Tag group display of the trend

  • Time：Choose one connection to switch and display data value in different data period.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • Marker Display：Set the Marker Display tag on the trend or hide the marker

  • Mark Option：The option of Mark

  • Mark Size：The size of Mark

  • Dash Style：Set the Dash Style

  • Line Width：Set the Line Width of the trend

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.13 Historical Bar Trend

22.4.14 Historical Bar Trend

Historical Bar Trend use Bar Chart to display historical data of WebAccess Tag and add line trend to display the total/average/maximum/ minimum value in each data time in one Widget.

Functions：

  • Support maximum 12 bar in one data time

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer. l-time Bar Line

  • Support Commander Widget (Date-Time / Date-Time2 ) connections to switch the time in Dashboard Viewer.

Historical Bar Trend picture

Properties：

  • Preferences：Build the different Properties of Historical Bar Trend widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including Bar, Stacked Bar, Full stacked Bar

  • Initial Position：Set the data appears direction from right to left or left to right

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Position：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Size：Set the text size of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Time：Choose Start Interval mode and Current Time mode in time setting.

Current time：

  • Before：Set the time before current time, then choose time type.

Start Interval：

  • Time Interval：Set total time interval and type

  • Start Date：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Palette：Set color of each bar

  • Commander：Set the link with Commander widget in the same Dashboard area.

  • Group：Choose one connection to switch Tag group display of the trend

  • Time：Choose one connection to switch and display data value in different data period.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • Marker Display：Set the Marker Display tag on the trend or hide the marker

  • Mark Option：The option of Mark

  • Mark Size：The size of Mark

  • Dash Style：Set the Dash Style

  • Line Width：Set the Line Width of the trend

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.13 Comparison Bar

22.4.15 Comparison Bar

Comparison Bar Widget uses Bar Trend to compare Tag Values of two different time period.

Functions：

  • Comparison Type

    • Year-Basis-Ratio : compare the data within the time range selected of the current year with the previous year data in the same time and the same amount of time length

    • Link-Relative-Ratio : compare the data within the time range selected back-to-back with the data before the time range selected in the same amount of time length

  • Support maximum 10 trends in one Trend Group.

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

Properties：

  • Preferences：Build the different Properties of Comparison Bar widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Bar Setting：Set grid and label properties

  • Label Setting：Enabling or disabling labels in the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Precision：Display the label in decimal place

  • Legend Setting：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Position：Choose the Location of Legend

  • Size : Choose the font size of the Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Format：Select the type of the Tooltip to be display. Ex, Fixed Point, Currency, Percent …etc.

  • Commander ：Set the link with Commander Widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Time: Set the time Range for Bar Trend to compare Tag Points within the period of time.

  • Start Interval :

  • Time Interval : Set the interval of the data in Seconds or Minutes or Hours or Days

  • Start Date : Set the starting date of the data

  • Hours : Set the starting Hour of the Start Date

  • Minutes : Set the starting Minutes of the Hours

  • Compare Type : Choose two different types of comparison, Year-Basis-Ratio and Link-Relative-Ratio

  • Year-Basis-Ratio : compare the data within the time range selected of the current year with the previous year data in the same time and the same amount of time length

  • Link-Relative-Ratio : compare the data within the time range selected back-to-back with the data before the time range selected in the same amount of time length

  • Current Time :

  • Before : Set the interval of the data in Seconds or Minutes or Hours or Days

  • Compare Type : Choose two different types of comparison, Year-Basis-Ratio and Link-Relative-Ratio
    Year-Basis-Ratio : compare the data within the time range selected of the current year with the previous year data in the same time and the same amount of time length

  • Link-Relative-Ratio : compare the data within the time range selected back-to-back with the data before the time range selected in the same amount of time length

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Date Type : set the data type to be Last, Min, Max, or Average

  • Group Name : set the name of the Group in the Widget

  • Number : Set the number of the Tag in the Widget (Maximum : 10)

  • Replace Text : Set the text to replace the default Tag name

  • Color : Enable User-Defined Color of the trend

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.


22.4.15 Spark Line Table 1

22.4.16 Spark Line Table 1

Spark Line Table 1 use spark line to display the trend of different historical data. User can compare maximum 9 trends in one Widget.

Function

  • Support maximum 3 Tags and 3 time periods

  • Support Trend types：line / spline / stepline / area / spline area / step area / bar

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support change time periods in runtime.

Properties：

  • Preferences：Build the different Properties of Spark Line Table 1 widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. The Control Panel show in the bottom of Widget.

  • Table Setting：Set table properties.

  • Text Size：Set the table text size of the Widget

  • Text Font：Set the table text font of the Widget

  • Text Color：Set the table text color of the Widget

  • Border：Visible or Invisible the table border of the Widget

  • Border Width：Set the table border width of the Widget

  • Border Color：Set the table border color of the Widget

  • Border Type：Choose the display border type, including solid, dotted, dashed, double, groove, ridge, insert, outset.

  • Line Setting：set the line properties

  • Animation：Enable or Disable animation of the spark line widget.

  • Line：Choose the display line type, including line, spline, step line, area, spline area, step area, bar.

  • Major Color：Set the line color of the Widget

  • StartEnd Point：Visible or Invisible the start and end point of the Widget

  • StartEnd Color：Set the start and end point color of the Widget

  • MaxMin Point：Visible or Invisible the max and min point of the Widget

  • Max Point Color：Set the max point color of the Widget

  • Min Point Color：Set the min point color of the Widget

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the spark line widget.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Color：Set the Tooltip text color

  • Commander ：Set the link with Commander widget in the same Dashboard area. Choose one connection to switch Tag group display of the trend

  • Time：Support Start Interval mode of Time Setting.

  • Time Set：Choose the number of time set, support maximum 3 time periods.

  • Time Interval：Set total time interval and type

Time set property：

  • Title：The title of time set

  • Start Time：Set start date.

  • Hours：Set hour

  • Minutes：Set minutes

  • Tag：Connect the Tag and the spark line display and set the properties of the spark line.

  • Data Type：Choose the type of data, including Last, Maximum, Minimum, and Average.

  • Group Name：Set the name of group

  • Number：Choose the number of tag, support maximum 3 tags.

Tag Property：

  • Tag：Choose one Tag of the trend

  • Replace Text：Use custom tag name to replace the default name of tag

  • Add Group：Add trend group. User can switch trend group with control panel.

  • Delete Group：Delete group.


22.4.16 Spark Line Table 2

22.4.18 Spark Line Table 2

Spark Line Table 2 use spark line and table to display the trend and the maximum/minimum/average total value of different historical data. User can compare maximum 3 trends in one Widget.

Function

  • Support maximum 3 Tags in one data time

  • Support Trend types：ine / spline / stepline / area / spline area / step area / bar

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support change time periods in runtime.

Properties：

  • Preferences：Build the different Properties of Spark Line Table 2 widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. The Control Panel show in the bottom of Widget.

  • Table Setting：Set table properties.

  • Text Size：Set the table text size of the Widget

  • Text Font：Set the table text font of the Widget

  • Text Color：Set the table text color of the Widget

  • Border：Visible or Invisible the table border of the Widget

  • Border Width：Set the table border width of the Widget


22.4.17 Meter With Text

22.4.18 Meter With Text

Meter With Text is combined Circular Gauge Widget and Vertical Text Value. The widget is used to display Tag value and real-time data in Circular Gauge.

Function

  • Support Gauge properties , such as main range and sub range setting, pointer types…etc

  • Support font properties setting

  • Display Tag value in Text block

Meter With Text picture

Properties：

  • Preferences：Build the different Properties of Meter With Text widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Gauge Setting :

  • Gauge Position : Set Meter position to be either right or left side of the widget

  • Gauge Width(%) : Set the scale size of the Meter.

  • Style : Set different styles of needle of the Meter. Ex, TwoColors, TriangleNeedle, RectNeedle, Range-Bar and Rectangle

  • Degree From : The start position of the Meter. ex, 0 as East, 90 as North, 180 as West, and 270 as South

  • Degree End : The end position of the Meter. ex, 0 as East, 90 as North, 180 as West, and 270 as South

  • Color : Set the color of the needle/bar

  • Main Range Setting :

  • Span Low : The minimum range value of the Meter

  • Span High : The maximum range value of the Meter

  • Tick Interval : The tick scale between Span Low and Span High

  • Label Color : The text color of the Tick Interval

  • Scale Color : The scale tick color

  • Tick Length : The length of each tick

  • Scale Position : The position of the tick relative to the line

  • Scale Color : The base/background color of the Meter

  • SubRange Setting :

  • Number : The number of the range will appear on the gauge

  • From : The span low of the range

  • To : The span high of the range

  • Color : The color of the range

  • Label Setting :

  • Data Label : Visible or Invisible Labels in the Widget

  • Style : The style of the label

  • Color : The Background color of the label

  • Size : The font size of the label

  • Tooltip : Visible or Invisible Tooltips in the Widget

  • Top Text Block Setting

  • Value Replaced : Replace Text block with tag value

  • Text : Set text description

  • Font : Set the font type of the Text/tag.

  • Color : Set the font color of the Text/tag.

  • Align : Set horizontal position of the Text/tag. Ex: Right or Center or Left

  • Vertical Align : Set the vertical position of the Text/tag. Ex: Top, Center or Bottom.

  • Overbounded Auto Fit : Auto resize the Text/tag when its length exceed the maximum display area

  • Size : Set the font size of the Text/tag

  • Font Weight : Set font weight of the Text/tag. Ex, Bold or Normal

  • Block Height(%) : Set the vertical position of the Text block

  • Bottom Text Block Setting

  • Value Replaced : Replace Text block with tag value

  • Text : Set text description

  • Font : Set the font type of the Text/tag.

  • Color : Set the font color of the Text/tag.

  • Align : Set horizontal position of the Text/tag. Ex: Right or Center or Left

  • Vertical Align : Set the vertical position of the Text/tag. Ex: Top, Center or Bottom.

  • Overbounded Auto Fit : Auto resize the Text/tag when the its length exceed the maximum display area

  • Size : Set the font size of the Text/tag

  • Font Weight : Set font weight of the Text/tag. Ex, Bold or Normal

  • WebAccess Data Source :

  • Tag : Choose the desire tag from WebAccess


22.4.18 Meter

22.4.19 Circular Gauge

Circular Gauge is used to display 1 to 5 real-time data of WebAccess Tags based on 1 Meter.

Function

  • Support maximum 5 data in this Widget

  • Support Gauge properties , such as main range and sub range setting, pointer types…etc

Circular Gauge picture

Properties：

  • Preferences：Build the different Properties of Circular Gauge widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Gauge Setting :

  • Gauge Position : Set Meter position to be either right or left side of the widget

  • Gauge Width(%) : Set the scale size of the Meter.

  • Style : Set different styles of needle of the Meter. Ex, TwoColors, TriangleNeedle, RectNeedle, Range-Bar and Rectangle

  • Degree From : The start position of the Meter. ex, 0 as East, 90 as North, 180 as West, and 270 as South

  • Degree End : The end position of the Meter. ex, 0 as East, 90 as North, 180 as West, and 270 as South

  • Color : Set the color of the needle/bar

  • Main Range Setting :

  • Span Low : The minimum range value of the Meter

  • Span High : The maximum range value of the Meter

  • Tick Interval : The tick scale between Span Low and Span High

  • Label Color : The text color of the Tick Interval

  • Scale Color : The scale tick color

  • Tick Length : The length of each tick

  • Scale Position : The position of the tick relative to the line

  • Scale Color : The base/background color of the Meter

  • Sub Range Setting :

  • Number : The number of the range will appear on the gauge

  • From : The span low of the range

  • To : The span high of the range

  • Color : The color of the range

  • Label Setting :

  • Data Label : Visible or Invisible Labels in the Widget

  • Style : The style of the label

  • Color : The Background color of the label

  • Size : The font size of the label

  • Tooltip : Visible or Invisible Tooltips in the Widget

  • WebAccess Data Source :

  • Number : The number of the Tags (maximum of 5)

  • Tag : Choose the desire tag from WebAccess


22.4.19 3 in 1 Linear Gauge

22.4.20 3 in 1 Linear Gauge

3 in 1 Linear Gauge is used to display 1 to 3 real-time data of WebAccess Tags based 3 different Linear Gauges

Function

  • Support the properties of Each Linear Gauge

  • Support Gauge point type：Circle, range bar, Rhombus, and rectangle

  • Support main range and sub range setting

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

3 in 1 Linear Gauge picture

Properties：

  • Preferences：Build the different Properties of 3 in 1 Linear Gauge widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Left Gauge：The property of a single Linear Gauge widget.

  • Text : The MUI display name appear on top of the current Gauge.

  • Size : The size of the Text in PX or EM

  • Font : The font of the Text

  • Color : The color of the Text

  • Style : Set different styles of point indicator of the current Gauge. Ex, Circle, Range Bar, Rhombus, and Rectangle

  • Color: The color of the point indicator

  • Span Low : The minimum range value of the Gauge

  • Span High : The maximum range value of the Gauge

  • Tick Interval : The tick scale between Span Low and Span High

  • Label Color : The text color of the Tick Interval

  • Scale Color : The scale tick color

  • Scale Color : The base/background color of the gauge

  • SubRange

  • Number : The number of the range will appear on the gauge

  • From : The span low of the range

  • To : The span high of the range

  • Color : The color of the range

  • Center Gauge : Same as Left Gauge

  • Right Gauge : same as Left Gauge

  • Label Setting：Enable or Disable the data Label in the widget

  • Date Label : Visible or Invisible Labels in the Widget

  • Size : The font size of the label

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Commander ：Set the link with Commander Widget in the same Dashboard area. Choose one connection to switch Tag group display of the widget

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose three Tags of the group

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.20 Linear Gauge

22.4.21 Linear Gauge

Linear Gauge is used to display 1 to 3 real-time data of WebAccess Tags based on Linear Gauge

Function

  • Support Gauge point type：Circle, range bar, Rhombus, and rectangle in horizontal or vertical direction.

  • Support main Range and sub range setting

Linear Gauge picture

Properties：

  • Preferences：Build the different Properties of Linear Gauge widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Gauge Setting :

  • Style : Set different styles of point indicator of the current Gauge. Ex, Circle, Range Bar, Rhombus, and Rectangle

  • Orientation : Set Linear Gauge vertical or horizontal

  • Color : Set the color of the value indicator

  • Main Range Setting :

  • Span Low : The minimum range value of the Meter

  • Span High : The maximum range value of the Meter

  • Tick Interval : The tick scale between Span Low and Span High

  • Label Color : The text color of the Tick Interval

  • Scale Color : The scale tick color

  • Tick Length : The length of each tick

  • Scale Position : The position of the tick relative to the line

  • Scale Color : The base/background color of the Meter

  • Sub Range Setting :

  • Number : The number of the range will appear on the gauge

  • From : The span low of the range

  • To : The span high of the range

  • Color : The color of the range

  • Label Setting :

  • Data Label : Visible or Invisible Labels in the Widget

  • Style : The style of the label

  • Color : The Background color of the label

  • Size : The font size of the label

  • Tooltip : Visible or Invisible Tooltips in the Widget

  • WebAccess Data Source :

  • Number : The number of the Tags (maximum of 5)

  • Tag : Choose the desire tag from WebAccess


22.4.21 Vector Map

22.4.22 Vector Map

Vector Map allows users to mark tag information on Vector Map.

Function

  • Support add Marker on vector map

  • Left click the marker to link the Dashboard page and display the Tag value in runtime

Properties：

  • Preferences：Build the different Properties of Vector Map widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Area ：Select map area.

  • Contral bar：Set control bar properties

  • Visible：Visible or Invisible Control bar.

  • Border color：Set border color of control bar.

  • Color：Set control bar main color.

  • Center：set center of the map.

  • Center：Set center longitude and latitude.

  • Bounds longitude：Set maximum and minimum longitude. The range of Longitude: -180 ~ 180

  • Bounds latitude：Set maximum and minimum longitude. The range of Latitude: -85 ~ 85

  • Marker ：Set marker properties

  • Name：Visible or Invisible the Legend of the Widget.

  • longitude：Locate Legend inside or outside the grid. The range of Longitude: -180 ~ 180

  • latitude：Choose the Location of Legend. The range of Latitude: -85 ~ 85

  • Color：Set the text color of Legend.

  • Dashboard：Set changed Dashboard.

  • Tag：Set tag and show value in viewer.

  • Delete tag：Delete tag.

  • Add Marker：Add marker.

  • X : Delete marker.


22.4.22 Google Map

22.4.23 Google Maps

Google Maps allows users to mark tag information on Google Map as the WebAccess Google Maps function.

Function

  • Support add Marker on Google Maps via properties or right click on the map

  • Support GPS Tag value and location tracking on Google Maps

  • Support 3 Tags in one marker

  • Left mouse button click the marker to link the Dashboard page and display the Tag value in runtime

Google Maps picture

Properties：

  • Preferences：Build the different Properties of Google Maps widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Control Bar：Set control bar and labels properties

  • Visible：Set control bar visible or invisible.

  • Label List：Visible or invisible label list.

  • Label content visibility：Set visibility behavior.

  • Marker option：set marker option title and label format.

  • Size：Set title font size

  • Text color：Set title font color.

  • Size：Set Label font size.

  • Text color：Set label font color.

  • Label Background：Set label background color.

  • Marker ：Set marker in map

  • Name：Marker title name.

  • Longitude：Set longitude. The range of Longitude: -180 ~ 180

  • Latitude：set latitude. The range of Latitude: -85 ~ 85

  • Tracking tag：set tracking tag marker move with tag position.

  • Default track：set marker as a default track marker.

  • Image ：marker image.

  • Label ：marker label content option

  • Name：label name

  • Tag：tag value display

  • Normal：set normal status color and twinkle

  • Alarm：set alarm status color and twinkle

  • Alarm ack：set alarm ack status color and twinkle

  • Add Marker： add marker.


22.4.23 Data Log

22.4.24 Data Log

Data Log shows Historical Trend Data and Real-Time Trend Data. A new data point is entered in the Trend Window based on setting interval. Tag Values are plotted vertically on the Y-axis. Time is plotted horizontally on the X-axis.

Function

  • Support chart type：line, spline, bar, stacked bar, area, full stacked area, spline area, full stacked bar

  • Support maximum 12 trends in one Trend Group.

  • Support Commander Widget (buttons / radio buttons / drop-down menu) connections to switch the trend group in Dashboard Viewer.

  • Support Commander Widget (Date-Time / Date-Time2 ) connections to switch the time period in Dashboard Viewer.

  • Support query time in Viewer runtime

  • Support set Tag data type and display in Viewer runtime

Data Log picture

Properties：

  • Preferences：Build the different Properties of Data Log widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Control Panel ：The property enables View control Panel in PC mode and Mobile mode. Enabling View control Panel can switch tag group to display in the widget, and don’t need Commander Widget connections. The Control Panel show in the bottom of Widget.

  • Chart Type ：Set Chart Type in Widget display

  • Tag Number：Set the tag Number in Widget display

  • Type：Choose the display line type, including line, spline, Stacked line, Full stacked line, Step line

  • Initial Position：Set the data appears direction from right to left or left to right

  • Grid：set the grid properties

  • Grid Width：Set the grid width of the Widget

  • Grid Color：Set the grid color of the Widget

  • Text Color：Set the grid data text color of the Widget

  • Y axis：Visible or Invisible the Y axis of the Widget

  • X axis：Visible or Invisible the X axis of the Widget

  • Legend ：Set the graphic Legend

  • Legend：Visible or Invisible the Legend of the Widget

  • Placement：Locate Legend inside or outside the grid.

  • Location：Choose the Location of Legend

  • Color：Set the text color of Legend

  • Tooltip：Set the properties of Tooltips. Tooltips show the data value when moving the mouse to the data point in the trend.

  • Tooltip：Visible or Invisible Tooltips in the Widget

  • Size：Set the Tooltip font Size

  • Color：Set the Tooltip text color

  • Label Setting：Enable or Disable the data Label in the widget

  • Palette：Set color of each trend

  • Time：Set time mode.

  • Current time

  • Before ：set the time before current time.

  • Start interval

  • Time interval ：set total time interval.

  • Start date：set start sate.

  • Hours：Set hour.

  • Minutes：Set minutes.

  • Commander ：Set the link with Commander widget in the same Dashboard area.

      • Group：Choose one connection to switch Tag group display of the trend

      • Time：Choose one connection to switch time.

  • Tag：Connect the Tag and the trend display and set the properties of the trend

  • Name of Tag group

  • Choose one Tag of the trend

The properties of tag

  • Legend Text：The Legend Text of the tag

  • Marker Display：Set the Marker Display tag on the trend or hide the marker

  • Mark Option：The option of Mark

  • Mark Size：The size of Mark

  • Dash Style：Set the Dash Style

  • Line Width：Set the Line Width of the trend

  • User-Defined Color：Enable User-Defined Color of the trend

  • Add Tag： Add next tag in the Widget (the maximum is 12)

  • Add Group：Add trend group (maximum 12 tags for a group). User can switch trend group with control panel.

  • Color：Set Other text color, Button color, and button text color in control panel


22.4.24 Action Log

22.4.25 Action Log

Action Log monitors local actions on the SCADA node including: Changes to the Value of Tags by users, Login, Logout, Recipe Downloads, connections to ODBC databases. The Action Log monitors runtime actions by users in VIEW. Combined with the Alarm Log and the System Log, it allows you to monitor user actions on your control system.

Function

  • Each Alarm Log Widget display Alarm Log in one SCADA node

  • Support set alarm numbers display for each page

  • Support Print entire or marked log page

Action Log picture

Properties：

  • Preferences：Build the different Properties of Action Log widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Node：Set node and number of log display.

  • Color：Set table head, table head font, odd raw, even raw, raw font color, Other text color, Button color, and button text color in panel


22.4.25 Alarm Log

22.4.26 Alarm Log

Alarm Log is a historical record of all alarms. In contrast, the Alarm Summary shows only Current Alarms and Alarms status. Each time an Alarm occurs, a line is entered in the Alarm Log describing the alarm.

Function

  • Each Alarm Log Widget display Alarm Log in one SCADA node

  • Support set alarm numbers display for each page

  • Support Print entire or marked log page

Properties：

  • Preferences：Build the different Properties of Alarm Log widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Node：Set node and number of log display.

  • Color：Set table head, table head font, odd raw, even raw, raw font color, Other text color, Button color, and button text color in panel


22.4.26 Alarm Summary

22.4.27 Alarm Summary

Alarm Summary shows a list of Current Alarms and acknowledged Alarms status. Each time an Alarm occurs, a line is entered in the Alarm Summary describing the alarm.

Functions

  • Each Alarm Summary Widget show the Alarm Summary in Project Node

  • Support set alarm numbers display for each page

Alarm Summary picture

Properties：

  • Preferences：Build the different Properties of Alarm Summary widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Number：Set number of log display.

  • Color：Set table head, table head font, odd raw, even raw, raw font color, alarm ack color, alarm not ack color, normal not ack color, Other text color, Button color, and button text color in panel.


22.4.27 Station Status

22.4.28 Station Status

Station Status widget display shows status of all communication Ports and automation devices (e.g. stations) from WebAccess SCADA node. Communications Alarm will appear in the Status Button at the bottom of all displays

Function：

  • Each Station Status Widget can display all comport status in one SCADA node

  • Support Runtime enable or disable devices function

Station Status picture

Properties：

  • Preferences：Build the different Properties of Station Status widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Node：Set node

  • Color：Set table head, normal status font, normal status background , alarm status font, alarm status background, disable status font, disable status background, and button text color in panel

  • Twinkle：

  • Speed：set twinkle speed.

  • Normal：set twinkle enable or disable.

  • Alarm：set twinkle enable or disable.

  • Disable：set twinkle enable or disable.


22.4.28 Point Information

22.4.29 Point Information

Point Info (Tag Browser) shows all tags in the system. The Point Info Widget allows user to see every tag in the System and every Display those tags appear on. Without building a single graphic Display, you can monitor, control, change set points, and acknowledge alarms all through the Point Info Widget.

Function

  • Each Point Information Widget can display Tag list in one SCADA node or whole Project.

  • Support switch different SCADA node to display in Runtime

  • Support display tag detail information (the same as WebAccess column)

  • Support ACK function

Point Information picture

Properties：

  • Preferences：Build the different Properties of Point Information widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：Set enable or disable auto resize text with resolution.

  • Color：Set main background color, secondary background color, odd raw, even raw, font color, Button color, button text color, normal status color, alarm not ack status color, and alarm ack status color in panel.


22.4.29 Commander-Button

22.4.30 [Commander]Button

Button is the Data Commander Widget. Set the option to connect with other widget for switching different value.

Function

  • Support multiple buttons to map different value

  • Support set font properties

Button picture

Properties：

  • Preferences：Build the different Properties of Button widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Properties：

  • Number of button：number of button used.

  • Column count：layout display.

  • Each button name value default delete setting.

  • Border：button border style setting

  • Text：Button style setting. Font name, size, color, background image.


22.4.30 Commander-Radio button

22.4.31 [Commander] Radio button

Radio button is the Data Commander Widget. Set the option to connect with other widget for switching different value.

Function

  • Support multiple buttons to map different value

  • Support set font properties

Properties：

  • Preferences：Build the different Properties of Radio button widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Properties

  • Number of button：number of button used.

  • Column count：layout display.

  • Each button name value default delete setting.

  • Text：Button style setting. Font name, size, text color.


22.4.31 Commander-Date Time

22.4.32 [Commander] Date Time

Date Time is the Date Commander Widget linked the other trend/bar widget to switch and display data value in different data period.

Function

  • Support two modes of Time setting

  • Current：Display the data last/maximum/minimum/average value from the historical data based on the time/day (unit seconds/minutes/hours/days) before current time

  • Start End：Choose data last/maximum/minimum/average value from the historical data based on setting Start time and end time.

Date Time picture

Properties：

  • Preferences：Build the different Properties of Date Time widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Default date：Set time mode and data type.

  • Current time

  • Before ：set the time before current time.

  • Start interval

  • Time interval ：set total time interval.

  • Start date：set start sate.

  • Hours：Set hour.

  • Minutes：Set minutes.

  • Color：Set Other text color, Button color, and button text color in panel


22.4.32 Commander-Date Time 2

22.4.33 [Commander]Date Time 2

Date Time is the Date Commander Button linked the other trend/bar widget to set data time period in runtime

Function

  • Support one button to config the data time in runtime. Click the button in Dashboard Viewer, the setting windows will pop up.

Date Time 2 picture

Date Time pop up Windows in Viewer

Properties：

  • Preferences：Build the different Properties of Date Time widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Default date：Set time mode and data type.

  • Current time

  • Before ：set the time before current time.

  • Start interval

  • Time interval ：set total time interval.

  • Start date：set start sate.

  • Hours：Set hour.

  • Minutes：Set minutes.

  • Color：Set Button color, and button text color in control panel


22.4.34 Select Box

22.4.34 [Commander]Select Box

Select Box is the Data Commander Widget. Set the option to connect with other widget for switching different value.

Function

  • Support multiple options to map different value

  • Support set font properties

Select Box picture

Properties：

  • Preferences：Build the different Properties of Select Box widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • SelectBox Setting：The widget mapping setting

  • Option Number : Set the number of widget maps to the Select Box.

  • Title : Set the text that will be displayed in the Select box.

  • Option : Match the option text with the group name of the widget.

  • Default : Set the default/initial selected option of the Select Box widget.

  • Delete Group : remove the selected group from the SelectBox Setting.

  • Text :

  • Font Name : Set the font of the Text.

  • Size : Set the font size of the Text in PX or EM.

  • TextColor : Set the color of the Text.


22.4.33 Commander-Refresh button

22.4.35 [Commander]Refresh button

Refresh button is Data Commander Widget to refresh the data linked with other widgets in Dashboard area.

Function

  • Set Refresh all Widgets or specific widget

Refresh button picture

Properties：

  • Preferences：Build the different Properties of Refresh widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Refresh : Choose the widget in the dashboard that will be refresh/redraw.

  • Select All : Set all the widget within the dashboard to be refresh/redraw.

  • Check Box : Set each individual widget to be refresh/redraw.


22.4.35 Single Line Text

22.4.36 Single Line Text

Single Line Text is used to display a single line of text.

Function：

  • Support MUI

  • Support place images in left and right sides

  • Support set font properties

Single Line Text picture

Properties：

  • Preferences：Build the different Properties of Single Line Text widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Text：

  • Text : Set Text to be the display in the widget. Supported by MUI.

  • Font : Set the font of the Text.

  • Color : Set the color of the Text.

  • Align : Set the horizontal position of the Text. Ex: Left, Canter, or Right.

  • Size : Set the font size of the Text in PX or EM.

  • Font Weight : Set the font weight of the Text. Ex, Normal or Bold.

  • Left Icon : Set the left hand side icon from file.

  • Right Icon : Set the right hand side icon from file.

  • Left Line : Set the style of the left hand side line. Ex : None, Solid, Dotted, Dashed, Double, Groove, Ridge, Inset, or Outset.

  • Width : Set the width of the left hand side line in PX or EM.

  • Color : Set the color of the left hand side line.

  • Right Line : Set the style of the right hand side line. Ex : None, Solid, Dotted, Dashed, Double, Groove, Ridge, Inset, or Outset.

  • Width : Set the width of the left hand side line in PX or EM.

  • Color : Set the color of the right hand side line.


22.4.36 Vertical Text Value

22.4.37 Vertical Text Value

Vertical Text Value composed by two vertical blocks of text, description and value, allowing users to display the real-time data and the description of data.

Function：

  • Set the top block and the bottom block properties separately.

  • Connect with WebAccess Tag and display the real-time data.

Vertical Text Value picture

Properties：

  • Preferences：Build the different Properties of Vertical Text Value widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Top Text Block Setting

  • Value Replaced : Replace Text block with tag value

  • Text : Set text description

  • Font : Set the font type of the Text/tag.

  • Color : Set the font color of the Text/tag.

  • Align : Set horizontal position of the Text/tag. Ex: Right Center or Left

  • Vertical Align : Set the vertical position of the Text/tag. Ex: Top, Center or Bottom.

  • Size : Set the font size of the Text/tag.

  • Font Weight : Set font weight of the Text/tag. Ex, Bold or Normal

  • Block Height(%) : Set the vertical position of the Text block

  • Bottom Text Block Setting

  • Value Replaced : Replace Text block with tag value

  • Text : Set text description

  • Font : Set the font type of the Text/tag.

  • Color : Set the font color of the Text/tag.

  • Align : Set horizontal position of the Text/tag. Ex: Right or Center or Left

  • Vertical Align : Set the vertical position of the Text/tag. Ex: Top, Center or Bottom.

  • Size : Set the font size of the Text/tag

  • Font Weight : Set font weight of the Text/tag. Ex, Bold or Normal

  • WebAccess Data Source :

  • Tag : Choose the desire tag from WebAccess


22.4.38 Horizontal Text Value

Horizontal Text Value composed by two horizontal blocks of text, description and value, allowing users to display the real-time data and the description of data.

Function：

l Set the right block and the left block properties separately.

l Connect with WebAccess Tag and display the real-time data.

Vertical Text Value picture

Properties：

  • Preferences：Build the different Properties of Vertical Text Value widget. Users can choose one Preferences and apply the properties directly next time usage.

  • Create：Create the current Properties as this widget Preferences

  • Update：Change the Properties of this widget Preferences

  • Delete：Delete this widget preferences

  • Set as default：User can set the widget preferences as default Widget display

  • Widget Setting：Set the related properties of widget, such as Widget name, Frame Color, Background, Time Interval, etc…

  • Widget name：Name of Widget. The title show on the top of Widget when mouse move to the top and appear blue area

  • Frame Color：Widget frame color

  • Background：Set Widget background Color.

  • Image：Upload and delete Widget background image

  • Select the image from WebAccess widget background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend Widget background image to whole widget.

  • Background without title：The background extend to Title area or not

  • Height in Mobile Phone：Config the widget display height in Mobile. Choose full size, half size or quarter size in two phone display types, such as Small Portrait and Small Landscape. User also can self-define the display height with unit px.

  • Time Interval：Set data refresh time in PC/Pad and Phone mode (unit: Days/ Hours/ Minutes/ Seconds).

  • Title：The top area of the Widget is the Title. Type the title of Widget and Set the related Properties of title

  • Text：Type the title in three languages

  • Font Name：Set the Title font

  • Font Size：Set the Title font size

  • Font Color：Set the Title font Color

  • Background：Set the Title area background Color

  • image：Upload the Title area background image

  • Select the image from WebAccess Widget Title background folder in C:\inetpub\wwwroot\broadweb\WADashboard\dResource\bkImage\daWidgetTitleBk

  • Upload the image from folder

  • Cancel the background

  • Extended：Extend the background image to whole title area

  • Left Text :

  • Value Replaced : Replace Text block with tag value

  • Text : Set text description

  • Font : Set the font type of the Text/tag.

  • Color : Set the font color of the Text/tag.

  • Align : Set horizontal position of the Text/tag. Ex: Right Center or Left

  • Vertical Align : Set the vertical position of the Text/tag. Ex: Top, Center or Bottom.

  • Size(px) : Set the font size of the Text/tag.

  • Font Weight : Set font weight of the Text/tag. Ex, Bold or Normal

  • Block Width(%) : Set the horizontal position of the Text block

  • Right Text

  • Value Replaced : Replace Text block with tag value

  • Text : Set text description

  • Font : Set the font type of the Text/tag.

  • Color : Set the font color of the Text/tag.

  • Align : Set horizontal position of the Text/tag. Ex: Right or Center or Left

  • Vertical Align : Set the vertical position of the Text/tag. Ex: Top, Center or Bottom.

  • Size(px) : Set the font size of the Text/tag

  • Font Weight : Set font weight of the Text/tag. Ex, Bold or Normal

  • WebAccess Data Source :

  • Tag : Choose the desire tag from WebAccess


23. Web Service

WebAccess Web Service provide two formats XML and JSON

l JSON：Add JSON in front of URL. For example, http://localhost/WaWebService/JSON/Login

l XML：No word in URL. For example, http://localhost/WaWebService/Login

Request Headers:

1. XML：Content-Type: application/xml; charset=utf-8

2. JSON：Content-Type: application/json; charset=utf-8

For using Basic Authentication, Username and Passwd need use Basic64 encryption into Request Header

For example：

l User Name : admin

l Password : admin

Encrypt admin:admin by Basic64 get YWRtaW46YWRtaW4=

Add the line in Request header

Authorization: Basic YWRtaW46YWRtaW4=


23.1.1 Logon

Need Login Project node before use Webservice. Get project list after logon success.

If logon failed, Webservice function can’t be used.

HTTP Method: GET

XML Url: http://localhost/WaWebService/Login

JSON Url: http://localhost/WaWebService/Json/Login

XML Response:

<ProjectList>

  <Result>

    <Ret>0</Ret>

    <Total>2</Total>

  </Result>

   <Projects>

    <Project>

      <ID>1</ID>

      <Name>Express</Name>

      <Description>Project Description</Description>

    </Project>

    <Project>

      <ID>2</ID>

      <Name>WaScada</Name>

      <Description>Project Description</Description>

    </Project>

  </Projects>

</ProjectList>

JSON Response:

{

        "Result":{

                 "Ret":0,

                 "Total":2

        },

        "Projects":[{

                 "ID":1,

                 "Name":" Express",

                 "Description":"Project Description"

        },

        {

                 "ID":2,

                 "Name":"WaScada",

                 "Description":"Project Description"

        }]

}

Response Field:

Field Name | Description
ID | Project ID
Name | Project Name
Description | Project Description


23.1.2 Login

User must need login WebAccess Project before using Web Service. Server time and Project list will return after login success.，

HTTP method: GET

XML URL: http://localhost/WaWebService/Login

JSON URL: http://localhost/WaWebService/Json/Login


23.1.3 Server Time

Get the Server Time. Return the date, time, and time difference with Greenwichof Server

HTTP method: GET

XML URL: http://localhost/WaWebService/ServerTime

JSON URL: http://localhost/WaWebService/Json/ServerTime

XML Response:

<ServerTime>

<Date>2014/01/01</Date>

<Time>10:00:00</Time>

<Offset>08:00:00</Offset>

</ServerTime>

JSON Response:

{

"Date":"2014\/01\/01",

"Time":"10:00:00",

"Offset":" 08:00:00"

}

Response Field:

Field Name | Description
Date | Server Date
Time | Server Time
Offset | Server Time Difference


23.1.4 GetUserInfo

Get detail information of current login user in Project.

HTTP method: GET

XML URL: http://localhost/WaWebService/GetUserInfo/{ProjectName}

JSON URL: http://localhost/WaWebService/JSON/GetUserInfo/{ProjectName}

XML Response:

<GetUserInfo>

  <Result>

    <Ret>0</Ret>

  </Result>

  <UserInfo>

    <ProjIdbw>0</ProjIdbw>

    <UserId>48</UserId>

    <UserName>admin</UserName>

    <Description>administrator</Description>

    <Area>

      <int>127</int>

      <int>127</int>

      <int>127</int>

      <int>127</int>

      <int>127</int>

      <int>127</int>

                   .

                   .

                   .

      <int>127</int>

      <int>127</int>

      <int>127</int>

      <int>127</int>

    </Area>

    <UserGraphics>

      <UserGraphic>

        <UserId>48</UserId>

        <GraphicNode>5</GraphicNode>

        <GraphicName>Page1.bgr</GraphicName>

      </UserGraphic>

      <UserGraphic>

        <UserId>48</UserId>

        <GraphicNode>5</GraphicNode>

        <GraphicName>Page2.bgr</GraphicName>

      </UserGraphic>

    </UserGraphics>

    <UserNodes>

      <UserNode>

        <NodeIdbw>5</NodeIdbw>

        <UserId>48</UserId>

      </UserNode>

    </UserNodes>

  </UserInfo>

</GetUserInfo>

JSON Response:

{

                   "Result":{

                                       "Ret":0

                   },

                   "UserInfo":{

                                       "ProjIdbw":0,

                                       "UserId":48,

                                       "UserName":"admin",

                                       "Description":"Administrator",

                                       "Area":[127,127,127,127,. . . . .,127,127,127,127],

                                       "UserGraphics":[{

                                                           "UserId":48,

                                                           "GraphicNode":5,

                                                           "GraphicName":"Page1.bgr"

                                       }],

                                       "UserNodes":[{

                                                           "UserId":48,

                                                           "NodeIdbw":5

                                       }]

                   }

}

Response Field:

Field Name

Description

ProjIdbw

Project ID

UserId

User ID

UserName

User Name

Description

Description

Area

Area

UserGraphics

Graphics Access

Field Name | Description
UserId | User ID
GraphicNode | SCADA Node
GraphicName | Default Graphic

UserNodes

Node Access

Field Name | Description
UserId | User ID
NodeIdbw | Node ID


23.1.5 GetVersion

Get the highest WebAccess version of SCADA node in the Project.

HTTP Method: GET

XML Url: http://localhost/WaWebService/GetVersion/{ProjectName}

JSON Url: http://localhost/WaWebService/JSON/GetVersion/{ProjectName}

XML Response:

<WaVersion>

  <Result>

    <Ret>0</Ret>

  </Result>

  <Version>8.0</Version>

</WaVersion>

JSON Response:

{

 "Result":{

         "Ret":0

 },

 "Version":"8.0"

}

Response Field:

Field Name | Description
Version | The highest version of SCADA node under {ProjectName}


23.1.6 GetClientLimit

Get number of Client limitation

HTTP Method: GET

XML Url: http://localhost/WaWebService/GetClientLimit/{ProjectName}

JSON Url: http://localhost/WaWebService/JSON/ GetClientLimit /{ProjectName}

XML Response:

<ClientLimit>

  <LimitCount>1024</LimitCount>

</ClientLimit>

JSON Response:

{

 "LimitCount":1024

 }


23.2.1 Project List

List all Proect in Project node.

HTTP method: GET

XML URL: http://localhost/WaWebService/ProjectList

JSON URL: http://localhost/WaWebService/JSON/ProjectList

XML Response:

<ProjectList>

  <Result>

    <Ret>0</Ret>

    <Total>2</Total>

  </Result>

  <Projects>

    <Project>

      <ID>3</ID>

      <Name>Express</Name>

      <Description>Express Project</Description>

    </Project>

    <Project>

      <ID>2</ID>

      <Name>WaScada</Name>

      <Description>WaScada Project</Description>

    </Project>

  </Projects>

</ProjectList>

JSON Response:

{

                   "Result":{

                                       "Ret":0,

                                       "Total":2

                   },

                   "Projects":[{

                                       "ID":3,

                                       "Name":"Express",

                                       "Description":"Express Project"

                   },

                   {

                                       "ID":2,

                                       "Name":"WaScada",

                                       "Description":"WaScada Project"

                   }]

}

Response Field:

Field Name | Description
ID | Project ID
Name | Project Name
Description | Project Description


23.2.2 ProjectDetail

List Project detail information.

HTTP method: GET

XML URL: http://localhost/WaWebService/ProjectDetail/{ProjectName}

JSON URL: http://localhost/WaWebService/JSON/ProjectDetail/{ProjectName}

XML Response:

<ProjectDetail>

  <Result>

    <Ret>0</Ret>

  </Result>

  <Project>

    <ID>3</ID>

    <Name>Express</Name>

    <Description>Express Project</Description>

    <IP>172.18.3.101</IP>

    <Port>0</Port>

    <TimeOut>0</TimeOut>

    <AccessSecurityCode> </AccessSecurityCode>

    <HTTPPort>0</HTTPPort>

  </Project>

</ProjectDetail>

JSON Response:

{

                   "Result":{

                                       "Ret":0

                   },

                   "Project":{

                                       "ID":3,

                                       "Name":"Express",

                                       "Description":"Express Project",

                                       "IP":"172.18.3.101",

                                       "Port":0,

                                       "TimeOut":0,

                                       "AccessSecurityCode":"",

                                       "HTTPPort":0

                   }

}

Response Field:

Field Name | Description
ID | Project ID
Name | Project Name
Description | Project Description
IP | Project Node IP address
Port | Main TCP Port in Project Node
Timeout | Time Out
AccessSecurityCode | Remote Access Security Code
HTTPPort | Project Node HTTP Port


23.3.1 NodeList

List all SCADA Node in the Project.

HTTP method: GET

XML URL: http://localhost/WaWebService/NodeList/{ProjectName}

JSON URL: http://localhost/WaWebService/JSON/NodeList/{ProjectName}

XML Response:

<NodeList>

  <Result>

    <Ret>0</Ret>

    <Total>1</Total>

  </Result>

  <Nodes>

    <Node>

      <NodeName>SCADA</NodeName>

      <Description>Node Description</Description>

    </Node>

  </Nodes>

</NodeList>

JSON Response:

{

                   "Result":{

                                       "Ret":0,

                                       "Total":1

                   },

                   "Nodes":[{

                                       "NodeName":"SCADA",

                                       "Description":"Node Description"

                   }]

}

Response Field:

Field Name | Description
NodeName | Node Name
Description | Node Description


23.3.2 Node Detail

List SCADA Node detail information.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/NodeDetail/{ProjectName}/{NodeName}

JSON URL: http://localhost/WaWebService/Json/NodeDetail/{ProjectName}/{NodeName}

XML Response:

<NodeDetail>

  <Result>

    <Ret>0</Ret>

  </Result>

  <Node>

    <ProjectId>3</ProjectId>

    <NodeId>4</NodeId>

    <NodeName>SCADA</NodeName>

    <Description>Node Description</Description>

    <Address>172.18.3.101</Address>

    <Port1>0</Port1>

    <Port2>0</Port2>

    <Timeout>0</Timeout>

  </Node>

</NodeDetail>

JSON Response:

{

                   "Result":{

                                       "Ret":0

                   },

                   "Node":{

                                       "ProjectId":3,

                                       "NodeId":4,

                                       "NodeName":"SCADA",

                                       "Description":"Node Description",

                                       "Address":"172.18.3.101",

                                       "Port1":0,

                                       "Port2":0,

                                       "Timeout":0

                   }

}

Response Field:

Field Name | Description
ProjectId | Project Id
NodeId | Node Id
NodeName | Node Name
Address | SCADA Node IP addres
Port1 | Primary TCP port
Port2 | Secondary TCPport
Timeout | Timeout


23.4.1 Port List

List all PORT under Project Node

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/PortList/{ProjectName}/{NodeName}

JSON URL: http://localhost/WaWebService/PortList/{ProjectName}/{NodeName}

XML Response:

<PortList>

  <Result>

    <Ret>0</Ret>

    <Total>2</Total>

  </Result>

  <Ports>

    <Port>

      <InterfaceName>TCPIP</InterfaceName>

      <PortNumber>2</PortNumber>

      <Description>TCP Port</Description>

    </Port>

    <Port>

      <InterfaceName>TCPIP</InterfaceName>

      <PortNumber>1</PortNumber>

      <Description>Port Description</Description>

    </Port>

  </Ports>

</PortList>

JSON Response:

{

                   "Result":{

                                       "Ret":0,

                                       "Total":2

                   },

                   "Ports":[{

                                       "InterfaceName":"TCP",

                                       "PortNumber":2,

                                       "Description":"TCP PORT"

                                       },

                                       {

                                       "InterfaceName":"TCP",

                                       "PortNumber":1,

                                       "Description":" Port Description"

                   }]

}

Response Field:

Field Name | Description
InterfaceName | Interface Name
PortNumber | Port Number
Description | Description


23.4.2 PortDetail

List port detail information under Project Node.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/PortDetail/{ProjectName}/{NodeName}/{Comport}

Json URL: http://localhost/WaWebService/Json/PortDetail/{ProjectName}/{NodeName}/{Comport}

XML Response:

<PortDetail>

  <Result>

    <Ret>0</Ret>

  </Result>

  <Port>

    <InterfaceName>TCPIP</InterfaceName>

    <ComportNbr>2</ComportNbr>

    <Description>TCP PORT</Description>

    <BaudRate>9600</BaudRate>

    <DataBit>8</DataBit>

    <StopBit>1</StopBit>

    <Parity>0</Parity>

    <ScanTime>1000</ScanTime>

    <TimeOut>1000</TimeOut>

    <RetryCount>3</RetryCount>

    <AutoRecoverTime>20</AutoRecoverTime>

    <OPCServer> </OPCServer>

    <OPCServerType>0</OPCServerType>

  </Port>

</PortDetail>

Json Response:

{

                   "Result":{

                                       "Ret":0

                   },

                   "Port":{

                                       "InterfaceName":"TCPIP",

                                       "ComportNbr":2,

                                       "Description":"TCP PORT",

                                       "BaudRate":9600,

                                       "DataBit":8,

                                       "StopBit":1,

                                       "Parity":0,

                                       "ScanTime":1000,

                                       "TimeOut":1000,

                                       "RetryCount":3,

                                       "AutoRecoverTime":20,

                                       "OPCServer":"",

                                       "OPCServerType":"0"

                   }

}

Response Field:

Field Name | Description
InterfaceName | Interface Name
ComportNbr | Comport Number
Description | Description
BaudRate | Baud Rate
DataBit | Data Bit
StopBit | Stop Bit
Parity | Parity
ScanTime | Scan Time
TimeOut | Timeout
RetryCount | Retry Count
AutoRecoverTime | Auto-RecoverTime
OPCServer | OPC Server
OPCServerType | OPC Server Typr (Local, InProcess, Remote)


23.5.1 Device List

Get Device list under Comport

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/DeviceList/{ProjectName}/{NodeName}/{Comport}

JSON URL: http://localhost/WaWebService/DeviceList/{ProjectName}/{NodeName}/{Comport}

XML Response:

<DeviceList>

  <Result>

    <Ret>0</Ret>

    <Total>3</Total>

  </Result>

  <Devices>

    <Device>

      <DeviceName>ADAM6017_5</DeviceName>

      <PortNumber>2</PortNumber>

      <Description>ADAM-6017 8ch AI for Webaccess</Description>

      <UnitNumber>5</UnitNumber>

    </Device>

    <Device>

      <DeviceName>ADAM6018_6</DeviceName>

      <PortNumber>2</PortNumber>

      <Description>ADAM-6018 AI</Description>

      <UnitNumber>6</UnitNumber>

    </Device>

    <Device>

      <DeviceName>ADAM6050_10</DeviceName>

      <PortNumber>2</PortNumber>

      <Description>ADAM 6050 Module</Description>

      <UnitNumber>10</UnitNumber>

    </Device>

  </Devices>

</DeviceList>

JSON Response:

{

                   "Result":{

                                       "Ret":0,

                                       "Total":3

                   },

                   "Devices":[{

                                       "DeviceName":"ADAM6017_5",

                                       "PortNumber":2,

                                       "Description":"ADAM-6017 8ch AI for WebAccess",

                                       "UnitNumber":5},

                                       {

                                       "DeviceName":"ADAM6018_6",

                                       "PortNumber":2,

                                       "Description":" ADAM-6018 AI ",

                                       "UnitNumber":6},

                                       {

                                       "DeviceName":"ADAM6050_10",

                                       "PortNumber":2,

                                       "Description":"ADAM 6050 Module",

                                       "UnitNumber":10

                   }]

}

Response Field:

Field Name | Description
DeviceName | Device Name
PortNumber | Port Number
Description | Description
UnitNumber | Unit Number


23.5.2 Device Detail

Get Device detail information.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/DeviceDetail/{ProjectName}/{NodeName}/{Comport}/{DeviceName}

JSON URL: http://localhost/WaWebService/JSON/DeviceDetail/{ProjectName}/{NodeName}/{Comport}/{DeviceName}

XML Response:

<DeviceDetail>

  <Result>

    <Ret>0</Ret>

  </Result>

  <Device>

    <DeviceName>ADAM6017_5</DeviceName>

    <PortNumber>2</PortNumber>

    <Description>ADAM-6017 8ch AI for WebAccess</Description>

    <UnitNumber>5</UnitNumber>

    <DeviceType>ADAM6K</DeviceType>

    <Primary>

      <IPAddress>172.18.3.237</IPAddress>

      <PortNumber>502</PortNumber>

      <DeviceAddress>1</DeviceAddress>

    </Primary>

    <Secondary>

      <IPAddress></IPAddress>

      <PortNumber></PortNumber>

      <DeviceAddress></DeviceAddress>

    </Secondary>

  </Device>

</DeviceDetail>

JSON Response:

{

                   "Result":{

                                       "Ret":0

                   },

                   "Device":{

                                       "DeviceName":"ADAM6017_5",

                                       "PortNumber":2,

                                       "Description":"ADAM-6017 8ch AI for Webaccess",

                                       "UnitNumber":5,

                                       "DeviceType":"ADAM6K",

                                       "Primary":{

                                                           "IPAddress":"172.18.3.237",

                                                            "PortNumber":"502",

                                                           "DeviceAddress":"1"

                                       },

                                       "Secondary":{

                                                           "IPAddress":"",

                                                           "PortNumber":"",

                                                           "DeviceAddress":""

                                       }

                   }

}

Response Field:

Field Name

Description

DeviceName

Device Name

PortNumber

Port Number

Description

Description

UnitNumber

Unit Number

DeviceType

Device Type

Primary

Primary

Field Name | Description
IPAddress | IP Address
PortNumber | Port Number
DeviceAddress | Device Address

Secondary

Secondary

Field Name | Description
IPAddress | IP Address
PortNumber | Port Number
DeviceAddress | Device Address


23.6.1 All Tag list of Project Node

Get all Tag list of Project Node

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/TagList/{ProjName}

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}

XML Response:

<TagList>

  <Result>

    <Ret>0</Ret>

    <Total>2</Total>

  </Result>

  <Tags>

    <Tag>

      <ID>1</ID>

      <Name>Tag1</Name>

     <Desciption>Description1</Desciption>

    </Tag>

    <Tag>

      <ID>2</ID>

      <Name>Tag2</Name>
   <Desciption>Description2</Desciption>

    </Tag>

  </Tags>

</TagList>

JSON Response:

{

                   "Result":{

                                       "Ret":0,

                                       "Total":2

                   },

                   "Tags":[{

                                       "ID":"1",

                                       "Name":"Tag1"},

                                      “Desciption”:”Desciption1”}, g-left:

                   {

                                       "ID":"2",

                                       "Name":"Tag2"
            “Desciption”:”Desciption2”}]

                   }]

}

Response Field:

Field Name | Description
ID | Tag ID
Name | Tag Name

HTTP METHOD: POST (Use Filter)

XML URL: http://localhost/WaWebService/TagList/{ProjName}

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}

XML Request:

<TagList>

  <Filters>

    <Filter>

      <Name>TAGNAME</Name>

      <Value>Con%</Value>

    </Filter>

    <Filter>

      <Name>ANALOG</Name>

      <Value>FALSE</Value>

    </Filter>

  </Filters>

</TagList>

JSON Request:

{

                   "Filters":[{

                                       "Name":"TAGNAME",

                                       "Value":"Con%"},

                   {

                                       "Name":"ANALOG",

                                       "Value":"FALSE"

                   }]

}

Request Parameter:

Field Name | Description
Name | Filter Name：TagName, Analog, Discrete, Text, and Block can use Filter Name
Value | Filter Value ² TagName：Use wildcard characters (wildcard，% means include all characters) ² Analog：TRUE(Include Analog Tag), FALSE(Exclude Analog Tag), default is TRUE。 ² Discrete：TRUE(Include Discrete Tag), FALSE(Exclude Discrete Tag), default is TRUE。 ² Text：TRUE(Include Text Tag), FALSE(Exclude Text Tag), default is TRUE。 ² Block：TRUE(Include Block), FALSE(Exclude Block), default is TRUE。

XML Response:

<TagList>

  <Result>

    <Ret>0</Ret>

    <Total>4</Total>

  </Result>

  <Tags>

    <Tag>

      <ID>64</ID>

      <Name>ConAna1</Name>

    </Tag>

    <Tag>

      <ID>65</ID>

      <Name>ConAna2</Name>

    </Tag>

    <Tag>

      <ID>66</ID>

      <Name>ConTxt1</Name>

    </Tag>

    <Tag>

      <ID>67</ID>

      <Name>ConTxt2</Name>

    </Tag>

  </Tags>

</TagList>

JSON Response:

{

                   "Result":{

                                       "Ret":0,

                                       "Total":4

                   },

                   "Tags":[{

                                       "ID":"64",

                                       "Name":"ConAna1"},

                                       {

                                       "ID":"65",

                                       "Name":"ConAna2"},

                                       {

                                       "ID":"66",

                                       "Name":"ConTxt1"},

                                       {

                                       "ID":"67",

                                       "Name":"ConTxt21"

                   }]

}

Response Field:

Field Name | Description
ID | TagID
Name | Tag Name


23.6.2 All Tag list of SCADA node in the Project

Get all Tag list of SCADA node in the Project

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/TagList/{ProjName}/{NodeName}

XML Response: (The same as Get Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}/{NodeName}

JSON Response: (The same as Get Tag Value in Project Node)

HTTP METHOD: POST (Use Filter)

XML URL: http://localhost/WaWebService/TagList/{ProjName}/{NodeName}

XML Request: (The same as Get Tag Value in Project Node)

XML Response: (The same as Get Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}/{NodeName}

JSON Request: (The same as Get Tag Value in Project Node)

JSON Response: (The same as Get Tag Value in Project Node)


23.6.3 All Tag list of the Comport

Get all Tag (Tag) list of Comport of SCADA node in the Project

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/TagList/{ProjName}/{NodeName}/{ComportNbr}

XML Response: (The same as Get Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}/{NodeName}/{ComportNbr}

JSON Response: (The same as Get Tag Value in Project Node)

HTTP METHOD: POST (Use Filter)

XML URL: http://localhost/WaWebService/TagList/{ProjName}/{NodeName}/{ComportNbr}

XML Request: (The same as Get Tag Value in Project Node)

XML Response: (The same as Get Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}/{NodeName}/{ComportNbr}

JSON Request: (The same as Get Tag Value in Project Node)

JSON Response: (The same as Get Tag Value in Project Node)


23.6.4 All Tag list of the Device

Get all Tag (Tag) list of the Device of Comport of SCADA node in the Project

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/TagList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

XML Response: (The same as Get Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

JSON Response: (The same as Get Tag Value in Project Node)

HTTP METHOD: POST ( Use Filter)

XML URL: http://localhost/WaWebService/TagList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

XML Request: (The same as Get Tag Value in Project Node)

XML Response: (The same as Get Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/TagList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

JSON Request: (The same as Get Tag Value in Project Node)

JSON Response: (The same as Get Tag Value in Project Node)


23.6.5 Tag Detail Information under Project node

Get specific Tag (Point) detail information of Project node

HTTP METHOD: POST

XML URL: http://localhost/WaWebService/TagDetail/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/TagDetail/{ProjectName}

XML Request:

<PointDetail>

  <Points>

    <Point>

      <Name>ao-01</Name>

      <Attributes>

        <Attribute>

          <Name>ALL</Name>

        </Attribute>

      </Attributes>

    </Point>

    <Point>

      <Name>do-01</Name>

      <Attributes>

        <Attribute>

          <Name>ALL</Name>

        </Attribute>

      </Attributes>

    </Point>

  </Points>

</PointDetail>

JSON Request:

{

                   "Points":[{

                                       "Name":"String",

                                       "Attributes":[{

                                                           "Name":"String"

                                       }]

                   }]

}

Request Parameter:

Field Name

Description

Name

Tag Name

Attributes

Attributes：According to Tag type, properties can be used as follows:

ü Analog Tag：

"NAME", "ADDRS", "DESCRP", "TYPE", "PADDRS", "NODE", "COM", "DEVNM", "SECL", "SECA", "ENUNIT", "SPANHI", "SPANLO", "OUTPHI", "OUTPLO", "DSPFMT", "ALMHI", "ALMLO", "ALMHH", "ALMLL", "ALMROC", "ADVHI", "ADVLO", "APRHH", "APRHI", "APRLO", "APRLL", "APRHDV", "APRLDV", "APRROC"。

ü Descrete Tag：

"NAME", "ADDRS", "DESCRP", "TYPE", "PADDRS", "NODE", "COM", "DEVNM", "SECL", "SECA", "DESCR0", "DESCR1", "DESCR2", "DESCR3", "DESCR4", "DESCR5", "DESCR6", "DESCR7", "PRDIG0", "PRDIG1", "PRDIG2", "PRDIG3", "PRDIG4", "PRDIG5", "PRDIG6", "PRDIG7"。

ü Text Tag：

"NAME", "ADDRS", "DESCRP", "TYPE", "PADDRS", "NODE", "COM", "DEVNM", "SECL", "SECA", "TXTLEN"。

If the properties assign ”ALL”, The returned properties will return all properties based on Tag Type.

XML Response:

<PointDetail>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Points>

    <Point>

      <NAME>String</NAME>

      <DESCRP>String</DESCRP>

      <ADDRS>String</ADDRS>

      <TYPE>String</TYPE>

      <PADDRS>String</PADDRS>

      <NODE>String</NODE>

      <COM>String</COM>

      <DEVNM>String</DEVNM>

      <SECA>String</SECA>

      <SECL>String</SECL>

      <ENUNIT>String</ENUNIT>

      <SPANHI>String</SPANHI>

      <SPANLO>String</SPANLO>

      <OUTPHI>String</OUTPHI>

      <OUTPLO>String</OUTPLO>

      <DSPFMT>String</DSPFMT>

      <ALMHH>String</ALMHH>

      <ALMHI>String</ALMHI>

      <ALMLO>String</ALMLO>

      <ALMLL>String</ALMLL>

      <ALMROC>String</ALMROC>

      <ADVHI>String</ADVHI>

      <ADVLO>String</ADVLO>

      <APRHH>String</APRHH>

      <APRHI>String</APRHI>

      <APRLO>String</APRLO>

      <APRLL>String</APRLL>

      <APRHDV>String</APRHDV>

      <APRLDV>String</APRLDV>

      <APRROC>String</APRROC>

      <DESCR0>String</DESCR0>

      <DESCR1>String</DESCR1>

      <DESCR2>String</DESCR2>

      <DESCR3>String</DESCR3>

      <DESCR4>String</DESCR4>

      <DESCR5>String</DESCR5>

      <DESCR6>String</DESCR6>

      <DESCR7>String</DESCR7>

      <PRDIG0>String</PRDIG0>

      <PRDIG1>String</PRDIG1>

      <PRDIG2>String</PRDIG2>

      <PRDIG3>String</PRDIG3>

      <PRDIG4>String</PRDIG4>

      <PRDIG5>String</PRDIG5>

      <PRDIG6>String</PRDIG6>

      <PRDIG7>String</PRDIG7>

      <TextLen>String</TextLen>

    </Point>

    <Point>

      <NAME>String</NAME>

      <DESCRP>String</DESCRP>

      <ADDRS>String</ADDRS>

      <TYPE>String</TYPE>

      <PADDRS>String</PADDRS>

      <NODE>String</NODE>

      <COM>String</COM>

      <DEVNM>String</DEVNM>

      <SECA>String</SECA>

      <SECL>String</SECL>

      <ENUNIT>String</ENUNIT>

      <SPANHI>String</SPANHI>

      <SPANLO>String</SPANLO>

      <OUTPHI>String</OUTPHI>

      <OUTPLO>String</OUTPLO>

      <DSPFMT>String</DSPFMT>

      <ALMHH>String</ALMHH>

      <ALMHI>String</ALMHI>

      <ALMLO>String</ALMLO>

      <ALMLL>String</ALMLL>

      <ALMROC>String</ALMROC>

      <ADVHI>String</ADVHI>

      <ADVLO>String</ADVLO>

      <APRHH>String</APRHH>

      <APRHI>String</APRHI>

      <APRLO>String</APRLO>

      <APRLL>String</APRLL>

      <APRHDV>String</APRHDV>

      <APRLDV>String</APRLDV>

      <APRROC>String</APRROC>

      <DESCR0>String</DESCR0>

      <DESCR1>String</DESCR1>

      <DESCR2>String</DESCR2>

      <DESCR3>String</DESCR3>

      <DESCR4>String</DESCR4>

      <DESCR5>String</DESCR5>

      <DESCR6>String</DESCR6>

      <DESCR7>String</DESCR7>

      <PRDIG0>String</PRDIG0>

      <PRDIG1>String</PRDIG1>

      <PRDIG2>String</PRDIG2>

      <PRDIG3>String</PRDIG3>

      <PRDIG4>String</PRDIG4>

      <PRDIG5>String</PRDIG5>

      <PRDIG6>String</PRDIG6>

      <PRDIG7>String</PRDIG7>

      <TextLen>String</TextLen>

    </Point>

  </Points>

</PointDetail>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Points":[{

                                       "NAME":"String",

                                       "DESCRP":"String",

                                       "ADDRS":"String",

                                       "TYPE":"String",

                                       "PADDRS":"String",

                                       "NODE":"String",

                                       "COM":"String",

                                       "DEVNM":"String",

                                       "SECA":"String",

                                       "SECL":"String",

                                       "ENUNIT":"String",

                                       "SPANHI":"String",

                                       "SPANLO":"String",

                                       "OUTPHI":"String",

                                       "OUTPLO":"String",

                                       "DSPFMT":"String",

                                       "ALMHH":"String",

                                       "ALMHI":"String",

                                       "ALMLO":"String",

                                       "ALMLL":"String",

                                       "ALMROC":"String",

                                       "ADVHI":"String",

                                       "ADVLO":"String",

                                       "APRHH":"String",

                                       "APRHI":"String",

                                       "APRLO":"String",

                                       "APRLL":"String",

                                       "APRHDV":"String",

                                       "APRLDV":"String",

                                       "APRROC":"String",

                                       "DESCR0":"String",

                                       "DESCR1":"String",

                                       "DESCR2":"String",

                                       "DESCR3":"String",

                                       "DESCR4":"String",

                                       "DESCR5":"String",

                                       "DESCR6":"String",

                                       "DESCR7":"String",

                                       "PRDIG0":"String",

                                       "PRDIG1":"String",

                                       "PRDIG2":"String",

                                       "PRDIG3":"String",

                                       "PRDIG4":"String",

                                       "PRDIG5":"String",

                                       "PRDIG6":"String",

                                       "PRDIG7":"String",

                                       "TextLen":"String"

                   }]

}

Response Field:

Field Name | Description
NAME | Tag Name
DESCRP | Description
ADDRS | Address
TYPE | Tag Type
PADDRS | Parameter Address
NODE | SCADA Node Name
COM | Port number
DEVNM | Device Name
SECA | Security Area
SECL | Security Level
ENUNIT | Engineering Unit
SPANHI | Span High
SPANLO | Span Low
DSPFMT | Display Format
ALMHH | Alarm High High
ALMHI | Alarm High
ALMLO | Alarm Low
ALMLL | Alarm Low Low
ALMROC | Rate of Change Alarm
ADVHI | Deviation Alarm High Limit
ADVLO | Deviation Alarm Low Limit
APRHH | High High Alarm Priority
APRHI | High Alarm Priority
APRLO | Low Alarm Priority
APRLL | Low Low Alarm Priority
APRHDV | High Deviation Alarm Priority
APRLDV | Low Deviation Alarm Priority
APRROC | Rate of Change Alarm Priority
DESCR0 | Status 0
DESCR1 | Status 1
DESCR2 | Status 2
DESCR3 | Status 3
DESCR4 | Status 4
DESCR5 | Status 5
DESCR6 | Status 6
DESCR7 | Status 7
PRDIG0 | Status 0 Alarm Priority
PRDIG1 | Status1 Alarm Priority
PRDIG2 | Status2 Alarm Priority
PRDIG3 | Status3 Alarm Priority
PRDIG4 | Status4 Alarm Priority
PRDIG5 | Status5 Alarm Priority
PRDIG6 | Status6 Alarm Priority
PRDIG7 | Status7 Alarm Priority
TextLen | Text Length


23.6.6 Tag detail information of SCADA Node

Get Tag detail information of SCADA Nodein Project

HTTP METHOD: Post

XML URL: http://localhost/WaWebService/PointList/{ProjName}/{NodeName}

XML Request: (The same as Get Text Tag Value in Project Node)

XML Response: (The same as Get Text Tag Value in Project Node)

JSON URL: http://localhost/WaWebService/Json/PointList/{ProjName}/{NodeName}

JSON Request: (The same as Get Text Tag Value in Project Node)

JSON Response: (The same as Get Text Tag Value in Project Node)


23.7.1 All Block list in Project Node

Get all Block list in Project Node

Using Filter only provide TagName as Filter whne using POST.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/BlockList/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjectName}

XML Response:

<BlockList>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Blocks>

    <Block>

      <ID>Value</ID>

      <Name>String</Name>

    </Block>

    <Block>

      <ID>Value</ID>

      <Name>String</Name>

    </Block>

  </Blocks>

</BlockList>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Blocks":[{

                                       "ID":Value,

                                       "Name":"String"

                   }]

}

Response Field:

Field Name | Description
ID | Block ID
Name | Block Name

HTTP METHOD: POST (Use Filter)

XML URL: http://localhost/WaWebService/BlockList/{ProjName}

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}

XML Request:

<BlockList>

  <Filters>

    <Filter>

      <Name>String</Name>

      <Value>String</Value>

    </Filter>

    <Filter>

      <Name>String</Name>

      <Value>String</Value>

    </Filter>

  </Filters>

</BlockList>

JSON Request:

{

                   "Filters":[{

                                       "Name":"String",

                                       "Value":"String"

                   }]

}

Request Parameter:

Field Name | Description
Name | Only provide TagName as Filter
Value | Filter Value ² TagName：Use wildcard characters (wildcard, % means include all characters)

XML Response: (The same as GetComportStatus)

JSON Response:


23.7.2 All Block list in SCADA Node

Get all Block list in SCADA Node

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/BlockList/{ProjName}/{NodeName}

XML Response: (The same as GetComportStatus)

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}/{NodeName}

JSON Response: (The same as GetComportStatus)

HTTP METHOD: POST (Use Filter)

XML URL: http://localhost/WaWebService/BlockList/{ProjName}/{NodeName}

XML Request: (The same as GetComportStatus)

XML Response: (The same as GetComportStatus)

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}/{NodeName}

JSON Request: (The same as GetComportStatus)

JSON Response: (The same as GetComportStatus)


23.5.9 All Block list in Comport

Get all Block list in Comport/SCADA node

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/BlockList/{ProjName}/{NodeName}/{ComportNbr}

XML Response: (The same as GetComportStatus)

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}/{NodeName}/{ComportNbr}

JSON Response: (The same as GetComportStatus)

HTTP METHOD: POST (Use Filter)

XML URL: http://localhost/WaWebService/BlockList/{ProjName}/{NodeName}/{ComportNbr}

XML Request: (The same as GetComportStatus)

XML Response: (The same as GetComportStatus)

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}/{NodeName}/{ComportNbr}

JSON Request: (The same as GetComportStatus)

JSON Response: (The same as GetComportStatus)


23.7.4 All Block list of Device

Get all Block list in Comport /SCADA node/Project node

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/BlockList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

XML Response: (The same as GetComportStatus)

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

JSON Response: (The same as GetComportStatus)

HTTP METHOD: POST (USE Filter)

XML URL: http://localhost/WaWebService/BlockList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

XML Request: (The same as GetComportStatus)

XML Response: (The same as GetComportStatus)

JSON URL: http://localhost/WaWebService/Json/BlockList/{ProjName}/{NodeName}/{ComportNbr}/{DeviceName}

JSON Request: (The same as GetComportStatus)

JSON Response: (The same as GetComportStatus)


23.7.5 Block detail information in Project Node

Get all Block detail information in Project Node.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/BlockDetail/{ProjectName}/{BLOCKNAME}

JSON URL: http://localhost/WaWebService/Json/BlockDetail/{ProjectName}/{BLOCKNAME}

XML Response:

<BlockDetail>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Tags>

    <Tag>

      <TagType>String</TagType>

      <TagName>String</TagName>

      <Description>String</Description>

      <Address>String</Address>

    </Tag>

    <Tag>

      <TagType>String</TagType>

      <TagName>String</TagName>

      <Description>String</Description>

      <Address>String</Address>

    </Tag>

  </Tags>

</BlockDetail>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Tags":[{

                                       "TagType":"String",

                                       "TagName":"String",

                                       "Description":"String",

                                       "Address":"String"

                   }]

}

Response Field:

Field Name | Description
TagType | Tag Type
TagName | Tag Name
Description | Description
Address | Address


23.7.6 Block detail information in SCADA Node of Project Node

23.7.6 Block detail information in SCADA Node/Project Node

Get all Block detail information in Scada node/Project Node.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/BlockDetail/{ProjectName}/{NodeName}/{BLOCKNAME}

XML Response: (http://localhost/WaWebService/BlockList/Express/Scada/0206A6018)

(The same as GetDeviceStatus)

JSON URL: http://localhost/WaWebService/BlockDetail/{ProjectName}/{NodeName}/{BLOCKNAME}

JSON Response: (http://localhost/WaWebService/Json/BlockList/Express/Scada/0206A6018)

(The same as GetDeviceStatus)


23.8.1 Get Tag Value in Project Node

23.8.1 Tag Value in Project Node

HTTP METHOD: POST

XML URL: http://localhost/WaWebService/GetTagValue/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/GetTagValue/{ProjectName}

XML Request:

<GetTagValue>

  <Tags>

    <TagName>

      <Name>String</Name>

    </TagName>

    <TagName>

      <Name>String</Name>

    </TagName>

  </Tags>

</GetTagValue>

JSON Request:

{

                   "Tags":[{

                                       "Name":"String"

                   }]

}

Request Parameter:

Field Name | Description
TagName | Tag Name

XML Response:

<GetTagValue>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Values>

    <Value>

      <Name>String</Name>

      <Value>1.26743233E+15</Value>

      <Quality>Value</Quality>

    </Value>

    <Value>

      <Name>String</Name>

      <Value>1.26743233E+15</Value>

      <Quality>Value</Quality>

    </Value>

  </Values>

</GetTagValue>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Values":[{

                                       "Name":"String",

                                       "Value":1.26743233E+15,

                                       "Quality":Value

                   }]

}

Response Field:

Field Name | Description
Name | Tag Name
Value | Value
Quality | Quality(0:Normal)


23.8.2 Get Text Tag Value in Project Node

23.8.2 Get Tag Value Text in Project Node

HTTP METHOD: POST

XML URL: http://localhost/WaWebService/GetTagValueText/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/GetTagValue/{ProjectName}

XML Request:

<GetTagValueText>

  <Tags>

    <TagName>

      <Name>String</Name>

    </TagName>

    <TagName>

      <Name>String</Name>

    </TagName>

  </Tags>

</GetTagValueText>

JSON Request:

{

                   "Tags":[{

                                       "Name":"String"

                   }]

}

Request Parameter:

Field Name | Description
TagName | Tag Name

XML Response:

<GetTagValueText>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Values>

    <Value>

      <Name>String</Name>

      <Value>1.26743233E+15</Value>

      <Quality>Value</Quality>

    </Value>

    <Value>

      <Name>String</Name>

      <Value>String</Value>

      <Quality>Value</Quality>

    </Value>

  </Values>

</GetTagValueText>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Values":[{

                                       "Name":"String",

                                       "Value":"String",

                                       "Quality":Value

                   }]

}

Response Field:

Field Name | Description
Name | Tag Name
Value | Value
Quality | Quality(0:Normal)


23.8.3 Set Tag Value in Project Node

HTTP METHOD: POST

XML URL: http://localhost/WaWebService/SetTagValue/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/SetTagValue/{ProjectName}

XML Request:

<SetTagValue>

  <Tags>

    <Tag>

      <Name>String</Name>

      <Value>1.26743233E+15</Value>

    </Tag>

    <Tag>

      <Name>String</Name>

      <Value>1.26743233E+15</Value>

    </Tag>

  </Tags>

</SetTagValue>

JSON Request:

{

                   "Tags":[{

                                       "Name":"String",

                                       "Value":1.26743233E+15

                   }]

}

RequestParameter:

Field Name | Description
Name | Tag Name
Value | Value

XML Response:

<Result>

  <Ret>Value</Ret>

</Result>

JSON Response:

{

                   “Ret”:Value

}


23.8.4 Set Text Tag Value

23.8.4 Set Tag Value Text

HTTP METHOD: POST

XML URL: http://localhost/WaWebService/SetTagValueText/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/SetTagValueText/{ProjectName}

XML Request:

<SetTagValueText>

  <Tags>

    <Tag>

      <Name>String</Name>

      <Value>String</Value>

    </Tag>

    <Tag>

      <Name>String</Name>

      <Value>String</Value>

    </Tag>

  </Tags>

</SetTagValueText>

JSON Request:

{

                   "Tags":[{

                                       "Name":"String",

                                       "Value":"String"

                   }]

}

RequestParameter:

Field Name | Description
Name | Tag Name
Value | Value

XML Response: (http://localhost/WaWebService/SetTagValueText/Express)

<Result>

  <Ret>Value</Ret>

</Result>

JSON Response: (http://localhost/WaWebService/Json/SetTagValueText/Express)

{

                   “Ret”:Value

}


23.8.5 SubscribeRealTimeTag

Subscribe Real-Time Tag

HTTP Method: POST

XML Url: http://localhost/WaWebService/SubscribeRealTimeTag/{ProjectName}

JSON Url: http://localhost/WaWebService/Json/SubscribeRealTimeTag/{ProjectName}

XML Request:

<SubscribeRealTimeTag>

  <Interval>Value</Interval>

  <Records>Value</Records>

  <Tags>

    <Tag>

      <Name>String</Name>

    </Tag>

    <Tag>

      <Name>String</Name>

    </Tag>

  </Tags>

</SubscribeRealTimeTag>

JSON Request:

{

    "Interval":Value,

    "Records":Value,

    "Tags": {[

        { "Name": "String" },

        { "Name": "String" }

    ]}

}

Request Parameter:

Field Name | Description
Interval | Data Time Interval
Records | Query data Records of pre tag
Name | Tag Name

XML Response:

<SubscriptionID>Value</SubscriptionID>

JSON Response:

{

“SubscriptionID”:Value

}


23.8.6 UnsubscribeRealTimeTag

Unsubscribe Real-Time Tag

HTTP Method: POST

XML Url: http://localhost/WaWebService/UnsubscribeRealTimeTag/{ProjectName}

JSON Url: http://localhost/WaWebService/Json/UnsubscribeRealTimeTag/{ProjectName}

XML Request:

<UnsubscribeRealTimeTag>

  <UnsubscriptionID>Value</UnsubscriptionID>

</UnsubscribeRealTimeTag>

JSON Request:

{

    "UnsubscriptionID":Value,

}

Request Parameter:

Field Name | Description
UnsubscriptionID | Unsubscribe Real-Time Tag ID

XML Response:

<UnsubscriptionID>Value</UnsubscriptionID>

JSON Response:

{

    "UnsubscriptionID":Value,

}


23.8.7 GetRealTimeTagValue

Get Real-Time Tag Value

HTTP Method: POST

XML Url: http://localhost/WaWebService/GetRealTimeTagValue/{ProjectName}

JSON Url: http://localhost/WaWebService/Json/GetRealTimeTagValue/{ProjectName}

XML Request:

<GetRealTimeTagValue>

  <SubscriptionID>Value</SubscriptionID>

</GetRealTimeTagValue>

JSON Request:

{

    "SubscriptionID":Value,

}

Request Parameter:

Field Name | Description
SubscriptionID | Subscribe Real-Time Tag ID

XML Response:

<Result>

  <Ret>Value</Ret>

  <Total>Value</Total>

</Result>

<RealTimeTagValue>

  <Name>String</Name>

  <StartTime>String</StartTime>

  <Values>

    <Value>Value</Value>

    <Value>Value</Value>

  </Values>

  <Name>String</Name>

  <StartTime>String</StartTime>

  <Values>

    <Value>Value</Value>

    <Value>Value</Value>

  </Values>

</RealTimeTagValue>

JSON Response:

{

"Result":{"Ret":Value,"Total":Value},

"RealTimeTagValue":

[

{"Name":"String",

"StartTime":"String",

"Values":

[

String, String

]

},

{"Name":"String",

"StartTime":"String",

"Values":

[

String, String

]

}

]

}

Response Parameter:

Field Name | Description
Total | Total Records of pre tag
Name | Tag Name
StartTime | Start Time
Value | Tag value


23.9.1 GetComportStatus

23.9.1 Comport Status

Get comport status

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetComportStatus/{ProjectName}/{NodeName}

JSON Url: http://localhost/WaWebService/Json/GetComportStatus/{ProjectName}/{NodeName}

XML Response:

<GetComportStatus>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Comports>

    <ComportStatus>

      <Port>Value</Port>

      <Status>Value</Status>

      <TotalDevice>Value</TotalDevice>

    </ComportStatus>

    <ComportStatus>

      <Port>Value</Port>

      <Status>Value</Status>

      <TotalDevice>Value</TotalDevice>

    </ComportStatus>

  </Comports>

</GetComportStatus>

Json Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Comports":[{

                                       "Port":Value,

                                       "Status":Value,

                                       "TotalDevice":Value

                   }]

}

Response Field:

Field Name | Description
Port | Port number：1 ~ 60
Status | Port Status：0:Comm ok; ; 1:Bad; 2:Disabled
TotalDevice | Total Device number in the comport


23.9.2 GetDeviceStatus

Get Devices Status

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetDeviceStatus/{ProjectName}/{NodeName}/{PORT}

JSON Url: http://localhost/WaWebService/Json/GetDeviceStatus/{ProjectName}/{NodeName}/{PORT}

XML Request:

<GeDeviceStatus>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Devices>

    <DeviceStatus>

      <Unit>Value</Unit>

      <Status>Value</Status>

    </DeviceStatus>

    <DeviceStatus>

      <Unit>Value</Unit>

      <Status>Value</Status>

    </DeviceStatus>

  </Devices>

</GeDeviceStatus>

XML Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Devices":[{

                                       "Unit":Value,

                                       "Status":Value

                   }]

}

Response Field:

Field Name | Description
Unit | Device Unit Number：0 ~ 255
Status | Device Status：(0:Comm ok ; 1:Bad; 2:Disabled


23.9.3 GetStationStatus

Get Port Status and Device status in Comport.

HTTP METHOD: GET

XML Url: http://localhost/WaWebService/GetDeviceStatusGetStationStatus/{ProjectName}/{NodeName}/{PORT}

JSON Url: http://localhost/WaWebService/Json/GetStationStatus/{ProjectName}/{NodeName}

XML Response:

XML Request:

<GetStationStatus>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <Comports>

    <ComportStatus>

      <Port>Value</Port>

      <Status>Value</Status>

      <TotalDevice>Value</TotalDevice>

      <Devices>

        <DeviceStatus>

          <Unit>Value</Unit>

          <Status>Value</Status>

        </DeviceStatus>

        <DeviceStatus>

          <Unit>Value</Unit>

          <Status>Value</Status>

        </DeviceStatus>

      </Devices>

    </ComportStatus>

    <ComportStatus>

      <Port>Value</Port>

      <Status>Value</Status>

      <TotalDevice>Value</TotalDevice>

      <Devices>

        <DeviceStatus>

          <Unit>Value</Unit>

          <Status>Value</Status>

        </DeviceStatus>

        <DeviceStatus>

          <Unit>Value</Unit>

          <Status>Value</Status>

        </DeviceStatus>

      </Devices>

    </ComportStatus>

  </Comports>

</GetStationStatus>

Json Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "Comports":[{

                                       "Port":Value,

                                       "Status":Value,

                                       "TotalDevice":Value,

                                       "Devices":[{

                                                           "Unit":Value,

                                                           "Status":Value

                                       }]

                   }]

}

Response Field:

Field Name

Description

Port

Port number：1 ~ 60

Status

Port Status：0:Comm OK; 1:Bad; 2:Disabled

TotalDevice

Total Devices number in the Port

Device

Devicecommunication status

Field Name | Description
Unit | Device Unit Number：0 ~ 255
Status | Device Status：0:Comm; 1:Bad; 2:Disabled


23.9.4 SetComportStatus

Set Port status.

HTTP METHOD: GET

XML Url: http://localhost/WaWebService/SetComportStatus/{ProjectName}/{NodeName}/{PORT}/{State}

JSON Url: http://localhost/WaWebService/Json/SetComportStatus/{ProjectName}/{NodeName}/{PORT}/{State}

Parameter Name | Description
Port | Port number：1 ~ 60
State | Status：0:Enable; Other:Disable

XML Response:

<Result>

  <Ret>Value</Ret>

</Result>

Json Response:

{

                   “Ret”:Value

}


23.9.5 SetDeviceStatus

Set Device status

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/SetDeviceStatus/{ProjectName}/{NodeName}/{PORT}/{UNIT}/{STATE}

JSON Url: http://localhost/WaWebService/Json/SetDeviceStatus/{ProjectName}/{NodeName}/{PORT}/{UNIT}/{STATE}

Parameter Name | Description
Port | Port number：1 ~ 60
Unit | Device Unit Number：0 ~ 255
State | Status：0:Enable; Other:Disable

XML Response:

<Result>

  <Ret>Value</Ret>

</Result>

Json Response:

{

                   “Ret”:Value

}


23.10 GetDataLog

23.10 Data Log

Get Data log.

HTTP METHOD: POST

XML URL: http://localhost/WaWebService/GetDataLog /{ProjectName}

http://localhost/WaWebService/GetDataLog /{ProjectName}/{NodeName}

JSON URL: http://localhost/WaWebService/Json/GetDataLog /{ProjectName}

http://localhost/WaWebService/Json//GetDataLog /{ProjectName}/{NodeName}

XML Request:

<GetDataLog>

  <StartTime>yyyy-mm-dd HH:MM:SS</StartTime>

  <IntervalType>M</IntervalType>

  <Interval>1</Interval>

  <Records>2</Records>

  <Tags>

    <Tag>

      <Name>Tag1</Name>

      <DataType>0</DataType>

    </Tag>

    <Tag>

      <Name>Tag2</Name>

      <DataType>0</DataType>

    </Tag>

  </Tags>

</GetDataLog>

JSON Request:

{

                   "StartTime":"String",

                   "IntervalType":"String",

                   "Interval":Value,

                   "Records":Value,

                   "Tags":[{

                                       "Name":"String",

                                       "DataType":"String"

                   }]

}

RequestParameter:

Field Name | Description
StartTime | Start Time：Format is yyyy-mm-dd HH:MM:SS
IntervalType | Query time unit. S：Seconds；M：Minutes；H：Hours；D：Days
Interval | Data Time Interval, unit as Interval Type.
Records | Query data Recordsof pre tag
Name | Tag Name
DataType | DataType ：0 – Last, 1-Min, 2 – Max, 3 - Avg

XML Response:

<GetDataLog>

  <Result>

    <Ret>0</Ret>

    <Total>2</Total>

  </Result>

  <DataLog>

    <Tags>

      <Name>Tag1</Name>

      <Total>60</Total>

      <Values>

        <string>1</string>

        <string>2</string>

        .

        .

        .

        <string>60</string>

      </Values>

    </Tags>

    <Tags>

      <Name>Tag2</Name>

      <Total>60</Total>

      <Values>

        <string>1</string>

        <string>2</string>

        .

        .

        .

        <string>60</string>

      </Values>

    </Tags>

  </DataLog>

</GetDataLog>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "DataLog":[{

                                       "Name":"String",

                                       "Total":Value,

                                       "Values":["String"]

                   }]

}

Response Field:

Field Name | Description
Name | Tag Name。
Total | Total Records of pre tag
Values | Data log valie, each data pre line


23.11.1 GetAlarmSummaryCount

23.11.1 Alarm Summary Count

Get Alarm Summary count data

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetAlarmSummaryCount/{ProjectName}

JSON URL: http://localhost/WaWebService/Json/GetAlarmSummaryCount/{ProjectName}

XML Response:

<Result>

  <Ret>Value</Ret>

  <Total>Value</Total>

</Result>

JSON Response:

<Result>

  <Ret>Value</Ret>

  <Total>Value</Total>

</Result>


23.11.2 GetAlarmSummary

Get Alarm Summary data

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetTagValue/{ProjectName}/{start}/{count}

JSON URL: http://localhost/WaWebService/Json/GetTagValue/{ProjectName/{start}/{count}

XML Response:

<GetAlarmSummary>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <AlarmTagList>

    <AlarmTag>

      <Name>String</Name>

      <Time>String</Time>

      <AlarmPriority>Value</AlarmPriority>

      <AckStatus>Value</AckStatus>

      <AlarmGroup>Value</AlarmGroup>

      <AlarmValue>1.26743233E+15</AlarmValue>

      <AlarmLimit>1.26743233E+15</AlarmLimit>

      <AlarmType>Value</AlarmType>
   <NodeName>String</NodeName>

   <Locked>Value</Locked>

 </AlarmTag>

    <AlarmTag>

      <Name>String</Name>

      <Time>String</Time>

      <AlarmPriority>Value</AlarmPriority>

      <AckStatus>Value</AckStatus>

      <AlarmGroup>Value</AlarmGroup>

      <AlarmValue>1.26743233E+15</AlarmValue>

      <AlarmLimit>1.26743233E+15</AlarmLimit>

      <AlarmType>Value</AlarmType>

    <Locked>Value</Locked>

</AlarmTag>

  </AlarmTagList>

</GetAlarmSummary>

JSON Response: (http://localhost/WaWebService/Json/GetDataLog/Express/0/5)

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "AlarmTagList":[{

                                       "Name":"String",

                                       "Time":"String",

                                       "AlarmPriority":Value,

                                       "AckStatus":Value,

                                       "AlarmGroup":Value,

                                       "AlarmValue":1.26743233E+15,

                                       "AlarmLimit":1.26743233E+15,

                                       "AlarmType":Value
            “NodeName”:”String”

                   "Locked":Value

                   }]

}

Response Field:

Field Name | Description
Name | Tag Name。
Time | Alarm Time
AlarmPriority | Alarm Priority
AckStatus | Acknowledge Status (0:In normal unacked; 1:Unacked; 2: Acked)
AlarmGroup | Alarm Group
AlarmValue | Alarm Value
AlarmLimit | Alarm Limit value
AlarmType | Alarm Type
Locked | Lock Alarm


23.11.3 GetAlarmLogCount

Get Alarm log count data

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetAlarmLogCount/{ProjectName}/{NodeName}

XML URL: http://localhost/WaWebService/Json/GetAlarmLogCount/{ProjectName}/{NodeName}

XML Response:

<Result>

  <Ret>Value</Ret>

  <Total>Value</Total>

</Result>

JSON Response:

{

                   “Ret”:Value,

                   “Total”:Value

}


23.11.4 GetAlarmLog

Get Alarm Log

HTTP Method: GET

XML Url: http://localhost/WaWebService/GetAlarmLog/{ProjectName}/{NodeName}/{Start}/{Count}

JSON Url: http://localhost/WaWebService/Json/GetAlarmLog/{ProjectName}/{NodeName}/{Start}/{Count}

XML Response:

<GetAlarmLog>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <AlarmLogs>

    <AlarmData>

      <Time>String</Time>

      <Priority>String</Priority>

      <TagName>String</TagName>

      <Description>String</Description>

      <Action>String</Action>

    </AlarmData>

    <AlarmData>

      <Time>String</Time>

      <Priority>String</Priority>

      <TagName>String</TagName>

      <Description>String</Description>

      <Action>String</Action>

    </AlarmData>

  </AlarmLogs>

</GetAlarmLog>

JSON Response:

{

        "Result":{

                 “Ret”:Value,

                 “Total”:Value

        },

        "AlarmLogs":[{

                 "Time":"String",

                 "Priority":"String",

                 "TagName":"String",

                 "Description":"String",

                 "Action":"String"

        }]

}

Response Field:

Field Name | Description
Time | Alarm Time
Priority | Alarm Level
TagName | Tag Name
Description | Tag Description
Action | Alarm Action


23.11.5 AlarmAck

Acknowledge alarms

HTTP METHOD: POST

XML URL: URL: http://localhost/WaWebService/AlarmAck/{ProjectName}/{NodeName}

JSON URL: URL: http://localhost/WaWebService/Json/AlarmAck/{ProjectName}/{NodeName}

XML Request:

<AlarmAck>

  <IpAddress>String</IpAddress>

  <Computer>String</Computer>

  <User>String</User>

  <Tags>

    <TagName>

      <Name>String</Name>

    </TagName>

    <TagName>

      <Name>String</Name>

    </TagName>

  </Tags>

</AlarmAck>

JSON Request:

{

                   "IpAddress":"String",

                   "Computer":"String",

                   "User":"String",

                   "Tags":[{

                                       "Name":"String"

                   }]

}

RequestParameter:

Field Name

Description

IpAddress

IP Address。

Computer

Computer Name。

User

User

Tags

Tag

Field Name | Description
Name | TagName。

XML Response:

<Result>

  <Ret>Value</Ret>

</Result>

JSON Response:

{

                   “Ret”:Value

}


23.11.6 AlarmAckAll

Acknowledge alarms

HTTP METHOD: POST

Acknowledge Alarm in Project

XML Url: http://localhost/WaWebService/AlarmAck/{ProjectName}

JSON Url: http://localhost/WaWebService/Json/AlarmAck/{ProjectName}

Acknowledge Alarm in SCADA

XML URL: URL: http://localhost/WaWebService/AlarmAck/{ProjectName}/{NodeName}

JSON URL: URL: http://localhost/WaWebService/Json/AlarmAck/{ProjectName}/{NodeName}

XML Request:

<AlarmAck>

  <IpAddress>String</IpAddress>

  <Computer>String</Computer>

  <User>String</User>

  <Tags>

    <TagName>

      <Name>String</Name>

    </TagName>

    <TagName>

      <Name>String</Name>

    </TagName>

  </Tags>

</AlarmAck>

JSON Request:

{

                   "IpAddress":"String",

                   "Computer":"String",

                   "User":"String",

                   "Tags":[{

                                       "Name":"String"

                   }]

}

RequestParameter:

Field Name

Description

IpAddress

IP Address。

Computer

Computer Name。

User

User

Tags

Tag

Field Name | Description
Name | TagName

XML Response:

<Result>

  <Ret>Value</Ret>

</Result>

JSON Response:

{

                   “Ret”:Value

}


23.12.1 GetActionLogCount

Get Action log count data.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetActionLogCount/{ProjectName}/{NodeName}

JSON URL: http://localhost/WaWebService/Json/GetActionLogCount/{ProjectName}/{NodeName}

XML Request:

<Result>

  <Ret>Value</Ret>

  <Total>Value</Total>

</Result>

JSON Request: (http://localhost/WaWebService/Json/GetActionLogCount/Express/Scada)

{

                   “Ret”:Value,

                   “Total”:Value

}


23.12.2 GetActionLog

Get Action log data.

HTTP METHOD: GET

XML URL: http://localhost/WaWebService/GetActionLog/{ProjectName}/{NodeName}/{Start}/{Count}

JSON URL: http://localhost/WaWebService/Json/GetActionLog/{ProjectName}/{NodeName}/{Start}/{Count}

XML Response:

<GetActionLog>

  <Result>

    <Ret>Value</Ret>

    <Total>Value</Total>

  </Result>

  <ActionLogs>

    <ActionData>

      <Time>String</Time>

      <Priority>String</Priority>

      <TagName>String</TagName>

      <Description>String</Description>

      <Action>String</Action>

    </ActionData>

    <ActionData>

      <Time>String</Time>

      <Priority>String</Priority>

      <TagName>String</TagName>

      <Description>String</Description>

      <Action>String</Action>

    </ActionData>

  </ActionLogs>

</GetActionLog>

JSON Response:

{

                   "Result":{

                                       “Ret”:Value,

                                       “Total”:Value

                   },

                   "ActionLogs":[{

                                       "Time":"String",

                                       "Priority":"String",

                                       "TagName":"String",

                                       "Description":"String",

                                       "Action":"String"

                   }]

}

Response Field:

Field Name | Description
Time | Time
Priority | Priority
TagName | Tag Name
Description | Description
Action | Action


23.12.3 GetActionLogIndex

23.13.2 GetActionLogIndex

The maximum number of Action files is 5000. Use the loop recording mode,

GetActionLogIndex can get the record location in the record file and compare to the past file location to know the change.

HTTP Method : GET

XML Url: http://localhost/WaWebService/GetActionLogIndex/{ProjectName}/{NodeName}

JSON Url: http://localhost/WaWebService/Json/GetActionLogIndex/{ProjectName}/{NodeName}

XML Request:

<Result>

  <Index>Value</Index>

  <Ret>Value</Ret>

</Result>

JSON Request:

{

        “Index”:Value,

        “Ret”:Value

}


26. Troubleshooting

24. Troubleshooting

This section tries to provide some guidance in resolving problems encountered with your system. It is divided in to 4 sections:

VIEW and Web Browser section addresses problems encountered by Clients using Internet Explorer.

Windows Operating System issues mainly addresses problems found on the SCADA Node or Project Node.

Email addresses issues with email of alarms, scripts and reports.

The SCADA Node and Project Node section address Advantech WebAccess Software issues.


24.1.1 Blank Screen in VIEW

Symptom

VIEW in a web browser shows a White screen that is blank. No error message.

Causes

i. Web Browser Security too high preventing the ActiveX control (the Plug-in) from running. Medium security is needed to allow safe browsing and the Active X control to run.
See 22.1.2 Check Internet Explorer Security Settings.

ii. Firewall or router blocking ports. Advantech WebAccess uses three TCP ports. Port 80 is the default HTTP protocol port. Advantech WebAccess also has primary and secondary TCP ports (Ports 4592 and 14592 are the default ports.)
See 22.1.7 Firewall or blocked TCP ports.

iii. Not using Internet Explorer 6.0 or later.

iv. Using a New Client to view a very old software version of Project Node or SCADA node.

v. Deploy file (project.dpj) not downloaded from Project Node to Client.
See 22.1.3 Check the Deploy file from Web browser client.

vi. Not using a Microsoft® Windows Operating System (Windows 98, ME, 2000, XP and 2003 are supported).

Symptom

VIEW in a web browser shows a Blue screen. Error Message: “Kernel on SCADA Node is not Running” is obvious. Start the SCADA node (see section 2.3.6 Download and Start the SCADA Node

VIEW in a web browser shows a Blue screen. Error Message: “Connection to SCADA Node fails”

This can mean that the webvrpcs (the Advantech WebAccess Network Service) is not running or the network connection is lost “SCADA Node” (e.g. the cable is unplugged or the SCADA node has lost power). See section 22.4.6 Cannot Connect to SCADA Node.


24.1.2 Check Internet Explorer Security Settings

1) On the Menu par of Internet Explorer select Tools->Settings.

2) In the Settings Dialog Box select the Security Tab.

3) Select Internet (select Local Intranet if Advantech WebAccess Project node is in the same intranet). Local Intranet will allow you to maintain Highest security for all other web sites, but allow Advantech WebAccess VIEW (an ActiveX control) to run inside you browser.)

4) Select Default Level.

5) Select Medium .

6) Select OK.

Figure 22.1 - Internet Zone Security - changes here affect all websites you visit.

Figure 22.2 - Local Intranet or Trusted Sites Security- changes here do not affect unknown web sites you visit

7) If you selected Local intranet or Trust Sites - select Sites.

8) Uncheck “Require server verification (https:) for all sites”.

9) Type the IP Address of the Advantech WebAccess Project Node.

Figure 22.3 - Trusted Sites Lists

10) Select Add.

11) Select OK.

12) Select OK.

Now see if you can run VIEW in your browser.


24.1.2.1 Security settings do not allow file download

Symptom

When I attempt to connect to Advantech WebAccess SCADA node using VIEW I get the error message: Your Current Security Settings Do Not Allow This File To Be Downloaded

Resolution

Lower the security setting in Internet Explorer 6.0. You can use Medium for all Web Sites, or add the Advantech WebAccess Project node’s IP address to Trusted Sites and use Medium security setting for Trusted Sites. See Check Internet Explorer Security Settings for detailed information.


24.1.3 Check the Deploy file from Web browser client

The deploy file (projectname.dpj) is downloaded by clients. The deploy file describes the IP addresses for your SCADA nodes. It is read by clients using HTTP (hyper text transfer protocol). The deploy file is on the Project Node. Possible Causes of this are:

i. Web Server not running on Project Node

ii. Web Service not installed on Project Node

iii. Improper Security on Project Node

iv. Logon Security prevents clients from reading deploy file

v. Directory or Folder security prevent Advantech WebAccess software from creating deploy file

Try accessing the Deploy File from your current location:

In Internet Explorer 6 (or any web browser), enter in the address bar:

http://ip_adddress of your project node/broadweb/projectname.dpj

For example, to test if Advantech Live Demo deploy file is available type:

http://67.94.27.175/broadweb/LiveDemo.dpj

or http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

If you get an error message, “ the folder can not be accessed”, then the Web Server service is not running on the project node or Advantech WebAccess is not installed.

If you get the message "Access Denied" then the security settings are set improperly on the Project Node for either the Web service or the wwwroot folders (subdirectories).

If you get the message "File not Found" then the project was not downloaded or security settings are set improperly on the Project Node for either the Web service or the wwwroot folders (subdirectories).


24.1.4 Check User Security to install and run VIEW

If you are using Windows 2000 or XP, you must be a Standard User or Administrator to install and run the Advantech WebAccess Client. A Standard User is a member of the Power Users.

Restricted Users (i.e. members of the Users Group) cannot install and cannot run the Advantech WebAccess Client. You should contact your system administrator and ask to be changed to a Standard User (i.e. A Power User). For More information, see Determine User's Security Privileges.


24.1.4.1 Download the Client Plug-in from the Project to be sure software version matches

24.1.4.1 Download the Client Plug-in from the Project to be sure your software version matches.

There is a Download Plug-in Here link at the WELCOME Page. For example at the DEMO it is at:
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp

If you cannot find the Download Link, enter:
http://www.advantech.com.cn/eAutomation/WebAccess/index.asp/broadWeb/Advantech WebAccessClientSetup.exe

Replace demo.Advantech.com with the IP address of your project Node.

See Also:

Confirm that Web service is running on the project node

Does the deploy file exist in the broadweb folder of the Web server (Project Node)?

Security on the wwwroot subdirectory does not allow access


24.1.5 Waiting for Connection To SCADA Node

If you get the message, “Waiting For Connection to SCADA Node”, it might be as simple as the SCADA Node is “stopped”.

Figure 22.4 Waiting for Connection to SCADA Node.

The good news is you are talking to the Project Node. If you have Multiple Projects or multiple Nodes, it may be that you are trying to connect to a SCADA Node or Project that is off line.

For a Multiple Node System:

a. Try selecting Start View for a different SCADA Node or Project. You may have to try all of those listed. There maybe only one “real project” and one “real SCADA node”, but an engineer has configured others for testing of future commissioning.

b. Try selecting Start Node. You should do this if you know which Node should be running in which project.

i. To Start a Node, you will be prompted for username and password. You will need an administrator (admin) or Project User name and password to start a node.

Figure 22.5 Start Node - admin or Project User Login

c. The last possibility is that the primary and secondary TCP ports (4592 and 14592 are the defaults) are blocked by a firewall or router.


24.1.6 ASP Time-out when Download or Start

If your Clients get Timeout Messages when downloading, starting or stopping nodes in Advantech WebAccess Configuration, you can adjust the Timeout on your Project Node (Web Server).

You can increase the time that is allowed to process ASP scripts for a particular Web site. To do this, change the metabase value in Internet Information Server (IIS):

1. Open Internet Services Manager.

2. Expand the tree and right-click Default Web Site (or the site that has the problem).

3. Click Properties .

4. Click the Home Directory tab.

5. Under Application Settings , click Configuration .

6. Click the App Options tab.

7. Increase the ASP Script Timeout value to a number high enough to prevent script timeouts.

-or-

You can increase the time allowed to process ASP scripts for all Web sites. To do this, change the metabase value in IIS:

1. Open Internet Services Manager.

2. Right-click the name of your computer.

3. Click Properties .

4. In Master Properties , select WWW Service , and then click Edit .

5. Click the Home Directory tab.

6. Under Application Settings , click Configuration .

7. Click the App Options tab.

8. Increase the ASP Script Timeout value to a number high enough to prevent script timeouts.


24.1.7 Firewall or blocked ports

22.1.7 Firewall or blocked TCP ports

If your Client get the message "Cannot connect to SCADA node" and the node is running, then the primary and secondary TCP ports are probably blocked by a firewall.

A good diagnostic test is if your connection to the Advantech WebAccess DRAW or VIEW fails, but connection to the Configuration Manager worked, then a firewall is the most likely reason.

A Firewall restricts the flow of data onto a network; it is a method of network security. Many corporations use firewalls. If your connection is through a firewall, you will need to have your network administrator open two TCP ports for you to use the DRAW or VIEW features in Advantech WebAccess. You should be able to use the Configuration Manager without having TCP ports opened for you. This only applies if you are connecting through the firewall. If all your Advantech WebAccess Clients and SCADA nodes are inside the firewall, you can ignore this. The TCP ports are set on the SCADA node. You can see the TCP Ports listed in the Project Configuration Manager described in Section 1. Note that 0 means the default ports numbers are used (4592 and 14592).

If you are connecting through a firewall, you will have to have your network administrator open two TCP ports for you. The default TCP Ports used in Advantech WebAccess are:

· Primary TCP Port = 4592

· Secondary TCP Port = 14592

These are configurable in SCADA Node properties, if for some reason your network administrator would prefer to use other ports.

You can download a Port Query tool from microsoft.com that allows you to test if a Port is blocked (Filtered or Not Listening) or open and actively monitored (Listening). Not Listening could also mean the webvrpcs is not running on the SCADA or Project Node. The program is PortQry. Search Microsoft Website for that name if the following link does not work for you:

PortQry version 2.0

For example, to test access to the Advantech demo :

Download and install the PortQry from PortQry version 2.0

Start -> Run -> CMD

Enter the following commands in the Command prompt window

CD ..

CD..

CD PortQry*

To get Help enter:

portqry /?

To test if the Advantech demo site port 4592 i open and Listening enter:

portqry -n 67.94.27.175 -e 4592 -p TCP

The repeat for 67.94.27.175:4592

portqry -n 67.94.27.175 -e 14592 -p TCP

For more information see:

1.6.1.3 TCP Ports and Firewalls

1.6.1.4 Routers, Proxy Servers, Port Mapping and NAT

2.3.5 Add SCADA Node


24.1.8 Asterisk *

If you see an asterisk * instead of a number, often with an error code if using Point Info (tag browser), then communications is bad to the device or the tag has a invalid address.

1. If all tags on a com port show asterisks, then the communication port or device is possibly disabled in the Station Status Display.

2. If the device and comport are enabled, and all tags show asterisks, then communications to the device are lost (i.e. able unplugged) or the device is off-line (powered down).

3. If only one or a few tags in a device show asterisks, then the address for the tag is probably invalid.

You should contact an engineer or technician and describe the tag name.


24.1.9 Pound sign #

If you see an pound-sign # instead of a number, then there is no tag with that name in the on-line database. This occurs if the display is built with an invalid tag name, or miss-spelled tag name. This often happens when graphics are copied from one project to another and the tag names are not updated.

You should contact an engineer or technician and describe the tag name and Graphic Display name (bgr).


24.1.10 Exclamation mark !

If see an exclamation mark ! instead of a number in a graphic display, it means the number is too large to fit in the field size for the tag. For example, the display digits (integer) is 2, but the value is 101, three digits won't fit inside 2 digits.

You should contact and engineer or technician and let them know the tag name. They will have to use Project Manager to increase the display digits for the tag by editing the tag properties.


1.6.3 Secure Your Clients

12.1.11 Video, Reports, System Logs can't be seen in View

The Video cameras, Reports, and System Logs are viewed in an Internet Explorer 6.0, 7.0, or later web browser. Even if using ViewDAQ, Internet Explorer must be installed on the clients in order to view cameras.

Video requires Windows 2000, Windows Vista or Windows XP Professional.

Windows Vista Home Basic, Vista Home Premium, Vista Business and Vista Business Ultimate are also supported as Video clients on many, but not all, hardware platforms (See note 3.)

Note 3- Windows Vista running on some hardware platforms (for example single core INTEL and AMD) do not support Video, Tools, Reports and web browser controls inside a graphic display.

It appears most Dual Core INTEL and AMD PCs produced after 2006 do support all features in the WebAccess Client using Vista.

It is recommended to test an Vista based PC before using it as a WebAccess Client if you plan to use Video, Tools, Reports, Logs or any Web control inside a graphic display

You should contact an engineer or technician and describe the tag name and Graphic Display name (bgr).


24.2.12 Determine Windows version

22.2.12 Determine Windows version

1. On the taskbar, click Start, and then click Run.

2. In the Run dialog box, type Winve r.

3. Press the Enter key or OK.

4. The resulting dialog box will indicate the version of Microsoft Windows® you are using.

5. After recording the version you are running, click OK to close the dialog box.


24.2.1 Is Internet Information Services (IIS) installed?

The Project Node software requires Web Server software: IIS (Internet Information Server). Microsoft® Internet Information Services (IIS) makes your computer a Web server. IIS can only be installed on the following varieties of Windows:

Microsoft Windows 2000 Server products

Microsoft Windows 2000 Professional

Microsoft Windows XP Professional

Microsoft Windows 2003 Server products

If you need help determining what version of Windows you have see the Troubleshooting section, Determine Windows version.

If you are using another version of Windows, your computer does not have IIS installed. If the version of Windows you are using is listed above, continue with the next Step to see if IIS is installed on your computer. The World Wide Web Server option is required. The FTP Server is not required.

To see if IIS is installed on your computer, follow the instructions below for your version of Windows:


24.2.1.1 Windows 2003 IIS

24.2.1.1 Windows 2003

1. On the taskbar, click Start, and then click Control Panel.

2. Select Add or Remove Programs, and then choose Add/Remove Windows Components.

3. In the Windows Component Wizard dialog box, if Internet Information Services (IIS) is checked, IIS is installed on your computer.

4. If not, you could install IIS from here if you have the Windows 2000 Installation CD.

5. Click on Internet Information Services (IIS)and then click Details.

6. In the Subcomponents of IIS dialog box, if World Wide Web Server is checked, the WWW Service is installed on your computer.

7. If not, you could install the WWW Service from here if you have the Windows XP Installation CD.

8. Close Add/Remove Windows Components, and then close Control Panel.

Note - Windows NT 4.0 is not supported! Do not try to install Advantech WebAccess SCADA Node or Project Node software on NT 4.0.


24.2.1.2 Windows 2000 Server or Professional:

22.2.1.2 Windows 2000 Server or Professional:

1. On the taskbar, click Start, click Settings, and then click Control Panel.

2. Select Add/Remove Programs, and then choose Add/Remove Windows Components.

3. In the Windows Component Wizard dialog box, if Internet Information Services (IIS) is checked, IIS is installed on your computer.

4. If not, you could install the IIS from here if you have the Windows 2000 Installation CD.

5. Click on Internet Information Services (IIS)and then click Details.

6. In the Subcomponents of IIS dialog box, if World Wide Web Server is checked, the WWW Service is installed on your computer.

7. If not, you could install the WWW Service from here if you have the Windows 2000 Installation CD.

8. Close Add/Remove Windows Components, and then close Control Panel.


24.2.1.3 Windows XP Professional:

22.2.1.3 Windows XP Professional

1. On the taskbar, click Start, and then click Control Panel.

2. Select Add or Remove Programs, and then choose Add/Remove Windows Components.

3. In the Windows Component Wizard dialog box, if Internet Information Services (IIS) is checked, IIS is installed on your computer.

4. If not, you could install IIS from here if you have the Windows 2000 Installation CD.

5. Click on Internet Information Services (IIS)and then click Details.

6. In the Subcomponents of IIS dialog box, if World Wide Web Server is checked, the WWW Service is installed on your computer.

7. If not, you could install the WWW Service from here if you have the Windows XP Installation CD.

8. Close Add/Remove Windows Components, and then close Control Panel.


24.2.1.4 Any other version of Windows (XP Home, 98, ME, CE)

24.2.1.4 Any other version of Windows (Vista Home, XP Home, 98, ME, CE)

IIS cannot be installed on Windows Vista Home, XP Home, Win 98, or Win ME. No further action is necessary. These cannot be a Project Node or SCADA node. These can be Clients.


22.2.1.4 Any other version of Windows (XP Home, 98, ME, CE)

22.2.1.5 Windows Vista Business and Windows Vista Ultimate

IIS is disabled by default in Windows Vista. For those of you who wish to use WebAccess Project Node on Windows Vista, please enable IIS on your project nodes first with following IIS features turned on before installing WebAccess Project Node software.

Note - Windows Vista Home is not supported as a Project Node or SCADA node! Do not try to install WebAccess SCADA Node or Project Node software on Windsows Vista Home Basic or Home Premium.

To enable IIS in Windows Vista Business:

1. Start -> Control Panel -> Programs -> Programs and Features

2. On the left Side Bar select “Turn Windows features on or off”

3. Wait for the Windows Features dialog box to open and fill, then expand “Internet Information Services”.

In case the above JPEG images does not appear in this, the typical settings for IIS in Vista for use with WebAccess on the Project Node as tested are:

Internet Information Services – ON

FTP Publishing Service – OFF (optionally ON, not needed and is security risk)

Web Management Tools – ON

IIS 6 Management Compatibility - ON

IIS 6 Management Console – OFF

IIS 6 Scripting Tools – OFF

IIS 6 WMI Compatibility – OFF

IIS Meta base and IIS 6 configuration compatibility – ON

IIS Management Console – ON

IIS Management Scripts and Tools – OFF

IIS Management Service - OFF

World Wide Web Services - ON

Application Development Features – ON

.NET Extensibility – OFF

ASP – ON

ASP.NET – OFF

CGI – OFF

IASPI Extensions – ON

IASPI Filters – OFF

Server Side Includes - ON

Common Http Features – ON

Default Document – ON

Directory Browsing – ON

Http Errors – ON

Http Redirection - ON

Static Content - ON

Health and Diagnostics – ON

Custom Logging – OFF

HTTP Logging – ON

Logging Tools – OFF

ODBC Logging – OFF

Request Monitoring – ON

Tracing - OFF

Performance Features – ON

Http Compression Dynamic – ON

Static Content Compression - On

Security - ON

Basic Authentication - OFF

Client Certificate Mapping Authentication - OFF

Digest Authentication - OFF

IIS Client Certificate Mapping Authentication - OFF

IP Security - OFF

Request Filtering - ON

URL Authorization - OFF

Windows Authentication (optional ON, usually OFF)


24.2.2 How to Install the IIS (Internet Information Services)

Windows XP Professional, Windows 2000 or Windows 2003.

You will need the Installation CD to match your installation of Windows XP Professional, Windows 2000 or Windows 2003.

IMPORTANT - Re-install Service Packs after adding a Windows Component!

1. Log on to the computer as an administrator.

2. Click Start, and then click Control Panel.

3. Double-click Add or Remove Programs, and then click Add/Remove Windows Components.

4. In the Windows Components Wizard, under the Components list, click Internet Information Services.

5. In the Windows Components Wizard, click Next. The Windows Components Wizard displays the Configuring Components screen with a status bar that displays the progress of the configuration. If you are prompted, insert the Windows XP CD-ROM into the CD-ROM drive.

6. When Setup is complete, the Completing the Windows Components Wizard screen is displayed. Click Finish to close the wizard.

7. Download and install the latest service pack. Adding a Windows Component overwrites some service pack files and lacks files from the service pack update resulting in a potentially corrupt operating system or non-functional features.

RE-INSTALL SERVICE PACK AFTER ADDING A WINDOWS COMPONENT!

Windows Vista Business and Windows Vista Ultimate

IIS is disabled by default in Windows Vista. For those of you who wish to use WebAccess Project Node on Windows Vista, please enable IIS on your project nodes first with following IIS features turned on before installing WebAccess Project Node software.

Note - Windows Vista Home is not supported as a Project Node or SCADA node! Do not try to install WebAccess SCADA Node or Project Node software on Windsows Vista Home Basic or Home Premium.

To enable IIS in Windows Vista Business:

1. Start -> Control Panel -> Programs -> Programs and Features

2. On the left Side Bar select “Turn Windows features on or off”

3. Wait for the Windows Features dialog box to open and fill, then expand “Internet Information Services”.

In case the above JPEG images does not appear in this, the typical settings for IIS in Vista for use with WebAccess on the Project Node as tested are:

Internet Information Services – ON

FTP Publishing Service – OFF (optionally ON, not needed and is security risk)

Web Management Tools – ON

IIS 6 Management Compatibility - ON

IIS 6 Management Console – OFF

IIS 6 Scripting Tools – OFF

IIS 6 WMI Compatibility – OFF

IIS Meta base and IIS 6 configuration compatibility – ON

IIS Management Console – ON

IIS Management Scripts and Tools – OFF

IIS Management Service - OFF

World Wide Web Services - ON

Application Development Features – ON

.NET Extensibility – OFF

ASP – ON

ASP.NET – OFF

CGI – OFF

IASPI Extensions – ON

IASPI Filters – OFF

Server Side Includes - ON

Common Http Features – ON

Default Document – ON

Directory Browsing – ON

Http Errors – ON

Http Redirection - ON

Static Content - ON

Health and Diagnostics – ON

Custom Logging – OFF

HTTP Logging – ON

Logging Tools – OFF

ODBC Logging – OFF

Request Monitoring – ON

Tracing - OFF

Performance Features – ON

Http Compression Dynamic – ON

Static Content Compression - On

Security - ON

Basic Authentication - OFF

Client Certificate Mapping Authentication - OFF

Digest Authentication - OFF

IIS Client Certificate Mapping Authentication - OFF

IP Security - OFF

Request Filtering - ON

URL Authorization - OFF

Windows Authentication (optional ON, usually OFF)


24.2.3 Confirm Web service is running on project node

On the Project Node (the Web Server), in Windows 2000

1. Start -> Settings-> Control Panel -> Administrative Tools -> Internet Services Manager

2. Click on the Computer name of your Project node web server.

3. Default Web Site should appear and state should be running.

4. If the Web Site says “Stopped”, right click on the Web Site icon and in the menu that appears click on START.

Figure 22.6 - Internet Information Services Manager (IIS)

If Web Site or Internet Information Service does not appear, you will have to use Windows 2000 Setup and the Microsoft Windows 2000 Installation CD to install the IIS (Internet Information Services), the Web Server software in 2000 and XP.


24.2.4 Confirm HTML works there- Project Node

1. On the Project Node's taskbar, click Start, and then click Run.

2. In the Run dialog box, type NotePad

3. Copy and Paste or type the following text into Note Pad.

HTML is Working!

4. Select Save AS and then browse to drive:\Inetpub\wwwroot (e.g. C:\Inetpub\wwwroot) or wherever you web browser root folder is located.

5. For a File name, enter Test1.txt.

6. Press the SAVE key.

7. Open Internet Explorer on the Project Node

8. Enter http://localhost/test1.txt

9. You should see "HTML is Working!".

If the error "file not found" occurs, then IIS may be using another directory of its root. Try:

Start -> Control Panel -> Administrative Tools ->Internet Information Services

Expand the Tree

Right click on "Default Web Site"

Select Properties

Select "Home Directory Tab". This should list the path of the directory used by IIS. Try copying the verfiy.asp to this location and repeat the test.

Also verify the following on the Home Directory Tab:

- A directory located on this computer
- Read
- Execute Permissions (at least "Scripts Only" )
- Application Protection: Medium Pooled

IF HTML does not work, there are only two other options:

1) Try reinstalling IIS and the Service Pack.

2) Re-install Windows.


24.2.5 Verify ASP is working on the Project Node

If you cannot connect to the Project Manager or cannot see anything other than the Welcome Page, then it is possible ASP (Active Server Pages) is not working on the Project Node.

24.2.5.1 Open IIS Help.

1. Open Internet Explorer 6.0 on the Project Node.

2. Enter http://localhost/localstart.asp.

"Getting Started with Internet Information Services" should open in a web browser window.

IIS Help uses ASP. If it is working then ASP is working.

It is possible that someone took some short-cuts will installing IIS and did not install the Help Files for IIS (not a good sign). So go to the next step 4.2.13.2 Create a test ASP page if IIS help did not open.

22.2.5.2 Create a test ASP page

1. On the Project Node's taskbar, click Start, and then click Run.

2. In the Run dialog box, type NotePad

3. Copy and Paste the following text into Note Pad.

<%@ Language="VBScript" %>

<% Option Explicit %>

<!-- This page should display "ASP is working!" -->

<HTML>

<HEAD>

<TITLE>ASP Test Page</TITLE>

</HEAD>

<BODY>

<% Dim TestString %>

<% TestString = "ASP is Working!" %>

<H1>

<% Response.Write TestString %>

</H1>

</BODY>

</HTML>

4. Select Save AS and then browse to drive:\Inetpub\wwwroot (e.g. C:\Inetpub\wwwroot) or wherever you web browser root folder is located.

5. For a File name, enter Verify.asp (remember the .ASP extension) and select "All Files" from the pull down list.

6. Press the SAVE key.

7. Open Internet Explorer on the Project Node

8. Enterhttp://localhost/verify.asp

9. You should see "ASP is Working!".

If the error "file not found" occurs, then IIS may be using another directory of its root. Try:

Start -> Control Panel -> Administrative Tools ->Internet Information Services

Expand the Tree

Right click on "Default Web Site"

Select Properties

Select "Home Directory Tab". This should list the path of the directory used by IIS. Try copying the verfiy.asp to this location and repeat the test.

Also verify the following on the Home Directory Tab:

- A directory located on this computer
- Read
- Execute Permissions (at least "Scripts Only" )
- Application Protection: Medium Pooled

IF ASP still does not work, there are only two other options:

1) Try reinstalling IIS and the Service Pack.

2) Re-install Windows.


22.2.5 Check Security of wwwroot folder

22.2.6 Check Security of wwwroot folder

1. Start Windows Explorer (Right Click on Start -> Explore).

2. Browse to the wwwroot folder. Typically it is located at C:\Inetpub\wwwroot

3. Right Click on wwwroot subdirectory

4. Select Properties

5. Select Security

6. Add Authenticated Users - give them Full control. This ensures that Advantech WebAccess software can create the deploy file. This will also allow users that are part of your Intranet or LAN that are either in the same domain or a User in Windows security to read the deploy file.

If you have users that are outside you Intranet and domain, Add ANONYMOUS LOGON - give them Read & Execute (or at least List and Read).

If you are letting IIS control security, add the Internet Guest Account for your computer should be there with Read & Execute.

If Everyone can access wwwRoot, it is recommend to remove Everyone. If everyone is Read & List, then that means authenticated users will not be able to create the deploy file (including Advantech WebAccess Project Node ASP files). The most restrictive rule applies in Windows Security.

For more information on Security Setting for your Web Server please refer to section 1.6.7 Web Server Security in this manual or the Security Section in the Engineering and Configuration Manual


24.2.7 What is a Firewall and TCP Port?

If your connection to the Advantech WebAccess DRAW or VIEW fails, but connection to the Configuration Manager worked, then a firewall is the most likely reason.

A Firewall restricts the flow of data onto a network; it is a method of network security. Many corporations use firewalls. If your connection is through a firewall, you will need to have your network administrator open two TCP ports for you to use the DRAW or VIEW features in Advantech WebAccess. You should be able to use the Configuration Manager without having TCP ports opened for you. This only applies if you are connecting through the firewall. If all your Advantech WebAccess Clients and SCADA nodes are inside the firewall, you can ignore this. The TCP ports are set on the SCADA node. You can see the TCP Ports listed in the Project Manager described in Section 1. Note that 0 means the default ports numbers are used (80 for HTTP Port, 4592 for Primary and 14592 for Secondary).


24.2.8 Disable Internet Connection Firewall in XP

1. Open Network Connections (Click Start, click Control Panel, and then double–click Network Connections.)

2. Click the Dial–up, LAN or High–Speed Internet connection that you want to protect, and then, under Network Tasks, click Change settings of this connection.

3. On the Advanced tab, under Internet Connection Firewall, select one of the following:

· To enable Internet Connection Firewall (ICF), select the Protect my computer and network by limiting or preventing access to this computer from the Internet check box.

· To disable Internet Connection Firewall, clear the Protect my computer and network by limiting or preventing access to this computer from the Internet check box. This disables the firewall; your computer and network are then vulnerable to intrusions.

Enable Internet Connection Firewall

Alternatively, use update to update your project to match the new remote access code entered during the install. This might be faster if you are the only user.


24.2.9 Script Timeout Error

22.2.9 Script Timeout Error

Problem:

Script Timeout Error occurs when downloading, starting, database integrity check or other sections

Possible Causes:

Slow communications, lots of traffic or large databases

The default timeout in IIS is 30 seconds. This is the time the Web Server waits for scripts to complete. Large databases, slow communications or traffic may require longer time for Advantech WebAccess ASP scripts to complete

Solution:

Increase Script Timeout Interval on your web server (IIS)

1. You can increase the time that is allowed to process ASP scripts for a particular Web site. To do this, change the metabase value in Internet Information Server (IIS):

a. Open Internet Services Manager.

b. Expand the tree and right-click Default Web Site (or the site that has the problem).

c. Click Properties.

d. Click the Home Directory tab.

e. Under Application Settings, click Configuration.

f. Click the App Options tab.

g. Increase the ASP Script Timeout value to a number high enough to prevent script timeouts.

- or -

2. You can increase the time allowed to process ASP scripts for all Web sites. To do this, change the metabase value in IIS:

a. Open Internet Services Manager.

b. Right-click the name of your computer.

c. Click Properties.

d. In Master Properties, select WWW Service, and then click Edit.

e. Click the Home Directory tab.

f. Under Application Settings, click Configuration.

g. Click the App Options tab.

h. Increase the ASP Script Timeout value to a number high enough to prevent script timeouts.


24.2.10 Determine User's Security Privileges

1) Open the Control Panel (Click on Start->Settings->Control Panel).

2) Double Click on Administrative Tools.

3) Double Click on Computer Management.

4) Click on Local Users and Groups.

5) Click on Users.

6) Double Click on Users.

7) From the List, Right Click on Your User Name.

8) From the popup menu, Click on Properties.

9) From the Properties box, Click on the Member Of tab.

Figure 22.7 - Windows 2000 User Security - Power User required to run Advantech WebAccess Client

If it lists Power Users (see Figure 22.7), you are a Standard User and can install and run Advantech WebAccess Client.

If it lists Users (see Figure 22.8), you are a Restricted User and cannot install and cannot run Web Access Client. Contact you system administrator and ask to be changed to a Power User.


24.2.11 PING to test TCP/IP communications

PING is a method of testing communications from your computer to the Advantech WebAccess Project or SCADA node. It is built into Microsoft Operating Systems and just sends a short message to the target machine. It gets a reply back if TCP/IP communications are working.

You can PING from the Command Prompt.

1) Start -> Programs -> Accessories -> Command Prompt

2) Then type:

PING ipaddress

You can also ping localhost and ping computer name.
For example: ping yahoo.com

To ping the Live Demo's IP address, type: PING 67.94.27.175

You can also ping a registered URL or valid TCP/IP host name (i.e. computer name). To ping the Live Demo's URL, type: PING demo.Advantech.com


24.2.13 Verify Default.ASP set in IIS (web Server)

1. Open the Control Panel (Start -> Settings -> Control Panel) .

2. Open Administrative Tools.

3. Open Internet Services Manager.

4. Click on the Computer name to expand the list.

5. Right Click on Default Web Site.

6. Select Properties.

7. Select Documents tab

8. Verify that DEFAULT.ASP is at the top of the list. This is the page used by Advantech WebAccess.

9. If Default.ASP is missing. Use ADD.


22.2.4 Check the deploy file on the Project Node.

22.2.14 Check the deploy file on the Project Node.

From the Project Node, opened on your project node you should see a directory of folder named Advantech.

1. Start Windows Explorer (Right Click on Start -> Explore).

2. Browse to the Broadweb folder. Typically it is located at C:\Inetpub\wwwroot\broadweb

3. The deploy file should be listed there (projectname.dpj).

If you can not open the folder or it does not exist, then the Directory Security on the folders in drive:Inetpub\wwwroot are set to either read only or other setting that prevents the web access software from creating the deploy file.


22.2.6 Changes not downloaded to SCADA node

22.2.15 Changes not downloaded to SCADA node

Symptom

Adding new Tags, new Users or change existing Tags and Users in Advantech WebAccess Configuration, then Download to SCADA node, the changes don't appear on the SCADA node.

Cause

The creation of the run-time database (ARRANGE) is being interrupted.

Diagnostic

To verify the security settings on the ARRANGE subfolder:

1. Open Windows Explorer (Right Click Start -> Explore).

2. Browse to Drive:\WebAccess\Node\arrange

3. Click on Arrange.

4. Verify that there is a subdirectory with your projectname_nodename.

5. Verify that the files in those subdirectories have today's date.

No subdirectories or old file dates in the ARRANGE subfolder

If there are no files in the project subfolder or the File Dates are old, the security setting on Drive:\WebAccess\Node\arrange is set to either Read-Only or denies access by the software.

1. Right Click on the Arrange folder

2. Select Properties

3. Select the General tab

4. Verify the folder is NOT Read Only

5. Select the Security tab.

6. Verify that Authenticated Users have Full Control

7. If not Add Authenticated Users with Full Control.

8. Click OK.

Access Denied to the ARRANGE subfolder

If you get "Access Denied" to the Arrange folder, the ownership of the Arrange subdirectory is incorrect or corrupt.

1. Right Click on the Arrange folder

2. Select Properties

3. Select the Security Tab

4. Select the Advanced Button at the bottom of the Security Tab.

5. Select the Owner tab

6. Select Take Ownership of this folder

7. Select OK

8. From Security Tab, Verify that Authenticated Users have Full Control

9. If not Add Authenticated Users with Full Control.

10. Click OK

Problem: Download Graph from Advantech WebAccess Icon does not work. Graphics and scripts not update.

Possible Causes:

1. UNDERSCORE used in Project Name.

Advantech WebAccess appends the ProjectName_NodeName using and underscore. If you use an underscore in the Project name, Advantech WebAccess gets confused and will interpret the characters before the underscore (_) as the project name.

2. Remote Access Code mismatch. This occurs frequently when Advantech WebAccess is reinstalled and either an incorrect or no remote Access code was entered the second time.

Solution:

1. Rename Your Project.

2. Re-install Advantech WebAccess with correct remote access code. This is recommended if you have many users using this SCADA node to save time in notifying them all.

Alternatively, use update to update your project to match the new remote access code entered during the install. This might be faster if you are the only user.


24.3 Email

22.3 Email (Not supported by WinCE)

SMTP (Simple Mail Transport Protocol) is how email is sent. Troubleshooting SMTP is difficult because of security concerns about Spam. Most email servers limit who can send email in order to prevent spam or a so-called "Open Relay".

A quick overview of the default method to send email in Advantech WebAccess is:

a. The Advantech WebAccess SCADA Node software act as an SMTP client.

b. The Project Node is the first SMTP Server (also called Host) contacted by the SMTP client. The Project Node needs to have IIS with the SMTP Service Installed.

If you are sending email locally on your domain only, then these two steps are probably all you need to do. The domain is the @companyname.com part if the email address. For example A computer that is part of the Advantech.com domain can send email to any email server that is in the Advantech.com domain without contacting a smart server.

c. If you are sending email outside of your domain, this is called "Relay". The SCADA Node address, as specified in node properties, must be added to the list of addresses that can "Relay" in the SMTP Service on the Project Node.

d. The SMTP Service on the Project Node must be able to relay to at least one SMART HOST on the internet. The default is to configure a Smart Host in the SMTP Service on the Project Node and to use the Outbound Security of the SMTP Service to specify a user name and password to connect to the Smart Host.

Here are my steps to troubleshooting email assuming the default method above:

Step 1 - Examine the bwmail.log

Advantech WebAccess keeps a log also called BWMAIL.LOG. It is on the SCADA node at drive:\WebAccess\Node\Projectname_Nodename\bwmail.log

Typically it is:

C:\WebAccess\Node\Projectname_Nodename\bwmail.log

This is a text file that can be opened by notepad. It only lists errors.

Bwmail.log is empty or no recent errors

If it is empty, then there was no error in sending the email to the Outbound SMTP Server. (I.e. the Advantech WebAccess SMTP Client had no problems connecting with the first Email Server, which is usually the Project Node). If there are not errors here, you need to go to the Outbound SMTP Server or Host. To determine address is used as the Outbound SMTP Server or Host, see Step 2 below

Unable to relay

If you get the unable to relay message in bwmail

Time:10/13/2006 15:59:32

Subject:Advantech WebAccess sends emails to pagers, managers and others.

From:Advantech WebAccess@Advantech.com

To:carter@Advantech.com {}

Cc:tim@Advantech.com

Bcc:{}

Host:67.94.27.175

Port:25

Status:ERROR: bad response `550 5.7.1 Unable to relay for carter@Advantech.com ', wanted: `25[01]'

1) You need to see if the SCADA Node is authorized to relay on the Outbound SMTP Server or Host. To determine what is used as the Outbound SMTP Server or Host, see Step 2 below. Note that all the addresses are in the same domain in the above error (Advantech.com).

2) Verify the SMART HOST and Outbound Security's user name and password are correct.

Step 2 - OutBound SMTP Server or Host

The way Advantech WebAccess uses email for alarms and reports are almost identical. The first SMTP Host contacted by the SCADA Node is specified in OUTBOUND SMTP SERVER in SCADA Node Properties. See OUTBOUND SMTP SERVER in SCADA node properties. It is recommend that you use the Project Node's address as the OUTBOUND SMTP SERVER, unless you have other reasons and know that an SMTP client on the SCADA node can connect directly to whatever OUTBOUND SMTP server you are using (i.e. without a password).

If you are debugging Email reports or Email Alarms, go to the OUTBOUND SMTP SERVER listed in SCADA Node Properties and examine the SMTP SERVICE configuration.

Scripts and Keymacros differ from alarms and reports in that the default SMTP host is always the Project Node, unless specified in the MAIL HOST command is used.

If you are debugging Email reports or Email Alarms, go to the OUTBOUND SMTP SERVER listed in MAIL HOST of your script or keymacro, otherwise, go to the Project Node and examine the SMTP SERVICE configuration.

Step 3 - OUTBOUND SMTP SERVER - SMTP Service

If you are following the default recommendations, this should be the Project Node.

The SMTP Service configuration in Windows 2000 Pro and Server, XP Professional or Server 2003 can be opened using

1. Start-> Settings-> Control Panel-> Administrative Tools

2. Select Internet Service Manager

3. Select the name of the computer to expand the tree

4. Right Click on SMTP Virtual Server

5. Select Properties

Relay

From Properties,

6. Select the Access tab

7. Select the Relay Button

The SCADA Node's address should be listed as enabled to Relay. It must be listed in the subnet format similar to that Listed in or Host. For example, if the Outbound host is contacted using a public IP Address (e.g. 67.94.27.175), then the SCADA node should be listed using it's public address. If the SMTP Service is contacted using a private address (e.g. 10.0.0.175) then the SCADA node should be listed using it's private IP address. If the loopback service is used (127.0.0.1) then 127.0.0.1 should be listed.

Use your IP Addresses, not the ones listed this example.

If you allow Anonymous Authentication, Do not select "Allow all computers which successfully authenticate to relay". This will make your computer an Open Relay and you will be hacked and used to send SPAM. DO NOT SELECT "Allow all computers which successfully authenticate to relay".

Select OK

Authenticate

You need some method to authenticate (i.e. lo gon). The defaults should work: Antonymous and Integrated Windows Authentication.

From Properties

8. Select the Authentication button

Select OK

Delivery - Outbound Security

For a thorough discussion see 22.3.1 Smart Host

9. Select Properties

10. Select the Delivery Tab

11. Select the Advanced button

12. Under Smart Host, type the address of your SMTP mail server.

This can be an IP Address or the URL (e.g. mail.company.com). You will need to get the exact name from your System Administrator. This is usually the same server name used to setup an ordinary email account. You can use mail.Advantech.com for testing, but you will need to contact support@Advantech.com for the password of an account to log in with.

Enable "Attempt direct delivery before sending to smart host" if you are sending mail to other computers on the same LAN or intranet.

9. Select OK to close the Advanced Delivery dialog box.

10. Select the Outbound Security Button.

11. Select Basic authentication.

12. Enter the Username for the email account. For example: bwuser@Advantech.com

13. The Enter the Password. For example: bwuser4592. If you are using mail.Advantech.com, you will need to contact support@Advantech.com for the password. The password for mail.Advantech.com changes periodically to reduce it's use by spammers

14. Select OK.

15. Select OK a second time to close the default SMTP Server applet.

If the above doesn't work, then try examining the SMTP Logs. (Step 4)

Step 4 - SMTP Logs on OUTBOUND SMTP SERVER or Host

If you are using the default recommendations, the OUTBOUND SMTP SERVER or Host is the Project Node.

Verify Logging is enabled and the path to the logs.

On the OUTBOUND SMTP Server (typically the project node),

1. Start-> Settings-> Control Panel-> Administrative Tools

2. Select Internet Service Manager

3. Select the name of the computer to expand the tree

4. Right Click on SMTP Virtual Server

5. Select Properties

6. Select the General Tab

7. Verify Enable Logging is checked.

8. Select Properties button,

9. Select General Properties Tab.

10. Verify the path

11. Select Extended Properties tab, and make sure most fields are checked for logging especially protocol status.

Select OK

View SMTP Logs on OUTBOUND SMTP SERVER

If you are using the default recommendation, the OUTBOUND SMTP Server is the Project Node. Look at the SMTP Logs on whatever OUTBOUND SMTP Server you are trying to use.

The logs, by default are at C:\WINDOWS\system32\Logfiles\SMTPSVC1

However, you should have verified the logs are enabled and their location in step 6 and step 9 above.

If you see the IP address of the SCADA node connecting with all code 250 and DAT or BDAT with code 250, and you see an OUTBOUND connection, then it is successfully receiving email from the SCADA node and forwarding it to the Smart Host. The problem is not here, you need to examine similar logs on your smart host.

If you do not see an OUTBOUND connection to the destination, then this SMTP server is not forwarding the email. Maybe the Outbound Security on this SMTP server uses the wrong SMART HOST, User name or password.

If you see 550 or 500 or 554 when the SCADA node tries to connect, then the SMTP server is rejecting the SCADA node due to security. Possible causes are:
SCADA Node not listed in list of IP Addresses allowed to relay.
SCADA node Address is wrong subnet or format in the list authorized to relay

Example of successfully message in SMTP Logs:

1) Note the pattern EHLO, MAIL, RCPT, DATA, QUIT all with a 250 code.

2) If sending outside your domain, there should be an Outbound connection with a similar pattern EHLO, MAIL, RCPT, DATA ( or BDAT), QUIT all with a 250 or other 200 code

00:58:26 67.94.27.177 tuna TUNA 67.94.27.177 EHLO - +tuna 250 0 196 9 0 - - -

00:58:26 67.94.27.177 tuna TUNA 67.94.27.177 MAIL - +FROM:<Advantech WebAccess@Advantech.com> 250 0 47 34 0 - - -

00:58:26 67.94.27.177 tuna TUNA 67.94.27.177 RCPT - +TO:<user1@sbc.net> 250 0 40 37 0 - - -

00:58:26 67.94.27.177 tuna TUNA 67.94.27.177 DATA - <TUNAhKkvAUeMo6kKqtD00000018@tuna.Advantech.com> 250 0 130 758 110 - - -

00:58:26 67.94.27.177 tuna TUNA 67.94.27.177 QUIT - tuna 0 125 130 758 110 - - -

00:58:26 - OutboundConnectionResponse TUNA - - - 220+mail.Advantech.com+Microsoft+ESMTP+MAIL+Service,+Version:+6.0.3790.1830+ready+at++Mon,+16+Oct+2006+17:57:56+-0700+ 0 0 117 0 0 - - -

00:58:26 mail.Advantech.com OutboundConnectionCommand TUNA - EHLO - tuna.Advantech.com 0 0 4 0 16 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 250-mail.Advantech.com+Hello+[67.94.27.177] 0 0 42 0 16 - - -

00:58:26 mail.Advantech.com OutboundConnectionCommand TUNA - AUTH - - 0 0 4 0 16 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 334+UGFzc3dvcmQ6 0 0 16 0 16 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 235+2.7.0+Authentication+successful. 0 0 36 0 235 - - -

00:58:26 mail.Advantech.com OutboundConnectionCommand TUNA - MAIL - FROM:<Advantech WebAccess@Advantech.com> 0 0 4 0 16 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 250+2.1.0+Advantech WebAccess@Advantech.com....Sender+OK 0 0 45 0 235 - - -

00:58:26 mail.Advantech.com OutboundConnectionCommand TUNA - RCPT - TO:<user1@sbc.net> 0 0 4 0 235 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 250+2.1.5+user1@sbc.net+ 0 0 31 0 235 - - -

00:58:26 mail.Advantech.com OutboundConnectionCommand TUNA - BDAT - 1070+LAST 0 0 4 0 235 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 250+2.1.0+Advantech WebAccess@Advantech.com....Sender+OK 0 0 45 0 16 - - -

00:58:26 mail.Advantech.com OutboundConnectionCommand TUNA - QUIT - - 0 0 4 0 485 - - -

00:58:26 mail.Advantech.com OutboundConnectionResponse TUNA - - - 221+2.0.0+mail.Advantech.com+Service+closing+transmission+channel 0 0 64 0 485 - -


24.3.1 Smart Host

24.3.1 Smart Host -SMTP email account

See OUTBOUND SMTP SERVER in SCADA node properties. It is recommend that you use the Project Node's address as the OUTBOUND SMTP SERVER, unless you have other reasons and know that an SMTP client on the SCADA node can connect directly to whatever OUTBOUND SMTP server you are using (i.e. without a password).

The SMART HOST is an SMTP Sever (usually via an account with password) that the Project Node connects with to deliver email outside the local domain. Usually this is a corporate email account supplied by your IT Department. It is similar to setting up an email server in Outlook Express or Eudora email clients. Use the same SMTP server, account name and password.

In order for the Project Node to send emails outside of your local domain, it must be recognized by a computer that is part of the Internet, a so-called "Smart Host". Typically, this would be your company's email SMTP server or your Internet Service Provider (ISP). If you want to send email outside the local LAN, the easiest way is use an email account and log in with a password.

To use your company email server or an ISP, you need to modify this to add the SMTP server name of your company or ISP, an email account user name and password on the Project Node. It is recommended to use the Project Node as the SMTP Server for all the SCADA nodes; this way you only need to modify this account information on one PC.

Note - You could use you personal email account if your ISP allows relay from outside their domain.

During Installation of Advantech WebAccess software on the Project Node, Advantech WebAccess uses mail.Advantech.com as the default SMART host unless you specified a different SMART HOST that is part of the world wide web of email servers.

The default account used by Advantech WebAccess is:
Smart Host: mail.Advantech.com
Basic Authentication:
User Name: bwuser@Advantech.com
Password: ************Call or email Advantech for the password .

You should use your own email account. The above accounts can't be guaranteed to be permanently accessible since many users will try to use them.

Firewalls that block port 25, the use of private IP addresses and your network may prevent you from using mail.Advantech.com.

You can change the Smart Host address without re-installing software from the Internet Services Manager on the Project Node.

Note - The following changes the default Email Server used by Advantech WebAccess for Email Notification of alarms, <MAIL> keymacro and MAIL script command. To temporarily use a different email server in a Keymacro or Script see <MAIL>HOST keymacro or MAIL host Action command in the Engineering Manual

To Modify Email Server (Smart Host) after Installation of Advantech WebAccess

On the Project Node:

1. Start-> Settings-> Control Panel-> Administrative Tools

2. Select Internet Service Manager

3. Select the name of the computer to expand the tree

4. Right Click on SMTP Virtual Server

5. Select Properties

6. Select the Delivery Tab

7. Select the Advanced button

8. Under Smart Host, type the address of your SMTP mail server.

This can be an IP Address or the URL (e.g. mail.company.com). You will need to get the exact name from your System Administrator. This is usually the same server name used to setup an ordinary email account.

Enable "Attempt direct delivery before sending to smart host" if you are sending mail to other computers on the same LAN or intranet.

9. Select OK to close the Advanced Delivery dialog box.

10. Select the Outbound Security Button.

11. Select Basic authentication.

12. Enter the Username for the email account. For example: bwuser@Advantech.com

13. Enter the Password. For example: bwuser4592

14. Select OK.

15. Select OK a second time to close the default SMTP Server applet.

16. You should stop and restart the SMTP server on the project node to start using the new SMART Host (see step 4).

If the above doesn't work, then try another email account or try connecting to your email account from the project node using Outlook Express or other email client. If your Outlook email client, running on the project node, can't connect to the SMTP server, then neither can Advantech WebAccess.

Other things to look for include:

a. Error messages in drive:\WebAccess\Node\project_nodename\bwmail.log

b. Address mapping if you are using a Firewall (be sure to map the address:25 for port 25 and address:0 if using defaults). See 23.6 BWCLIENT.INI.

c. That your firewall allows port 25 to connect with Project Node.

d. That you specified an address of the Project Node that the SCADA node can connect with (i.e. private IP if both are on the local LAN) in SCADA Node properties. See 3.2.8 Outgoing Email Server - SMTP.


24.3.2 Enable Email Server to Relay messages from Advantech WebAccess

Normal users do not use the procedures described here. This section tells describes how to enable relay on an existing email server. This section describes how your IT department would enable a Project Node to relay through them.

Use the procedures in Section 22.3.1 to connect to an email server using a user account and password.

This section is for reference only.

In order for the Project Node to send emails outside of your local domain, it must be recognized by a computer that is part of the Internet, a so-called Smart Host". Typically, this would be your company's email SMTP server or your Internet Service Provider (ISP).

Many Smart Hosts enable all addresses to relay messages through them. If for some reason your emails are not relayed by your "Smart Host", the system administrator may have restricted who can relay email messages through an SMTP Server. If Advantech WebAccess can send emails to local accounts in the same domain, but not outside its domain, then one option is to add the Project Node to the list of IP addresses that can relay messages through your SMTP Smart Host. (A better option is to use Section 22.3.1 and connect using a user account and password).

Assuming the EMAIL server is Microsoft, to add the Project Nodes IP address to the Mail Server list of nodes allowed to "Relay" messages.

To Modify Email Server to Relay messages from Advantech WebAccess Project Node

On the EMAIL Server computer running Windows 2000 or XP. (Chances are you are giving this section to your system administrator).

To Modify Email Server (Relay)

On the EMAIL SERVER running Windows 2000 or XP

1. Select Start-> Settings-> Control Panel-> Administrative Tools

2. Select Internet Services Manager

3. Select the name of the computer to expand the tree

4. Right Click on SMTP Virtual Server

5. Select Properties

6. Select the Access Tab

7. Select Relay

8. Select ADD

9. Enter the IP Address of the PROJECT NODE

10. Select OK


24.3.3 Scheduled Reports Emails

24.3.3 Troubleshooting Email of Schedule Reports

In order for the Project Node to send Scheduled Report emails outside of your local domain, it must be recognized by a computer that is part of the Internet, a so-called Smart Host. Typically, this would be your company's email SMTP server or your Internet Service Provider (ISP). The settings on the SMART HOST must allow the Project Node to relay messages.

If for some reason your Scheduled Report emails are not relayed by your "Smart Host", you can still find a copy of them, if you are quick enough, on the Project Node. Advantech WebAccess keeps a copy of the last reports emailed.

There are two places to look: 1) drive:\WebAccess\Node (e.g. C:\WebAccess\Node )

and

2) drive:\Inetpub\mailroot ( e.g. C:\Inetpub\mailroot )

1) The first place to look bwMAIL.LOG

Advantech WebAccess keeps a log also called BWMAIL.LOG. It is on the SCADA node at drive:\WebAccess\Node\Projectname_Nodename\bwmail.log

Typically it is:

C:\WebAccess\Node\Projectname_Nodename\bwmail.log

This is a text file that can be opened by notepad. It only lists errors. If it is empty, then there was no error in sending the email to the Outbound SMTP Server.

2) The second place to look - the SMTP Log of Outbound SMTP server

Look at SCADA Node Properties, and find the address of the OUTBOUND SMTP Server. Usually, this is the Project Node.

You will need to go to the Outbound SMTP server and look at the SMTP logs. It is possible that SMTP logging is not enabled. If that is the case, you will need to enable logging on the SMTP server.

The logs, by default are at C:\WINDOWS\system32\Logfiles\SMTPSVC1

To enable logging:

Start -> Control Panel ->Administrative Tools -> Internet Information Services

Expand the computer in the left panel to see tree

Right Click on Default SMTP Server

Select Properties

Select General Tab

Check Enable Logging

Verify the Path

Select Properties, then Extended Properties, and make sure most fields are checked for logging especially protocol status

If you see 550 or 500 or 554 when the SCADA node tries to connect, then the SMTP server is rejecting the SCADA node due to security or it's on a block list.

If you see the IP address of the SCADA node connecting with all code 250 and DAT or BDAT with code 250, and you see an OUTBOUND connection, then it is successfully receiving email from the SCADA node. If you do not see an OUTBOUND connection to the destination, then the SMTP Server is not authorized to connect. Maybe the Outbound Security on this SMTP server uses the wrong SMART HOST, User name or password.

3) The third place to look

On the Project Node the most recent copy of each report emailed is at drive:\WebAccess\Node

There are several *.htm files here. Some of these are the Video cameras, but the Scheduled reports are htm files also. The Scheduled reports are named with the htm extension as follows:

SR1_N1_R1_S1.htm Node 1 Report 1 shift 1

SR1_N1_R1_S2.htm Node 1 Report 1 shift 2

SR1_N1_R1_S3.htm Node 1 Report 1 shift 1

SR1_N1_R1_D.htm Node 1 Report 1 Daily report

SR1_N1_R1_M.htm Node 1 Report 1 Monthly report

SR1_N1_R2_S1.htm Node 1 Report 2 shift 1

SR1_N1_R2_S2.htm Node 1 Report 2 shift 2

etc.

The numbering is based on the order the reports were created.

Advantech WebAccess will overwrite these reports files each time it is generated. For example, the monthly report file is for last month.

4) The fourth place to look

If you are not quick enough and depending on the SMTP settings, Microsoft also keeps a copy of these scheduled reports emails also. If you can't find them in the Advantech WebAccess directory, try looking in all the subdirectories of

drive:\Inetpub\mailroot

The scheduled report emails first go to

C:\Inetpub\mailroot\Queue

They wait in the Queue for a period determined by your SMTP mail server settings. Then go to

C:\Inetpub\mailroot\Badmail

Bad mail gets deleted also, depending on the settings. I

These files can be opened with Outlook or Outlook Express. (Right Click o

5) Troubleshooting SMTP

For more help in determining the SMTP settings on the Project Node, open Internet Explorer and type:

file:\\%systemroot%\help\mail.chm

Assuming the EMAIL server is Microsoft, to add the Project Nodes IP address to the Mail Server list of nodes allowed to "Relay" messages.


24.4.1 No Icon in Taskbar (Webvrpcs.exe won't start)

After reboot, you should see the Advantech WebAccess Icon [image] in the taskbar next to the system clock on the SCADA Node and Project Node.

Figure 22.9 - Task bar Icon - SCADA and Project Nodes

There should be a shortcut in the All-Users Start-up folder that starts webvrpcs.exe. A TCP Port that is used by another application can prevent the web RPC services from starting.


24.4.1.1 Check Task manager - webvrpcs.exe

Check Task Manager to determine if webvrpcs.exe is running (and the icon is somehow hidden)

1. Right click the taskbar. Select Task Manager (or Ctrl-Alt-Del -> Task Manager.

2. Select the Processes tab.

3. Select Image Name to arrange alphabetically.

4. Verify if webvrpcs.exe is running.

Figure 22.10 - Task Manager - Webvrpcs.exe - icon in taskbar

If webvrpcs.exe is running, you will be able to connect through a web browser. If webvrpcs.exe is running, then your taskbar is hiding the icon. Can you see the clock on your taskbar? Is the taskbar hidden? Is the display resolution and other settings of your video adapter correct for your CRT display?

If Webvrpcs.exe is NOT running, try to start it manually. There should be a shortcut in the Startup folder.

Start -> All Programs -> Startup -> Advantech WebAccess Network Service

If not, you should add one to drive:\WebAccess\Node\Webvrpcs.exe.


24.4.1.2 Start webvrpcs.exe manually

1. Go to drive:\WebAccess\Node
(typically C:\WebAccess\Node)

2. Double click on Webvrpcs.exe

3. If the icon appears in the taskbar and Webvrpcs.exe appears in the Task Manager, then possible causes of Webvrpcs not starting automatically are:

a. The short cut in the Start-up folder is missing

b. The short cut is incorrectly configured (to wrong path)

c. A security setting on shortcut or webvrpcs.exe prevents it from running.

If webvrpcs.exe fails to start manually, it is often because a TCP Port configured for Advantech WebAccess is incorrectly configured (see the following Section on Wrong TCP ports).


24.4.1.3 Wrong TCP Port prevents Webvrpcs.exe from starting

Even if you accepted the default TCP Ports for Primary and Secondary TCP Ports during installation, you are using TCP Ports 80, 4592 and 14592. The Primary and Secondary Ports, in theory, are not used by anyone else, but there could be another application installed that thought the same. Webvrpcs.exe will not start on the Project or SCADA node if another application is using the Primary and Secondary Ports. The Advantech WebAccess Icon [image] will not appear in the taskbar and you will not be able to start remotely

If the icon fails to appear, and if you have a Firewall or are using Port Mapping, and entered TCP Ports during Advantech WebAccess Node installation, then one of those ports are not free and are used by another application, prevent the web services from communicating (starting).

1. Change the TCP Ports set during installation on the Project and SCADA nodes. These are in a BWSERVER.INI file, which can be edited using note pad. You can also re-install Node software to change them.

2. Login to Project Manager and use UPDATE to change the Ports in the Project Database for the SCADA node and Project Node.

3. Download.

4. Try to start Webvrpcs.exe by double clicking it (from Windows Explorer, C:\WebAccess\Node). If Webvrpcs.exe starts, then you had a TCP Port conflict with another program (e.g. a game, an ActiveX control, a Netscape plug-in, other software with remote access). You should contact your system administrator to obtain a free TCP Port for Advantech WebAccess to use.


24.4.2 Remote Access Code Wrong or Forgotten

If you have forgotten the Remote Access Code using during software installation on the SCADA node, you have two options:

option 1) Re-install the Advantech WebAccess software on the SCADA node to change it and edit your database to match the new code using UPDATE.

OR

Option 2) Edit the BWSERVER.INI file on the SCADA node and edit your database to match the new code using UPDATE.

Hint - if this is a combined SCADA and Project Node, you have to reinstall using the Project & SCADA software option and edit the remote access code in the database for both the project and SCADA node using UPDATE.

Change Remote Access Code without reinstalling Software

You have to make changes in two places, 1) the BWSERVER.INI file and 2) in the Project Manager from the Update. Modifying the bwserver.ini is used instead of re-installing software.

1. Open Explorer. Right Click Start -> Explore

2. Go to drive:\WebAccess\Node
(typically C:\WebAccess\Node)

3. Right Click on bwserver.ini

4. Select Open with…

5. Select Notepad.

6. If you are using a firewall or port mapping and entered alternate TCP ports, try changing them to zero (the default).

[language]

type=1

[nodetype]

type=0

[www]

root=d:\inetpub\wwwroot

[smtp]

smarthost=mail.Advantech.com

port=0

[port]

web_rpc_port=0

web_socket_port=0

[security]

code=remoteaccesscode

The Project Manager uses Primary and Secondary as the terminology for the web_rpc_port and web_socket_port SCADA Node TCP ports. The Project manager calls web_rpc_port the 'TCP Port'.

remember, 0 = default port

web_rpc_port is the Primary TCP port of the SCADA Node and the TCP Port of the Project Node, default = 4592
web_socket_port is the Secondary TCP port of the SCADA node, default = 14592
The Default SMTP port = 25

7. If you accepted the default tcp ports, try changing them to another number (like 5592 and 15592 or any two numbers above 2000 and less 65535). These should match the TCP Port of the Project Node and the Primary and Secondary ports of the SCADA Node in Project Manager under Update and SCADA Node properties.

On a combined Project/SCADA node, the Project TCP Port and the SCADA Primary TCP Port should be the same.

8. You can add a remote access code or change it here (without having to reinstall software. Remember to run UPDATE in the Project manager so the database matched this code.

9. Save the bwserver.ini file

10. Login to Project Manager and use Update to change the Ports in the Project Database for the SCADA node and Project Node.

Important - You must use Update in Project Manager to match the new remote access code and TCP Ports. There at least three places on the Update page to change 1) the Primary and Secondary TCP Ports for the SCADA node and 2) the TCP Port for the Project Node.

11. Download the nodes.

12. Restart the Advantech WebAccess Network Service by either:

Reboot the computer (to restart the Advantech WebAccess Network Service)

or

Manually stop the Webvrpcs.exe (in Task Manager) and Restart the Advantech WebAccess Network Service
(from Start -> All Programs -> Startup -> Advantech WebAccess Network Service).

See also 3.2.7 Remote Access Code and 1.6.4 Advantech WebAccess Remote Access Code.


24.4.3 Discrete Change Dialog Box too many buttons

A Discrete Tag configured as 1 bit (i.e. 2 states) will show more than 2 buttons in the Change Dialog box if the NotUsed descriptor is erased for States 2 to 7.


24.4.4 Data Log Trends do not show any Data

Problem: Data Log Trends seem to not be collecting any history.

Solution:

1. If you only configured a DATALOG group, but did not enable Data Logging for the Tags in your Trend Group, no data will be collected for the Trend Display. You have to enable DATA LOGGING for each TAG using Tag Properties.

2. You should also check that the Deadband for Data Logging is set appropriately. Too large of a Deadband will prevent any data from being logged. Advantech WebAccess collects each tags DATA in a separate file that allows remixing tags on a DATALOG trend without losing past data.

3. Change to Minute, Hour, Day and Second. Verify if one of these are collecting Data. If no Second Data, then verify that 3.2.23.1 Disable Data Log Seconds recording and 3.2.23 Data Log Folder are set properly.


24.4.5 Cannot Connect to Project Node

A. If you cannot Start Web Access Configuration and see the Advantech WebAccess Login page:

1. Verify the Project Node is running and that you have the correct Address by pinging the Project Node.

2. Make sure the WWW Service is running on the Project Node.
(Start -> Control Panel -> Administrative Tools -> Services).

3. Verify the Web Site is running on the Project Node.

4. Review other Options in Section 22.2 Windows

B. If you can login to Project Manager, but get the Message "Cannot Connect to Project Node" when using DRAW, Create Project or select a SCADA Node

1. Verify the Webvrpcs is running on the Project Node. You should see the Advantech WebAccess Icon [image] in the taskbar next to the system clock on the Project Node.

Figure 22-9 - Task bar Icon - SCADA and Project Nodes

There should be a shortcut in the All-Users Start-up folder that starts webvrpcs.exe.

2. Verify that the Primary TCP Port (typically 4592) is not blocked by a firewall or router between you and the Project Node.


24.4.6 Cannot Connect to SCADA Node

If you can login to Project Manager, but get the Message "Cannot Connect to SCADA Node" when you select a SCADA Node or if trying to use VIEW get the Message "Waiting for connection to SCADA Node" :

1. Verify the Webvrpcs is running on the SCADA Node. You should see the Advantech WebAccess Icon [image] in the taskbar next to the system clock on the SCADA Node.

Figure 22.9 - Task bar Icon - SCADA and Project Nodes

There should be a shortcut in the All-Users Start-up folder that starts webvrpcs.exe.

2. Verify that the Primary TCP Port (typically 4592) is not blocked by a firewall or router between you and the Project Node.

The error "Waiting for connection to SCADA Node" implies the Secondary TCP port is blocked (default is 14592).

See also: 22.1.7 Firewall or blocked TCP ports


25. Tips & Tricks

This section includes commonly asked tasks that don't fit in any other section.


25.1 Schedule SCADA node to Start every 5 minutes

23.1 Schedule SCADA node to Start every 5 minutes

This uses the TASK SCHEDULER in Windows 2000 and XP to schedule a Batch File to start the kernel every 5 minutes on the SCADA node. At most, the SCADA node will be off for 5 minutes (if someone stops it by mistake). A faster interval is also possible.

To Schedule Task to start SCADA Node project every 5 minutes:

1. Create Batch File on each SCADA Node using Notepad.

C:

c d C:\WebAccess\Node

b wctrkrl LiveDEMO SCADANode1 1

(use the actual drive letter on your SCADA Node).

2. Save file as StartNode.bat in subdirectory C:\BATCHFiles

You can use any name or subdirectory.

3. Create a SCHEDULED TASK.

Start -> Settings -> Control Panel -> Scheduled Tasks

4. Select ADD SCHEDULED TASK.

5. Scheduled Task Wizard opens.

6. Select Next.

7. Select Browse.

8. Browse to C:\BATCHfiles.

9. Select StartNode.bat (or however you named the batch file).

10. Select Open.

11. Select DAILY under Perform this Task.

12. Enter 12:00 AM for Start Time.

13. Select Every Day

14. Select ADVANCED button.

15. Select Next.

16. Enter User Name and Password for Run As Account that is a Power User or Admin in WINDOWS. This is important!!!

17. Select OPEN ADVANCED WINDOW when finished.

18. Select Finish.

19. Select SCHEDULE Tab.

20. Select ADVANCED button.

21. Select REPEAT TASK.

22. Select every 5 MINUTES

23. Enter DURATION 24 HOURS.

24. Select OK.

25. Select OK.

23.1.1 Stop SCADA Node Kernel

To Stop the kernel use:

bwkctrl anytext anytext 7


25.1.1 Stop SCADA node

25.1.1 Script to Stop SCADA Node Kernel

To Stop the kernel use:

bwctrkrl anytext anytext 7

For example, in a Tcl script use:

# Tcl script to stop SCADA node

WINEXEC "bwctrkrl text text 7"

In a batch file use:

cd C:\WebAccess\Node

bwctrkrl text text 7


25.2 Configure AutoAdmin Logon for a node

23.2 Configure AutoAdmin Logon for a node

Configuring AUTOLOGON allows a station to completely reboot after a remote reboot request. Without this, rebooting a SCADA node will require a local operator to enter a password or, even if a password is not configured, to press the enter key.

AUTOLOGON also forces the station to be logged on with a user name that is recognized by the any shared network drive for archive data with Log Data Maintenance.

To allow Automatic Logon for a computer, a summary of the steps are:

1. In the Registry Editor, select this subkey:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft
\Windows NT\CurrentVersion\WinLogon

2. Add a value entry named AutoAdminLogon of type REG_SZ and specify a value of 1

3. Add a value Entry named DefaultPassword of type REG_SZ and enter the password of the user listed under the value DefaultUsername. This should be the user name that the node will reboot using and should be a recognized username by the computer. It should be the USERNAME configured and used to map a network drive in the previous section.

Note- a Password must be configured for Autologon to work more than once. If a blank password is configured for the user, then Autologon will work once, then reset the AutoAdminLogon value to 0, thereby disabling further autologons until reset by the Registry editor.

WARNING: Using Registry Editor incorrectly can cause serious, system-wide problems that may require you to reinstall Windows NT. Microsoft cannot guarantee that problems resulting from the incorrect use of the Registry Editor can be solved. Use the Registry Editor very carefully.


25.2.1 Registry Editor

1. Start the Registry Editor: Regedt32.exe. If you can't find it, try using

Start->Run->Regedt32

Note that it is spelled with an abbreviation to fit 8 characters: REGEDT32.

The Registry32 editor is organized by "Trees". It may be hard to see the forest for the trees. Note that each "Tree" looks like a separate dialog box.

Figure 23.1Registry Editor organized by Trees

2. Make sure these trees are labeled "on local machine". If not got to the menu bar and Select Registry -> Open Local.

The "Tree" that is visible is the last tree edited.

3. Select HKEY_LOCAL_MACHINE.on local machine . If HKEY_LOCAL_MACHINE is not displayed, the easiest way is to get to it from the menu bar:
Select Window -> 5. HKEY_LOCAL_MACHINE.on local machine

The Branches are organized like subdirectories or folders in Windows Explorer. Select the folder icon next to the following:

4. Double Click on SOFTWARE

5. Double Click on Microsoft

6. Scroll Down and Double Click on Windows NT (2000 and XP)

7. Double Click on CurrentVersion

8. Scroll Down to and Click on Winlogon

You should see something like the following. If you don't see any data, select View ->from the menu bar and make sure there is a check next to Tree and Data.

Figure 23.2Winlogon registry showing AutoAdmin Logon and related keys

AutoAdminLogon, DefaultUser and DefaultUsername are probably missing if they have never been configured for this PC.


25.2.2 Create AutoAdminLogon entry

With Winlogon opened in the registry editor, from the menu bar select Edit

1. Select Add Value . The Dialog box opens.

Figure 23.3Auto Admin Logon

2. In the Value Name field, enter AutoAdminLogon exactly. It is case sensitive!

3. Make sure the data type is selected for REG_SZ.

4. Select OK. The String editor Dialog box opens.

5. Enter 1

6. Select OK

7. Repeat this procedure with subtle changes: in the string fields for DefaultUserName, DefaultDomainName and DefaultPassword.

Default User Name

1. With Winlogon opened in the registry editor, from the menu bar select Edit

2. Select Add Value. The Dialog box opens.

3. In the Value Name field, enter DefaultUserName exactly. It is case sensitive!

4. Make sure the data type is selected for REG_SZ.

5. Select OK. The String editor Dialog box opens

6. In the String Editor Dialog Box, enter the username that will automatically be logged on.

Default Domain Name

1. With Winlogon opened in the registry editor, from the menu bar select Edit

2. This key probably exists, if not, Select Add Value. The Dialog box opens.

3. In the Value Name field, enter DefaultDomainName exactly. It is case sensitive!

4. Make sure the data type is selected for REG_SZ.

5. Select OK. The String editor Dialog box opens

6. In the String Editor Dialog Box, enter the domain that will automatically be logged on. The domain can be the local computer name or the domain it is a part of. The User Name used for DefaultUserName must be a local user if you use the computer name or a user recognized by the Domain Controller for the network the computer is a part of.

Default Password

1. With Winlogon opened in the registry editor, from the menu bar select Edit

2. Select Add Value. The Dialog box opens. Select Add Value

3. In the Value Name field, enter DefaultPassword exactly. It is case sensitive!

4. `Make sure the data type is selected for REG_SZ.

5. Select OK.

6. In the String Editor Dialog Box enter the password for the username that will automatically be logged on


25.2.3 To Disable Auto Admin Logon

From the Registry Editor (see Section 23.2.1):

1. Select the AutoAdminLogon

2. From the menu bar select Edit

3. Select String

4. In the String Editor box, enter the 1 to enable AutoAdminLogon, enter 0 to disable it.


25.2.4 Bypass Autologon

To Bypass AutoLogon, Hold the SHIFT key while NT, 2000 or XP is rebooting.


25.3 SQL SERVER 2005

23.3 SQL Server 2000

Microsoft SQL Server 2000 relational database management system can be used with Advantech WebAccess for data logging to a database (ODBC Logs). This SQL Server Database will replace the Access Database ( bwPdata.mdb) that is the default database used for Process Data including:

· Analog Tag Log

· Discrete Tag Log

· Text Tag Log

· Analog Change Log

· System Log

· Action Log

· Alarm Logs.

The Data for Scheduled reports will be stored in the SQL Server database (The Analog Tag Log).

Note that the "Tag" database used for Project Manager remains an Access Database (bwcfg.mdb)

The steps to switch to an SQL Server database are:

1. Install SQL Server from CD ROM using the install wizard.

2. Configure SQL Server using SQL Server Management Studio.

3. Create User Name and Password to Log in to SQL Server using SQL Server Authentication (only use NT Authentication if you really know what you are doing).

4. Create a New Database. You should create an empty database. Advantech WebAccess will create all the data tables in needs.

5. Create an ODBC System DSN on the Project Node to connect to the SQL Server database using SQL Server Authentication with username and password created in step 3.

6. Create an ODBC Log Data Source in Advantech WebAccess Project Manager. Enter the ODBC DSN from step 9 and user name and password from step 3.

7. Select the new ODBC Log Data Source in Project Manager.

SQL 2000 is the current version available from Microsoft. SQL Server needs to be installed once, on one computer, usually the Project Node, but can be any computer in your network.

SQL Server 2000 requires 512 MB of RAM. Workgroup and Enterprise offer unlimited datatable sizes.

The Express version is limited to 2 GB size for datatables, which is the same as Microsoft Access. So there does not appear to be any benefit in changing from Access to SQL Server Express.

It is recommended to have the Project Node and the SQL Server as part of the same Domain. It is also possible to install SQL Server on the Project Node. You will have to consider the ramifications of installing SQL Server on a combined Project/SCADA node.

This database can grow very large if you collect analog real-time data every minute or faster. The Log to ODBC function in Advantech WebAccess can be as fast as once a minute for analog tags. (Intervals are from once a minute to once per hour for each tag). Discrete data is recorded potentially as fast as the scan rate of the communications to the PLC (as fast as 100 milliseconds). You should consider creating this database on another computer, hard drive or partition that can not fill the same hard drive as your operating system (preventing you from rebooting) or Advantech WebAccess (preventing you from opening database configurator)..


25.3.1 Install SQL Server 2005

25.3.1 Install SQL Server 2000 – Workgroup Edition

The following example is for SQL Server 2000 Database software, Workgroup Edition. The steps are similar for SQL Server Enterprise Edition.

SQL Server 2000 requires 512 MB of RAM. Workgroup and Enterprise offer unlimited datatable sizes. Note that Express version is limited to 2 GB size of datatables, which is the same as Microsoft Access. So there does not appear to be any benefit in changing from Access to SQL Server Express.

It is recommended to have the Project Node and the SQL Server as part of the same Domain. It is also possible to install SQL Server on the Project Node. You will have to consider the ramifications of installing SQL Server on a combined Project/SCADA node.

This database can grow very large if you collect analog real-time data every minute or faster. It can fill the database.

The Log to ODBC function in Advantech WebAccess can be as fast as once a minute for analog tags. (Intervals are from once a minute to once per hour for each tag). Discrete data is recorded potentially as fast as the scan rate of the communications to the PLC (as fast as 100 milliseconds). You should consider creating this database on another computer, hard drive or partition that can not fill the same hard drive as your operating system (preventing you from rebooting) or Advantech WebAccess (preventing you from opening database configurator).

1. Install the CD ROM or download the installation software.

2. Run Setup.exe.

3. Press Install.

Figure 23.1 SQL Server 2000 WorkGroup Prerequisites.

4. Select Next.

5. Select Next.

6. If you get an Error or Warning, click the Messages hyperlink. Chances are you can continue if there is just a warning.

7. Close any Warning or Error Messages. Select Next.

8. Select Next.

9. Type Name and the Product Key to unlock the license.

10. Click the Icon and select "Entire feature will be installed..." for:
SQL Server Database Features.

Click the Icon and select "Will be installed..." for:
Integration Services
Connectivity Components
Management Tools
Legacy Components
Documentation, Samples (documentation is optional but a good idea).

You can try installing everything, but it will take more disk space. Also, Reporting Services failed when I tried on Windows XP Pro SP 2.

11. Verify the Destination for the "Installation Path." Then Press Next.

Note that you should not install to a compressed drive.

If you get the above error, you can use Windows Explorer to uncompress the folder:

Right Click Start -> Explore
Right Click C:\Program Files\Microsoft SQL Server
Select Properties
Select General tab
Select Advanced
Un-check "Compress Contents to Save Disk Space"

Close the error box go back to step 10, then press Next again.

12. Select Default instance. Then press Next.

13. "Use the built-in System Account" and select Local System account to run SQL Server.
Be sure SQL Server is checked so it starts automatically.
Then select Next.

14. Select "Mixed mode for Authentication."

Then enter a Password for the sa account. This Password will be used by Advantech WebAccess Project Node to login to the SQL Server.

Then select Next.

15. Select Dictionary Order, case insensitive. Latin order works also. Then select Next.

16. Leave the Error Reporting and feature reporting blank to reduce network traffic. Select Next.

17. At "Ready to Install", verify the SQL Server Database Services, Integration Services and Client Components are in the list. Then select "Install".

18. This will take a long time. Over an hour when I did it, almost 2 hours.

19. View the Summary Log to look for any errors. Then Select Finish.

20. If Everything went well you should see "The requested operation is successful". Select OK.

21. Reboot the computer. Then go the the next chapter 23.3.2 Create a Database in SQL Server 2000.


25.3.2 Create a Database in SQL Server 2005

25.3.3 Create a Database in SQL Server 2005

This is to create a database for Advantech WebAccess Process Data ( Data Log to ODBC) and Scheduled Reports. Create the database using SQL Server Management Studio.

You can use any name, you just have to remember it to create the ODBC DSN in Section 23.2.3. Advantech WebAccessPData is the name used in the following examples.

You only need to create an empty database. Advantech WebAccess will create all the tables.

This example is for SQL SERVER 2005.

1. SQL Server Management Studio from the program group If this is the first time your will see the following:

2. Select your SQL Server. TUNA is the name of the computer in this example. Select OK.

3. Try Windows Authentication if your PC and the SQL Server are in the same domain or are the same computer.

You may have to use the SQL Server authentication and a user name "sa" and the password you configured in 23.3.2 Install SQL Server if the SQL Server is a remote pc and not in the same domain.

Select Connect.

4. Expand the list under your SQL Server name (TUNA is the name of the computer in this example). You want to see the "Databases" folder.

5. Right Click on Databases and select New Database.

6. Enter a Database name. In this example it is Advantech WebAccessPData.

The name does not have to be Advantech WebAccessPData. You cam use any name. The Advantech WebAccess program will actually look for a DSN name configured in 23.3.3. The DSN must be configured to point to the database created here. This database name is only used by the ODBC DSN.

Optionally, it is a good idea to create the database on a separate partition or hard-drive (so you don't accidentally fill the partition with your operating system and not be able to reboot). Scroll to the right and you can specify a new path to create the database on.

7. Select OK. (do not select Add).

8. Congratulations! You just created a database in SQL Server. Advantech WebAccess will create all the data tables needed when the Project Node first connects using the DSN you will configure next.


25.3.3 Create an ODBC DSN to SQL Server

25.3.3 Create an ODBC DSN to SQL Server 2005

Advantech WebAccess uses an ODBC connection to SQL Server. ODBC is an acronym for Open Database Connection. DSN is an acronym for Data Source Name.

The Microsoft SQL Server ODBC Device Drivers must be installed on the Project Node.

There are two SQL ODBC drivers that appear to work with SQL Server 2005:

1) the SQL Native Client Driver installed as part of the SQL Server 2005 client services. Use this driver is the Project Node and the SQL Server 2005 are the same PC or if you installed the SQL Server 2005 client services on the Advantech WebAccess Project Node.

2) The SQL Server Driver part of Windows XP Professional and Windows 2000 dated 10/28/2003 and later (version 3.70.11.46 of SQLSRV32.DLL). Use this if the SQL Server is on a remote node.

It is easier to use a System DSN. The System DSN allows access to the SQL ODBC drivers no matter who is logged on to the Project Node. The System DSN also makes for less confusion later on.

A User DSN will work as well. The User DSN is specific to each user and allows you to restrict which users have access. However, you must configure a User DSN for each user that might be logged on the Project Node.

Any name can be given to the DSN. But make it one that you can remember This DSN name must be entered into the Advantech WebAccess Project Manger as the ODBC Log Data Source.

1. Configure "Native Client SQL Server" DSN

1. From Control Panel open ODBC Data Source Administrator, on the Project Node.

Start -> Control Panel -> Administrative Tools -> Data Sources (ODBC).

2. Select System DSN.

3. Click on the ADD button. This will open the Create New Data Source dialog box, shown below.

4. Look for the driver titled SQL Native Client. If this driver is not listed in the window and the SQL Server is, go to Section 2. Configure SQL Server DSN.

5. Double-click on the driver SQL Native Client. The Create a New Data Source to SQL Server Setup dialog box will open, as shown below.

6. In the Name text box, enter a name for this DSN. You will have to enter this name in Advantech WebAccess Project Node.
For example, bwSQLData

7. In the Server combo-box, you must enter the name of the computer running SQL server.

If SQL Server is installed on the Project Node, Select (local).

Otherwise, select the computer with the SQL Server. (Note - if you do not see the other computer listed, you should try to Register SQL server as described earlier).

8. Click on the Next > button.

9. Select "SQL Server authentication".

Enter the sa as the user login ID and the password you created in step 14 of Section 23.3.1 Install SQL Server 2005.

Figure 23.3 Use SQL Server Authentication and SQL Server login ID and Password.

Select Next after you have entered the password for the sa account. (or whatever account you know will work).

10. Check the Change the default database to.

Use the Pull Down box or type the Database name you created in SQL Server Management Studio. This name has to match exactly. Go back to Section 23.3.2 Create and SQL Server Database if you skipped this step or forgot the Database name. In the example it was Advantech WebAccessPData.

Select Next.

11. Check "Use regional settings.....".

12. Select Test Data Source.

13. You should see "TESTS COMPLETED SUCCESSFULLY!". Select OK.

If it did not Test Successfully. Try these steps:

If the SQL Server is a remote node, verify that TCP port 1433 is open on the SQL Server Node (i.e. check any firewalls or Windows Firewall).

Verify the SA Login Password or whatever Login ID you used to configure this DSN.

Verify the Database name.

Verify that SQL Server is running.

14. Select OK three times (one for each dialog box) to exit ODBC configuration.

15. You should remember the DSN name, because this is what you will tell Advantech WebAccess to use. In this example the ODBC DSN is bwSQLData. It could have been any name that you used, just remember it.

16. Next and last step is to tell Advantech WebAccess to use the DSN. See Section 20.8.1 Create an ODBC Log Data Source. and 20.8.2 Select new ODBC Log Data Source. And be sure to Select the ODBC Data source (section 20.8.2).

2. Configure "SQL Server" DSN

Use this section if you do not have the SQL Native Client as in the above example 1. on your project node. You can instead use the SQL Server ODBC Driver of Windows XP Professional and Windows 2000 (version 3.70.11.46 of SQLSRV32.DLL dated 10/28/2003 and later). It is common to use this ODBC driver if the SQL Server is on a remote node.

It is recommended to use the TCP Network Library connection instead of Named Pipes.

1. From Control Panel open ODBC Data Source Administrator, on the Project Node.

Start -> Control Panel -> Administrative Tools -> Data Sources (ODBC).

2. Select System DSN.

3. Click on the ADD button. This will open the Create New Data Source dialog box, shown below.

4. Look for the driver titled SQL Server. If this driver is not listed in the window, then the ODBC SQL Server driver has not been installed properly.

5. Double-click on the driver SQL Server. The ODBC SQL Server Setup dialog box will open, as shown below.

6. In the Name text box, enter a name. For example, bwSQLPdata.

7. In the Server combo-box, use the pull down list or type the name of the computer running SQL server.

If SQL Server is installed on the Project Node, Select Local. Otherwise, select the computer with the SQL Server. (TUNA in the example).

Click on the Next > button.

8. Select "SQL Server authentication" if you followed the examples earlier.

It is also possible to use Windows Authentication if both the Project Node and the SQL Server are in the same domain and you know the login information for a user with access to the SQL Server node.

Figure 23.3 Use SQL Server Authentication and SQL Server login ID and Password.

9. Select Client Configuration and select TCP/IP for Network Libraries.

Also verify the Port Number is correct. 1433 is the default port for SQL Server (but your network Administrator may have changed it).

Select OK.

10. Select Next.

11. Check the Change the default database to.

In the Change the default database to box, use the pull down list to select the SQL database name that you created using SQL SERVER 2005 MANAGEMENT STUDIO.

The name in the above examples is Advantech WebAccessData.

12. Check Use ANSI quoted identifiers.

13. Check Use ANSI nulls, paddings and warnings.

14. Select NEXT.

15. Select Use regional settings......

16. Select Finish.

17. We recommend using the Test Data Source.

18. A successful test should look like the following

19. Select OK three times (one for each dialog box) to exit ODBC configuration.

If it did not Test Successfully. Try these steps:

If the SQL Server is a remote node, verify that TCP port 1433 is open on the SQL Server Node (i.e. check any firewalls or Windows Firewall).

Verify the SA Login Password or whatever Login ID you used to configure this DSN.

Verify the Database name.

Verify that SQL Server is running.

20. Remember the DSN name, because this is what you will tell Advantech WebAccess to use. In this example the ODBC DSN is bwSQLPData. It could have been any name that you used, just remember it.

21. Next and last steps are to tell Advantech WebAccess to use the DSN. See Section 20.8.1 Create an ODBC Log Data Source and 20.8.2 Select new ODBC Log Data Source. And be sure to Select the ODBC Data source (section 20.8.2).


25.4 Oracle

23.4 Oracle

Oracle relational database management system can be used with Advantech WebAccess for data logging to a database (ODBC Logs). This SQL Server Database will replace the Access Database ( bwPdata.mdb) that is the default database used for Process Data including:

· Analog Tag Log

· Discrete Tag Log

· Text Tag Log

· System Log

· Action Log

· Alarm Logs.

The Data for Scheduled reports will also be stored in the Oracle database. Oracle 9i has been tested with Advantech WebAccess.

Note that the "Tag" database used for Project Manager remains an Access Database (bwcfg.mdb)

The steps to switch to an SQL Server database are:

1. On the Oracle Server, create User Name and Password to login to the Oracle Server; this user must have Alter, Create, Drop, Insert any table, Open SQL Queries, Connect, DBA, Manage, System Table Management and unlimited Tablespace privileges.

2. On the Oracle Server, edit security to allow full control of the nsnames.ora file to include the Internet Guest Account and the IIS Process Account. The file is located typically at C:\oracle\oracle92\network\admin\nsnames.ora

The Internet Guest Account is typically IUSR_yourcomputername

The IIS Process Account is typically named IWAM_yourcomputername

3. Install Oracle Client on the Project Node from CD ROM using the install wizard

4. On the Oracle Client / Project Node, add the IUSR_yourcomputername name account and the IWAM_yourcomputername name account to the Oracle home folder and all files. Give both accounts full control.

5. Disable SQL*Net Authentication. To do this, edit the SQLNET.ora file. This configuration file is usually stored in the Network\Admin subfolder of the Oracle home folder.

6. On the Oracle Client, Use SQL Plus to Configure Oracle Client to connect to the Oracle Server.

Hint - remember to use ; (a colon) for the quit command.

6a. Select Add Database Alias.

6b. Type in a name for the alias (for example, the server name).

6c. Select the protocol (most commonly, it will be TCP/IP).

6d. Specify the host machicomputerne and the database instance. This is the name of the Oracle Server and the database on that server. If you do not know these values, get them from your Oracle Database Administrator (DBA).

6e. Confirm the settings.

6f. Select Exit SQL Plus Configuration.

7. Create an ODBC System DSN on the Project Node to connect to the Oracle Client database with alias (username) and password created in step 6a.

7a. On the Project Node server, from the Control Panel use the 32-Bit ODBC Administrator to add a System DSN.

7b. Select Microsoft ODBC for Oracle.

7c. In the Microsoft ODBC for Oracle dialogue, supply the required information. The user name will be provided by your Oracle DBA and the "Server" is the alias created with SQL Plus Configuration.

Data Source Name : OracleDSN

Description : Oracle Server Test on Server Name (optional)

User Name : <supplied by your Oracle DBA>

Server : <SQL Plus configuration Alias>

7d. Leave the options set to their default values.

8. Create an ODBC Log Data Source in Advantech WebAccess Project Manager. Enter the ODBC DSN from step 7 and user name and password from step 3.

9. Select the new ODBC Log Data Source in Project Manager.

Oracle 9i is the current version available from Microsoft. Oracle Client needs to be installed once, on one computer, usually the Project Node.

Oracle 9i can be installed on Microsoft Windows 2000 and XP Professional.

If selected, Oracle will be used by Advantech WebAccess to store real-time data used by the Project Logs and Scheduled Reports. Oracle can only be used to replace the bwPdata.mdb database. The configuration database for the tag configuration, trend groups, recipes, scheduler and other configuration database items remain in the Access Database (bwcfg.mdb).

Oracle allows true multiple user access allowing multiple users to access real-time data. Note that Oracle is licensed by the number of connections. Make sure you have a sufficient Oracle user license to allow all users to connect. Only one connection is needed by Advantech WebAccess (the project node).


25.4.1 Install and Configure Oracle Client

25.4.1 Install & configure Oracle Client

The following example is an older version of Oracle Client software. The steps are similar for Oracle 9i.

SUMMARY

Ensuring that the correct drivers are used and that the appropriate patches from Oracle are installed will help create a stable platform for your application.

This is step-by-step guide on how to successfully set up an Internet Information Server computer for ASP or ADO connectivity to an Oracle Server. It is important to note that the sample setup guide is provided as an example and will not apply to every installation of Oracle client software. For more detailed assistance, please contact Oracle support.

Recommended Software Versions

Advantech WebAccess has be tested using Oracle 9i.

The recommended software versions for the clients from Microsoft are as follows:

Microsoft Data Access Components 2.5 with Microsoft ODBC for Oracle driver Msorcl32.dll) version 2.573.4403.0 (or later)

-or-

The Microsoft OLEDB Provider for Oracle (msdaora.dll) version 2.50.4403.0 (or later)

The following Oracle software versions (or later) are recommended:

Oracle Server 7.3.3.0.0 7.3.4.0.0 8.0.3.0.0 8.0.4.0.0

------------- --------- --------- --------- ---------

RSF 7.3.3.5.3 7.3.4.2.0 8.0.3.2.3 8.0.4.3.2

SQL*Net 2.3.3.0.5 2.3.4.0.4 N/A N/A

Net8 N/A N/A 8.0.3.0.4 8.0.4.0.3

Oracle updates and patches may be obtained from Oracle Support.

The Microsoft Data Access Components (MDAC) 2.5 installation can be obtained at http://www.microsoft.com/data/mdac2.htm.

NOTE: For optimum results, it is recommended that you perform the following configuration on a fresh installation of Windows 2000, 2003 or XP with Internet Information Server also installed.

Installing the Microsoft Data Access Components 2.5

If you select Custom installation, make sure that you select the following:

ODBC Components

OLE DB Components

ODBC Driver for Oracle Databases

OLE DB Provider for Oracle Databases

Microsoft ActiveX Data Objects

NOTE: The Microsoft Data Access Components 2.5 installation is available at http://www.microsoft.com/data/mdac2.htm.

Installing the Oracle required support files and SQL*Net

Active Server Pages uses ActiveX Data Objects (ADO) to communicate to Oracle through Open Database Connectivity (ODBC). To enable this connectivity, install Oracle's client software on the Web server.

Install Oracle Client

The following is a sample step-by-step setup guide to install the necessary software for client access to an Oracle 7 database. This sample sets up SQL*Net version 2.3.3.0.0 with the required support files version 7.3.3.0.0 on a computer running Windows NT 4.0 Server.

1. From your Oracle software compact disc, run Setup from the root directory.

NOTE: If you are installing Oracle software from a network drive, you must map a network drive to install the Oracle software.

2. Select Language.

3. Select Installation Directory.

You will be prompted that the install directory path information needs to be added to the registry. The Oracle installer will automatically do this for you. At this point, Setup will exit and you will have to restart again. Repeat the above steps.

4. Select Oracle7 Client Products.

5. Select Application User.

6. When you are prompted to install the Oracle documentation either on your hard disk drive or to read it from the compact disc, choose the appropriate location.

7. The Oracle client Setup will now copy the files and configure the client software.

8. To connect to an Oracle database using ODBC, you must supply a valid SQL*Net connect string. SQL Net Easy Configuration allows you to create an alias that you can reference in an ODBC Data Source Name (DSN) to connect to your Oracle Server.

Add a Database Alias

9. Run SQL*Net Easy Configuration. (Click Start, point to Programs, select Oracle for Windows NT, and then choose SQL Net Easy Configuration.)

10. Select Add Database Alias.

11. Type in a name for the alias (for example, the server name).

12. Select the protocol (most commonly, it will be TCP/IP).

13. Specify the host machicomputerne and the database instance. This is the name of the Oracle Server and the database on that server. If you do not know these values, get them from your Oracle Database Administrator (DBA).

14. Confirm the settings.

15. Select Exit SQL*Net Easy Configuration.

16. Creating a System DSN

17. On the Project Node, from the Control Panel use the 32-Bit ODBC Administrator to add a System DSN.

18. Select Microsoft ODBC for Oracle version 2.573.2927.

19. In the Microsoft ODBC for Oracle dialogue, supply the required information. The user name will be provided by your Oracle DBA and the "Server" is the alias created with SQL Net Easy Configuration.

Data Source Name : OracleDSN

Description : Oracle Server Test on Server Name (optional)

User Name : <supplied by your Oracle DBA>

Server : <SQL*Net Easy Configuration Alias>

12. Leave the options set to their default values.


25.4.2 Troubleshoot - Oracle Client

25.4.2 Troubleshoot an ASP-to-Oracle Connectivity Problem

The following example is an older version of Oracle Client software. The steps are similar for Oracle 9i.

SUMMARY

This section outlines some of the common steps to take when you troubleshoot a problem with a connection to an Oracle Database from an Active Server Pages (ASP) application.

Some of the more common error messages are:

Microsoft OLE DB Provider for ODBC Drivers error '80004005' [Oracle][ODBC][Ora]ORA-12154: TNS:Could not resolve service name /vdir/filename.asp, line xxx.

-and-

The Oracle(tm) client and networking components were not found. These components are supplied by Oracle Corporation and are part of the Oracle Version 7.3 (or greater) client software installation.

You will be unable to use this driver until these components have been installed.

The following is a list of general steps to take when you investigate a connectivity problem between the Project Node (which uses ASP) and an Oracle database.

1. First verify that you can connect to Oracle and retrieve data using Oracle's SQL Plus utility (a command line-based query utility). If you cannot connect from this tool, then you either have a bad installation or configuration of the Oracle client components or you did not correctly use the SQL Net Easy Config or Oracle Net8 Easy Config utility to create an alias for the Oracle server. You must work with your Oracle database administrator to make sure that the necessary Oracle components have been installed and are configured correctly.

2. If the Oracle client was recently installed on the Internet Information Server (IIS) computer, make sure that the computer has been rebooted at least once. In some cases after installation, the Oracle component SQL Plus works fine, but connectivity from IIS does not work until you reboot the computer.

3. Look for multiple copies of the OCIW32.dll file on the IIS server. There should only be one copy of this .dll file on the computer, and it should be in the \Bin subfolder of the Oracle home folder. If you find other copies, rename these with a .bak extension and then retest connectivity. You may want to restart the IIS services after renaming any additional copies of the .dll file that you found.

4. Make sure that you are running the recommended versions of the Oracle components. You can verify these from the following Microsoft Knowledge Base article:

193225 How to Configure IIS to Connect to Oracle from ASP and ADO

If you need patches, you can obtain these from the Oracles FTP site ftp://Oracle-ftp.oracle.com. For more information on how to obtain and install these patches, work with your database administrator or contact Oracle Technical Support. (Microsoft Technical Support does not support the configuration of these Oracle components.

5. Check to make sure that the Oracle client components are installed locally on the IIS server. While it is possible to get other applications to work without the Oracle components installed locally, this causes problems when you work with ASP applications. Microsoft recommends that these components be installed on the IIS server; other custom configurations are not supported.

6. Look at the system environment variables on the IIS computer and check the PATH variable. If there are any remote share names or mapped drives that point to locations that contain Oracle components, remove them. You must reboot the computer in order for any changes that you make to take effect.

7. Look again at the system environment variables on the IIS computer and check the PATH variable. Make sure that the \Bin folder in the Oracle home directory is included as part of the PATH environment variable. With a default installation, this is the Orant\Bin folder. Again, you must reboot the computer for the changes that you make to take effect.

8. Try to connect with both the Microsoft ODBC for Oracle driver and the Microsoft OLEDB Provider for Oracle. Here are sample connection string syntax for each of these:'Microsoft OLEDB Provider for Oracle

"Provider=MSDAORA.1;Data Source=Your_TNSNames_Alias;User ID=User;Password=Password"

'Microsoft ODBC for Oracle DSN-Less

"Provider=MSDASQL;DRIVER={Microsoft ODBC for ORACLE};UID=User;PWD=Password;Server=Your_TNSNames_Alias"

'Microsoft ODBC for Oracle using a DSN

"DSN=Your_DSN_Name;UID=User;PWD=Password"

9. Disable SQL*Net Authentication. To do this, edit the SQLNET.ora file. This configuration file is usually stored in the Network\Admin subfolder of the Oracle home folder. Add the following lines to this file:

SQLNET.AUTHENTICATION_SERVICES = (none)

SQLNET.AUTHENTICATION = (none)

Restart the IIS service after you make these changes.

10. Add the IUSR_machine name account and the IWAM_machine name account to the Oracle home folder. Give both accounts full control.

To do this, right-click on the Oracle home folder in Windows Explorer. Click Properties, and then click the Security tab. Add the appropriate accounts and then give them full control.

Restart your computer.


25.5 BWSERVER.INI

23.5 BWSERVER.INI

Edit the BWSERVER.INI file to:

  • Change Remote Access Code (without reinstalling software)

  • Change TCP Ports (without reinstalling software)

  • Modify the Smart Host used for email or SMTP Port

  • Change wwwroot

The BWSERVER.INI exists on both the Project Node and the SCADA node. If it is a combined Project & SCADA node it is the same file. It also exists on an OPC Server with the Advantech WebAccess Network Service (Webvrpcs.exe) installed.

Change Remote Access Code or TCP Ports without reinstalling Software

You have to make changes in two places, 1) the BWSERVER.INI file and 2) in the Project Manager from the Update. Modifying the bwserver.ini is used instead of re-installing software.

1. Open Explorer. Right Click Start -> Explore

2. Go to drive:\WebAccess\Node
(typically C:\WebAccess\Node)

3. Right Click on bwserver.ini

4. Select Open with…

5. Select Notepad.

6. If you are using a firewall or port mapping and entered alternate TCP ports, try changing them to zero (the default).

Typical BWSERVER.INI file:

[language]

type=1

[nodetype]

type=0

[www]

root=d:\inetpub\wwwroot

[smtp]

smarthost=mail.Advantech.com

port=0

[port]

web_rpc_port=0

web_socket_port=0

[security]

code=remoteaccesscode

The Project Manager uses Primary and Secondary as the terminology for the web_rpc_port and web_socket_port SCADA Node TCP ports. The Project manager calls web_rpc_port the 'TCP Port'.

remember, 0 = default port

web_rpc_port is the Primary TCP port of the SCADA Node and the TCP Port of the Project Node, default = 4592
web_socket_port is the Secondary TCP port of the SCADA node, default = 14592
The Default SMTP port = 25

7. If you accepted the default TCP ports, try changing them to another number (like 5592 and 15592 or any two numbers above 2000 and less 65535). These should match the TCP Port of the Project Node and the Primary and Secondary ports of the SCADA Node in Project Manager under Update and SCADA Node properties.

On a combined Project/SCADA node, the Project TCP Port and the SCADA Primary TCP Port should be the same.

8. You can add a remote access code or change it here (without having to reinstall software. Remember to run UPDATE in the Project manager so the database matched this code.

9. Save the bwserver.ini file

10. Login to Project Manager and use Update to change the Ports in the Project Database for the SCADA node and Project Node.

Important - You must use Update in Project Manager to match the new remote access code and TCP Ports. There at least three places on the Update page to change 1) the Primary and Secondary TCP Ports for the SCADA node and 2) the TCP Port for the Project Node.

11. Download the nodes.

12. Restart the Advantech WebAccess Network Service by either:

Reboot the computer (to restart the Advantech WebAccess Network Service)

or

Manually stop the Webvrpcs.exe (in Task Manager) and Restart the Advantech WebAccess Network Service
(from Start -> All Programs -> Startup -> Advantech WebAccess Network Service).


25.5.1 Alarm Notification via 3rd party program

To better control a dial-up connection for alarm notification email, the bwserver.ini can be modified to specify a user program (*.exe, *.bat or other):

[UserDefined]

Email_Program=YourProgram.exe

If Advantech WebAccess detects this setting, instead of using the default alarm email program, Advantech WebAccess will run YourProgram.exe ; YourProgram can be any name and must be in \WebAccess\Node folder.

Advantech WebAccess will pass a temp_File name in commandline to YourProgram. YourProgram can make dial-up connection, then run

"BwRunrpt Bwrunscr command_line_from input_program"

to send the alarm email. Your Program will need to disconnect the phone line and reset com port back to normal.

Change Email_Program in BWSERVER.INI

1. Open Explorer. Right Click Start -> Explore

2. Go to drive:\WebAccess\Node
(typically C:\WebAccess\Node)

3. Right Click on bwserver.ini

4. Select Open with…

5. Select Notepad.

6. Typical BWSERVER.INI file looks like:

[language]

type=1

[nodetype]

type=0

[www]

root=d:\inetpub\wwwroot

[smtp]

smarthost=mail.Advantech.com

port=0

[port]

web_rpc_port=0

web_socket_port=0

[security]

code=remoteaccesscode

7. Insert the following:

[UserDefined]

Email_Program=YourProgram.exe.

8. Save the bwserver.ini file

9. Restart the SCADA Node.


25.6 BWCLIENT.INI

23.6 BWCLIENT.INI

Edit the BWCLIENT.INI file to:

  • Use Address Mapping for systems using both private and public IP Addresses.

  • Use Address Mapping with a Firewall.

  • Disable the Right Click Menu in VIEW and/or ViewDAQ.

  • Modify the program used to Print Graphic Displays (default is MSPAINT) or modify to print directly to a printer.

  • Modify the default size of a Printed Graphic Displays.

  • Modify the default program used for Printing the Action Log, Alarm Log or other text logs.

  • Automatic Logout

  • Tooltips

  • Invoke main.dsp for every new ViewDAQ opened from taskbar icon.

See 10.10 Printing Graphic Displays for more info on modifying the bwclient.ini for printing.

The BWCLIENT.INI exits on all clients, the SCADA Node and the Project Node. It is used to customize VIEW, DRAW, ViewDAQ (on the SCADA Node) and DrawDAQ (on the Project Node). It also exists on an OPC Server with the Advantech WebAccess Network Service (Webvrpcs.exe) installed.

Note that a similar file exists might exist in two places on a SCADA Node and Project Node, one for VIEW and DRAW (using a web browser) and one for ViewDAQ or DrawDAQ.

For VIEW and DRAW it is typically in C:\WebAccess\Client\bwclient.ini
For ViewDAQ and DrawDAQ it is typically in C:\WebAccess\Node\bwclient.ini

Example bwclient.ini file

Copied to a Client, SCADA or Project Node with following:

Prints graphics to PAINT (VIEW and ViewDAQ on SCADA, DrawDAQ on Project Node and VIEW and DRAW on client).

Right Click Menu Disabled for ViewDAQ and VIEW on SCADA and Client

Connects to a network addresses by using both Private IP Address with other users (who do not use this file) connecting using Public IP Address.

C:\WebAccess\Node\bwclient.ini

[viewer]

bitmap=mspaint.exe

bitmap_width=

bitmap_height=

text=notepad.exe

actlog=notepad.exe

almlog=notepad.exe

[popupmenu]

disabled=1

[mapping]

67.94.27.175:4592=192.168.0.175:4592

67.94.27.175:14592=192.168.0.175:14592

67.94.27.175:80=192.168.0.175:14592

Note 192.168.0.175 is a private IP Address (also known as a Reserved Address).

See Also 8.7.2.1 Address Mapping for Firewalls and mixed Private & Public Users, 10.10 Printing Graphic Displays, 15.6.4 Disable Right Click Menu.

To Edit the BWCLIENT.INI for Address Mapping:

1. Open Notepad. Start -> Run -> Type Notepad

2. Browse to Advantech WebAccess client directory for VIEW and Advantech WebAccess Node directory to modify ViewDAQ.
For VIEW client it is typically in C:\WebAccess\Client\bwclient.ini
For SCADA Node an Project Node it is typically in C:\WebAccess\Node\bwclient.ini

3. Create a section named [mapping]

4. Enter the Public IP Address and Port and the Private Address and Port of the SCADA Node(s) or Project Node behind the same firewall (i.e. on the same private network).

You use can a Network Name (the Microsoft Net Bios Name).

If using a dedicated Firewall for each SCADA Node or Project Node you can use the private IP address, localhost or even 127.0.0.1. The format is

[mapping]
67.94.27.175:0=192.168.0.175:0

Where the address listed in Project Manager (and deploy file) is on the left, and will be replaced by address on the right (usually a private IP address).

The 0 assumes you are using the default value (0) for Web Server (80), Primary TCP Port (4592) and Secondary TCP Port (14592).

If you are using different TCP ports or entered 4592, 14592 explicitly, then you must create a section that looks like the example bwclient.ini listed earlier in this section.

5. Save the bwclient.ini file to drive:\WebAccess\Node. Optionally copy it to the Project node or other SCADA nodes. Optionally copy it to the drive:\WebAccess\Client (for use by web local browser).

Note - even though it says bwclient.ini,when copied to drive:\WebAccess\Node, it is used by the SCADA and Project Node software for acting like a client to itself!

6. Stop webvrpcs.exe in Task Manager on the SCADA Nodes and Project node.

7. Restart webvrpcs.exe. Start -> Programs -> Startup -> Advantech WebAccess Network Service.

Invoke MAIN.DSP

By default, only the first instance of ViewDAQ will invoke main.dsp. To invoke main.dsp every time another ViewDAQs are opened by clicking the menu item “ViewDAQ” of Taskbar icon of the Advantech WebAccess Network Service (webvrpcs.exe), please add the following section to bwclient.ini:

[dsp]

main=1

Printing

The bitmap_width=w and bitmap_height=h options now can be used with hardcopy=1 in the [viewer] section of bwclient.ini to hardcopy and stretch ViewDAQ/View client to a w x h bitmap. If the bitmap_width or bitmap_height option is omitted, the output bitmap will not be stretched.


25.6.1 Automatic Logout

The SCADA node can set an Automatic Logouit for all clients (See 3.2.32.1 View Auto Logout Time Out). ViewDAQs or View clients will logout automatically when ViewDAQs or View clients do not receive keyboard inputs or mouse clicks in the specified time period.

To overwrite the value set in the SCADA Node Properties for Automatic Logout, for a specific client or for ViewDAQ, or to enable Automatic Logout, users can specify a timeout in bwclient.ini, a file located on each cleint and SCADA node.

When the automatic logout occurs, ViewDAQs will logout current user, close dialog boxes if any, and stay at the current page. View clients will logout current user, reconnect to SCADA node, and wait for users to login.

Please note that during the automatic logout process, ViewDAQs or View clients will not monitor keyboard inputs or mouse clicks for about 5 seconds.

Add the following section to the bwclient.ini to enable automatic logout.

[logout]

timeout=x

where x is timeout minutes.g.

The BWCLIENT.INI exits on all clients, the SCADA Node and the Project Node. It is used to customize VIEW, DRAW, ViewDAQ (on the SCADA Node) and DrawDAQ (on the Project Node).

Note that a similar file exists might exist in two places on a SCADA Node and Project Node, one for VIEW and DRAW (using a web browser) and one for ViewDAQ or DrawDAQ.

For VIEW and DRAW it is typically in C:\WebAccess\Client\bwclient.ini
For ViewDAQ and DrawDAQ it is typically in C:\WebAccess\Node\bwclient.ini

Example bwclient.ini file

Copied to a Client, SCADA or Project Node with following:

Prints graphics to PAINT (VIEW and ViewDAQ on SCADA, DrawDAQ on Project Node and VIEW and DRAW on client).

Right Click Menu Disabled for ViewDAQ and VIEW on SCADA and Client

Connects to a network addresses by using both Private IP Address with other users (who do not use this file) connecting using Public IP Address.

Logout after 20 minutes of no keyboard or mouse input.

C:\Webaccess\node\bwclient.ini

[viewer]

bitmap=mspaint.exe

bitmap_width=

bitmap_height=

text=notepad.exe

actlog=notepad.exe

almlog=notepad.exe

[popupmenu]

disabled=1

[mapping]

67.94.27.175:4592=192.168.0.175:4592

67.94.27.175:14592=192.168.0.175:14592

67.94.27.175:80=192.168.0.175:14592

[logout]

timeout=20

Note that timeout is in minutes

To Edit the BWCLIENT.INI :

1. Open Notepad. Start -> Run -> Type Notepad

2. Browse to Advantech WebAccess client directory for VIEW and Advantech WebAccess Node directory to modify ViewDAQ.
For VIEW client it is typically in C:\WebAccess\Client\bwclient.ini
For SCADA Node an Project Node it is typically in C:\WebAccess\Node\bwclient.ini

3. Create a section named [logout]

4. Add an entry timeout=minutes, where minutes is the number of minutes (for example 20).

5. Save the bwclient.ini file to drive:\WebAccess\Node. Optionally copy it to the Project node or other SCADA nodes. Optionally copy it to the drive:\WebAccess\Client (for use by web local browser).

Note - even though it says bwclient.ini,when copied to drive:\Webaccess\Node, it is used by the SCADA and Project Node software for acting like a client to itself!


25.6.2 Tooltips

25.6.2 Tooltips in VIEW

Tooltips set in SCADA Node properties apply to all ViewDAQs on the SCADA node and all View clients connecting to the SCADA node (see 3.2.31.1 Tooltip Settings).

The BWCLIENT.INI file can be used to over-ride the Tooltip settings in SCADA Node properties.

Users have the option to define “ToolTips” in VIEW. A tooltip is a small box that appears when the mouse is placed over an animated point on the graphic display (i.e. highlighted). The point must be “pickable” for the tooltip to appear. Users specify a format that will automatically show the Tagname and any other user-defined information (for example, description, value, high scale and low scale) for the tooltip.

To enable this option, add a “tooltip” section into bwclient.ini located in WebAccess Node/Client directories using the following syntax:

[tooltip]

1=text11.field11text12.field12text13.field13text14.field14……….. -> Tool tip information for analog point

2=text21.field21text22.field22text23.field23text24.field24……….. -> Tool tip information for digital point

3=text31.field31text32.field32text33.field33text34.field34……….. -> Tool tip information for text point

where “text??” can be any text string and “.field??” can be any tag field name in capital letters.

For example,

[tooltip]

1=Tag: .NAME\r\nDescription: .DESCRP\r\nType: .TYPE

2=Tag: .NAME\r\nDescription: .DESCRP\r\nType: .TYPE

3=Tag: .NAME\r\nDescription: .DESCRP\r\nType: .TYPE

will have display tool tip information for analog, digital, and text points using the following format:

Tag: tag name

Description: tag description

Type: tag type

Please note that to display tool tip information in the same line, replace “\r\n” in the above example with a space.

The BWCLIENT.INI exits on all clients, the SCADA Node and the Project Node. It is used to customize VIEW, DRAW, ViewDAQ (on the SCADA Node) and DrawDAQ (on the Project Node).

Note that a similar file exists might exist in two places on a SCADA Node and Project Node, one for VIEW and DRAW (using a web browser) and one for ViewDAQ or DrawDAQ.

For VIEW and DRAW it is typically in C:\WebAccess\Client\bwclient.ini
For ViewDAQ and DrawDAQ it is typically in C:\WebAccess\Node\bwclient.ini

Tool Tip to display a tag’s value.

Use .VALUE in the “tooltip” section of the bwclient.ini located in WebAccess Node/Client directory to display the tag value in tool tip. An example is shown below.

[tooltip]

1=Tag: .NAME\r\nValue: .VALUE\r\nDescription: .DESCRP\r\nType: .TYPE

2=Tag: .NAME\r\nValue: .VALUE\r\nDescription: .DESCRP\r\nType: .TYPE

3=Tag: .NAME\r\nValue: .VALUE\r\nDescription: .DESCRP\r\nType: .TYPE

The example above will display tool tip information for analog, digital, and text points using the following format:

Tag: tag name

Value: tag value

Description: tag description

Type: tag type.

Trend Hairline Tooltip

To override the Trend Hairline Tooltip settings for SCADA node or client computer, please add [tooltip] section to its corresponding bwclient.ini. For example,

[tooltip]

hairline=x

where x is 0 (disabled) or 1 (enabled).

Trend Hairline ToolTip

Discrete Tag ToolTip


25.7 USERDEF.INI

User can create a "USERDEF.INI" file to disable comports or devices when the kernel starts. The user would then enable the com port or device when the kernel is running. An example format of the USERDEF.INI is:

[Disabled_PortDevice]

Port3=1

Port4_Unit5=1

Where the first entry disables port 3. The second line disables unit 5 on port 4.

The file USERDEF.INI must be created on the SCADA node at drive:\WebAccess\Node\Project_Nodename.

See also: 9.3.8 Station Status (Communication Status), 4.9.2.3 %DCOMST


25.8 BWPRINT.INI

To use the printer on the project node for Alarm Log and Action Log, modify the BWPRINT.INI file to include:

ALARM_LOG_PRINTER_ON_PROJECT=1

ACTION_LOG_PRINTER_ON_PROJECT=1

The file BWPRINT.INI is located at drive:\WebAccess\Node\


26.1 Serial Communications : reference

This section applies to SCADA nodes and Serial communications to Field Devices.

The SCADA node is usually a Pentium, Celeron or Athlon PC running Windows 2003, 2000 or XP Professional. All Pentium Personal computers are typically equipped with two serial ports and one parallel port. Although these two types of ports are used for communicating with external devices, they work in different ways.

A parallel port sends and receives data eight bits at a time over 8 separate wires. This allows data to be transferred very quickly; however, the cable required is more bulky because of the number of individual wires it must contain. Parallel ports are typically used to connect a PC to a printer and are rarely used for much else. Note that the License Hard key is connected directly to the Parallel Port in Advantech WebAccess SCADA nodes.

A serial port sends and receives data one bit at a time over one wire. While it takes eight times as long to transfer each byte of data this way, only a few wires are required. In fact, two-way (full duplex) communications is possible with only three separate wires - one to send, one to receive, and a common signal ground wire.

Bidirectional Communications

The serial port on your PC is a full-duplex device meaning that it can send and receive data at the same time. In order to be able to do this, it uses separate lines for transmitting and receiving data. Some types of serial devices support only one-way communications and therefore use only two wires in the cable - the transmit line and the signal ground.

Communicating by Bits

Once the start bit has been sent, the transmitter sends the actual data bits. There may either be 5, 6, 7, or 8 data bits, depending on the number you have selected. Both receiver and the transmitter must agree on the number of data bits, as well as the baud rate. Almost all devices transmit data using either 7 or 8 data bits.

After the data has been transmitted, a stop bit is sent. A stop bit has a value of 1 - or a mark state - and it can be detected correctly even if the previous data bit also had a value of 1. This is accomplished by the stop bit's duration. Stop bits can be 1, 1.5, or 2 bit periods in length.

Parity

Besides the synchronization provided by the use of start and stop bits, an additional bit called a parity bit is optionally transmitted along with the data. A parity bit affords a small quantity of error checking, to help detect data corruption that might occur during transmission. You can choose even parity, odd parity, mark parity, space parity or none at all. When even or odd parity is being used, the number of marks (logical 1 bits) in each data byte are counted, and a single bit is transmitted following the data bits to indicate whether the number of 1 bits just sent is even or odd.

For example, when even parity is chosen, the parity bit is transmitted with a value of 0 if the number of preceding marks is an even number. For the binary value of 0110 0011 the parity bit would be 0. If even parity were in effect and the binary number 1101 0110 were sent, then the parity bit would be 1. Odd parity is just the opposite, and the parity bit is 0 when the number of mark bits in the preceding word is an odd number. Parity error checking is very rudimentary. While it will tell you if there is a single bit error in the character, it doesn't show which bit was received in error. In addition, if an even number of bits were in error then the parity bit would not reflect any error at all.

Mark parity means that the parity bit is always set to the mark signal condition and likewise space parity always sends the parity bit in the space signal condition. Since these two parity options serve no useful purpose whatsoever, they are almost never used and are not supported in most Web Access drivers .


RS-232C

RS-232 stands for Recommend Standard number 232 and C is the latest revision of the standard. The serial ports on most computers use a subset of the RS-232C standard. The full RS-232C standard specifies a 25-pin "D" connector of which 22 pins are used. Most of these pins are not needed for normal PC communications, and indeed, most new PCs are equipped with male D type connectors having only 9 pins.


DCE and DTE Devices

Two terms you should be familiar with are DTE and DCE. DTE stands for Data Terminal Equipment, and DCE stands for Data Communications Equipment. These terms are used to indicate the pin-out for the connectors on a device and the direction of the signals on the pins. Your computer is a DTE device, while most other devices are usually DCE devices.

If you have trouble keeping the two straight then replace the term "DTE device" with "your PC" and the term "DCE device" with "remote device" in the following discussion.

The RS-232 standard states that DTE devices use a 25-pin male connector, and DCE devices use a 25-pin female connector. You can therefore connect a DTE device to a DCE using a straight pin-for-pin connection. However, to connect two like devices, you must instead use a null modem cable. Null modem cables cross the transmit and receive lines in the cable, and are discussed later in this chapter. The listing below shows the connections and signal directions for both 25 and 9-pin connectors.


25 Pin Connector on a DTE device (PC connection)

Pin Number | Direction of signal:
1 | Protective Ground
2 | Transmitted Data (TD) Outgoing Data (from a DTE to a DCE)
3 | Received Data (RD) Incoming Data (from a DCE to a DTE)
4 | Request To Send (RTS) Outgoing flow control signal controlled by DTE
5 | Clear To Send (CTS) Incoming flow control signal controlled by DCE
6 | Data Set Ready (DSR) Incoming handshaking signal controlled by DCE
7 | Signal Ground Common reference voltage
8 | Carrier Detect (CD) Incoming signal from a modem
20 | Data Terminal Ready (DTR) Outgoing handshaking signal controlled by DTE
22 | Ring Indicator (RI) Incoming signal from a modem


9 Pin Connector on a DTE device (PC connection)

Pin Number | Direction of signal:
1 | Carrier Detect (CD) (from DCE) Incoming signal from a modem
2 | Received Data (RD) Incoming Data from a DCE
3 | Transmitted Data (TD) Outgoing Data to a DCE
4 | Data Terminal Ready (DTR) Outgoing handshaking signal
5 | Signal Ground Common reference voltage
6 | Data Set Ready (DSR) Incoming handshaking signal
7 | Request To Send (RTS) Outgoing flow control signal
8 | Clear To Send (CTS) Incoming flow control signal
9 | Ring Indicator (RI) (from DCE) Incoming signal from a modem

The TD (transmit data) wire is the one through which data from a DTE device is transmitted to a DCE device. This name can be deceiving, because this wire is used by a DCE device to receive its data. The TD line is kept in a mark condition by the DTE device when it is idle. The RD (receive data) wire is the one on which data is received by a DTE device, and the DCE device keeps this line in a mark condition when idle.

RTS stands for Request To Send. This line and the CTS line are used when "hardware flow control" is enabled in both the DTE and DCE devices. The DTE device puts this line in a mark condition to tell the remote device that it is ready and able to receive data. If the DTE device is not able to receive data (typically because its receive buffer is almost full), it will put this line in the space condition as a signal to the DCE to stop sending data. When the DTE device is ready to receive more data (i.e. after data has been removed from its receive buffer), it will place this line back in the mark condition. The complement of the RTS wire is CTS, which stands for Clear To Send. The DCE device puts this line in a mark condition to tell the DTE device that it is ready to receive the data. Likewise, if the DCE device is unable to receive data, it will place this line in the space condition. Together, these two lines make up what is called RTS/CTS or "hardware" flow control. The Software Wedge supports this type of flow control, as well as Xon/XOff or "software" flow control. Software flow control uses special control characters transmitted from one device to another to tell the other device to stop or start sending data. With software flow control the RTS and CTS lines are not used.

DTR stands for Data Terminal Ready. Its intended function is very similar to the RTS line. DSR (Data Set Ready) is the companion to DTR in the same way that CTS is to RTS. Some serial devices use DTR and DSR as signals to simply confirm that a device is connected and is turned on. The Software Wedge sets DTR to the mark state when the serial port is opened and leaves it in that state until the port is closed. The DTR and DSR lines were originally designed to provide an alternate method of hardware handshaking. It would be pointless to use both RTS/CTS and DTR/DSR for flow control signals at the same time. Because of this, DTR and DSR are rarely used for flow control.

CD stands for Carrier Detect. Carrier Detect is used by a modem to signal that it has a made a connection with another modem, or has detected a carrier tone.

The last remaining line is RI or Ring Indicator. A modem toggles the state of this line when an incoming call rings your phone.

The Carrier Detect (CD) and the Ring Indicator (RI) lines are only available in connections to a modem. Because most modems transmit status information to a PC when either a carrier signal is detected (i.e. when a connection is made to another modem) or when the line is ringing, these two lines are rarely used.


9 to 5 Pin Adapters

The following table shows the connections inside a standard 9 pin to 25-pin adapter.

9-Pin Connector | 25 Pin Connector
Pin 1 DCD | Pin 8 DCD
Pin 2 RD | Pin 3 RD
Pin 3 TD | Pin 2 TD
Pin 4 DTR | Pin 20 DTR
Pin 5 GND | Pin 7 GND
Pin 6 DSR | Pin 6 DSR
Pin 7 RTS | Pin 4 RTS
Pin 8 CTS | Pin 5 CTS
Pin 9 RI | Pin 22 RI


Baud vs. Bits per Second

The baud unit is named after Jean Maurice Emile Baudot, an officer in the French Telegraph Service. He is credited with devising the first uniform-length 5-bit code for characters of the alphabet in the late 19th century. What baud really refers to is modulation rate or the number of times per second that a line changes state. This is not always the same as bits per second (BPS). If you connect two serial devices together using direct cables then baud and BPS are in fact the same. Thus, if you are running at 19200 BPS, then the line is also changing states 19200 times per second. But when considering modems, this isn't the case.

Because modems transfer signals over a telephone line, the baud rate is actually limited to a maximum of 2400 baud. This is a physical restriction of the lines provided by the phone company. The increased data throughput achieved with 9600 or higher baud modems is accomplished by using sophisticated phase modulation, and data compression techniques.


Cables, Null Modems, and Gender Changers

In a perfect world, all serial ports on every computer would be DTE devices with 25-pin male "D" connectors. All other devices to would be DCE devices with 25-pin female connectors. This would allow you to use a cable in which each pin on one end of the cable is connected to the same pin on the other end. Unfortunately, we don't live in a perfect world. Serial ports use both 9 and 25 pins, many devices can be configured as either DTE or DCE, and - as in the case of many data collection devices - may use completely non standard or proprietary pin-outs. Because of this lack of standardization, special cables called null modem cables, gender changers and custom made cables are often required.


Cables Lengths

The RS-232C standard imposes a cable length limit of 50 feet. You can usually ignore this "standard", since a cable can be as long as 10000 feet at baud rates up to 19200 if you use a high quality, well shielded cable. The external environment has a large effect on lengths for unshielded cables. In electrically noisy environments, even very short cables can pick up stray signals. The following chart offers some reasonable guidelines for 24-gauge wire under typical conditions. You can greatly extend the cable length by using additional devices like optical isolators and signal boosters. Optical isolators use LEDs and Photo Diodes to isolate each line in a serial cable including the signal ground. Any electrical noise affects all lines in the optically isolated cable equally - including the signal ground line. This causes the voltages on the signal lines relative to the signal ground line to reflect the true voltage of the signal and thus canceling out the effect of any noise signals.

.

Baud Rate | Shielded Cable Length | Unshielded Cable Length
110 | 5000 | 1000
300 | 4000 | 1000
1200 | 3000 | 500
2400 | 2000 | 500
4800 | 500 | 250
9600 | 250 | 100


Gender Changers

A problem you may encounter is having two connectors of the same gender that must be connected. You can purchase gender changers at any computer or office supply store for under $5.

Note: The parallel port on a PC uses a 25 pin female connector, which sometimes causes confusion because it looks just like a serial port except that it has the wrong gender. Both 9 and 25 pin serial ports on a PC will always have a male connector.


Null Modem Cables and Null Modem Adaptors

If you connect two DTE devices (or two DCE devices) using a straight RS232 cable, then the transmit line on each device will be connected to the transmit line on the other device and the receive lines will likewise be connected to each other. A Null Modem cable or Null Modem adapter simply crosses the receive and transmit lines so that transmit on one end is connected to receive on the other end and vice versa. In addition to transmit and receive, DTR & DSR, as well as RTS & CTS are also crossed in a Null modem connection.

Null modem adapter are available at most computer and office supply stores for under $5.


Synchronous and Asynchronous Communications

There are two basic types of serial communications, synchronous and asynchronous. With Synchronous communications, the two devices initially synchronize themselves to each other, and then continually send characters to stay in sync. Even when data is not really being sent, a constant flow of bits allows each device to know where the other is at any given time. That is, each character that is sent is either actual data or an idle character. Synchronous communications allows faster data transfer rates than asynchronous methods, because additional bits to mark the beginning and end of each data byte are not required. The serial ports on IBM-style PCs are asynchronous devices and therefore only support asynchronous serial communications.

Asynchronous means "no synchronization", and thus does not require sending and receiving idle characters. However, the beginning and end of each byte of data must be identified by start and stop bits. The start bit indicates when the data byte is about to begin and the stop bit signals when it ends. The requirement to send these additional two bits cause asynchronous communications to be slightly slower than synchronous however it has the advantage that the processor does not have to deal with the additional idle characters.

An asynchronous line that is idle is identified with a value of 1, (also called a mark state). By using this value to indicate that no data is currently being sent, the devices are able to distinguish between an idle state and a disconnected line. When a character is about to be transmitted, a start bit is sent. A start bit has a value of 0, (also called a space state). Thus, when the line switches from a value of 1 to a value of 0, the receiver is alerted that a data character is about to come down the line.


26.2 Windows CE – SCADA node

24.2 Windows CE – SCADA node

Advantech Advantech WebAccess SCADA Node software will run on Microsoft® Windows CE as a SCADA node with a local view or as a blind SCADA node. Both are viewable remotely using an ordinary web browser. The blind CE SCADA node can scan thousand of IO Tags due to lower overhead. The Advantech WebAccess CE SCADA node with local ViewDAQ supports almost all features of the Advantech WebAccess 2000 / XP product (except email, scheduled reports, scripts and video).

Combined with a Windows 32 VIEW client, more features are supported (local scripts and Video are supported on a Windows 32 web browser client).

Versions of the Advantech WebAccess SCADA node software are supplied on Windows CE platforms by a variety of hardware manufacturers. These devices, the Microsoft Windows CE operating system, license and SCADA node software are supplied as a ‘bundled package’ from these hardware manufacturers.


26.2.1 Features of Advantech WebAccess supported by Windows CE include:

The Advantech WebAccess SCADA node software has many of the features found in the Win32 version.

· Use Microsoft® Windows CE Embedded as a SCADA Node.

· Local ViewDAQ on Microsoft® Windows CE Embedded SCADA Node (no scripts or email).

· Web browser based VIEW client allows a remote user to access the Win CE embedded system using an ordinary Web Browser from Windows 32 based PC (e.g. 2000, XP) with full animation including local scripts.

· Thin Client allows remote user access to embedded system using an ordinary Web Browser from Windows 32 based PC (e.g. 2000, XP).

· Remote engineering, database and graphics download to Embedded CE nodes using a web browser.

· Fast Development using pre-built database, dialog boxes and graphic templates. Share graphics between Windows CE and Windows 32 platforms using object oriented Vector-based Graphics.

· Fully animated graphics, with flashing color, motion, and pop-ups
(no scripts!).

· Overview, Faceplate Groups, Block Detail and Point Detail displays.

· Local Point Info Dialog Boxes.

· Local Alarming.

· Local Alarm Log and Local Action Log.

· Real-time and Historical Trending and Data Logging to local hard drive.

· Recipes.

· Scheduler.

· Multi-Layer Security.

· Fully Scaleable Web application with Management Tools.

· Combine CE SCADA nodes with Windows 2000, XP and XP Embedded SCADA nodes in same system.

· Fast Display and Communications performance.

· Communication to most serial and TCP/IP based devices (contact your sales office for a list of Windows CE support device drivers).

· Most Display Group functions


26.2.2 Features supported in Windows CE with a Project Node

The following features require that the WinCE SCADA node be part of a system with a Win 32 Project Node (e.g. Windows 2000, 2003 or XP). The following features are not supported by a standalone Windows CE SCADA node.

· Logging to ODBC databases is supported by Windows CE if it is part of a system with a Project Node running

o Data Log to ODBC

o Alarm Log to ODBC

o Action Log to ODBC

o Event Log

o Scheduled Reports.


26.2.3 Features Not supported in Windows CE

· Centralized Logs on the Project Node and HTML Reports under the Tools menu of VIEW clients are not supported by Windows CE SCADA node in VIEW or ViewDAQ. The following are not supported by a connection to the WinCE SCADA Node:

o Analog Data Log

o Discrete Data Log

o System Log,

o System Alarm Log

o System Action Log.

o Event Log.

Note – the above features can be accessed from a Win-32 SCADA node hat is part of the same project as the WinCE SCADA node.

· Email of Scheduled Reports is not supported in CE.

· Email Acknowledgement of Alarms in not supported in Windows CE.

Note – A Win32 SCADA node can acknowledge Alarms on a CE node via email.

· Global Scripts (tcl) are not supported in CE.

· Local Scripts in ViewDAQ are not supported in CE.

Note- Local Scripts (screen scripts) are supported on a Windows 32 client connected to a WinCE SCADA node.

· Alarm Voice (Text-to-Speech Alarm notification) is not supported in CE.

· Global Tags are not supported in Windows CE. The WinCE SCADA node cannot read the value of tags on other SCADA nodes (no peer-to-peer).

· Global Alarm list in the Local ViewDAQ or VIEW client is not supported in CE.

Note – the WinCE Alarms will appear in a Win32 SCADA node or client connected to a Win32 SCADA node that is part of the project.

· VIEW client running on the Windows CE node.

Note – a Win32 VIEW client can connect to a WinCE SCADA node.

· Pop-up Dependent Display Groups are no supported in Windows CE (ViewDAQ)

· Most API-based communications drivers found in Win32 are not supported in Win CE (for example, RSLINX, Siemens Softnet S7).

· Peer to Peer Communication not supported.


26.2.4 Configuring a WinCE SCADA (Node Properties)

Your Windows CE SCADA node should be supplied from the manufacturer with the SCADA node software and license file installed.

To configure the SCADA node, you must connect to a Windows 32- based Project Node (e.g. XP or 2000) and use the web browser to configure the SCADA node properties and Tags in the Project Manager.

Configuring a Windows CE SCADA node is the same as any other node, except the following features should not be used:

· Outgoing Email (SMTP) Server - email is not support in Win CE.

· Email From - email is not support in Win CE

· Report Email To - email is not support in Win CE

· Report Email Cc - email is not support in Win CE

· Alarm Email To - email is not support in Win CE

· Alarm Email Cc - email is not support in Win CE

· Reply Alarm Email to Ack. No - email is not support in Win CE

· Global Script via Email No - email is not support in Win CE

· Global Script Security Code - email is not support in Win CE

· Incoming Email (POP3) Server - email is not support in Win CE

· Email Account Name - email is not support in Win CE

· Email Password - email is not support in Win CE

· Check Email Every 60 Seconds - email is not support in Win CE

· Alarm Voice - Text-to-Speech is not supported in CE.

· Video is not supported in CE.

· Reports are not supported in CE (i.e. No Scheduled Reports).

Warning - The current version of Advantech WebAccess (4.0-2004.06.22) will allow you to enable these features. Some of these will prevent the Windows CE SCADA node from starting.


26.2.5 Manufacturers’ Guide – Windows CE

The Hardware manufacturer needs to supply all the Windows CE components required, including:

· Windows CE 4.1 .NET (or later)

· Microsoft Foundation Class Library to support EXE and DLL applications

o MFC EXE

o MFC DLL

· TCP/IP communications and supporting services

· IP and supporting services

· Windows Networking and supporting communication services

· RPC (Remote Procedure Call) service

· Remote Display Application for Remote Desktop is recommended (not required).

· WordPad is recommended (not required).

IMPORTANT - Not all Windows CE platforms support Advantech WebAccess SCADA node software. Testing should be performed by the hardware vendor to ensure appropriate Windows CE components are installed.

WordPad is recommend to allow the ‘Remote Access Code’, ‘TCP Ports’, web server path, address mapping and other features to be edited manually in the bwserver.ini and other INI files from the CE device. This is optional.

The Remote Display service is recommended to allow remote connection via the Remote Desktop of a Windows 32 PC to edit files or troubleshoot the Win CE device. This is optional.


26.2.6 SCADA Node Software Installation – Win CE

The Advantech WebAccess SCADA node software program files for Windows CE are generally supplied as an archive file (for example a Zip file). There is no Setup.exe or other installation program.

There is no WinZip for CE. The supplied win_x86rel.zip should be unzipped on a shared resource or other Windows 32 PC (e.g. XP or 2003).

The Advantech WebAccess SCADA node program files should be copied to the hard drive of the WinCE platform. This can be done via a shared resource (e.g. network drive) or Remote Desktop, available optionally in Windows CE.

The preferred folder is \WebAccess\Node for the location of the Advantech WebAccess SCADA node software.

The ‘Data Log Folder’ can be specified in SCADA Node properties (in the Project Manager) to allow data log Trend files to be located on the Hard Drive or flash memory.

Note -If using flash memory, all files will be erased if the CE node is restarted. Do NOT install the Advantech WebAccess SCADA node program files to flash memory.


26.2.7 Demo License – Win CE

A demo license is supplied in the SCADA Node program files for Windows CE (win_x86rel.zip). This will allow the WinCE SCADA node to run for 1 hour.

The Project Node software (configuration tool) does not require a license. The Project Node software runs on a Windows 32 only (e.g. Windows 2000 Professional or Server, Windows 2003 Server or Windows XP Professional)


26.3 Demand Control (Load Shedding)

24.3 Demand Control (Load Shedding)

Demand Control attempts to reduce utility expenses by lowering or turning off (shedding) loads.

The loads are shed in order of priority. Low priority loads are shed first, higher priority loads later. (There are 6 priorities with priority 1 being the first to be shed).

Loads are the physical equipment that the Demand Control turns off (for example, lights, fans, motors, and air conditioners). On-Off loads are called Binary Loads. Loads that can be moved through a range are called Analog Loads. Up to 4 ranges can be specified in Demand Control for each analog load.

Figure 24.3 - Demand Control shortly after startup when lines easily labelled. 15 minute period

A Moving Window (also called a Sliding Window or Period) is used to calculate power usage continuously. The interval of this moving window can be specified, 15 minutes and 1 hour being commonly used. If 15 minutes, the algorithm works to ensure demand is less than Target Demand over the last 15 minutes at any 15-minute window in time (hence, the moving window analogy). The current moving window's KWH (Consumption) and KW (Demand) are shown in Red and labelled CP (Current Period). The Previous moving window's KWH and KW are shown in White.

Minimum On Time, Minimum Off Time and Maximum Off time are also used by the algorithm in selecting loads to shed.

The Demand Target is usually the maximum KW allowed in a Utility Contract (or Tariff). Summer, Saturday, Off-Peak and Non-Peak Season demand targets can be specified.

An High Control Limit and a Low Control Limit are specified as a percent of the Demand Target.

The High Control Limit is the actual not to exceed limit of the algorithm. Making it less than the Demand Target allows for unexpected surges in Power.

The Demand Control takes no action until Current demand exceeds the Low Control Limit.

The algorithm runs 1 per minute. Once the once the current demand exceeds the low control limit, the algorithm calculates a worse case scenario and sheds loads to avoid exceeding demand limit.

Demand Control shaves off demand peaks in the facilities demand profile for a sliding window. The sliding window (typically 15 minutes in most energy contracts) can be defined by the user. This is a continuously moving window of the last 15 minutes (or whatever is defined by the user). The previous window is also displayed.

WebAccess Demand Control is designed for electric power, but could be used for gas, steam or other energy loads.

To configure Demand Control, you define a Load Group, the meters used to measure the power consumption then define the loads associated with the Load Group object. A load group can have hundreds of loads associated with it. Typically it has only one kilo-watt hour meter, but dozens of meters can be defined. The Demand Control expects the meter to be in KiloWatt-hours. If only a kilowatt meter is available, an Accumulation Tag in WebAccess could be used to generate the KiloWatt-hours. Kilo-Watt meter input is also used by the algorithm

The Demand Control is implemented using Blocks. Each Load has a Block created by WebAccess Configuration. These Blocks run on the SCADA node. Each load can be associated with only one Load Group (assign a load to one Load Group only. There can be hundreds of Load Groups defined for a SCADA node, although typically there is one per building. The SCADA node also performs the Demand Control Algorithm.

Note - The Blocks are named for the Loads. Do not name a Load after an existing IO tag or that IO tag will be erased or corrupted.

Tariffs are a way to specify different Target Demands. Currently Peak, Off Peak and Half-Peak Saturday are supported. These are demand based on the Day of the Week. Each Tariff has its own peak demand target level. Only one Tariff is active at any one time. This allows the Demand Control to take into account multiple tariffs provided by some utility companies (for example, cheaper power on weekends).

It is recommended to balance and shed loads manually before turning on Load Control if Demand is significantly above Target to avoid aggressive shedding by the algorithm on start up.

Figure 24.3 - Demand Control in Normal operation: High Limit, Current Period KWH and Previous Period KWH lines close or overlapping


26.3.1.1 Configure Demand Control

To configure Demand Control, got to SCADA Node properties and pick the Demand Control hyperlink at the top of the Node Property page.

Figure 24.3.1.1 - Kilowatt-Hour (KWH) meters and Kilowatt (KW) meters defined for measuring power usage

Demand Control is a licensed option per SCADA node. It will appear in Node properties even if you do not have the Demand Control options.

Hint - a quick way to find out is to Start VIEW, log-in, then use the Right Click menu and select Tools. If the SCADA node has the Demand Control License is will appear in the Right-Click Tools Menu in VIEW.

Figure 24.3.1b - Right Click Tools Menu shows if Demand Control License is available on the SCADA node

To configure Demand Control, you define a Load Group.

Select Add Load Group from the Load Group List.

Figure 24.3.1.c - Empty Load Group List

Go to 24.3.1.2 Load Group

To modify an exiting Load Group, select the Update hyperlink.

Figure 24.3.1.d - Load Group List


26.3.1.2 Load Group

1. To configure Demand Control, you define a Load Group, the meters used to measure the power consumption then define the loads associated with the Load Group. A load group can have hundreds of loads associated with it. Typically it has only one kilo-watt hour meter, but a dozen of meters can be defined. The Demand Control expects the meter to be in KiloWatt-hours. Kilo-Watt meter input is also used by the algorithm.

Active Energy Tag Name is a Kilowatt Hour meter (KWH).

Active Power Tag Name is a Kilowatt meter (KW).

If only a kilowatt meter is available, an Accumulation Tag in WebAccess could be used to generate the KiloWatt-hours. Calculation Tags can also be used to convert Watts or Watt-hours to KiloWatts and Kilowatt-hours

Figure 24.3.1.1 - Kilowatt-Hour (KWH) meters and Kilowatt (KW) meters defined for measuring power usage

2. In the Tariff Section define a Beginning and End for Summer in the format Month/Day.

Figure 24.3.1.1.2 - Tariffs and Loads

3. In Tariff1 row, select Add. The Add Tariff page opens.

Tariffs are a way to specify a different Demand Target based on Day of Week and Date. Currently Peak, Off Peak and Half-Peak Saturday are supported (essentially 3 tariffs and 6 Demand Targets).

Note there is room to specify 4 but in the current version of WebAccess there is no way to specify a fourth.

These are demand based on the Day of the Week. Each Tariff has its own peak demand target level. Only one Tariff is active at any one time. This allows the Demand Control to take into account multiple tariffs provided by some utility companies (for example, cheaper power on weekends).

If Off-Peak is selected, a Calender opens to allow specifying which days are Off-Peak. A radio button allows all Sundays to be selected. This is good for a year in the future.

4. Define and Unload High Control Limit as a percent of the Demand Target. The High Control Limit is the actual not to exceed limit of the algorithm. Making it less than the Demand Target allows for unexpected surges in Power.

5. Define a Unload Low Control Limit are specified as a percent of the Demand Target. The Demand Control takes no action until Current demand exceeds the Low Control Limit.

The algorithm runs 1 per minute. Once the once the current demand exceeds the low control limit, the algorithm calculates a worse case scenario and sheds loads to avoid exceeding demand limit. If loads increase rapidly, then the Unload Load Limit should be decreased to allow time for the Algorithm to react. Making the Unload Low Limit to big results in unnecessary shedding.

6. Define the Demand Interval. Demand Control shaves off demand peaks in the facilities demand profile for a sliding window. The sliding window (typically 15 minutes in most energy contracts) can be defined by the user. This is a continuously moving window of the last 15 minutes (or whatever is defined by the user). The previous window is also displayed.

This defines a Moving Window (also called a Sliding Window or Period) is used to calculate power usage continuously. The interval of this moving window can be specified, 15 minutes and 1 hour being commonly used. If 15 minutes, the algorithm works to ensure demand is less than Target Demand over the last 15 minutes at any 15-minute window in time (hence, the moving window analogy). The current moving window's KWH (Consumption) and KW (Demand) are shown in Red and labelled CP (Current Period). The Previous moving window's KWH and KW are shown in White in the Load Group Display.

7. Define the mode of the Control Algorithm when the SCADA Node starts.
ON means the Control Algorithm start immediately.
Close means it is OFF until an operator goes the Laod Control Group Display and presses ON.
Monitor Only is that the algorithm calculates and displays its estimate in the Load Control Group Display, but does not shed load.

It is recommended to balance and shed loads manually before turning on Load Control if Demand is significantly above Target to avoid aggressive shedding by the algorithm on start up.

8. Tracking Period is for Display purposes only and Displays the KWH for the Tracking Period. Hourly is the KWH resets to 0 on the Hour. Daily, the KWH reset at midnight, etc. This is displayed at the bottom left of the Load Group Display.

Loads are the physical equipment that the Demand Control turns off (for example, lights, fans, motors, and air conditioners.)

The loads are shed in order of priority. Low priority loads are shed first, higher priority loads later. (There are 6 priorities with priority 1 being the first to be shed).

9. In Load Shed Priority 1, select Add Load. the Add Load page opens.

10. Repeat Add Load to add additional Priority 1 loads.

11. Repeat Add Load to add loads of other priorities.


26.3.1.3 Load

Loads are the physical equipment that the Demand Control turns off (for example, lights, fans, motors, and air conditioners.)

The loads are shed in order of priority. Low priority loads are shed first, higher priority loads later. (There are 6 priorities with priority 1 being the first to be shed).

1. In the Load Group, select Add or Update in the Load section of the Load Group. The Add Load page opens.

2. Select a Load Type. On-Off loads are called Binary Loads.

Loads that can be moved through a range are called Analog Loads. Up to 4 ranges can be specified in Demand Control for each analog load. ( Note - The Analog Load Ranges do no behave as expected in this version of WebAccess and should be tested in a simulation before applying then to a real system).

Figure 24.3.1.1 - Kilowatt-Hour (KWH) meters and Kilowatt (KW) meters defined for measuring power usage

3. Define a Load Name. The Demand Control is implemented using Blocks. Each Load has a Block created by WebAccess Configuration. These Blocks run on the SCADA node.

N ote - The Blocks are named for the Loads. Do not name a Load after an existing IO tag or that IO tag will be erased or corrupted.

4. Specify the IO Tag used to Control this load as the Load Control Tag. The is a pull-down menu of al tags configured in the SCADA node. This is typically a Discrete Output IO tag to a Relay or ON/OFF signal. Analog Outputs to set points and speed control are other examples.

5. Optionally, specify a Load Alarm Tag. If this tag is in Alarm, the load will NOT be shed.

6. Specify a Minimum On Time, Minimum Off Time and Maximum Off time to used by the algorithm in selecting loads to shed. If the load will be removed from the shed selection based on these and higher priority loads will be shed.

7. Specify the initialization state of the Load. Lock (Yes) means the Load is removed from the Demand Control Algorithm and will not be shed. An operator must go to the Load Detail Display and select unlock.

8. Enter the Control Output High to Low. For Binary Load, only Range 1 is used and must be 1 to 0.

9. Loads that can be moved through a range are called Analog Loads. Up to 4 ranges can be specified in Demand Control for each analog load. ( Note - The Analog Load Ranges do no behave as expected in this version of WebAccess and should be tested in a simulation before applying then to a real system).

10.Enter the Energy Savings in KW. This is used by the algorithm to estimate haw much load to shed. If this number is too load. The Demand Control algorithm will perform adequately only if these amounts are accurate.

Each load can be associated with only one Load Group (assign a load to one Load Group only. There can be hundreds of Load Groups defined for a SCADA node, although typically there is one per building. The SCADA node also performs the Demand Control Algorithm.


26.3.2 Load Group Display

Demand Control is a licensed option per SCADA node. It will appear in Node properties even if you do not have the Demand Control options.

Figure 24.3.2 - Right Click Tools Menu shows if Demand Control License is available on the SCADA node

1. To open a Load Group Display, use the Right Click -> Tools menu in VIEW.

In ViewDAQ select Tools from the menu bar.

2. The Load Group List opens. Select the desired Load Group.

Figure 24.3.2b - Load Group List

Figure 24.3 - Load Group Display shortly after startup when lines easily labelled. 15 minute period

A Moving Window (also called a Sliding Window or Period) is used to calculate power usage continuously. The interval of this moving window can be specified, 15 minutes and 1 hour being commonly used. If 15 minutes, the algorithm works to ensure demand is less than Target Demand over the last 15 minutes at any 15-minute window in time (hence, the moving window analogy). The current moving window's KWH (Consumption) and KW (Demand) are shown in Red and labelled CP (Current Period). The Previous moving window's KWH and KW are shown in White.

Target (KW) and is shown in GREEN is the target not to exceed.

High Limit (in Yellow) is the Unload High Control Limit as a percent of the Demand Target. The High Control Limit is the actual not to exceed limit of the algorithm. Making it less than the Demand Target allows for unexpected surges in Power.

Low Limit is the Unload Low Control Limit are specified as a percent of the Demand Target. The Demand Control takes no action until Current demand exceeds the Low Control Limit. Below the low limit all loads are unshed (not in shed state).

Power of Current Interval is calculated from the KiloWatt-Hour meters. It is the integrated energy divided by the time of this interval (the demand period).

Shed Amount is how much is currently in the shed stage. This amount is based on the sum of energy savings estimate entered for each load in the shed state.

Power is the instantaneous power from the Active Power meter in KW.

Current Period is the Tracking Period specified in the Load Group and is for Display purposes only. Displays the KWH for the Tracking Period. It is either Daily, Hourly, Weekly or Monthly. Hourly is the KWH resets to 0 on the Hour. Daily, the KWH reset at midnight, etc. This is displayed at the bottom left of the Load Group Display.

Consumption is the KWH since the start of the Current Tracking Period (Hour, Day, Week or Month).

CP Demand is the Current Period power demand in KW. It is displayed in dark red on the Display. If the Demand Interval in the Load Group was configured as 15-minutes, then this is the KWH divided by15 minutes or KWH times 4.

PP Demand is the Previous Period power demand in KW. It is displayed in grey on the Display. If the Demand Interval in the Load Group was configured as 15-minutes, then this is the KWH divided by15 minutes or KWH times 4.

CP Consumption is the Current Period power demand in KWH. It is displayed in red on the Display. If the Demand Interval in the Load Group was configured as 15-minutes, then this is the KWH consumed over the last 15 minutes.

PP Consumption is the Previous Period power demand in KWH. It is displayed in white on the Display. If the Demand Interval in the Load Group was configured as 15-minutes,then this is the KWH consumed over the last 15 minutes.

Program controls the Demand Control algorithm its states are ON, OFF and Monitor Only. It is recommended to balance and shed loads manually before turning on Load Control if Demand is significantly above Target to avoid aggressive shedding by the algorithm on start up.

Shed Report is either Normal or Alarm. If the Demand Exceeds the Target the Shed Report state is Alarm.

Load Detail takes you to page two of the Load Group. This allows you to Lock, Unlock and Control Loads. Also see the shed state of Loads. It is actually a the second page of this Block Detail display.

Below is a Load Group display operating in normal conditions. The lines all over lap are a so clause they are hard to distinguish.

Figure 24.3 - Demand Control in Normal operation: High Limit, Current Period KWH and Previous Period KWH lines close or overlapping


26.4 Advantech WebAccess Express

24.4 Advantech WebAccess Express

Advantech WebAccess Express is an automated graphical remote control application program which uses a single click to bring Device information online. WebAccess Express is an Auto-4D SCADA solution- Discover, Deliver, Deposit, and Display - for supported Advantech devices on the same network segment. It automatically discovers ADAM 2000, 4000 and 6000 series modules and serial ports, generates a database and brings real-time data online with prebuilt monitoring graphics. Users can easily get real-time ADAM I/O devices data from remote smart devices with just one click.

WebAccess Express also provides remote monitoring functions and allows users to communicate and exchange data with an SNMP or DiagAnywhere Server and then check the health of the CPU, memory, temperature, and voltage of the target machine via this function. With SNMP or DiagAnywhere Driver integration, users can configure the alarm function if any abnormal or suspicious data is detected in WebAccess.

Note : The architecture of WebAccess Express has the limitation. Express in Local mode only support SCADA node and Express in Web mode support Project node and SCADA node in the same server.

Functions and Features：

1. Auto-discover and deliver Technology: Supports the automatic detection of communication ports and broadcasts on Ethernet and also polls data from the discovered devices and deliver to the remote graphical monitor pages and smart phone.

2. Auto-deposit: Automatically deposits all the analog data into a historical database for users to monitor and analyze in the trend chart or export to an Excel file.

3. Auto-display via the Internet and Smart Phones: Automatically displays real time data through a graphical interface. Users can get real-time device information using Internet Explorer or a smart phone.

4. Monitor Management：Set Detailed information, Alarm and E-mail Settings directly in the View page.

Support Advantech Devices List：

1. ADAM Series:

    • ADAM2000: ADAM-20XX

    • ADAM4000: ADAM-40XX ( only Modbus modules ), ADAM-41XX, ADAM-4501 / ADAM-4502

    • ADAM6000: ADAM-60XX, ADAM-62XX

2. EKI Series:

    • EKI Device Server: EKI-1361 / EKI-1362, EKI-1321 / EKI-1322

    • EKI Switch: EKI-2548, EKI-2748, EKI-4654, EKI-655X, EKI-755X, EKI-765X, EKI-7758

    • EKI Wireless: EKI-6311, EKI-6331

3. TPC Platform：All with DiagAnyWhere server

4. UNO Platform：All with DiagAnyWhere server


26.4.1 WebAccess Express in Local Mode

WebAccess Express is built in to WebAccess and users can get the Express tool after installing WebAccess software.

Starting WebAccess Express:

  • Open WebAccess Express：Start → All Programs → WebAccess Express

  • WebAccess Express launch screen

Figure 24.4.1.1: WebAccess Express start screen

  • WebAccess Express main page：The page is the last to use for discovering devices. If users don’t need to add devices to monitor, they can select the device and go online directly.

Figure 24.4.1.2: WebAccess Express Main Page

Auto-discover Function

Users can set the software to discover specific Com Ports and SNMP IPs of devices or platforms.

  • ClickNext on the main page

Figure 24.4.1.3: WebAccess Express Main page

  • Set the COM Port of the monitoring devices：Users can select to discover the COM Port and change the maximum limited number of COM Ports.

  • Click Next after setting the number of COM Ports.

Figure 24.4.1.4: Next – Select Com Port Number

  • Set the SNMP IP Address Range of the monitoring devices：Users can change the range of SNMP IP addresses and select the SNMP IP Address range that users would like to monitor.

  • Click Discover More after setting the SNMP IP Address range.

Figure 24.4.1.5: Next – Select SNMP IP Address Range

  • Discover More：Start searches the devices that WebAccess Express supports based on the COM Port, SNMP IP, and TCP/IP settings in the same domain.

Figure 24.4.1.6: Discover More – Discovering

  • Select the devices being monitored in the main page and click Go Online

  • Go Online：The function automatically generates a database in WebAccess and displays real-time data of devices and platforms in prebuilt monitoring graphics such as the Device Monitor and Management Interface.

Figure 24.4.1.7: Go online processing

  • Online graphical page

Figure 24.4.1.8 : Express Online graphical page


26.4.2 WebAccess Express in Global Mode

24.4.2 WebAccess Express in Global Mode

The Express Function also provides users with a global mode for auto discovery via the internet. All express functions are implemented from the WebAccess Express on Project node properties and the display page of the project will be shown directly on the Web Client.

Starting WebAccess Express in Global Mode

  • Open WebAccess: Project Home→ Advantech WebAccess Project Manger

Figure 24.4.2.1: WebAccess Project Manger Page

  • WebAccess Express main page：The page will show the list of the last discovered devices. If users don’t need to add devices to monitor, they can select the device and Go Online directly.

Figure 24.4.2.2: WebAccess Express Online Page

  • Setting：Users can discover specific COM Ports and the SNMP IP range of the devices or platforms.

  • Click Discover after setting the COM Port and SNMP IP Address range to auto-scan the device that WebAccess Express supports in the same domain.

Figure 24.4.2.3: WebAccess Express Online Setting Page

  • The page returns to the main page after discovering devices.

  • Select the monitoring device from Device list and click Submit to display the data.

Figure 24.4.2.4: WebAccess Express Online Page

  • Online graphics page

Figure 24.4.2.3: WebAccess Express Online Graphics Page


26.4.3 Device Monitor and Management Interface in Express

WebAccess Express has a pre-built monitoring graphical Device Monitor and Management Interface. Users can save the time of the drawing and configure the information page and use the default pages to monitor and manage the device directly. The WebAccess Express View pages show the Device Overview and Device Status and set the Device Detail information, E-mail, and Alarm Value for building the Device Monitor and Management System.

Device Overview：The main page of the device monitor interface. WebAccess Express now supports ADAM 2000/4000/6000 series, DiagAnywhere driver, SNMP driver, and EKI series. The overview page provides the entire information for six types of device.

Figure 24.4.3.1: WebAccess Express Display Page – Device Overview

1. Overview Status：The total amount of connected and disconnected devices in the WebAccess Express Project

2. Devices Status：The total amount of devices based on each type of connected and disconnected devices. Users can click the number in the icon to monitor the information of the connected devices.

3. Function bar of the project：Users can change the page with the function button to display the device detail data, datalog trend, and Email setting page.

Real-Time Monitoring：Display the real-time data of each of the online devices

  • Group Tab：According to the overview information in Express project, it can be divided into six types of tab. Each tab will show the status of six devices .

Figure 24.4.3.2: WebAccess Express Display Page – Real-Time Monitor

ADAM Device display page：Monitor the ADAM module data of the ADAM2000/4000/6000 series the project support.

Figure 24.4.3.3: WebAccess Express Display Page – ADAM Device

1. Face Plate：Show the information of I/O Modules, including Device name, IP and I/O status.

    • DI/DO status will show [image] in 0 Status and [image] in 1 Status.

    • AI/AO status will show the real-time value. When the value achieves the setting Alarm value, the value of tag will change red and flicker to remind the monitor.

2. Device Status：The icon shows the device situation. is online / [image] is offline / [image] is an Alarm . The icon will change to Alarm as more than one tag has an alarm.

Figure 24.4.3.4: WebAccess Express Display Page –Device Alarm Status

3. Device Information Setting button：Push the button to maintain the device information.

Figure 24.4.3.5: WebAccess Express Display Page –ADAM Device Information

Device Information Setting：Users can maintain the Device information and change the default settings via this page directly as the device maintenance management system. After changing, WebAccess will automatically save the information in the database.

Figure 24.4.3.6: WebAccess Express Display Page – Device Information Setting

1. Device Name & Block Name：Shows the device name and the block name in WebAccess.

2. Device Detail Information：Users can type the device information, i.e. Description, Device Owner, Device Warranty Info, and Device version to maintain the device.

3. Tag Information：Change the Tag information, including Tag Name, Tag Description, and Alarm Priority of Tag status. The default page will show the default Tag and Description information built in the WebAccess block .The default High/Low Alarm setting value is the value which adds a 1% High/Low span.

TPC/UNO/PPC Platform health check page：Diagnose the Platform situation via the DiagAnywhere driver to check the health of the CPU, memory, temperature, and voltage of the target machine via this display.

Figure 24.4.3.7: WebAccess Express Display Page – Platform Diagnose

1. Face plate：Shows the information of any Platform which has DiagAnywhere Driver installed. It includes the device name, IP and platform status.

2. Platform Status：The icon shows the device situation. is online / [image] is offline / [image] is Alarm. The icon will change to Alarm status when more than one tag is issuing an alarm .

3. Function buttons：

  • Time Synchronization：Users can synchronize the time of the remote device to the local host.

Figure 24.4.3.8: WebAccess Express Display Page –Time Synchronization

Figure 24.4.3.9: WebAccess Express Display Page –Time Synchronization window

  • Remote Desktop：Users can connect the remote platform to operate the desktop, check the platform, and maximize/minimize Window on DiagAnywhere Diagnosis page. There are two options under this function that will only work when a connection has been built by the server.

        • Screen Snapshot

        • File Transfer

Figure 24.4.3.10: DiagAnywhere Diagnosis page

Figure 24.4.3.11: Screen Snapshot Option

Figure 24.4.3.12: File Transfer Option

  • Device Information Setting button：Push the button and go to maintain the device detail information.

Figure 24.4.3.13: TPC/PPC/UNO Device Information Setting

IPC Platform health check page：Diagnose the Platform situation via the DiagAnywhere driver to check the health of the CPU, memory, temperature, and voltage of the target machine via this display.

Figure 24.4.3.11: WebAccess Express Display Page – Platform Diagnose

1. Face plate：Shows the information of any Platform which has DiagAnywhere Driver installed. It includes the device name, IP and platform status.

2. Platform Status：The icon shows the device situation. is online / [image] is offline / [image] is Alarm. The icon will change to Alarm status when more than one tag is issuing an alarm .

3. Function buttons： Device Information Setting button：Push the button and go to maintain the device detail information.IPC Platform health check page：Diagnose the Platform situation via the DiagAnywhere driver to check the health of the CPU, memory, temperature, and voltage of the target machine via this display.

EKI Device display page：Monitor the Advantech EKI devices situation via SNMP driver. The project support EKI Switch/Wireless/Device series.

Figure 24.4.3.14: WebAccess Express Display Page –EKI Device

1. Face plate：Show the information of EKI Modules, including Device name, IP, System Uptime, Firmware Version, and Port/Wireless Status.

    • EKI Switch Device：Ethernet Port status will show [image] when connected and [image] when disconnected.

    • EKI Wireless Device：Wireless status will show the network flow status, including Wireless total output ( Wi-Fi TX ) and Wireless total intput ( Wi-Fi RX ).(Unit：Bytes)

2. Device Status：The icon shows the device situation. is online / [image] is offline / [image] is Alarm status. The icon will change to Alarm status when more than one tag is in alarm value.

3. Function buttons：

  • EKI Setting Page Connection：Push the button and go to EKI setting page. Users can change the system information setting directly.

Figure 24.4.3.15: EKI Setting Page Connection

Figure 24.4.3.16: EKI Setting Main Page

Figure 24.4.3.17: EKI Setting Page

  • Device Information Setting：Push the button to maintain the device information.

Figure 24.4.3.18: EKI Device Information Setting

SNMP Device display page：Monitor the platform or device that supports SNMP driver. Users can monitor the information from SNMP mib file in WebAccess Express display.

Figure 24.4.3.19: WebAccess Express Display Page –SNMP Device

1. Face plate：Shows the information of devices that support SNMP , including Device name, IP, System Uptime, and Description that have the same details as in the SNMP public mib description column.

2. Device Status：The icon shows the device situation. is online / [image] is offline / [image] is Alarm status. The icon will change to Alarm status as more than one tag is in alarm value.

3. Device Information Setting button：Push the button to maintain the device information.

Figure 24.4.3.20: SNMP Device Information Setting

Datalog Trend：Push the Datalog Trend button, users can select the trend of device and go to Trend Analysis page.

Figure 24.4.3.21: Function button - Datalog Trend

Figure 24.4.3.22: Datalog Trend List

Figure 24.4.3.23: Datalog Trend page

About E-mail setting, please refer 6.2 Data Log Trend

E-mail Setting：Users can set the e-mail information in the project page directly for sending the alarm messages to the manager.

Figure 24.4.3.24: E-mail Setting page

About E-mail setting, please refer 3.2.8 Outgoing Email Server - SMTP


3.2.12.1 Pager text messaging of Alarms

3.2.12.1 Pager text messaging of Alarms(Not supported by WinCE Edition(WebView &WebLink ))

Simply Email your pager. Pagers and wireless PCS can also receive Alarm Text messages by using a Pager service which supports email to pagers. Most Pager services provide this feature including Skytel and leading US pager service providers.

Use the Email TO, Email CC or a text tag referenced by these fields to contain the pager phone number/PIN/domain address.

For example, a SKYTEL PIN (Pager Identification Number) doubles as an Internet Email address (PIN@skytel.com). A PacBell pager number doubles as the email address (555-555-5555@pacbell.com)


3.2.23.1 Disable Data Log Seconds recording

3.2.23.1 Disable All Second Data

This will disable the recording of one second samples for the Data Log Trends . This will reduce the number of files on the Hard Drive of the SCADA node. Yes will stop the recording of one second data unless enabled for each tag (see Tag Properties).


3 2 3 1_edit

3.2.3.1 IPv6 Device Configuration

Advantech WebAccess provides both allows both IPv6 and IPv4 addresses. If the SCADA Node connects to IPv6 devices, users can use the IPv6 protocol to communicate. The address of IPv6 supports includes a General Unicast Address and Link-Local Address.

NOTE: Windows Vista, 7 and 8 default can automatically useopen IPv6 functionality, and can support IPv6 settings. Windows XP needs to install and open the IPv6 setting function.

User can enter IPv4 or IPv6 address in Primary and Secondary IP address. IPv4 is 4 sets of a max of three numbers separatedby a “.” (e.g. http://67.94.27.175/ ) and IPv6 addresses use eight groups of four hexadecimal digits separated by colonsIPv6 is 6 numbers (e.g.2001::fc96:cf11:710a:a98)

After entering an IP address, the Pport number is set to 0 by default0 without typing port number

2.1.1 General Unicast IPv6 Address setting

2.1.3 Link-localIpv6 Address setting


4.3.25 Discrete Tag Examples


4.9.4 Special Function Tags


5.2.4 Analog Parameter Properties


5.2.5 Discrete Parameter Properties


5.2.6 Text Parameter Properties


5.5 Overview & Faceplate Group Displays


6.2 Data Log Trends


8.3 Graphic Page Access


10.11 DRAW Reference


12.1 Start the Script Editor


12.6.8 ˆ

Bit-wise exclusive OR. Valid for integer operands only.

Typed using Shift + 6 keys.


15.8 Open Display Group


15.12 Window Options


20.8.4 Connecting to a Remote SQL Server

If the SQL Server is not installed on the Project Node, the ASP will have trouble connecting to the remote computer unless the computer_IUSR accounts matched that on the remote computer.

The recommendation from Microsoft is the following


24.3 Software License Agreement

Advantech Automation Corp. License Agreement

October 12, 2001

Important. Please read carefully. This license agreement (the "agreement") is a binding contract between you, the end-user (the "licensee") and Advantech Automation Corp. ("Advantech" or the "licensor"). By installing or using this software product, you, the licensee, are agreeing to be bound by the terms, conditions and limitations of this agreement, including, but not limited to, and in particular, the limitations on: the use as set forth in section 2, the transferability as set forth in section 6, the limited warranty as set forth in section 10, the disclaimers as set forth in section 11, the remedies as set forth as section 12, the limitation of Advantech's liability as set forth in section 13, and the export restrictions as set forth as section 14. Please read the terms and conditions of this agreement carefully before installing or using the software. If you do not agree to any of the terms, conditions and limitations of this agreement, please do not use this software and return the entire contents of the software product unused, with proof of payment, within 30 days of receipt of delivery to the place from which you obtained it for a full refund.

1. Definitions.

a. “SOFTWARE” means the contents of the files, disk(s), CD-ROM(s), or other media which accompanies AGREEMENT, the License Files necessary to enable SOFTWARE, the SCADA NODE SOFTWARE, the DOCUMENTATION and UPDATES, (to the extent Licensee either purchases UPDATES or is entitled to receive UPDATES in connection with certain Technical Support Services purchased pursuant to Section 7). All SOFTWARE are licensed in object code (machine-readable) form only.

b. “SCADA NODE” means a single computer owned, leased or otherwise controlled by Licensee on which SOFTWARE is to be installed that runs or operates SCADA NODE SOFTWARE. Each individual SCADA NODE will be charged a separate fee called “SCADA NODE FEES” which is incorporated into the License Fee.

c. “CLIENT SOFTWARE” means those files or programs in SOFTWARE that allows a computer to run, access or utilize the services provided by the Project Node Software or the SCADA Node Software. A computer using CLIENT SOFTWARE or accessing or utilizing a computer acting as PROJECT NODE or a SCADA NODE is called a “CLIENT”.

d. “PROJECT NODE SOFTWARE” means those files or programs in SOFTWARE that allows a computer, acting as a PROJECT NODE, to run services that may be run, accessed or used by a CLIENT or a SCADA NODE. A Computer running PROJECT NODE SOFTWARE is called a “PROJECT NODE”.

e. “SCADA NODE SOFTWARE” means those files or programs in SOFTWARE that allows a SCADA NODE to run, access or utilize the services provided by the SCADA NODE SOFTWARE.

f. “LICENSE”, means the required license for the use of SOFTWARE.

g. “DOCUMENTATION” means the user guides and manuals for the installation and use of SOFTWARE, whether provided in CD-ROM, print or in any other media.

h. “UPDATES” means: (a) supplemental computer program(s), if and when developed and distributed by Advantech, that may improve program functions for SOFTWARE, and (b) a subsequent release of SOFTWARE, if and when developed by Advantech, which Advantech generally makes available for Licensees that have purchased Comprehensive Support Services. UPDATES do not include any releases or versions of products that Advantech licenses separately.

i. “ORDER FORM” means the collective documents in writing or electronic form by which SOFTWARE, including the number of SCADA NODE(S), Tags, or other programs and/or services of Advantech are ordered by or on behalf of Licensee, including Advantech’s written or electronic confirmation acknowledging receipt of and its acceptance of Licensee’s order. All ORDER FORMS must include Licensee’s address and the number of the SCADA NODE(s) in which SOFTWARE will be installed or run and the address of such SCADA NODE(S).

j. “License File” means a component of SOFTWARE that enables one or more components of SOFTWARE other than the License File. The License File may specify the location of the SCADA NODE(S) and the Licensee and also identify the specific limitations on the use, the purposes for and extent to which the enabled components of SOFTWARE may be utilized. The License File must match the License Hardware Key. A Advantech product number identifies each component of SOFTWARE enabled by License File.

k. “License Hardware Key” or "HARD KEY" is a physical device which connects to the printer port of the SCADA NODE. Both the License Hardware Key and the matching License File must be installed on a SCADA NODE running SCADA NODE SOFTWARE for the proper operation of SOFTWARE.

l. “License Fee” means the fee to be paid to Advantech for the LICENSE to use SOFTWARE. License Fee includes SCADA NODE FEES.

2. Software License.

Grant of LICENSE. In consideration of the payment of License Fee and subject to the terms, conditions and limitations set forth in this Agreement, in the License File and in ORDER FORM accompanying this Agreement, Advantech grants to Licensee a nonexclusive LICENSE to use SOFTWARE and to install and run SCADA NODE SOFTWARE on the number of SCADA NODE(S) as designated upon ORDER FORM. Additionally, Advantech further grants to Licensee the non-exclusive LICENSE to the use the number of Tags as is also designated upon ORDER FORM.

Version Limitations. The SOFTWARE, and various components thereof, contain certain version numbers (such as version ”2.1”). This Agreement permits Licensee to install the SOFTWARE with the same (or a lower) version number as the SOFTWARE version number listed on the License File or ORDER FORM (or in an UPDATES that is part of the SOFTWARE hereunder licensed) on the number of SCADA NODES authorized hereunder (for example, if the version number listed for a particular component of the SOFTWARE is “2.1”, then Licensee may install a copy of that component of the SOFTWARE having a ”2.0”, “2.1” version number, but not a “2.2” or ”2.3” version number). Licensor may grant exception to this Version Limitation via a published Version Update Policy. Licensee should contact Licensor for the latest Version Update Policy.

I/O Drivers. Certain I/O driver software may be included as part of the SOFTWARE. Licensee may use any compatible standard Advantech I/O driver software with any other applicable SOFTWARE components.

Limitations On Use:

CLIENT. An unlimited number of CLIENTS are permitted to access the services of a PROJECT NODE or SCADA NODE and Licensee may download, distribute and install CLIENT SOFTWARE to an unlimited number of Computers to access the services of a PROJECT NODE or SCADA NODE without the need to acquire a separate LICENSE or pay an additional fee for each such additional CLIENT. Licensee may also transfer the CLIENT SOFTWARE from one CLIENT to another for application development or for operation of the SOFTWARE.

PROJECT NODE. Licensee may install and use multiple copies of PROJECT NODE SOFTWARE upon any number of PROJECT NODE(S) as is required, which PROJECT NODES may be connected to an unlimited number of CLIENTS or SCADA NODES. Licensee may transfer the PROJECT NODE SOFTWARE from one PROJECT NODE to another for application development or for operation of the SOFTWARE.

SCADA NODE. Licensee may install and run SCADA NODE SOFTWARE upon the number of SCADA NODE(S) identified in ORDER FORM and only those SCADA NODE(S). Licensee may not install, copy or run SCADA NODE SOFTWARE in any computer(s) in excess of the number specifically authorized by Advantech.

Tag Counts. Licensee may utilize or reference only those number of Tags specified for use by Licensee in License File or ORDER FORM.

Modification Restrictions. Licensee shall not, nor shall Licensee suffer or permit others to, modify, adapt, translate, reverse engineer, decompile or disassemble the SOFTWARE or any component thereof, or create derivative works based on SOFTWARE, except to the extent such forgoing restriction is prohibited by applicable law.

Demonstration Restrictions. If SOFTWARE licensed hereunder is for Demonstration use, then it may only be used to (a) demonstrate the product for sales, marketing or similar use (b) to develop or engineer a system to be licensed, (c) test an existing system and/or (d) provide training on use of SOFTWARE. Demonstration use shall not be used in lieu of obtaining a LICENSE and paying a License Fee.

No Multiplexing or Pooling. Use of software or hardware that increases the number of SCADA NODES directly accessing or utilizing a single License HARD KEY (commonly referred to as “multiplexing” or “pooling”) are not allowed and any such multiplexing or pooling shall be a breach of this Agreement.

3. Intellectual Property Rights

Ownership. Licensee owns the magnetic or other physical media upon which SOFTWARE is recorded or affixed, however Advantech or Advantech's Licensors retains all right, title, interest, copyright and other proprietary rights in, and ownership of SOFTWARE regardless of the media upon which the original or any copy may be recorded or fixed. Licensee does not acquire any rights, express or implied, in SOFTWARE, or any of its components, other than those expressly granted in this Agreement.

4. Confidentiality

Confidentiality. SOFTWARE, including the DOCUMENTATION, the terms and pricing under this Agreement, and any other information that may be marked as confidential is confidential and proprietary information of Advantech ("Confidential Information"). For consideration given, the sufficiency of which is acknowledged by Licensee, Licensee shall hold the Confidential Information in strict confidence during the term of this Agreement and for a period of five (5) years thereafter. Results of any benchmark tests on the SOFTWARE or any of its components run by Licensee may not be disclosed outside of Licensee's organization without the prior written consent of Advantech. Licensee shall use its best efforts to ensure that its employees and agents also comply with the strict confidentiality obligations of this Section. Licensee acknowledges that confidential aspects of the SOFTWARE (including any source code) is a trade secret of Advantech, the disclosure of which would cause substantial harm to Advantech that could not be remedied by the payment of damages alone. Accordingly, Advantech will be entitled to preliminary and permanent injunctive and other equitable relief for any breach of this Section.

5. SOFTWARE Copy Restrictions

Copy Restrictions. Copyright laws and international treaties protect SOFTWARE. Unauthorized copying of SOFTWARE, or any part thereof, is expressly prohibited. Subject to these restrictions, Licensee may make copies of SOFTWARE solely for demonstration, development, training, hot standby, backup or archival purposes, and may make a limited number of copies of DOCUMENTATION for use by Licensee in connection with its authorized use of SOFTWARE. Licensee shall number and account for all such copies. All titles, trademarks, and copyright and restricted rights notices shall be reproduced in such copies.

6. Restriction Upon Transfers

Transfer and Assignment Restrictions. Licensee may not transfer, sublicense, rent, lease, sell, loan or assign SOFTWARE or any part thereof, or any of its rights or duties under this Agreement, to any other person or entity without the prior written consent of Advantech.

Verification. At Advantech's written request, but no more than once each calendar year, Licensee shall furnish Advantech with a signed certification verifying that SOFTWARE is being used in accordance with the provisions of this Agreement. Advantech may audit Licensee's use of the Software and its components. Any such audit shall be conducted during regular business hours at Licensee's facilities and shall not unreasonably interfere with Licensee's business activities. If an audit reveals that Licensee is using SOFTWARE or any of its components contrary to the terms and limitations of this LICENSE Agreement then Licensee shall be invoiced for additional License Fees consistent with Licensee's actual use of SOFTWARE in accordance with Advantech's then current price list for SOFTWARE, which amount shall be immediately due and payable. This assessment of additional fees shall be without prejudice to any other remedies Advantech may have for breach of this Agreement, including without limitation termination under Section 8.

7. Technical Support Services.

Basic Support Services. Basic Support Services will be provided to Licensee subject to the provisions and limitations in this Agreement and Advantech's Technical Support Services Policy in effect on the date the SOFTWARE is delivered to Licensee.

Comprehensive Support Services. If Licensee purchases Comprehensive Support Services then such services will be provided to Licensee subject to the provisions and limitations in this Agreement and the Technical Support Services Policy in effect on the date such Technical Support Services are ordered by Licensee. The price of such services will be based on Advantech's (or its authorized distributor's, as the case may be) price list in effect on the date such Technical Support Services are ordered by or for Licensee.

Training Services. Training Services will be provided to Licensee subject to the provisions and limitations in this Agreement and Advantech's Training policies in effect on the date such Training Services are ordered by or for Licensee. The price of such services will be based on Advantech's price list in effect on the date such Training Services are ordered by Licensee.

8. Term and Termination.

Term. The LICENSE granted hereunder shall continue perpetually unless terminated by Licensee or Advantech under this Article.

Termination by Licensee. Licensee may terminate the LICENSE granted hereunder at any time upon delivery of written notice to Advantech. Termination shall not relieve Licensee of its obligations specified herein below.

Termination by Advantech. This Agreement and the LICENCE granted hereunder automatically terminates if Licensee breaches any provision of this Agreement.

Effect of Termination. Immediately upon termination of this Agreement or the LICENSE granted hereunder, Licensee shall cease using the SOFTWARE, shall delete the SOFTWARE, including the License File(s), from its CLIENTS, PROJECT NODE(S), SCADA NODE(S) or any other computer which any portion of SOFTWARE has been installed and shall return to Advantech the License Hardware Key(s). If Licensee elects to destroy the SOFTWARE then Licensee shall certify in writing to Advantech the destruction of the SOFTWARE. Termination of this Agreement and return or destruction of the SOFTWARE shall not limit either party from pursuing other remedies available to it, including injunctive relief, nor shall such termination relieve Licensee's obligation to pay all fees and expenses that have accrued or are otherwise owed by Licensee under this Agreement or any ORDER FORM received and accepted by Advantech. The parties' rights and obligations under this Agreement shall survive termination of this Agreement

9. Indemnity

Infringement Indemnity. Subject to the limitations in Article 3 of this Agreement, Advantech will defend and indemnify Licensee against third party claim(s)that SOFTWARE infringes any copyright enforceable within the geographical boundaries of the United States, Canada, Japan, or the European Union (hereinafter the “Included Jurisdiction”), or that SOFTWARE misappropriates any trade secret (as the terms “misappropriation” and “trade secret” are defined in the Uniform Trade Secrets Act) protected under the laws of any of the United States (an “Indemnified Claim), provided that: (i) Licensee notifies Advantech in writing within 30 days of the claim; (ii) Advantech has sole control of the defense and all related settlement negotiations; and (iii) Licensee provides Advantech with the assistance, information and authority necessary to perform Advantech's obligations under this Section. For any intellectual property claim for which a defense is not provided in this Section, Advantech, in its sole discretion, may elect to treat such intellectual property claim as an Indemnified Claim as defined in this Section. Advantech shall have no liability for any claim(s) of infringement based on use of a superseded release of SOFTWARE if the infringement would have been avoided by the use of a current unaltered release of the SOFTWARE which was obtainable by Licensee from Advantech. Advantech shall have no liability for any claim(s) of infringement based on use of an altered release of SOFTWARE. Advantech shall have no obligation to any Licensee for any Indemnified Claims relating to allegations of copyright infringement which arise outside the geographical boundaries of the Included Jurisdictions, or any Indemnified Claims relating to allegations of trade secret misappropriation which arise outside the geographical boundaries of the United States.

If SOFTWARE is held, or is believed by Advantech, to infringe, then Advantech shall have the option, at its expense, to: (i) modify the SOFTWARE to be noninfringing; or (ii) obtain for Licensee a license to continue using the Software. If, in Advantech's sole discretion, it is not economically or commercially reasonable to perform either of the above options then Advantech may terminate the LICENSE for the infringing SOFTWARE and refund to Licensee the License Fee paid to Advantech for the infringing SOFTWARE. This Section 9 states Advantech's entire liability and Licensee's sole and exclusive remedy for infringement.

10. Limited Warranties.

Limited Software Warranty. Advantech warrants for a period of ninety (90) days following delivery of SOFTWARE that SOFTWARE will perform substantially in accordance with the DOCUMENTATION.

Limited Media Warranty. Advantech warrants for a period of ninety (90) days following delivery of the SOFTWARE that the CD-ROMs, diskettes or other media upon which SOFTWARE is delivered are free from defects in materials and workmanship under normal use.

Limited License Hardware Key Warranty. Advantech warrants for a period of ninety (90) days following delivery of the Software that the License Hardware Key is free from defects in materials and workmanship under normal use. The defective key must be returned prior to Advantech shipping a replacement.

Limited Technical Support Services Warranty. Advantech warrants for a period of ninety (90) days following performance of the service that its Technical Support Services will be performed consistent with generally accepted industry standards.

11. Disclaimers

Disclaimer of All Other Warranties. The warranties above stated in section 10 are exclusive and are in lieu of all other warranties, whether express or implied, including the implied warranties of merchantability and fitness for a particular purpose. No oral or written information or advice given by Advantech, its dealers, distributors or agents or employees shall create a warranty or in any way increase the scope of the warranties given in this section, and licensee may not rely on any such information or advice.

Advantech does not warrant that SOFTWARE: (i) will meet Licensee's requirements, (ii) that the SOFTWARE will operate in combinations other than as specified in the DOCUMENTATION, (iii) that the operation of SOFTWARE will be uninterrupted or error-free or (iv) that SOFTWARE errors will be corrected. Preproduction releases (including Alpha and Beta site releases) of SOFTWARE and Technical Support Services related thereto are distributed "AS IS".

12. Remedies

Exclusive Remedies. For any breach of the warranties contained in Section 10, Licensee's exclusive remedy, and Advantech's entire liability, shall be:

a. For SOFTWARE. Advantech shall use commercially reasonable efforts to provide maintenance modifications or fixes in a reasonably timely manner should SOFTWARE fail to perform substantially in accordance with DOCUMENTATION. If Advantech is unable to make SOFTWARE operate as warranted, then Licensee may, within thirty (30) days after Advantech's failure to cure or fix the defect, elect to terminate the LICENSE granted hereunder and recover the License Fee paid to Advantech with respect to the defective SOFTWARE.

b. For Media. The replacement of the defective media returned within ninety (90) days of delivery of SOFTWARE.

c. For License Hardware Key. The replacement of the defective License Hardware Key and a new matching License File returned within ninety (90) days of delivery of SOFTWARE.

d. For Services. If Advantech is unable to perform the services as warranted, Licensee shall be entitled to recover the fees paid to Advantech for unperformed service.

13. Limitations of Liability

Limitation of Liability. Notwithstanding any provision of this agreement to the contrary, in no event shall either party, nor anyone else who has been involved in the creation, production or delivery of the software, including Advantech licensors, be liable for any indirect, incidental, special, punitive or consequential damages, or damages for loss of profits, revenue, data or use, incurred by either party or any third party, whether in an action in contract or tort, even if such party has been advised of the possibility of such damages. Advantech's liability for damages and expenses hereunder or relating hereto (whether in an action in contract or tort) shall in no event exceed the amount(s) paid to Advantech with respect to this agreement, and if such damages result from licensee's use of particular license files or technical support services then such liability shall be limited to amounts paid to Advantech for the relevant software or services giving rise to the liability. Because some states and jurisdictions do not allow the exclusion or limitation of liability, portions of the above limitation may not apply to you. The provisions of this agreement allocate the risks between Advantech and licensee. Advantech's pricing reflects this allocation of risk and the limitation of liability specified herein.

14. Export Restrictions.

Export Restrictions. Licensee agrees to comply fully with all relevant export laws and regulations of the United States (the “Export Laws”) to assure that neither the SOFTWARE nor any direct product thereof are: exported, directly or indirectly, in violation of Export Laws; or are intended to be used for any purposes prohibited by the Export Laws. Without limiting the foregoing, Licensee will not export or re-export SOFTWARE to any country to which the U.S. has embargoed or restricted the export of goods or services, which currently include, and which list may be amended from time to time, but are not limited to Cuba, Iran, Iraq, Libya, North Korea, Sudan and Syria, or to any national of any such country, wherever located, who intends to transmit or transport the SOFTWARE back to such country; to any end user who Licensee knows or has reason to know will utilize the SOFTWARE in the design, development or production of nuclear, chemical or biological weapons; or to any end-user who has been prohibited from participating in United States export transactions by any federal agency of the United States government.

United States Government Restricted Rights. SOFTWARE is a “commercial item” as that term is defined at 48 CFR 2.101 (October 1998), consisting of “commercial computer software” and “commercial computer software documentation”, as such terms are used in 48 CFR 12.212 (September 1998), and is provided to the U.S. Government only as a commercial end item. Consistent with 48 CFR 12.212 and 48 CFR 227.7202-1 through 227.7202-4 (June 1998), all U.S. Government End Users acquire the Software with only those rights set forth herein.

15. General Provisions.

UPDATES Policy. Advantech may from time to time, but has no obligation to, create UPDATES of the SOFTWARE or components thereof. Subject to the Technical Support Services Policy in effect at the time Licensee orders Technical Support Services, Advantech will make such UPDATES available to Licensee provided Licensee is a Comprehensive Support or Site Support Service subscriber and not in breach of this Agreement at the time of the release of the UPDATE.

Governing Law. This Agreement shall be interpreted and enforced in accordance with the laws of the State of California, United States of America, without regard to choice of law principles.

Jurisdiction and Arbitration. All disputes, claims or controversies arising out of or relating to this Agreement that are not resolved by the parties' good faith attempt to negotiate a resolution shall be submitted to final and binding arbitration, before JAMS, or its successor, in Contra Costa County, California, USA, pursuant to the United States Arbitration Act, 9 U.S.C. Sec. 1 et seq. The arbitration will be conducted in accordance with the provisions of JAMS’ Streamlined Arbitration Rules and Procedures in effect at the time of filing of the demand for arbitration. The parties will cooperate with JAMS and each other in selecting a single arbitrator who shall be a former judge or justice with substantial experience in resolving business disputes with particular experience in resolving disputes involving computer software. The parties will share the costs of arbitration equally. Any court of competent jurisdiction may enforce the provisions of this Section. The arbitrator shall not be empowered to award damages in excess of, or inconsistent with, the liability limitations contained in this Agreement; however, the prevailing party shall be entitled to an award of all costs, fees and expenses, including expert witness fees and attorneys fees, to be paid by the party against whom enforcement is ordered.

Notices. All notices required to be sent hereunder shall be in writing and shall be deemed to have been given when mailed by first class mail to the address shown on the relevant ORDER FORM (if to Licensee) or to the Advantech address shown on the relevant ORDER FORM (if to Advantech).

Severability. If any provision of this Agreement is held to be invalid or unenforceable, the remaining provisions of this Agreement will remain in full force.

Waiver. The waiver by either party of any default or breach of this Agreement shall not constitute a waiver of any other or subsequent default or breach. Except for actions for nonpayment or breach of Advantech's proprietary rights in the SOFTWARE, neither party may bring any action, regardless of form, arising from or relating to this Agreement more than two years after the cause of action has accrued.

Entire Agreement. This Agreement (together with any information from the ORDER FORM and License Files necessary to identify SOFTWARE that is the subject of this Agreement or further specific restrictions applicable to SOFTWARE) constitutes the complete agreement between the parties and supersedes all prior or contemporaneous agreements or representations, written or oral, concerning the subject matter of this Agreement. This Agreement may not be modified or amended except in a writing signed by a duly authorized representative of each party. No other act, document, usage or custom shall be deemed to amend or modify this Agreement. It is expressly agreed that the terms of this Agreement and any ORDER FORM issued by Advantech shall supersede the terms in any ORDER FORM or other purchasing document submitted by Licensee; and the terms of any Licensee ORDER FORM or other purchasing document are expressly rejected to the extent inconsistent with the terms of this Agreement. Certain components of SOFTWARE may also be subject to a paper or electronic license agreement delivered by or on behalf of Advantech concurrently herewith, the terms of which shall be supplemental hereto to the extent not inconsistent herewith. If a copy of this Agreement in a language other than English is included with SOFTWARE or DOCUMENTATION, it is included for convenience and the English language version of this Agreement shall control.

Third Party Intellectual Property Right Notices. The SOFTWARE may contain components that are owned by third parties and are incorporated into, or embedded in, SOFTWARE pursuant to license arrangements between Advantech and such third parties (“ AdvantechLicensors”). Advantech Licensor components embedded in SOFTWARE may only be used by Licensee as a part of SOFTWARE under this Agreement, and may not be used by Licensee in any other fashion or for any other purpose. Copyright and other proprietary rights notices of Advantech and Advantech Licensors are contained in the Software, and Licensee shall not modify, delete or obfuscate any such notices.


25.3.1 Install SQL Server 7

23.3.1 Install SQL Server 7 – Standard Edition

The following example is an older version of SQL Server Database software. The steps are similar for SQL Server 2000.

SQL Server 7.0 requires Windows NT 4.0 and Service Pack 4 or later (or Windows 98) and Internet Explorer 4.01 with Service Pack 1 or later. IE 4.01 SP 1 comes on the SQL Server 7.0 CD-ROM.

Note that Advantech WebAccess does not support IE 4.01. Advantech WebAccess supports NT 4.0 only as a Client.

1. Install CD ROM

2. Start the install wizard.

3. Run SQL Setup

Figure 23.1 SQL Server 7.0 installation.

4. Select INSTALL Server 7.0 Components

5. Select Standard Server

6. Select Local Install

7. Select Next.

8. License Agreement, Select Yes.

9. Enter User Information

10. Select Setup Type - Typical

11. Verify the Destination. Note that the above installs to an empty drive h:

12. For Services Account, Services Setting, use Local Account.

13. Select Use same account for all services. AUTO Start SQL

14. Select Use the Local System Account.

15. Select Next. Copying files takes a while. It should announce when done.


25.3.2 Configure SQL Server with SQL 7 Server Enterprise Manager.

23.3.2 Configure SQL Server 7 with Enterprise Manager.

The following example is for SQL Server 7. The Steps are similar for SQL Server 2000

1. Open the SQL Server Enterprise Manager from the Program Group.

Start-> Programs-> Microsoft SQL Server -> Enterprise Manager

Figure 23.2 Figure showing both SQL 6.5 and SQL 7.0 Servers from SQL Enterprise manager

2. Select your SQL Server from the Console.

3. Click on the SQL Server Group for your machine. SQL Server will be named after the computer you installed it (i.e. have the same name as the computer's network name) You might have to hunt around if there are multiple SQL Servers on your network. Note that SQL Server inherits the name of the computer.

4. Confirm Autostart SQL Server selected.

5. Double Click on the Server (Tomc) to open SQL Server Properties Dialog Box. Select the General Tab. Autostart should be checked.

6. Confirm startup and run using System Account

7. From the SQL Server Properties Dialog Box. Select the Security Tab.

8. Startup and Run using System Account should be checked.

9. Click OK

10. You're done.

11. A New Dialog Box appears. It should be the Getting Started Taskpad shown in the next step.


25.3.3 Create an SQL Server 7 Database

23.3.3 Create an SQL Server 7 Database

Create a database for Process Data ( Data Log to ODBC) and Scheduled Reports. Create the database using Database Wizard. You can use any name, Processdata is the name used in the following examples.

The example below is for SQL 7. The steps are similar for SQL Server 2000.

This database can grow very large if your collect analog real-time data every minute (or faster. It can fill the database.

The Log to ODBC function in Advantech WebAccess can be as fast as once a minute for analog tags. (Intervals are from once a minute to once per hour for each tag). Discrete data is recorded potentially as fast as the scan rate of the communications to the PLC (as fast as 100 milliseconds). You should consider creating this database on another hard drive or partition that can not fill the same hard drive as your operating system (preventing you form rebooting) or Advantech WebAccess (preventing you from opening database configurator).

1. Open the SQL Server Enterprise Manager from the program group and select your SQL Server.

2. Open the Getting Started Taskpad for your SQL Server in SQL Server Manager. From the Menu bar select
View -> Taskpad.

3. Select administer SQL Server.

4. Select Create a Database.

5. Create a database. For this example it is named processdata. You can use any name. This database will contain:

§ Analog Tag Log

§ Discrete Tag Log

§ Text Tag Log

§ System Log

§ Action Log

§ Alarm Logs.

The Data for Scheduled reports will also be stored in the SQL Server database. You only need to create an empty database. Advantech WebAccess will create all the data tables needed inside the database when it first connects.

6. Select an initial Size; 50 Mbytes is recommended. Note that SQL 7.0 can be set to grow it as needed.

The name does not have to be processdata. The Advantech WebAccess program will actually look for a DSN name. This DSN must be configured to point to the database created here. .

7. At the Name the Database Files, use processdata_data, which is the database name followed by _data. (i.e. processdata_data). This will be the actual file name on your hard drive.

8. Select Next.

9. Select Automatically grow the database.

10. Select Grow by 10 percent

11. Select Restrict file growth to at least 200 Mbytes (no larger than your empty disk drive space).

12. Select the Default file name for the Transaction log. This is where recent changes to your database are stored. The Log file should have the -Log appended to it (e.g. processdata_log).

13. Select Automatically grow the transaction log files.

14. Grow files by 10 percent

15. Limit file size to 20 Mbytes.

16. Select Next.

17. Congratulations! You just created a database in SQL Server. Advantech WebAccess will create all the data tables needed when it first connects. You must still create login information that will allow Advantech WebAccess to connect using an ODBC DSN (Data Source Name).


25.3.4 Create a login account in SQL 7 Server

23.3.4 Create a login account in SQL Server 7

1. From the SQL Server Enterprise Manager open the Getting Select your SQL Server by clicking on the icon of your SQL Server.

2. Open Administer SQL Server Taskpad
select View -> Taskpad.

3. Select Create a Login form SQL Enterprise Manager.

Use the Create Login Wizard to create a user account

For Advantech WebAccess to connect to SQL Server, must use a user name and password. Earlier we selected the option to use both SQL and Windows Security. Here we will create a user with the same name and password that allow log in to SQL Server using SQL Authentication.

4. Select Next at the Welcome to Create Login Wizard

5. Select SQL Server Authentication. Do not use Windows Authentication for this account. It will not work with Advantech WebAccess version 4.0.

6. Enter the username.

7. Enter password. Retype the password.

8. Select Grant Access to the Server.

9. Select Next.

10. In Grant Access to Security Roles, select System Administrator.

11. Select access to database that you created for Advantech WebAccess Process Data (in the example above, processdata).

12. Select Next.

13. You are done with SQL Server if your SQL Server is on the Project Node!

You still need to create an ODBC DSN on the Project node that accesses this database using the username and password you just configured.


25.3.5 Verify the SQL 7 Service Manager

23.3.5 Verify the SQL 7 Service Manager

The SQL Service Manager can be used to control the SQL Server and other SQL functions. The operation of Data Log to ODBC using an SQL Server database requires that both the SQL Server be running. Normally this occurs at reboot of the SQL Server computer, if you followed the above recommendations and selected Autostart SQL Server. If someone stops SQL, this is a way to restart it. It is also a way to confirm that it is running.

Verify the status of the SQL Executive by following the steps given below.

1. Open the SQL Service Manager by clicking on the shortcut from the SQL Server program group in the START menu.
Start -> Programs->Microsoft SQL Server ->Service Manager
or
Start -> Programs -> MSDE -> Service Manager
or
Select the SQL Server icon from the taskbar

The window shown below will pop up.

2. Select the Server which holds the database from the Server pull-down list.

3. Select MSSQLServer from the Services pull-down list.

4. The status will be shown immediately on the traffic-light graphic.

5. If the SQL Executive is not running, click on the button in graphic labeled Start/Continue.

Troubleshoot the status of the SQL Server by following the steps given below.

1. Select MSSQLServer from the Services combo-box.

2. The current status will be shown immediately on the traffic-light graphic.

3. If the SQL Executive is not running, click on the button in graphic labeled Start/Continue.


25.3.6 Register the SQL Server 7

23.3.6 Register the SQL Server 7

We will run this section as a test to ensure you can make a trusted connection.

Registering the SQL Server will enable other nodes to identify the node name of SQL server on the Microsoft Network. The instructions for registering the SQL server appear below.

1. Choose the selection Register Server from the Server menu. The dialog box shown below will pop-up.

2. In the Server list box, choose the server name you wish to register.

3. Click on the radio button Use Trusted Security

4. We highly recommend using Trusted Security. Otherwise, during configuration the user will have to re-log on every time he changes data tables. For example, if the user changes from adding a single point to adding a calculation point, he will be asked to log on for the new table.

5. Check the box labeled Display Server Status in Server Manager. Clicking this box will enable you to troubleshoot SQL server later on.


25.3.7 Create an ODBC DSN to SQL Server 7

23.3.7 Create an ODBC DSN to SQL Server 7

Advantech WebAccess uses an ODBC connection to SQL Server. ODBC is an acronym for Open Database Connection. DSN is an acronym for Data Source Name.

The Microsoft SQL Server ODBC Device Drivers must be installed on the Project Node. These drivers are installed by the SQL Server Installation Wizard or an SQL Service Manager Wizard. Once the drivers have been installed, follow the instructions below to setup either a System Data Source Name (DSN).

The System DSN allows access to the SQL ODBC drivers no matter who is logged on to the Project Node. The System DSN makes for less confusion later on.

A User DSN will work as well. The User DSN is specific to each user and allows you to restrict which users have access. However, you must configure a User DSN for each user that might be logged on the Project Node.

Any name can be given to the DSN. This name must be entered into the Advantech WebAccess Project Manger, ODBC Log Data Source.

1. From Control Panel open ODBC Data Source Administrator, on the Project Node.

Start -> Control Panel -> Administrative Tools -> Data Sources (ODBC).

2. Select System DSN.

3. Click on the ADD button. This will open the Create New Data Source dialog box, shown below.

4. Look for the driver titled SQL Server. If this driver is not listed in the window, then the ODBC SQL Server driver has not been installed properly.

5. Double-click on the driver SQL Server. The ODBC SQL Server Setup dialog box will open, as shown below.

6. In the Name text box, enter a name. For example, bwProcessData_sql

7. In the Server combo-box, you must enter the name of the computer running SQL server.

If SQL Server is installed on the Project Node, Select Local. Otherwise, select the computer with the SQL Server. (Note - if you do not see the other computer listed, you should try to Register SQL server as described earlier).

8. Click on the Next > button.

9. Advantech WebAccess version 4.0 requires the use of SQL Server Authentication (the earlier examples to create a login to SQL does also). Select "SQL Server authentication"

Figure 23.3 Use SQL Server Authentication and SQL Server login ID and Password.

10. Check the Change the default database to .

11. In the Change the default database to box, form the pull down list, select the SQL database name that you created using SQL Enterprise Manager.

The name in the above examples is ProcessData.

12. Check Create temporary stored procedures for prepared SQL statement.

13. Check Only when you disconnect.

14. Select Use ANSI quoted identifiers.

15. Check Use ANSI nulls, paddings and warnings.

16. Select NEXT.

17. Select Let SQL Server ODBC driver choose the translation method..

18. Select Next>.

19. Enter these at you option. It will save disk space and minimize system administration if the logs are not saved.

20. Select Finish .

21. A summary appears.

22. We recommend using the Test Data Source.

23. A successful test should look like the following

24. Select OK three times (one for each dialog box) to exit ODBC configuration.


25.3 SQL Server

23.3 SQL Server

Microsoft SQL Server relational database management system can be used with Advantech WebAccess for data logging to a database (ODBC Logs). This SQL Server Database will replace the Access Database ( bwPdata.mdb) that is the default database used for Process Data including:

· Analog Tag Log

· Discrete Tag Log

· Text Tag Log

· System Log

· Action Log

· Alarm Logs.

The Data for Scheduled reports will also be stored in the SQL Server database.

Note that the "Tag" database used for Project Manager remains an Access Database (bwcfg.mdb)

The steps to switch to an SQL Server database are:

1. Install SQL Server from CD ROM using the install wizard.

2. Configure SQL Server using Enterprise Manager.

3. Create User Name and Password to Log in to SQL Server using SQL Server Authentication (do not use NT Authentication).

4. Optionally, Register the SQL Server if accessed by remote users.

5. Configure the SQL Executive.

6. Create a New Database. You can create an empty database. Advantech WebAccess will create all the data tables in needs.

7. Troubleshoot using the SQL Service Manager.

8. Install SQL Server Drivers (e.g. SQL Service Manager) on the Project Node, if you did not install SQL Enterprise Manager on the Project Node.

9. Create an ODBC System DSN on the Project Node to connect to the SQL Server database using SQL Server Authentication with username and password created in step 3.

10. Create an ODBC Log Data Source in Advantech WebAccess Project Manager. Enter the ODBC DSN from step 9 and user name and password from step 3.

11. Select the new ODBC Log Data Source in Project Manager.

SQL 2000 is the current version available from Microsoft. SQL Server needs to be installed once, on one computer, usually the Project Node, but can be any computer in your network.

SQL Server can be installed on Microsoft Windows 2000 and XP Professional, but will be limited to 10 connections. The Windows 2000 Server operating system allows more than 10 connections to the database.

If selected, Microsoft SQL Server will be used by Advantech WebAccess to store real-time data used by the Project Logs and Scheduled Reports. SQL Server can only be used to replace the bwPdata.mdb database. The configuration database for the tag configuration, trend groups, recipes, scheduler and other configuration database items remain in the Access Database (bwcfg.mdb).

SQL Server allows true multiple user access allowing multiple users to access real-time data. Note that SQL Server is licensed by the number of connections. Make sure you have a sufficient SQL user license to allow all users to connect. Only one connection is needed by Advantech WebAccess (the project node).


System Features View

10.1.2.3 Pushbutton Key Macros

Key Macros are commands associated with pushbuttons including Acknowledge Alarms, Change a value, open a dialog box, etc.